var searchIndex = {};
searchIndex["adler32"] = {"doc":"A minimal implementation of Adler32 for Rust.","items":[[3,"RollingAdler32","adler32","A rolling version of the Adler32 hash, which can 'forget' past bytes.",null,null],[5,"adler32","","Consume a Read object and returns the Adler32 hash.",null,{"inputs":[{"name":"r"}],"output":{"name":"result"}}],[11,"new","","Creates an empty Adler32 context (with hash 1).",0,{"inputs":[],"output":{"name":"rollingadler32"}}],[11,"from_value","","Creates an Adler32 context with the given initial value.",0,{"inputs":[{"name":"u32"}],"output":{"name":"rollingadler32"}}],[11,"from_buffer","","Convenience function initializing a context from the hash of a buffer.",0,null],[11,"hash","","Returns the current hash.",0,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"remove","","Removes the given `byte` that was fed to the algorithm `size` bytes ago.",0,{"inputs":[{"name":"self"},{"name":"usize"},{"name":"u8"}],"output":null}],[11,"update","","Feeds a new `byte` to the algorithm to update the hash.",0,{"inputs":[{"name":"self"},{"name":"u8"}],"output":null}],[11,"update_buffer","","Feeds a vector of bytes to the algorithm to update the hash.",0,null]],"paths":[[3,"RollingAdler32"]]};
searchIndex["aho_corasick"] = {"doc":"An implementation of the Aho-Corasick string search algorithm.","items":[[3,"Match","aho_corasick","Records a match in the search text.",null,null],[12,"pati","","The pattern index.",0,null],[12,"start","","The starting byte offset of the match in the search text.",0,null],[12,"end","","The ending byte offset of the match in the search text.",0,null],[3,"Matches","","An iterator of non-overlapping matches for in-memory text.",null,null],[3,"MatchesOverlapping","","An iterator of overlapping matches for in-memory text.",null,null],[3,"StreamMatches","","An iterator of non-overlapping matches for streaming text.",null,null],[3,"StreamMatchesOverlapping","","An iterator of overlapping matches for streaming text.",null,null],[3,"FullAcAutomaton","","A complete Aho-Corasick automaton.",null,null],[3,"AcAutomaton","","An Aho-Corasick finite automaton.",null,null],[3,"Dense","","State transitions that can be stored either sparsely or densely.",null,null],[3,"Sparse","","State transitions that are always sparse.",null,null],[11,"clone","","",0,{"inputs":[{"name":"self"}],"output":{"name":"match"}}],[11,"fmt","","",0,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",0,null],[11,"eq","","",0,{"inputs":[{"name":"self"},{"name":"match"}],"output":{"name":"bool"}}],[11,"ne","","",0,{"inputs":[{"name":"self"},{"name":"match"}],"output":{"name":"bool"}}],[11,"fmt","","",1,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"next","","",1,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"fmt","","",2,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"next","","",2,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"fmt","","",3,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"next","","",3,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"fmt","","",4,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"next","","",4,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"clone","","",5,{"inputs":[{"name":"self"}],"output":{"name":"fullacautomaton"}}],[11,"new","","Build a new expanded Aho-Corasick automaton from an existing Aho-Corasick automaton.",5,{"inputs":[{"name":"acautomaton"}],"output":{"name":"fullacautomaton"}}],[11,"next_state","","",5,{"inputs":[{"name":"self"},{"name":"stateidx"},{"name":"u8"}],"output":{"name":"stateidx"}}],[11,"get_match","","",5,{"inputs":[{"name":"self"},{"name":"stateidx"},{"name":"usize"},{"name":"usize"}],"output":{"name":"match"}}],[11,"has_match","","",5,{"inputs":[{"name":"self"},{"name":"stateidx"},{"name":"usize"}],"output":{"name":"bool"}}],[11,"start_bytes","","",5,null],[11,"patterns","","",5,null],[11,"pattern","","",5,{"inputs":[{"name":"self"},{"name":"usize"}],"output":{"name":"p"}}],[11,"fmt","","",5,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[6,"StateIdx","","The integer type used for the state index.",null,null],[8,"Automaton","","An abstraction over automatons and their corresponding iterators. The type parameter `P` is the type of the pattern that was used to construct this Automaton.",null,null],[10,"next_state","","Return the next state given the current state and next character.",6,{"inputs":[{"name":"self"},{"name":"stateidx"},{"name":"u8"}],"output":{"name":"stateidx"}}],[10,"has_match","","Return true if and only if the given state and current pattern index indicate a match.",6,{"inputs":[{"name":"self"},{"name":"stateidx"},{"name":"usize"}],"output":{"name":"bool"}}],[10,"get_match","","Build a match given the current state, pattern index and input index.",6,{"inputs":[{"name":"self"},{"name":"stateidx"},{"name":"usize"},{"name":"usize"}],"output":{"name":"match"}}],[10,"start_bytes","","Return the set of bytes that have transitions in the root state.",6,null],[10,"patterns","","Returns all of the patterns matched by this automaton.",6,null],[10,"pattern","","Returns the pattern indexed at `i`.",6,{"inputs":[{"name":"self"},{"name":"usize"}],"output":{"name":"p"}}],[11,"len","","Return the number of patterns in the automaton.",6,{"inputs":[{"name":"self"}],"output":{"name":"usize"}}],[11,"is_empty","","Returns true if the automaton has no patterns.",6,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"find","","Returns an iterator of non-overlapping matches in `s`.",6,{"inputs":[{"name":"self"},{"name":"q"}],"output":{"name":"matches"}}],[11,"find_overlapping","","Returns an iterator of overlapping matches in `s`.",6,{"inputs":[{"name":"self"},{"name":"q"}],"output":{"name":"matchesoverlapping"}}],[11,"stream_find","","Returns an iterator of non-overlapping matches in the given reader.",6,{"inputs":[{"name":"self"},{"name":"r"}],"output":{"name":"streammatches"}}],[11,"stream_find_overlapping","","Returns an iterator of overlapping matches in the given reader.",6,{"inputs":[{"name":"self"},{"name":"r"}],"output":{"name":"streammatchesoverlapping"}}],[8,"Transitions","","An abstraction over state transition strategies.",null,null],[10,"new","","Return a new state at the given depth.",7,{"inputs":[{"name":"u32"}],"output":{"name":"self"}}],[10,"goto","","Return the next state index given the next character.",7,{"inputs":[{"name":"self"},{"name":"u8"}],"output":{"name":"stateidx"}}],[10,"set_goto","","Set the next state index for the character given.",7,{"inputs":[{"name":"self"},{"name":"u8"},{"name":"stateidx"}],"output":null}],[10,"heap_bytes","","The memory use in bytes (on the heap) of this set of transitions.",7,{"inputs":[{"name":"self"}],"output":{"name":"usize"}}],[11,"clone","","",8,{"inputs":[{"name":"self"}],"output":{"name":"acautomaton"}}],[11,"new","","Create a new automaton from an iterator of patterns.",8,{"inputs":[{"name":"i"}],"output":{"name":"acautomaton"}}],[11,"with_transitions","","Create a new automaton from an iterator of patterns.",8,{"inputs":[{"name":"i"}],"output":{"name":"acautomaton"}}],[11,"into_full","","Build out the entire automaton into a single matrix.",8,{"inputs":[{"name":"self"}],"output":{"name":"fullacautomaton"}}],[11,"next_state","","",8,{"inputs":[{"name":"self"},{"name":"stateidx"},{"name":"u8"}],"output":{"name":"stateidx"}}],[11,"get_match","","",8,{"inputs":[{"name":"self"},{"name":"stateidx"},{"name":"usize"},{"name":"usize"}],"output":{"name":"match"}}],[11,"has_match","","",8,{"inputs":[{"name":"self"},{"name":"stateidx"},{"name":"usize"}],"output":{"name":"bool"}}],[11,"start_bytes","","",8,null],[11,"patterns","","",8,null],[11,"pattern","","",8,{"inputs":[{"name":"self"},{"name":"usize"}],"output":{"name":"p"}}],[11,"clone","","",9,{"inputs":[{"name":"self"}],"output":{"name":"dense"}}],[11,"fmt","","",9,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"new","","",9,{"inputs":[{"name":"u32"}],"output":{"name":"dense"}}],[11,"goto","","",9,{"inputs":[{"name":"self"},{"name":"u8"}],"output":{"name":"stateidx"}}],[11,"set_goto","","",9,{"inputs":[{"name":"self"},{"name":"u8"},{"name":"stateidx"}],"output":null}],[11,"heap_bytes","","",9,{"inputs":[{"name":"self"}],"output":{"name":"usize"}}],[11,"clone","","",10,{"inputs":[{"name":"self"}],"output":{"name":"sparse"}}],[11,"fmt","","",10,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"new","","",10,{"inputs":[{"name":"u32"}],"output":{"name":"sparse"}}],[11,"goto","","",10,{"inputs":[{"name":"self"},{"name":"u8"}],"output":{"name":"stateidx"}}],[11,"set_goto","","",10,{"inputs":[{"name":"self"},{"name":"u8"},{"name":"stateidx"}],"output":null}],[11,"heap_bytes","","",10,{"inputs":[{"name":"self"}],"output":{"name":"usize"}}],[11,"from_iter","","Create an automaton from an iterator of strings.",8,{"inputs":[{"name":"t"}],"output":{"name":"acautomaton"}}],[11,"fmt","","",8,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"len","","Return the number of patterns in the automaton.",6,{"inputs":[{"name":"self"}],"output":{"name":"usize"}}],[11,"is_empty","","Returns true if the automaton has no patterns.",6,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"find","","Returns an iterator of non-overlapping matches in `s`.",6,{"inputs":[{"name":"self"},{"name":"q"}],"output":{"name":"matches"}}],[11,"find_overlapping","","Returns an iterator of overlapping matches in `s`.",6,{"inputs":[{"name":"self"},{"name":"q"}],"output":{"name":"matchesoverlapping"}}],[11,"stream_find","","Returns an iterator of non-overlapping matches in the given reader.",6,{"inputs":[{"name":"self"},{"name":"r"}],"output":{"name":"streammatches"}}],[11,"stream_find_overlapping","","Returns an iterator of overlapping matches in the given reader.",6,{"inputs":[{"name":"self"},{"name":"r"}],"output":{"name":"streammatchesoverlapping"}}]],"paths":[[3,"Match"],[3,"Matches"],[3,"StreamMatches"],[3,"MatchesOverlapping"],[3,"StreamMatchesOverlapping"],[3,"FullAcAutomaton"],[8,"Automaton"],[8,"Transitions"],[3,"AcAutomaton"],[3,"Dense"],[3,"Sparse"]]};
searchIndex["alsa"] = {"doc":"Thin but safe wrappers for ALSA.","items":[[3,"Error","alsa","Most ALSA functions can return a negative error code. If so, then that error code is wrapped into this `Error` struct. An Error is also returned in case ALSA returns a string that cannot be translated into Rust's UTF-8 strings.",null,null],[3,"Ctl","","snd_ctl_t wrapper",null,null],[3,"Output","","snd_output_t wrapper",null,null],[4,"Direction","","Replaces constants ending with PLAYBACK/CAPTURE as well as INPUT/OUTPUT",null,null],[13,"Playback","","",0,null],[13,"Capture","","",0,null],[4,"ValueOr","","Used to restrict hw parameters. In case the submitted value is unavailable, in which direction should one search for available values?",null,null],[13,"Less","","The value set is the submitted value, or less",1,null],[13,"Nearest","","The value set is the submitted value, or the nearest",1,null],[13,"Greater","","The value set is the submitted value, or greater",1,null],[4,"Round","","Rounding mode (used in some mixer related calls)",null,null],[13,"Floor","","Round down (towards negative infinity)",2,null],[13,"Ceil","","Round up (towards positive infinity)",2,null],[11,"fmt","","",3,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"new","","",3,{"inputs":[{"name":"option"},{"name":"c_int"}],"output":{"name":"error"}}],[11,"code","","",3,{"inputs":[{"name":"self"}],"output":{"name":"c_int"}}],[11,"description","","",3,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"fmt","","",3,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[0,"card","","Sound card enumeration",null,null],[3,"Card","alsa::card","An ALSA sound card, uniquely identified by its index.",null,null],[3,"Iter","","Iterate over existing sound cards.",null,null],[11,"clone","","",4,{"inputs":[{"name":"self"}],"output":{"name":"card"}}],[11,"fmt","","",4,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",4,{"inputs":[{"name":"self"},{"name":"card"}],"output":{"name":"bool"}}],[11,"ne","","",4,{"inputs":[{"name":"self"},{"name":"card"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",4,{"inputs":[{"name":"self"},{"name":"card"}],"output":{"name":"option"}}],[11,"lt","","",4,{"inputs":[{"name":"self"},{"name":"card"}],"output":{"name":"bool"}}],[11,"le","","",4,{"inputs":[{"name":"self"},{"name":"card"}],"output":{"name":"bool"}}],[11,"gt","","",4,{"inputs":[{"name":"self"},{"name":"card"}],"output":{"name":"bool"}}],[11,"ge","","",4,{"inputs":[{"name":"self"},{"name":"card"}],"output":{"name":"bool"}}],[11,"cmp","","",4,{"inputs":[{"name":"self"},{"name":"card"}],"output":{"name":"ordering"}}],[11,"new","","",5,{"inputs":[],"output":{"name":"iter"}}],[11,"next","","",5,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"new","","",4,{"inputs":[{"name":"c_int"}],"output":{"name":"card"}}],[11,"from_str","","",4,{"inputs":[{"name":"cstr"}],"output":{"name":"result"}}],[11,"get_name","","",4,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"get_longname","","",4,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"get_index","","",4,{"inputs":[{"name":"self"}],"output":{"name":"c_int"}}],[11,"open","alsa","Open does not support async mode (it's not very Rustic anyway)",6,{"inputs":[{"name":"cstr"},{"name":"bool"}],"output":{"name":"result"}}],[11,"from_card","","",6,{"inputs":[{"name":"card"},{"name":"bool"}],"output":{"name":"result"}}],[11,"card_info","","",6,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"wait","","",6,{"inputs":[{"name":"self"},{"name":"option"}],"output":{"name":"result"}}],[11,"get_db_range","","",6,{"inputs":[{"name":"self"},{"name":"elemid"}],"output":{"name":"result"}}],[11,"convert_to_db","","",6,{"inputs":[{"name":"self"},{"name":"elemid"},{"name":"i64"}],"output":{"name":"result"}}],[11,"convert_from_db","","",6,{"inputs":[{"name":"self"},{"name":"elemid"},{"name":"millibel"},{"name":"round"}],"output":{"name":"result"}}],[11,"drop","","",6,{"inputs":[{"name":"self"}],"output":null}],[11,"count","","",6,{"inputs":[{"name":"self"}],"output":{"name":"usize"}}],[11,"fill","","",6,null],[11,"revents","","",6,null],[0,"ctl","","Control device API",null,null],[3,"Ctl","alsa::ctl","snd_ctl_t wrapper",null,null],[3,"CardInfo","","snd_ctl_card_info_t wrapper",null,null],[3,"ElemId","","snd_ctl_elem_id_t wrapper",null,null],[3,"ElemValue","","snd_ctl_elem_value_t wrapper",null,null],[3,"ElemInfo","","snd_ctl_elem_info_t wrapper",null,null],[4,"ElemIface","","SND_CTL_ELEM_IFACE_xxx constants",null,null],[13,"Card","","",7,null],[13,"Hwdep","","",7,null],[13,"Mixer","","",7,null],[13,"PCM","","",7,null],[13,"Rawmidi","","",7,null],[13,"Timer","","",7,null],[13,"Sequencer","","",7,null],[4,"ElemType","","SND_CTL_ELEM_TYPE_xxx constants",null,null],[13,"None","","",8,null],[13,"Boolean","","",8,null],[13,"Integer","","",8,null],[13,"Enumerated","","",8,null],[13,"Bytes","","",8,null],[13,"IEC958","","",8,null],[13,"Integer64","","",8,null],[0,"hctl","alsa","HCtl API - for mixer control and jack detection",null,null],[3,"HCtl","alsa::hctl","snd_hctl_t wrapper",null,null],[3,"ElemIter","","Iterates over elements for a `HCtl`",null,null],[3,"Elem","","snd_hctl_elem_t wrapper",null,null],[11,"drop","","",9,{"inputs":[{"name":"self"}],"output":null}],[11,"open","","Open does not support async mode (it's not very Rustic anyway) Note: You probably want to call `load` afterwards.",9,{"inputs":[{"name":"cstr"},{"name":"bool"}],"output":{"name":"result"}}],[11,"load","","",9,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"elem_iter","","",9,{"inputs":[{"name":"self"}],"output":{"name":"elemiter"}}],[11,"find_elem","","",9,{"inputs":[{"name":"self"},{"name":"elemid"}],"output":{"name":"option"}}],[11,"wait","","",9,{"inputs":[{"name":"self"},{"name":"option"}],"output":{"name":"result"}}],[11,"count","","",9,{"inputs":[{"name":"self"}],"output":{"name":"usize"}}],[11,"fill","","",9,null],[11,"revents","","",9,null],[11,"next","","",10,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_id","","",11,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"info","","",11,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"read","","",11,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"write","","",11,{"inputs":[{"name":"self"},{"name":"elemvalue"}],"output":{"name":"result"}}],[0,"pcm","alsa","Audio playback and capture",null,null],[3,"Chmap","alsa::pcm","snd_pcm_chmap_t wrapper",null,null],[3,"ChmapsQuery","","Iterator over available channel maps - see snd_pcm_chmap_query_t",null,null],[3,"Info","","",null,null],[3,"PCM","","snd_pcm_t wrapper - start here for audio playback and recording",null,null],[3,"IO","","Sample format dependent struct for reading from and writing data to a `PCM`. Also implements `std::io::Read` and `std::io::Write`.",null,null],[3,"HwParams","","snd_pcm_hw_params_t wrapper",null,null],[3,"SwParams","","snd_pcm_sw_params_t wrapper",null,null],[3,"Status","","snd_pcm_status_t wrapper",null,null],[4,"ChmapPosition","","SND_CHMAP_xxx constants",null,null],[13,"Unknown","","",12,null],[13,"NA","","",12,null],[13,"Mono","","",12,null],[13,"FL","","",12,null],[13,"FR","","",12,null],[13,"RL","","",12,null],[13,"SR","","",12,null],[13,"RC","","",12,null],[13,"FLC","","",12,null],[13,"FRC","","",12,null],[13,"RLC","","",12,null],[13,"RRC","","",12,null],[13,"FLW","","",12,null],[13,"FRW","","",12,null],[13,"FLH","","",12,null],[13,"FCH","","",12,null],[13,"FRH","","",12,null],[13,"TC","","",12,null],[13,"TFL","","",12,null],[13,"TFR","","",12,null],[13,"TFC","","",12,null],[13,"TRL","","",12,null],[13,"TRR","","",12,null],[13,"TRC","","",12,null],[13,"TFLC","","",12,null],[13,"TFRC","","",12,null],[13,"TSL","","",12,null],[13,"TSR","","",12,null],[13,"LLFE","","",12,null],[13,"RLFE","","",12,null],[13,"BC","","",12,null],[13,"BLC","","",12,null],[13,"BRC","","",12,null],[4,"ChmapType","","SND_CHMAP_TYPE_xxx constants",null,null],[13,"None","","",13,null],[13,"Fixed","","",13,null],[13,"Var","","",13,null],[13,"Paired","","",13,null],[4,"State","","SND_PCM_STATE_xxx constants",null,null],[13,"Open","","",14,null],[13,"Setup","","",14,null],[13,"Prepared","","",14,null],[13,"Running","","",14,null],[13,"XRun","","",14,null],[13,"Draining","","",14,null],[13,"Paused","","",14,null],[13,"Suspended","","",14,null],[13,"Disconnected","","",14,null],[4,"Format","","SND_PCM_FORMAT_xxx constants",null,null],[13,"Unknown","","",15,null],[13,"S8","","",15,null],[13,"U8","","",15,null],[13,"S16LE","","",15,null],[13,"S16BE","","",15,null],[13,"U16LE","","",15,null],[13,"U16BE","","",15,null],[13,"S24LE","","",15,null],[13,"S24BE","","",15,null],[13,"U24LE","","",15,null],[13,"U24BE","","",15,null],[13,"S32LE","","",15,null],[13,"S32BE","","",15,null],[13,"U32LE","","",15,null],[13,"U32BE","","",15,null],[13,"FloatLE","","",15,null],[13,"FloatBE","","",15,null],[13,"Float64LE","","",15,null],[13,"Float64BE","","",15,null],[13,"IEC958SubframeLE","","",15,null],[13,"IEC958SubframeBE","","",15,null],[13,"MuLaw","","",15,null],[13,"ALaw","","",15,null],[13,"ImaAdPCM","","",15,null],[13,"MPEG","","",15,null],[13,"GSM","","",15,null],[13,"Special","","",15,null],[13,"S243LE","","",15,null],[13,"S243BE","","",15,null],[13,"U243LE","","",15,null],[13,"U243BE","","",15,null],[13,"S203LE","","",15,null],[13,"S203BE","","",15,null],[13,"U203LE","","",15,null],[13,"U203BE","","",15,null],[13,"S183LE","","",15,null],[13,"S183BE","","",15,null],[13,"U183LE","","",15,null],[13,"U183BE","","",15,null],[13,"G72324","","",15,null],[13,"G723241B","","",15,null],[13,"G72340","","",15,null],[13,"G723401B","","",15,null],[13,"DSDU8","","",15,null],[13,"DSDU16LE","","",15,null],[4,"Access","","SND_PCM_ACCESS_xxx constants",null,null],[13,"MMapInterleaved","","",16,null],[13,"MMapNonInterleaved","","",16,null],[13,"MMapComplex","","",16,null],[13,"RWInterleaved","","",16,null],[13,"RWNonInterleaved","","",16,null],[6,"Frames","","snd_pcm_sframes_t",null,null],[11,"new","","",17,{"inputs":[],"output":{"name":"result"}}],[11,"get_card","","",17,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_device","","",17,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"get_subdevice","","",17,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"get_id","","",17,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"get_name","","",17,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"get_subdevice_name","","",17,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"drop","","",17,{"inputs":[{"name":"self"}],"output":null}],[11,"open","","",18,{"inputs":[{"name":"cstr"},{"name":"direction"},{"name":"bool"}],"output":{"name":"result"}}],[11,"start","","",18,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"drop","","",18,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"pause","","",18,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"result"}}],[11,"resume","","",18,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"drain","","",18,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"prepare","","",18,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"reset","","",18,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"recover","","",18,{"inputs":[{"name":"self"},{"name":"c_int"},{"name":"bool"}],"output":{"name":"result"}}],[11,"wait","","",18,{"inputs":[{"name":"self"},{"name":"option"}],"output":{"name":"result"}}],[11,"state","","",18,{"inputs":[{"name":"self"}],"output":{"name":"state"}}],[11,"bytes_to_frames","","",18,{"inputs":[{"name":"self"},{"name":"isize"}],"output":{"name":"frames"}}],[11,"frames_to_bytes","","",18,{"inputs":[{"name":"self"},{"name":"frames"}],"output":{"name":"isize"}}],[11,"avail_update","","",18,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"avail","","",18,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"avail_delay","","",18,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"status","","",18,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"io_i8","","",18,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"io_u8","","",18,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"io_i16","","",18,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"io_u16","","",18,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"io_i32","","",18,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"io_u32","","",18,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"io_f32","","",18,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"io_f64","","",18,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"io","","",18,{"inputs":[{"name":"self"}],"output":{"name":"io"}}],[11,"hw_params","","Sets hw parameters. Note: No IO object can exist for this PCM when hw parameters are set.",18,{"inputs":[{"name":"self"},{"name":"hwparams"}],"output":{"name":"result"}}],[11,"hw_params_current","","",18,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"sw_params","","",18,{"inputs":[{"name":"self"},{"name":"swparams"}],"output":{"name":"result"}}],[11,"sw_params_current","","",18,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"info","","",18,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"dump","","",18,{"inputs":[{"name":"self"},{"name":"output"}],"output":{"name":"result"}}],[11,"dump_hw_setup","","",18,{"inputs":[{"name":"self"},{"name":"output"}],"output":{"name":"result"}}],[11,"dump_sw_setup","","",18,{"inputs":[{"name":"self"},{"name":"output"}],"output":{"name":"result"}}],[11,"query_chmaps","","",18,{"inputs":[{"name":"self"}],"output":{"name":"chmapsquery"}}],[11,"set_chmap","","",18,{"inputs":[{"name":"self"},{"name":"chmap"}],"output":{"name":"result"}}],[11,"get_chmap","","",18,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"drop","","",18,{"inputs":[{"name":"self"}],"output":null}],[11,"count","","",18,{"inputs":[{"name":"self"}],"output":{"name":"usize"}}],[11,"fill","","",18,null],[11,"revents","","",18,null],[11,"drop","","",19,{"inputs":[{"name":"self"}],"output":null}],[11,"writei","","On success, returns number of frames written. (Multiply with number of channels to get number of items in buf successfully written.)",19,null],[11,"readi","","On success, returns number of frames read. (Multiply with number of channels to get number of items in buf successfully read.)",19,null],[11,"mmap","","Wrapper around snd_pcm_mmap_begin and snd_pcm_mmap_commit.",19,{"inputs":[{"name":"self"},{"name":"usize"},{"name":"f"}],"output":{"name":"result"}}],[11,"read","","",19,null],[11,"write","","",19,null],[11,"flush","","",19,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"fmt","","",14,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",14,{"inputs":[{"name":"self"}],"output":{"name":"state"}}],[11,"eq","","",14,{"inputs":[{"name":"self"},{"name":"state"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",14,{"inputs":[{"name":"self"},{"name":"state"}],"output":{"name":"option"}}],[11,"cmp","","",14,{"inputs":[{"name":"self"},{"name":"state"}],"output":{"name":"ordering"}}],[11,"hash","","",14,null],[11,"all","","Returns a slice of all possible values; useful for iteration",14,null],[11,"fmt","","",15,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",15,{"inputs":[{"name":"self"}],"output":{"name":"format"}}],[11,"eq","","",15,{"inputs":[{"name":"self"},{"name":"format"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",15,{"inputs":[{"name":"self"},{"name":"format"}],"output":{"name":"option"}}],[11,"cmp","","",15,{"inputs":[{"name":"self"},{"name":"format"}],"output":{"name":"ordering"}}],[11,"hash","","",15,null],[11,"all","","Returns a slice of all possible values; useful for iteration",15,null],[11,"s16","","",15,{"inputs":[],"output":{"name":"format"}}],[11,"u16","","",15,{"inputs":[],"output":{"name":"format"}}],[11,"s24","","",15,{"inputs":[],"output":{"name":"format"}}],[11,"u24","","",15,{"inputs":[],"output":{"name":"format"}}],[11,"s32","","",15,{"inputs":[],"output":{"name":"format"}}],[11,"u32","","",15,{"inputs":[],"output":{"name":"format"}}],[11,"float","","",15,{"inputs":[],"output":{"name":"format"}}],[11,"float64","","",15,{"inputs":[],"output":{"name":"format"}}],[11,"iec958_subframe","","",15,{"inputs":[],"output":{"name":"format"}}],[11,"fmt","","",16,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",16,{"inputs":[{"name":"self"}],"output":{"name":"access"}}],[11,"eq","","",16,{"inputs":[{"name":"self"},{"name":"access"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",16,{"inputs":[{"name":"self"},{"name":"access"}],"output":{"name":"option"}}],[11,"cmp","","",16,{"inputs":[{"name":"self"},{"name":"access"}],"output":{"name":"ordering"}}],[11,"hash","","",16,null],[11,"all","","Returns a slice of all possible values; useful for iteration",16,null],[11,"drop","","",20,{"inputs":[{"name":"self"}],"output":null}],[11,"any","","",20,{"inputs":[{"name":"pcm"}],"output":{"name":"result"}}],[11,"get_rate_resample","","",20,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"set_rate_resample","","",20,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"result"}}],[11,"set_channels_near","","",20,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"result"}}],[11,"set_channels","","",20,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"result"}}],[11,"get_channels","","",20,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"set_rate_near","","",20,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"valueor"}],"output":{"name":"result"}}],[11,"set_rate","","",20,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"valueor"}],"output":{"name":"result"}}],[11,"get_rate","","",20,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"set_format","","",20,{"inputs":[{"name":"self"},{"name":"format"}],"output":{"name":"result"}}],[11,"get_format","","",20,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"set_access","","",20,{"inputs":[{"name":"self"},{"name":"access"}],"output":{"name":"result"}}],[11,"get_access","","",20,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"set_period_size_near","","",20,{"inputs":[{"name":"self"},{"name":"frames"},{"name":"valueor"}],"output":{"name":"result"}}],[11,"set_period_size","","",20,{"inputs":[{"name":"self"},{"name":"frames"},{"name":"valueor"}],"output":{"name":"result"}}],[11,"get_period_size","","",20,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"set_periods","","",20,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"valueor"}],"output":{"name":"result"}}],[11,"get_periods","","",20,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"set_buffer_size_near","","",20,{"inputs":[{"name":"self"},{"name":"frames"}],"output":{"name":"result"}}],[11,"set_buffer_size","","",20,{"inputs":[{"name":"self"},{"name":"frames"}],"output":{"name":"result"}}],[11,"get_buffer_size","","",20,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"dump","","",20,{"inputs":[{"name":"self"},{"name":"output"}],"output":{"name":"result"}}],[11,"copy_from","","",20,{"inputs":[{"name":"self"},{"name":"hwparams"}],"output":null}],[11,"clone","","",20,{"inputs":[{"name":"self"}],"output":{"name":"hwparams"}}],[11,"fmt","","",20,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"drop","","",21,{"inputs":[{"name":"self"}],"output":null}],[11,"set_avail_min","","",21,{"inputs":[{"name":"self"},{"name":"frames"}],"output":{"name":"result"}}],[11,"get_avail_min","","",21,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"set_start_threshold","","",21,{"inputs":[{"name":"self"},{"name":"frames"}],"output":{"name":"result"}}],[11,"get_start_threshold","","",21,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"set_stop_threshold","","",21,{"inputs":[{"name":"self"},{"name":"frames"}],"output":{"name":"result"}}],[11,"get_stop_threshold","","",21,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"set_tstamp_mode","","",21,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"result"}}],[11,"get_tstamp_mode","","",21,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"dump","","",21,{"inputs":[{"name":"self"},{"name":"output"}],"output":{"name":"result"}}],[11,"fmt","","",21,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"get_htstamp","","",22,{"inputs":[{"name":"self"}],"output":{"name":"timespec"}}],[11,"get_trigger_htstamp","","",22,{"inputs":[{"name":"self"}],"output":{"name":"timespec"}}],[11,"get_audio_htstamp","","",22,{"inputs":[{"name":"self"}],"output":{"name":"timespec"}}],[11,"get_state","","",22,{"inputs":[{"name":"self"}],"output":{"name":"state"}}],[11,"get_avail","","",22,{"inputs":[{"name":"self"}],"output":{"name":"frames"}}],[11,"get_delay","","",22,{"inputs":[{"name":"self"}],"output":{"name":"frames"}}],[11,"get_avail_max","","",22,{"inputs":[{"name":"self"}],"output":{"name":"frames"}}],[11,"get_overrange","","",22,{"inputs":[{"name":"self"}],"output":{"name":"frames"}}],[11,"dump","","",22,{"inputs":[{"name":"self"},{"name":"output"}],"output":{"name":"result"}}],[0,"rawmidi","alsa","MIDI devices I/O and enumeration",null,null],[3,"Iter","alsa::rawmidi","Iterator over Rawmidi devices and subdevices",null,null],[3,"Info","","snd_rawmidi_info_t wrapper",null,null],[3,"Rawmidi","","snd_rawmidi_t wrapper",null,null],[3,"IO","","Implements `std::io::Read` and `std::io::Write` for `Rawmidi`",null,null],[11,"drop","","",23,{"inputs":[{"name":"self"}],"output":null}],[11,"get_device","","",23,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_subdevice","","",23,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_stream","","",23,{"inputs":[{"name":"self"}],"output":{"name":"direction"}}],[11,"get_subdevice_name","","",23,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"get_id","","",23,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"new","","",24,{"inputs":[{"name":"ctl"}],"output":{"name":"iter"}}],[11,"next","","",24,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"drop","","",25,{"inputs":[{"name":"self"}],"output":null}],[11,"open","","",25,{"inputs":[{"name":"cstr"},{"name":"direction"},{"name":"bool"}],"output":{"name":"result"}}],[11,"info","","",25,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"drop","","",25,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"drain","","",25,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"name","","",25,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"io","","",25,{"inputs":[{"name":"self"}],"output":{"name":"io"}}],[11,"count","","",25,{"inputs":[{"name":"self"}],"output":{"name":"usize"}}],[11,"fill","","",25,null],[11,"revents","","",25,null],[11,"read","","",26,null],[11,"write","","",26,null],[11,"flush","","",26,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[0,"device_name","alsa","Enumerate devices in the alsa library configuration",null,null],[3,"HintIter","alsa::device_name","snd_device_name_hint wrapper",null,null],[3,"Hint","","snd_device_name_get_hint wrapper",null,null],[12,"name","","",27,null],[12,"desc","","",27,null],[12,"direction","","",27,null],[11,"drop","","",28,{"inputs":[{"name":"self"}],"output":null}],[11,"new","","typical interfaces are: \"pcm\", \"ctl\", \"rawmidi\", \"timer\", \"seq\" and \"hwdep\".",28,{"inputs":[{"name":"option"},{"name":"cstr"}],"output":{"name":"result"}}],[11,"next","","",28,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"fmt","","",27,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",27,{"inputs":[{"name":"self"}],"output":{"name":"hint"}}],[0,"poll","alsa","Tiny poll ffi",null,null],[3,"PollFlags","alsa::poll","",null,null],[5,"poll","","Wrapper around the libc poll call.",null,null],[5,"poll_all","","Builds a pollfd array, polls it, and returns the poll descriptors which have non-zero revents.",null,null],[17,"POLLIN","","",null,null],[17,"POLLPRI","","",null,null],[17,"POLLOUT","","",null,null],[17,"POLLERR","","",null,null],[17,"POLLHUP","","",null,null],[17,"POLLNVAL","","",null,null],[8,"PollDescriptors","","",null,null],[10,"count","","",29,{"inputs":[{"name":"self"}],"output":{"name":"usize"}}],[10,"fill","","",29,null],[10,"revents","","",29,null],[11,"get","","Wrapper around count and fill - returns an array of pollfds",29,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"eq","","",30,{"inputs":[{"name":"self"},{"name":"pollflags"}],"output":{"name":"bool"}}],[11,"ne","","",30,{"inputs":[{"name":"self"},{"name":"pollflags"}],"output":{"name":"bool"}}],[11,"clone","","",30,{"inputs":[{"name":"self"}],"output":{"name":"pollflags"}}],[11,"partial_cmp","","",30,{"inputs":[{"name":"self"},{"name":"pollflags"}],"output":{"name":"option"}}],[11,"lt","","",30,{"inputs":[{"name":"self"},{"name":"pollflags"}],"output":{"name":"bool"}}],[11,"le","","",30,{"inputs":[{"name":"self"},{"name":"pollflags"}],"output":{"name":"bool"}}],[11,"gt","","",30,{"inputs":[{"name":"self"},{"name":"pollflags"}],"output":{"name":"bool"}}],[11,"ge","","",30,{"inputs":[{"name":"self"},{"name":"pollflags"}],"output":{"name":"bool"}}],[11,"cmp","","",30,{"inputs":[{"name":"self"},{"name":"pollflags"}],"output":{"name":"ordering"}}],[11,"hash","","",30,null],[11,"fmt","","",30,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",30,{"inputs":[],"output":{"name":"pollflags"}}],[11,"all","","Returns the set containing all flags.",30,{"inputs":[],"output":{"name":"pollflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",30,{"inputs":[{"name":"self"}],"output":{"name":"c_short"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",30,{"inputs":[{"name":"c_short"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",30,{"inputs":[{"name":"c_short"}],"output":{"name":"pollflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",30,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",30,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",30,{"inputs":[{"name":"self"},{"name":"pollflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",30,{"inputs":[{"name":"self"},{"name":"pollflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",30,{"inputs":[{"name":"self"},{"name":"pollflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",30,{"inputs":[{"name":"self"},{"name":"pollflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",30,{"inputs":[{"name":"self"},{"name":"pollflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",30,{"inputs":[{"name":"self"},{"name":"pollflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",30,{"inputs":[{"name":"self"},{"name":"pollflags"}],"output":{"name":"pollflags"}}],[11,"bitor_assign","","Adds the set of flags.",30,{"inputs":[{"name":"self"},{"name":"pollflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",30,{"inputs":[{"name":"self"},{"name":"pollflags"}],"output":{"name":"pollflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",30,{"inputs":[{"name":"self"},{"name":"pollflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",30,{"inputs":[{"name":"self"},{"name":"pollflags"}],"output":{"name":"pollflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",30,{"inputs":[{"name":"self"},{"name":"pollflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",30,{"inputs":[{"name":"self"},{"name":"pollflags"}],"output":{"name":"pollflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",30,{"inputs":[{"name":"self"},{"name":"pollflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",30,{"inputs":[{"name":"self"}],"output":{"name":"pollflags"}}],[11,"extend","","",30,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",30,{"inputs":[{"name":"t"}],"output":{"name":"pollflags"}}],[0,"mixer","alsa","Mixer API - Simple Mixer API for mixer control",null,null],[3,"Mixer","alsa::mixer","wraps snd_mixer_t",null,null],[3,"MilliBel","","Wrapper for a mB (millibel) value.",null,null],[12,"0","","",31,null],[3,"Elem","","Wraps snd_mixer_elem_t",null,null],[3,"Iter","","Iterator for all elements of mixer",null,null],[3,"SelemId","","Wrapper for snd_mixer_selem_id_t No allocation (uses fixed array)",null,null],[3,"Selem","","Wraps an Elem as a Selem",null,null],[3,"IterEnum","","",null,null],[4,"SelemChannelId","","Wrapper for SND_MIXER_SCHN_* constants",null,null],[13,"Unknown","","",32,null],[13,"FrontLeft","","",32,null],[13,"FrontRight","","",32,null],[13,"RearLeft","","",32,null],[13,"RearRight","","",32,null],[13,"FrontCenter","","",32,null],[13,"Woofer","","",32,null],[13,"SideLeft","","",32,null],[13,"SideRight","","",32,null],[13,"RearCenter","","",32,null],[13,"Last","","",32,null],[11,"fmt","","",33,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"new","","Opens a mixer and attaches it to a card identified by its name (like hw:0) and loads the mixer after registering a Selem.",33,{"inputs":[{"name":"str"},{"name":"bool"}],"output":{"name":"result"}}],[11,"find_selem","","Creates a Selem by looking for a specific selem by name given a mixer (of a card)",33,{"inputs":[{"name":"self"},{"name":"selemid"}],"output":{"name":"option"}}],[11,"open","","",33,{"inputs":[{"name":"bool"}],"output":{"name":"result"}}],[11,"attach","","",33,{"inputs":[{"name":"self"},{"name":"cstr"}],"output":{"name":"result"}}],[11,"load","","",33,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"iter","","",33,{"inputs":[{"name":"self"}],"output":{"name":"iter"}}],[11,"wait","","",33,{"inputs":[{"name":"self"},{"name":"option"}],"output":{"name":"result"}}],[11,"drop","","",33,{"inputs":[{"name":"self"}],"output":null}],[11,"count","","",33,{"inputs":[{"name":"self"}],"output":{"name":"usize"}}],[11,"fill","","",33,null],[11,"revents","","",33,null],[11,"clone","","",31,{"inputs":[{"name":"self"}],"output":{"name":"millibel"}}],[11,"fmt","","",31,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",31,{"inputs":[{"name":"self"},{"name":"millibel"}],"output":{"name":"bool"}}],[11,"ne","","",31,{"inputs":[{"name":"self"},{"name":"millibel"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",31,{"inputs":[{"name":"self"},{"name":"millibel"}],"output":{"name":"option"}}],[11,"lt","","",31,{"inputs":[{"name":"self"},{"name":"millibel"}],"output":{"name":"bool"}}],[11,"le","","",31,{"inputs":[{"name":"self"},{"name":"millibel"}],"output":{"name":"bool"}}],[11,"gt","","",31,{"inputs":[{"name":"self"},{"name":"millibel"}],"output":{"name":"bool"}}],[11,"ge","","",31,{"inputs":[{"name":"self"},{"name":"millibel"}],"output":{"name":"bool"}}],[11,"cmp","","",31,{"inputs":[{"name":"self"},{"name":"millibel"}],"output":{"name":"ordering"}}],[11,"hash","","",31,null],[11,"to_db","","",31,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[11,"from_db","","",31,{"inputs":[{"name":"f32"}],"output":{"name":"self"}}],[11,"deref","","",31,{"inputs":[{"name":"self"}],"output":{"name":"i64"}}],[11,"add","","",31,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"self"}}],[11,"sub","","",31,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"self"}}],[11,"clone","","",34,{"inputs":[{"name":"self"}],"output":{"name":"elem"}}],[11,"fmt","","",34,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",35,{"inputs":[{"name":"self"}],"output":{"name":"iter"}}],[11,"next","","",35,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"new","","",36,{"inputs":[{"name":"str"},{"name":"u32"}],"output":{"name":"selemid"}}],[11,"empty","","Returns an empty (zeroed) SelemId. This id is not a useable id and need to be initialized like `SelemId::new()` does",36,{"inputs":[],"output":{"name":"selemid"}}],[11,"get_name","","",36,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"get_index","","",36,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"set_name","","",36,{"inputs":[{"name":"self"},{"name":"cstr"}],"output":null}],[11,"set_index","","",36,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[11,"new","","Creates a Selem by wrapping `elem`.",37,{"inputs":[{"name":"elem"}],"output":{"name":"option"}}],[11,"register","","TODO: This function might change to support regopt and to return the mixer class",37,{"inputs":[{"name":"mixer"}],"output":{"name":"result"}}],[11,"get_id","","",37,{"inputs":[{"name":"self"}],"output":{"name":"selemid"}}],[11,"has_capture_volume","","",37,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"has_capture_switch","","",37,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"has_playback_volume","","",37,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"has_playback_switch","","",37,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"can_capture","","",37,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"can_playback","","",37,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"has_volume","","",37,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"get_capture_volume_range","","returns range for capture volume as (min, max) values",37,null],[11,"get_capture_db_range","","returns (min, max) values.",37,null],[11,"get_playback_volume_range","","returns (min, max) values.",37,null],[11,"get_playback_db_range","","returns (min, max) values.",37,null],[11,"is_playback_mono","","",37,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"has_capture_channel","","",37,{"inputs":[{"name":"self"},{"name":"selemchannelid"}],"output":{"name":"bool"}}],[11,"has_playback_channel","","",37,{"inputs":[{"name":"self"},{"name":"selemchannelid"}],"output":{"name":"bool"}}],[11,"channel_name","","Gets name from snd_mixer_selem_channel_name",37,{"inputs":[{"name":"selemchannelid"}],"output":{"name":"result"}}],[11,"get_playback_volume","","",37,{"inputs":[{"name":"self"},{"name":"selemchannelid"}],"output":{"name":"result"}}],[11,"get_playback_vol_db","","returns volume in millibels.",37,{"inputs":[{"name":"self"},{"name":"selemchannelid"}],"output":{"name":"result"}}],[11,"ask_playback_vol_db","","Asks alsa to convert playback volume to millibels.",37,{"inputs":[{"name":"self"},{"name":"i64"}],"output":{"name":"result"}}],[11,"get_capture_volume","","",37,{"inputs":[{"name":"self"},{"name":"selemchannelid"}],"output":{"name":"result"}}],[11,"get_capture_vol_db","","returns volume in millibels.",37,{"inputs":[{"name":"self"},{"name":"selemchannelid"}],"output":{"name":"result"}}],[11,"ask_capture_vol_db","","Asks alsa to convert capture volume to millibels",37,{"inputs":[{"name":"self"},{"name":"i64"}],"output":{"name":"result"}}],[11,"set_playback_volume","","",37,{"inputs":[{"name":"self"},{"name":"selemchannelid"},{"name":"i64"}],"output":{"name":"result"}}],[11,"set_playback_volume_all","","",37,{"inputs":[{"name":"self"},{"name":"i64"}],"output":{"name":"result"}}],[11,"set_playback_db","","",37,{"inputs":[{"name":"self"},{"name":"selemchannelid"},{"name":"millibel"},{"name":"round"}],"output":{"name":"result"}}],[11,"set_capture_db","","",37,{"inputs":[{"name":"self"},{"name":"selemchannelid"},{"name":"millibel"},{"name":"round"}],"output":{"name":"result"}}],[11,"set_playback_db_all","","",37,{"inputs":[{"name":"self"},{"name":"millibel"},{"name":"round"}],"output":{"name":"result"}}],[11,"set_capture_db_all","","",37,{"inputs":[{"name":"self"},{"name":"millibel"},{"name":"round"}],"output":{"name":"result"}}],[11,"set_capture_volume","","",37,{"inputs":[{"name":"self"},{"name":"selemchannelid"},{"name":"i64"}],"output":{"name":"result"}}],[11,"set_playback_switch","","",37,{"inputs":[{"name":"self"},{"name":"selemchannelid"},{"name":"i32"}],"output":{"name":"result"}}],[11,"set_playback_switch_all","","",37,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"result"}}],[11,"set_capture_switch","","",37,{"inputs":[{"name":"self"},{"name":"selemchannelid"},{"name":"i32"}],"output":{"name":"result"}}],[11,"set_capture_switch_all","","",37,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"result"}}],[11,"get_playback_switch","","",37,{"inputs":[{"name":"self"},{"name":"selemchannelid"}],"output":{"name":"result"}}],[11,"get_capture_switch","","",37,{"inputs":[{"name":"self"},{"name":"selemchannelid"}],"output":{"name":"result"}}],[11,"is_enumerated","","",37,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_enum_playback","","",37,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_enum_capture","","",37,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"get_enum_items","","",37,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"get_enum_item_name","","",37,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"result"}}],[11,"iter_enum","","Enumerates over valid Enum values",37,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"get_enum_item","","",37,{"inputs":[{"name":"self"},{"name":"selemchannelid"}],"output":{"name":"result"}}],[11,"set_enum_item","","",37,{"inputs":[{"name":"self"},{"name":"selemchannelid"},{"name":"u32"}],"output":{"name":"result"}}],[11,"deref","","returns the elem of this selem",37,{"inputs":[{"name":"self"}],"output":{"name":"elem"}}],[11,"next","","",38,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"fmt","","",32,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",32,{"inputs":[{"name":"self"}],"output":{"name":"selemchannelid"}}],[11,"eq","","",32,{"inputs":[{"name":"self"},{"name":"selemchannelid"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",32,{"inputs":[{"name":"self"},{"name":"selemchannelid"}],"output":{"name":"option"}}],[11,"cmp","","",32,{"inputs":[{"name":"self"},{"name":"selemchannelid"}],"output":{"name":"ordering"}}],[11,"hash","","",32,null],[11,"all","","Returns a slice of all possible values; useful for iteration",32,null],[11,"mono","","",32,{"inputs":[],"output":{"name":"selemchannelid"}}],[11,"fmt","","",32,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[0,"seq","alsa","MIDI sequencer I/O and enumeration",null,null],[3,"Seq","alsa::seq","snd_seq_t wrapper",null,null],[3,"Input","","Struct for receiving input events from a sequencer. The methods offered by this object may modify the internal input buffer of the sequencer, which must not happen while an `Event` is alive that has been obtained from a call to `event_input` (which takes `Input` by mutable reference for this reason). This is because the event might directly reference the sequencer's input buffer for variable-length messages (e.g. Sysex).",null,null],[3,"ClientInfo","","snd_seq_client_info_t wrapper",null,null],[3,"ClientIter","","Iterates over clients connected to the seq API (both kernel and userspace clients).",null,null],[3,"PortInfo","","snd_seq_port_info_t wrapper",null,null],[3,"PortIter","","Iterates over clients connected to the seq API (both kernel and userspace clients).",null,null],[3,"PortCap","","[SND_SEQ_PORT_CAP_xxx]http://www.alsa-project.org/alsa-doc/alsa-lib/group___seq_port.html) constants ",null,null],[3,"PortType","","[SND_SEQ_PORT_TYPE_xxx]http://www.alsa-project.org/alsa-doc/alsa-lib/group___seq_port.html) constants ",null,null],[3,"Addr","","snd_seq_addr_t wrapper",null,null],[12,"client","","",39,null],[12,"port","","",39,null],[3,"PortSubscribe","","snd_seq_port_subscribe_t wrapper",null,null],[3,"Event","","snd_seq_event_t wrapper",null,null],[3,"EvNote","","",null,null],[12,"channel","","",40,null],[12,"note","","",40,null],[12,"velocity","","",40,null],[12,"off_velocity","","",40,null],[12,"duration","","",40,null],[3,"EvCtrl","","",null,null],[12,"channel","","",41,null],[12,"param","","",41,null],[12,"value","","",41,null],[3,"Connect","","snd_seq_connect_t wrapper",null,null],[12,"sender","","",42,null],[12,"dest","","",42,null],[3,"EvQueueControl","","snd_seq_ev_queue_control_t wrapper",null,null],[12,"queue","","",43,null],[12,"value","","",43,null],[3,"EvResult","","snd_seq_result_t wrapper",null,null],[12,"event","","",44,null],[12,"result","","",44,null],[3,"QueueTempo","","snd_seq_queue_tempo_t wrapper",null,null],[3,"MidiEvent","","snd_midi_event_t Wrapper",null,null],[4,"EventType","","SND_SEQ_EVENT_xxx constants",null,null],[13,"Bounce","","",45,null],[13,"Chanpress","","",45,null],[13,"ClientChange","","",45,null],[13,"ClientExit","","",45,null],[13,"ClientStart","","",45,null],[13,"Clock","","",45,null],[13,"Continue","","",45,null],[13,"Control14","","",45,null],[13,"Controller","","",45,null],[13,"Echo","","",45,null],[13,"Keypress","","",45,null],[13,"Keysign","","",45,null],[13,"None","","",45,null],[13,"Nonregparam","","",45,null],[13,"Note","","",45,null],[13,"Noteoff","","",45,null],[13,"Noteon","","",45,null],[13,"Oss","","",45,null],[13,"Pgmchange","","",45,null],[13,"Pitchbend","","",45,null],[13,"PortChange","","",45,null],[13,"PortExit","","",45,null],[13,"PortStart","","",45,null],[13,"PortSubscribed","","",45,null],[13,"PortUnsubscribed","","",45,null],[13,"Qframe","","",45,null],[13,"QueueSkew","","",45,null],[13,"Regparam","","",45,null],[13,"Reset","","",45,null],[13,"Result","","",45,null],[13,"Sensing","","",45,null],[13,"SetposTick","","",45,null],[13,"SetposTime","","",45,null],[13,"Songpos","","",45,null],[13,"Songsel","","",45,null],[13,"Start","","",45,null],[13,"Stop","","",45,null],[13,"SyncPos","","",45,null],[13,"Sysex","","",45,null],[13,"System","","",45,null],[13,"Tempo","","",45,null],[13,"Tick","","",45,null],[13,"Timesign","","",45,null],[13,"TuneRequest","","",45,null],[13,"Usr0","","",45,null],[13,"Usr1","","",45,null],[13,"Usr2","","",45,null],[13,"Usr3","","",45,null],[13,"Usr4","","",45,null],[13,"Usr5","","",45,null],[13,"Usr6","","",45,null],[13,"Usr7","","",45,null],[13,"Usr8","","",45,null],[13,"Usr9","","",45,null],[13,"UsrVar0","","",45,null],[13,"UsrVar1","","",45,null],[13,"UsrVar2","","",45,null],[13,"UsrVar3","","",45,null],[13,"UsrVar4","","",45,null],[17,"READ","","",null,null],[17,"WRITE","","",null,null],[17,"SYNC_READ","","",null,null],[17,"SYNC_WRITE","","",null,null],[17,"DUPLEX","","",null,null],[17,"SUBS_READ","","",null,null],[17,"SUBS_WRITE","","",null,null],[17,"NO_EXPORT","","",null,null],[17,"SPECIFIC","","",null,null],[17,"MIDI_GENERIC","","",null,null],[17,"MIDI_GM","","",null,null],[17,"MIDI_GS","","",null,null],[17,"MIDI_XG","","",null,null],[17,"MIDI_MT32","","",null,null],[17,"MIDI_GM2","","",null,null],[17,"SYNTH","","",null,null],[17,"DIRECT_SAMPLE","","",null,null],[17,"SAMPLE","","",null,null],[17,"HARDWARE","","",null,null],[17,"SOFTWARE","","",null,null],[17,"SYNTHESIZER","","",null,null],[17,"PORT","","",null,null],[17,"APPLICATION","","",null,null],[8,"EventData","","Low level methods to set/get data on an Event. Don't use these directly, use generic methods on Event instead.",null,null],[10,"has_data","","",46,{"inputs":[{"name":"eventtype"}],"output":{"name":"bool"}}],[10,"set_data","","",46,{"inputs":[{"name":"self"},{"name":"event"}],"output":null}],[10,"get_data","","",46,{"inputs":[{"name":"event"}],"output":{"name":"self"}}],[11,"drop","","",47,{"inputs":[{"name":"self"}],"output":null}],[11,"open","","Opens the sequencer.",47,{"inputs":[{"name":"option"},{"name":"option"},{"name":"bool"}],"output":{"name":"result"}}],[11,"set_client_name","","",47,{"inputs":[{"name":"self"},{"name":"cstr"}],"output":{"name":"result"}}],[11,"set_client_event_filter","","",47,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"result"}}],[11,"set_client_pool_output","","",47,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"result"}}],[11,"set_client_pool_input","","",47,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"result"}}],[11,"set_client_pool_output_room","","",47,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"result"}}],[11,"client_id","","",47,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"drain_output","","",47,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"get_any_client_info","","",47,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"result"}}],[11,"get_any_port_info","","",47,{"inputs":[{"name":"self"},{"name":"addr"}],"output":{"name":"result"}}],[11,"create_port","","",47,{"inputs":[{"name":"self"},{"name":"portinfo"}],"output":{"name":"result"}}],[11,"create_simple_port","","",47,{"inputs":[{"name":"self"},{"name":"cstr"},{"name":"portcap"},{"name":"porttype"}],"output":{"name":"result"}}],[11,"set_port_info","","",47,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"portinfo"}],"output":{"name":"result"}}],[11,"delete_port","","",47,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"result"}}],[11,"subscribe_port","","",47,{"inputs":[{"name":"self"},{"name":"portsubscribe"}],"output":{"name":"result"}}],[11,"unsubscribe_port","","",47,{"inputs":[{"name":"self"},{"name":"addr"},{"name":"addr"}],"output":{"name":"result"}}],[11,"control_queue","","",47,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"eventtype"},{"name":"i32"},{"name":"option"}],"output":{"name":"result"}}],[11,"event_output","","",47,{"inputs":[{"name":"self"},{"name":"event"}],"output":{"name":"result"}}],[11,"event_output_buffer","","",47,{"inputs":[{"name":"self"},{"name":"event"}],"output":{"name":"result"}}],[11,"event_output_direct","","",47,{"inputs":[{"name":"self"},{"name":"event"}],"output":{"name":"result"}}],[11,"get_queue_tempo","","",47,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"result"}}],[11,"set_queue_tempo","","",47,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"queuetempo"}],"output":{"name":"result"}}],[11,"free_queue","","",47,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"result"}}],[11,"alloc_queue","","",47,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"alloc_named_queue","","",47,{"inputs":[{"name":"self"},{"name":"cstr"}],"output":{"name":"result"}}],[11,"input","","Call this function to obtain an instance of `Input` to access the functions `event_input`, `event_input_pending` and `set_input_buffer_size`. See the documentation of `Input` for details.",47,{"inputs":[{"name":"self"}],"output":{"name":"input"}}],[11,"drop","","",48,{"inputs":[{"name":"self"}],"output":null}],[11,"event_input","","",48,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"event_input_pending","","",48,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"result"}}],[11,"set_input_buffer_size","","",48,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"result"}}],[11,"drop","","",49,{"inputs":[{"name":"self"}],"output":null}],[11,"get_client","","",49,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_name","","",49,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"fmt","","",49,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",50,{"inputs":[{"name":"self"}],"output":{"name":"clientiter"}}],[11,"new","","",50,{"inputs":[{"name":"seq"}],"output":{"name":"self"}}],[11,"next","","",50,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"drop","","",51,{"inputs":[{"name":"self"}],"output":null}],[11,"empty","","Creates a new PortInfo with all fields set to zero.",51,{"inputs":[],"output":{"name":"result"}}],[11,"get_client","","",51,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_port","","",51,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_name","","",51,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"set_name","","",51,{"inputs":[{"name":"self"},{"name":"cstr"}],"output":null}],[11,"get_capability","","",51,{"inputs":[{"name":"self"}],"output":{"name":"portcap"}}],[11,"get_type","","",51,{"inputs":[{"name":"self"}],"output":{"name":"porttype"}}],[11,"set_capability","","",51,{"inputs":[{"name":"self"},{"name":"portcap"}],"output":null}],[11,"set_type","","",51,{"inputs":[{"name":"self"},{"name":"porttype"}],"output":null}],[11,"get_midi_channels","","",51,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_midi_voices","","",51,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_synth_voices","","",51,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_read_use","","",51,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_write_use","","",51,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_port_specified","","",51,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"get_timestamping","","",51,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"get_timestamp_real","","",51,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"get_timestamp_queue","","",51,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"set_midi_channels","","",51,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[11,"set_midi_voices","","",51,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[11,"set_synth_voices","","",51,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[11,"set_port_specified","","",51,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[11,"set_timestamping","","",51,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[11,"set_timestamp_real","","",51,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[11,"set_timestamp_queue","","",51,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[11,"fmt","","",51,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",52,{"inputs":[{"name":"self"}],"output":{"name":"portiter"}}],[11,"new","","",52,{"inputs":[{"name":"seq"},{"name":"i32"}],"output":{"name":"self"}}],[11,"next","","",52,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"eq","","",53,{"inputs":[{"name":"self"},{"name":"portcap"}],"output":{"name":"bool"}}],[11,"ne","","",53,{"inputs":[{"name":"self"},{"name":"portcap"}],"output":{"name":"bool"}}],[11,"clone","","",53,{"inputs":[{"name":"self"}],"output":{"name":"portcap"}}],[11,"partial_cmp","","",53,{"inputs":[{"name":"self"},{"name":"portcap"}],"output":{"name":"option"}}],[11,"lt","","",53,{"inputs":[{"name":"self"},{"name":"portcap"}],"output":{"name":"bool"}}],[11,"le","","",53,{"inputs":[{"name":"self"},{"name":"portcap"}],"output":{"name":"bool"}}],[11,"gt","","",53,{"inputs":[{"name":"self"},{"name":"portcap"}],"output":{"name":"bool"}}],[11,"ge","","",53,{"inputs":[{"name":"self"},{"name":"portcap"}],"output":{"name":"bool"}}],[11,"cmp","","",53,{"inputs":[{"name":"self"},{"name":"portcap"}],"output":{"name":"ordering"}}],[11,"hash","","",53,null],[11,"fmt","","",53,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",53,{"inputs":[],"output":{"name":"portcap"}}],[11,"all","","Returns the set containing all flags.",53,{"inputs":[],"output":{"name":"portcap"}}],[11,"bits","","Returns the raw value of the flags currently stored.",53,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",53,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",53,{"inputs":[{"name":"u32"}],"output":{"name":"portcap"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",53,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",53,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",53,{"inputs":[{"name":"self"},{"name":"portcap"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",53,{"inputs":[{"name":"self"},{"name":"portcap"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",53,{"inputs":[{"name":"self"},{"name":"portcap"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",53,{"inputs":[{"name":"self"},{"name":"portcap"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",53,{"inputs":[{"name":"self"},{"name":"portcap"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",53,{"inputs":[{"name":"self"},{"name":"portcap"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",53,{"inputs":[{"name":"self"},{"name":"portcap"}],"output":{"name":"portcap"}}],[11,"bitor_assign","","Adds the set of flags.",53,{"inputs":[{"name":"self"},{"name":"portcap"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",53,{"inputs":[{"name":"self"},{"name":"portcap"}],"output":{"name":"portcap"}}],[11,"bitxor_assign","","Toggles the set of flags.",53,{"inputs":[{"name":"self"},{"name":"portcap"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",53,{"inputs":[{"name":"self"},{"name":"portcap"}],"output":{"name":"portcap"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",53,{"inputs":[{"name":"self"},{"name":"portcap"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",53,{"inputs":[{"name":"self"},{"name":"portcap"}],"output":{"name":"portcap"}}],[11,"sub_assign","","Disables all flags enabled in the set.",53,{"inputs":[{"name":"self"},{"name":"portcap"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",53,{"inputs":[{"name":"self"}],"output":{"name":"portcap"}}],[11,"extend","","",53,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",53,{"inputs":[{"name":"t"}],"output":{"name":"portcap"}}],[11,"eq","","",54,{"inputs":[{"name":"self"},{"name":"porttype"}],"output":{"name":"bool"}}],[11,"ne","","",54,{"inputs":[{"name":"self"},{"name":"porttype"}],"output":{"name":"bool"}}],[11,"clone","","",54,{"inputs":[{"name":"self"}],"output":{"name":"porttype"}}],[11,"partial_cmp","","",54,{"inputs":[{"name":"self"},{"name":"porttype"}],"output":{"name":"option"}}],[11,"lt","","",54,{"inputs":[{"name":"self"},{"name":"porttype"}],"output":{"name":"bool"}}],[11,"le","","",54,{"inputs":[{"name":"self"},{"name":"porttype"}],"output":{"name":"bool"}}],[11,"gt","","",54,{"inputs":[{"name":"self"},{"name":"porttype"}],"output":{"name":"bool"}}],[11,"ge","","",54,{"inputs":[{"name":"self"},{"name":"porttype"}],"output":{"name":"bool"}}],[11,"cmp","","",54,{"inputs":[{"name":"self"},{"name":"porttype"}],"output":{"name":"ordering"}}],[11,"hash","","",54,null],[11,"fmt","","",54,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",54,{"inputs":[],"output":{"name":"porttype"}}],[11,"all","","Returns the set containing all flags.",54,{"inputs":[],"output":{"name":"porttype"}}],[11,"bits","","Returns the raw value of the flags currently stored.",54,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",54,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",54,{"inputs":[{"name":"u32"}],"output":{"name":"porttype"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",54,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",54,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",54,{"inputs":[{"name":"self"},{"name":"porttype"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",54,{"inputs":[{"name":"self"},{"name":"porttype"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",54,{"inputs":[{"name":"self"},{"name":"porttype"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",54,{"inputs":[{"name":"self"},{"name":"porttype"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",54,{"inputs":[{"name":"self"},{"name":"porttype"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",54,{"inputs":[{"name":"self"},{"name":"porttype"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",54,{"inputs":[{"name":"self"},{"name":"porttype"}],"output":{"name":"porttype"}}],[11,"bitor_assign","","Adds the set of flags.",54,{"inputs":[{"name":"self"},{"name":"porttype"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",54,{"inputs":[{"name":"self"},{"name":"porttype"}],"output":{"name":"porttype"}}],[11,"bitxor_assign","","Toggles the set of flags.",54,{"inputs":[{"name":"self"},{"name":"porttype"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",54,{"inputs":[{"name":"self"},{"name":"porttype"}],"output":{"name":"porttype"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",54,{"inputs":[{"name":"self"},{"name":"porttype"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",54,{"inputs":[{"name":"self"},{"name":"porttype"}],"output":{"name":"porttype"}}],[11,"sub_assign","","Disables all flags enabled in the set.",54,{"inputs":[{"name":"self"},{"name":"porttype"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",54,{"inputs":[{"name":"self"}],"output":{"name":"porttype"}}],[11,"extend","","",54,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",54,{"inputs":[{"name":"t"}],"output":{"name":"porttype"}}],[11,"fmt","","",39,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",39,{"inputs":[{"name":"self"}],"output":{"name":"addr"}}],[11,"eq","","",39,{"inputs":[{"name":"self"},{"name":"addr"}],"output":{"name":"bool"}}],[11,"ne","","",39,{"inputs":[{"name":"self"},{"name":"addr"}],"output":{"name":"bool"}}],[11,"cmp","","",39,{"inputs":[{"name":"self"},{"name":"addr"}],"output":{"name":"ordering"}}],[11,"partial_cmp","","",39,{"inputs":[{"name":"self"},{"name":"addr"}],"output":{"name":"option"}}],[11,"lt","","",39,{"inputs":[{"name":"self"},{"name":"addr"}],"output":{"name":"bool"}}],[11,"le","","",39,{"inputs":[{"name":"self"},{"name":"addr"}],"output":{"name":"bool"}}],[11,"gt","","",39,{"inputs":[{"name":"self"},{"name":"addr"}],"output":{"name":"bool"}}],[11,"ge","","",39,{"inputs":[{"name":"self"},{"name":"addr"}],"output":{"name":"bool"}}],[11,"hash","","",39,null],[11,"default","","",39,{"inputs":[],"output":{"name":"addr"}}],[11,"system_timer","","",39,{"inputs":[],"output":{"name":"addr"}}],[11,"system_announce","","",39,{"inputs":[],"output":{"name":"addr"}}],[11,"broadcast","","",39,{"inputs":[],"output":{"name":"addr"}}],[11,"drop","","",55,{"inputs":[{"name":"self"}],"output":null}],[11,"empty","","Creates a new PortSubscribe with all fields set to zero.",55,{"inputs":[],"output":{"name":"result"}}],[11,"get_sender","","",55,{"inputs":[{"name":"self"}],"output":{"name":"addr"}}],[11,"get_dest","","",55,{"inputs":[{"name":"self"}],"output":{"name":"addr"}}],[11,"get_queue","","",55,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_exclusive","","",55,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"get_time_update","","",55,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"get_time_real","","",55,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"set_sender","","",55,{"inputs":[{"name":"self"},{"name":"addr"}],"output":null}],[11,"set_dest","","",55,{"inputs":[{"name":"self"},{"name":"addr"}],"output":null}],[11,"set_queue","","",55,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[11,"set_exclusive","","",55,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[11,"set_time_update","","",55,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[11,"set_time_real","","",55,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[11,"new","","Creates a new event. For events that carry variable-length data (e.g. Sysex), `new_ext` has to be used instead.",56,{"inputs":[{"name":"eventtype"},{"name":"d"}],"output":{"name":"event"}}],[11,"new_ext","","Creates a new event carrying variable-length data. This is required for event types `Sysex`, `Bounce`, and the `UsrVar` types.",56,{"inputs":[{"name":"eventtype"},{"name":"d"}],"output":{"name":"event"}}],[11,"into_owned","","Consumes this event and returns an (otherwise unchanged) event where the externally referenced buffer for variable length messages (e.g. SysEx) has been copied into the event. The returned event has a static lifetime, i e, it's decoupled from the original buffer.",56,{"inputs":[{"name":"self"}],"output":{"name":"event"}}],[11,"get_type","","",56,{"inputs":[{"name":"self"}],"output":{"name":"eventtype"}}],[11,"get_data","","Extract the event data from an event. Use `get_ext` instead for events carrying variable-length data.",56,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_ext","","Extract the variable-length data carried by events of type `Sysex`, `Bounce`, or the `UsrVar` types.",56,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"set_subs","","",56,{"inputs":[{"name":"self"}],"output":null}],[11,"set_source","","",56,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[11,"set_dest","","",56,{"inputs":[{"name":"self"},{"name":"addr"}],"output":null}],[11,"set_tag","","",56,{"inputs":[{"name":"self"},{"name":"u8"}],"output":null}],[11,"set_queue","","",56,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[11,"get_source","","",56,{"inputs":[{"name":"self"}],"output":{"name":"addr"}}],[11,"get_dest","","",56,{"inputs":[{"name":"self"}],"output":{"name":"addr"}}],[11,"get_tag","","",56,{"inputs":[{"name":"self"}],"output":{"name":"u8"}}],[11,"get_queue","","",56,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"schedule_real","","",56,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"bool"},{"name":"duration"}],"output":null}],[11,"schedule_tick","","",56,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"bool"},{"name":"u32"}],"output":null}],[11,"set_direct","","",56,{"inputs":[{"name":"self"}],"output":null}],[11,"get_relative","","",56,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"get_time","","",56,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_tick","","",56,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_priority","","Returns true if the message is high priority.",56,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"set_priority","","",56,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[11,"clone","","",56,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[11,"fmt","","",56,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",40,{"inputs":[{"name":"self"}],"output":{"name":"evnote"}}],[11,"fmt","","",40,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",40,{"inputs":[{"name":"self"},{"name":"evnote"}],"output":{"name":"bool"}}],[11,"ne","","",40,{"inputs":[{"name":"self"},{"name":"evnote"}],"output":{"name":"bool"}}],[11,"cmp","","",40,{"inputs":[{"name":"self"},{"name":"evnote"}],"output":{"name":"ordering"}}],[11,"partial_cmp","","",40,{"inputs":[{"name":"self"},{"name":"evnote"}],"output":{"name":"option"}}],[11,"lt","","",40,{"inputs":[{"name":"self"},{"name":"evnote"}],"output":{"name":"bool"}}],[11,"le","","",40,{"inputs":[{"name":"self"},{"name":"evnote"}],"output":{"name":"bool"}}],[11,"gt","","",40,{"inputs":[{"name":"self"},{"name":"evnote"}],"output":{"name":"bool"}}],[11,"ge","","",40,{"inputs":[{"name":"self"},{"name":"evnote"}],"output":{"name":"bool"}}],[11,"hash","","",40,null],[11,"default","","",40,{"inputs":[],"output":{"name":"evnote"}}],[11,"has_data","","",40,{"inputs":[{"name":"eventtype"}],"output":{"name":"bool"}}],[11,"get_data","","",40,{"inputs":[{"name":"event"}],"output":{"name":"self"}}],[11,"set_data","","",40,{"inputs":[{"name":"self"},{"name":"event"}],"output":null}],[11,"clone","","",41,{"inputs":[{"name":"self"}],"output":{"name":"evctrl"}}],[11,"fmt","","",41,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",41,{"inputs":[{"name":"self"},{"name":"evctrl"}],"output":{"name":"bool"}}],[11,"ne","","",41,{"inputs":[{"name":"self"},{"name":"evctrl"}],"output":{"name":"bool"}}],[11,"cmp","","",41,{"inputs":[{"name":"self"},{"name":"evctrl"}],"output":{"name":"ordering"}}],[11,"partial_cmp","","",41,{"inputs":[{"name":"self"},{"name":"evctrl"}],"output":{"name":"option"}}],[11,"lt","","",41,{"inputs":[{"name":"self"},{"name":"evctrl"}],"output":{"name":"bool"}}],[11,"le","","",41,{"inputs":[{"name":"self"},{"name":"evctrl"}],"output":{"name":"bool"}}],[11,"gt","","",41,{"inputs":[{"name":"self"},{"name":"evctrl"}],"output":{"name":"bool"}}],[11,"ge","","",41,{"inputs":[{"name":"self"},{"name":"evctrl"}],"output":{"name":"bool"}}],[11,"hash","","",41,null],[11,"default","","",41,{"inputs":[],"output":{"name":"evctrl"}}],[11,"has_data","","",41,{"inputs":[{"name":"eventtype"}],"output":{"name":"bool"}}],[11,"get_data","","",41,{"inputs":[{"name":"event"}],"output":{"name":"self"}}],[11,"set_data","","",41,{"inputs":[{"name":"self"},{"name":"event"}],"output":null}],[11,"has_data","","",39,{"inputs":[{"name":"eventtype"}],"output":{"name":"bool"}}],[11,"get_data","","",39,{"inputs":[{"name":"event"}],"output":{"name":"self"}}],[11,"set_data","","",39,{"inputs":[{"name":"self"},{"name":"event"}],"output":null}],[11,"clone","","",42,{"inputs":[{"name":"self"}],"output":{"name":"connect"}}],[11,"fmt","","",42,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",42,{"inputs":[{"name":"self"},{"name":"connect"}],"output":{"name":"bool"}}],[11,"ne","","",42,{"inputs":[{"name":"self"},{"name":"connect"}],"output":{"name":"bool"}}],[11,"cmp","","",42,{"inputs":[{"name":"self"},{"name":"connect"}],"output":{"name":"ordering"}}],[11,"partial_cmp","","",42,{"inputs":[{"name":"self"},{"name":"connect"}],"output":{"name":"option"}}],[11,"lt","","",42,{"inputs":[{"name":"self"},{"name":"connect"}],"output":{"name":"bool"}}],[11,"le","","",42,{"inputs":[{"name":"self"},{"name":"connect"}],"output":{"name":"bool"}}],[11,"gt","","",42,{"inputs":[{"name":"self"},{"name":"connect"}],"output":{"name":"bool"}}],[11,"ge","","",42,{"inputs":[{"name":"self"},{"name":"connect"}],"output":{"name":"bool"}}],[11,"hash","","",42,null],[11,"default","","",42,{"inputs":[],"output":{"name":"connect"}}],[11,"has_data","","",42,{"inputs":[{"name":"eventtype"}],"output":{"name":"bool"}}],[11,"get_data","","",42,{"inputs":[{"name":"event"}],"output":{"name":"self"}}],[11,"set_data","","",42,{"inputs":[{"name":"self"},{"name":"event"}],"output":null}],[11,"clone","","",43,{"inputs":[{"name":"self"}],"output":{"name":"evqueuecontrol"}}],[11,"fmt","","",43,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",43,{"inputs":[{"name":"self"},{"name":"evqueuecontrol"}],"output":{"name":"bool"}}],[11,"ne","","",43,{"inputs":[{"name":"self"},{"name":"evqueuecontrol"}],"output":{"name":"bool"}}],[11,"cmp","","",43,{"inputs":[{"name":"self"},{"name":"evqueuecontrol"}],"output":{"name":"ordering"}}],[11,"partial_cmp","","",43,{"inputs":[{"name":"self"},{"name":"evqueuecontrol"}],"output":{"name":"option"}}],[11,"lt","","",43,{"inputs":[{"name":"self"},{"name":"evqueuecontrol"}],"output":{"name":"bool"}}],[11,"le","","",43,{"inputs":[{"name":"self"},{"name":"evqueuecontrol"}],"output":{"name":"bool"}}],[11,"gt","","",43,{"inputs":[{"name":"self"},{"name":"evqueuecontrol"}],"output":{"name":"bool"}}],[11,"ge","","",43,{"inputs":[{"name":"self"},{"name":"evqueuecontrol"}],"output":{"name":"bool"}}],[11,"hash","","",43,null],[11,"default","","",43,{"inputs":[],"output":{"name":"evqueuecontrol"}}],[11,"has_data","","",43,{"inputs":[{"name":"eventtype"}],"output":{"name":"bool"}}],[11,"get_data","","",43,{"inputs":[{"name":"event"}],"output":{"name":"self"}}],[11,"set_data","","",43,{"inputs":[{"name":"self"},{"name":"event"}],"output":null}],[11,"has_data","","",43,{"inputs":[{"name":"eventtype"}],"output":{"name":"bool"}}],[11,"get_data","","",43,{"inputs":[{"name":"event"}],"output":{"name":"self"}}],[11,"set_data","","",43,{"inputs":[{"name":"self"},{"name":"event"}],"output":null}],[11,"has_data","","",43,{"inputs":[{"name":"eventtype"}],"output":{"name":"bool"}}],[11,"get_data","","",43,{"inputs":[{"name":"event"}],"output":{"name":"self"}}],[11,"set_data","","",43,{"inputs":[{"name":"self"},{"name":"event"}],"output":null}],[11,"has_data","","",43,{"inputs":[{"name":"eventtype"}],"output":{"name":"bool"}}],[11,"get_data","","",43,{"inputs":[{"name":"event"}],"output":{"name":"self"}}],[11,"set_data","","",43,{"inputs":[{"name":"self"},{"name":"event"}],"output":null}],[11,"clone","","",44,{"inputs":[{"name":"self"}],"output":{"name":"evresult"}}],[11,"fmt","","",44,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",44,{"inputs":[{"name":"self"},{"name":"evresult"}],"output":{"name":"bool"}}],[11,"ne","","",44,{"inputs":[{"name":"self"},{"name":"evresult"}],"output":{"name":"bool"}}],[11,"cmp","","",44,{"inputs":[{"name":"self"},{"name":"evresult"}],"output":{"name":"ordering"}}],[11,"partial_cmp","","",44,{"inputs":[{"name":"self"},{"name":"evresult"}],"output":{"name":"option"}}],[11,"lt","","",44,{"inputs":[{"name":"self"},{"name":"evresult"}],"output":{"name":"bool"}}],[11,"le","","",44,{"inputs":[{"name":"self"},{"name":"evresult"}],"output":{"name":"bool"}}],[11,"gt","","",44,{"inputs":[{"name":"self"},{"name":"evresult"}],"output":{"name":"bool"}}],[11,"ge","","",44,{"inputs":[{"name":"self"},{"name":"evresult"}],"output":{"name":"bool"}}],[11,"hash","","",44,null],[11,"default","","",44,{"inputs":[],"output":{"name":"evresult"}}],[11,"has_data","","",44,{"inputs":[{"name":"eventtype"}],"output":{"name":"bool"}}],[11,"get_data","","",44,{"inputs":[{"name":"event"}],"output":{"name":"self"}}],[11,"set_data","","",44,{"inputs":[{"name":"self"},{"name":"event"}],"output":null}],[11,"fmt","","",45,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",45,{"inputs":[{"name":"self"}],"output":{"name":"eventtype"}}],[11,"eq","","",45,{"inputs":[{"name":"self"},{"name":"eventtype"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",45,{"inputs":[{"name":"self"},{"name":"eventtype"}],"output":{"name":"option"}}],[11,"cmp","","",45,{"inputs":[{"name":"self"},{"name":"eventtype"}],"output":{"name":"ordering"}}],[11,"hash","","",45,null],[11,"all","","Returns a slice of all possible values; useful for iteration",45,null],[11,"drop","","",57,{"inputs":[{"name":"self"}],"output":null}],[11,"empty","","Creates a new QueueTempo with all fields set to zero.",57,{"inputs":[],"output":{"name":"result"}}],[11,"get_queue","","",57,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_tempo","","",57,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"get_ppq","","",57,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_skew","","",57,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"get_skew_base","","",57,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"set_tempo","","",57,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[11,"set_ppq","","",57,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[11,"set_skew","","",57,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[11,"set_skew_base","","",57,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[11,"drop","","",58,{"inputs":[{"name":"self"}],"output":null}],[11,"new","","",58,{"inputs":[{"name":"u32"}],"output":{"name":"result"}}],[11,"resize_buffer","","",58,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"result"}}],[11,"enable_running_status","","Note: this corresponds to snd_midi_event_no_status, but on and off are switched.",58,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[11,"decode","","",58,null],[11,"encode","","In case of success, returns a tuple of (bytes consumed from buf, found Event).",58,null],[11,"drop","alsa","",59,{"inputs":[{"name":"self"}],"output":null}],[11,"buffer_open","","",59,{"inputs":[],"output":{"name":"result"}}],[11,"buffer_string","","",59,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"t"}}],[11,"fmt","","",59,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",59,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","alsa::pcm","",13,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",13,{"inputs":[{"name":"self"}],"output":{"name":"chmaptype"}}],[11,"eq","","",13,{"inputs":[{"name":"self"},{"name":"chmaptype"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",13,{"inputs":[{"name":"self"},{"name":"chmaptype"}],"output":{"name":"option"}}],[11,"cmp","","",13,{"inputs":[{"name":"self"},{"name":"chmaptype"}],"output":{"name":"ordering"}}],[11,"hash","","",13,null],[11,"all","","Returns a slice of all possible values; useful for iteration",13,null],[11,"fmt","","",12,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",12,{"inputs":[{"name":"self"}],"output":{"name":"chmapposition"}}],[11,"eq","","",12,{"inputs":[{"name":"self"},{"name":"chmapposition"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",12,{"inputs":[{"name":"self"},{"name":"chmapposition"}],"output":{"name":"option"}}],[11,"cmp","","",12,{"inputs":[{"name":"self"},{"name":"chmapposition"}],"output":{"name":"ordering"}}],[11,"hash","","",12,null],[11,"all","","Returns a slice of all possible values; useful for iteration",12,null],[11,"fmt","","",12,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"drop","","",60,{"inputs":[{"name":"self"}],"output":null}],[11,"fmt","","",60,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"from","","",60,null],[11,"drop","","",61,{"inputs":[{"name":"self"}],"output":null}],[11,"next","","",61,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[6,"Result","alsa","",null,null],[11,"fmt","","",0,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",0,{"inputs":[{"name":"self"}],"output":{"name":"direction"}}],[11,"eq","","",0,{"inputs":[{"name":"self"},{"name":"direction"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",0,{"inputs":[{"name":"self"},{"name":"direction"}],"output":{"name":"option"}}],[11,"cmp","","",0,{"inputs":[{"name":"self"},{"name":"direction"}],"output":{"name":"ordering"}}],[11,"input","","",0,{"inputs":[],"output":{"name":"direction"}}],[11,"output","","",0,{"inputs":[],"output":{"name":"direction"}}],[11,"fmt","","",1,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",1,{"inputs":[{"name":"self"}],"output":{"name":"valueor"}}],[11,"eq","","",1,{"inputs":[{"name":"self"},{"name":"valueor"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",1,{"inputs":[{"name":"self"},{"name":"valueor"}],"output":{"name":"option"}}],[11,"cmp","","",1,{"inputs":[{"name":"self"},{"name":"valueor"}],"output":{"name":"ordering"}}],[11,"fmt","","",2,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",2,{"inputs":[{"name":"self"}],"output":{"name":"round"}}],[11,"eq","","",2,{"inputs":[{"name":"self"},{"name":"round"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",2,{"inputs":[{"name":"self"},{"name":"round"}],"output":{"name":"option"}}],[11,"cmp","","",2,{"inputs":[{"name":"self"},{"name":"round"}],"output":{"name":"ordering"}}],[11,"drop","alsa::ctl","",62,{"inputs":[{"name":"self"}],"output":null}],[11,"get_id","","",62,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"get_driver","","",62,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"get_components","","",62,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"get_longname","","",62,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"get_name","","",62,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"get_mixername","","",62,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"get_card","","",62,{"inputs":[{"name":"self"}],"output":{"name":"card"}}],[11,"fmt","","",7,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",7,{"inputs":[{"name":"self"}],"output":{"name":"elemiface"}}],[11,"eq","","",7,{"inputs":[{"name":"self"},{"name":"elemiface"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",7,{"inputs":[{"name":"self"},{"name":"elemiface"}],"output":{"name":"option"}}],[11,"cmp","","",7,{"inputs":[{"name":"self"},{"name":"elemiface"}],"output":{"name":"ordering"}}],[11,"hash","","",7,null],[11,"all","","Returns a slice of all possible values; useful for iteration",7,null],[11,"fmt","","",8,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",8,{"inputs":[{"name":"self"}],"output":{"name":"elemtype"}}],[11,"eq","","",8,{"inputs":[{"name":"self"},{"name":"elemtype"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",8,{"inputs":[{"name":"self"},{"name":"elemtype"}],"output":{"name":"option"}}],[11,"cmp","","",8,{"inputs":[{"name":"self"},{"name":"elemtype"}],"output":{"name":"ordering"}}],[11,"hash","","",8,null],[11,"all","","Returns a slice of all possible values; useful for iteration",8,null],[11,"drop","","",63,{"inputs":[{"name":"self"}],"output":null}],[11,"get_boolean","","",63,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"set_boolean","","",63,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"bool"}],"output":{"name":"option"}}],[11,"get_integer","","",63,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"set_integer","","",63,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"i32"}],"output":{"name":"option"}}],[11,"get_integer64","","",63,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"set_integer64","","",63,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"i64"}],"output":{"name":"option"}}],[11,"get_enumerated","","",63,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"set_enumerated","","",63,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"u32"}],"output":{"name":"option"}}],[11,"get_byte","","",63,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"set_byte","","",63,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"u8"}],"output":{"name":"option"}}],[11,"get_bytes","","",63,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"set_bytes","","",63,null],[11,"new","","Creates a new ElemValue.",63,{"inputs":[{"name":"elemtype"}],"output":{"name":"result"}}],[11,"fmt","","",63,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"drop","","",64,{"inputs":[{"name":"self"}],"output":null}],[11,"get_type","","",64,{"inputs":[{"name":"self"}],"output":{"name":"elemtype"}}],[11,"get_count","","",64,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"clone","","",65,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[11,"get_name","","",65,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"get_device","","",65,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"get_subdevice","","",65,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"get_numid","","",65,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"get_index","","",65,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"get_interface","","",65,{"inputs":[{"name":"self"}],"output":{"name":"elemiface"}}],[11,"set_device","","",65,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[11,"set_subdevice","","",65,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[11,"set_numid","","",65,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[11,"set_index","","",65,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[11,"set_interface","","",65,{"inputs":[{"name":"self"},{"name":"elemiface"}],"output":null}],[11,"set_name","","",65,{"inputs":[{"name":"self"},{"name":"cstr"}],"output":null}],[11,"new","","Creates a new ElemId. ",65,{"inputs":[{"name":"elemiface"}],"output":{"name":"self"}}],[11,"eq","","",65,{"inputs":[{"name":"self"},{"name":"elemid"}],"output":{"name":"bool"}}],[11,"fmt","","",65,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}]],"paths":[[4,"Direction"],[4,"ValueOr"],[4,"Round"],[3,"Error"],[3,"Card"],[3,"Iter"],[3,"Ctl"],[4,"ElemIface"],[4,"ElemType"],[3,"HCtl"],[3,"ElemIter"],[3,"Elem"],[4,"ChmapPosition"],[4,"ChmapType"],[4,"State"],[4,"Format"],[4,"Access"],[3,"Info"],[3,"PCM"],[3,"IO"],[3,"HwParams"],[3,"SwParams"],[3,"Status"],[3,"Info"],[3,"Iter"],[3,"Rawmidi"],[3,"IO"],[3,"Hint"],[3,"HintIter"],[8,"PollDescriptors"],[3,"PollFlags"],[3,"MilliBel"],[4,"SelemChannelId"],[3,"Mixer"],[3,"Elem"],[3,"Iter"],[3,"SelemId"],[3,"Selem"],[3,"IterEnum"],[3,"Addr"],[3,"EvNote"],[3,"EvCtrl"],[3,"Connect"],[3,"EvQueueControl"],[3,"EvResult"],[4,"EventType"],[8,"EventData"],[3,"Seq"],[3,"Input"],[3,"ClientInfo"],[3,"ClientIter"],[3,"PortInfo"],[3,"PortIter"],[3,"PortCap"],[3,"PortType"],[3,"PortSubscribe"],[3,"Event"],[3,"QueueTempo"],[3,"MidiEvent"],[3,"Output"],[3,"Chmap"],[3,"ChmapsQuery"],[3,"CardInfo"],[3,"ElemValue"],[3,"ElemInfo"],[3,"ElemId"]]};
searchIndex["alsa_sys"] = {"doc":"","items":[[3,"snd_dlsym_link","alsa_sys","",null,null],[12,"next","","",0,null],[12,"dlsym_name","","",0,null],[12,"dlsym_ptr","","",0,null],[3,"snd_devname_t","","",null,null],[12,"name","","",1,null],[12,"comment","","",1,null],[12,"next","","",1,null],[3,"snd_pcm_channel_area_t","","",null,null],[12,"addr","","",2,null],[12,"first","","",2,null],[12,"step","","",2,null],[3,"snd_pcm_sync_id_t","","",null,null],[12,"data","","",3,null],[3,"snd_pcm_chmap_t","","",null,null],[12,"channels","","",4,null],[12,"pos","","",4,null],[3,"snd_pcm_chmap_query_t","","",null,null],[12,"_type","","",5,null],[12,"map","","",5,null],[3,"snd_pcm_scope_ops_t","","",null,null],[12,"enable","","",6,null],[12,"disable","","",6,null],[12,"start","","",6,null],[12,"stop","","",6,null],[12,"update","","",6,null],[12,"reset","","",6,null],[12,"close","","",6,null],[3,"snd_timer_read_t","","",null,null],[12,"resolution","","",7,null],[12,"ticks","","",7,null],[3,"snd_timer_tread_t","","",null,null],[12,"event","","",8,null],[12,"tstamp","","",8,null],[12,"val","","",8,null],[3,"snd_aes_iec958_t","","",null,null],[12,"status","","",9,null],[12,"subcode","","",9,null],[12,"pad","","",9,null],[12,"dig_subframe","","",9,null],[3,"snd_mixer_selem_regopt","","",null,null],[12,"ver","","",10,null],[12,"_abstract","","",10,null],[12,"device","","",10,null],[12,"playback_pcm","","",10,null],[12,"capture_pcm","","",10,null],[3,"snd_seq_addr_t","","",null,null],[12,"client","","",11,null],[12,"port","","",11,null],[3,"snd_seq_connect_t","","",null,null],[12,"sender","","",12,null],[12,"dest","","",12,null],[3,"snd_seq_real_time_t","","",null,null],[12,"tv_sec","","",13,null],[12,"tv_nsec","","",13,null],[3,"snd_seq_timestamp_t","","",null,null],[12,"data","","",14,null],[3,"snd_seq_ev_note_t","","",null,null],[12,"channel","","",15,null],[12,"note","","",15,null],[12,"velocity","","",15,null],[12,"off_velocity","","",15,null],[12,"duration","","",15,null],[3,"snd_seq_ev_ctrl_t","","",null,null],[12,"channel","","",16,null],[12,"unused","","",16,null],[12,"param","","",16,null],[12,"value","","",16,null],[3,"snd_seq_ev_raw8_t","","",null,null],[12,"d","","",17,null],[3,"snd_seq_ev_raw32_t","","",null,null],[12,"d","","",18,null],[3,"snd_seq_ev_ext_t","","",null,null],[12,"len","","",19,null],[12,"ptr","","",19,null],[3,"snd_seq_result_t","","",null,null],[12,"event","","",20,null],[12,"result","","",20,null],[3,"snd_seq_queue_skew_t","","",null,null],[12,"value","","",21,null],[12,"base","","",21,null],[3,"snd_seq_ev_queue_control_t","","",null,null],[12,"queue","","",22,null],[12,"unused","","",22,null],[12,"param","","",22,null],[3,"Union_Unnamed9","","",null,null],[12,"data","","",23,null],[3,"snd_seq_event_t","","",null,null],[12,"_type","","",24,null],[12,"flags","","",24,null],[12,"tag","","",24,null],[12,"queue","","",24,null],[12,"time","","",24,null],[12,"source","","",24,null],[12,"dest","","",24,null],[12,"data","","",24,null],[3,"Union_Unnamed10","","",null,null],[12,"data","","",25,null],[4,"snd_async_handler_t","","",null,null],[4,"snd_shm_area","","",null,null],[4,"snd_input_t","","",null,null],[4,"snd_output_t","","",null,null],[4,"snd_config_t","","",null,null],[4,"Struct__snd_config_iterator","","",null,null],[4,"snd_config_update_t","","",null,null],[4,"snd_pcm_info_t","","",null,null],[4,"snd_pcm_hw_params_t","","",null,null],[4,"snd_pcm_sw_params_t","","",null,null],[4,"snd_pcm_status_t","","",null,null],[4,"snd_pcm_access_mask_t","","",null,null],[4,"snd_pcm_format_mask_t","","",null,null],[4,"snd_pcm_subformat_mask_t","","",null,null],[4,"snd_pcm_t","","",null,null],[4,"snd_pcm_scope_t","","",null,null],[4,"snd_pcm_hook_t","","",null,null],[4,"snd_rawmidi_info_t","","",null,null],[4,"snd_rawmidi_params_t","","",null,null],[4,"snd_rawmidi_status_t","","",null,null],[4,"snd_rawmidi_t","","",null,null],[4,"snd_timer_id_t","","",null,null],[4,"snd_timer_ginfo_t","","",null,null],[4,"snd_timer_gparams_t","","",null,null],[4,"snd_timer_gstatus_t","","",null,null],[4,"snd_timer_info_t","","",null,null],[4,"snd_timer_params_t","","",null,null],[4,"snd_timer_status_t","","",null,null],[4,"snd_timer_query_t","","",null,null],[4,"snd_timer_t","","",null,null],[4,"snd_hwdep_info_t","","",null,null],[4,"snd_hwdep_dsp_status_t","","",null,null],[4,"snd_hwdep_dsp_image_t","","",null,null],[4,"snd_hwdep_t","","",null,null],[4,"snd_ctl_card_info_t","","",null,null],[4,"snd_ctl_elem_id_t","","",null,null],[4,"snd_ctl_elem_list_t","","",null,null],[4,"snd_ctl_elem_info_t","","",null,null],[4,"snd_ctl_elem_value_t","","",null,null],[4,"snd_ctl_event_t","","",null,null],[4,"snd_ctl_t","","",null,null],[4,"snd_sctl_t","","",null,null],[4,"snd_hctl_elem_t","","",null,null],[4,"snd_hctl_t","","",null,null],[4,"snd_mixer_t","","",null,null],[4,"snd_mixer_class_t","","",null,null],[4,"snd_mixer_elem_t","","",null,null],[4,"snd_mixer_selem_id_t","","",null,null],[4,"snd_seq_t","","",null,null],[4,"snd_seq_system_info_t","","",null,null],[4,"snd_seq_client_info_t","","",null,null],[4,"snd_seq_client_pool_t","","",null,null],[4,"snd_seq_port_info_t","","",null,null],[4,"snd_seq_port_subscribe_t","","",null,null],[4,"snd_seq_query_subscribe_t","","",null,null],[4,"snd_seq_queue_info_t","","",null,null],[4,"snd_seq_queue_status_t","","",null,null],[4,"snd_seq_queue_tempo_t","","",null,null],[4,"snd_seq_queue_timer_t","","",null,null],[4,"snd_seq_remove_events_t","","",null,null],[4,"snd_midi_event_t","","",null,null],[7,"snd_dlsym_start","","",null,null],[7,"snd_lib_error","","",null,null],[7,"snd_config","","",null,null],[7,"snd_seq_event_types","","",null,null],[5,"snd_asoundlib_version","","",null,null],[5,"snd_dlopen","","",null,null],[5,"snd_dlsym","","",null,null],[5,"snd_dlclose","","",null,null],[5,"snd_async_add_handler","","",null,null],[5,"snd_async_del_handler","","",null,null],[5,"snd_async_handler_get_fd","","",null,null],[5,"snd_async_handler_get_signo","","",null,null],[5,"snd_async_handler_get_callback_private","","",null,null],[5,"snd_shm_area_create","","",null,null],[5,"snd_shm_area_share","","",null,null],[5,"snd_shm_area_destroy","","",null,null],[5,"snd_user_file","","",null,null],[5,"snd_input_stdio_open","","",null,null],[5,"snd_input_stdio_attach","","",null,null],[5,"snd_input_buffer_open","","",null,null],[5,"snd_input_close","","",null,null],[5,"snd_input_scanf","","",null,null],[5,"snd_input_gets","","",null,null],[5,"snd_input_getc","","",null,null],[5,"snd_input_ungetc","","",null,null],[5,"snd_output_stdio_open","","",null,null],[5,"snd_output_stdio_attach","","",null,null],[5,"snd_output_buffer_open","","",null,null],[5,"snd_output_buffer_string","","",null,null],[5,"snd_output_close","","",null,null],[5,"snd_output_printf","","",null,null],[5,"snd_output_puts","","",null,null],[5,"snd_output_putc","","",null,null],[5,"snd_output_flush","","",null,null],[5,"snd_strerror","","",null,null],[5,"snd_lib_error_set_handler","","",null,null],[5,"snd_config_top","","",null,null],[5,"snd_config_load","","",null,null],[5,"snd_config_load_override","","",null,null],[5,"snd_config_save","","",null,null],[5,"snd_config_update","","",null,null],[5,"snd_config_update_r","","",null,null],[5,"snd_config_update_free","","",null,null],[5,"snd_config_update_free_global","","",null,null],[5,"snd_config_search","","",null,null],[5,"snd_config_searchv","","",null,null],[5,"snd_config_search_definition","","",null,null],[5,"snd_config_expand","","",null,null],[5,"snd_config_evaluate","","",null,null],[5,"snd_config_add","","",null,null],[5,"snd_config_delete","","",null,null],[5,"snd_config_delete_compound_members","","",null,null],[5,"snd_config_copy","","",null,null],[5,"snd_config_make","","",null,null],[5,"snd_config_make_integer","","",null,null],[5,"snd_config_make_integer64","","",null,null],[5,"snd_config_make_real","","",null,null],[5,"snd_config_make_string","","",null,null],[5,"snd_config_make_pointer","","",null,null],[5,"snd_config_make_compound","","",null,null],[5,"snd_config_imake_integer","","",null,null],[5,"snd_config_imake_integer64","","",null,null],[5,"snd_config_imake_real","","",null,null],[5,"snd_config_imake_string","","",null,null],[5,"snd_config_imake_pointer","","",null,null],[5,"snd_config_get_type","","",null,null],[5,"snd_config_set_id","","",null,null],[5,"snd_config_set_integer","","",null,null],[5,"snd_config_set_integer64","","",null,null],[5,"snd_config_set_real","","",null,null],[5,"snd_config_set_string","","",null,null],[5,"snd_config_set_ascii","","",null,null],[5,"snd_config_set_pointer","","",null,null],[5,"snd_config_get_id","","",null,null],[5,"snd_config_get_integer","","",null,null],[5,"snd_config_get_integer64","","",null,null],[5,"snd_config_get_real","","",null,null],[5,"snd_config_get_ireal","","",null,null],[5,"snd_config_get_string","","",null,null],[5,"snd_config_get_ascii","","",null,null],[5,"snd_config_get_pointer","","",null,null],[5,"snd_config_test_id","","",null,null],[5,"snd_config_iterator_first","","",null,null],[5,"snd_config_iterator_next","","",null,null],[5,"snd_config_iterator_end","","",null,null],[5,"snd_config_iterator_entry","","",null,null],[5,"snd_config_get_bool_ascii","","",null,null],[5,"snd_config_get_bool","","",null,null],[5,"snd_config_get_ctl_iface_ascii","","",null,null],[5,"snd_config_get_ctl_iface","","",null,null],[5,"snd_names_list","","",null,null],[5,"snd_names_list_free","","",null,null],[5,"snd_pcm_open","","",null,null],[5,"snd_pcm_open_lconf","","",null,null],[5,"snd_pcm_open_fallback","","",null,null],[5,"snd_pcm_close","","",null,null],[5,"snd_pcm_name","","",null,null],[5,"snd_pcm_type","","",null,null],[5,"snd_pcm_stream","","",null,null],[5,"snd_pcm_poll_descriptors_count","","",null,null],[5,"snd_pcm_poll_descriptors","","",null,null],[5,"snd_pcm_poll_descriptors_revents","","",null,null],[5,"snd_pcm_nonblock","","",null,null],[5,"snd_async_add_pcm_handler","","",null,null],[5,"snd_async_handler_get_pcm","","",null,null],[5,"snd_pcm_info","","",null,null],[5,"snd_pcm_hw_params_current","","",null,null],[5,"snd_pcm_hw_params","","",null,null],[5,"snd_pcm_hw_free","","",null,null],[5,"snd_pcm_sw_params_current","","",null,null],[5,"snd_pcm_sw_params","","",null,null],[5,"snd_pcm_prepare","","",null,null],[5,"snd_pcm_reset","","",null,null],[5,"snd_pcm_status","","",null,null],[5,"snd_pcm_start","","",null,null],[5,"snd_pcm_drop","","",null,null],[5,"snd_pcm_drain","","",null,null],[5,"snd_pcm_pause","","",null,null],[5,"snd_pcm_state","","",null,null],[5,"snd_pcm_hwsync","","",null,null],[5,"snd_pcm_delay","","",null,null],[5,"snd_pcm_resume","","",null,null],[5,"snd_pcm_htimestamp","","",null,null],[5,"snd_pcm_avail","","",null,null],[5,"snd_pcm_avail_update","","",null,null],[5,"snd_pcm_avail_delay","","",null,null],[5,"snd_pcm_rewindable","","",null,null],[5,"snd_pcm_rewind","","",null,null],[5,"snd_pcm_forwardable","","",null,null],[5,"snd_pcm_forward","","",null,null],[5,"snd_pcm_writei","","",null,null],[5,"snd_pcm_readi","","",null,null],[5,"snd_pcm_writen","","",null,null],[5,"snd_pcm_readn","","",null,null],[5,"snd_pcm_wait","","",null,null],[5,"snd_pcm_link","","",null,null],[5,"snd_pcm_unlink","","",null,null],[5,"snd_pcm_query_chmaps","","",null,null],[5,"snd_pcm_query_chmaps_from_hw","","",null,null],[5,"snd_pcm_free_chmaps","","",null,null],[5,"snd_pcm_get_chmap","","",null,null],[5,"snd_pcm_set_chmap","","",null,null],[5,"snd_pcm_chmap_type_name","","",null,null],[5,"snd_pcm_chmap_name","","",null,null],[5,"snd_pcm_chmap_long_name","","",null,null],[5,"snd_pcm_chmap_print","","",null,null],[5,"snd_pcm_chmap_from_string","","",null,null],[5,"snd_pcm_chmap_parse_string","","",null,null],[5,"snd_pcm_recover","","",null,null],[5,"snd_pcm_set_params","","",null,null],[5,"snd_pcm_get_params","","",null,null],[5,"snd_pcm_info_sizeof","","",null,null],[5,"snd_pcm_info_malloc","","",null,null],[5,"snd_pcm_info_free","","",null,null],[5,"snd_pcm_info_copy","","",null,null],[5,"snd_pcm_info_get_device","","",null,null],[5,"snd_pcm_info_get_subdevice","","",null,null],[5,"snd_pcm_info_get_stream","","",null,null],[5,"snd_pcm_info_get_card","","",null,null],[5,"snd_pcm_info_get_id","","",null,null],[5,"snd_pcm_info_get_name","","",null,null],[5,"snd_pcm_info_get_subdevice_name","","",null,null],[5,"snd_pcm_info_get_class","","",null,null],[5,"snd_pcm_info_get_subclass","","",null,null],[5,"snd_pcm_info_get_subdevices_count","","",null,null],[5,"snd_pcm_info_get_subdevices_avail","","",null,null],[5,"snd_pcm_info_get_sync","","",null,null],[5,"snd_pcm_info_set_device","","",null,null],[5,"snd_pcm_info_set_subdevice","","",null,null],[5,"snd_pcm_info_set_stream","","",null,null],[5,"snd_pcm_hw_params_any","","",null,null],[5,"snd_pcm_hw_params_can_mmap_sample_resolution","","",null,null],[5,"snd_pcm_hw_params_is_double","","",null,null],[5,"snd_pcm_hw_params_is_batch","","",null,null],[5,"snd_pcm_hw_params_is_block_transfer","","",null,null],[5,"snd_pcm_hw_params_is_monotonic","","",null,null],[5,"snd_pcm_hw_params_can_overrange","","",null,null],[5,"snd_pcm_hw_params_can_pause","","",null,null],[5,"snd_pcm_hw_params_can_resume","","",null,null],[5,"snd_pcm_hw_params_is_half_duplex","","",null,null],[5,"snd_pcm_hw_params_is_joint_duplex","","",null,null],[5,"snd_pcm_hw_params_can_sync_start","","",null,null],[5,"snd_pcm_hw_params_can_disable_period_wakeup","","",null,null],[5,"snd_pcm_hw_params_supports_audio_wallclock_ts","","",null,null],[5,"snd_pcm_hw_params_get_rate_numden","","",null,null],[5,"snd_pcm_hw_params_get_sbits","","",null,null],[5,"snd_pcm_hw_params_get_fifo_size","","",null,null],[5,"snd_pcm_hw_params_sizeof","","",null,null],[5,"snd_pcm_hw_params_malloc","","",null,null],[5,"snd_pcm_hw_params_free","","",null,null],[5,"snd_pcm_hw_params_copy","","",null,null],[5,"snd_pcm_hw_params_get_access","","",null,null],[5,"snd_pcm_hw_params_test_access","","",null,null],[5,"snd_pcm_hw_params_set_access","","",null,null],[5,"snd_pcm_hw_params_set_access_first","","",null,null],[5,"snd_pcm_hw_params_set_access_last","","",null,null],[5,"snd_pcm_hw_params_set_access_mask","","",null,null],[5,"snd_pcm_hw_params_get_access_mask","","",null,null],[5,"snd_pcm_hw_params_get_format","","",null,null],[5,"snd_pcm_hw_params_test_format","","",null,null],[5,"snd_pcm_hw_params_set_format","","",null,null],[5,"snd_pcm_hw_params_set_format_first","","",null,null],[5,"snd_pcm_hw_params_set_format_last","","",null,null],[5,"snd_pcm_hw_params_set_format_mask","","",null,null],[5,"snd_pcm_hw_params_get_format_mask","","",null,null],[5,"snd_pcm_hw_params_get_subformat","","",null,null],[5,"snd_pcm_hw_params_test_subformat","","",null,null],[5,"snd_pcm_hw_params_set_subformat","","",null,null],[5,"snd_pcm_hw_params_set_subformat_first","","",null,null],[5,"snd_pcm_hw_params_set_subformat_last","","",null,null],[5,"snd_pcm_hw_params_set_subformat_mask","","",null,null],[5,"snd_pcm_hw_params_get_subformat_mask","","",null,null],[5,"snd_pcm_hw_params_get_channels","","",null,null],[5,"snd_pcm_hw_params_get_channels_min","","",null,null],[5,"snd_pcm_hw_params_get_channels_max","","",null,null],[5,"snd_pcm_hw_params_test_channels","","",null,null],[5,"snd_pcm_hw_params_set_channels","","",null,null],[5,"snd_pcm_hw_params_set_channels_min","","",null,null],[5,"snd_pcm_hw_params_set_channels_max","","",null,null],[5,"snd_pcm_hw_params_set_channels_minmax","","",null,null],[5,"snd_pcm_hw_params_set_channels_near","","",null,null],[5,"snd_pcm_hw_params_set_channels_first","","",null,null],[5,"snd_pcm_hw_params_set_channels_last","","",null,null],[5,"snd_pcm_hw_params_get_rate","","",null,null],[5,"snd_pcm_hw_params_get_rate_min","","",null,null],[5,"snd_pcm_hw_params_get_rate_max","","",null,null],[5,"snd_pcm_hw_params_test_rate","","",null,null],[5,"snd_pcm_hw_params_set_rate","","",null,null],[5,"snd_pcm_hw_params_set_rate_min","","",null,null],[5,"snd_pcm_hw_params_set_rate_max","","",null,null],[5,"snd_pcm_hw_params_set_rate_minmax","","",null,null],[5,"snd_pcm_hw_params_set_rate_near","","",null,null],[5,"snd_pcm_hw_params_set_rate_first","","",null,null],[5,"snd_pcm_hw_params_set_rate_last","","",null,null],[5,"snd_pcm_hw_params_set_rate_resample","","",null,null],[5,"snd_pcm_hw_params_get_rate_resample","","",null,null],[5,"snd_pcm_hw_params_set_export_buffer","","",null,null],[5,"snd_pcm_hw_params_get_export_buffer","","",null,null],[5,"snd_pcm_hw_params_set_period_wakeup","","",null,null],[5,"snd_pcm_hw_params_get_period_wakeup","","",null,null],[5,"snd_pcm_hw_params_get_period_time","","",null,null],[5,"snd_pcm_hw_params_get_period_time_min","","",null,null],[5,"snd_pcm_hw_params_get_period_time_max","","",null,null],[5,"snd_pcm_hw_params_test_period_time","","",null,null],[5,"snd_pcm_hw_params_set_period_time","","",null,null],[5,"snd_pcm_hw_params_set_period_time_min","","",null,null],[5,"snd_pcm_hw_params_set_period_time_max","","",null,null],[5,"snd_pcm_hw_params_set_period_time_minmax","","",null,null],[5,"snd_pcm_hw_params_set_period_time_near","","",null,null],[5,"snd_pcm_hw_params_set_period_time_first","","",null,null],[5,"snd_pcm_hw_params_set_period_time_last","","",null,null],[5,"snd_pcm_hw_params_get_period_size","","",null,null],[5,"snd_pcm_hw_params_get_period_size_min","","",null,null],[5,"snd_pcm_hw_params_get_period_size_max","","",null,null],[5,"snd_pcm_hw_params_test_period_size","","",null,null],[5,"snd_pcm_hw_params_set_period_size","","",null,null],[5,"snd_pcm_hw_params_set_period_size_min","","",null,null],[5,"snd_pcm_hw_params_set_period_size_max","","",null,null],[5,"snd_pcm_hw_params_set_period_size_minmax","","",null,null],[5,"snd_pcm_hw_params_set_period_size_near","","",null,null],[5,"snd_pcm_hw_params_set_period_size_first","","",null,null],[5,"snd_pcm_hw_params_set_period_size_last","","",null,null],[5,"snd_pcm_hw_params_set_period_size_integer","","",null,null],[5,"snd_pcm_hw_params_get_periods","","",null,null],[5,"snd_pcm_hw_params_get_periods_min","","",null,null],[5,"snd_pcm_hw_params_get_periods_max","","",null,null],[5,"snd_pcm_hw_params_test_periods","","",null,null],[5,"snd_pcm_hw_params_set_periods","","",null,null],[5,"snd_pcm_hw_params_set_periods_min","","",null,null],[5,"snd_pcm_hw_params_set_periods_max","","",null,null],[5,"snd_pcm_hw_params_set_periods_minmax","","",null,null],[5,"snd_pcm_hw_params_set_periods_near","","",null,null],[5,"snd_pcm_hw_params_set_periods_first","","",null,null],[5,"snd_pcm_hw_params_set_periods_last","","",null,null],[5,"snd_pcm_hw_params_set_periods_integer","","",null,null],[5,"snd_pcm_hw_params_get_buffer_time","","",null,null],[5,"snd_pcm_hw_params_get_buffer_time_min","","",null,null],[5,"snd_pcm_hw_params_get_buffer_time_max","","",null,null],[5,"snd_pcm_hw_params_test_buffer_time","","",null,null],[5,"snd_pcm_hw_params_set_buffer_time","","",null,null],[5,"snd_pcm_hw_params_set_buffer_time_min","","",null,null],[5,"snd_pcm_hw_params_set_buffer_time_max","","",null,null],[5,"snd_pcm_hw_params_set_buffer_time_minmax","","",null,null],[5,"snd_pcm_hw_params_set_buffer_time_near","","",null,null],[5,"snd_pcm_hw_params_set_buffer_time_first","","",null,null],[5,"snd_pcm_hw_params_set_buffer_time_last","","",null,null],[5,"snd_pcm_hw_params_get_buffer_size","","",null,null],[5,"snd_pcm_hw_params_get_buffer_size_min","","",null,null],[5,"snd_pcm_hw_params_get_buffer_size_max","","",null,null],[5,"snd_pcm_hw_params_test_buffer_size","","",null,null],[5,"snd_pcm_hw_params_set_buffer_size","","",null,null],[5,"snd_pcm_hw_params_set_buffer_size_min","","",null,null],[5,"snd_pcm_hw_params_set_buffer_size_max","","",null,null],[5,"snd_pcm_hw_params_set_buffer_size_minmax","","",null,null],[5,"snd_pcm_hw_params_set_buffer_size_near","","",null,null],[5,"snd_pcm_hw_params_set_buffer_size_first","","",null,null],[5,"snd_pcm_hw_params_set_buffer_size_last","","",null,null],[5,"snd_pcm_hw_params_get_min_align","","",null,null],[5,"snd_pcm_sw_params_sizeof","","",null,null],[5,"snd_pcm_sw_params_malloc","","",null,null],[5,"snd_pcm_sw_params_free","","",null,null],[5,"snd_pcm_sw_params_copy","","",null,null],[5,"snd_pcm_sw_params_get_boundary","","",null,null],[5,"snd_pcm_sw_params_set_tstamp_mode","","",null,null],[5,"snd_pcm_sw_params_get_tstamp_mode","","",null,null],[5,"snd_pcm_sw_params_set_avail_min","","",null,null],[5,"snd_pcm_sw_params_get_avail_min","","",null,null],[5,"snd_pcm_sw_params_set_period_event","","",null,null],[5,"snd_pcm_sw_params_get_period_event","","",null,null],[5,"snd_pcm_sw_params_set_start_threshold","","",null,null],[5,"snd_pcm_sw_params_get_start_threshold","","",null,null],[5,"snd_pcm_sw_params_set_stop_threshold","","",null,null],[5,"snd_pcm_sw_params_get_stop_threshold","","",null,null],[5,"snd_pcm_sw_params_set_silence_threshold","","",null,null],[5,"snd_pcm_sw_params_get_silence_threshold","","",null,null],[5,"snd_pcm_sw_params_set_silence_size","","",null,null],[5,"snd_pcm_sw_params_get_silence_size","","",null,null],[5,"snd_pcm_access_mask_sizeof","","",null,null],[5,"snd_pcm_access_mask_malloc","","",null,null],[5,"snd_pcm_access_mask_free","","",null,null],[5,"snd_pcm_access_mask_copy","","",null,null],[5,"snd_pcm_access_mask_none","","",null,null],[5,"snd_pcm_access_mask_any","","",null,null],[5,"snd_pcm_access_mask_test","","",null,null],[5,"snd_pcm_access_mask_empty","","",null,null],[5,"snd_pcm_access_mask_set","","",null,null],[5,"snd_pcm_access_mask_reset","","",null,null],[5,"snd_pcm_format_mask_sizeof","","",null,null],[5,"snd_pcm_format_mask_malloc","","",null,null],[5,"snd_pcm_format_mask_free","","",null,null],[5,"snd_pcm_format_mask_copy","","",null,null],[5,"snd_pcm_format_mask_none","","",null,null],[5,"snd_pcm_format_mask_any","","",null,null],[5,"snd_pcm_format_mask_test","","",null,null],[5,"snd_pcm_format_mask_empty","","",null,null],[5,"snd_pcm_format_mask_set","","",null,null],[5,"snd_pcm_format_mask_reset","","",null,null],[5,"snd_pcm_subformat_mask_sizeof","","",null,null],[5,"snd_pcm_subformat_mask_malloc","","",null,null],[5,"snd_pcm_subformat_mask_free","","",null,null],[5,"snd_pcm_subformat_mask_copy","","",null,null],[5,"snd_pcm_subformat_mask_none","","",null,null],[5,"snd_pcm_subformat_mask_any","","",null,null],[5,"snd_pcm_subformat_mask_test","","",null,null],[5,"snd_pcm_subformat_mask_empty","","",null,null],[5,"snd_pcm_subformat_mask_set","","",null,null],[5,"snd_pcm_subformat_mask_reset","","",null,null],[5,"snd_pcm_status_sizeof","","",null,null],[5,"snd_pcm_status_malloc","","",null,null],[5,"snd_pcm_status_free","","",null,null],[5,"snd_pcm_status_copy","","",null,null],[5,"snd_pcm_status_get_state","","",null,null],[5,"snd_pcm_status_get_trigger_tstamp","","",null,null],[5,"snd_pcm_status_get_trigger_htstamp","","",null,null],[5,"snd_pcm_status_get_tstamp","","",null,null],[5,"snd_pcm_status_get_htstamp","","",null,null],[5,"snd_pcm_status_get_audio_htstamp","","",null,null],[5,"snd_pcm_status_get_delay","","",null,null],[5,"snd_pcm_status_get_avail","","",null,null],[5,"snd_pcm_status_get_avail_max","","",null,null],[5,"snd_pcm_status_get_overrange","","",null,null],[5,"snd_pcm_type_name","","",null,null],[5,"snd_pcm_stream_name","","",null,null],[5,"snd_pcm_access_name","","",null,null],[5,"snd_pcm_format_name","","",null,null],[5,"snd_pcm_format_description","","",null,null],[5,"snd_pcm_subformat_name","","",null,null],[5,"snd_pcm_subformat_description","","",null,null],[5,"snd_pcm_format_value","","",null,null],[5,"snd_pcm_tstamp_mode_name","","",null,null],[5,"snd_pcm_state_name","","",null,null],[5,"snd_pcm_dump","","",null,null],[5,"snd_pcm_dump_hw_setup","","",null,null],[5,"snd_pcm_dump_sw_setup","","",null,null],[5,"snd_pcm_dump_setup","","",null,null],[5,"snd_pcm_hw_params_dump","","",null,null],[5,"snd_pcm_sw_params_dump","","",null,null],[5,"snd_pcm_status_dump","","",null,null],[5,"snd_pcm_mmap_begin","","",null,null],[5,"snd_pcm_mmap_commit","","",null,null],[5,"snd_pcm_mmap_writei","","",null,null],[5,"snd_pcm_mmap_readi","","",null,null],[5,"snd_pcm_mmap_writen","","",null,null],[5,"snd_pcm_mmap_readn","","",null,null],[5,"snd_pcm_format_signed","","",null,null],[5,"snd_pcm_format_unsigned","","",null,null],[5,"snd_pcm_format_linear","","",null,null],[5,"snd_pcm_format_float","","",null,null],[5,"snd_pcm_format_little_endian","","",null,null],[5,"snd_pcm_format_big_endian","","",null,null],[5,"snd_pcm_format_cpu_endian","","",null,null],[5,"snd_pcm_format_width","","",null,null],[5,"snd_pcm_format_physical_width","","",null,null],[5,"snd_pcm_build_linear_format","","",null,null],[5,"snd_pcm_format_size","","",null,null],[5,"snd_pcm_format_silence","","",null,null],[5,"snd_pcm_format_silence_16","","",null,null],[5,"snd_pcm_format_silence_32","","",null,null],[5,"snd_pcm_format_silence_64","","",null,null],[5,"snd_pcm_format_set_silence","","",null,null],[5,"snd_pcm_bytes_to_frames","","",null,null],[5,"snd_pcm_frames_to_bytes","","",null,null],[5,"snd_pcm_bytes_to_samples","","",null,null],[5,"snd_pcm_samples_to_bytes","","",null,null],[5,"snd_pcm_area_silence","","",null,null],[5,"snd_pcm_areas_silence","","",null,null],[5,"snd_pcm_area_copy","","",null,null],[5,"snd_pcm_areas_copy","","",null,null],[5,"snd_pcm_hook_get_pcm","","",null,null],[5,"snd_pcm_hook_get_private","","",null,null],[5,"snd_pcm_hook_set_private","","",null,null],[5,"snd_pcm_hook_add","","",null,null],[5,"snd_pcm_hook_remove","","",null,null],[5,"snd_pcm_meter_get_bufsize","","",null,null],[5,"snd_pcm_meter_get_channels","","",null,null],[5,"snd_pcm_meter_get_rate","","",null,null],[5,"snd_pcm_meter_get_now","","",null,null],[5,"snd_pcm_meter_get_boundary","","",null,null],[5,"snd_pcm_meter_add_scope","","",null,null],[5,"snd_pcm_meter_search_scope","","",null,null],[5,"snd_pcm_scope_malloc","","",null,null],[5,"snd_pcm_scope_set_ops","","",null,null],[5,"snd_pcm_scope_set_name","","",null,null],[5,"snd_pcm_scope_get_name","","",null,null],[5,"snd_pcm_scope_get_callback_private","","",null,null],[5,"snd_pcm_scope_set_callback_private","","",null,null],[5,"snd_pcm_scope_s16_open","","",null,null],[5,"snd_pcm_scope_s16_get_channel_buffer","","",null,null],[5,"snd_spcm_init","","",null,null],[5,"snd_spcm_init_duplex","","",null,null],[5,"snd_spcm_init_get_params","","",null,null],[5,"snd_pcm_start_mode_name","","",null,null],[5,"snd_pcm_xrun_mode_name","","",null,null],[5,"snd_pcm_sw_params_set_start_mode","","",null,null],[5,"snd_pcm_sw_params_get_start_mode","","",null,null],[5,"snd_pcm_sw_params_set_xrun_mode","","",null,null],[5,"snd_pcm_sw_params_get_xrun_mode","","",null,null],[5,"snd_pcm_sw_params_set_xfer_align","","",null,null],[5,"snd_pcm_sw_params_get_xfer_align","","",null,null],[5,"snd_pcm_sw_params_set_sleep_min","","",null,null],[5,"snd_pcm_sw_params_get_sleep_min","","",null,null],[5,"snd_pcm_hw_params_get_tick_time","","",null,null],[5,"snd_pcm_hw_params_get_tick_time_min","","",null,null],[5,"snd_pcm_hw_params_get_tick_time_max","","",null,null],[5,"snd_pcm_hw_params_test_tick_time","","",null,null],[5,"snd_pcm_hw_params_set_tick_time","","",null,null],[5,"snd_pcm_hw_params_set_tick_time_min","","",null,null],[5,"snd_pcm_hw_params_set_tick_time_max","","",null,null],[5,"snd_pcm_hw_params_set_tick_time_minmax","","",null,null],[5,"snd_pcm_hw_params_set_tick_time_near","","",null,null],[5,"snd_pcm_hw_params_set_tick_time_first","","",null,null],[5,"snd_pcm_hw_params_set_tick_time_last","","",null,null],[5,"snd_rawmidi_open","","",null,null],[5,"snd_rawmidi_open_lconf","","",null,null],[5,"snd_rawmidi_close","","",null,null],[5,"snd_rawmidi_poll_descriptors_count","","",null,null],[5,"snd_rawmidi_poll_descriptors","","",null,null],[5,"snd_rawmidi_poll_descriptors_revents","","",null,null],[5,"snd_rawmidi_nonblock","","",null,null],[5,"snd_rawmidi_info_sizeof","","",null,null],[5,"snd_rawmidi_info_malloc","","",null,null],[5,"snd_rawmidi_info_free","","",null,null],[5,"snd_rawmidi_info_copy","","",null,null],[5,"snd_rawmidi_info_get_device","","",null,null],[5,"snd_rawmidi_info_get_subdevice","","",null,null],[5,"snd_rawmidi_info_get_stream","","",null,null],[5,"snd_rawmidi_info_get_card","","",null,null],[5,"snd_rawmidi_info_get_flags","","",null,null],[5,"snd_rawmidi_info_get_id","","",null,null],[5,"snd_rawmidi_info_get_name","","",null,null],[5,"snd_rawmidi_info_get_subdevice_name","","",null,null],[5,"snd_rawmidi_info_get_subdevices_count","","",null,null],[5,"snd_rawmidi_info_get_subdevices_avail","","",null,null],[5,"snd_rawmidi_info_set_device","","",null,null],[5,"snd_rawmidi_info_set_subdevice","","",null,null],[5,"snd_rawmidi_info_set_stream","","",null,null],[5,"snd_rawmidi_info","","",null,null],[5,"snd_rawmidi_params_sizeof","","",null,null],[5,"snd_rawmidi_params_malloc","","",null,null],[5,"snd_rawmidi_params_free","","",null,null],[5,"snd_rawmidi_params_copy","","",null,null],[5,"snd_rawmidi_params_set_buffer_size","","",null,null],[5,"snd_rawmidi_params_get_buffer_size","","",null,null],[5,"snd_rawmidi_params_set_avail_min","","",null,null],[5,"snd_rawmidi_params_get_avail_min","","",null,null],[5,"snd_rawmidi_params_set_no_active_sensing","","",null,null],[5,"snd_rawmidi_params_get_no_active_sensing","","",null,null],[5,"snd_rawmidi_params","","",null,null],[5,"snd_rawmidi_params_current","","",null,null],[5,"snd_rawmidi_status_sizeof","","",null,null],[5,"snd_rawmidi_status_malloc","","",null,null],[5,"snd_rawmidi_status_free","","",null,null],[5,"snd_rawmidi_status_copy","","",null,null],[5,"snd_rawmidi_status_get_tstamp","","",null,null],[5,"snd_rawmidi_status_get_avail","","",null,null],[5,"snd_rawmidi_status_get_xruns","","",null,null],[5,"snd_rawmidi_status","","",null,null],[5,"snd_rawmidi_drain","","",null,null],[5,"snd_rawmidi_drop","","",null,null],[5,"snd_rawmidi_write","","",null,null],[5,"snd_rawmidi_read","","",null,null],[5,"snd_rawmidi_name","","",null,null],[5,"snd_rawmidi_type","","",null,null],[5,"snd_rawmidi_stream","","",null,null],[5,"snd_timer_query_open","","",null,null],[5,"snd_timer_query_open_lconf","","",null,null],[5,"snd_timer_query_close","","",null,null],[5,"snd_timer_query_next_device","","",null,null],[5,"snd_timer_query_info","","",null,null],[5,"snd_timer_query_params","","",null,null],[5,"snd_timer_query_status","","",null,null],[5,"snd_timer_open","","",null,null],[5,"snd_timer_open_lconf","","",null,null],[5,"snd_timer_close","","",null,null],[5,"snd_async_add_timer_handler","","",null,null],[5,"snd_async_handler_get_timer","","",null,null],[5,"snd_timer_poll_descriptors_count","","",null,null],[5,"snd_timer_poll_descriptors","","",null,null],[5,"snd_timer_poll_descriptors_revents","","",null,null],[5,"snd_timer_info","","",null,null],[5,"snd_timer_params","","",null,null],[5,"snd_timer_status","","",null,null],[5,"snd_timer_start","","",null,null],[5,"snd_timer_stop","","",null,null],[5,"snd_timer_continue","","",null,null],[5,"snd_timer_read","","",null,null],[5,"snd_timer_id_sizeof","","",null,null],[5,"snd_timer_id_malloc","","",null,null],[5,"snd_timer_id_free","","",null,null],[5,"snd_timer_id_copy","","",null,null],[5,"snd_timer_id_set_class","","",null,null],[5,"snd_timer_id_get_class","","",null,null],[5,"snd_timer_id_set_sclass","","",null,null],[5,"snd_timer_id_get_sclass","","",null,null],[5,"snd_timer_id_set_card","","",null,null],[5,"snd_timer_id_get_card","","",null,null],[5,"snd_timer_id_set_device","","",null,null],[5,"snd_timer_id_get_device","","",null,null],[5,"snd_timer_id_set_subdevice","","",null,null],[5,"snd_timer_id_get_subdevice","","",null,null],[5,"snd_timer_ginfo_sizeof","","",null,null],[5,"snd_timer_ginfo_malloc","","",null,null],[5,"snd_timer_ginfo_free","","",null,null],[5,"snd_timer_ginfo_copy","","",null,null],[5,"snd_timer_ginfo_set_tid","","",null,null],[5,"snd_timer_ginfo_get_tid","","",null,null],[5,"snd_timer_ginfo_get_flags","","",null,null],[5,"snd_timer_ginfo_get_card","","",null,null],[5,"snd_timer_ginfo_get_id","","",null,null],[5,"snd_timer_ginfo_get_name","","",null,null],[5,"snd_timer_ginfo_get_resolution","","",null,null],[5,"snd_timer_ginfo_get_resolution_min","","",null,null],[5,"snd_timer_ginfo_get_resolution_max","","",null,null],[5,"snd_timer_ginfo_get_clients","","",null,null],[5,"snd_timer_info_sizeof","","",null,null],[5,"snd_timer_info_malloc","","",null,null],[5,"snd_timer_info_free","","",null,null],[5,"snd_timer_info_copy","","",null,null],[5,"snd_timer_info_is_slave","","",null,null],[5,"snd_timer_info_get_card","","",null,null],[5,"snd_timer_info_get_id","","",null,null],[5,"snd_timer_info_get_name","","",null,null],[5,"snd_timer_info_get_resolution","","",null,null],[5,"snd_timer_params_sizeof","","",null,null],[5,"snd_timer_params_malloc","","",null,null],[5,"snd_timer_params_free","","",null,null],[5,"snd_timer_params_copy","","",null,null],[5,"snd_timer_params_set_auto_start","","",null,null],[5,"snd_timer_params_get_auto_start","","",null,null],[5,"snd_timer_params_set_exclusive","","",null,null],[5,"snd_timer_params_get_exclusive","","",null,null],[5,"snd_timer_params_set_early_event","","",null,null],[5,"snd_timer_params_get_early_event","","",null,null],[5,"snd_timer_params_set_ticks","","",null,null],[5,"snd_timer_params_get_ticks","","",null,null],[5,"snd_timer_params_set_queue_size","","",null,null],[5,"snd_timer_params_get_queue_size","","",null,null],[5,"snd_timer_params_set_filter","","",null,null],[5,"snd_timer_params_get_filter","","",null,null],[5,"snd_timer_status_sizeof","","",null,null],[5,"snd_timer_status_malloc","","",null,null],[5,"snd_timer_status_free","","",null,null],[5,"snd_timer_status_copy","","",null,null],[5,"snd_timer_status_get_timestamp","","",null,null],[5,"snd_timer_status_get_resolution","","",null,null],[5,"snd_timer_status_get_lost","","",null,null],[5,"snd_timer_status_get_overrun","","",null,null],[5,"snd_timer_status_get_queue","","",null,null],[5,"snd_timer_info_get_ticks","","",null,null],[5,"snd_hwdep_open","","",null,null],[5,"snd_hwdep_close","","",null,null],[5,"snd_hwdep_poll_descriptors","","",null,null],[5,"snd_hwdep_poll_descriptors_revents","","",null,null],[5,"snd_hwdep_nonblock","","",null,null],[5,"snd_hwdep_info","","",null,null],[5,"snd_hwdep_dsp_status","","",null,null],[5,"snd_hwdep_dsp_load","","",null,null],[5,"snd_hwdep_ioctl","","",null,null],[5,"snd_hwdep_write","","",null,null],[5,"snd_hwdep_read","","",null,null],[5,"snd_hwdep_info_sizeof","","",null,null],[5,"snd_hwdep_info_malloc","","",null,null],[5,"snd_hwdep_info_free","","",null,null],[5,"snd_hwdep_info_copy","","",null,null],[5,"snd_hwdep_info_get_device","","",null,null],[5,"snd_hwdep_info_get_card","","",null,null],[5,"snd_hwdep_info_get_id","","",null,null],[5,"snd_hwdep_info_get_name","","",null,null],[5,"snd_hwdep_info_get_iface","","",null,null],[5,"snd_hwdep_info_set_device","","",null,null],[5,"snd_hwdep_dsp_status_sizeof","","",null,null],[5,"snd_hwdep_dsp_status_malloc","","",null,null],[5,"snd_hwdep_dsp_status_free","","",null,null],[5,"snd_hwdep_dsp_status_copy","","",null,null],[5,"snd_hwdep_dsp_status_get_version","","",null,null],[5,"snd_hwdep_dsp_status_get_id","","",null,null],[5,"snd_hwdep_dsp_status_get_num_dsps","","",null,null],[5,"snd_hwdep_dsp_status_get_dsp_loaded","","",null,null],[5,"snd_hwdep_dsp_status_get_chip_ready","","",null,null],[5,"snd_hwdep_dsp_image_sizeof","","",null,null],[5,"snd_hwdep_dsp_image_malloc","","",null,null],[5,"snd_hwdep_dsp_image_free","","",null,null],[5,"snd_hwdep_dsp_image_copy","","",null,null],[5,"snd_hwdep_dsp_image_get_index","","",null,null],[5,"snd_hwdep_dsp_image_get_name","","",null,null],[5,"snd_hwdep_dsp_image_get_image","","",null,null],[5,"snd_hwdep_dsp_image_get_length","","",null,null],[5,"snd_hwdep_dsp_image_set_index","","",null,null],[5,"snd_hwdep_dsp_image_set_name","","",null,null],[5,"snd_hwdep_dsp_image_set_image","","",null,null],[5,"snd_hwdep_dsp_image_set_length","","",null,null],[5,"snd_card_load","","",null,null],[5,"snd_card_next","","",null,null],[5,"snd_card_get_index","","",null,null],[5,"snd_card_get_name","","",null,null],[5,"snd_card_get_longname","","",null,null],[5,"snd_device_name_hint","","",null,null],[5,"snd_device_name_free_hint","","",null,null],[5,"snd_device_name_get_hint","","",null,null],[5,"snd_ctl_open","","",null,null],[5,"snd_ctl_open_lconf","","",null,null],[5,"snd_ctl_open_fallback","","",null,null],[5,"snd_ctl_close","","",null,null],[5,"snd_ctl_nonblock","","",null,null],[5,"snd_async_add_ctl_handler","","",null,null],[5,"snd_async_handler_get_ctl","","",null,null],[5,"snd_ctl_poll_descriptors_count","","",null,null],[5,"snd_ctl_poll_descriptors","","",null,null],[5,"snd_ctl_poll_descriptors_revents","","",null,null],[5,"snd_ctl_subscribe_events","","",null,null],[5,"snd_ctl_card_info","","",null,null],[5,"snd_ctl_elem_list","","",null,null],[5,"snd_ctl_elem_info","","",null,null],[5,"snd_ctl_elem_read","","",null,null],[5,"snd_ctl_elem_write","","",null,null],[5,"snd_ctl_elem_lock","","",null,null],[5,"snd_ctl_elem_unlock","","",null,null],[5,"snd_ctl_elem_tlv_read","","",null,null],[5,"snd_ctl_elem_tlv_write","","",null,null],[5,"snd_ctl_elem_tlv_command","","",null,null],[5,"snd_ctl_hwdep_next_device","","",null,null],[5,"snd_ctl_hwdep_info","","",null,null],[5,"snd_ctl_pcm_next_device","","",null,null],[5,"snd_ctl_pcm_info","","",null,null],[5,"snd_ctl_pcm_prefer_subdevice","","",null,null],[5,"snd_ctl_rawmidi_next_device","","",null,null],[5,"snd_ctl_rawmidi_info","","",null,null],[5,"snd_ctl_rawmidi_prefer_subdevice","","",null,null],[5,"snd_ctl_set_power_state","","",null,null],[5,"snd_ctl_get_power_state","","",null,null],[5,"snd_ctl_read","","",null,null],[5,"snd_ctl_wait","","",null,null],[5,"snd_ctl_name","","",null,null],[5,"snd_ctl_type","","",null,null],[5,"snd_ctl_elem_type_name","","",null,null],[5,"snd_ctl_elem_iface_name","","",null,null],[5,"snd_ctl_event_type_name","","",null,null],[5,"snd_ctl_event_elem_get_mask","","",null,null],[5,"snd_ctl_event_elem_get_numid","","",null,null],[5,"snd_ctl_event_elem_get_id","","",null,null],[5,"snd_ctl_event_elem_get_interface","","",null,null],[5,"snd_ctl_event_elem_get_device","","",null,null],[5,"snd_ctl_event_elem_get_subdevice","","",null,null],[5,"snd_ctl_event_elem_get_name","","",null,null],[5,"snd_ctl_event_elem_get_index","","",null,null],[5,"snd_ctl_elem_list_alloc_space","","",null,null],[5,"snd_ctl_elem_list_free_space","","",null,null],[5,"snd_ctl_ascii_elem_id_get","","",null,null],[5,"snd_ctl_ascii_elem_id_parse","","",null,null],[5,"snd_ctl_ascii_value_parse","","",null,null],[5,"snd_ctl_elem_id_sizeof","","",null,null],[5,"snd_ctl_elem_id_malloc","","",null,null],[5,"snd_ctl_elem_id_free","","",null,null],[5,"snd_ctl_elem_id_clear","","",null,null],[5,"snd_ctl_elem_id_copy","","",null,null],[5,"snd_ctl_elem_id_get_numid","","",null,null],[5,"snd_ctl_elem_id_get_interface","","",null,null],[5,"snd_ctl_elem_id_get_device","","",null,null],[5,"snd_ctl_elem_id_get_subdevice","","",null,null],[5,"snd_ctl_elem_id_get_name","","",null,null],[5,"snd_ctl_elem_id_get_index","","",null,null],[5,"snd_ctl_elem_id_set_numid","","",null,null],[5,"snd_ctl_elem_id_set_interface","","",null,null],[5,"snd_ctl_elem_id_set_device","","",null,null],[5,"snd_ctl_elem_id_set_subdevice","","",null,null],[5,"snd_ctl_elem_id_set_name","","",null,null],[5,"snd_ctl_elem_id_set_index","","",null,null],[5,"snd_ctl_card_info_sizeof","","",null,null],[5,"snd_ctl_card_info_malloc","","",null,null],[5,"snd_ctl_card_info_free","","",null,null],[5,"snd_ctl_card_info_clear","","",null,null],[5,"snd_ctl_card_info_copy","","",null,null],[5,"snd_ctl_card_info_get_card","","",null,null],[5,"snd_ctl_card_info_get_id","","",null,null],[5,"snd_ctl_card_info_get_driver","","",null,null],[5,"snd_ctl_card_info_get_name","","",null,null],[5,"snd_ctl_card_info_get_longname","","",null,null],[5,"snd_ctl_card_info_get_mixername","","",null,null],[5,"snd_ctl_card_info_get_components","","",null,null],[5,"snd_ctl_event_sizeof","","",null,null],[5,"snd_ctl_event_malloc","","",null,null],[5,"snd_ctl_event_free","","",null,null],[5,"snd_ctl_event_clear","","",null,null],[5,"snd_ctl_event_copy","","",null,null],[5,"snd_ctl_event_get_type","","",null,null],[5,"snd_ctl_elem_list_sizeof","","",null,null],[5,"snd_ctl_elem_list_malloc","","",null,null],[5,"snd_ctl_elem_list_free","","",null,null],[5,"snd_ctl_elem_list_clear","","",null,null],[5,"snd_ctl_elem_list_copy","","",null,null],[5,"snd_ctl_elem_list_set_offset","","",null,null],[5,"snd_ctl_elem_list_get_used","","",null,null],[5,"snd_ctl_elem_list_get_count","","",null,null],[5,"snd_ctl_elem_list_get_id","","",null,null],[5,"snd_ctl_elem_list_get_numid","","",null,null],[5,"snd_ctl_elem_list_get_interface","","",null,null],[5,"snd_ctl_elem_list_get_device","","",null,null],[5,"snd_ctl_elem_list_get_subdevice","","",null,null],[5,"snd_ctl_elem_list_get_name","","",null,null],[5,"snd_ctl_elem_list_get_index","","",null,null],[5,"snd_ctl_elem_info_sizeof","","",null,null],[5,"snd_ctl_elem_info_malloc","","",null,null],[5,"snd_ctl_elem_info_free","","",null,null],[5,"snd_ctl_elem_info_clear","","",null,null],[5,"snd_ctl_elem_info_copy","","",null,null],[5,"snd_ctl_elem_info_get_type","","",null,null],[5,"snd_ctl_elem_info_is_readable","","",null,null],[5,"snd_ctl_elem_info_is_writable","","",null,null],[5,"snd_ctl_elem_info_is_volatile","","",null,null],[5,"snd_ctl_elem_info_is_inactive","","",null,null],[5,"snd_ctl_elem_info_is_locked","","",null,null],[5,"snd_ctl_elem_info_is_tlv_readable","","",null,null],[5,"snd_ctl_elem_info_is_tlv_writable","","",null,null],[5,"snd_ctl_elem_info_is_tlv_commandable","","",null,null],[5,"snd_ctl_elem_info_is_owner","","",null,null],[5,"snd_ctl_elem_info_is_user","","",null,null],[5,"snd_ctl_elem_info_get_owner","","",null,null],[5,"snd_ctl_elem_info_get_count","","",null,null],[5,"snd_ctl_elem_info_get_min","","",null,null],[5,"snd_ctl_elem_info_get_max","","",null,null],[5,"snd_ctl_elem_info_get_step","","",null,null],[5,"snd_ctl_elem_info_get_min64","","",null,null],[5,"snd_ctl_elem_info_get_max64","","",null,null],[5,"snd_ctl_elem_info_get_step64","","",null,null],[5,"snd_ctl_elem_info_get_items","","",null,null],[5,"snd_ctl_elem_info_set_item","","",null,null],[5,"snd_ctl_elem_info_get_item_name","","",null,null],[5,"snd_ctl_elem_info_get_dimensions","","",null,null],[5,"snd_ctl_elem_info_get_dimension","","",null,null],[5,"snd_ctl_elem_info_get_id","","",null,null],[5,"snd_ctl_elem_info_get_numid","","",null,null],[5,"snd_ctl_elem_info_get_interface","","",null,null],[5,"snd_ctl_elem_info_get_device","","",null,null],[5,"snd_ctl_elem_info_get_subdevice","","",null,null],[5,"snd_ctl_elem_info_get_name","","",null,null],[5,"snd_ctl_elem_info_get_index","","",null,null],[5,"snd_ctl_elem_info_set_id","","",null,null],[5,"snd_ctl_elem_info_set_numid","","",null,null],[5,"snd_ctl_elem_info_set_interface","","",null,null],[5,"snd_ctl_elem_info_set_device","","",null,null],[5,"snd_ctl_elem_info_set_subdevice","","",null,null],[5,"snd_ctl_elem_info_set_name","","",null,null],[5,"snd_ctl_elem_info_set_index","","",null,null],[5,"snd_ctl_elem_add_integer","","",null,null],[5,"snd_ctl_elem_add_integer64","","",null,null],[5,"snd_ctl_elem_add_boolean","","",null,null],[5,"snd_ctl_elem_add_enumerated","","",null,null],[5,"snd_ctl_elem_add_iec958","","",null,null],[5,"snd_ctl_elem_remove","","",null,null],[5,"snd_ctl_elem_value_sizeof","","",null,null],[5,"snd_ctl_elem_value_malloc","","",null,null],[5,"snd_ctl_elem_value_free","","",null,null],[5,"snd_ctl_elem_value_clear","","",null,null],[5,"snd_ctl_elem_value_copy","","",null,null],[5,"snd_ctl_elem_value_compare","","",null,null],[5,"snd_ctl_elem_value_get_id","","",null,null],[5,"snd_ctl_elem_value_get_numid","","",null,null],[5,"snd_ctl_elem_value_get_interface","","",null,null],[5,"snd_ctl_elem_value_get_device","","",null,null],[5,"snd_ctl_elem_value_get_subdevice","","",null,null],[5,"snd_ctl_elem_value_get_name","","",null,null],[5,"snd_ctl_elem_value_get_index","","",null,null],[5,"snd_ctl_elem_value_set_id","","",null,null],[5,"snd_ctl_elem_value_set_numid","","",null,null],[5,"snd_ctl_elem_value_set_interface","","",null,null],[5,"snd_ctl_elem_value_set_device","","",null,null],[5,"snd_ctl_elem_value_set_subdevice","","",null,null],[5,"snd_ctl_elem_value_set_name","","",null,null],[5,"snd_ctl_elem_value_set_index","","",null,null],[5,"snd_ctl_elem_value_get_boolean","","",null,null],[5,"snd_ctl_elem_value_get_integer","","",null,null],[5,"snd_ctl_elem_value_get_integer64","","",null,null],[5,"snd_ctl_elem_value_get_enumerated","","",null,null],[5,"snd_ctl_elem_value_get_byte","","",null,null],[5,"snd_ctl_elem_value_set_boolean","","",null,null],[5,"snd_ctl_elem_value_set_integer","","",null,null],[5,"snd_ctl_elem_value_set_integer64","","",null,null],[5,"snd_ctl_elem_value_set_enumerated","","",null,null],[5,"snd_ctl_elem_value_set_byte","","",null,null],[5,"snd_ctl_elem_set_bytes","","",null,null],[5,"snd_ctl_elem_value_get_bytes","","",null,null],[5,"snd_ctl_elem_value_get_iec958","","",null,null],[5,"snd_ctl_elem_value_set_iec958","","",null,null],[5,"snd_tlv_parse_dB_info","","",null,null],[5,"snd_tlv_get_dB_range","","",null,null],[5,"snd_tlv_convert_to_dB","","",null,null],[5,"snd_tlv_convert_from_dB","","",null,null],[5,"snd_ctl_get_dB_range","","",null,null],[5,"snd_ctl_convert_to_dB","","",null,null],[5,"snd_ctl_convert_from_dB","","",null,null],[5,"snd_hctl_compare_fast","","",null,null],[5,"snd_hctl_open","","",null,null],[5,"snd_hctl_open_ctl","","",null,null],[5,"snd_hctl_close","","",null,null],[5,"snd_hctl_nonblock","","",null,null],[5,"snd_hctl_poll_descriptors_count","","",null,null],[5,"snd_hctl_poll_descriptors","","",null,null],[5,"snd_hctl_poll_descriptors_revents","","",null,null],[5,"snd_hctl_get_count","","",null,null],[5,"snd_hctl_set_compare","","",null,null],[5,"snd_hctl_first_elem","","",null,null],[5,"snd_hctl_last_elem","","",null,null],[5,"snd_hctl_find_elem","","",null,null],[5,"snd_hctl_set_callback","","",null,null],[5,"snd_hctl_set_callback_private","","",null,null],[5,"snd_hctl_get_callback_private","","",null,null],[5,"snd_hctl_load","","",null,null],[5,"snd_hctl_free","","",null,null],[5,"snd_hctl_handle_events","","",null,null],[5,"snd_hctl_name","","",null,null],[5,"snd_hctl_wait","","",null,null],[5,"snd_hctl_ctl","","",null,null],[5,"snd_hctl_elem_next","","",null,null],[5,"snd_hctl_elem_prev","","",null,null],[5,"snd_hctl_elem_info","","",null,null],[5,"snd_hctl_elem_read","","",null,null],[5,"snd_hctl_elem_write","","",null,null],[5,"snd_hctl_elem_tlv_read","","",null,null],[5,"snd_hctl_elem_tlv_write","","",null,null],[5,"snd_hctl_elem_tlv_command","","",null,null],[5,"snd_hctl_elem_get_hctl","","",null,null],[5,"snd_hctl_elem_get_id","","",null,null],[5,"snd_hctl_elem_get_numid","","",null,null],[5,"snd_hctl_elem_get_interface","","",null,null],[5,"snd_hctl_elem_get_device","","",null,null],[5,"snd_hctl_elem_get_subdevice","","",null,null],[5,"snd_hctl_elem_get_name","","",null,null],[5,"snd_hctl_elem_get_index","","",null,null],[5,"snd_hctl_elem_set_callback","","",null,null],[5,"snd_hctl_elem_get_callback_private","","",null,null],[5,"snd_hctl_elem_set_callback_private","","",null,null],[5,"snd_sctl_build","","",null,null],[5,"snd_sctl_free","","",null,null],[5,"snd_sctl_install","","",null,null],[5,"snd_sctl_remove","","",null,null],[5,"snd_mixer_open","","",null,null],[5,"snd_mixer_close","","",null,null],[5,"snd_mixer_first_elem","","",null,null],[5,"snd_mixer_last_elem","","",null,null],[5,"snd_mixer_handle_events","","",null,null],[5,"snd_mixer_attach","","",null,null],[5,"snd_mixer_attach_hctl","","",null,null],[5,"snd_mixer_detach","","",null,null],[5,"snd_mixer_detach_hctl","","",null,null],[5,"snd_mixer_get_hctl","","",null,null],[5,"snd_mixer_poll_descriptors_count","","",null,null],[5,"snd_mixer_poll_descriptors","","",null,null],[5,"snd_mixer_poll_descriptors_revents","","",null,null],[5,"snd_mixer_load","","",null,null],[5,"snd_mixer_free","","",null,null],[5,"snd_mixer_wait","","",null,null],[5,"snd_mixer_set_compare","","",null,null],[5,"snd_mixer_set_callback","","",null,null],[5,"snd_mixer_get_callback_private","","",null,null],[5,"snd_mixer_set_callback_private","","",null,null],[5,"snd_mixer_get_count","","",null,null],[5,"snd_mixer_class_unregister","","",null,null],[5,"snd_mixer_elem_next","","",null,null],[5,"snd_mixer_elem_prev","","",null,null],[5,"snd_mixer_elem_set_callback","","",null,null],[5,"snd_mixer_elem_get_callback_private","","",null,null],[5,"snd_mixer_elem_set_callback_private","","",null,null],[5,"snd_mixer_elem_get_type","","",null,null],[5,"snd_mixer_class_register","","",null,null],[5,"snd_mixer_elem_new","","",null,null],[5,"snd_mixer_elem_add","","",null,null],[5,"snd_mixer_elem_remove","","",null,null],[5,"snd_mixer_elem_free","","",null,null],[5,"snd_mixer_elem_info","","",null,null],[5,"snd_mixer_elem_value","","",null,null],[5,"snd_mixer_elem_attach","","",null,null],[5,"snd_mixer_elem_detach","","",null,null],[5,"snd_mixer_elem_empty","","",null,null],[5,"snd_mixer_elem_get_private","","",null,null],[5,"snd_mixer_class_sizeof","","",null,null],[5,"snd_mixer_class_malloc","","",null,null],[5,"snd_mixer_class_free","","",null,null],[5,"snd_mixer_class_copy","","",null,null],[5,"snd_mixer_class_get_mixer","","",null,null],[5,"snd_mixer_class_get_event","","",null,null],[5,"snd_mixer_class_get_private","","",null,null],[5,"snd_mixer_class_get_compare","","",null,null],[5,"snd_mixer_class_set_event","","",null,null],[5,"snd_mixer_class_set_private","","",null,null],[5,"snd_mixer_class_set_private_free","","",null,null],[5,"snd_mixer_class_set_compare","","",null,null],[5,"snd_mixer_selem_channel_name","","",null,null],[5,"snd_mixer_selem_register","","",null,null],[5,"snd_mixer_selem_get_id","","",null,null],[5,"snd_mixer_selem_get_name","","",null,null],[5,"snd_mixer_selem_get_index","","",null,null],[5,"snd_mixer_find_selem","","",null,null],[5,"snd_mixer_selem_is_active","","",null,null],[5,"snd_mixer_selem_is_playback_mono","","",null,null],[5,"snd_mixer_selem_has_playback_channel","","",null,null],[5,"snd_mixer_selem_is_capture_mono","","",null,null],[5,"snd_mixer_selem_has_capture_channel","","",null,null],[5,"snd_mixer_selem_get_capture_group","","",null,null],[5,"snd_mixer_selem_has_common_volume","","",null,null],[5,"snd_mixer_selem_has_playback_volume","","",null,null],[5,"snd_mixer_selem_has_playback_volume_joined","","",null,null],[5,"snd_mixer_selem_has_capture_volume","","",null,null],[5,"snd_mixer_selem_has_capture_volume_joined","","",null,null],[5,"snd_mixer_selem_has_common_switch","","",null,null],[5,"snd_mixer_selem_has_playback_switch","","",null,null],[5,"snd_mixer_selem_has_playback_switch_joined","","",null,null],[5,"snd_mixer_selem_has_capture_switch","","",null,null],[5,"snd_mixer_selem_has_capture_switch_joined","","",null,null],[5,"snd_mixer_selem_has_capture_switch_exclusive","","",null,null],[5,"snd_mixer_selem_ask_playback_vol_dB","","",null,null],[5,"snd_mixer_selem_ask_capture_vol_dB","","",null,null],[5,"snd_mixer_selem_ask_playback_dB_vol","","",null,null],[5,"snd_mixer_selem_ask_capture_dB_vol","","",null,null],[5,"snd_mixer_selem_get_playback_volume","","",null,null],[5,"snd_mixer_selem_get_capture_volume","","",null,null],[5,"snd_mixer_selem_get_playback_dB","","",null,null],[5,"snd_mixer_selem_get_capture_dB","","",null,null],[5,"snd_mixer_selem_get_playback_switch","","",null,null],[5,"snd_mixer_selem_get_capture_switch","","",null,null],[5,"snd_mixer_selem_set_playback_volume","","",null,null],[5,"snd_mixer_selem_set_capture_volume","","",null,null],[5,"snd_mixer_selem_set_playback_dB","","",null,null],[5,"snd_mixer_selem_set_capture_dB","","",null,null],[5,"snd_mixer_selem_set_playback_volume_all","","",null,null],[5,"snd_mixer_selem_set_capture_volume_all","","",null,null],[5,"snd_mixer_selem_set_playback_dB_all","","",null,null],[5,"snd_mixer_selem_set_capture_dB_all","","",null,null],[5,"snd_mixer_selem_set_playback_switch","","",null,null],[5,"snd_mixer_selem_set_capture_switch","","",null,null],[5,"snd_mixer_selem_set_playback_switch_all","","",null,null],[5,"snd_mixer_selem_set_capture_switch_all","","",null,null],[5,"snd_mixer_selem_get_playback_volume_range","","",null,null],[5,"snd_mixer_selem_get_playback_dB_range","","",null,null],[5,"snd_mixer_selem_set_playback_volume_range","","",null,null],[5,"snd_mixer_selem_get_capture_volume_range","","",null,null],[5,"snd_mixer_selem_get_capture_dB_range","","",null,null],[5,"snd_mixer_selem_set_capture_volume_range","","",null,null],[5,"snd_mixer_selem_is_enumerated","","",null,null],[5,"snd_mixer_selem_is_enum_playback","","",null,null],[5,"snd_mixer_selem_is_enum_capture","","",null,null],[5,"snd_mixer_selem_get_enum_items","","",null,null],[5,"snd_mixer_selem_get_enum_item_name","","",null,null],[5,"snd_mixer_selem_get_enum_item","","",null,null],[5,"snd_mixer_selem_set_enum_item","","",null,null],[5,"snd_mixer_selem_id_sizeof","","",null,null],[5,"snd_mixer_selem_id_malloc","","",null,null],[5,"snd_mixer_selem_id_free","","",null,null],[5,"snd_mixer_selem_id_copy","","",null,null],[5,"snd_mixer_selem_id_get_name","","",null,null],[5,"snd_mixer_selem_id_get_index","","",null,null],[5,"snd_mixer_selem_id_set_name","","",null,null],[5,"snd_mixer_selem_id_set_index","","",null,null],[5,"snd_seq_open","","",null,null],[5,"snd_seq_open_lconf","","",null,null],[5,"snd_seq_name","","",null,null],[5,"snd_seq_type","","",null,null],[5,"snd_seq_close","","",null,null],[5,"snd_seq_poll_descriptors_count","","",null,null],[5,"snd_seq_poll_descriptors","","",null,null],[5,"snd_seq_poll_descriptors_revents","","",null,null],[5,"snd_seq_nonblock","","",null,null],[5,"snd_seq_client_id","","",null,null],[5,"snd_seq_get_output_buffer_size","","",null,null],[5,"snd_seq_get_input_buffer_size","","",null,null],[5,"snd_seq_set_output_buffer_size","","",null,null],[5,"snd_seq_set_input_buffer_size","","",null,null],[5,"snd_seq_system_info_sizeof","","",null,null],[5,"snd_seq_system_info_malloc","","",null,null],[5,"snd_seq_system_info_free","","",null,null],[5,"snd_seq_system_info_copy","","",null,null],[5,"snd_seq_system_info_get_queues","","",null,null],[5,"snd_seq_system_info_get_clients","","",null,null],[5,"snd_seq_system_info_get_ports","","",null,null],[5,"snd_seq_system_info_get_channels","","",null,null],[5,"snd_seq_system_info_get_cur_clients","","",null,null],[5,"snd_seq_system_info_get_cur_queues","","",null,null],[5,"snd_seq_system_info","","",null,null],[5,"snd_seq_client_info_sizeof","","",null,null],[5,"snd_seq_client_info_malloc","","",null,null],[5,"snd_seq_client_info_free","","",null,null],[5,"snd_seq_client_info_copy","","",null,null],[5,"snd_seq_client_info_get_client","","",null,null],[5,"snd_seq_client_info_get_type","","",null,null],[5,"snd_seq_client_info_get_name","","",null,null],[5,"snd_seq_client_info_get_broadcast_filter","","",null,null],[5,"snd_seq_client_info_get_error_bounce","","",null,null],[5,"snd_seq_client_info_get_event_filter","","",null,null],[5,"snd_seq_client_info_get_num_ports","","",null,null],[5,"snd_seq_client_info_get_event_lost","","",null,null],[5,"snd_seq_client_info_set_client","","",null,null],[5,"snd_seq_client_info_set_name","","",null,null],[5,"snd_seq_client_info_set_broadcast_filter","","",null,null],[5,"snd_seq_client_info_set_error_bounce","","",null,null],[5,"snd_seq_client_info_set_event_filter","","",null,null],[5,"snd_seq_client_info_event_filter_clear","","",null,null],[5,"snd_seq_client_info_event_filter_add","","",null,null],[5,"snd_seq_client_info_event_filter_del","","",null,null],[5,"snd_seq_client_info_event_filter_check","","",null,null],[5,"snd_seq_get_client_info","","",null,null],[5,"snd_seq_get_any_client_info","","",null,null],[5,"snd_seq_set_client_info","","",null,null],[5,"snd_seq_query_next_client","","",null,null],[5,"snd_seq_client_pool_sizeof","","",null,null],[5,"snd_seq_client_pool_malloc","","",null,null],[5,"snd_seq_client_pool_free","","",null,null],[5,"snd_seq_client_pool_copy","","",null,null],[5,"snd_seq_client_pool_get_client","","",null,null],[5,"snd_seq_client_pool_get_output_pool","","",null,null],[5,"snd_seq_client_pool_get_input_pool","","",null,null],[5,"snd_seq_client_pool_get_output_room","","",null,null],[5,"snd_seq_client_pool_get_output_free","","",null,null],[5,"snd_seq_client_pool_get_input_free","","",null,null],[5,"snd_seq_client_pool_set_output_pool","","",null,null],[5,"snd_seq_client_pool_set_input_pool","","",null,null],[5,"snd_seq_client_pool_set_output_room","","",null,null],[5,"snd_seq_get_client_pool","","",null,null],[5,"snd_seq_set_client_pool","","",null,null],[5,"snd_seq_port_info_sizeof","","",null,null],[5,"snd_seq_port_info_malloc","","",null,null],[5,"snd_seq_port_info_free","","",null,null],[5,"snd_seq_port_info_copy","","",null,null],[5,"snd_seq_port_info_get_client","","",null,null],[5,"snd_seq_port_info_get_port","","",null,null],[5,"snd_seq_port_info_get_addr","","",null,null],[5,"snd_seq_port_info_get_name","","",null,null],[5,"snd_seq_port_info_get_capability","","",null,null],[5,"snd_seq_port_info_get_type","","",null,null],[5,"snd_seq_port_info_get_midi_channels","","",null,null],[5,"snd_seq_port_info_get_midi_voices","","",null,null],[5,"snd_seq_port_info_get_synth_voices","","",null,null],[5,"snd_seq_port_info_get_read_use","","",null,null],[5,"snd_seq_port_info_get_write_use","","",null,null],[5,"snd_seq_port_info_get_port_specified","","",null,null],[5,"snd_seq_port_info_get_timestamping","","",null,null],[5,"snd_seq_port_info_get_timestamp_real","","",null,null],[5,"snd_seq_port_info_get_timestamp_queue","","",null,null],[5,"snd_seq_port_info_set_client","","",null,null],[5,"snd_seq_port_info_set_port","","",null,null],[5,"snd_seq_port_info_set_addr","","",null,null],[5,"snd_seq_port_info_set_name","","",null,null],[5,"snd_seq_port_info_set_capability","","",null,null],[5,"snd_seq_port_info_set_type","","",null,null],[5,"snd_seq_port_info_set_midi_channels","","",null,null],[5,"snd_seq_port_info_set_midi_voices","","",null,null],[5,"snd_seq_port_info_set_synth_voices","","",null,null],[5,"snd_seq_port_info_set_port_specified","","",null,null],[5,"snd_seq_port_info_set_timestamping","","",null,null],[5,"snd_seq_port_info_set_timestamp_real","","",null,null],[5,"snd_seq_port_info_set_timestamp_queue","","",null,null],[5,"snd_seq_create_port","","",null,null],[5,"snd_seq_delete_port","","",null,null],[5,"snd_seq_get_port_info","","",null,null],[5,"snd_seq_get_any_port_info","","",null,null],[5,"snd_seq_set_port_info","","",null,null],[5,"snd_seq_query_next_port","","",null,null],[5,"snd_seq_port_subscribe_sizeof","","",null,null],[5,"snd_seq_port_subscribe_malloc","","",null,null],[5,"snd_seq_port_subscribe_free","","",null,null],[5,"snd_seq_port_subscribe_copy","","",null,null],[5,"snd_seq_port_subscribe_get_sender","","",null,null],[5,"snd_seq_port_subscribe_get_dest","","",null,null],[5,"snd_seq_port_subscribe_get_queue","","",null,null],[5,"snd_seq_port_subscribe_get_exclusive","","",null,null],[5,"snd_seq_port_subscribe_get_time_update","","",null,null],[5,"snd_seq_port_subscribe_get_time_real","","",null,null],[5,"snd_seq_port_subscribe_set_sender","","",null,null],[5,"snd_seq_port_subscribe_set_dest","","",null,null],[5,"snd_seq_port_subscribe_set_queue","","",null,null],[5,"snd_seq_port_subscribe_set_exclusive","","",null,null],[5,"snd_seq_port_subscribe_set_time_update","","",null,null],[5,"snd_seq_port_subscribe_set_time_real","","",null,null],[5,"snd_seq_get_port_subscription","","",null,null],[5,"snd_seq_subscribe_port","","",null,null],[5,"snd_seq_unsubscribe_port","","",null,null],[5,"snd_seq_query_subscribe_sizeof","","",null,null],[5,"snd_seq_query_subscribe_malloc","","",null,null],[5,"snd_seq_query_subscribe_free","","",null,null],[5,"snd_seq_query_subscribe_copy","","",null,null],[5,"snd_seq_query_subscribe_get_client","","",null,null],[5,"snd_seq_query_subscribe_get_port","","",null,null],[5,"snd_seq_query_subscribe_get_root","","",null,null],[5,"snd_seq_query_subscribe_get_type","","",null,null],[5,"snd_seq_query_subscribe_get_index","","",null,null],[5,"snd_seq_query_subscribe_get_num_subs","","",null,null],[5,"snd_seq_query_subscribe_get_addr","","",null,null],[5,"snd_seq_query_subscribe_get_queue","","",null,null],[5,"snd_seq_query_subscribe_get_exclusive","","",null,null],[5,"snd_seq_query_subscribe_get_time_update","","",null,null],[5,"snd_seq_query_subscribe_get_time_real","","",null,null],[5,"snd_seq_query_subscribe_set_client","","",null,null],[5,"snd_seq_query_subscribe_set_port","","",null,null],[5,"snd_seq_query_subscribe_set_root","","",null,null],[5,"snd_seq_query_subscribe_set_type","","",null,null],[5,"snd_seq_query_subscribe_set_index","","",null,null],[5,"snd_seq_query_port_subscribers","","",null,null],[5,"snd_seq_queue_info_sizeof","","",null,null],[5,"snd_seq_queue_info_malloc","","",null,null],[5,"snd_seq_queue_info_free","","",null,null],[5,"snd_seq_queue_info_copy","","",null,null],[5,"snd_seq_queue_info_get_queue","","",null,null],[5,"snd_seq_queue_info_get_name","","",null,null],[5,"snd_seq_queue_info_get_owner","","",null,null],[5,"snd_seq_queue_info_get_locked","","",null,null],[5,"snd_seq_queue_info_get_flags","","",null,null],[5,"snd_seq_queue_info_set_name","","",null,null],[5,"snd_seq_queue_info_set_owner","","",null,null],[5,"snd_seq_queue_info_set_locked","","",null,null],[5,"snd_seq_queue_info_set_flags","","",null,null],[5,"snd_seq_create_queue","","",null,null],[5,"snd_seq_alloc_named_queue","","",null,null],[5,"snd_seq_alloc_queue","","",null,null],[5,"snd_seq_free_queue","","",null,null],[5,"snd_seq_get_queue_info","","",null,null],[5,"snd_seq_set_queue_info","","",null,null],[5,"snd_seq_query_named_queue","","",null,null],[5,"snd_seq_get_queue_usage","","",null,null],[5,"snd_seq_set_queue_usage","","",null,null],[5,"snd_seq_queue_status_sizeof","","",null,null],[5,"snd_seq_queue_status_malloc","","",null,null],[5,"snd_seq_queue_status_free","","",null,null],[5,"snd_seq_queue_status_copy","","",null,null],[5,"snd_seq_queue_status_get_queue","","",null,null],[5,"snd_seq_queue_status_get_events","","",null,null],[5,"snd_seq_queue_status_get_tick_time","","",null,null],[5,"snd_seq_queue_status_get_real_time","","",null,null],[5,"snd_seq_queue_status_get_status","","",null,null],[5,"snd_seq_get_queue_status","","",null,null],[5,"snd_seq_queue_tempo_sizeof","","",null,null],[5,"snd_seq_queue_tempo_malloc","","",null,null],[5,"snd_seq_queue_tempo_free","","",null,null],[5,"snd_seq_queue_tempo_copy","","",null,null],[5,"snd_seq_queue_tempo_get_queue","","",null,null],[5,"snd_seq_queue_tempo_get_tempo","","",null,null],[5,"snd_seq_queue_tempo_get_ppq","","",null,null],[5,"snd_seq_queue_tempo_get_skew","","",null,null],[5,"snd_seq_queue_tempo_get_skew_base","","",null,null],[5,"snd_seq_queue_tempo_set_tempo","","",null,null],[5,"snd_seq_queue_tempo_set_ppq","","",null,null],[5,"snd_seq_queue_tempo_set_skew","","",null,null],[5,"snd_seq_queue_tempo_set_skew_base","","",null,null],[5,"snd_seq_get_queue_tempo","","",null,null],[5,"snd_seq_set_queue_tempo","","",null,null],[5,"snd_seq_queue_timer_sizeof","","",null,null],[5,"snd_seq_queue_timer_malloc","","",null,null],[5,"snd_seq_queue_timer_free","","",null,null],[5,"snd_seq_queue_timer_copy","","",null,null],[5,"snd_seq_queue_timer_get_queue","","",null,null],[5,"snd_seq_queue_timer_get_type","","",null,null],[5,"snd_seq_queue_timer_get_id","","",null,null],[5,"snd_seq_queue_timer_get_resolution","","",null,null],[5,"snd_seq_queue_timer_set_type","","",null,null],[5,"snd_seq_queue_timer_set_id","","",null,null],[5,"snd_seq_queue_timer_set_resolution","","",null,null],[5,"snd_seq_get_queue_timer","","",null,null],[5,"snd_seq_set_queue_timer","","",null,null],[5,"snd_seq_free_event","","",null,null],[5,"snd_seq_event_length","","",null,null],[5,"snd_seq_event_output","","",null,null],[5,"snd_seq_event_output_buffer","","",null,null],[5,"snd_seq_event_output_direct","","",null,null],[5,"snd_seq_event_input","","",null,null],[5,"snd_seq_event_input_pending","","",null,null],[5,"snd_seq_drain_output","","",null,null],[5,"snd_seq_event_output_pending","","",null,null],[5,"snd_seq_extract_output","","",null,null],[5,"snd_seq_drop_output","","",null,null],[5,"snd_seq_drop_output_buffer","","",null,null],[5,"snd_seq_drop_input","","",null,null],[5,"snd_seq_drop_input_buffer","","",null,null],[5,"snd_seq_remove_events_sizeof","","",null,null],[5,"snd_seq_remove_events_malloc","","",null,null],[5,"snd_seq_remove_events_free","","",null,null],[5,"snd_seq_remove_events_copy","","",null,null],[5,"snd_seq_remove_events_get_condition","","",null,null],[5,"snd_seq_remove_events_get_queue","","",null,null],[5,"snd_seq_remove_events_get_time","","",null,null],[5,"snd_seq_remove_events_get_dest","","",null,null],[5,"snd_seq_remove_events_get_channel","","",null,null],[5,"snd_seq_remove_events_get_event_type","","",null,null],[5,"snd_seq_remove_events_get_tag","","",null,null],[5,"snd_seq_remove_events_set_condition","","",null,null],[5,"snd_seq_remove_events_set_queue","","",null,null],[5,"snd_seq_remove_events_set_time","","",null,null],[5,"snd_seq_remove_events_set_dest","","",null,null],[5,"snd_seq_remove_events_set_channel","","",null,null],[5,"snd_seq_remove_events_set_event_type","","",null,null],[5,"snd_seq_remove_events_set_tag","","",null,null],[5,"snd_seq_remove_events","","",null,null],[5,"snd_seq_set_bit","","",null,null],[5,"snd_seq_unset_bit","","",null,null],[5,"snd_seq_change_bit","","",null,null],[5,"snd_seq_get_bit","","",null,null],[5,"snd_seq_control_queue","","",null,null],[5,"snd_seq_create_simple_port","","",null,null],[5,"snd_seq_delete_simple_port","","",null,null],[5,"snd_seq_connect_from","","",null,null],[5,"snd_seq_connect_to","","",null,null],[5,"snd_seq_disconnect_from","","",null,null],[5,"snd_seq_disconnect_to","","",null,null],[5,"snd_seq_set_client_name","","",null,null],[5,"snd_seq_set_client_event_filter","","",null,null],[5,"snd_seq_set_client_pool_output","","",null,null],[5,"snd_seq_set_client_pool_output_room","","",null,null],[5,"snd_seq_set_client_pool_input","","",null,null],[5,"snd_seq_sync_output_queue","","",null,null],[5,"snd_seq_parse_address","","",null,null],[5,"snd_seq_reset_pool_output","","",null,null],[5,"snd_seq_reset_pool_input","","",null,null],[5,"snd_midi_event_new","","",null,null],[5,"snd_midi_event_resize_buffer","","",null,null],[5,"snd_midi_event_free","","",null,null],[5,"snd_midi_event_init","","",null,null],[5,"snd_midi_event_reset_encode","","",null,null],[5,"snd_midi_event_reset_decode","","",null,null],[5,"snd_midi_event_no_status","","",null,null],[5,"snd_midi_event_encode","","",null,null],[5,"snd_midi_event_encode_byte","","",null,null],[5,"snd_midi_event_decode","","",null,null],[6,"snd_async_callback_t","","",null,null],[6,"snd_timestamp_t","","",null,null],[6,"snd_htimestamp_t","","",null,null],[6,"snd_input_type_t","","",null,null],[6,"snd_output_type_t","","",null,null],[6,"snd_lib_error_handler_t","","",null,null],[6,"snd_config_type_t","","",null,null],[6,"snd_config_iterator_t","","",null,null],[6,"snd_pcm_class_t","","",null,null],[6,"snd_pcm_subclass_t","","",null,null],[6,"snd_pcm_stream_t","","",null,null],[6,"snd_pcm_access_t","","",null,null],[6,"snd_pcm_format_t","","",null,null],[6,"snd_pcm_subformat_t","","",null,null],[6,"snd_pcm_state_t","","",null,null],[6,"snd_pcm_start_t","","",null,null],[6,"snd_pcm_xrun_t","","",null,null],[6,"snd_pcm_tstamp_t","","",null,null],[6,"snd_pcm_uframes_t","","",null,null],[6,"snd_pcm_sframes_t","","",null,null],[6,"snd_pcm_type_t","","",null,null],[6,"snd_pcm_chmap_type","","",null,null],[6,"snd_pcm_chmap_position","","",null,null],[6,"snd_pcm_hook_type_t","","",null,null],[6,"snd_pcm_hook_func_t","","",null,null],[6,"snd_spcm_latency_t","","",null,null],[6,"snd_spcm_xrun_type_t","","",null,null],[6,"snd_spcm_duplex_type_t","","",null,null],[6,"snd_rawmidi_stream_t","","",null,null],[6,"snd_rawmidi_type_t","","",null,null],[6,"snd_timer_class_t","","",null,null],[6,"snd_timer_slave_class_t","","",null,null],[6,"snd_timer_event_t","","",null,null],[6,"snd_timer_type_t","","",null,null],[6,"snd_hwdep_iface_t","","",null,null],[6,"snd_hwdep_type_t","","",null,null],[6,"snd_ctl_elem_type_t","","",null,null],[6,"snd_ctl_elem_iface_t","","",null,null],[6,"snd_ctl_event_type_t","","",null,null],[6,"snd_ctl_type_t","","",null,null],[6,"snd_hctl_compare_t","","",null,null],[6,"snd_hctl_callback_t","","",null,null],[6,"snd_hctl_elem_callback_t","","",null,null],[6,"snd_mixer_callback_t","","",null,null],[6,"snd_mixer_elem_callback_t","","",null,null],[6,"snd_mixer_compare_t","","",null,null],[6,"snd_mixer_event_t","","",null,null],[6,"snd_mixer_elem_type_t","","",null,null],[6,"snd_mixer_selem_channel_id_t","","",null,null],[6,"snd_mixer_selem_regopt_abstract","","",null,null],[6,"snd_seq_event_type_t","","",null,null],[6,"snd_seq_tick_time_t","","",null,null],[6,"snd_seq_type_t","","",null,null],[6,"snd_seq_client_type_t","","",null,null],[6,"snd_seq_query_subs_type_t","","",null,null],[6,"snd_seq_queue_timer_type_t","","",null,null],[7,"SND_PCM_NONBLOCK","","",null,null],[7,"SND_PCM_ASYNC","","",null,null],[7,"SND_MIXER_SABSTRACT_NONE","","",null,null],[7,"SND_MIXER_SABSTRACT_BASIC","","",null,null],[17,"SND_INPUT_STDIO","","",null,null],[17,"SND_INPUT_BUFFER","","",null,null],[17,"SND_OUTPUT_STDIO","","",null,null],[17,"SND_OUTPUT_BUFFER","","",null,null],[17,"SND_CONFIG_TYPE_INTEGER","","",null,null],[17,"SND_CONFIG_TYPE_INTEGER64","","",null,null],[17,"SND_CONFIG_TYPE_REAL","","",null,null],[17,"SND_CONFIG_TYPE_STRING","","",null,null],[17,"SND_CONFIG_TYPE_POINTER","","",null,null],[17,"SND_CONFIG_TYPE_COMPOUND","","",null,null],[17,"SND_PCM_CLASS_GENERIC","","",null,null],[17,"SND_PCM_CLASS_MULTI","","",null,null],[17,"SND_PCM_CLASS_MODEM","","",null,null],[17,"SND_PCM_CLASS_DIGITIZER","","",null,null],[17,"SND_PCM_CLASS_LAST","","",null,null],[17,"SND_PCM_SUBCLASS_GENERIC_MIX","","",null,null],[17,"SND_PCM_SUBCLASS_MULTI_MIX","","",null,null],[17,"SND_PCM_SUBCLASS_LAST","","",null,null],[17,"SND_PCM_STREAM_PLAYBACK","","",null,null],[17,"SND_PCM_STREAM_CAPTURE","","",null,null],[17,"SND_PCM_STREAM_LAST","","",null,null],[17,"SND_PCM_ACCESS_MMAP_INTERLEAVED","","",null,null],[17,"SND_PCM_ACCESS_MMAP_NONINTERLEAVED","","",null,null],[17,"SND_PCM_ACCESS_MMAP_COMPLEX","","",null,null],[17,"SND_PCM_ACCESS_RW_INTERLEAVED","","",null,null],[17,"SND_PCM_ACCESS_RW_NONINTERLEAVED","","",null,null],[17,"SND_PCM_ACCESS_LAST","","",null,null],[17,"SND_PCM_FORMAT_UNKNOWN","","",null,null],[17,"SND_PCM_FORMAT_S8","","",null,null],[17,"SND_PCM_FORMAT_U8","","",null,null],[17,"SND_PCM_FORMAT_S16_LE","","",null,null],[17,"SND_PCM_FORMAT_S16_BE","","",null,null],[17,"SND_PCM_FORMAT_U16_LE","","",null,null],[17,"SND_PCM_FORMAT_U16_BE","","",null,null],[17,"SND_PCM_FORMAT_S24_LE","","",null,null],[17,"SND_PCM_FORMAT_S24_BE","","",null,null],[17,"SND_PCM_FORMAT_U24_LE","","",null,null],[17,"SND_PCM_FORMAT_U24_BE","","",null,null],[17,"SND_PCM_FORMAT_S32_LE","","",null,null],[17,"SND_PCM_FORMAT_S32_BE","","",null,null],[17,"SND_PCM_FORMAT_U32_LE","","",null,null],[17,"SND_PCM_FORMAT_U32_BE","","",null,null],[17,"SND_PCM_FORMAT_FLOAT_LE","","",null,null],[17,"SND_PCM_FORMAT_FLOAT_BE","","",null,null],[17,"SND_PCM_FORMAT_FLOAT64_LE","","",null,null],[17,"SND_PCM_FORMAT_FLOAT64_BE","","",null,null],[17,"SND_PCM_FORMAT_IEC958_SUBFRAME_LE","","",null,null],[17,"SND_PCM_FORMAT_IEC958_SUBFRAME_BE","","",null,null],[17,"SND_PCM_FORMAT_MU_LAW","","",null,null],[17,"SND_PCM_FORMAT_A_LAW","","",null,null],[17,"SND_PCM_FORMAT_IMA_ADPCM","","",null,null],[17,"SND_PCM_FORMAT_MPEG","","",null,null],[17,"SND_PCM_FORMAT_GSM","","",null,null],[17,"SND_PCM_FORMAT_SPECIAL","","",null,null],[17,"SND_PCM_FORMAT_S24_3LE","","",null,null],[17,"SND_PCM_FORMAT_S24_3BE","","",null,null],[17,"SND_PCM_FORMAT_U24_3LE","","",null,null],[17,"SND_PCM_FORMAT_U24_3BE","","",null,null],[17,"SND_PCM_FORMAT_S20_3LE","","",null,null],[17,"SND_PCM_FORMAT_S20_3BE","","",null,null],[17,"SND_PCM_FORMAT_U20_3LE","","",null,null],[17,"SND_PCM_FORMAT_U20_3BE","","",null,null],[17,"SND_PCM_FORMAT_S18_3LE","","",null,null],[17,"SND_PCM_FORMAT_S18_3BE","","",null,null],[17,"SND_PCM_FORMAT_U18_3LE","","",null,null],[17,"SND_PCM_FORMAT_U18_3BE","","",null,null],[17,"SND_PCM_FORMAT_G723_24","","",null,null],[17,"SND_PCM_FORMAT_G723_24_1B","","",null,null],[17,"SND_PCM_FORMAT_G723_40","","",null,null],[17,"SND_PCM_FORMAT_G723_40_1B","","",null,null],[17,"SND_PCM_FORMAT_DSD_U8","","",null,null],[17,"SND_PCM_FORMAT_DSD_U16_LE","","",null,null],[17,"SND_PCM_FORMAT_LAST","","",null,null],[17,"SND_PCM_FORMAT_S16","","",null,null],[17,"SND_PCM_FORMAT_U16","","",null,null],[17,"SND_PCM_FORMAT_S24","","",null,null],[17,"SND_PCM_FORMAT_U24","","",null,null],[17,"SND_PCM_FORMAT_S32","","",null,null],[17,"SND_PCM_FORMAT_U32","","",null,null],[17,"SND_PCM_FORMAT_FLOAT","","",null,null],[17,"SND_PCM_FORMAT_FLOAT64","","",null,null],[17,"SND_PCM_FORMAT_IEC958_SUBFRAME","","",null,null],[17,"SND_PCM_SUBFORMAT_STD","","",null,null],[17,"SND_PCM_SUBFORMAT_LAST","","",null,null],[17,"SND_PCM_STATE_OPEN","","",null,null],[17,"SND_PCM_STATE_SETUP","","",null,null],[17,"SND_PCM_STATE_PREPARED","","",null,null],[17,"SND_PCM_STATE_RUNNING","","",null,null],[17,"SND_PCM_STATE_XRUN","","",null,null],[17,"SND_PCM_STATE_DRAINING","","",null,null],[17,"SND_PCM_STATE_PAUSED","","",null,null],[17,"SND_PCM_STATE_SUSPENDED","","",null,null],[17,"SND_PCM_STATE_DISCONNECTED","","",null,null],[17,"SND_PCM_STATE_LAST","","",null,null],[17,"SND_PCM_START_DATA","","",null,null],[17,"SND_PCM_START_EXPLICIT","","",null,null],[17,"SND_PCM_START_LAST","","",null,null],[17,"SND_PCM_XRUN_NONE","","",null,null],[17,"SND_PCM_XRUN_STOP","","",null,null],[17,"SND_PCM_XRUN_LAST","","",null,null],[17,"SND_PCM_TSTAMP_NONE","","",null,null],[17,"SND_PCM_TSTAMP_ENABLE","","",null,null],[17,"SND_PCM_TSTAMP_MMAP","","",null,null],[17,"SND_PCM_TSTAMP_LAST","","",null,null],[17,"SND_PCM_TYPE_HW","","",null,null],[17,"SND_PCM_TYPE_HOOKS","","",null,null],[17,"SND_PCM_TYPE_MULTI","","",null,null],[17,"SND_PCM_TYPE_FILE","","",null,null],[17,"SND_PCM_TYPE_NULL","","",null,null],[17,"SND_PCM_TYPE_SHM","","",null,null],[17,"SND_PCM_TYPE_INET","","",null,null],[17,"SND_PCM_TYPE_COPY","","",null,null],[17,"SND_PCM_TYPE_LINEAR","","",null,null],[17,"SND_PCM_TYPE_ALAW","","",null,null],[17,"SND_PCM_TYPE_MULAW","","",null,null],[17,"SND_PCM_TYPE_ADPCM","","",null,null],[17,"SND_PCM_TYPE_RATE","","",null,null],[17,"SND_PCM_TYPE_ROUTE","","",null,null],[17,"SND_PCM_TYPE_PLUG","","",null,null],[17,"SND_PCM_TYPE_SHARE","","",null,null],[17,"SND_PCM_TYPE_METER","","",null,null],[17,"SND_PCM_TYPE_MIX","","",null,null],[17,"SND_PCM_TYPE_DROUTE","","",null,null],[17,"SND_PCM_TYPE_LBSERVER","","",null,null],[17,"SND_PCM_TYPE_LINEAR_FLOAT","","",null,null],[17,"SND_PCM_TYPE_LADSPA","","",null,null],[17,"SND_PCM_TYPE_DMIX","","",null,null],[17,"SND_PCM_TYPE_JACK","","",null,null],[17,"SND_PCM_TYPE_DSNOOP","","",null,null],[17,"SND_PCM_TYPE_DSHARE","","",null,null],[17,"SND_PCM_TYPE_IEC958","","",null,null],[17,"SND_PCM_TYPE_SOFTVOL","","",null,null],[17,"SND_PCM_TYPE_IOPLUG","","",null,null],[17,"SND_PCM_TYPE_EXTPLUG","","",null,null],[17,"SND_PCM_TYPE_MMAP_EMUL","","",null,null],[17,"SND_PCM_TYPE_LAST","","",null,null],[17,"SND_CHMAP_TYPE_NONE","","",null,null],[17,"SND_CHMAP_TYPE_FIXED","","",null,null],[17,"SND_CHMAP_TYPE_VAR","","",null,null],[17,"SND_CHMAP_TYPE_PAIRED","","",null,null],[17,"SND_CHMAP_TYPE_LAST","","",null,null],[17,"SND_CHMAP_UNKNOWN","","",null,null],[17,"SND_CHMAP_NA","","",null,null],[17,"SND_CHMAP_MONO","","",null,null],[17,"SND_CHMAP_FL","","",null,null],[17,"SND_CHMAP_FR","","",null,null],[17,"SND_CHMAP_RL","","",null,null],[17,"SND_CHMAP_RR","","",null,null],[17,"SND_CHMAP_FC","","",null,null],[17,"SND_CHMAP_LFE","","",null,null],[17,"SND_CHMAP_SL","","",null,null],[17,"SND_CHMAP_SR","","",null,null],[17,"SND_CHMAP_RC","","",null,null],[17,"SND_CHMAP_FLC","","",null,null],[17,"SND_CHMAP_FRC","","",null,null],[17,"SND_CHMAP_RLC","","",null,null],[17,"SND_CHMAP_RRC","","",null,null],[17,"SND_CHMAP_FLW","","",null,null],[17,"SND_CHMAP_FRW","","",null,null],[17,"SND_CHMAP_FLH","","",null,null],[17,"SND_CHMAP_FCH","","",null,null],[17,"SND_CHMAP_FRH","","",null,null],[17,"SND_CHMAP_TC","","",null,null],[17,"SND_CHMAP_TFL","","",null,null],[17,"SND_CHMAP_TFR","","",null,null],[17,"SND_CHMAP_TFC","","",null,null],[17,"SND_CHMAP_TRL","","",null,null],[17,"SND_CHMAP_TRR","","",null,null],[17,"SND_CHMAP_TRC","","",null,null],[17,"SND_CHMAP_TFLC","","",null,null],[17,"SND_CHMAP_TFRC","","",null,null],[17,"SND_CHMAP_TSL","","",null,null],[17,"SND_CHMAP_TSR","","",null,null],[17,"SND_CHMAP_LLFE","","",null,null],[17,"SND_CHMAP_RLFE","","",null,null],[17,"SND_CHMAP_BC","","",null,null],[17,"SND_CHMAP_BLC","","",null,null],[17,"SND_CHMAP_BRC","","",null,null],[17,"SND_CHMAP_LAST","","",null,null],[17,"SND_PCM_HOOK_TYPE_HW_PARAMS","","",null,null],[17,"SND_PCM_HOOK_TYPE_HW_FREE","","",null,null],[17,"SND_PCM_HOOK_TYPE_CLOSE","","",null,null],[17,"SND_PCM_HOOK_TYPE_LAST","","",null,null],[17,"SND_SPCM_LATENCY_STANDARD","","",null,null],[17,"SND_SPCM_LATENCY_MEDIUM","","",null,null],[17,"SND_SPCM_LATENCY_REALTIME","","",null,null],[17,"SND_SPCM_XRUN_IGNORE","","",null,null],[17,"SND_SPCM_XRUN_STOP","","",null,null],[17,"SND_SPCM_DUPLEX_LIBERAL","","",null,null],[17,"SND_SPCM_DUPLEX_PEDANTIC","","",null,null],[17,"SND_RAWMIDI_STREAM_OUTPUT","","",null,null],[17,"SND_RAWMIDI_STREAM_INPUT","","",null,null],[17,"SND_RAWMIDI_STREAM_LAST","","",null,null],[17,"SND_RAWMIDI_TYPE_HW","","",null,null],[17,"SND_RAWMIDI_TYPE_SHM","","",null,null],[17,"SND_RAWMIDI_TYPE_INET","","",null,null],[17,"SND_RAWMIDI_TYPE_VIRTUAL","","",null,null],[17,"SND_TIMER_CLASS_NONE","","",null,null],[17,"SND_TIMER_CLASS_SLAVE","","",null,null],[17,"SND_TIMER_CLASS_GLOBAL","","",null,null],[17,"SND_TIMER_CLASS_CARD","","",null,null],[17,"SND_TIMER_CLASS_PCM","","",null,null],[17,"SND_TIMER_CLASS_LAST","","",null,null],[17,"SND_TIMER_SCLASS_NONE","","",null,null],[17,"SND_TIMER_SCLASS_APPLICATION","","",null,null],[17,"SND_TIMER_SCLASS_SEQUENCER","","",null,null],[17,"SND_TIMER_SCLASS_OSS_SEQUENCER","","",null,null],[17,"SND_TIMER_SCLASS_LAST","","",null,null],[17,"SND_TIMER_EVENT_RESOLUTION","","",null,null],[17,"SND_TIMER_EVENT_TICK","","",null,null],[17,"SND_TIMER_EVENT_START","","",null,null],[17,"SND_TIMER_EVENT_STOP","","",null,null],[17,"SND_TIMER_EVENT_CONTINUE","","",null,null],[17,"SND_TIMER_EVENT_PAUSE","","",null,null],[17,"SND_TIMER_EVENT_EARLY","","",null,null],[17,"SND_TIMER_EVENT_SUSPEND","","",null,null],[17,"SND_TIMER_EVENT_RESUME","","",null,null],[17,"SND_TIMER_EVENT_MSTART","","",null,null],[17,"SND_TIMER_EVENT_MSTOP","","",null,null],[17,"SND_TIMER_EVENT_MCONTINUE","","",null,null],[17,"SND_TIMER_EVENT_MPAUSE","","",null,null],[17,"SND_TIMER_EVENT_MSUSPEND","","",null,null],[17,"SND_TIMER_EVENT_MRESUME","","",null,null],[17,"SND_TIMER_TYPE_HW","","",null,null],[17,"SND_TIMER_TYPE_SHM","","",null,null],[17,"SND_TIMER_TYPE_INET","","",null,null],[17,"SND_HWDEP_IFACE_OPL2","","",null,null],[17,"SND_HWDEP_IFACE_OPL3","","",null,null],[17,"SND_HWDEP_IFACE_OPL4","","",null,null],[17,"SND_HWDEP_IFACE_SB16CSP","","",null,null],[17,"SND_HWDEP_IFACE_EMU10K1","","",null,null],[17,"SND_HWDEP_IFACE_YSS225","","",null,null],[17,"SND_HWDEP_IFACE_ICS2115","","",null,null],[17,"SND_HWDEP_IFACE_SSCAPE","","",null,null],[17,"SND_HWDEP_IFACE_VX","","",null,null],[17,"SND_HWDEP_IFACE_MIXART","","",null,null],[17,"SND_HWDEP_IFACE_USX2Y","","",null,null],[17,"SND_HWDEP_IFACE_EMUX_WAVETABLE","","",null,null],[17,"SND_HWDEP_IFACE_BLUETOOTH","","",null,null],[17,"SND_HWDEP_IFACE_USX2Y_PCM","","",null,null],[17,"SND_HWDEP_IFACE_PCXHR","","",null,null],[17,"SND_HWDEP_IFACE_SB_RC","","",null,null],[17,"SND_HWDEP_IFACE_LAST","","",null,null],[17,"SND_HWDEP_TYPE_HW","","",null,null],[17,"SND_HWDEP_TYPE_SHM","","",null,null],[17,"SND_HWDEP_TYPE_INET","","",null,null],[17,"SND_CTL_ELEM_TYPE_NONE","","",null,null],[17,"SND_CTL_ELEM_TYPE_BOOLEAN","","",null,null],[17,"SND_CTL_ELEM_TYPE_INTEGER","","",null,null],[17,"SND_CTL_ELEM_TYPE_ENUMERATED","","",null,null],[17,"SND_CTL_ELEM_TYPE_BYTES","","",null,null],[17,"SND_CTL_ELEM_TYPE_IEC958","","",null,null],[17,"SND_CTL_ELEM_TYPE_INTEGER64","","",null,null],[17,"SND_CTL_ELEM_TYPE_LAST","","",null,null],[17,"SND_CTL_ELEM_IFACE_CARD","","",null,null],[17,"SND_CTL_ELEM_IFACE_HWDEP","","",null,null],[17,"SND_CTL_ELEM_IFACE_MIXER","","",null,null],[17,"SND_CTL_ELEM_IFACE_PCM","","",null,null],[17,"SND_CTL_ELEM_IFACE_RAWMIDI","","",null,null],[17,"SND_CTL_ELEM_IFACE_TIMER","","",null,null],[17,"SND_CTL_ELEM_IFACE_SEQUENCER","","",null,null],[17,"SND_CTL_ELEM_IFACE_LAST","","",null,null],[17,"SND_CTL_EVENT_ELEM","","",null,null],[17,"SND_CTL_EVENT_LAST","","",null,null],[17,"SND_CTL_TYPE_HW","","",null,null],[17,"SND_CTL_TYPE_SHM","","",null,null],[17,"SND_CTL_TYPE_INET","","",null,null],[17,"SND_CTL_TYPE_EXT","","",null,null],[17,"SND_MIXER_ELEM_SIMPLE","","",null,null],[17,"SND_MIXER_ELEM_LAST","","",null,null],[17,"SND_MIXER_SCHN_UNKNOWN","","",null,null],[17,"SND_MIXER_SCHN_FRONT_LEFT","","",null,null],[17,"SND_MIXER_SCHN_FRONT_RIGHT","","",null,null],[17,"SND_MIXER_SCHN_REAR_LEFT","","",null,null],[17,"SND_MIXER_SCHN_REAR_RIGHT","","",null,null],[17,"SND_MIXER_SCHN_FRONT_CENTER","","",null,null],[17,"SND_MIXER_SCHN_WOOFER","","",null,null],[17,"SND_MIXER_SCHN_SIDE_LEFT","","",null,null],[17,"SND_MIXER_SCHN_SIDE_RIGHT","","",null,null],[17,"SND_MIXER_SCHN_REAR_CENTER","","",null,null],[17,"SND_MIXER_SCHN_LAST","","",null,null],[17,"SND_MIXER_SCHN_MONO","","",null,null],[17,"SND_SEQ_EVENT_SYSTEM","","",null,null],[17,"SND_SEQ_EVENT_RESULT","","",null,null],[17,"SND_SEQ_EVENT_NOTE","","",null,null],[17,"SND_SEQ_EVENT_NOTEON","","",null,null],[17,"SND_SEQ_EVENT_NOTEOFF","","",null,null],[17,"SND_SEQ_EVENT_KEYPRESS","","",null,null],[17,"SND_SEQ_EVENT_CONTROLLER","","",null,null],[17,"SND_SEQ_EVENT_PGMCHANGE","","",null,null],[17,"SND_SEQ_EVENT_CHANPRESS","","",null,null],[17,"SND_SEQ_EVENT_PITCHBEND","","",null,null],[17,"SND_SEQ_EVENT_CONTROL14","","",null,null],[17,"SND_SEQ_EVENT_NONREGPARAM","","",null,null],[17,"SND_SEQ_EVENT_REGPARAM","","",null,null],[17,"SND_SEQ_EVENT_SONGPOS","","",null,null],[17,"SND_SEQ_EVENT_SONGSEL","","",null,null],[17,"SND_SEQ_EVENT_QFRAME","","",null,null],[17,"SND_SEQ_EVENT_TIMESIGN","","",null,null],[17,"SND_SEQ_EVENT_KEYSIGN","","",null,null],[17,"SND_SEQ_EVENT_START","","",null,null],[17,"SND_SEQ_EVENT_CONTINUE","","",null,null],[17,"SND_SEQ_EVENT_STOP","","",null,null],[17,"SND_SEQ_EVENT_SETPOS_TICK","","",null,null],[17,"SND_SEQ_EVENT_SETPOS_TIME","","",null,null],[17,"SND_SEQ_EVENT_TEMPO","","",null,null],[17,"SND_SEQ_EVENT_CLOCK","","",null,null],[17,"SND_SEQ_EVENT_TICK","","",null,null],[17,"SND_SEQ_EVENT_QUEUE_SKEW","","",null,null],[17,"SND_SEQ_EVENT_SYNC_POS","","",null,null],[17,"SND_SEQ_EVENT_TUNE_REQUEST","","",null,null],[17,"SND_SEQ_EVENT_RESET","","",null,null],[17,"SND_SEQ_EVENT_SENSING","","",null,null],[17,"SND_SEQ_EVENT_ECHO","","",null,null],[17,"SND_SEQ_EVENT_OSS","","",null,null],[17,"SND_SEQ_EVENT_CLIENT_START","","",null,null],[17,"SND_SEQ_EVENT_CLIENT_EXIT","","",null,null],[17,"SND_SEQ_EVENT_CLIENT_CHANGE","","",null,null],[17,"SND_SEQ_EVENT_PORT_START","","",null,null],[17,"SND_SEQ_EVENT_PORT_EXIT","","",null,null],[17,"SND_SEQ_EVENT_PORT_CHANGE","","",null,null],[17,"SND_SEQ_EVENT_PORT_SUBSCRIBED","","",null,null],[17,"SND_SEQ_EVENT_PORT_UNSUBSCRIBED","","",null,null],[17,"SND_SEQ_EVENT_USR0","","",null,null],[17,"SND_SEQ_EVENT_USR1","","",null,null],[17,"SND_SEQ_EVENT_USR2","","",null,null],[17,"SND_SEQ_EVENT_USR3","","",null,null],[17,"SND_SEQ_EVENT_USR4","","",null,null],[17,"SND_SEQ_EVENT_USR5","","",null,null],[17,"SND_SEQ_EVENT_USR6","","",null,null],[17,"SND_SEQ_EVENT_USR7","","",null,null],[17,"SND_SEQ_EVENT_USR8","","",null,null],[17,"SND_SEQ_EVENT_USR9","","",null,null],[17,"SND_SEQ_EVENT_SYSEX","","",null,null],[17,"SND_SEQ_EVENT_BOUNCE","","",null,null],[17,"SND_SEQ_EVENT_USR_VAR0","","",null,null],[17,"SND_SEQ_EVENT_USR_VAR1","","",null,null],[17,"SND_SEQ_EVENT_USR_VAR2","","",null,null],[17,"SND_SEQ_EVENT_USR_VAR3","","",null,null],[17,"SND_SEQ_EVENT_USR_VAR4","","",null,null],[17,"SND_SEQ_EVENT_NONE","","",null,null],[17,"SND_SEQ_TYPE_HW","","",null,null],[17,"SND_SEQ_TYPE_SHM","","",null,null],[17,"SND_SEQ_TYPE_INET","","",null,null],[17,"SND_SEQ_USER_CLIENT","","",null,null],[17,"SND_SEQ_KERNEL_CLIENT","","",null,null],[17,"SND_SEQ_QUERY_SUBS_READ","","",null,null],[17,"SND_SEQ_QUERY_SUBS_WRITE","","",null,null],[17,"SND_SEQ_TIMER_ALSA","","",null,null],[17,"SND_SEQ_TIMER_MIDI_CLOCK","","",null,null],[17,"SND_SEQ_TIMER_MIDI_TICK","","",null,null],[17,"SND_SEQ_EVFLG_RESULT","","",null,null],[17,"SND_SEQ_EVFLG_NOTE","","",null,null],[17,"SND_SEQ_EVFLG_CONTROL","","",null,null],[17,"SND_SEQ_EVFLG_QUEUE","","",null,null],[17,"SND_SEQ_EVFLG_SYSTEM","","",null,null],[17,"SND_SEQ_EVFLG_MESSAGE","","",null,null],[17,"SND_SEQ_EVFLG_CONNECTION","","",null,null],[17,"SND_SEQ_EVFLG_SAMPLE","","",null,null],[17,"SND_SEQ_EVFLG_USERS","","",null,null],[17,"SND_SEQ_EVFLG_INSTR","","",null,null],[17,"SND_SEQ_EVFLG_QUOTE","","",null,null],[17,"SND_SEQ_EVFLG_NONE","","",null,null],[17,"SND_SEQ_EVFLG_RAW","","",null,null],[17,"SND_SEQ_EVFLG_FIXED","","",null,null],[17,"SND_SEQ_EVFLG_VARIABLE","","",null,null],[17,"SND_SEQ_EVFLG_VARUSR","","",null,null],[17,"SND_SEQ_EVFLG_NOTE_ONEARG","","",null,null],[17,"SND_SEQ_EVFLG_NOTE_TWOARG","","",null,null],[17,"SND_SEQ_EVFLG_QUEUE_NOARG","","",null,null],[17,"SND_SEQ_EVFLG_QUEUE_TICK","","",null,null],[17,"SND_SEQ_EVFLG_QUEUE_TIME","","",null,null],[17,"SND_SEQ_EVFLG_QUEUE_VALUE","","",null,null],[11,"id","","",3,null],[11,"id16","","",3,null],[11,"id32","","",3,null],[11,"tick","","",14,null],[11,"time","","",14,null],[11,"value","","",23,null],[11,"time","","",23,null],[11,"position","","",23,null],[11,"skew","","",23,null],[11,"d32","","",23,null],[11,"d8","","",23,null],[11,"note","","",25,null],[11,"control","","",25,null],[11,"raw8","","",25,null],[11,"raw32","","",25,null],[11,"ext","","",25,null],[11,"queue","","",25,null],[11,"time","","",25,null],[11,"addr","","",25,null],[11,"connect","","",25,null],[11,"result","","",25,null]],"paths":[[3,"snd_dlsym_link"],[3,"snd_devname_t"],[3,"snd_pcm_channel_area_t"],[3,"snd_pcm_sync_id_t"],[3,"snd_pcm_chmap_t"],[3,"snd_pcm_chmap_query_t"],[3,"snd_pcm_scope_ops_t"],[3,"snd_timer_read_t"],[3,"snd_timer_tread_t"],[3,"snd_aes_iec958_t"],[3,"snd_mixer_selem_regopt"],[3,"snd_seq_addr_t"],[3,"snd_seq_connect_t"],[3,"snd_seq_real_time_t"],[3,"snd_seq_timestamp_t"],[3,"snd_seq_ev_note_t"],[3,"snd_seq_ev_ctrl_t"],[3,"snd_seq_ev_raw8_t"],[3,"snd_seq_ev_raw32_t"],[3,"snd_seq_ev_ext_t"],[3,"snd_seq_result_t"],[3,"snd_seq_queue_skew_t"],[3,"snd_seq_ev_queue_control_t"],[3,"Union_Unnamed9"],[3,"snd_seq_event_t"],[3,"Union_Unnamed10"]]};
searchIndex["atk_sys"] = {"doc":"","items":[[3,"AtkHyperlinkStateFlags","atk_sys","",null,null],[3,"AtkActionIface","","",null,null],[12,"parent","","",0,null],[12,"do_action","","",0,null],[12,"get_n_actions","","",0,null],[12,"get_description","","",0,null],[12,"get_name","","",0,null],[12,"get_keybinding","","",0,null],[12,"set_description","","",0,null],[12,"get_localized_name","","",0,null],[3,"AtkAttribute","","",null,null],[12,"name","","",1,null],[12,"value","","",1,null],[3,"AtkComponentIface","","",null,null],[12,"parent","","",2,null],[12,"add_focus_handler","","",2,null],[12,"contains","","",2,null],[12,"ref_accessible_at_point","","",2,null],[12,"get_extents","","",2,null],[12,"get_position","","",2,null],[12,"get_size","","",2,null],[12,"grab_focus","","",2,null],[12,"remove_focus_handler","","",2,null],[12,"set_extents","","",2,null],[12,"set_position","","",2,null],[12,"set_size","","",2,null],[12,"get_layer","","",2,null],[12,"get_mdi_zorder","","",2,null],[12,"bounds_changed","","",2,null],[12,"get_alpha","","",2,null],[3,"AtkDocumentIface","","",null,null],[12,"parent","","",3,null],[12,"get_document_type","","",3,null],[12,"get_document","","",3,null],[12,"get_document_locale","","",3,null],[12,"get_document_attributes","","",3,null],[12,"get_document_attribute_value","","",3,null],[12,"set_document_attribute","","",3,null],[12,"get_current_page_number","","",3,null],[12,"get_page_count","","",3,null],[3,"AtkEditableTextIface","","",null,null],[12,"parent_interface","","",4,null],[12,"set_run_attributes","","",4,null],[12,"set_text_contents","","",4,null],[12,"insert_text","","",4,null],[12,"copy_text","","",4,null],[12,"cut_text","","",4,null],[12,"delete_text","","",4,null],[12,"paste_text","","",4,null],[3,"AtkGObjectAccessibleClass","","",null,null],[12,"parent_class","","",5,null],[12,"pad1","","",5,null],[12,"pad2","","",5,null],[3,"AtkHyperlinkClass","","",null,null],[12,"parent","","",6,null],[12,"get_uri","","",6,null],[12,"get_object","","",6,null],[12,"get_end_index","","",6,null],[12,"get_start_index","","",6,null],[12,"is_valid","","",6,null],[12,"get_n_anchors","","",6,null],[12,"link_state","","",6,null],[12,"is_selected_link","","",6,null],[12,"link_activated","","",6,null],[12,"pad1","","",6,null],[3,"AtkHyperlinkImplIface","","",null,null],[12,"parent","","",7,null],[12,"get_hyperlink","","",7,null],[3,"AtkHypertextIface","","",null,null],[12,"parent","","",8,null],[12,"get_link","","",8,null],[12,"get_n_links","","",8,null],[12,"get_link_index","","",8,null],[12,"link_selected","","",8,null],[3,"AtkImageIface","","",null,null],[12,"parent","","",9,null],[12,"get_image_position","","",9,null],[12,"get_image_description","","",9,null],[12,"get_image_size","","",9,null],[12,"set_image_description","","",9,null],[12,"get_image_locale","","",9,null],[3,"AtkImplementor","","",null,null],[3,"AtkKeyEventStruct","","",null,null],[12,"type_","","",10,null],[12,"state","","",10,null],[12,"keyval","","",10,null],[12,"length","","",10,null],[12,"string","","",10,null],[12,"keycode","","",10,null],[12,"timestamp","","",10,null],[3,"AtkMiscClass","","",null,null],[12,"parent","","",11,null],[12,"threads_enter","","",11,null],[12,"threads_leave","","",11,null],[12,"vfuncs","","",11,null],[3,"AtkNoOpObjectClass","","",null,null],[12,"parent_class","","",12,null],[3,"AtkNoOpObjectFactoryClass","","",null,null],[12,"parent_class","","",13,null],[3,"AtkObjectClass","","",null,null],[12,"parent","","",14,null],[12,"get_name","","",14,null],[12,"get_description","","",14,null],[12,"get_parent","","",14,null],[12,"get_n_children","","",14,null],[12,"ref_child","","",14,null],[12,"get_index_in_parent","","",14,null],[12,"ref_relation_set","","",14,null],[12,"get_role","","",14,null],[12,"get_layer","","",14,null],[12,"get_mdi_zorder","","",14,null],[12,"ref_state_set","","",14,null],[12,"set_name","","",14,null],[12,"set_description","","",14,null],[12,"set_parent","","",14,null],[12,"set_role","","",14,null],[12,"connect_property_change_handler","","",14,null],[12,"remove_property_change_handler","","",14,null],[12,"initialize","","",14,null],[12,"children_changed","","",14,null],[12,"focus_event","","",14,null],[12,"property_change","","",14,null],[12,"state_change","","",14,null],[12,"visible_data_changed","","",14,null],[12,"active_descendant_changed","","",14,null],[12,"get_attributes","","",14,null],[12,"get_object_locale","","",14,null],[12,"pad1","","",14,null],[3,"AtkObjectFactoryClass","","",null,null],[12,"parent_class","","",15,null],[12,"create_accessible","","",15,null],[12,"invalidate","","",15,null],[12,"get_accessible_type","","",15,null],[12,"pad1","","",15,null],[12,"pad2","","",15,null],[3,"AtkPlugClass","","",null,null],[12,"parent_class","","",16,null],[12,"get_object_id","","",16,null],[3,"AtkPropertyValues","","",null,null],[12,"property_name","","",17,null],[12,"old_value","","",17,null],[12,"new_value","","",17,null],[3,"AtkRange","","",null,null],[3,"AtkRectangle","","",null,null],[12,"x","","",18,null],[12,"y","","",18,null],[12,"width","","",18,null],[12,"height","","",18,null],[3,"AtkRegistryClass","","",null,null],[12,"parent_class","","",19,null],[3,"AtkRelationClass","","",null,null],[12,"parent","","",20,null],[3,"AtkRelationSetClass","","",null,null],[12,"parent","","",21,null],[12,"pad1","","",21,null],[12,"pad2","","",21,null],[3,"AtkSelectionIface","","",null,null],[12,"parent","","",22,null],[12,"add_selection","","",22,null],[12,"clear_selection","","",22,null],[12,"ref_selection","","",22,null],[12,"get_selection_count","","",22,null],[12,"is_child_selected","","",22,null],[12,"remove_selection","","",22,null],[12,"select_all_selection","","",22,null],[12,"selection_changed","","",22,null],[3,"AtkSocketClass","","",null,null],[12,"parent_class","","",23,null],[12,"embed","","",23,null],[3,"AtkStateSetClass","","",null,null],[12,"parent","","",24,null],[3,"AtkStreamableContentIface","","",null,null],[12,"parent","","",25,null],[12,"get_n_mime_types","","",25,null],[12,"get_mime_type","","",25,null],[12,"get_stream","","",25,null],[12,"get_uri","","",25,null],[12,"pad1","","",25,null],[12,"pad2","","",25,null],[12,"pad3","","",25,null],[3,"AtkTableCellIface","","",null,null],[12,"parent","","",26,null],[12,"get_column_span","","",26,null],[12,"get_column_header_cells","","",26,null],[12,"get_position","","",26,null],[12,"get_row_span","","",26,null],[12,"get_row_header_cells","","",26,null],[12,"get_row_column_span","","",26,null],[12,"get_table","","",26,null],[3,"AtkTableIface","","",null,null],[12,"parent","","",27,null],[12,"ref_at","","",27,null],[12,"get_index_at","","",27,null],[12,"get_column_at_index","","",27,null],[12,"get_row_at_index","","",27,null],[12,"get_n_columns","","",27,null],[12,"get_n_rows","","",27,null],[12,"get_column_extent_at","","",27,null],[12,"get_row_extent_at","","",27,null],[12,"get_caption","","",27,null],[12,"get_column_description","","",27,null],[12,"get_column_header","","",27,null],[12,"get_row_description","","",27,null],[12,"get_row_header","","",27,null],[12,"get_summary","","",27,null],[12,"set_caption","","",27,null],[12,"set_column_description","","",27,null],[12,"set_column_header","","",27,null],[12,"set_row_description","","",27,null],[12,"set_row_header","","",27,null],[12,"set_summary","","",27,null],[12,"get_selected_columns","","",27,null],[12,"get_selected_rows","","",27,null],[12,"is_column_selected","","",27,null],[12,"is_row_selected","","",27,null],[12,"is_selected","","",27,null],[12,"add_row_selection","","",27,null],[12,"remove_row_selection","","",27,null],[12,"add_column_selection","","",27,null],[12,"remove_column_selection","","",27,null],[12,"row_inserted","","",27,null],[12,"column_inserted","","",27,null],[12,"row_deleted","","",27,null],[12,"column_deleted","","",27,null],[12,"row_reordered","","",27,null],[12,"column_reordered","","",27,null],[12,"model_changed","","",27,null],[3,"AtkTextIface","","",null,null],[12,"parent","","",28,null],[12,"get_text","","",28,null],[12,"get_text_after_offset","","",28,null],[12,"get_text_at_offset","","",28,null],[12,"get_character_at_offset","","",28,null],[12,"get_text_before_offset","","",28,null],[12,"get_caret_offset","","",28,null],[12,"get_run_attributes","","",28,null],[12,"get_default_attributes","","",28,null],[12,"get_character_extents","","",28,null],[12,"get_character_count","","",28,null],[12,"get_offset_at_point","","",28,null],[12,"get_n_selections","","",28,null],[12,"get_selection","","",28,null],[12,"add_selection","","",28,null],[12,"remove_selection","","",28,null],[12,"set_selection","","",28,null],[12,"set_caret_offset","","",28,null],[12,"text_changed","","",28,null],[12,"text_caret_moved","","",28,null],[12,"text_selection_changed","","",28,null],[12,"text_attributes_changed","","",28,null],[12,"get_range_extents","","",28,null],[12,"get_bounded_ranges","","",28,null],[12,"get_string_at_offset","","",28,null],[3,"AtkTextRange","","",null,null],[12,"bounds","","",29,null],[12,"start_offset","","",29,null],[12,"end_offset","","",29,null],[12,"content","","",29,null],[3,"AtkTextRectangle","","",null,null],[12,"x","","",30,null],[12,"y","","",30,null],[12,"width","","",30,null],[12,"height","","",30,null],[3,"AtkUtilClass","","",null,null],[12,"parent","","",31,null],[12,"add_global_event_listener","","",31,null],[12,"remove_global_event_listener","","",31,null],[12,"add_key_event_listener","","",31,null],[12,"remove_key_event_listener","","",31,null],[12,"get_root","","",31,null],[12,"get_toolkit_name","","",31,null],[12,"get_toolkit_version","","",31,null],[3,"AtkValueIface","","",null,null],[12,"parent","","",32,null],[12,"get_current_value","","",32,null],[12,"get_maximum_value","","",32,null],[12,"get_minimum_value","","",32,null],[12,"set_current_value","","",32,null],[12,"get_minimum_increment","","",32,null],[12,"get_value_and_text","","",32,null],[12,"get_range","","",32,null],[12,"get_increment","","",32,null],[12,"get_sub_ranges","","",32,null],[12,"set_value","","",32,null],[3,"AtkWindowIface","","",null,null],[12,"parent","","",33,null],[3,"AtkGObjectAccessible","","",null,null],[12,"parent","","",34,null],[3,"AtkHyperlink","","",null,null],[12,"parent","","",35,null],[3,"AtkMisc","","",null,null],[12,"parent","","",36,null],[3,"AtkNoOpObject","","",null,null],[12,"parent","","",37,null],[3,"AtkNoOpObjectFactory","","",null,null],[12,"parent","","",38,null],[3,"AtkObject","","",null,null],[12,"parent","","",39,null],[12,"description","","",39,null],[12,"name","","",39,null],[12,"accessible_parent","","",39,null],[12,"role","","",39,null],[12,"relation_set","","",39,null],[12,"layer","","",39,null],[3,"AtkObjectFactory","","",null,null],[12,"parent","","",40,null],[3,"AtkPlug","","",null,null],[12,"parent","","",41,null],[3,"AtkRegistry","","",null,null],[12,"parent","","",42,null],[12,"factory_type_registry","","",42,null],[12,"factory_singleton_cache","","",42,null],[3,"AtkRelation","","",null,null],[12,"parent","","",43,null],[12,"target","","",43,null],[12,"relationship","","",43,null],[3,"AtkRelationSet","","",null,null],[12,"parent","","",44,null],[12,"relations","","",44,null],[3,"AtkSocket","","",null,null],[12,"parent","","",45,null],[12,"embedded_plug_id","","",45,null],[3,"AtkStateSet","","",null,null],[12,"parent","","",46,null],[3,"AtkUtil","","",null,null],[12,"parent","","",47,null],[3,"AtkAction","","",null,null],[3,"AtkComponent","","",null,null],[3,"AtkDocument","","",null,null],[3,"AtkEditableText","","",null,null],[3,"AtkHyperlinkImpl","","",null,null],[3,"AtkHypertext","","",null,null],[3,"AtkImage","","",null,null],[3,"AtkImplementorIface","","",null,null],[3,"AtkSelection","","",null,null],[3,"AtkStreamableContent","","",null,null],[3,"AtkTable","","",null,null],[3,"AtkTableCell","","",null,null],[3,"AtkText","","",null,null],[3,"AtkValue","","",null,null],[3,"AtkWindow","","",null,null],[4,"AtkCoordType","","",null,null],[13,"Screen","","",48,null],[13,"Window","","",48,null],[4,"AtkKeyEventType","","",null,null],[13,"Press","","",49,null],[13,"Release","","",49,null],[13,"LastDefined","","",49,null],[4,"AtkLayer","","",null,null],[13,"Invalid","","",50,null],[13,"Background","","",50,null],[13,"Canvas","","",50,null],[13,"Widget","","",50,null],[13,"Mdi","","",50,null],[13,"Popup","","",50,null],[13,"Overlay","","",50,null],[13,"Window","","",50,null],[4,"AtkRelationType","","",null,null],[13,"Null","","",51,null],[13,"ControlledBy","","",51,null],[13,"ControllerFor","","",51,null],[13,"LabelFor","","",51,null],[13,"LabelledBy","","",51,null],[13,"MemberOf","","",51,null],[13,"NodeChildOf","","",51,null],[13,"FlowsTo","","",51,null],[13,"FlowsFrom","","",51,null],[13,"SubwindowOf","","",51,null],[13,"Embeds","","",51,null],[13,"EmbeddedBy","","",51,null],[13,"PopupFor","","",51,null],[13,"ParentWindowOf","","",51,null],[13,"DescribedBy","","",51,null],[13,"DescriptionFor","","",51,null],[13,"NodeParentOf","","",51,null],[13,"LastDefined","","",51,null],[4,"AtkRole","","",null,null],[13,"Invalid","","",52,null],[13,"AcceleratorLabel","","",52,null],[13,"Alert","","",52,null],[13,"Animation","","",52,null],[13,"Arrow","","",52,null],[13,"Calendar","","",52,null],[13,"Canvas","","",52,null],[13,"CheckBox","","",52,null],[13,"CheckMenuItem","","",52,null],[13,"ColorChooser","","",52,null],[13,"ColumnHeader","","",52,null],[13,"ComboBox","","",52,null],[13,"DateEditor","","",52,null],[13,"DesktopIcon","","",52,null],[13,"DesktopFrame","","",52,null],[13,"Dial","","",52,null],[13,"Dialog","","",52,null],[13,"DirectoryPane","","",52,null],[13,"DrawingArea","","",52,null],[13,"FileChooser","","",52,null],[13,"Filler","","",52,null],[13,"FontChooser","","",52,null],[13,"Frame","","",52,null],[13,"GlassPane","","",52,null],[13,"HtmlContainer","","",52,null],[13,"Icon","","",52,null],[13,"Image","","",52,null],[13,"InternalFrame","","",52,null],[13,"Label","","",52,null],[13,"LayeredPane","","",52,null],[13,"List","","",52,null],[13,"ListItem","","",52,null],[13,"Menu","","",52,null],[13,"MenuBar","","",52,null],[13,"MenuItem","","",52,null],[13,"OptionPane","","",52,null],[13,"PageTab","","",52,null],[13,"PageTabList","","",52,null],[13,"Panel","","",52,null],[13,"PasswordText","","",52,null],[13,"PopupMenu","","",52,null],[13,"ProgressBar","","",52,null],[13,"PushButton","","",52,null],[13,"RadioButton","","",52,null],[13,"RadioMenuItem","","",52,null],[13,"RootPane","","",52,null],[13,"RowHeader","","",52,null],[13,"ScrollBar","","",52,null],[13,"ScrollPane","","",52,null],[13,"Separator","","",52,null],[13,"Slider","","",52,null],[13,"SplitPane","","",52,null],[13,"SpinButton","","",52,null],[13,"Statusbar","","",52,null],[13,"Table","","",52,null],[13,"TableCell","","",52,null],[13,"TableColumnHeader","","",52,null],[13,"TableRowHeader","","",52,null],[13,"TearOffMenuItem","","",52,null],[13,"Terminal","","",52,null],[13,"Text","","",52,null],[13,"ToggleButton","","",52,null],[13,"ToolBar","","",52,null],[13,"ToolTip","","",52,null],[13,"Tree","","",52,null],[13,"TreeTable","","",52,null],[13,"Unknown","","",52,null],[13,"Viewport","","",52,null],[13,"Window","","",52,null],[13,"Header","","",52,null],[13,"Footer","","",52,null],[13,"Paragraph","","",52,null],[13,"Ruler","","",52,null],[13,"Application","","",52,null],[13,"Autocomplete","","",52,null],[13,"EditBar","","",52,null],[13,"Embedded","","",52,null],[13,"Entry","","",52,null],[13,"Chart","","",52,null],[13,"Caption","","",52,null],[13,"DocumentFrame","","",52,null],[13,"Heading","","",52,null],[13,"Page","","",52,null],[13,"Section","","",52,null],[13,"RedundantObject","","",52,null],[13,"Form","","",52,null],[13,"Link","","",52,null],[13,"InputMethodWindow","","",52,null],[13,"TableRow","","",52,null],[13,"TreeItem","","",52,null],[13,"DocumentSpreadsheet","","",52,null],[13,"DocumentPresentation","","",52,null],[13,"DocumentText","","",52,null],[13,"DocumentWeb","","",52,null],[13,"DocumentEmail","","",52,null],[13,"Comment","","",52,null],[13,"ListBox","","",52,null],[13,"Grouping","","",52,null],[13,"ImageMap","","",52,null],[13,"Notification","","",52,null],[13,"InfoBar","","",52,null],[13,"LevelBar","","",52,null],[13,"TitleBar","","",52,null],[13,"BlockQuote","","",52,null],[13,"Audio","","",52,null],[13,"Video","","",52,null],[13,"Definition","","",52,null],[13,"Article","","",52,null],[13,"Landmark","","",52,null],[13,"Log","","",52,null],[13,"Marquee","","",52,null],[13,"Math","","",52,null],[13,"Rating","","",52,null],[13,"Timer","","",52,null],[13,"DescriptionList","","",52,null],[13,"DescriptionTerm","","",52,null],[13,"DescriptionValue","","",52,null],[13,"Static","","",52,null],[13,"MathFraction","","",52,null],[13,"MathRoot","","",52,null],[13,"Subscript","","",52,null],[13,"Superscript","","",52,null],[13,"LastDefined","","",52,null],[4,"AtkStateType","","",null,null],[13,"Invalid","","",53,null],[13,"Active","","",53,null],[13,"Armed","","",53,null],[13,"Busy","","",53,null],[13,"Checked","","",53,null],[13,"Defunct","","",53,null],[13,"Editable","","",53,null],[13,"Enabled","","",53,null],[13,"Expandable","","",53,null],[13,"Expanded","","",53,null],[13,"Focusable","","",53,null],[13,"Focused","","",53,null],[13,"Horizontal","","",53,null],[13,"Iconified","","",53,null],[13,"Modal","","",53,null],[13,"MultiLine","","",53,null],[13,"Multiselectable","","",53,null],[13,"Opaque","","",53,null],[13,"Pressed","","",53,null],[13,"Resizable","","",53,null],[13,"Selectable","","",53,null],[13,"Selected","","",53,null],[13,"Sensitive","","",53,null],[13,"Showing","","",53,null],[13,"SingleLine","","",53,null],[13,"Stale","","",53,null],[13,"Transient","","",53,null],[13,"Vertical","","",53,null],[13,"Visible","","",53,null],[13,"ManagesDescendants","","",53,null],[13,"Indeterminate","","",53,null],[13,"Truncated","","",53,null],[13,"Required","","",53,null],[13,"InvalidEntry","","",53,null],[13,"SupportsAutocompletion","","",53,null],[13,"SelectableText","","",53,null],[13,"Default","","",53,null],[13,"Animated","","",53,null],[13,"Visited","","",53,null],[13,"Checkable","","",53,null],[13,"HasPopup","","",53,null],[13,"HasTooltip","","",53,null],[13,"ReadOnly","","",53,null],[13,"LastDefined","","",53,null],[4,"AtkTextAttribute","","",null,null],[13,"Invalid","","",54,null],[13,"LeftMargin","","",54,null],[13,"RightMargin","","",54,null],[13,"Indent","","",54,null],[13,"Invisible","","",54,null],[13,"Editable","","",54,null],[13,"PixelsAboveLines","","",54,null],[13,"PixelsBelowLines","","",54,null],[13,"PixelsInsideWrap","","",54,null],[13,"BgFullHeight","","",54,null],[13,"Rise","","",54,null],[13,"Underline","","",54,null],[13,"Strikethrough","","",54,null],[13,"Size","","",54,null],[13,"Scale","","",54,null],[13,"Weight","","",54,null],[13,"Language","","",54,null],[13,"FamilyName","","",54,null],[13,"BgColor","","",54,null],[13,"FgColor","","",54,null],[13,"BgStipple","","",54,null],[13,"FgStipple","","",54,null],[13,"WrapMode","","",54,null],[13,"Direction","","",54,null],[13,"Justification","","",54,null],[13,"Stretch","","",54,null],[13,"Variant","","",54,null],[13,"Style","","",54,null],[13,"LastDefined","","",54,null],[4,"AtkTextBoundary","","",null,null],[13,"Char","","",55,null],[13,"WordStart","","",55,null],[13,"WordEnd","","",55,null],[13,"SentenceStart","","",55,null],[13,"SentenceEnd","","",55,null],[13,"LineStart","","",55,null],[13,"LineEnd","","",55,null],[4,"AtkTextClipType","","",null,null],[13,"None","","",56,null],[13,"Min","","",56,null],[13,"Max","","",56,null],[13,"Both","","",56,null],[4,"AtkTextGranularity","","",null,null],[13,"Char","","",57,null],[13,"Word","","",57,null],[13,"Sentence","","",57,null],[13,"Line","","",57,null],[13,"Paragraph","","",57,null],[4,"AtkValueType","","",null,null],[13,"VeryWeak","","",58,null],[13,"Weak","","",58,null],[13,"Acceptable","","",58,null],[13,"Strong","","",58,null],[13,"VeryStrong","","",58,null],[13,"VeryLow","","",58,null],[13,"Low","","",58,null],[13,"Medium","","",58,null],[13,"High","","",58,null],[13,"VeryHigh","","",58,null],[13,"VeryBad","","",58,null],[13,"Bad","","",58,null],[13,"Good","","",58,null],[13,"VeryGood","","",58,null],[13,"Best","","",58,null],[13,"LastDefined","","",58,null],[5,"atk_relation_type_for_name","","",null,null],[5,"atk_relation_type_get_name","","",null,null],[5,"atk_relation_type_register","","",null,null],[5,"atk_role_for_name","","",null,null],[5,"atk_role_get_localized_name","","",null,null],[5,"atk_role_get_name","","",null,null],[5,"atk_role_register","","",null,null],[5,"atk_state_type_for_name","","",null,null],[5,"atk_state_type_get_name","","",null,null],[5,"atk_state_type_register","","",null,null],[5,"atk_text_attribute_for_name","","",null,null],[5,"atk_text_attribute_get_name","","",null,null],[5,"atk_text_attribute_get_value","","",null,null],[5,"atk_text_attribute_register","","",null,null],[5,"atk_value_type_get_localized_name","","",null,null],[5,"atk_value_type_get_name","","",null,null],[5,"atk_attribute_set_free","","",null,null],[5,"atk_implementor_ref_accessible","","",null,null],[5,"atk_range_get_type","","",null,null],[5,"atk_rectangle_get_type","","",null,null],[5,"atk_text_range_get_type","","",null,null],[5,"atk_gobject_accessible_get_type","","",null,null],[5,"atk_gobject_accessible_for_object","","",null,null],[5,"atk_gobject_accessible_get_object","","",null,null],[5,"atk_hyperlink_get_type","","",null,null],[5,"atk_hyperlink_get_end_index","","",null,null],[5,"atk_hyperlink_get_n_anchors","","",null,null],[5,"atk_hyperlink_get_object","","",null,null],[5,"atk_hyperlink_get_start_index","","",null,null],[5,"atk_hyperlink_get_uri","","",null,null],[5,"atk_hyperlink_is_inline","","",null,null],[5,"atk_hyperlink_is_selected_link","","",null,null],[5,"atk_hyperlink_is_valid","","",null,null],[5,"atk_misc_get_type","","",null,null],[5,"atk_misc_get_instance","","",null,null],[5,"atk_misc_threads_enter","","",null,null],[5,"atk_misc_threads_leave","","",null,null],[5,"atk_no_op_object_get_type","","",null,null],[5,"atk_no_op_object_new","","",null,null],[5,"atk_no_op_object_factory_get_type","","",null,null],[5,"atk_no_op_object_factory_new","","",null,null],[5,"atk_object_get_type","","",null,null],[5,"atk_object_add_relationship","","",null,null],[5,"atk_object_connect_property_change_handler","","",null,null],[5,"atk_object_get_attributes","","",null,null],[5,"atk_object_get_description","","",null,null],[5,"atk_object_get_index_in_parent","","",null,null],[5,"atk_object_get_layer","","",null,null],[5,"atk_object_get_mdi_zorder","","",null,null],[5,"atk_object_get_n_accessible_children","","",null,null],[5,"atk_object_get_name","","",null,null],[5,"atk_object_get_parent","","",null,null],[5,"atk_object_get_role","","",null,null],[5,"atk_object_initialize","","",null,null],[5,"atk_object_notify_state_change","","",null,null],[5,"atk_object_peek_parent","","",null,null],[5,"atk_object_ref_accessible_child","","",null,null],[5,"atk_object_ref_relation_set","","",null,null],[5,"atk_object_ref_state_set","","",null,null],[5,"atk_object_remove_property_change_handler","","",null,null],[5,"atk_object_remove_relationship","","",null,null],[5,"atk_object_set_description","","",null,null],[5,"atk_object_set_name","","",null,null],[5,"atk_object_set_parent","","",null,null],[5,"atk_object_set_role","","",null,null],[5,"atk_object_factory_get_type","","",null,null],[5,"atk_object_factory_create_accessible","","",null,null],[5,"atk_object_factory_get_accessible_type","","",null,null],[5,"atk_object_factory_invalidate","","",null,null],[5,"atk_plug_get_type","","",null,null],[5,"atk_plug_new","","",null,null],[5,"atk_plug_get_id","","",null,null],[5,"atk_registry_get_type","","",null,null],[5,"atk_registry_get_factory","","",null,null],[5,"atk_registry_get_factory_type","","",null,null],[5,"atk_registry_set_factory_type","","",null,null],[5,"atk_relation_get_type","","",null,null],[5,"atk_relation_new","","",null,null],[5,"atk_relation_add_target","","",null,null],[5,"atk_relation_get_relation_type","","",null,null],[5,"atk_relation_get_target","","",null,null],[5,"atk_relation_remove_target","","",null,null],[5,"atk_relation_set_get_type","","",null,null],[5,"atk_relation_set_new","","",null,null],[5,"atk_relation_set_add","","",null,null],[5,"atk_relation_set_add_relation_by_type","","",null,null],[5,"atk_relation_set_contains","","",null,null],[5,"atk_relation_set_contains_target","","",null,null],[5,"atk_relation_set_get_n_relations","","",null,null],[5,"atk_relation_set_get_relation","","",null,null],[5,"atk_relation_set_get_relation_by_type","","",null,null],[5,"atk_relation_set_remove","","",null,null],[5,"atk_socket_get_type","","",null,null],[5,"atk_socket_new","","",null,null],[5,"atk_socket_embed","","",null,null],[5,"atk_socket_is_occupied","","",null,null],[5,"atk_state_set_get_type","","",null,null],[5,"atk_state_set_new","","",null,null],[5,"atk_state_set_add_state","","",null,null],[5,"atk_state_set_add_states","","",null,null],[5,"atk_state_set_and_sets","","",null,null],[5,"atk_state_set_clear_states","","",null,null],[5,"atk_state_set_contains_state","","",null,null],[5,"atk_state_set_contains_states","","",null,null],[5,"atk_state_set_is_empty","","",null,null],[5,"atk_state_set_or_sets","","",null,null],[5,"atk_state_set_remove_state","","",null,null],[5,"atk_state_set_xor_sets","","",null,null],[5,"atk_util_get_type","","",null,null],[5,"atk_action_get_type","","",null,null],[5,"atk_action_do_action","","",null,null],[5,"atk_action_get_description","","",null,null],[5,"atk_action_get_keybinding","","",null,null],[5,"atk_action_get_localized_name","","",null,null],[5,"atk_action_get_n_actions","","",null,null],[5,"atk_action_get_name","","",null,null],[5,"atk_action_set_description","","",null,null],[5,"atk_component_get_type","","",null,null],[5,"atk_component_add_focus_handler","","",null,null],[5,"atk_component_contains","","",null,null],[5,"atk_component_get_alpha","","",null,null],[5,"atk_component_get_extents","","",null,null],[5,"atk_component_get_layer","","",null,null],[5,"atk_component_get_mdi_zorder","","",null,null],[5,"atk_component_get_position","","",null,null],[5,"atk_component_get_size","","",null,null],[5,"atk_component_grab_focus","","",null,null],[5,"atk_component_ref_accessible_at_point","","",null,null],[5,"atk_component_remove_focus_handler","","",null,null],[5,"atk_component_set_extents","","",null,null],[5,"atk_component_set_position","","",null,null],[5,"atk_component_set_size","","",null,null],[5,"atk_document_get_type","","",null,null],[5,"atk_document_get_attribute_value","","",null,null],[5,"atk_document_get_attributes","","",null,null],[5,"atk_document_get_document","","",null,null],[5,"atk_document_get_document_type","","",null,null],[5,"atk_document_get_locale","","",null,null],[5,"atk_document_set_attribute_value","","",null,null],[5,"atk_editable_text_get_type","","",null,null],[5,"atk_editable_text_copy_text","","",null,null],[5,"atk_editable_text_cut_text","","",null,null],[5,"atk_editable_text_delete_text","","",null,null],[5,"atk_editable_text_insert_text","","",null,null],[5,"atk_editable_text_paste_text","","",null,null],[5,"atk_editable_text_set_run_attributes","","",null,null],[5,"atk_editable_text_set_text_contents","","",null,null],[5,"atk_hyperlink_impl_get_type","","",null,null],[5,"atk_hyperlink_impl_get_hyperlink","","",null,null],[5,"atk_hypertext_get_type","","",null,null],[5,"atk_hypertext_get_link","","",null,null],[5,"atk_hypertext_get_link_index","","",null,null],[5,"atk_hypertext_get_n_links","","",null,null],[5,"atk_image_get_type","","",null,null],[5,"atk_image_get_image_description","","",null,null],[5,"atk_image_get_image_locale","","",null,null],[5,"atk_image_get_image_position","","",null,null],[5,"atk_image_get_image_size","","",null,null],[5,"atk_image_set_image_description","","",null,null],[5,"atk_implementor_get_type","","",null,null],[5,"atk_selection_get_type","","",null,null],[5,"atk_selection_add_selection","","",null,null],[5,"atk_selection_clear_selection","","",null,null],[5,"atk_selection_get_selection_count","","",null,null],[5,"atk_selection_is_child_selected","","",null,null],[5,"atk_selection_ref_selection","","",null,null],[5,"atk_selection_remove_selection","","",null,null],[5,"atk_selection_select_all_selection","","",null,null],[5,"atk_streamable_content_get_type","","",null,null],[5,"atk_streamable_content_get_mime_type","","",null,null],[5,"atk_streamable_content_get_n_mime_types","","",null,null],[5,"atk_streamable_content_get_stream","","",null,null],[5,"atk_streamable_content_get_uri","","",null,null],[5,"atk_table_get_type","","",null,null],[5,"atk_table_add_column_selection","","",null,null],[5,"atk_table_add_row_selection","","",null,null],[5,"atk_table_get_caption","","",null,null],[5,"atk_table_get_column_at_index","","",null,null],[5,"atk_table_get_column_description","","",null,null],[5,"atk_table_get_column_extent_at","","",null,null],[5,"atk_table_get_column_header","","",null,null],[5,"atk_table_get_index_at","","",null,null],[5,"atk_table_get_n_columns","","",null,null],[5,"atk_table_get_n_rows","","",null,null],[5,"atk_table_get_row_at_index","","",null,null],[5,"atk_table_get_row_description","","",null,null],[5,"atk_table_get_row_extent_at","","",null,null],[5,"atk_table_get_row_header","","",null,null],[5,"atk_table_get_selected_columns","","",null,null],[5,"atk_table_get_selected_rows","","",null,null],[5,"atk_table_get_summary","","",null,null],[5,"atk_table_is_column_selected","","",null,null],[5,"atk_table_is_row_selected","","",null,null],[5,"atk_table_is_selected","","",null,null],[5,"atk_table_ref_at","","",null,null],[5,"atk_table_remove_column_selection","","",null,null],[5,"atk_table_remove_row_selection","","",null,null],[5,"atk_table_set_caption","","",null,null],[5,"atk_table_set_column_description","","",null,null],[5,"atk_table_set_column_header","","",null,null],[5,"atk_table_set_row_description","","",null,null],[5,"atk_table_set_row_header","","",null,null],[5,"atk_table_set_summary","","",null,null],[5,"atk_table_cell_get_type","","",null,null],[5,"atk_text_get_type","","",null,null],[5,"atk_text_free_ranges","","",null,null],[5,"atk_text_add_selection","","",null,null],[5,"atk_text_get_bounded_ranges","","",null,null],[5,"atk_text_get_caret_offset","","",null,null],[5,"atk_text_get_character_at_offset","","",null,null],[5,"atk_text_get_character_count","","",null,null],[5,"atk_text_get_character_extents","","",null,null],[5,"atk_text_get_default_attributes","","",null,null],[5,"atk_text_get_n_selections","","",null,null],[5,"atk_text_get_offset_at_point","","",null,null],[5,"atk_text_get_range_extents","","",null,null],[5,"atk_text_get_run_attributes","","",null,null],[5,"atk_text_get_selection","","",null,null],[5,"atk_text_get_text","","",null,null],[5,"atk_text_get_text_after_offset","","",null,null],[5,"atk_text_get_text_at_offset","","",null,null],[5,"atk_text_get_text_before_offset","","",null,null],[5,"atk_text_remove_selection","","",null,null],[5,"atk_text_set_caret_offset","","",null,null],[5,"atk_text_set_selection","","",null,null],[5,"atk_value_get_type","","",null,null],[5,"atk_value_get_current_value","","",null,null],[5,"atk_value_get_maximum_value","","",null,null],[5,"atk_value_get_minimum_increment","","",null,null],[5,"atk_value_get_minimum_value","","",null,null],[5,"atk_value_set_current_value","","",null,null],[5,"atk_window_get_type","","",null,null],[5,"atk_add_focus_tracker","","",null,null],[5,"atk_add_global_event_listener","","",null,null],[5,"atk_add_key_event_listener","","",null,null],[5,"atk_focus_tracker_init","","",null,null],[5,"atk_focus_tracker_notify","","",null,null],[5,"atk_get_default_registry","","",null,null],[5,"atk_get_focus_object","","",null,null],[5,"atk_get_root","","",null,null],[5,"atk_get_toolkit_name","","",null,null],[5,"atk_get_toolkit_version","","",null,null],[5,"atk_get_version","","",null,null],[5,"atk_remove_focus_tracker","","",null,null],[5,"atk_remove_global_event_listener","","",null,null],[5,"atk_remove_key_event_listener","","",null,null],[6,"AtkAttributeSet","","",null,null],[6,"AtkState","","",null,null],[6,"AtkEventListener","","",null,null],[6,"AtkEventListenerInit","","",null,null],[6,"AtkFocusHandler","","",null,null],[6,"AtkFunction","","",null,null],[6,"AtkKeySnoopFunc","","",null,null],[6,"AtkPropertyChangeHandler","","",null,null],[17,"ATK_XY_SCREEN","","",null,null],[17,"ATK_XY_WINDOW","","",null,null],[17,"ATK_KEY_EVENT_PRESS","","",null,null],[17,"ATK_KEY_EVENT_RELEASE","","",null,null],[17,"ATK_KEY_EVENT_LAST_DEFINED","","",null,null],[17,"ATK_LAYER_INVALID","","",null,null],[17,"ATK_LAYER_BACKGROUND","","",null,null],[17,"ATK_LAYER_CANVAS","","",null,null],[17,"ATK_LAYER_WIDGET","","",null,null],[17,"ATK_LAYER_MDI","","",null,null],[17,"ATK_LAYER_POPUP","","",null,null],[17,"ATK_LAYER_OVERLAY","","",null,null],[17,"ATK_LAYER_WINDOW","","",null,null],[17,"ATK_RELATION_NULL","","",null,null],[17,"ATK_RELATION_CONTROLLED_BY","","",null,null],[17,"ATK_RELATION_CONTROLLER_FOR","","",null,null],[17,"ATK_RELATION_LABEL_FOR","","",null,null],[17,"ATK_RELATION_LABELLED_BY","","",null,null],[17,"ATK_RELATION_MEMBER_OF","","",null,null],[17,"ATK_RELATION_NODE_CHILD_OF","","",null,null],[17,"ATK_RELATION_FLOWS_TO","","",null,null],[17,"ATK_RELATION_FLOWS_FROM","","",null,null],[17,"ATK_RELATION_SUBWINDOW_OF","","",null,null],[17,"ATK_RELATION_EMBEDS","","",null,null],[17,"ATK_RELATION_EMBEDDED_BY","","",null,null],[17,"ATK_RELATION_POPUP_FOR","","",null,null],[17,"ATK_RELATION_PARENT_WINDOW_OF","","",null,null],[17,"ATK_RELATION_DESCRIBED_BY","","",null,null],[17,"ATK_RELATION_DESCRIPTION_FOR","","",null,null],[17,"ATK_RELATION_NODE_PARENT_OF","","",null,null],[17,"ATK_RELATION_LAST_DEFINED","","",null,null],[17,"ATK_ROLE_INVALID","","",null,null],[17,"ATK_ROLE_ACCEL_LABEL","","",null,null],[17,"ATK_ROLE_ALERT","","",null,null],[17,"ATK_ROLE_ANIMATION","","",null,null],[17,"ATK_ROLE_ARROW","","",null,null],[17,"ATK_ROLE_CALENDAR","","",null,null],[17,"ATK_ROLE_CANVAS","","",null,null],[17,"ATK_ROLE_CHECK_BOX","","",null,null],[17,"ATK_ROLE_CHECK_MENU_ITEM","","",null,null],[17,"ATK_ROLE_COLOR_CHOOSER","","",null,null],[17,"ATK_ROLE_COLUMN_HEADER","","",null,null],[17,"ATK_ROLE_COMBO_BOX","","",null,null],[17,"ATK_ROLE_DATE_EDITOR","","",null,null],[17,"ATK_ROLE_DESKTOP_ICON","","",null,null],[17,"ATK_ROLE_DESKTOP_FRAME","","",null,null],[17,"ATK_ROLE_DIAL","","",null,null],[17,"ATK_ROLE_DIALOG","","",null,null],[17,"ATK_ROLE_DIRECTORY_PANE","","",null,null],[17,"ATK_ROLE_DRAWING_AREA","","",null,null],[17,"ATK_ROLE_FILE_CHOOSER","","",null,null],[17,"ATK_ROLE_FILLER","","",null,null],[17,"ATK_ROLE_FONT_CHOOSER","","",null,null],[17,"ATK_ROLE_FRAME","","",null,null],[17,"ATK_ROLE_GLASS_PANE","","",null,null],[17,"ATK_ROLE_HTML_CONTAINER","","",null,null],[17,"ATK_ROLE_ICON","","",null,null],[17,"ATK_ROLE_IMAGE","","",null,null],[17,"ATK_ROLE_INTERNAL_FRAME","","",null,null],[17,"ATK_ROLE_LABEL","","",null,null],[17,"ATK_ROLE_LAYERED_PANE","","",null,null],[17,"ATK_ROLE_LIST","","",null,null],[17,"ATK_ROLE_LIST_ITEM","","",null,null],[17,"ATK_ROLE_MENU","","",null,null],[17,"ATK_ROLE_MENU_BAR","","",null,null],[17,"ATK_ROLE_MENU_ITEM","","",null,null],[17,"ATK_ROLE_OPTION_PANE","","",null,null],[17,"ATK_ROLE_PAGE_TAB","","",null,null],[17,"ATK_ROLE_PAGE_TAB_LIST","","",null,null],[17,"ATK_ROLE_PANEL","","",null,null],[17,"ATK_ROLE_PASSWORD_TEXT","","",null,null],[17,"ATK_ROLE_POPUP_MENU","","",null,null],[17,"ATK_ROLE_PROGRESS_BAR","","",null,null],[17,"ATK_ROLE_PUSH_BUTTON","","",null,null],[17,"ATK_ROLE_RADIO_BUTTON","","",null,null],[17,"ATK_ROLE_RADIO_MENU_ITEM","","",null,null],[17,"ATK_ROLE_ROOT_PANE","","",null,null],[17,"ATK_ROLE_ROW_HEADER","","",null,null],[17,"ATK_ROLE_SCROLL_BAR","","",null,null],[17,"ATK_ROLE_SCROLL_PANE","","",null,null],[17,"ATK_ROLE_SEPARATOR","","",null,null],[17,"ATK_ROLE_SLIDER","","",null,null],[17,"ATK_ROLE_SPLIT_PANE","","",null,null],[17,"ATK_ROLE_SPIN_BUTTON","","",null,null],[17,"ATK_ROLE_STATUSBAR","","",null,null],[17,"ATK_ROLE_TABLE","","",null,null],[17,"ATK_ROLE_TABLE_CELL","","",null,null],[17,"ATK_ROLE_TABLE_COLUMN_HEADER","","",null,null],[17,"ATK_ROLE_TABLE_ROW_HEADER","","",null,null],[17,"ATK_ROLE_TEAR_OFF_MENU_ITEM","","",null,null],[17,"ATK_ROLE_TERMINAL","","",null,null],[17,"ATK_ROLE_TEXT","","",null,null],[17,"ATK_ROLE_TOGGLE_BUTTON","","",null,null],[17,"ATK_ROLE_TOOL_BAR","","",null,null],[17,"ATK_ROLE_TOOL_TIP","","",null,null],[17,"ATK_ROLE_TREE","","",null,null],[17,"ATK_ROLE_TREE_TABLE","","",null,null],[17,"ATK_ROLE_UNKNOWN","","",null,null],[17,"ATK_ROLE_VIEWPORT","","",null,null],[17,"ATK_ROLE_WINDOW","","",null,null],[17,"ATK_ROLE_HEADER","","",null,null],[17,"ATK_ROLE_FOOTER","","",null,null],[17,"ATK_ROLE_PARAGRAPH","","",null,null],[17,"ATK_ROLE_RULER","","",null,null],[17,"ATK_ROLE_APPLICATION","","",null,null],[17,"ATK_ROLE_AUTOCOMPLETE","","",null,null],[17,"ATK_ROLE_EDITBAR","","",null,null],[17,"ATK_ROLE_EMBEDDED","","",null,null],[17,"ATK_ROLE_ENTRY","","",null,null],[17,"ATK_ROLE_CHART","","",null,null],[17,"ATK_ROLE_CAPTION","","",null,null],[17,"ATK_ROLE_DOCUMENT_FRAME","","",null,null],[17,"ATK_ROLE_HEADING","","",null,null],[17,"ATK_ROLE_PAGE","","",null,null],[17,"ATK_ROLE_SECTION","","",null,null],[17,"ATK_ROLE_REDUNDANT_OBJECT","","",null,null],[17,"ATK_ROLE_FORM","","",null,null],[17,"ATK_ROLE_LINK","","",null,null],[17,"ATK_ROLE_INPUT_METHOD_WINDOW","","",null,null],[17,"ATK_ROLE_TABLE_ROW","","",null,null],[17,"ATK_ROLE_TREE_ITEM","","",null,null],[17,"ATK_ROLE_DOCUMENT_SPREADSHEET","","",null,null],[17,"ATK_ROLE_DOCUMENT_PRESENTATION","","",null,null],[17,"ATK_ROLE_DOCUMENT_TEXT","","",null,null],[17,"ATK_ROLE_DOCUMENT_WEB","","",null,null],[17,"ATK_ROLE_DOCUMENT_EMAIL","","",null,null],[17,"ATK_ROLE_COMMENT","","",null,null],[17,"ATK_ROLE_LIST_BOX","","",null,null],[17,"ATK_ROLE_GROUPING","","",null,null],[17,"ATK_ROLE_IMAGE_MAP","","",null,null],[17,"ATK_ROLE_NOTIFICATION","","",null,null],[17,"ATK_ROLE_INFO_BAR","","",null,null],[17,"ATK_ROLE_LEVEL_BAR","","",null,null],[17,"ATK_ROLE_TITLE_BAR","","",null,null],[17,"ATK_ROLE_BLOCK_QUOTE","","",null,null],[17,"ATK_ROLE_AUDIO","","",null,null],[17,"ATK_ROLE_VIDEO","","",null,null],[17,"ATK_ROLE_DEFINITION","","",null,null],[17,"ATK_ROLE_ARTICLE","","",null,null],[17,"ATK_ROLE_LANDMARK","","",null,null],[17,"ATK_ROLE_LOG","","",null,null],[17,"ATK_ROLE_MARQUEE","","",null,null],[17,"ATK_ROLE_MATH","","",null,null],[17,"ATK_ROLE_RATING","","",null,null],[17,"ATK_ROLE_TIMER","","",null,null],[17,"ATK_ROLE_DESCRIPTION_LIST","","",null,null],[17,"ATK_ROLE_DESCRIPTION_TERM","","",null,null],[17,"ATK_ROLE_DESCRIPTION_VALUE","","",null,null],[17,"ATK_ROLE_STATIC","","",null,null],[17,"ATK_ROLE_MATH_FRACTION","","",null,null],[17,"ATK_ROLE_MATH_ROOT","","",null,null],[17,"ATK_ROLE_SUBSCRIPT","","",null,null],[17,"ATK_ROLE_SUPERSCRIPT","","",null,null],[17,"ATK_ROLE_LAST_DEFINED","","",null,null],[17,"ATK_STATE_INVALID","","",null,null],[17,"ATK_STATE_ACTIVE","","",null,null],[17,"ATK_STATE_ARMED","","",null,null],[17,"ATK_STATE_BUSY","","",null,null],[17,"ATK_STATE_CHECKED","","",null,null],[17,"ATK_STATE_DEFUNCT","","",null,null],[17,"ATK_STATE_EDITABLE","","",null,null],[17,"ATK_STATE_ENABLED","","",null,null],[17,"ATK_STATE_EXPANDABLE","","",null,null],[17,"ATK_STATE_EXPANDED","","",null,null],[17,"ATK_STATE_FOCUSABLE","","",null,null],[17,"ATK_STATE_FOCUSED","","",null,null],[17,"ATK_STATE_HORIZONTAL","","",null,null],[17,"ATK_STATE_ICONIFIED","","",null,null],[17,"ATK_STATE_MODAL","","",null,null],[17,"ATK_STATE_MULTI_LINE","","",null,null],[17,"ATK_STATE_MULTISELECTABLE","","",null,null],[17,"ATK_STATE_OPAQUE","","",null,null],[17,"ATK_STATE_PRESSED","","",null,null],[17,"ATK_STATE_RESIZABLE","","",null,null],[17,"ATK_STATE_SELECTABLE","","",null,null],[17,"ATK_STATE_SELECTED","","",null,null],[17,"ATK_STATE_SENSITIVE","","",null,null],[17,"ATK_STATE_SHOWING","","",null,null],[17,"ATK_STATE_SINGLE_LINE","","",null,null],[17,"ATK_STATE_STALE","","",null,null],[17,"ATK_STATE_TRANSIENT","","",null,null],[17,"ATK_STATE_VERTICAL","","",null,null],[17,"ATK_STATE_VISIBLE","","",null,null],[17,"ATK_STATE_MANAGES_DESCENDANTS","","",null,null],[17,"ATK_STATE_INDETERMINATE","","",null,null],[17,"ATK_STATE_TRUNCATED","","",null,null],[17,"ATK_STATE_REQUIRED","","",null,null],[17,"ATK_STATE_INVALID_ENTRY","","",null,null],[17,"ATK_STATE_SUPPORTS_AUTOCOMPLETION","","",null,null],[17,"ATK_STATE_SELECTABLE_TEXT","","",null,null],[17,"ATK_STATE_DEFAULT","","",null,null],[17,"ATK_STATE_ANIMATED","","",null,null],[17,"ATK_STATE_VISITED","","",null,null],[17,"ATK_STATE_CHECKABLE","","",null,null],[17,"ATK_STATE_HAS_POPUP","","",null,null],[17,"ATK_STATE_HAS_TOOLTIP","","",null,null],[17,"ATK_STATE_READ_ONLY","","",null,null],[17,"ATK_STATE_LAST_DEFINED","","",null,null],[17,"ATK_TEXT_ATTR_INVALID","","",null,null],[17,"ATK_TEXT_ATTR_LEFT_MARGIN","","",null,null],[17,"ATK_TEXT_ATTR_RIGHT_MARGIN","","",null,null],[17,"ATK_TEXT_ATTR_INDENT","","",null,null],[17,"ATK_TEXT_ATTR_INVISIBLE","","",null,null],[17,"ATK_TEXT_ATTR_EDITABLE","","",null,null],[17,"ATK_TEXT_ATTR_PIXELS_ABOVE_LINES","","",null,null],[17,"ATK_TEXT_ATTR_PIXELS_BELOW_LINES","","",null,null],[17,"ATK_TEXT_ATTR_PIXELS_INSIDE_WRAP","","",null,null],[17,"ATK_TEXT_ATTR_BG_FULL_HEIGHT","","",null,null],[17,"ATK_TEXT_ATTR_RISE","","",null,null],[17,"ATK_TEXT_ATTR_UNDERLINE","","",null,null],[17,"ATK_TEXT_ATTR_STRIKETHROUGH","","",null,null],[17,"ATK_TEXT_ATTR_SIZE","","",null,null],[17,"ATK_TEXT_ATTR_SCALE","","",null,null],[17,"ATK_TEXT_ATTR_WEIGHT","","",null,null],[17,"ATK_TEXT_ATTR_LANGUAGE","","",null,null],[17,"ATK_TEXT_ATTR_FAMILY_NAME","","",null,null],[17,"ATK_TEXT_ATTR_BG_COLOR","","",null,null],[17,"ATK_TEXT_ATTR_FG_COLOR","","",null,null],[17,"ATK_TEXT_ATTR_BG_STIPPLE","","",null,null],[17,"ATK_TEXT_ATTR_FG_STIPPLE","","",null,null],[17,"ATK_TEXT_ATTR_WRAP_MODE","","",null,null],[17,"ATK_TEXT_ATTR_DIRECTION","","",null,null],[17,"ATK_TEXT_ATTR_JUSTIFICATION","","",null,null],[17,"ATK_TEXT_ATTR_STRETCH","","",null,null],[17,"ATK_TEXT_ATTR_VARIANT","","",null,null],[17,"ATK_TEXT_ATTR_STYLE","","",null,null],[17,"ATK_TEXT_ATTR_LAST_DEFINED","","",null,null],[17,"ATK_TEXT_BOUNDARY_CHAR","","",null,null],[17,"ATK_TEXT_BOUNDARY_WORD_START","","",null,null],[17,"ATK_TEXT_BOUNDARY_WORD_END","","",null,null],[17,"ATK_TEXT_BOUNDARY_SENTENCE_START","","",null,null],[17,"ATK_TEXT_BOUNDARY_SENTENCE_END","","",null,null],[17,"ATK_TEXT_BOUNDARY_LINE_START","","",null,null],[17,"ATK_TEXT_BOUNDARY_LINE_END","","",null,null],[17,"ATK_TEXT_CLIP_NONE","","",null,null],[17,"ATK_TEXT_CLIP_MIN","","",null,null],[17,"ATK_TEXT_CLIP_MAX","","",null,null],[17,"ATK_TEXT_CLIP_BOTH","","",null,null],[17,"ATK_TEXT_GRANULARITY_CHAR","","",null,null],[17,"ATK_TEXT_GRANULARITY_WORD","","",null,null],[17,"ATK_TEXT_GRANULARITY_SENTENCE","","",null,null],[17,"ATK_TEXT_GRANULARITY_LINE","","",null,null],[17,"ATK_TEXT_GRANULARITY_PARAGRAPH","","",null,null],[17,"ATK_VALUE_VERY_WEAK","","",null,null],[17,"ATK_VALUE_WEAK","","",null,null],[17,"ATK_VALUE_ACCEPTABLE","","",null,null],[17,"ATK_VALUE_STRONG","","",null,null],[17,"ATK_VALUE_VERY_STRONG","","",null,null],[17,"ATK_VALUE_VERY_LOW","","",null,null],[17,"ATK_VALUE_LOW","","",null,null],[17,"ATK_VALUE_MEDIUM","","",null,null],[17,"ATK_VALUE_HIGH","","",null,null],[17,"ATK_VALUE_VERY_HIGH","","",null,null],[17,"ATK_VALUE_VERY_BAD","","",null,null],[17,"ATK_VALUE_BAD","","",null,null],[17,"ATK_VALUE_GOOD","","",null,null],[17,"ATK_VALUE_VERY_GOOD","","",null,null],[17,"ATK_VALUE_BEST","","",null,null],[17,"ATK_VALUE_LAST_DEFINED","","",null,null],[17,"ATK_BINARY_AGE","","",null,null],[17,"ATK_INTERFACE_AGE","","",null,null],[17,"ATK_MAJOR_VERSION","","",null,null],[17,"ATK_MICRO_VERSION","","",null,null],[17,"ATK_MINOR_VERSION","","",null,null],[17,"ATK_VERSION_MIN_REQUIRED","","",null,null],[17,"ATK_HYPERLINK_IS_INLINE","","",null,null],[11,"clone","","",48,{"inputs":[{"name":"self"}],"output":{"name":"atkcoordtype"}}],[11,"fmt","","",48,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",48,{"inputs":[{"name":"self"},{"name":"atkcoordtype"}],"output":{"name":"bool"}}],[11,"clone","","",49,{"inputs":[{"name":"self"}],"output":{"name":"atkkeyeventtype"}}],[11,"fmt","","",49,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",49,{"inputs":[{"name":"self"},{"name":"atkkeyeventtype"}],"output":{"name":"bool"}}],[11,"clone","","",50,{"inputs":[{"name":"self"}],"output":{"name":"atklayer"}}],[11,"fmt","","",50,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",50,{"inputs":[{"name":"self"},{"name":"atklayer"}],"output":{"name":"bool"}}],[11,"clone","","",51,{"inputs":[{"name":"self"}],"output":{"name":"atkrelationtype"}}],[11,"fmt","","",51,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",51,{"inputs":[{"name":"self"},{"name":"atkrelationtype"}],"output":{"name":"bool"}}],[11,"clone","","",52,{"inputs":[{"name":"self"}],"output":{"name":"atkrole"}}],[11,"fmt","","",52,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",52,{"inputs":[{"name":"self"},{"name":"atkrole"}],"output":{"name":"bool"}}],[11,"clone","","",53,{"inputs":[{"name":"self"}],"output":{"name":"atkstatetype"}}],[11,"fmt","","",53,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",53,{"inputs":[{"name":"self"},{"name":"atkstatetype"}],"output":{"name":"bool"}}],[11,"clone","","",54,{"inputs":[{"name":"self"}],"output":{"name":"atktextattribute"}}],[11,"fmt","","",54,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",54,{"inputs":[{"name":"self"},{"name":"atktextattribute"}],"output":{"name":"bool"}}],[11,"clone","","",55,{"inputs":[{"name":"self"}],"output":{"name":"atktextboundary"}}],[11,"fmt","","",55,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",55,{"inputs":[{"name":"self"},{"name":"atktextboundary"}],"output":{"name":"bool"}}],[11,"clone","","",56,{"inputs":[{"name":"self"}],"output":{"name":"atktextcliptype"}}],[11,"fmt","","",56,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",56,{"inputs":[{"name":"self"},{"name":"atktextcliptype"}],"output":{"name":"bool"}}],[11,"clone","","",57,{"inputs":[{"name":"self"}],"output":{"name":"atktextgranularity"}}],[11,"fmt","","",57,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",57,{"inputs":[{"name":"self"},{"name":"atktextgranularity"}],"output":{"name":"bool"}}],[11,"clone","","",58,{"inputs":[{"name":"self"}],"output":{"name":"atkvaluetype"}}],[11,"fmt","","",58,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",58,{"inputs":[{"name":"self"},{"name":"atkvaluetype"}],"output":{"name":"bool"}}],[11,"eq","","",59,{"inputs":[{"name":"self"},{"name":"atkhyperlinkstateflags"}],"output":{"name":"bool"}}],[11,"ne","","",59,{"inputs":[{"name":"self"},{"name":"atkhyperlinkstateflags"}],"output":{"name":"bool"}}],[11,"clone","","",59,{"inputs":[{"name":"self"}],"output":{"name":"atkhyperlinkstateflags"}}],[11,"partial_cmp","","",59,{"inputs":[{"name":"self"},{"name":"atkhyperlinkstateflags"}],"output":{"name":"option"}}],[11,"lt","","",59,{"inputs":[{"name":"self"},{"name":"atkhyperlinkstateflags"}],"output":{"name":"bool"}}],[11,"le","","",59,{"inputs":[{"name":"self"},{"name":"atkhyperlinkstateflags"}],"output":{"name":"bool"}}],[11,"gt","","",59,{"inputs":[{"name":"self"},{"name":"atkhyperlinkstateflags"}],"output":{"name":"bool"}}],[11,"ge","","",59,{"inputs":[{"name":"self"},{"name":"atkhyperlinkstateflags"}],"output":{"name":"bool"}}],[11,"cmp","","",59,{"inputs":[{"name":"self"},{"name":"atkhyperlinkstateflags"}],"output":{"name":"ordering"}}],[11,"hash","","",59,null],[11,"fmt","","",59,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",59,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",59,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",59,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",59,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",59,{"inputs":[],"output":{"name":"atkhyperlinkstateflags"}}],[11,"all","","Returns the set containing all flags.",59,{"inputs":[],"output":{"name":"atkhyperlinkstateflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",59,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",59,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",59,{"inputs":[{"name":"c_uint"}],"output":{"name":"atkhyperlinkstateflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",59,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",59,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",59,{"inputs":[{"name":"self"},{"name":"atkhyperlinkstateflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",59,{"inputs":[{"name":"self"},{"name":"atkhyperlinkstateflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",59,{"inputs":[{"name":"self"},{"name":"atkhyperlinkstateflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",59,{"inputs":[{"name":"self"},{"name":"atkhyperlinkstateflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",59,{"inputs":[{"name":"self"},{"name":"atkhyperlinkstateflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",59,{"inputs":[{"name":"self"},{"name":"atkhyperlinkstateflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",59,{"inputs":[{"name":"self"},{"name":"atkhyperlinkstateflags"}],"output":{"name":"atkhyperlinkstateflags"}}],[11,"bitor_assign","","Adds the set of flags.",59,{"inputs":[{"name":"self"},{"name":"atkhyperlinkstateflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",59,{"inputs":[{"name":"self"},{"name":"atkhyperlinkstateflags"}],"output":{"name":"atkhyperlinkstateflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",59,{"inputs":[{"name":"self"},{"name":"atkhyperlinkstateflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",59,{"inputs":[{"name":"self"},{"name":"atkhyperlinkstateflags"}],"output":{"name":"atkhyperlinkstateflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",59,{"inputs":[{"name":"self"},{"name":"atkhyperlinkstateflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",59,{"inputs":[{"name":"self"},{"name":"atkhyperlinkstateflags"}],"output":{"name":"atkhyperlinkstateflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",59,{"inputs":[{"name":"self"},{"name":"atkhyperlinkstateflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",59,{"inputs":[{"name":"self"}],"output":{"name":"atkhyperlinkstateflags"}}],[11,"extend","","",59,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",59,{"inputs":[{"name":"t"}],"output":{"name":"atkhyperlinkstateflags"}}]],"paths":[[3,"AtkActionIface"],[3,"AtkAttribute"],[3,"AtkComponentIface"],[3,"AtkDocumentIface"],[3,"AtkEditableTextIface"],[3,"AtkGObjectAccessibleClass"],[3,"AtkHyperlinkClass"],[3,"AtkHyperlinkImplIface"],[3,"AtkHypertextIface"],[3,"AtkImageIface"],[3,"AtkKeyEventStruct"],[3,"AtkMiscClass"],[3,"AtkNoOpObjectClass"],[3,"AtkNoOpObjectFactoryClass"],[3,"AtkObjectClass"],[3,"AtkObjectFactoryClass"],[3,"AtkPlugClass"],[3,"AtkPropertyValues"],[3,"AtkRectangle"],[3,"AtkRegistryClass"],[3,"AtkRelationClass"],[3,"AtkRelationSetClass"],[3,"AtkSelectionIface"],[3,"AtkSocketClass"],[3,"AtkStateSetClass"],[3,"AtkStreamableContentIface"],[3,"AtkTableCellIface"],[3,"AtkTableIface"],[3,"AtkTextIface"],[3,"AtkTextRange"],[3,"AtkTextRectangle"],[3,"AtkUtilClass"],[3,"AtkValueIface"],[3,"AtkWindowIface"],[3,"AtkGObjectAccessible"],[3,"AtkHyperlink"],[3,"AtkMisc"],[3,"AtkNoOpObject"],[3,"AtkNoOpObjectFactory"],[3,"AtkObject"],[3,"AtkObjectFactory"],[3,"AtkPlug"],[3,"AtkRegistry"],[3,"AtkRelation"],[3,"AtkRelationSet"],[3,"AtkSocket"],[3,"AtkStateSet"],[3,"AtkUtil"],[4,"AtkCoordType"],[4,"AtkKeyEventType"],[4,"AtkLayer"],[4,"AtkRelationType"],[4,"AtkRole"],[4,"AtkStateType"],[4,"AtkTextAttribute"],[4,"AtkTextBoundary"],[4,"AtkTextClipType"],[4,"AtkTextGranularity"],[4,"AtkValueType"],[3,"AtkHyperlinkStateFlags"]]};
searchIndex["backtrace"] = {"doc":"A library for acquiring a backtrace at runtime","items":[[3,"Frame","backtrace","A trait representing one frame of a backtrace, yielded to the `trace` function of this crate.",null,null],[3,"Symbol","","A trait representing the resolution of a symbol in a file.",null,null],[3,"SymbolName","","A wrapper around a symbol name to provide ergonomic accessors to the demangled name, the raw bytes, the raw string, etc.",null,null],[3,"Backtrace","","Representation of an owned and self-contained backtrace.",null,null],[3,"BacktraceFrame","","Captured version of a frame in a backtrace.",null,null],[3,"BacktraceSymbol","","Captured version of a symbol in a backtrace.",null,null],[5,"trace","","Inspects the current call-stack, passing all active frames into the closure provided to calculate a stack trace.",null,{"inputs":[{"name":"f"}],"output":null}],[5,"resolve","","Resolve an address to a symbol, passing the symbol to the specified closure.",null,null],[11,"ip","","Returns the current instruction pointer of this frame.",0,null],[11,"symbol_address","","Returns the starting symbol address of the frame of this function.",0,null],[11,"fmt","","",0,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"name","","Returns the name of this function.",1,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"addr","","Returns the starting address of this function.",1,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"filename","","Returns the file name where this function was defined.",1,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"lineno","","Returns the line number for where this symbol is currently executing.",1,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"fmt","","",1,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"new","","Creates a new symbol name from the raw underlying bytes.",2,null],[11,"as_str","","Returns the raw symbol name as a `str` if the symbols is valid utf-8.",2,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"as_bytes","","Returns the raw symbol name as a list of bytes",2,null],[11,"fmt","","",2,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",2,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",3,{"inputs":[{"name":"self"}],"output":{"name":"backtrace"}}],[11,"clone","","",4,{"inputs":[{"name":"self"}],"output":{"name":"backtraceframe"}}],[11,"clone","","",5,{"inputs":[{"name":"self"}],"output":{"name":"backtracesymbol"}}],[11,"new","","Captures a backtrace at the callsite of this function, returning an owned representation.",3,{"inputs":[],"output":{"name":"backtrace"}}],[11,"frames","","Returns the frames from when this backtrace was captured.",3,null],[11,"from","","",3,{"inputs":[{"name":"vec"}],"output":{"name":"self"}}],[11,"into","","",3,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[11,"ip","","Same as `Frame::ip`",4,null],[11,"symbol_address","","Same as `Frame::symbol_address`",4,null],[11,"symbols","","Returns the list of symbols that this frame corresponds to.",4,null],[11,"name","","Same as `Symbol::name`",5,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"addr","","Same as `Symbol::addr`",5,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"filename","","Same as `Symbol::filename`",5,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"lineno","","Same as `Symbol::lineno`",5,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"fmt","","",3,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"default","","",3,{"inputs":[],"output":{"name":"backtrace"}}]],"paths":[[3,"Frame"],[3,"Symbol"],[3,"SymbolName"],[3,"Backtrace"],[3,"BacktraceFrame"],[3,"BacktraceSymbol"]]};
searchIndex["backtrace_sys"] = {"doc":"","items":[[4,"backtrace_state","backtrace_sys","",null,null],[5,"backtrace_create_state","","",null,null],[5,"backtrace_syminfo","","",null,null],[5,"backtrace_pcinfo","","",null,null],[6,"backtrace_syminfo_callback","","",null,null],[6,"backtrace_full_callback","","",null,null],[6,"backtrace_error_callback","","",null,null]],"paths":[]};
searchIndex["bitflags"] = {"doc":"A typesafe bitmask flag generator.","items":[[6,"__BitFlagsWidth","bitflags","",null,null],[14,"bitflags","","The `bitflags!` macro generates a `struct` that holds a set of C-style bitmask flags. It is useful for creating typesafe wrappers for C APIs.",null,null]],"paths":[]};
searchIndex["byteorder"] = {"doc":"This crate provides convenience methods for encoding and decoding numbers in either big-endian or little-endian order.","items":[[4,"BigEndian","byteorder","Defines big-endian serialization.",null,null],[4,"LittleEndian","","Defines little-endian serialization.",null,null],[6,"BE","","A type alias for `BigEndian`.",null,null],[6,"LE","","A type alias for `LittleEndian`.",null,null],[6,"NetworkEndian","","Defines network byte order serialization.",null,null],[6,"NativeEndian","","Defines system native-endian serialization.",null,null],[8,"ReadBytesExt","","Extends `Read` with methods for reading numbers. (For `std::io`.)",null,null],[11,"read_u8","","Reads an unsigned 8 bit integer from the underlying reader.",0,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"read_i8","","Reads a signed 8 bit integer from the underlying reader.",0,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"read_u16","","Reads an unsigned 16 bit integer from the underlying reader.",0,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"read_i16","","Reads a signed 16 bit integer from the underlying reader.",0,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"read_u24","","Reads an unsigned 24 bit integer from the underlying reader.",0,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"read_i24","","Reads a signed 24 bit integer from the underlying reader.",0,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"read_u32","","Reads an unsigned 32 bit integer from the underlying reader.",0,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"read_i32","","Reads a signed 32 bit integer from the underlying reader.",0,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"read_u64","","Reads an unsigned 64 bit integer from the underlying reader.",0,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"read_i64","","Reads a signed 64 bit integer from the underlying reader.",0,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"read_uint","","Reads an unsigned n-bytes integer from the underlying reader.",0,{"inputs":[{"name":"self"},{"name":"usize"}],"output":{"name":"result"}}],[11,"read_int","","Reads a signed n-bytes integer from the underlying reader.",0,{"inputs":[{"name":"self"},{"name":"usize"}],"output":{"name":"result"}}],[11,"read_f32","","Reads a IEEE754 single-precision (4 bytes) floating point number from the underlying reader.",0,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"read_f64","","Reads a IEEE754 double-precision (8 bytes) floating point number from the underlying reader.",0,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"read_u16_into","","Reads a sequence of unsigned 16 bit integers from the underlying reader.",0,null],[11,"read_u32_into","","Reads a sequence of unsigned 32 bit integers from the underlying reader.",0,null],[11,"read_u64_into","","Reads a sequence of unsigned 64 bit integers from the underlying reader.",0,null],[11,"read_i16_into","","Reads a sequence of signed 16 bit integers from the underlying reader.",0,null],[11,"read_i32_into","","Reads a sequence of signed 32 bit integers from the underlying reader.",0,null],[11,"read_i64_into","","Reads a sequence of signed 64 bit integers from the underlying reader.",0,null],[11,"read_f32_into_unchecked","","Reads a sequence of IEEE754 single-precision (4 bytes) floating point numbers from the underlying reader.",0,null],[11,"read_f64_into_unchecked","","Reads a sequence of IEEE754 double-precision (8 bytes) floating point numbers from the underlying reader.",0,null],[8,"WriteBytesExt","","Extends `Write` with methods for writing numbers. (For `std::io`.)",null,null],[11,"write_u8","","Writes an unsigned 8 bit integer to the underlying writer.",1,{"inputs":[{"name":"self"},{"name":"u8"}],"output":{"name":"result"}}],[11,"write_i8","","Writes a signed 8 bit integer to the underlying writer.",1,{"inputs":[{"name":"self"},{"name":"i8"}],"output":{"name":"result"}}],[11,"write_u16","","Writes an unsigned 16 bit integer to the underlying writer.",1,{"inputs":[{"name":"self"},{"name":"u16"}],"output":{"name":"result"}}],[11,"write_i16","","Writes a signed 16 bit integer to the underlying writer.",1,{"inputs":[{"name":"self"},{"name":"i16"}],"output":{"name":"result"}}],[11,"write_u24","","Writes an unsigned 24 bit integer to the underlying writer.",1,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"result"}}],[11,"write_i24","","Writes a signed 24 bit integer to the underlying writer.",1,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"result"}}],[11,"write_u32","","Writes an unsigned 32 bit integer to the underlying writer.",1,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"result"}}],[11,"write_i32","","Writes a signed 32 bit integer to the underlying writer.",1,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"result"}}],[11,"write_u64","","Writes an unsigned 64 bit integer to the underlying writer.",1,{"inputs":[{"name":"self"},{"name":"u64"}],"output":{"name":"result"}}],[11,"write_i64","","Writes a signed 64 bit integer to the underlying writer.",1,{"inputs":[{"name":"self"},{"name":"i64"}],"output":{"name":"result"}}],[11,"write_uint","","Writes an unsigned n-bytes integer to the underlying writer.",1,{"inputs":[{"name":"self"},{"name":"u64"},{"name":"usize"}],"output":{"name":"result"}}],[11,"write_int","","Writes a signed n-bytes integer to the underlying writer.",1,{"inputs":[{"name":"self"},{"name":"i64"},{"name":"usize"}],"output":{"name":"result"}}],[11,"write_f32","","Writes a IEEE754 single-precision (4 bytes) floating point number to the underlying writer.",1,{"inputs":[{"name":"self"},{"name":"f32"}],"output":{"name":"result"}}],[11,"write_f64","","Writes a IEEE754 double-precision (8 bytes) floating point number to the underlying writer.",1,{"inputs":[{"name":"self"},{"name":"f64"}],"output":{"name":"result"}}],[8,"ByteOrder","","ByteOrder describes types that can serialize integers as bytes.",null,null],[10,"read_u16","","Reads an unsigned 16 bit integer from `buf`.",2,null],[11,"read_u24","","Reads an unsigned 24 bit integer from `buf`, stored in u32.",2,null],[10,"read_u32","","Reads an unsigned 32 bit integer from `buf`.",2,null],[10,"read_u64","","Reads an unsigned 64 bit integer from `buf`.",2,null],[10,"read_uint","","Reads an unsigned n-bytes integer from `buf`.",2,null],[10,"write_u16","","Writes an unsigned 16 bit integer `n` to `buf`.",2,null],[11,"write_u24","","Writes an unsigned 24 bit integer `n` to `buf`, stored in u32.",2,null],[10,"write_u32","","Writes an unsigned 32 bit integer `n` to `buf`.",2,null],[10,"write_u64","","Writes an unsigned 64 bit integer `n` to `buf`.",2,null],[10,"write_uint","","Writes an unsigned integer `n` to `buf` using only `nbytes`.",2,null],[11,"read_i16","","Reads a signed 16 bit integer from `buf`.",2,null],[11,"read_i24","","Reads a signed 24 bit integer from `buf`, stored in i32.",2,null],[11,"read_i32","","Reads a signed 32 bit integer from `buf`.",2,null],[11,"read_i64","","Reads a signed 64 bit integer from `buf`.",2,null],[11,"read_int","","Reads a signed n-bytes integer from `buf`.",2,null],[11,"read_f32","","Reads a IEEE754 single-precision (4 bytes) floating point number.",2,null],[11,"read_f64","","Reads a IEEE754 double-precision (8 bytes) floating point number.",2,null],[11,"write_i16","","Writes a signed 16 bit integer `n` to `buf`.",2,null],[11,"write_i24","","Writes a signed 24 bit integer `n` to `buf`, stored in i32.",2,null],[11,"write_i32","","Writes a signed 32 bit integer `n` to `buf`.",2,null],[11,"write_i64","","Writes a signed 64 bit integer `n` to `buf`.",2,null],[11,"write_int","","Writes a signed integer `n` to `buf` using only `nbytes`.",2,null],[11,"write_f32","","Writes a IEEE754 single-precision (4 bytes) floating point number.",2,null],[11,"write_f64","","Writes a IEEE754 double-precision (8 bytes) floating point number.",2,null],[10,"read_u16_into","","Reads unsigned 16 bit integers from `src` into `dst`.",2,null],[10,"read_u32_into","","Reads unsigned 32 bit integers from `src` into `dst`.",2,null],[10,"read_u64_into","","Reads unsigned 64 bit integers from `src` into `dst`.",2,null],[11,"read_i16_into","","Reads signed 16 bit integers from `src` to `dst`.",2,null],[11,"read_i32_into","","Reads signed 32 bit integers from `src` into `dst`.",2,null],[11,"read_i64_into","","Reads signed 64 bit integers from `src` into `dst`.",2,null],[11,"read_f32_into_unchecked","","Reads IEEE754 single-precision (4 bytes) floating point numbers from `src` into `dst`.",2,null],[11,"read_f64_into_unchecked","","Reads IEEE754 single-precision (4 bytes) floating point numbers from `src` into `dst`.",2,null],[10,"write_u16_into","","Writes unsigned 16 bit integers from `src` into `dst`.",2,null],[10,"write_u32_into","","Writes unsigned 32 bit integers from `src` into `dst`.",2,null],[10,"write_u64_into","","Writes unsigned 64 bit integers from `src` into `dst`.",2,null],[11,"write_i16_into","","Writes signed 16 bit integers from `src` into `dst`.",2,null],[11,"write_i32_into","","Writes signed 32 bit integers from `src` into `dst`.",2,null],[11,"write_i64_into","","Writes signed 64 bit integers from `src` into `dst`.",2,null],[11,"write_f32_into","","Writes IEEE754 single-precision (4 bytes) floating point numbers from `src` into `dst`.",2,null],[11,"write_f64_into","","Writes IEEE754 double-precision (8 bytes) floating point numbers from `src` into `dst`.",2,null],[10,"from_slice_u16","","Converts the given slice of unsigned 16 bit integers to a particular endianness.",2,null],[10,"from_slice_u32","","Converts the given slice of unsigned 32 bit integers to a particular endianness.",2,null],[10,"from_slice_u64","","Converts the given slice of unsigned 64 bit integers to a particular endianness.",2,null],[11,"from_slice_i16","","Converts the given slice of signed 16 bit integers to a particular endianness.",2,null],[11,"from_slice_i32","","Converts the given slice of signed 32 bit integers to a particular endianness.",2,null],[11,"from_slice_i64","","Converts the given slice of signed 64 bit integers to a particular endianness.",2,null],[10,"from_slice_f32","","Converts the given slice of IEEE754 single-precision (4 bytes) floating point numbers to a particular endianness.",2,null],[10,"from_slice_f64","","Converts the given slice of IEEE754 double-precision (8 bytes) floating point numbers to a particular endianness.",2,null],[11,"clone","","",3,{"inputs":[{"name":"self"}],"output":{"name":"bigendian"}}],[11,"fmt","","",3,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",3,null],[11,"cmp","","",3,{"inputs":[{"name":"self"},{"name":"bigendian"}],"output":{"name":"ordering"}}],[11,"eq","","",3,{"inputs":[{"name":"self"},{"name":"bigendian"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",3,{"inputs":[{"name":"self"},{"name":"bigendian"}],"output":{"name":"option"}}],[11,"default","","",3,{"inputs":[],"output":{"name":"bigendian"}}],[11,"clone","","",4,{"inputs":[{"name":"self"}],"output":{"name":"littleendian"}}],[11,"fmt","","",4,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",4,null],[11,"cmp","","",4,{"inputs":[{"name":"self"},{"name":"littleendian"}],"output":{"name":"ordering"}}],[11,"eq","","",4,{"inputs":[{"name":"self"},{"name":"littleendian"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",4,{"inputs":[{"name":"self"},{"name":"littleendian"}],"output":{"name":"option"}}],[11,"default","","",4,{"inputs":[],"output":{"name":"littleendian"}}],[11,"read_u16","","",3,null],[11,"read_u32","","",3,null],[11,"read_u64","","",3,null],[11,"read_uint","","",3,null],[11,"write_u16","","",3,null],[11,"write_u32","","",3,null],[11,"write_u64","","",3,null],[11,"write_uint","","",3,null],[11,"read_u16_into","","",3,null],[11,"read_u32_into","","",3,null],[11,"read_u64_into","","",3,null],[11,"write_u16_into","","",3,null],[11,"write_u32_into","","",3,null],[11,"write_u64_into","","",3,null],[11,"from_slice_u16","","",3,null],[11,"from_slice_u32","","",3,null],[11,"from_slice_u64","","",3,null],[11,"from_slice_f32","","",3,null],[11,"from_slice_f64","","",3,null],[11,"read_u16","","",4,null],[11,"read_u32","","",4,null],[11,"read_u64","","",4,null],[11,"read_uint","","",4,null],[11,"write_u16","","",4,null],[11,"write_u32","","",4,null],[11,"write_u64","","",4,null],[11,"write_uint","","",4,null],[11,"read_u16_into","","",4,null],[11,"read_u32_into","","",4,null],[11,"read_u64_into","","",4,null],[11,"write_u16_into","","",4,null],[11,"write_u32_into","","",4,null],[11,"write_u64_into","","",4,null],[11,"from_slice_u16","","",4,null],[11,"from_slice_u32","","",4,null],[11,"from_slice_u64","","",4,null],[11,"from_slice_f32","","",4,null],[11,"from_slice_f64","","",4,null],[11,"read_u8","","Reads an unsigned 8 bit integer from the underlying reader.",0,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"read_i8","","Reads a signed 8 bit integer from the underlying reader.",0,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"read_u16","","Reads an unsigned 16 bit integer from the underlying reader.",0,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"read_i16","","Reads a signed 16 bit integer from the underlying reader.",0,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"read_u24","","Reads an unsigned 24 bit integer from the underlying reader.",0,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"read_i24","","Reads a signed 24 bit integer from the underlying reader.",0,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"read_u32","","Reads an unsigned 32 bit integer from the underlying reader.",0,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"read_i32","","Reads a signed 32 bit integer from the underlying reader.",0,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"read_u64","","Reads an unsigned 64 bit integer from the underlying reader.",0,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"read_i64","","Reads a signed 64 bit integer from the underlying reader.",0,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"read_uint","","Reads an unsigned n-bytes integer from the underlying reader.",0,{"inputs":[{"name":"self"},{"name":"usize"}],"output":{"name":"result"}}],[11,"read_int","","Reads a signed n-bytes integer from the underlying reader.",0,{"inputs":[{"name":"self"},{"name":"usize"}],"output":{"name":"result"}}],[11,"read_f32","","Reads a IEEE754 single-precision (4 bytes) floating point number from the underlying reader.",0,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"read_f64","","Reads a IEEE754 double-precision (8 bytes) floating point number from the underlying reader.",0,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"read_u16_into","","Reads a sequence of unsigned 16 bit integers from the underlying reader.",0,null],[11,"read_u32_into","","Reads a sequence of unsigned 32 bit integers from the underlying reader.",0,null],[11,"read_u64_into","","Reads a sequence of unsigned 64 bit integers from the underlying reader.",0,null],[11,"read_i16_into","","Reads a sequence of signed 16 bit integers from the underlying reader.",0,null],[11,"read_i32_into","","Reads a sequence of signed 32 bit integers from the underlying reader.",0,null],[11,"read_i64_into","","Reads a sequence of signed 64 bit integers from the underlying reader.",0,null],[11,"read_f32_into_unchecked","","Reads a sequence of IEEE754 single-precision (4 bytes) floating point numbers from the underlying reader.",0,null],[11,"read_f64_into_unchecked","","Reads a sequence of IEEE754 double-precision (8 bytes) floating point numbers from the underlying reader.",0,null],[11,"write_u8","","Writes an unsigned 8 bit integer to the underlying writer.",1,{"inputs":[{"name":"self"},{"name":"u8"}],"output":{"name":"result"}}],[11,"write_i8","","Writes a signed 8 bit integer to the underlying writer.",1,{"inputs":[{"name":"self"},{"name":"i8"}],"output":{"name":"result"}}],[11,"write_u16","","Writes an unsigned 16 bit integer to the underlying writer.",1,{"inputs":[{"name":"self"},{"name":"u16"}],"output":{"name":"result"}}],[11,"write_i16","","Writes a signed 16 bit integer to the underlying writer.",1,{"inputs":[{"name":"self"},{"name":"i16"}],"output":{"name":"result"}}],[11,"write_u24","","Writes an unsigned 24 bit integer to the underlying writer.",1,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"result"}}],[11,"write_i24","","Writes a signed 24 bit integer to the underlying writer.",1,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"result"}}],[11,"write_u32","","Writes an unsigned 32 bit integer to the underlying writer.",1,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"result"}}],[11,"write_i32","","Writes a signed 32 bit integer to the underlying writer.",1,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"result"}}],[11,"write_u64","","Writes an unsigned 64 bit integer to the underlying writer.",1,{"inputs":[{"name":"self"},{"name":"u64"}],"output":{"name":"result"}}],[11,"write_i64","","Writes a signed 64 bit integer to the underlying writer.",1,{"inputs":[{"name":"self"},{"name":"i64"}],"output":{"name":"result"}}],[11,"write_uint","","Writes an unsigned n-bytes integer to the underlying writer.",1,{"inputs":[{"name":"self"},{"name":"u64"},{"name":"usize"}],"output":{"name":"result"}}],[11,"write_int","","Writes a signed n-bytes integer to the underlying writer.",1,{"inputs":[{"name":"self"},{"name":"i64"},{"name":"usize"}],"output":{"name":"result"}}],[11,"write_f32","","Writes a IEEE754 single-precision (4 bytes) floating point number to the underlying writer.",1,{"inputs":[{"name":"self"},{"name":"f32"}],"output":{"name":"result"}}],[11,"write_f64","","Writes a IEEE754 double-precision (8 bytes) floating point number to the underlying writer.",1,{"inputs":[{"name":"self"},{"name":"f64"}],"output":{"name":"result"}}]],"paths":[[8,"ReadBytesExt"],[8,"WriteBytesExt"],[8,"ByteOrder"],[4,"BigEndian"],[4,"LittleEndian"]]};
searchIndex["c_vec"] = {"doc":"Library to interface with chunks of memory allocated in C.","items":[[3,"CVec","c_vec","The type representing a foreign chunk of memory",null,null],[3,"CSlice","","The type representing an 'unsafe' foreign chunk of memory",null,null],[11,"drop","","",0,{"inputs":[{"name":"self"}],"output":null}],[11,"new","","Create a `CVec` from a raw pointer to a buffer with a given length.",0,null],[11,"new_with_dtor","","Create a `CVec` from a foreign buffer, with a given length, and a function to run upon destruction.",0,null],[11,"get","","Retrieves an element at a given index, returning `None` if the requested index is greater than the length of the vector.",0,{"inputs":[{"name":"self"},{"name":"usize"}],"output":{"name":"option"}}],[11,"get_mut","","Retrieves a mutable element at a given index, returning `None` if the requested index is greater than the length of the vector.",0,{"inputs":[{"name":"self"},{"name":"usize"}],"output":{"name":"option"}}],[11,"into_inner","","Unwrap the pointer without running the destructor",0,null],[11,"len","","Returns the number of items in this vector.",0,{"inputs":[{"name":"self"}],"output":{"name":"usize"}}],[11,"is_empty","","Returns whether this vector is empty.",0,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"as_cslice","","Convert to CSlice",0,{"inputs":[{"name":"self"}],"output":{"name":"cslice"}}],[11,"as_ref","","View the stored data as a slice.",0,null],[11,"as_mut","","View the stored data as a slice.",0,null],[11,"new","","Create a `CSlice` from a raw pointer to a buffer with a given length.",1,null],[11,"get","","Retrieves an element at a given index, returning `None` if the requested index is greater than the length of the vector.",1,{"inputs":[{"name":"self"},{"name":"usize"}],"output":{"name":"option"}}],[11,"get_mut","","Retrieves a mutable element at a given index, returning `None` if the requested index is greater than the length of the vector.",1,{"inputs":[{"name":"self"},{"name":"usize"}],"output":{"name":"option"}}],[11,"len","","Returns the number of items in this vector.",1,{"inputs":[{"name":"self"}],"output":{"name":"usize"}}],[11,"is_empty","","Returns whether this vector is empty.",1,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"as_ref","","View the stored data as a slice.",1,null],[11,"as_mut","","View the stored data as a slice.",1,null],[11,"index","","",1,{"inputs":[{"name":"self"},{"name":"usize"}],"output":{"name":"t"}}],[11,"index_mut","","",1,{"inputs":[{"name":"self"},{"name":"usize"}],"output":{"name":"t"}}],[11,"into","","",1,{"inputs":[{"name":"cslice"}],"output":{"name":"vec"}}],[11,"into","","",0,{"inputs":[{"name":"cvec"}],"output":{"name":"vec"}}]],"paths":[[3,"CVec"],[3,"CSlice"]]};
searchIndex["cairo"] = {"doc":"","items":[[0,"enums","cairo","",null,null],[4,"Status","cairo::enums","",null,null],[13,"Success","","",0,null],[13,"NoMemory","","",0,null],[13,"InvalidRestore","","",0,null],[13,"InvalidPopGroup","","",0,null],[13,"NoCurrentPoint","","",0,null],[13,"InvalidMatrix","","",0,null],[13,"InvalidStatus","","",0,null],[13,"NullPointer","","",0,null],[13,"InvalidString","","",0,null],[13,"InvalidPathData","","",0,null],[13,"ReadError","","",0,null],[13,"WriteError","","",0,null],[13,"SurfaceFinished","","",0,null],[13,"SurfaceTypeMismatch","","",0,null],[13,"PatternTypeMismatch","","",0,null],[13,"InvalidContent","","",0,null],[13,"InvalidFormat","","",0,null],[13,"InvalidVisual","","",0,null],[13,"FileNotFound","","",0,null],[13,"InvalidDash","","",0,null],[13,"InvalidDscComment","","",0,null],[13,"InvalidIndex","","",0,null],[13,"ClipNotRepresentable","","",0,null],[13,"TempFileError","","",0,null],[13,"InvalidStride","","",0,null],[13,"FontTypeMismatch","","",0,null],[13,"UserFontImmutable","","",0,null],[13,"UserFontError","","",0,null],[13,"NegativeCount","","",0,null],[13,"InvalidClusters","","",0,null],[13,"InvalidSlant","","",0,null],[13,"InvalidWeight","","",0,null],[13,"InvalidSize","","",0,null],[13,"UserFontNotImplemented","","",0,null],[13,"DeviceTypeMismatch","","",0,null],[13,"DeviceError","","",0,null],[13,"InvalidMeshConstruction","","",0,null],[13,"DeviceFinished","","",0,null],[13,"LastStatus","","",0,null],[4,"Antialias","","",null,null],[13,"Default","","",1,null],[13,"None","","",1,null],[13,"Gray","","",1,null],[13,"Subpixel","","",1,null],[13,"Fast","","",1,null],[13,"Good","","",1,null],[13,"Best","","",1,null],[4,"FillRule","","",null,null],[13,"Winding","","",2,null],[13,"EvenOdd","","",2,null],[4,"LineCap","","",null,null],[13,"Butt","","",3,null],[13,"Round","","",3,null],[13,"Square","","",3,null],[4,"LineJoin","","",null,null],[13,"Miter","","",4,null],[13,"Round","","",4,null],[13,"Bevel","","",4,null],[4,"Operator","","",null,null],[13,"Clear","","",5,null],[13,"Source","","",5,null],[13,"Over","","",5,null],[13,"In","","",5,null],[13,"Out","","",5,null],[13,"Atop","","",5,null],[13,"Dest","","",5,null],[13,"DestOver","","",5,null],[13,"DestIn","","",5,null],[13,"DestOut","","",5,null],[13,"DestAtop","","",5,null],[13,"Xor","","",5,null],[13,"Add","","",5,null],[13,"Saturate","","",5,null],[13,"Multiply","","",5,null],[13,"Screen","","",5,null],[13,"Overlay","","",5,null],[13,"Darken","","",5,null],[13,"Lighten","","",5,null],[13,"ColorDodge","","",5,null],[13,"ColorBurn","","",5,null],[13,"HardLight","","",5,null],[13,"SoftLight","","",5,null],[13,"Difference","","",5,null],[13,"Exclusion","","",5,null],[13,"HslHue","","",5,null],[13,"HslSaturation","","",5,null],[13,"HslColor","","",5,null],[13,"HslLuminosity","","",5,null],[4,"PathDataType","","",null,null],[13,"MoveTo","","",6,null],[13,"LineTo","","",6,null],[13,"CurveTo","","",6,null],[13,"ClosePath","","",6,null],[4,"Content","","",null,null],[13,"Color","","",7,null],[13,"Alpha","","",7,null],[13,"ColorAlpha","","",7,null],[4,"Extend","","",null,null],[13,"None","","",8,null],[13,"Repeat","","",8,null],[13,"Reflect","","",8,null],[13,"Pad","","",8,null],[4,"Filter","","",null,null],[13,"Fast","","",9,null],[13,"Good","","",9,null],[13,"Best","","",9,null],[13,"Nearest","","",9,null],[13,"Bilinear","","",9,null],[13,"Gaussian","","",9,null],[4,"PatternType","","",null,null],[13,"Solid","","",10,null],[13,"Surface","","",10,null],[13,"LinearGradient","","",10,null],[13,"RadialGradient","","",10,null],[13,"Mesh","","",10,null],[13,"RasterSource","","",10,null],[4,"FontSlant","","",null,null],[13,"Normal","","",11,null],[13,"Italic","","",11,null],[13,"Oblique","","",11,null],[4,"FontWeight","","",null,null],[13,"Normal","","",12,null],[13,"Bold","","",12,null],[4,"TextClusterFlags","","",null,null],[13,"None","","",13,null],[13,"Backward","","",13,null],[4,"FontType","","",null,null],[13,"FontTypeToy","","",14,null],[13,"FontTypeFt","","",14,null],[13,"FontTypeWin32","","",14,null],[13,"FontTypeQuartz","","",14,null],[13,"FontTypeUser","","",14,null],[4,"SubpixelOrder","","",null,null],[13,"Default","","",15,null],[13,"Rgb","","",15,null],[13,"Bgr","","",15,null],[13,"Vrgb","","",15,null],[13,"Vbgr","","",15,null],[4,"HintStyle","","",null,null],[13,"Default","","",16,null],[13,"None","","",16,null],[13,"Slight","","",16,null],[13,"Medium","","",16,null],[13,"Full","","",16,null],[4,"HintMetrics","","",null,null],[13,"Default","","",17,null],[13,"Off","","",17,null],[13,"On","","",17,null],[4,"SurfaceType","","",null,null],[13,"Image","","",18,null],[13,"Pdf","","",18,null],[13,"Ps","","",18,null],[13,"Xlib","","",18,null],[13,"Xcb","","",18,null],[13,"Glitz","","",18,null],[13,"Quartz","","",18,null],[13,"Win32","","",18,null],[13,"BeOs","","",18,null],[13,"DirectFb","","",18,null],[13,"Svg","","",18,null],[13,"Os2","","",18,null],[13,"Win32Printing","","",18,null],[13,"QuartzImage","","",18,null],[13,"Script","","",18,null],[13,"Qt","","",18,null],[13,"Recording","","",18,null],[13,"Vg","","",18,null],[13,"Gl","","",18,null],[13,"Drm","","",18,null],[13,"Tee","","",18,null],[13,"Xml","","",18,null],[13,"Skia","","",18,null],[13,"Subsurface","","",18,null],[13,"Cogl","","",18,null],[4,"Format","","",null,null],[13,"Invalid","","",19,null],[13,"ARgb32","","",19,null],[13,"Rgb24","","",19,null],[13,"A8","","",19,null],[13,"A1","","",19,null],[13,"Rgb16_565","","",19,null],[13,"Rgb30","","",19,null],[4,"RegionOverlap","","",null,null],[13,"In","","",20,null],[13,"Out","","",20,null],[13,"Part","","",20,null],[3,"Rectangle","cairo","",null,null],[12,"x","","",21,null],[12,"y","","",21,null],[12,"width","","",21,null],[12,"height","","",21,null],[4,"Status","","",null,null],[13,"Success","","",0,null],[13,"NoMemory","","",0,null],[13,"InvalidRestore","","",0,null],[13,"InvalidPopGroup","","",0,null],[13,"NoCurrentPoint","","",0,null],[13,"InvalidMatrix","","",0,null],[13,"InvalidStatus","","",0,null],[13,"NullPointer","","",0,null],[13,"InvalidString","","",0,null],[13,"InvalidPathData","","",0,null],[13,"ReadError","","",0,null],[13,"WriteError","","",0,null],[13,"SurfaceFinished","","",0,null],[13,"SurfaceTypeMismatch","","",0,null],[13,"PatternTypeMismatch","","",0,null],[13,"InvalidContent","","",0,null],[13,"InvalidFormat","","",0,null],[13,"InvalidVisual","","",0,null],[13,"FileNotFound","","",0,null],[13,"InvalidDash","","",0,null],[13,"InvalidDscComment","","",0,null],[13,"InvalidIndex","","",0,null],[13,"ClipNotRepresentable","","",0,null],[13,"TempFileError","","",0,null],[13,"InvalidStride","","",0,null],[13,"FontTypeMismatch","","",0,null],[13,"UserFontImmutable","","",0,null],[13,"UserFontError","","",0,null],[13,"NegativeCount","","",0,null],[13,"InvalidClusters","","",0,null],[13,"InvalidSlant","","",0,null],[13,"InvalidWeight","","",0,null],[13,"InvalidSize","","",0,null],[13,"UserFontNotImplemented","","",0,null],[13,"DeviceTypeMismatch","","",0,null],[13,"DeviceError","","",0,null],[13,"InvalidMeshConstruction","","",0,null],[13,"DeviceFinished","","",0,null],[13,"LastStatus","","",0,null],[4,"Antialias","","",null,null],[13,"Default","","",1,null],[13,"None","","",1,null],[13,"Gray","","",1,null],[13,"Subpixel","","",1,null],[13,"Fast","","",1,null],[13,"Good","","",1,null],[13,"Best","","",1,null],[4,"Content","","",null,null],[13,"Color","","",7,null],[13,"Alpha","","",7,null],[13,"ColorAlpha","","",7,null],[4,"Extend","","",null,null],[13,"None","","",8,null],[13,"Repeat","","",8,null],[13,"Reflect","","",8,null],[13,"Pad","","",8,null],[4,"FillRule","","",null,null],[13,"Winding","","",2,null],[13,"EvenOdd","","",2,null],[4,"Filter","","",null,null],[13,"Fast","","",9,null],[13,"Good","","",9,null],[13,"Best","","",9,null],[13,"Nearest","","",9,null],[13,"Bilinear","","",9,null],[13,"Gaussian","","",9,null],[4,"LineCap","","",null,null],[13,"Butt","","",3,null],[13,"Round","","",3,null],[13,"Square","","",3,null],[4,"LineJoin","","",null,null],[13,"Miter","","",4,null],[13,"Round","","",4,null],[13,"Bevel","","",4,null],[4,"Operator","","",null,null],[13,"Clear","","",5,null],[13,"Source","","",5,null],[13,"Over","","",5,null],[13,"In","","",5,null],[13,"Out","","",5,null],[13,"Atop","","",5,null],[13,"Dest","","",5,null],[13,"DestOver","","",5,null],[13,"DestIn","","",5,null],[13,"DestOut","","",5,null],[13,"DestAtop","","",5,null],[13,"Xor","","",5,null],[13,"Add","","",5,null],[13,"Saturate","","",5,null],[13,"Multiply","","",5,null],[13,"Screen","","",5,null],[13,"Overlay","","",5,null],[13,"Darken","","",5,null],[13,"Lighten","","",5,null],[13,"ColorDodge","","",5,null],[13,"ColorBurn","","",5,null],[13,"HardLight","","",5,null],[13,"SoftLight","","",5,null],[13,"Difference","","",5,null],[13,"Exclusion","","",5,null],[13,"HslHue","","",5,null],[13,"HslSaturation","","",5,null],[13,"HslColor","","",5,null],[13,"HslLuminosity","","",5,null],[4,"PathDataType","","",null,null],[13,"MoveTo","","",6,null],[13,"LineTo","","",6,null],[13,"CurveTo","","",6,null],[13,"ClosePath","","",6,null],[4,"Format","","",null,null],[13,"Invalid","","",19,null],[13,"ARgb32","","",19,null],[13,"Rgb24","","",19,null],[13,"A8","","",19,null],[13,"A1","","",19,null],[13,"Rgb16_565","","",19,null],[13,"Rgb30","","",19,null],[4,"RegionOverlap","","",null,null],[13,"In","","",20,null],[13,"Out","","",20,null],[13,"Part","","",20,null],[4,"SurfaceType","","",null,null],[13,"Image","","",18,null],[13,"Pdf","","",18,null],[13,"Ps","","",18,null],[13,"Xlib","","",18,null],[13,"Xcb","","",18,null],[13,"Glitz","","",18,null],[13,"Quartz","","",18,null],[13,"Win32","","",18,null],[13,"BeOs","","",18,null],[13,"DirectFb","","",18,null],[13,"Svg","","",18,null],[13,"Os2","","",18,null],[13,"Win32Printing","","",18,null],[13,"QuartzImage","","",18,null],[13,"Script","","",18,null],[13,"Qt","","",18,null],[13,"Recording","","",18,null],[13,"Vg","","",18,null],[13,"Gl","","",18,null],[13,"Drm","","",18,null],[13,"Tee","","",18,null],[13,"Xml","","",18,null],[13,"Skia","","",18,null],[13,"Subsurface","","",18,null],[13,"Cogl","","",18,null],[4,"FontType","","",null,null],[13,"FontTypeToy","","",14,null],[13,"FontTypeFt","","",14,null],[13,"FontTypeWin32","","",14,null],[13,"FontTypeQuartz","","",14,null],[13,"FontTypeUser","","",14,null],[4,"FontSlant","","",null,null],[13,"Normal","","",11,null],[13,"Italic","","",11,null],[13,"Oblique","","",11,null],[4,"FontWeight","","",null,null],[13,"Normal","","",12,null],[13,"Bold","","",12,null],[3,"Glyph","","",null,null],[12,"index","","",22,null],[12,"x","","",22,null],[12,"y","","",22,null],[3,"FontExtents","","",null,null],[12,"ascent","","",23,null],[12,"descent","","",23,null],[12,"height","","",23,null],[12,"max_x_advance","","",23,null],[12,"max_y_advance","","",23,null],[3,"TextExtents","","",null,null],[12,"x_bearing","","",24,null],[12,"y_bearing","","",24,null],[12,"width","","",24,null],[12,"height","","",24,null],[12,"x_advance","","",24,null],[12,"y_advance","","",24,null],[3,"TextCluster","","",null,null],[12,"num_bytes","","",25,null],[12,"num_glyphs","","",25,null],[3,"Matrix","","",null,null],[12,"xx","","",26,null],[12,"yx","","",26,null],[12,"xy","","",26,null],[12,"yy","","",26,null],[12,"x0","","",26,null],[12,"y0","","",26,null],[3,"Context","","",null,null],[3,"RectangleVec","","",null,null],[12,"rectangles","","",27,null],[3,"Path","","",null,null],[3,"PathSegments","","",null,null],[3,"LinearGradient","","",null,null],[3,"RadialGradient","","",null,null],[3,"SolidPattern","","",null,null],[3,"SurfacePattern","","",null,null],[3,"Mesh","","",null,null],[3,"FontFace","","",null,null],[3,"ScaledFont","","",null,null],[3,"FontOptions","","",null,null],[3,"RectangleInt","","",null,null],[12,"x","","",28,null],[12,"y","","",28,null],[12,"width","","",28,null],[12,"height","","",28,null],[3,"Region","","",null,null],[3,"Surface","","",null,null],[3,"ImageSurface","","",null,null],[3,"ImageSurfaceData","","",null,null],[4,"PathSegment","","",null,null],[13,"MoveTo","","",29,null],[13,"LineTo","","",29,null],[13,"CurveTo","","",29,null],[13,"ClosePath","","",29,null],[4,"BorrowError","","",null,null],[13,"Cairo","","",30,null],[13,"NonExclusive","","",30,null],[4,"IoError","","",null,null],[13,"Cairo","","",31,null],[13,"Io","","",31,null],[4,"MeshCorner","","",null,null],[13,"MeshCorner0","","",32,null],[13,"MeshCorner1","","",32,null],[13,"MeshCorner2","","",32,null],[13,"MeshCorner3","","",32,null],[0,"prelude","","",null,null],[8,"MatrixTrait","cairo::prelude","",null,null],[10,"null","","",33,{"inputs":[],"output":{"name":"matrix"}}],[10,"new","","",33,{"inputs":[{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":{"name":"matrix"}}],[10,"multiply","","",33,{"inputs":[{"name":"matrix"},{"name":"matrix"}],"output":{"name":"matrix"}}],[10,"identity","","",33,{"inputs":[],"output":{"name":"matrix"}}],[10,"init","","",33,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[10,"translate","","",33,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"}],"output":null}],[10,"scale","","",33,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"}],"output":null}],[10,"rotate","","",33,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"invert","","",33,{"inputs":[{"name":"self"}],"output":null}],[10,"try_invert","","",33,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[10,"transform_distance","","",33,null],[10,"transform_point","","",33,null],[8,"Gradient","","",null,null],[11,"add_color_stop_rgb","","",34,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[11,"add_color_stop_rgba","","",34,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[11,"get_color_stop_count","","",34,{"inputs":[{"name":"self"}],"output":{"name":"isize"}}],[11,"get_color_stop_rgba","","",34,null],[8,"Pattern","","",null,null],[11,"ensure_status","","",35,{"inputs":[{"name":"self"}],"output":null}],[11,"status","","",35,{"inputs":[{"name":"self"}],"output":{"name":"status"}}],[11,"get_reference_count","","",35,{"inputs":[{"name":"self"}],"output":{"name":"isize"}}],[11,"set_extend","","",35,{"inputs":[{"name":"self"},{"name":"extend"}],"output":null}],[11,"get_extend","","",35,{"inputs":[{"name":"self"}],"output":{"name":"extend"}}],[11,"set_filter","","",35,{"inputs":[{"name":"self"},{"name":"filter"}],"output":null}],[11,"get_filter","","",35,{"inputs":[{"name":"self"}],"output":{"name":"filter"}}],[11,"set_matrix","","",35,{"inputs":[{"name":"self"},{"name":"matrix"}],"output":null}],[11,"get_matrix","","",35,{"inputs":[{"name":"self"}],"output":{"name":"matrix"}}],[8,"SurfaceExt","","",null,null],[10,"flush","","",36,{"inputs":[{"name":"self"}],"output":null}],[10,"finish","","",36,{"inputs":[{"name":"self"}],"output":null}],[10,"get_type","","",36,{"inputs":[{"name":"self"}],"output":{"name":"surfacetype"}}],[11,"clone","cairo","",37,{"inputs":[{"name":"self"}],"output":{"name":"fontoptions"}}],[11,"fmt","","",37,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"new","","",37,{"inputs":[],"output":{"name":"fontoptions"}}],[11,"ensure_status","","",37,{"inputs":[{"name":"self"}],"output":null}],[11,"merge","","",37,{"inputs":[{"name":"self"},{"name":"fontoptions"}],"output":null}],[11,"hash","","",37,{"inputs":[{"name":"self"}],"output":{"name":"u64"}}],[11,"set_antialias","","",37,{"inputs":[{"name":"self"},{"name":"antialias"}],"output":null}],[11,"get_antialias","","",37,{"inputs":[{"name":"self"}],"output":{"name":"antialias"}}],[11,"set_subpixel_order","","",37,{"inputs":[{"name":"self"},{"name":"subpixelorder"}],"output":null}],[11,"get_subpixel_order","","",37,{"inputs":[{"name":"self"}],"output":{"name":"subpixelorder"}}],[11,"set_hint_style","","",37,{"inputs":[{"name":"self"},{"name":"hintstyle"}],"output":null}],[11,"get_hint_style","","",37,{"inputs":[{"name":"self"}],"output":{"name":"hintstyle"}}],[11,"set_hint_metrics","","",37,{"inputs":[{"name":"self"},{"name":"hintmetrics"}],"output":null}],[11,"get_hint_metrics","","",37,{"inputs":[{"name":"self"}],"output":{"name":"hintmetrics"}}],[11,"eq","","",37,{"inputs":[{"name":"self"},{"name":"fontoptions"}],"output":{"name":"bool"}}],[11,"clone","","",38,{"inputs":[{"name":"self"}],"output":{"name":"fontface"}}],[11,"toy_create","","",38,{"inputs":[{"name":"str"},{"name":"fontslant"},{"name":"fontweight"}],"output":{"name":"fontface"}}],[11,"toy_get_family","","",38,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"toy_get_slant","","",38,{"inputs":[{"name":"self"}],"output":{"name":"fontslant"}}],[11,"toy_get_weight","","",38,{"inputs":[{"name":"self"}],"output":{"name":"fontweight"}}],[11,"ensure_status","","",38,{"inputs":[{"name":"self"}],"output":null}],[11,"get_type","","",38,{"inputs":[{"name":"self"}],"output":{"name":"fonttype"}}],[11,"get_reference_count","","",38,{"inputs":[{"name":"self"}],"output":{"name":"usize"}}],[11,"clone","","",39,{"inputs":[{"name":"self"}],"output":{"name":"scaledfont"}}],[11,"new","","",39,{"inputs":[{"name":"fontface"},{"name":"matrix"},{"name":"matrix"},{"name":"fontoptions"}],"output":{"name":"scaledfont"}}],[11,"ensure_status","","",39,{"inputs":[{"name":"self"}],"output":null}],[11,"get_type","","",39,{"inputs":[{"name":"self"}],"output":{"name":"fonttype"}}],[11,"get_reference_count","","",39,{"inputs":[{"name":"self"}],"output":{"name":"usize"}}],[11,"extents","","",39,{"inputs":[{"name":"self"}],"output":{"name":"fontextents"}}],[11,"text_extents","","",39,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"textextents"}}],[11,"glyph_extents","","",39,null],[11,"text_to_glyphs","","",39,null],[11,"get_font_face","","",39,{"inputs":[{"name":"self"}],"output":{"name":"fontface"}}],[11,"get_font_options","","",39,{"inputs":[{"name":"self"}],"output":{"name":"fontoptions"}}],[11,"get_font_matrix","","",39,{"inputs":[{"name":"self"}],"output":{"name":"matrix"}}],[11,"get_ctm","","",39,{"inputs":[{"name":"self"}],"output":{"name":"matrix"}}],[11,"get_scale_matrix","","",39,{"inputs":[{"name":"self"}],"output":{"name":"matrix"}}],[11,"drop","","",27,{"inputs":[{"name":"self"}],"output":null}],[11,"from_glib_none","","",40,null],[11,"from_glib_full","","",40,null],[11,"as_ref","","",40,{"inputs":[{"name":"self"}],"output":{"name":"context"}}],[11,"clone","","",40,{"inputs":[{"name":"self"}],"output":{"name":"context"}}],[11,"drop","","",40,{"inputs":[{"name":"self"}],"output":null}],[11,"ensure_status","","",40,{"inputs":[{"name":"self"}],"output":null}],[11,"new","","",40,{"inputs":[{"name":"t"}],"output":{"name":"context"}}],[11,"status","","",40,{"inputs":[{"name":"self"}],"output":{"name":"status"}}],[11,"save","","",40,{"inputs":[{"name":"self"}],"output":null}],[11,"restore","","",40,{"inputs":[{"name":"self"}],"output":null}],[11,"get_target","","",40,{"inputs":[{"name":"self"}],"output":{"name":"surface"}}],[11,"push_group","","",40,{"inputs":[{"name":"self"}],"output":null}],[11,"pop_group","","",40,{"inputs":[{"name":"self"}],"output":{"name":"box"}}],[11,"pop_group_to_source","","",40,{"inputs":[{"name":"self"}],"output":null}],[11,"get_group_target","","",40,{"inputs":[{"name":"self"}],"output":{"name":"surface"}}],[11,"set_source_rgb","","",40,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[11,"set_source_rgba","","",40,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[11,"set_source","","",40,{"inputs":[{"name":"self"},{"name":"pattern"}],"output":null}],[11,"get_source","","",40,{"inputs":[{"name":"self"}],"output":{"name":"box"}}],[11,"set_source_surface","","",40,{"inputs":[{"name":"self"},{"name":"t"},{"name":"f64"},{"name":"f64"}],"output":null}],[11,"set_antialias","","",40,{"inputs":[{"name":"self"},{"name":"antialias"}],"output":null}],[11,"get_antialias","","",40,{"inputs":[{"name":"self"}],"output":{"name":"antialias"}}],[11,"set_dash","","",40,null],[11,"get_dash_count","","",40,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_dash","","",40,null],[11,"get_dash_dashes","","",40,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[11,"get_dash_offset","","",40,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[11,"set_fill_rule","","",40,{"inputs":[{"name":"self"},{"name":"fillrule"}],"output":null}],[11,"get_fill_rule","","",40,{"inputs":[{"name":"self"}],"output":{"name":"fillrule"}}],[11,"set_line_cap","","",40,{"inputs":[{"name":"self"},{"name":"linecap"}],"output":null}],[11,"get_line_cap","","",40,{"inputs":[{"name":"self"}],"output":{"name":"linecap"}}],[11,"set_line_join","","",40,{"inputs":[{"name":"self"},{"name":"linejoin"}],"output":null}],[11,"get_line_join","","",40,{"inputs":[{"name":"self"}],"output":{"name":"linejoin"}}],[11,"set_line_width","","",40,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[11,"get_line_width","","",40,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[11,"set_miter_limit","","",40,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[11,"get_miter_limit","","",40,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[11,"set_operator","","",40,{"inputs":[{"name":"self"},{"name":"operator"}],"output":null}],[11,"get_operator","","",40,{"inputs":[{"name":"self"}],"output":{"name":"operator"}}],[11,"set_tolerance","","",40,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[11,"get_tolerance","","",40,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[11,"clip","","",40,{"inputs":[{"name":"self"}],"output":null}],[11,"clip_preserve","","",40,{"inputs":[{"name":"self"}],"output":null}],[11,"clip_extents","","",40,null],[11,"in_clip","","",40,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"}],"output":{"name":"bool"}}],[11,"reset_clip","","",40,{"inputs":[{"name":"self"}],"output":null}],[11,"copy_clip_rectangle_list","","",40,{"inputs":[{"name":"self"}],"output":{"name":"rectanglevec"}}],[11,"fill","","",40,{"inputs":[{"name":"self"}],"output":null}],[11,"fill_preserve","","",40,{"inputs":[{"name":"self"}],"output":null}],[11,"fill_extents","","",40,null],[11,"in_fill","","",40,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"}],"output":{"name":"bool"}}],[11,"mask","","",40,{"inputs":[{"name":"self"},{"name":"pattern"}],"output":null}],[11,"paint","","",40,{"inputs":[{"name":"self"}],"output":null}],[11,"paint_with_alpha","","",40,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[11,"stroke","","",40,{"inputs":[{"name":"self"}],"output":null}],[11,"stroke_preserve","","",40,{"inputs":[{"name":"self"}],"output":null}],[11,"stroke_extents","","",40,null],[11,"in_stroke","","",40,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"}],"output":{"name":"bool"}}],[11,"copy_page","","",40,{"inputs":[{"name":"self"}],"output":null}],[11,"show_page","","",40,{"inputs":[{"name":"self"}],"output":null}],[11,"get_reference_count","","",40,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"translate","","",40,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"}],"output":null}],[11,"scale","","",40,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"}],"output":null}],[11,"rotate","","",40,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[11,"transform","","",40,{"inputs":[{"name":"self"},{"name":"matrix"}],"output":null}],[11,"set_matrix","","",40,{"inputs":[{"name":"self"},{"name":"matrix"}],"output":null}],[11,"get_matrix","","",40,{"inputs":[{"name":"self"}],"output":{"name":"matrix"}}],[11,"identity_matrix","","",40,{"inputs":[{"name":"self"}],"output":null}],[11,"user_to_device","","",40,null],[11,"user_to_device_distance","","",40,null],[11,"device_to_user","","",40,null],[11,"device_to_user_distance","","",40,null],[11,"select_font_face","","",40,{"inputs":[{"name":"self"},{"name":"str"},{"name":"fontslant"},{"name":"fontweight"}],"output":null}],[11,"set_font_size","","",40,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[11,"set_font_matrix","","",40,{"inputs":[{"name":"self"},{"name":"matrix"}],"output":null}],[11,"get_font_matrix","","",40,{"inputs":[{"name":"self"}],"output":{"name":"matrix"}}],[11,"set_font_options","","",40,{"inputs":[{"name":"self"},{"name":"fontoptions"}],"output":null}],[11,"get_font_options","","",40,{"inputs":[{"name":"self"}],"output":{"name":"fontoptions"}}],[11,"set_font_face","","",40,{"inputs":[{"name":"self"},{"name":"fontface"}],"output":null}],[11,"get_font_face","","",40,{"inputs":[{"name":"self"}],"output":{"name":"fontface"}}],[11,"set_scaled_font","","",40,{"inputs":[{"name":"self"},{"name":"scaledfont"}],"output":null}],[11,"get_scaled_font","","",40,{"inputs":[{"name":"self"}],"output":{"name":"scaledfont"}}],[11,"show_text","","",40,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[11,"show_glyphs","","",40,null],[11,"show_text_glyphs","","",40,null],[11,"font_extents","","",40,{"inputs":[{"name":"self"}],"output":{"name":"fontextents"}}],[11,"text_extents","","",40,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"textextents"}}],[11,"glyph_extents","","",40,null],[11,"copy_path","","",40,{"inputs":[{"name":"self"}],"output":{"name":"path"}}],[11,"copy_path_flat","","",40,{"inputs":[{"name":"self"}],"output":{"name":"path"}}],[11,"append_path","","",40,{"inputs":[{"name":"self"},{"name":"path"}],"output":null}],[11,"has_current_point","","",40,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"get_current_point","","",40,null],[11,"new_path","","",40,{"inputs":[{"name":"self"}],"output":null}],[11,"new_sub_path","","",40,{"inputs":[{"name":"self"}],"output":null}],[11,"close_path","","",40,{"inputs":[{"name":"self"}],"output":null}],[11,"arc","","",40,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[11,"arc_negative","","",40,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[11,"curve_to","","",40,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[11,"line_to","","",40,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"}],"output":null}],[11,"move_to","","",40,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"}],"output":null}],[11,"rectangle","","",40,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[11,"text_path","","",40,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[11,"glyph_path","","",40,null],[11,"rel_curve_to","","",40,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[11,"rel_line_to","","",40,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"}],"output":null}],[11,"rel_move_to","","",40,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"}],"output":null}],[11,"fmt","","",30,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"from","","",30,{"inputs":[{"name":"status"}],"output":{"name":"self"}}],[11,"fmt","","",30,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"description","","",30,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"cause","","",30,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"fmt","","",31,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"from","","",31,{"inputs":[{"name":"status"}],"output":{"name":"self"}}],[11,"fmt","","",31,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"description","","",31,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"cause","","",31,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"fmt","","",41,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"from","","",41,{"inputs":[{"name":"surface"}],"output":{"name":"result"}}],[11,"from_raw_full","","",41,null],[11,"create","","",41,{"inputs":[{"name":"format"},{"name":"i32"},{"name":"i32"}],"output":{"name":"imagesurface"}}],[11,"create_for_data","","",41,{"inputs":[{"name":"box"},{"name":"f"},{"name":"format"},{"name":"i32"},{"name":"i32"},{"name":"i32"}],"output":{"name":"imagesurface"}}],[11,"get_data","","",41,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"get_format","","",41,{"inputs":[{"name":"self"}],"output":{"name":"format"}}],[11,"get_height","","",41,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_stride","","",41,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_width","","",41,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"to_glib_none","","",41,{"inputs":[{"name":"self"}],"output":{"name":"stash"}}],[11,"from_glib_none","","",41,null],[11,"from_glib_full","","",41,null],[11,"as_ref","","",41,{"inputs":[{"name":"self"}],"output":{"name":"surface"}}],[11,"deref","","",41,{"inputs":[{"name":"self"}],"output":{"name":"surface"}}],[11,"clone","","",41,{"inputs":[{"name":"self"}],"output":{"name":"imagesurface"}}],[11,"drop","","",42,{"inputs":[{"name":"self"}],"output":null}],[11,"deref","","",42,null],[11,"deref_mut","","",42,null],[11,"ensure_status","","",43,{"inputs":[{"name":"self"}],"output":null}],[11,"iter","","",43,{"inputs":[{"name":"self"}],"output":{"name":"pathsegments"}}],[11,"drop","","",43,{"inputs":[{"name":"self"}],"output":null}],[11,"fmt","","",29,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",29,{"inputs":[{"name":"self"}],"output":{"name":"pathsegment"}}],[11,"eq","","",29,{"inputs":[{"name":"self"},{"name":"pathsegment"}],"output":{"name":"bool"}}],[11,"ne","","",29,{"inputs":[{"name":"self"},{"name":"pathsegment"}],"output":{"name":"bool"}}],[11,"next","","",44,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"ensure_status","cairo::prelude","",35,{"inputs":[{"name":"self"}],"output":null}],[11,"status","","",35,{"inputs":[{"name":"self"}],"output":{"name":"status"}}],[11,"get_reference_count","","",35,{"inputs":[{"name":"self"}],"output":{"name":"isize"}}],[11,"set_extend","","",35,{"inputs":[{"name":"self"},{"name":"extend"}],"output":null}],[11,"get_extend","","",35,{"inputs":[{"name":"self"}],"output":{"name":"extend"}}],[11,"set_filter","","",35,{"inputs":[{"name":"self"},{"name":"filter"}],"output":null}],[11,"get_filter","","",35,{"inputs":[{"name":"self"}],"output":{"name":"filter"}}],[11,"set_matrix","","",35,{"inputs":[{"name":"self"},{"name":"matrix"}],"output":null}],[11,"get_matrix","","",35,{"inputs":[{"name":"self"}],"output":{"name":"matrix"}}],[11,"add_color_stop_rgb","","",34,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[11,"add_color_stop_rgba","","",34,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[11,"get_color_stop_count","","",34,{"inputs":[{"name":"self"}],"output":{"name":"isize"}}],[11,"get_color_stop_rgba","","",34,null],[11,"wrap","cairo","",45,null],[11,"reference","","",45,{"inputs":[{"name":"self"}],"output":{"name":"solidpattern"}}],[11,"get_ptr","","",45,null],[11,"drop","","",45,{"inputs":[{"name":"self"}],"output":null}],[11,"from_rgb","","",45,{"inputs":[{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":{"name":"solidpattern"}}],[11,"from_rgba","","",45,{"inputs":[{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":{"name":"solidpattern"}}],[11,"get_rgba","","",45,null],[11,"wrap","","",46,null],[11,"reference","","",46,{"inputs":[{"name":"self"}],"output":{"name":"lineargradient"}}],[11,"get_ptr","","",46,null],[11,"drop","","",46,{"inputs":[{"name":"self"}],"output":null}],[11,"new","","",46,{"inputs":[{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":{"name":"lineargradient"}}],[11,"get_linear_points","","",46,null],[11,"wrap","","",47,null],[11,"reference","","",47,{"inputs":[{"name":"self"}],"output":{"name":"radialgradient"}}],[11,"get_ptr","","",47,null],[11,"drop","","",47,{"inputs":[{"name":"self"}],"output":null}],[11,"new","","",47,{"inputs":[{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":{"name":"radialgradient"}}],[11,"get_radial_circles","","",47,null],[11,"wrap","","",48,null],[11,"reference","","",48,{"inputs":[{"name":"self"}],"output":{"name":"surfacepattern"}}],[11,"get_ptr","","",48,null],[11,"drop","","",48,{"inputs":[{"name":"self"}],"output":null}],[11,"create","","",48,{"inputs":[{"name":"t"}],"output":{"name":"surfacepattern"}}],[11,"get_surface","","",48,{"inputs":[{"name":"self"}],"output":{"name":"surface"}}],[11,"clone","","",32,{"inputs":[{"name":"self"}],"output":{"name":"meshcorner"}}],[11,"eq","","",32,{"inputs":[{"name":"self"},{"name":"meshcorner"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",32,{"inputs":[{"name":"self"},{"name":"meshcorner"}],"output":{"name":"option"}}],[11,"wrap","","",49,null],[11,"reference","","",49,{"inputs":[{"name":"self"}],"output":{"name":"mesh"}}],[11,"get_ptr","","",49,null],[11,"drop","","",49,{"inputs":[{"name":"self"}],"output":null}],[11,"new","","",49,{"inputs":[],"output":{"name":"mesh"}}],[11,"begin_patch","","",49,{"inputs":[{"name":"self"}],"output":null}],[11,"end_patch","","",49,{"inputs":[{"name":"self"}],"output":null}],[11,"move_to","","",49,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"}],"output":null}],[11,"line_to","","",49,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"}],"output":null}],[11,"curve_to","","",49,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[11,"set_control_point","","",49,{"inputs":[{"name":"self"},{"name":"meshcorner"},{"name":"f64"},{"name":"f64"}],"output":null}],[11,"get_control_point","","",49,null],[11,"set_corner_color_rgb","","",49,{"inputs":[{"name":"self"},{"name":"meshcorner"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[11,"set_corner_color_rgba","","",49,{"inputs":[{"name":"self"},{"name":"meshcorner"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[11,"get_corner_color_rgba","","",49,null],[11,"get_patch_count","","",49,{"inputs":[{"name":"self"}],"output":{"name":"usize"}}],[11,"get_path","","",49,{"inputs":[{"name":"self"},{"name":"usize"}],"output":{"name":"path"}}],[11,"clone","","",28,{"inputs":[{"name":"self"}],"output":{"name":"rectangleint"}}],[11,"fmt","","",28,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",28,{"inputs":[{"name":"self"},{"name":"rectangleint"}],"output":{"name":"bool"}}],[11,"ne","","",28,{"inputs":[{"name":"self"},{"name":"rectangleint"}],"output":{"name":"bool"}}],[11,"hash","","",28,null],[11,"as_ref","","",50,{"inputs":[{"name":"self"}],"output":{"name":"region"}}],[11,"clone","","",50,{"inputs":[{"name":"self"}],"output":{"name":"region"}}],[11,"drop","","",50,{"inputs":[{"name":"self"}],"output":null}],[11,"eq","","",50,{"inputs":[{"name":"self"},{"name":"region"}],"output":{"name":"bool"}}],[11,"create","","",50,{"inputs":[],"output":{"name":"region"}}],[11,"create_rectangle","","",50,{"inputs":[{"name":"rectangleint"}],"output":{"name":"region"}}],[11,"copy","","",50,{"inputs":[{"name":"self"}],"output":{"name":"region"}}],[11,"status","","",50,{"inputs":[{"name":"self"}],"output":{"name":"status"}}],[11,"get_extents","","",50,{"inputs":[{"name":"self"},{"name":"rectangleint"}],"output":null}],[11,"num_rectangles","","",50,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_rectangle","","",50,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"rectangleint"}}],[11,"is_empty","","",50,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"contains_point","","",50,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"bool"}}],[11,"contains_rectangle","","",50,{"inputs":[{"name":"self"},{"name":"rectangleint"}],"output":{"name":"regionoverlap"}}],[11,"translate","","",50,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[11,"intersect","","",50,{"inputs":[{"name":"self"},{"name":"region"}],"output":{"name":"status"}}],[11,"intersect_rectangle","","",50,{"inputs":[{"name":"self"},{"name":"rectangleint"}],"output":{"name":"status"}}],[11,"subtract","","",50,{"inputs":[{"name":"self"},{"name":"region"}],"output":{"name":"status"}}],[11,"subtract_rectangle","","",50,{"inputs":[{"name":"self"},{"name":"rectangleint"}],"output":{"name":"status"}}],[11,"union","","",50,{"inputs":[{"name":"self"},{"name":"region"}],"output":{"name":"status"}}],[11,"union_rectangle","","",50,{"inputs":[{"name":"self"},{"name":"rectangleint"}],"output":{"name":"status"}}],[11,"xor","","",50,{"inputs":[{"name":"self"},{"name":"region"}],"output":{"name":"status"}}],[11,"xor_rectangle","","",50,{"inputs":[{"name":"self"},{"name":"rectangleint"}],"output":{"name":"status"}}],[11,"fmt","","",51,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"status","","",51,{"inputs":[{"name":"self"}],"output":{"name":"status"}}],[11,"create_similar","","",51,{"inputs":[{"name":"self"},{"name":"content"},{"name":"i32"},{"name":"i32"}],"output":{"name":"surface"}}],[11,"to_glib_none","","",51,{"inputs":[{"name":"self"}],"output":{"name":"stash"}}],[11,"from_glib_none","","",51,null],[11,"from_glib_full","","",51,null],[11,"as_ref","","",51,{"inputs":[{"name":"self"}],"output":{"name":"surface"}}],[11,"clone","","",51,{"inputs":[{"name":"self"}],"output":{"name":"surface"}}],[11,"drop","","",51,{"inputs":[{"name":"self"}],"output":null}],[11,"null","","",26,{"inputs":[],"output":{"name":"matrix"}}],[11,"new","","",26,{"inputs":[{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":{"name":"matrix"}}],[11,"multiply","","",26,{"inputs":[{"name":"matrix"},{"name":"matrix"}],"output":{"name":"matrix"}}],[11,"identity","","",26,{"inputs":[],"output":{"name":"matrix"}}],[11,"init","","",26,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[11,"translate","","",26,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"}],"output":null}],[11,"scale","","",26,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"}],"output":null}],[11,"rotate","","",26,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[11,"invert","","",26,{"inputs":[{"name":"self"}],"output":null}],[11,"try_invert","","",26,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"transform_distance","","",26,null],[11,"transform_point","","",26,null],[8,"Pattern","","",null,null],[11,"ensure_status","cairo::prelude","",35,{"inputs":[{"name":"self"}],"output":null}],[11,"status","","",35,{"inputs":[{"name":"self"}],"output":{"name":"status"}}],[11,"get_reference_count","","",35,{"inputs":[{"name":"self"}],"output":{"name":"isize"}}],[11,"set_extend","","",35,{"inputs":[{"name":"self"},{"name":"extend"}],"output":null}],[11,"get_extend","","",35,{"inputs":[{"name":"self"}],"output":{"name":"extend"}}],[11,"set_filter","","",35,{"inputs":[{"name":"self"},{"name":"filter"}],"output":null}],[11,"get_filter","","",35,{"inputs":[{"name":"self"}],"output":{"name":"filter"}}],[11,"set_matrix","","",35,{"inputs":[{"name":"self"},{"name":"matrix"}],"output":null}],[11,"get_matrix","","",35,{"inputs":[{"name":"self"}],"output":{"name":"matrix"}}],[8,"Gradient","cairo","",null,null],[11,"add_color_stop_rgb","cairo::prelude","",34,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[11,"add_color_stop_rgba","","",34,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[11,"get_color_stop_count","","",34,{"inputs":[{"name":"self"}],"output":{"name":"isize"}}],[11,"get_color_stop_rgba","","",34,null],[8,"MatrixTrait","cairo","",null,null],[10,"null","","",33,{"inputs":[],"output":{"name":"matrix"}}],[10,"new","","",33,{"inputs":[{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":{"name":"matrix"}}],[10,"multiply","","",33,{"inputs":[{"name":"matrix"},{"name":"matrix"}],"output":{"name":"matrix"}}],[10,"identity","","",33,{"inputs":[],"output":{"name":"matrix"}}],[10,"init","","",33,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[10,"translate","","",33,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"}],"output":null}],[10,"scale","","",33,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"}],"output":null}],[10,"rotate","","",33,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"invert","","",33,{"inputs":[{"name":"self"}],"output":null}],[10,"try_invert","","",33,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[10,"transform_distance","","",33,null],[10,"transform_point","","",33,null],[11,"ensure_valid","","",0,null],[11,"fmt","","",1,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",9,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",26,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","cairo::enums","",10,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","cairo","",3,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",4,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",14,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",18,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",2,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",7,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",5,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",21,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",6,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",8,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","cairo::enums","",13,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","cairo","",20,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","cairo::enums","",16,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","cairo","",0,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",12,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",19,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","cairo::enums","",15,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",17,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","cairo","",11,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"partial_cmp","","",11,{"inputs":[{"name":"self"},{"name":"fontslant"}],"output":{"name":"option"}}],[11,"partial_cmp","","",14,{"inputs":[{"name":"self"},{"name":"fonttype"}],"output":{"name":"option"}}],[11,"partial_cmp","","",2,{"inputs":[{"name":"self"},{"name":"fillrule"}],"output":{"name":"option"}}],[11,"partial_cmp","cairo::enums","",16,{"inputs":[{"name":"self"},{"name":"hintstyle"}],"output":{"name":"option"}}],[11,"partial_cmp","","",13,{"inputs":[{"name":"self"},{"name":"textclusterflags"}],"output":{"name":"option"}}],[11,"partial_cmp","cairo","",8,{"inputs":[{"name":"self"},{"name":"extend"}],"output":{"name":"option"}}],[11,"partial_cmp","cairo::enums","",15,{"inputs":[{"name":"self"},{"name":"subpixelorder"}],"output":{"name":"option"}}],[11,"partial_cmp","cairo","",5,{"inputs":[{"name":"self"},{"name":"operator"}],"output":{"name":"option"}}],[11,"partial_cmp","","",3,{"inputs":[{"name":"self"},{"name":"linecap"}],"output":{"name":"option"}}],[11,"partial_cmp","","",9,{"inputs":[{"name":"self"},{"name":"filter"}],"output":{"name":"option"}}],[11,"partial_cmp","","",4,{"inputs":[{"name":"self"},{"name":"linejoin"}],"output":{"name":"option"}}],[11,"partial_cmp","","",6,{"inputs":[{"name":"self"},{"name":"pathdatatype"}],"output":{"name":"option"}}],[11,"partial_cmp","cairo::enums","",17,{"inputs":[{"name":"self"},{"name":"hintmetrics"}],"output":{"name":"option"}}],[11,"partial_cmp","","",10,{"inputs":[{"name":"self"},{"name":"patterntype"}],"output":{"name":"option"}}],[11,"partial_cmp","cairo","",1,{"inputs":[{"name":"self"},{"name":"antialias"}],"output":{"name":"option"}}],[11,"partial_cmp","","",7,{"inputs":[{"name":"self"},{"name":"content"}],"output":{"name":"option"}}],[11,"partial_cmp","","",12,{"inputs":[{"name":"self"},{"name":"fontweight"}],"output":{"name":"option"}}],[11,"clone","","",9,{"inputs":[{"name":"self"}],"output":{"name":"filter"}}],[11,"clone","","",3,{"inputs":[{"name":"self"}],"output":{"name":"linecap"}}],[11,"clone","","",11,{"inputs":[{"name":"self"}],"output":{"name":"fontslant"}}],[11,"clone","cairo::enums","",13,{"inputs":[{"name":"self"}],"output":{"name":"textclusterflags"}}],[11,"clone","cairo","",2,{"inputs":[{"name":"self"}],"output":{"name":"fillrule"}}],[11,"clone","cairo::enums","",16,{"inputs":[{"name":"self"}],"output":{"name":"hintstyle"}}],[11,"clone","cairo","",7,{"inputs":[{"name":"self"}],"output":{"name":"content"}}],[11,"clone","","",21,{"inputs":[{"name":"self"}],"output":{"name":"cairo_rectangle_t"}}],[11,"clone","","",1,{"inputs":[{"name":"self"}],"output":{"name":"antialias"}}],[11,"clone","","",4,{"inputs":[{"name":"self"}],"output":{"name":"linejoin"}}],[11,"clone","","",25,{"inputs":[{"name":"self"}],"output":{"name":"textcluster"}}],[11,"clone","","",18,{"inputs":[{"name":"self"}],"output":{"name":"surfacetype"}}],[11,"clone","","",8,{"inputs":[{"name":"self"}],"output":{"name":"extend"}}],[11,"clone","","",22,{"inputs":[{"name":"self"}],"output":{"name":"glyph"}}],[11,"clone","cairo::enums","",17,{"inputs":[{"name":"self"}],"output":{"name":"hintmetrics"}}],[11,"clone","cairo","",19,{"inputs":[{"name":"self"}],"output":{"name":"format"}}],[11,"clone","","",24,{"inputs":[{"name":"self"}],"output":{"name":"textextents"}}],[11,"clone","cairo::enums","",10,{"inputs":[{"name":"self"}],"output":{"name":"patterntype"}}],[11,"clone","cairo","",26,{"inputs":[{"name":"self"}],"output":{"name":"matrix"}}],[11,"clone","","",20,{"inputs":[{"name":"self"}],"output":{"name":"regionoverlap"}}],[11,"clone","","",5,{"inputs":[{"name":"self"}],"output":{"name":"operator"}}],[11,"clone","","",6,{"inputs":[{"name":"self"}],"output":{"name":"pathdatatype"}}],[11,"clone","","",23,{"inputs":[{"name":"self"}],"output":{"name":"fontextents"}}],[11,"clone","","",0,{"inputs":[{"name":"self"}],"output":{"name":"status"}}],[11,"clone","","",14,{"inputs":[{"name":"self"}],"output":{"name":"fonttype"}}],[11,"clone","","",12,{"inputs":[{"name":"self"}],"output":{"name":"fontweight"}}],[11,"clone","cairo::enums","",15,{"inputs":[{"name":"self"}],"output":{"name":"subpixelorder"}}],[11,"eq","cairo","",0,{"inputs":[{"name":"self"},{"name":"status"}],"output":{"name":"bool"}}],[11,"eq","","",21,{"inputs":[{"name":"self"},{"name":"cairo_rectangle_t"}],"output":{"name":"bool"}}],[11,"ne","","",21,{"inputs":[{"name":"self"},{"name":"cairo_rectangle_t"}],"output":{"name":"bool"}}],[11,"eq","","",19,{"inputs":[{"name":"self"},{"name":"format"}],"output":{"name":"bool"}}],[11,"eq","cairo::enums","",16,{"inputs":[{"name":"self"},{"name":"hintstyle"}],"output":{"name":"bool"}}],[11,"eq","cairo","",5,{"inputs":[{"name":"self"},{"name":"operator"}],"output":{"name":"bool"}}],[11,"eq","","",8,{"inputs":[{"name":"self"},{"name":"extend"}],"output":{"name":"bool"}}],[11,"eq","","",3,{"inputs":[{"name":"self"},{"name":"linecap"}],"output":{"name":"bool"}}],[11,"eq","","",11,{"inputs":[{"name":"self"},{"name":"fontslant"}],"output":{"name":"bool"}}],[11,"eq","","",4,{"inputs":[{"name":"self"},{"name":"linejoin"}],"output":{"name":"bool"}}],[11,"eq","","",9,{"inputs":[{"name":"self"},{"name":"filter"}],"output":{"name":"bool"}}],[11,"eq","","",2,{"inputs":[{"name":"self"},{"name":"fillrule"}],"output":{"name":"bool"}}],[11,"eq","cairo::enums","",13,{"inputs":[{"name":"self"},{"name":"textclusterflags"}],"output":{"name":"bool"}}],[11,"eq","","",15,{"inputs":[{"name":"self"},{"name":"subpixelorder"}],"output":{"name":"bool"}}],[11,"eq","cairo","",20,{"inputs":[{"name":"self"},{"name":"regionoverlap"}],"output":{"name":"bool"}}],[11,"eq","","",18,{"inputs":[{"name":"self"},{"name":"surfacetype"}],"output":{"name":"bool"}}],[11,"eq","","",26,{"inputs":[{"name":"self"},{"name":"matrix"}],"output":{"name":"bool"}}],[11,"ne","","",26,{"inputs":[{"name":"self"},{"name":"matrix"}],"output":{"name":"bool"}}],[11,"eq","","",7,{"inputs":[{"name":"self"},{"name":"content"}],"output":{"name":"bool"}}],[11,"eq","","",1,{"inputs":[{"name":"self"},{"name":"antialias"}],"output":{"name":"bool"}}],[11,"eq","cairo::enums","",10,{"inputs":[{"name":"self"},{"name":"patterntype"}],"output":{"name":"bool"}}],[11,"eq","cairo","",12,{"inputs":[{"name":"self"},{"name":"fontweight"}],"output":{"name":"bool"}}],[11,"eq","cairo::enums","",17,{"inputs":[{"name":"self"},{"name":"hintmetrics"}],"output":{"name":"bool"}}],[11,"eq","cairo","",6,{"inputs":[{"name":"self"},{"name":"pathdatatype"}],"output":{"name":"bool"}}],[11,"eq","","",14,{"inputs":[{"name":"self"},{"name":"fonttype"}],"output":{"name":"bool"}}]],"paths":[[4,"Status"],[4,"Antialias"],[4,"FillRule"],[4,"LineCap"],[4,"LineJoin"],[4,"Operator"],[4,"PathDataType"],[4,"Content"],[4,"Extend"],[4,"Filter"],[4,"PatternType"],[4,"FontSlant"],[4,"FontWeight"],[4,"TextClusterFlags"],[4,"FontType"],[4,"SubpixelOrder"],[4,"HintStyle"],[4,"HintMetrics"],[4,"SurfaceType"],[4,"Format"],[4,"RegionOverlap"],[3,"Rectangle"],[3,"Glyph"],[3,"FontExtents"],[3,"TextExtents"],[3,"TextCluster"],[3,"Matrix"],[3,"RectangleVec"],[3,"RectangleInt"],[4,"PathSegment"],[4,"BorrowError"],[4,"IoError"],[4,"MeshCorner"],[8,"MatrixTrait"],[8,"Gradient"],[8,"Pattern"],[8,"SurfaceExt"],[3,"FontOptions"],[3,"FontFace"],[3,"ScaledFont"],[3,"Context"],[3,"ImageSurface"],[3,"ImageSurfaceData"],[3,"Path"],[3,"PathSegments"],[3,"SolidPattern"],[3,"LinearGradient"],[3,"RadialGradient"],[3,"SurfacePattern"],[3,"Mesh"],[3,"Region"],[3,"Surface"]]};
searchIndex["cairo_sys"] = {"doc":"","items":[[3,"cairo_t","cairo_sys","",null,null],[3,"cairo_surface_t","","",null,null],[3,"cairo_pattern_t","","",null,null],[3,"cairo_fill_rule_t","","",null,null],[3,"cairo_rectangle_t","","",null,null],[12,"x","","",0,null],[12,"y","","",0,null],[12,"width","","",0,null],[12,"height","","",0,null],[3,"cairo_rectangle_int_t","","",null,null],[12,"x","","",1,null],[12,"y","","",1,null],[12,"width","","",1,null],[12,"height","","",1,null],[3,"cairo_rectangle_list_t","","",null,null],[12,"status","","",2,null],[12,"rectangles","","",2,null],[12,"num_rectangles","","",2,null],[3,"cairo_path_t","","",null,null],[12,"status","","",3,null],[12,"data","","",3,null],[12,"num_data","","",3,null],[3,"cairo_path_data_header","","",null,null],[12,"data_type","","",4,null],[12,"length","","",4,null],[3,"cairo_glyph_t","","",null,null],[3,"cairo_region_t","","",null,null],[3,"cairo_font_face_t","","",null,null],[3,"cairo_scaled_font_t","","",null,null],[3,"cairo_font_options_t","","",null,null],[3,"FontExtents","","",null,null],[12,"ascent","","",5,null],[12,"descent","","",5,null],[12,"height","","",5,null],[12,"max_x_advance","","",5,null],[12,"max_y_advance","","",5,null],[3,"Glyph","","",null,null],[12,"index","","",6,null],[12,"x","","",6,null],[12,"y","","",6,null],[3,"TextCluster","","",null,null],[12,"num_bytes","","",7,null],[12,"num_glyphs","","",7,null],[3,"TextExtents","","",null,null],[12,"x_bearing","","",8,null],[12,"y_bearing","","",8,null],[12,"width","","",8,null],[12,"height","","",8,null],[12,"x_advance","","",8,null],[12,"y_advance","","",8,null],[3,"Matrix","","",null,null],[12,"xx","","",9,null],[12,"yx","","",9,null],[12,"xy","","",9,null],[12,"yy","","",9,null],[12,"x0","","",9,null],[12,"y0","","",9,null],[3,"cairo_user_data_key_t","","",null,null],[12,"unused","","",10,null],[3,"cairo_bool_t","","",null,null],[5,"cairo_create","","",null,null],[5,"cairo_reference","","",null,null],[5,"cairo_destroy","","",null,null],[5,"cairo_status","","",null,null],[5,"cairo_save","","",null,null],[5,"cairo_restore","","",null,null],[5,"cairo_get_target","","",null,null],[5,"cairo_push_group","","",null,null],[5,"cairo_push_group_with_content","","",null,null],[5,"cairo_pop_group","","",null,null],[5,"cairo_pop_group_to_source","","",null,null],[5,"cairo_get_group_target","","",null,null],[5,"cairo_set_source_rgb","","",null,null],[5,"cairo_set_source_rgba","","",null,null],[5,"cairo_set_source","","",null,null],[5,"cairo_set_source_surface","","",null,null],[5,"cairo_get_source","","",null,null],[5,"cairo_set_antialias","","",null,null],[5,"cairo_get_antialias","","",null,null],[5,"cairo_set_dash","","",null,null],[5,"cairo_get_dash_count","","",null,null],[5,"cairo_get_dash","","",null,null],[5,"cairo_set_fill_rule","","",null,null],[5,"cairo_get_fill_rule","","",null,null],[5,"cairo_set_line_cap","","",null,null],[5,"cairo_get_line_cap","","",null,null],[5,"cairo_set_line_join","","",null,null],[5,"cairo_get_line_join","","",null,null],[5,"cairo_set_line_width","","",null,null],[5,"cairo_get_line_width","","",null,null],[5,"cairo_set_miter_limit","","",null,null],[5,"cairo_get_miter_limit","","",null,null],[5,"cairo_set_operator","","",null,null],[5,"cairo_get_operator","","",null,null],[5,"cairo_set_tolerance","","",null,null],[5,"cairo_get_tolerance","","",null,null],[5,"cairo_clip","","",null,null],[5,"cairo_clip_preserve","","",null,null],[5,"cairo_clip_extents","","",null,null],[5,"cairo_in_clip","","",null,null],[5,"cairo_reset_clip","","",null,null],[5,"cairo_rectangle_list_destroy","","",null,null],[5,"cairo_copy_clip_rectangle_list","","",null,null],[5,"cairo_fill","","",null,null],[5,"cairo_fill_preserve","","",null,null],[5,"cairo_fill_extents","","",null,null],[5,"cairo_in_fill","","",null,null],[5,"cairo_mask","","",null,null],[5,"cairo_mask_surface","","",null,null],[5,"cairo_paint","","",null,null],[5,"cairo_paint_with_alpha","","",null,null],[5,"cairo_stroke","","",null,null],[5,"cairo_stroke_preserve","","",null,null],[5,"cairo_stroke_extents","","",null,null],[5,"cairo_in_stroke","","",null,null],[5,"cairo_copy_page","","",null,null],[5,"cairo_show_page","","",null,null],[5,"cairo_get_reference_count","","",null,null],[5,"cairo_status_to_string","","",null,null],[5,"cairo_copy_path","","",null,null],[5,"cairo_copy_path_flat","","",null,null],[5,"cairo_path_destroy","","",null,null],[5,"cairo_append_path","","",null,null],[5,"cairo_has_current_point","","",null,null],[5,"cairo_get_current_point","","",null,null],[5,"cairo_new_path","","",null,null],[5,"cairo_new_sub_path","","",null,null],[5,"cairo_close_path","","",null,null],[5,"cairo_arc","","",null,null],[5,"cairo_arc_negative","","",null,null],[5,"cairo_curve_to","","",null,null],[5,"cairo_line_to","","",null,null],[5,"cairo_move_to","","",null,null],[5,"cairo_rectangle","","",null,null],[5,"cairo_glyph_path","","",null,null],[5,"cairo_text_path","","",null,null],[5,"cairo_rel_curve_to","","",null,null],[5,"cairo_rel_line_to","","",null,null],[5,"cairo_rel_move_to","","",null,null],[5,"cairo_path_extents","","",null,null],[5,"cairo_translate","","",null,null],[5,"cairo_scale","","",null,null],[5,"cairo_rotate","","",null,null],[5,"cairo_transform","","",null,null],[5,"cairo_set_matrix","","",null,null],[5,"cairo_get_matrix","","",null,null],[5,"cairo_identity_matrix","","",null,null],[5,"cairo_user_to_device","","",null,null],[5,"cairo_user_to_device_distance","","",null,null],[5,"cairo_device_to_user","","",null,null],[5,"cairo_device_to_user_distance","","",null,null],[5,"cairo_pattern_add_color_stop_rgb","","",null,null],[5,"cairo_pattern_add_color_stop_rgba","","",null,null],[5,"cairo_pattern_get_color_stop_count","","",null,null],[5,"cairo_pattern_get_color_stop_rgba","","",null,null],[5,"cairo_pattern_create_rgb","","",null,null],[5,"cairo_pattern_create_rgba","","",null,null],[5,"cairo_pattern_get_rgba","","",null,null],[5,"cairo_pattern_create_for_surface","","",null,null],[5,"cairo_pattern_get_surface","","",null,null],[5,"cairo_pattern_create_linear","","",null,null],[5,"cairo_pattern_get_linear_points","","",null,null],[5,"cairo_pattern_create_radial","","",null,null],[5,"cairo_pattern_get_radial_circles","","",null,null],[5,"cairo_pattern_create_mesh","","",null,null],[5,"cairo_mesh_pattern_begin_patch","","",null,null],[5,"cairo_mesh_pattern_end_patch","","",null,null],[5,"cairo_mesh_pattern_move_to","","",null,null],[5,"cairo_mesh_pattern_line_to","","",null,null],[5,"cairo_mesh_pattern_curve_to","","",null,null],[5,"cairo_mesh_pattern_set_control_point","","",null,null],[5,"cairo_mesh_pattern_set_corner_color_rgb","","",null,null],[5,"cairo_mesh_pattern_set_corner_color_rgba","","",null,null],[5,"cairo_mesh_pattern_get_patch_count","","",null,null],[5,"cairo_mesh_pattern_get_path","","",null,null],[5,"cairo_mesh_pattern_get_control_point","","",null,null],[5,"cairo_mesh_pattern_get_corner_color_rgba","","",null,null],[5,"cairo_pattern_reference","","",null,null],[5,"cairo_pattern_destroy","","",null,null],[5,"cairo_pattern_status","","",null,null],[5,"cairo_pattern_set_extend","","",null,null],[5,"cairo_pattern_get_extend","","",null,null],[5,"cairo_pattern_set_filter","","",null,null],[5,"cairo_pattern_get_filter","","",null,null],[5,"cairo_pattern_set_matrix","","",null,null],[5,"cairo_pattern_get_matrix","","",null,null],[5,"cairo_pattern_get_type","","",null,null],[5,"cairo_pattern_get_reference_count","","",null,null],[5,"cairo_region_create","","",null,null],[5,"cairo_region_create_rectangle","","",null,null],[5,"cairo_region_create_rectangles","","",null,null],[5,"cairo_region_copy","","",null,null],[5,"cairo_region_reference","","",null,null],[5,"cairo_region_destroy","","",null,null],[5,"cairo_region_status","","",null,null],[5,"cairo_region_get_extents","","",null,null],[5,"cairo_region_num_rectangles","","",null,null],[5,"cairo_region_get_rectangle","","",null,null],[5,"cairo_region_is_empty","","",null,null],[5,"cairo_region_contains_point","","",null,null],[5,"cairo_region_contains_rectangle","","",null,null],[5,"cairo_region_equal","","",null,null],[5,"cairo_region_translate","","",null,null],[5,"cairo_region_intersect","","",null,null],[5,"cairo_region_intersect_rectangle","","",null,null],[5,"cairo_region_subtract","","",null,null],[5,"cairo_region_subtract_rectangle","","",null,null],[5,"cairo_region_union","","",null,null],[5,"cairo_region_union_rectangle","","",null,null],[5,"cairo_region_xor","","",null,null],[5,"cairo_region_xor_rectangle","","",null,null],[5,"cairo_select_font_face","","",null,null],[5,"cairo_set_font_size","","",null,null],[5,"cairo_set_font_matrix","","",null,null],[5,"cairo_get_font_matrix","","",null,null],[5,"cairo_set_font_options","","",null,null],[5,"cairo_get_font_options","","",null,null],[5,"cairo_set_font_face","","",null,null],[5,"cairo_get_font_face","","",null,null],[5,"cairo_set_scaled_font","","",null,null],[5,"cairo_get_scaled_font","","",null,null],[5,"cairo_show_text","","",null,null],[5,"cairo_show_glyphs","","",null,null],[5,"cairo_show_text_glyphs","","",null,null],[5,"cairo_font_extents","","",null,null],[5,"cairo_text_extents","","",null,null],[5,"cairo_glyph_extents","","",null,null],[5,"cairo_toy_font_face_create","","",null,null],[5,"cairo_toy_font_face_get_family","","",null,null],[5,"cairo_toy_font_face_get_slant","","",null,null],[5,"cairo_toy_font_face_get_weight","","",null,null],[5,"cairo_glyph_allocate","","",null,null],[5,"cairo_glyph_free","","",null,null],[5,"cairo_text_cluster_allocate","","",null,null],[5,"cairo_text_cluster_free","","",null,null],[5,"cairo_font_face_reference","","",null,null],[5,"cairo_font_face_destroy","","",null,null],[5,"cairo_font_face_status","","",null,null],[5,"cairo_font_face_get_type","","",null,null],[5,"cairo_font_face_get_reference_count","","",null,null],[5,"cairo_scaled_font_create","","",null,null],[5,"cairo_scaled_font_reference","","",null,null],[5,"cairo_scaled_font_destroy","","",null,null],[5,"cairo_scaled_font_status","","",null,null],[5,"cairo_scaled_font_extents","","",null,null],[5,"cairo_scaled_font_text_extents","","",null,null],[5,"cairo_scaled_font_glyph_extents","","",null,null],[5,"cairo_scaled_font_text_to_glyphs","","",null,null],[5,"cairo_scaled_font_get_font_face","","",null,null],[5,"cairo_scaled_font_get_font_options","","",null,null],[5,"cairo_scaled_font_get_font_matrix","","",null,null],[5,"cairo_scaled_font_get_ctm","","",null,null],[5,"cairo_scaled_font_get_scale_matrix","","",null,null],[5,"cairo_scaled_font_get_type","","",null,null],[5,"cairo_scaled_font_get_reference_count","","",null,null],[5,"cairo_font_options_create","","",null,null],[5,"cairo_font_options_copy","","",null,null],[5,"cairo_font_options_destroy","","",null,null],[5,"cairo_font_options_status","","",null,null],[5,"cairo_font_options_merge","","",null,null],[5,"cairo_font_options_hash","","",null,null],[5,"cairo_font_options_equal","","",null,null],[5,"cairo_font_options_set_antialias","","",null,null],[5,"cairo_font_options_get_antialias","","",null,null],[5,"cairo_font_options_set_subpixel_order","","",null,null],[5,"cairo_font_options_get_subpixel_order","","",null,null],[5,"cairo_font_options_set_hint_style","","",null,null],[5,"cairo_font_options_get_hint_style","","",null,null],[5,"cairo_font_options_set_hint_metrics","","",null,null],[5,"cairo_font_options_get_hint_metrics","","",null,null],[5,"cairo_matrix_multiply","","",null,null],[5,"cairo_matrix_init","","",null,null],[5,"cairo_matrix_init_identity","","",null,null],[5,"cairo_matrix_translate","","",null,null],[5,"cairo_matrix_scale","","",null,null],[5,"cairo_matrix_rotate","","",null,null],[5,"cairo_matrix_invert","","",null,null],[5,"cairo_matrix_transform_distance","","",null,null],[5,"cairo_matrix_transform_point","","",null,null],[5,"cairo_surface_destroy","","",null,null],[5,"cairo_surface_flush","","",null,null],[5,"cairo_surface_finish","","",null,null],[5,"cairo_surface_status","","",null,null],[5,"cairo_surface_get_type","","",null,null],[5,"cairo_surface_reference","","",null,null],[5,"cairo_surface_get_user_data","","",null,null],[5,"cairo_surface_set_user_data","","",null,null],[5,"cairo_surface_get_reference_count","","",null,null],[5,"cairo_surface_mark_dirty","","",null,null],[5,"cairo_surface_create_similar","","",null,null],[5,"cairo_image_surface_create","","",null,null],[5,"cairo_image_surface_create_for_data","","",null,null],[5,"cairo_image_surface_get_data","","",null,null],[5,"cairo_image_surface_get_format","","",null,null],[5,"cairo_image_surface_get_height","","",null,null],[5,"cairo_image_surface_get_stride","","",null,null],[5,"cairo_image_surface_get_width","","",null,null],[0,"enums","","",null,null],[4,"Status","cairo_sys::enums","",null,null],[13,"Success","","",11,null],[13,"NoMemory","","",11,null],[13,"InvalidRestore","","",11,null],[13,"InvalidPopGroup","","",11,null],[13,"NoCurrentPoint","","",11,null],[13,"InvalidMatrix","","",11,null],[13,"InvalidStatus","","",11,null],[13,"NullPointer","","",11,null],[13,"InvalidString","","",11,null],[13,"InvalidPathData","","",11,null],[13,"ReadError","","",11,null],[13,"WriteError","","",11,null],[13,"SurfaceFinished","","",11,null],[13,"SurfaceTypeMismatch","","",11,null],[13,"PatternTypeMismatch","","",11,null],[13,"InvalidContent","","",11,null],[13,"InvalidFormat","","",11,null],[13,"InvalidVisual","","",11,null],[13,"FileNotFound","","",11,null],[13,"InvalidDash","","",11,null],[13,"InvalidDscComment","","",11,null],[13,"InvalidIndex","","",11,null],[13,"ClipNotRepresentable","","",11,null],[13,"TempFileError","","",11,null],[13,"InvalidStride","","",11,null],[13,"FontTypeMismatch","","",11,null],[13,"UserFontImmutable","","",11,null],[13,"UserFontError","","",11,null],[13,"NegativeCount","","",11,null],[13,"InvalidClusters","","",11,null],[13,"InvalidSlant","","",11,null],[13,"InvalidWeight","","",11,null],[13,"InvalidSize","","",11,null],[13,"UserFontNotImplemented","","",11,null],[13,"DeviceTypeMismatch","","",11,null],[13,"DeviceError","","",11,null],[13,"InvalidMeshConstruction","","",11,null],[13,"DeviceFinished","","",11,null],[13,"LastStatus","","",11,null],[4,"Antialias","","",null,null],[13,"Default","","",12,null],[13,"None","","",12,null],[13,"Gray","","",12,null],[13,"Subpixel","","",12,null],[13,"Fast","","",12,null],[13,"Good","","",12,null],[13,"Best","","",12,null],[4,"FillRule","","",null,null],[13,"Winding","","",13,null],[13,"EvenOdd","","",13,null],[4,"LineCap","","",null,null],[13,"Butt","","",14,null],[13,"Round","","",14,null],[13,"Square","","",14,null],[4,"LineJoin","","",null,null],[13,"Miter","","",15,null],[13,"Round","","",15,null],[13,"Bevel","","",15,null],[4,"Operator","","",null,null],[13,"Clear","","",16,null],[13,"Source","","",16,null],[13,"Over","","",16,null],[13,"In","","",16,null],[13,"Out","","",16,null],[13,"Atop","","",16,null],[13,"Dest","","",16,null],[13,"DestOver","","",16,null],[13,"DestIn","","",16,null],[13,"DestOut","","",16,null],[13,"DestAtop","","",16,null],[13,"Xor","","",16,null],[13,"Add","","",16,null],[13,"Saturate","","",16,null],[13,"Multiply","","",16,null],[13,"Screen","","",16,null],[13,"Overlay","","",16,null],[13,"Darken","","",16,null],[13,"Lighten","","",16,null],[13,"ColorDodge","","",16,null],[13,"ColorBurn","","",16,null],[13,"HardLight","","",16,null],[13,"SoftLight","","",16,null],[13,"Difference","","",16,null],[13,"Exclusion","","",16,null],[13,"HslHue","","",16,null],[13,"HslSaturation","","",16,null],[13,"HslColor","","",16,null],[13,"HslLuminosity","","",16,null],[4,"PathDataType","","",null,null],[13,"MoveTo","","",17,null],[13,"LineTo","","",17,null],[13,"CurveTo","","",17,null],[13,"ClosePath","","",17,null],[4,"Content","","",null,null],[13,"Color","","",18,null],[13,"Alpha","","",18,null],[13,"ColorAlpha","","",18,null],[4,"Extend","","",null,null],[13,"None","","",19,null],[13,"Repeat","","",19,null],[13,"Reflect","","",19,null],[13,"Pad","","",19,null],[4,"Filter","","",null,null],[13,"Fast","","",20,null],[13,"Good","","",20,null],[13,"Best","","",20,null],[13,"Nearest","","",20,null],[13,"Bilinear","","",20,null],[13,"Gaussian","","",20,null],[4,"PatternType","","",null,null],[13,"Solid","","",21,null],[13,"Surface","","",21,null],[13,"LinearGradient","","",21,null],[13,"RadialGradient","","",21,null],[13,"Mesh","","",21,null],[13,"RasterSource","","",21,null],[4,"FontSlant","","",null,null],[13,"Normal","","",22,null],[13,"Italic","","",22,null],[13,"Oblique","","",22,null],[4,"FontWeight","","",null,null],[13,"Normal","","",23,null],[13,"Bold","","",23,null],[4,"TextClusterFlags","","",null,null],[13,"None","","",24,null],[13,"Backward","","",24,null],[4,"FontType","","",null,null],[13,"FontTypeToy","","",25,null],[13,"FontTypeFt","","",25,null],[13,"FontTypeWin32","","",25,null],[13,"FontTypeQuartz","","",25,null],[13,"FontTypeUser","","",25,null],[4,"SubpixelOrder","","",null,null],[13,"Default","","",26,null],[13,"Rgb","","",26,null],[13,"Bgr","","",26,null],[13,"Vrgb","","",26,null],[13,"Vbgr","","",26,null],[4,"HintStyle","","",null,null],[13,"Default","","",27,null],[13,"None","","",27,null],[13,"Slight","","",27,null],[13,"Medium","","",27,null],[13,"Full","","",27,null],[4,"HintMetrics","","",null,null],[13,"Default","","",28,null],[13,"Off","","",28,null],[13,"On","","",28,null],[4,"SurfaceType","","",null,null],[13,"Image","","",29,null],[13,"Pdf","","",29,null],[13,"Ps","","",29,null],[13,"Xlib","","",29,null],[13,"Xcb","","",29,null],[13,"Glitz","","",29,null],[13,"Quartz","","",29,null],[13,"Win32","","",29,null],[13,"BeOs","","",29,null],[13,"DirectFb","","",29,null],[13,"Svg","","",29,null],[13,"Os2","","",29,null],[13,"Win32Printing","","",29,null],[13,"QuartzImage","","",29,null],[13,"Script","","",29,null],[13,"Qt","","",29,null],[13,"Recording","","",29,null],[13,"Vg","","",29,null],[13,"Gl","","",29,null],[13,"Drm","","",29,null],[13,"Tee","","",29,null],[13,"Xml","","",29,null],[13,"Skia","","",29,null],[13,"Subsurface","","",29,null],[13,"Cogl","","",29,null],[4,"Format","","",null,null],[13,"Invalid","","",30,null],[13,"ARgb32","","",30,null],[13,"Rgb24","","",30,null],[13,"A8","","",30,null],[13,"A1","","",30,null],[13,"Rgb16_565","","",30,null],[13,"Rgb30","","",30,null],[4,"RegionOverlap","","",null,null],[13,"In","","",31,null],[13,"Out","","",31,null],[13,"Part","","",31,null],[11,"clone","","",11,{"inputs":[{"name":"self"}],"output":{"name":"status"}}],[11,"eq","","",11,{"inputs":[{"name":"self"},{"name":"status"}],"output":{"name":"bool"}}],[11,"fmt","","",11,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"ensure_valid","","",11,{"inputs":[{"name":"self"}],"output":null}],[11,"clone","","",12,{"inputs":[{"name":"self"}],"output":{"name":"antialias"}}],[11,"eq","","",12,{"inputs":[{"name":"self"},{"name":"antialias"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",12,{"inputs":[{"name":"self"},{"name":"antialias"}],"output":{"name":"option"}}],[11,"fmt","","",12,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",13,{"inputs":[{"name":"self"}],"output":{"name":"fillrule"}}],[11,"eq","","",13,{"inputs":[{"name":"self"},{"name":"fillrule"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",13,{"inputs":[{"name":"self"},{"name":"fillrule"}],"output":{"name":"option"}}],[11,"fmt","","",13,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",14,{"inputs":[{"name":"self"}],"output":{"name":"linecap"}}],[11,"eq","","",14,{"inputs":[{"name":"self"},{"name":"linecap"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",14,{"inputs":[{"name":"self"},{"name":"linecap"}],"output":{"name":"option"}}],[11,"fmt","","",14,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",15,{"inputs":[{"name":"self"}],"output":{"name":"linejoin"}}],[11,"eq","","",15,{"inputs":[{"name":"self"},{"name":"linejoin"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",15,{"inputs":[{"name":"self"},{"name":"linejoin"}],"output":{"name":"option"}}],[11,"fmt","","",15,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",16,{"inputs":[{"name":"self"}],"output":{"name":"operator"}}],[11,"eq","","",16,{"inputs":[{"name":"self"},{"name":"operator"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",16,{"inputs":[{"name":"self"},{"name":"operator"}],"output":{"name":"option"}}],[11,"fmt","","",16,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",17,{"inputs":[{"name":"self"}],"output":{"name":"pathdatatype"}}],[11,"eq","","",17,{"inputs":[{"name":"self"},{"name":"pathdatatype"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",17,{"inputs":[{"name":"self"},{"name":"pathdatatype"}],"output":{"name":"option"}}],[11,"fmt","","",17,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",18,{"inputs":[{"name":"self"}],"output":{"name":"content"}}],[11,"eq","","",18,{"inputs":[{"name":"self"},{"name":"content"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",18,{"inputs":[{"name":"self"},{"name":"content"}],"output":{"name":"option"}}],[11,"fmt","","",18,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",19,{"inputs":[{"name":"self"}],"output":{"name":"extend"}}],[11,"eq","","",19,{"inputs":[{"name":"self"},{"name":"extend"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",19,{"inputs":[{"name":"self"},{"name":"extend"}],"output":{"name":"option"}}],[11,"fmt","","",19,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",20,{"inputs":[{"name":"self"}],"output":{"name":"filter"}}],[11,"eq","","",20,{"inputs":[{"name":"self"},{"name":"filter"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",20,{"inputs":[{"name":"self"},{"name":"filter"}],"output":{"name":"option"}}],[11,"fmt","","",20,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",21,{"inputs":[{"name":"self"}],"output":{"name":"patterntype"}}],[11,"eq","","",21,{"inputs":[{"name":"self"},{"name":"patterntype"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",21,{"inputs":[{"name":"self"},{"name":"patterntype"}],"output":{"name":"option"}}],[11,"fmt","","",21,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",22,{"inputs":[{"name":"self"}],"output":{"name":"fontslant"}}],[11,"eq","","",22,{"inputs":[{"name":"self"},{"name":"fontslant"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",22,{"inputs":[{"name":"self"},{"name":"fontslant"}],"output":{"name":"option"}}],[11,"fmt","","",22,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",23,{"inputs":[{"name":"self"}],"output":{"name":"fontweight"}}],[11,"eq","","",23,{"inputs":[{"name":"self"},{"name":"fontweight"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",23,{"inputs":[{"name":"self"},{"name":"fontweight"}],"output":{"name":"option"}}],[11,"fmt","","",23,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",24,{"inputs":[{"name":"self"}],"output":{"name":"textclusterflags"}}],[11,"eq","","",24,{"inputs":[{"name":"self"},{"name":"textclusterflags"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",24,{"inputs":[{"name":"self"},{"name":"textclusterflags"}],"output":{"name":"option"}}],[11,"fmt","","",24,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",25,{"inputs":[{"name":"self"}],"output":{"name":"fonttype"}}],[11,"eq","","",25,{"inputs":[{"name":"self"},{"name":"fonttype"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",25,{"inputs":[{"name":"self"},{"name":"fonttype"}],"output":{"name":"option"}}],[11,"fmt","","",25,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",26,{"inputs":[{"name":"self"}],"output":{"name":"subpixelorder"}}],[11,"eq","","",26,{"inputs":[{"name":"self"},{"name":"subpixelorder"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",26,{"inputs":[{"name":"self"},{"name":"subpixelorder"}],"output":{"name":"option"}}],[11,"fmt","","",26,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",27,{"inputs":[{"name":"self"}],"output":{"name":"hintstyle"}}],[11,"eq","","",27,{"inputs":[{"name":"self"},{"name":"hintstyle"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",27,{"inputs":[{"name":"self"},{"name":"hintstyle"}],"output":{"name":"option"}}],[11,"fmt","","",27,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",28,{"inputs":[{"name":"self"}],"output":{"name":"hintmetrics"}}],[11,"eq","","",28,{"inputs":[{"name":"self"},{"name":"hintmetrics"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",28,{"inputs":[{"name":"self"},{"name":"hintmetrics"}],"output":{"name":"option"}}],[11,"fmt","","",28,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",29,{"inputs":[{"name":"self"}],"output":{"name":"surfacetype"}}],[11,"fmt","","",29,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",29,{"inputs":[{"name":"self"},{"name":"surfacetype"}],"output":{"name":"bool"}}],[11,"clone","","",30,{"inputs":[{"name":"self"}],"output":{"name":"format"}}],[11,"fmt","","",30,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",30,{"inputs":[{"name":"self"},{"name":"format"}],"output":{"name":"bool"}}],[11,"clone","","",31,{"inputs":[{"name":"self"}],"output":{"name":"regionoverlap"}}],[11,"fmt","","",31,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",31,{"inputs":[{"name":"self"},{"name":"regionoverlap"}],"output":{"name":"bool"}}],[6,"cairo_antialias_t","cairo_sys","",null,null],[6,"cairo_line_join_t","","",null,null],[6,"cairo_line_cap_t","","",null,null],[6,"cairo_content_t","","",null,null],[6,"cairo_extend_t","","",null,null],[6,"cairo_filter_t","","",null,null],[6,"cairo_region_overlap_t","","",null,null],[6,"CGContextRef","","",null,null],[6,"cairo_destroy_func_t","","",null,null],[6,"cairo_read_func_t","","",null,null],[6,"cairo_write_func_t","","",null,null],[11,"clone","","",0,{"inputs":[{"name":"self"}],"output":{"name":"cairo_rectangle_t"}}],[11,"fmt","","",0,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",0,{"inputs":[{"name":"self"},{"name":"cairo_rectangle_t"}],"output":{"name":"bool"}}],[11,"ne","","",0,{"inputs":[{"name":"self"},{"name":"cairo_rectangle_t"}],"output":{"name":"bool"}}],[11,"clone","","",1,{"inputs":[{"name":"self"}],"output":{"name":"cairo_rectangle_int_t"}}],[11,"fmt","","",1,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",1,{"inputs":[{"name":"self"},{"name":"cairo_rectangle_int_t"}],"output":{"name":"bool"}}],[11,"ne","","",1,{"inputs":[{"name":"self"},{"name":"cairo_rectangle_int_t"}],"output":{"name":"bool"}}],[11,"clone","","",5,{"inputs":[{"name":"self"}],"output":{"name":"fontextents"}}],[11,"clone","","",6,{"inputs":[{"name":"self"}],"output":{"name":"glyph"}}],[11,"clone","","",7,{"inputs":[{"name":"self"}],"output":{"name":"textcluster"}}],[11,"clone","","",8,{"inputs":[{"name":"self"}],"output":{"name":"textextents"}}],[11,"fmt","","",9,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",9,{"inputs":[{"name":"self"}],"output":{"name":"matrix"}}],[11,"eq","","",9,{"inputs":[{"name":"self"},{"name":"matrix"}],"output":{"name":"bool"}}],[11,"ne","","",9,{"inputs":[{"name":"self"},{"name":"matrix"}],"output":{"name":"bool"}}],[11,"clone","","",10,{"inputs":[{"name":"self"}],"output":{"name":"cairo_user_data_key_t"}}],[11,"default","","",10,{"inputs":[],"output":{"name":"cairo_user_data_key_t"}}],[11,"as_bool","","",32,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}]],"paths":[[3,"cairo_rectangle_t"],[3,"cairo_rectangle_int_t"],[3,"cairo_rectangle_list_t"],[3,"cairo_path_t"],[3,"cairo_path_data_header"],[3,"FontExtents"],[3,"Glyph"],[3,"TextCluster"],[3,"TextExtents"],[3,"Matrix"],[3,"cairo_user_data_key_t"],[4,"Status"],[4,"Antialias"],[4,"FillRule"],[4,"LineCap"],[4,"LineJoin"],[4,"Operator"],[4,"PathDataType"],[4,"Content"],[4,"Extend"],[4,"Filter"],[4,"PatternType"],[4,"FontSlant"],[4,"FontWeight"],[4,"TextClusterFlags"],[4,"FontType"],[4,"SubpixelOrder"],[4,"HintStyle"],[4,"HintMetrics"],[4,"SurfaceType"],[4,"Format"],[4,"RegionOverlap"],[3,"cairo_bool_t"]]};
searchIndex["cfg_if"] = {"doc":"A macro for defining #[cfg] if-else statements.","items":[[14,"cfg_if","cfg_if","",null,null]],"paths":[]};
searchIndex["chrono"] = {"doc":"Chrono 0.2.25","items":[[3,"Duration","chrono","ISO 8601 time duration with nanosecond precision. This also allows for the negative duration; see individual methods for details.",null,null],[4,"Weekday","","The day of week.",null,null],[13,"Mon","","Monday.",0,null],[13,"Tue","","Tuesday.",0,null],[13,"Wed","","Wednesday.",0,null],[13,"Thu","","Thursday.",0,null],[13,"Fri","","Friday.",0,null],[13,"Sat","","Saturday.",0,null],[13,"Sun","","Sunday.",0,null],[0,"duration","","ISO 8601 duration.",null,null],[3,"Duration","chrono::duration","ISO 8601 time duration with nanosecond precision. This also allows for the negative duration; see individual methods for details.",null,null],[0,"offset","chrono","The time zone, which calculates offsets from the local time to UTC.",null,null],[4,"LocalResult","chrono::offset","The conversion result from the local time to the timezone-aware datetime types.",null,null],[13,"None","","Given local time representation is invalid. This can occur when, for example, the positive timezone transition.",1,null],[13,"Single","","Given local time representation has a single unique result.",1,null],[13,"Ambiguous","","Given local time representation has multiple results and thus ambiguous. This can occur when, for example, the negative timezone transition.",1,null],[0,"utc","","The UTC (Coordinated Universal Time) time zone.",null,null],[3,"UTC","chrono::offset::utc","The UTC time zone. This is the most efficient time zone when you don't need the local time. It is also used as an offset (which is also a dummy type).",null,null],[11,"clone","","",2,{"inputs":[{"name":"self"}],"output":{"name":"utc"}}],[11,"eq","","",2,{"inputs":[{"name":"self"},{"name":"utc"}],"output":{"name":"bool"}}],[11,"today","","Returns a `Date` which corresponds to the current date.",2,{"inputs":[],"output":{"name":"date"}}],[11,"now","","Returns a `DateTime` which corresponds to the current date.",2,{"inputs":[],"output":{"name":"datetime"}}],[11,"from_offset","","",2,{"inputs":[{"name":"utc"}],"output":{"name":"utc"}}],[11,"offset_from_local_date","","",2,{"inputs":[{"name":"self"},{"name":"naivedate"}],"output":{"name":"localresult"}}],[11,"offset_from_local_datetime","","",2,{"inputs":[{"name":"self"},{"name":"naivedatetime"}],"output":{"name":"localresult"}}],[11,"offset_from_utc_date","","",2,{"inputs":[{"name":"self"},{"name":"naivedate"}],"output":{"name":"utc"}}],[11,"offset_from_utc_datetime","","",2,{"inputs":[{"name":"self"},{"name":"naivedatetime"}],"output":{"name":"utc"}}],[11,"local_minus_utc","","",2,{"inputs":[{"name":"self"}],"output":{"name":"duration"}}],[11,"fmt","","",2,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",2,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[0,"fixed","chrono::offset","The time zone which has a fixed offset from UTC.",null,null],[3,"FixedOffset","chrono::offset::fixed","The time zone with fixed offset, from UTC-23:59:59 to UTC+23:59:59.",null,null],[11,"clone","","",3,{"inputs":[{"name":"self"}],"output":{"name":"fixedoffset"}}],[11,"eq","","",3,{"inputs":[{"name":"self"},{"name":"fixedoffset"}],"output":{"name":"bool"}}],[11,"ne","","",3,{"inputs":[{"name":"self"},{"name":"fixedoffset"}],"output":{"name":"bool"}}],[11,"east","","Makes a new `FixedOffset` for the Eastern Hemisphere with given timezone difference. The negative `secs` means the Western Hemisphere.",3,{"inputs":[{"name":"i32"}],"output":{"name":"fixedoffset"}}],[11,"east_opt","","Makes a new `FixedOffset` for the Eastern Hemisphere with given timezone difference. The negative `secs` means the Western Hemisphere.",3,{"inputs":[{"name":"i32"}],"output":{"name":"option"}}],[11,"west","","Makes a new `FixedOffset` for the Western Hemisphere with given timezone difference. The negative `secs` means the Eastern Hemisphere.",3,{"inputs":[{"name":"i32"}],"output":{"name":"fixedoffset"}}],[11,"west_opt","","Makes a new `FixedOffset` for the Western Hemisphere with given timezone difference. The negative `secs` means the Eastern Hemisphere.",3,{"inputs":[{"name":"i32"}],"output":{"name":"option"}}],[11,"from_offset","","",3,{"inputs":[{"name":"fixedoffset"}],"output":{"name":"fixedoffset"}}],[11,"offset_from_local_date","","",3,{"inputs":[{"name":"self"},{"name":"naivedate"}],"output":{"name":"localresult"}}],[11,"offset_from_local_datetime","","",3,{"inputs":[{"name":"self"},{"name":"naivedatetime"}],"output":{"name":"localresult"}}],[11,"offset_from_utc_date","","",3,{"inputs":[{"name":"self"},{"name":"naivedate"}],"output":{"name":"fixedoffset"}}],[11,"offset_from_utc_datetime","","",3,{"inputs":[{"name":"self"},{"name":"naivedatetime"}],"output":{"name":"fixedoffset"}}],[11,"local_minus_utc","","",3,{"inputs":[{"name":"self"}],"output":{"name":"duration"}}],[11,"fmt","","",3,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",3,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[0,"local","chrono::offset","The local (system) time zone.",null,null],[3,"Local","chrono::offset::local","The local timescale. This is implemented via the standard `time` crate.",null,null],[11,"clone","","",4,{"inputs":[{"name":"self"}],"output":{"name":"local"}}],[11,"today","","Returns a `Date` which corresponds to the current date.",4,{"inputs":[],"output":{"name":"date"}}],[11,"now","","Returns a `DateTime` which corresponds to the current date.",4,{"inputs":[],"output":{"name":"datetime"}}],[11,"from_offset","","",4,{"inputs":[{"name":"fixedoffset"}],"output":{"name":"local"}}],[11,"offset_from_local_date","","",4,{"inputs":[{"name":"self"},{"name":"naivedate"}],"output":{"name":"localresult"}}],[11,"offset_from_local_datetime","","",4,{"inputs":[{"name":"self"},{"name":"naivedatetime"}],"output":{"name":"localresult"}}],[11,"offset_from_utc_date","","",4,{"inputs":[{"name":"self"},{"name":"naivedate"}],"output":{"name":"fixedoffset"}}],[11,"offset_from_utc_datetime","","",4,{"inputs":[{"name":"self"},{"name":"naivedatetime"}],"output":{"name":"fixedoffset"}}],[11,"from_local_date","","",4,{"inputs":[{"name":"self"},{"name":"naivedate"}],"output":{"name":"localresult"}}],[11,"from_local_datetime","","",4,{"inputs":[{"name":"self"},{"name":"naivedatetime"}],"output":{"name":"localresult"}}],[11,"from_utc_date","","",4,{"inputs":[{"name":"self"},{"name":"naivedate"}],"output":{"name":"date"}}],[11,"from_utc_datetime","","",4,{"inputs":[{"name":"self"},{"name":"naivedatetime"}],"output":{"name":"datetime"}}],[8,"Offset","chrono::offset","The offset from the local time to UTC.",null,null],[10,"local_minus_utc","","Returns the offset from UTC to the local time stored.",5,{"inputs":[{"name":"self"}],"output":{"name":"duration"}}],[8,"TimeZone","","The time zone.",null,null],[16,"Offset","","An associated offset type. This type is used to store the actual offset in date and time types. The original `TimeZone` value can be recovered via `TimeZone::from_offset`.",6,null],[11,"ymd","","Makes a new `Date` from year, month, day and the current time zone. This assumes the proleptic Gregorian calendar, with the year 0 being 1 BCE.",6,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"u32"},{"name":"u32"}],"output":{"name":"date"}}],[11,"ymd_opt","","Makes a new `Date` from year, month, day and the current time zone. This assumes the proleptic Gregorian calendar, with the year 0 being 1 BCE.",6,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"u32"},{"name":"u32"}],"output":{"name":"localresult"}}],[11,"yo","","Makes a new `Date` from year, day of year (DOY or \"ordinal\") and the current time zone. This assumes the proleptic Gregorian calendar, with the year 0 being 1 BCE.",6,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"u32"}],"output":{"name":"date"}}],[11,"yo_opt","","Makes a new `Date` from year, day of year (DOY or \"ordinal\") and the current time zone. This assumes the proleptic Gregorian calendar, with the year 0 being 1 BCE.",6,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"u32"}],"output":{"name":"localresult"}}],[11,"isoywd","","Makes a new `Date` from ISO week date (year and week number), day of the week (DOW) and the current time zone. This assumes the proleptic Gregorian calendar, with the year 0 being 1 BCE. The resulting `Date` may have a different year from the input year.",6,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"u32"},{"name":"weekday"}],"output":{"name":"date"}}],[11,"isoywd_opt","","Makes a new `Date` from ISO week date (year and week number), day of the week (DOW) and the current time zone. This assumes the proleptic Gregorian calendar, with the year 0 being 1 BCE. The resulting `Date` may have a different year from the input year.",6,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"u32"},{"name":"weekday"}],"output":{"name":"localresult"}}],[11,"timestamp","","Makes a new `DateTime` from the number of non-leap seconds since January 1, 1970 0:00:00 UTC (aka \"UNIX timestamp\") and the number of nanoseconds since the last whole non-leap second.",6,{"inputs":[{"name":"self"},{"name":"i64"},{"name":"u32"}],"output":{"name":"datetime"}}],[11,"timestamp_opt","","Makes a new `DateTime` from the number of non-leap seconds since January 1, 1970 0:00:00 UTC (aka \"UNIX timestamp\") and the number of nanoseconds since the last whole non-leap second.",6,{"inputs":[{"name":"self"},{"name":"i64"},{"name":"u32"}],"output":{"name":"localresult"}}],[11,"datetime_from_str","","Parses a string with the specified format string and returns a `DateTime` with the current offset. See the `format::strftime` module on the supported escape sequences.",6,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"}],"output":{"name":"parseresult"}}],[10,"from_offset","","Reconstructs the time zone from the offset.",6,null],[10,"offset_from_local_date","","Creates the offset(s) for given local `NaiveDate` if possible.",6,{"inputs":[{"name":"self"},{"name":"naivedate"}],"output":{"name":"localresult"}}],[10,"offset_from_local_datetime","","Creates the offset(s) for given local `NaiveDateTime` if possible.",6,{"inputs":[{"name":"self"},{"name":"naivedatetime"}],"output":{"name":"localresult"}}],[11,"from_local_date","","Converts the local `NaiveDate` to the timezone-aware `Date` if possible.",6,{"inputs":[{"name":"self"},{"name":"naivedate"}],"output":{"name":"localresult"}}],[11,"from_local_datetime","","Converts the local `NaiveDateTime` to the timezone-aware `DateTime` if possible.",6,{"inputs":[{"name":"self"},{"name":"naivedatetime"}],"output":{"name":"localresult"}}],[10,"offset_from_utc_date","","Creates the offset for given UTC `NaiveDate`. This cannot fail.",6,null],[10,"offset_from_utc_datetime","","Creates the offset for given UTC `NaiveDateTime`. This cannot fail.",6,null],[11,"from_utc_date","","Converts the UTC `NaiveDate` to the local time. The UTC is continuous and thus this cannot fail (but can give the duplicate local time).",6,{"inputs":[{"name":"self"},{"name":"naivedate"}],"output":{"name":"date"}}],[11,"from_utc_datetime","","Converts the UTC `NaiveDateTime` to the local time. The UTC is continuous and thus this cannot fail (but can give the duplicate local time).",6,{"inputs":[{"name":"self"},{"name":"naivedatetime"}],"output":{"name":"datetime"}}],[11,"clone","","",1,{"inputs":[{"name":"self"}],"output":{"name":"localresult"}}],[11,"eq","","",1,{"inputs":[{"name":"self"},{"name":"localresult"}],"output":{"name":"bool"}}],[11,"ne","","",1,{"inputs":[{"name":"self"},{"name":"localresult"}],"output":{"name":"bool"}}],[11,"fmt","","",1,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"single","","Returns `Some` only when the conversion result is unique, or `None` otherwise.",1,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"earliest","","Returns `Some` for the earliest possible conversion result, or `None` if none.",1,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"latest","","Returns `Some` for the latest possible conversion result, or `None` if none.",1,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"map","","Maps a `LocalResult<T>` into `LocalResult<U>` with given function.",1,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"localresult"}}],[11,"and_time","","Makes a new `DateTime` from the current date and given `NaiveTime`. The offset in the current date is preserved.",1,{"inputs":[{"name":"self"},{"name":"naivetime"}],"output":{"name":"localresult"}}],[11,"and_hms_opt","","Makes a new `DateTime` from the current date, hour, minute and second. The offset in the current date is preserved.",1,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"u32"},{"name":"u32"}],"output":{"name":"localresult"}}],[11,"and_hms_milli_opt","","Makes a new `DateTime` from the current date, hour, minute, second and millisecond. The millisecond part can exceed 1,000 in order to represent the leap second. The offset in the current date is preserved.",1,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"u32"},{"name":"u32"},{"name":"u32"}],"output":{"name":"localresult"}}],[11,"and_hms_micro_opt","","Makes a new `DateTime` from the current date, hour, minute, second and microsecond. The microsecond part can exceed 1,000,000 in order to represent the leap second. The offset in the current date is preserved.",1,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"u32"},{"name":"u32"},{"name":"u32"}],"output":{"name":"localresult"}}],[11,"and_hms_nano_opt","","Makes a new `DateTime` from the current date, hour, minute, second and nanosecond. The nanosecond part can exceed 1,000,000,000 in order to represent the leap second. The offset in the current date is preserved.",1,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"u32"},{"name":"u32"},{"name":"u32"}],"output":{"name":"localresult"}}],[11,"unwrap","","Returns the single unique conversion result, or panics accordingly.",1,{"inputs":[{"name":"self"}],"output":{"name":"t"}}],[0,"naive","chrono","Date and time types which do not concern about the timezones.",null,null],[0,"date","chrono::naive","ISO 8601 calendar date without timezone.",null,null],[3,"NaiveDate","chrono::naive::date","ISO 8601 calendar date without timezone. Allows for every proleptic Gregorian date from Jan 1, 262145 BCE to Dec 31, 262143 CE. Also supports the conversion from ISO 8601 ordinal and week date.",null,null],[17,"MIN","","The minimum possible `NaiveDate` (January 1, 262145 BCE).",null,null],[17,"MAX","","The maximum possible `NaiveDate` (December 31, 262143 CE).",null,null],[11,"eq","","",7,{"inputs":[{"name":"self"},{"name":"naivedate"}],"output":{"name":"bool"}}],[11,"ne","","",7,{"inputs":[{"name":"self"},{"name":"naivedate"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",7,{"inputs":[{"name":"self"},{"name":"naivedate"}],"output":{"name":"option"}}],[11,"lt","","",7,{"inputs":[{"name":"self"},{"name":"naivedate"}],"output":{"name":"bool"}}],[11,"le","","",7,{"inputs":[{"name":"self"},{"name":"naivedate"}],"output":{"name":"bool"}}],[11,"gt","","",7,{"inputs":[{"name":"self"},{"name":"naivedate"}],"output":{"name":"bool"}}],[11,"ge","","",7,{"inputs":[{"name":"self"},{"name":"naivedate"}],"output":{"name":"bool"}}],[11,"cmp","","",7,{"inputs":[{"name":"self"},{"name":"naivedate"}],"output":{"name":"ordering"}}],[11,"clone","","",7,{"inputs":[{"name":"self"}],"output":{"name":"naivedate"}}],[11,"from_ymd","","Makes a new `NaiveDate` from the calendar date (year, month and day).",7,{"inputs":[{"name":"i32"},{"name":"u32"},{"name":"u32"}],"output":{"name":"naivedate"}}],[11,"from_ymd_opt","","Makes a new `NaiveDate` from the calendar date (year, month and day).",7,{"inputs":[{"name":"i32"},{"name":"u32"},{"name":"u32"}],"output":{"name":"option"}}],[11,"from_yo","","Makes a new `NaiveDate` from the ordinal date (year and day of the year).",7,{"inputs":[{"name":"i32"},{"name":"u32"}],"output":{"name":"naivedate"}}],[11,"from_yo_opt","","Makes a new `NaiveDate` from the ordinal date (year and day of the year).",7,{"inputs":[{"name":"i32"},{"name":"u32"}],"output":{"name":"option"}}],[11,"from_isoywd","","Makes a new `NaiveDate` from the ISO week date (year, week number and day of the week). The resulting `NaiveDate` may have a different year from the input year.",7,{"inputs":[{"name":"i32"},{"name":"u32"},{"name":"weekday"}],"output":{"name":"naivedate"}}],[11,"from_isoywd_opt","","Makes a new `NaiveDate` from the ISO week date (year, week number and day of the week). The resulting `NaiveDate` may have a different year from the input year.",7,{"inputs":[{"name":"i32"},{"name":"u32"},{"name":"weekday"}],"output":{"name":"option"}}],[11,"from_num_days_from_ce","","Makes a new `NaiveDate` from the number of days since January 1, 1 (Day 1) in the proleptic Gregorian calendar.",7,{"inputs":[{"name":"i32"}],"output":{"name":"naivedate"}}],[11,"from_num_days_from_ce_opt","","Makes a new `NaiveDate` from the number of days since January 1, 1 (Day 1) in the proleptic Gregorian calendar.",7,{"inputs":[{"name":"i32"}],"output":{"name":"option"}}],[11,"parse_from_str","","Parses a string with the specified format string and returns a new `NaiveDate`. See the `format::strftime` module on the supported escape sequences.",7,{"inputs":[{"name":"str"},{"name":"str"}],"output":{"name":"parseresult"}}],[11,"and_time","","Makes a new `NaiveDateTime` from the current date and given `NaiveTime`.",7,{"inputs":[{"name":"self"},{"name":"naivetime"}],"output":{"name":"naivedatetime"}}],[11,"and_hms","","Makes a new `NaiveDateTime` from the current date, hour, minute and second.",7,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"u32"},{"name":"u32"}],"output":{"name":"naivedatetime"}}],[11,"and_hms_opt","","Makes a new `NaiveDateTime` from the current date, hour, minute and second.",7,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"u32"},{"name":"u32"}],"output":{"name":"option"}}],[11,"and_hms_milli","","Makes a new `NaiveDateTime` from the current date, hour, minute, second and millisecond.",7,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"u32"},{"name":"u32"},{"name":"u32"}],"output":{"name":"naivedatetime"}}],[11,"and_hms_milli_opt","","Makes a new `NaiveDateTime` from the current date, hour, minute, second and millisecond.",7,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"u32"},{"name":"u32"},{"name":"u32"}],"output":{"name":"option"}}],[11,"and_hms_micro","","Makes a new `NaiveDateTime` from the current date, hour, minute, second and microsecond.",7,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"u32"},{"name":"u32"},{"name":"u32"}],"output":{"name":"naivedatetime"}}],[11,"and_hms_micro_opt","","Makes a new `NaiveDateTime` from the current date, hour, minute, second and microsecond.",7,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"u32"},{"name":"u32"},{"name":"u32"}],"output":{"name":"option"}}],[11,"and_hms_nano","","Makes a new `NaiveDateTime` from the current date, hour, minute, second and nanosecond.",7,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"u32"},{"name":"u32"},{"name":"u32"}],"output":{"name":"naivedatetime"}}],[11,"and_hms_nano_opt","","Makes a new `NaiveDateTime` from the current date, hour, minute, second and nanosecond.",7,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"u32"},{"name":"u32"},{"name":"u32"}],"output":{"name":"option"}}],[11,"succ","","Makes a new `NaiveDate` for the next calendar date.",7,{"inputs":[{"name":"self"}],"output":{"name":"naivedate"}}],[11,"succ_opt","","Makes a new `NaiveDate` for the next calendar date.",7,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"pred","","Makes a new `NaiveDate` for the previous calendar date.",7,{"inputs":[{"name":"self"}],"output":{"name":"naivedate"}}],[11,"pred_opt","","Makes a new `NaiveDate` for the previous calendar date.",7,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"checked_add","","Adds the `days` part of given `Duration` to the current date.",7,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"option"}}],[11,"checked_sub","","Subtracts the `days` part of given `Duration` from the current date.",7,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"option"}}],[11,"format_with_items","","Formats the date with the specified formatting items. Otherwise it is same to the ordinary `format` method.",7,{"inputs":[{"name":"self"},{"name":"i"}],"output":{"name":"delayedformat"}}],[11,"format","","Formats the date with the specified format string. See the `format::strftime` module on the supported escape sequences.",7,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"delayedformat"}}],[11,"year","","Returns the year number in the calendar date.",7,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"month","","Returns the month number starting from 1.",7,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"month0","","Returns the month number starting from 0.",7,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"day","","Returns the day of month starting from 1.",7,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"day0","","Returns the day of month starting from 0.",7,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"ordinal","","Returns the day of year starting from 1.",7,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"ordinal0","","Returns the day of year starting from 0.",7,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"weekday","","Returns the day of week.",7,{"inputs":[{"name":"self"}],"output":{"name":"weekday"}}],[11,"isoweekdate","","",7,null],[11,"with_year","","Makes a new `NaiveDate` with the year number changed.",7,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"option"}}],[11,"with_month","","Makes a new `NaiveDate` with the month number (starting from 1) changed.",7,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"with_month0","","Makes a new `NaiveDate` with the month number (starting from 0) changed.",7,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"with_day","","Makes a new `NaiveDate` with the day of month (starting from 1) changed.",7,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"with_day0","","Makes a new `NaiveDate` with the day of month (starting from 0) changed.",7,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"with_ordinal","","Makes a new `NaiveDate` with the day of year (starting from 1) changed.",7,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"with_ordinal0","","Makes a new `NaiveDate` with the day of year (starting from 0) changed.",7,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"hash","","",7,{"inputs":[{"name":"self"},{"name":"h"}],"output":null}],[11,"add","","",7,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"naivedate"}}],[11,"sub","","",7,{"inputs":[{"name":"self"},{"name":"naivedate"}],"output":{"name":"duration"}}],[11,"sub","","",7,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"naivedate"}}],[11,"fmt","","",7,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",7,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"from_str","","",7,{"inputs":[{"name":"str"}],"output":{"name":"parseresult"}}],[0,"time","chrono::naive","ISO 8601 time without timezone.",null,null],[3,"NaiveTime","chrono::naive::time","ISO 8601 time without timezone. Allows for the nanosecond precision and optional leap second representation.",null,null],[11,"eq","","",8,{"inputs":[{"name":"self"},{"name":"naivetime"}],"output":{"name":"bool"}}],[11,"ne","","",8,{"inputs":[{"name":"self"},{"name":"naivetime"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",8,{"inputs":[{"name":"self"},{"name":"naivetime"}],"output":{"name":"option"}}],[11,"lt","","",8,{"inputs":[{"name":"self"},{"name":"naivetime"}],"output":{"name":"bool"}}],[11,"le","","",8,{"inputs":[{"name":"self"},{"name":"naivetime"}],"output":{"name":"bool"}}],[11,"gt","","",8,{"inputs":[{"name":"self"},{"name":"naivetime"}],"output":{"name":"bool"}}],[11,"ge","","",8,{"inputs":[{"name":"self"},{"name":"naivetime"}],"output":{"name":"bool"}}],[11,"cmp","","",8,{"inputs":[{"name":"self"},{"name":"naivetime"}],"output":{"name":"ordering"}}],[11,"clone","","",8,{"inputs":[{"name":"self"}],"output":{"name":"naivetime"}}],[11,"from_hms","","Makes a new `NaiveTime` from hour, minute and second.",8,{"inputs":[{"name":"u32"},{"name":"u32"},{"name":"u32"}],"output":{"name":"naivetime"}}],[11,"from_hms_opt","","Makes a new `NaiveTime` from hour, minute and second.",8,{"inputs":[{"name":"u32"},{"name":"u32"},{"name":"u32"}],"output":{"name":"option"}}],[11,"from_hms_milli","","Makes a new `NaiveTime` from hour, minute, second and millisecond.",8,{"inputs":[{"name":"u32"},{"name":"u32"},{"name":"u32"},{"name":"u32"}],"output":{"name":"naivetime"}}],[11,"from_hms_milli_opt","","Makes a new `NaiveTime` from hour, minute, second and millisecond.",8,{"inputs":[{"name":"u32"},{"name":"u32"},{"name":"u32"},{"name":"u32"}],"output":{"name":"option"}}],[11,"from_hms_micro","","Makes a new `NaiveTime` from hour, minute, second and microsecond.",8,{"inputs":[{"name":"u32"},{"name":"u32"},{"name":"u32"},{"name":"u32"}],"output":{"name":"naivetime"}}],[11,"from_hms_micro_opt","","Makes a new `NaiveTime` from hour, minute, second and microsecond.",8,{"inputs":[{"name":"u32"},{"name":"u32"},{"name":"u32"},{"name":"u32"}],"output":{"name":"option"}}],[11,"from_hms_nano","","Makes a new `NaiveTime` from hour, minute, second and nanosecond.",8,{"inputs":[{"name":"u32"},{"name":"u32"},{"name":"u32"},{"name":"u32"}],"output":{"name":"naivetime"}}],[11,"from_hms_nano_opt","","Makes a new `NaiveTime` from hour, minute, second and nanosecond.",8,{"inputs":[{"name":"u32"},{"name":"u32"},{"name":"u32"},{"name":"u32"}],"output":{"name":"option"}}],[11,"from_num_seconds_from_midnight","","Makes a new `NaiveTime` from the number of seconds since midnight and nanosecond.",8,{"inputs":[{"name":"u32"},{"name":"u32"}],"output":{"name":"naivetime"}}],[11,"from_num_seconds_from_midnight_opt","","Makes a new `NaiveTime` from the number of seconds since midnight and nanosecond.",8,{"inputs":[{"name":"u32"},{"name":"u32"}],"output":{"name":"option"}}],[11,"parse_from_str","","Parses a string with the specified format string and returns a new `NaiveTime`. See the `format::strftime` module on the supported escape sequences.",8,{"inputs":[{"name":"str"},{"name":"str"}],"output":{"name":"parseresult"}}],[11,"format_with_items","","Formats the time with the specified formatting items. Otherwise it is same to the ordinary `format` method.",8,{"inputs":[{"name":"self"},{"name":"i"}],"output":{"name":"delayedformat"}}],[11,"format","","Formats the time with the specified format string. See the `format::strftime` module on the supported escape sequences.",8,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"delayedformat"}}],[11,"hour","","Returns the hour number from 0 to 23.",8,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"minute","","Returns the minute number from 0 to 59.",8,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"second","","Returns the second number from 0 to 59.",8,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"nanosecond","","Returns the number of nanoseconds since the whole non-leap second. The range from 1,000,000,000 to 1,999,999,999 represents the leap second.",8,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"with_hour","","Makes a new `NaiveTime` with the hour number changed.",8,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"with_minute","","Makes a new `NaiveTime` with the minute number changed.",8,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"with_second","","Makes a new `NaiveTime` with the second number changed.",8,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"with_nanosecond","","Makes a new `NaiveTime` with nanoseconds since the whole non-leap second changed.",8,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"num_seconds_from_midnight","","Returns the number of non-leap seconds past the last midnight.",8,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"hash","","",8,{"inputs":[{"name":"self"},{"name":"h"}],"output":null}],[11,"add","","",8,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"naivetime"}}],[11,"sub","","",8,{"inputs":[{"name":"self"},{"name":"naivetime"}],"output":{"name":"duration"}}],[11,"sub","","",8,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"naivetime"}}],[11,"fmt","","",8,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",8,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"from_str","","",8,{"inputs":[{"name":"str"}],"output":{"name":"parseresult"}}],[0,"datetime","chrono::naive","ISO 8601 date and time without timezone.",null,null],[3,"NaiveDateTime","chrono::naive::datetime","ISO 8601 combined date and time without timezone.",null,null],[11,"eq","","",9,{"inputs":[{"name":"self"},{"name":"naivedatetime"}],"output":{"name":"bool"}}],[11,"ne","","",9,{"inputs":[{"name":"self"},{"name":"naivedatetime"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",9,{"inputs":[{"name":"self"},{"name":"naivedatetime"}],"output":{"name":"option"}}],[11,"lt","","",9,{"inputs":[{"name":"self"},{"name":"naivedatetime"}],"output":{"name":"bool"}}],[11,"le","","",9,{"inputs":[{"name":"self"},{"name":"naivedatetime"}],"output":{"name":"bool"}}],[11,"gt","","",9,{"inputs":[{"name":"self"},{"name":"naivedatetime"}],"output":{"name":"bool"}}],[11,"ge","","",9,{"inputs":[{"name":"self"},{"name":"naivedatetime"}],"output":{"name":"bool"}}],[11,"cmp","","",9,{"inputs":[{"name":"self"},{"name":"naivedatetime"}],"output":{"name":"ordering"}}],[11,"clone","","",9,{"inputs":[{"name":"self"}],"output":{"name":"naivedatetime"}}],[11,"new","","Makes a new `NaiveDateTime` from date and time components. Equivalent to `date.and_time(time)` and many other helper constructors on `NaiveDate`.",9,{"inputs":[{"name":"naivedate"},{"name":"naivetime"}],"output":{"name":"naivedatetime"}}],[11,"from_timestamp","","Makes a new `NaiveDateTime` from the number of non-leap seconds since the midnight UTC on January 1, 1970 (aka \"UNIX timestamp\") and the number of nanoseconds since the last whole non-leap second.",9,{"inputs":[{"name":"i64"},{"name":"u32"}],"output":{"name":"naivedatetime"}}],[11,"from_timestamp_opt","","Makes a new `NaiveDateTime` from the number of non-leap seconds since the midnight UTC on January 1, 1970 (aka \"UNIX timestamp\") and the number of nanoseconds since the last whole non-leap second.",9,{"inputs":[{"name":"i64"},{"name":"u32"}],"output":{"name":"option"}}],[11,"from_num_seconds_from_unix_epoch","","Deprecated: Same to `NaiveDateTime::from_timestamp`.",9,{"inputs":[{"name":"i64"},{"name":"u32"}],"output":{"name":"naivedatetime"}}],[11,"from_num_seconds_from_unix_epoch_opt","","Deprecated: Same to `NaiveDateTime::from_timestamp_opt`.",9,{"inputs":[{"name":"i64"},{"name":"u32"}],"output":{"name":"option"}}],[11,"parse_from_str","","Parses a string with the specified format string and returns a new `NaiveDateTime`. See the `format::strftime` module on the supported escape sequences.",9,{"inputs":[{"name":"str"},{"name":"str"}],"output":{"name":"parseresult"}}],[11,"date","","Retrieves a date component.",9,{"inputs":[{"name":"self"}],"output":{"name":"naivedate"}}],[11,"time","","Retrieves a time component.",9,{"inputs":[{"name":"self"}],"output":{"name":"naivetime"}}],[11,"timestamp","","Returns the number of non-leap seconds since the midnight on January 1, 1970.",9,{"inputs":[{"name":"self"}],"output":{"name":"i64"}}],[11,"timestamp_subsec_millis","","Returns the number of milliseconds since the last whole non-leap second.",9,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"timestamp_subsec_micros","","Returns the number of microseconds since the last whole non-leap second.",9,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"timestamp_subsec_nanos","","Returns the number of nanoseconds since the last whole non-leap second.",9,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"num_seconds_from_unix_epoch","","Deprecated: Same to `NaiveDateTime::timestamp`.",9,{"inputs":[{"name":"self"}],"output":{"name":"i64"}}],[11,"checked_add","","Adds given `Duration` to the current date and time.",9,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"option"}}],[11,"checked_sub","","Subtracts given `Duration` from the current date and time.",9,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"option"}}],[11,"format_with_items","","Formats the combined date and time with the specified formatting items.",9,{"inputs":[{"name":"self"},{"name":"i"}],"output":{"name":"delayedformat"}}],[11,"format","","Formats the combined date and time with the specified format string. See the `format::strftime` module on the supported escape sequences.",9,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"delayedformat"}}],[11,"year","","Returns the year number in the calendar date.",9,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"month","","Returns the month number starting from 1.",9,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"month0","","Returns the month number starting from 0.",9,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"day","","Returns the day of month starting from 1.",9,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"day0","","Returns the day of month starting from 0.",9,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"ordinal","","Returns the day of year starting from 1.",9,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"ordinal0","","Returns the day of year starting from 0.",9,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"weekday","","Returns the day of week.",9,{"inputs":[{"name":"self"}],"output":{"name":"weekday"}}],[11,"isoweekdate","","",9,null],[11,"with_year","","Makes a new `NaiveDateTime` with the year number changed.",9,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"option"}}],[11,"with_month","","Makes a new `NaiveDateTime` with the month number (starting from 1) changed.",9,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"with_month0","","Makes a new `NaiveDateTime` with the month number (starting from 0) changed.",9,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"with_day","","Makes a new `NaiveDateTime` with the day of month (starting from 1) changed.",9,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"with_day0","","Makes a new `NaiveDateTime` with the day of month (starting from 0) changed.",9,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"with_ordinal","","Makes a new `NaiveDateTime` with the day of year (starting from 1) changed.",9,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"with_ordinal0","","Makes a new `NaiveDateTime` with the day of year (starting from 0) changed.",9,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"hour","","Returns the hour number from 0 to 23.",9,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"minute","","Returns the minute number from 0 to 59.",9,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"second","","Returns the second number from 0 to 59.",9,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"nanosecond","","Returns the number of nanoseconds since the whole non-leap second. The range from 1,000,000,000 to 1,999,999,999 represents the leap second.",9,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"with_hour","","Makes a new `NaiveDateTime` with the hour number changed.",9,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"with_minute","","Makes a new `NaiveDateTime` with the minute number changed.",9,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"with_second","","Makes a new `NaiveDateTime` with the second number changed.",9,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"with_nanosecond","","Makes a new `NaiveDateTime` with nanoseconds since the whole non-leap second changed.",9,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"hash","","",9,{"inputs":[{"name":"self"},{"name":"h"}],"output":null}],[11,"add","","",9,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"naivedatetime"}}],[11,"sub","","",9,{"inputs":[{"name":"self"},{"name":"naivedatetime"}],"output":{"name":"duration"}}],[11,"sub","","",9,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"naivedatetime"}}],[11,"fmt","","",9,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",9,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"from_str","","",9,{"inputs":[{"name":"str"}],"output":{"name":"parseresult"}}],[0,"date","chrono","ISO 8601 calendar date with time zone.",null,null],[3,"Date","chrono::date","ISO 8601 calendar date with time zone.",null,null],[17,"MIN","","The minimum possible `Date`.",null,null],[17,"MAX","","The maximum possible `Date`.",null,null],[11,"clone","","",10,{"inputs":[{"name":"self"}],"output":{"name":"date"}}],[11,"from_utc","","Makes a new `Date` with given UTC date and offset. The local date should be constructed via the `TimeZone` trait.",10,null],[11,"and_time","","Makes a new `DateTime` from the current date and given `NaiveTime`. The offset in the current date is preserved.",10,{"inputs":[{"name":"self"},{"name":"naivetime"}],"output":{"name":"option"}}],[11,"and_hms","","Makes a new `DateTime` from the current date, hour, minute and second. The offset in the current date is preserved.",10,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"u32"},{"name":"u32"}],"output":{"name":"datetime"}}],[11,"and_hms_opt","","Makes a new `DateTime` from the current date, hour, minute and second. The offset in the current date is preserved.",10,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"u32"},{"name":"u32"}],"output":{"name":"option"}}],[11,"and_hms_milli","","Makes a new `DateTime` from the current date, hour, minute, second and millisecond. The millisecond part can exceed 1,000 in order to represent the leap second. The offset in the current date is preserved.",10,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"u32"},{"name":"u32"},{"name":"u32"}],"output":{"name":"datetime"}}],[11,"and_hms_milli_opt","","Makes a new `DateTime` from the current date, hour, minute, second and millisecond. The millisecond part can exceed 1,000 in order to represent the leap second. The offset in the current date is preserved.",10,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"u32"},{"name":"u32"},{"name":"u32"}],"output":{"name":"option"}}],[11,"and_hms_micro","","Makes a new `DateTime` from the current date, hour, minute, second and microsecond. The microsecond part can exceed 1,000,000 in order to represent the leap second. The offset in the current date is preserved.",10,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"u32"},{"name":"u32"},{"name":"u32"}],"output":{"name":"datetime"}}],[11,"and_hms_micro_opt","","Makes a new `DateTime` from the current date, hour, minute, second and microsecond. The microsecond part can exceed 1,000,000 in order to represent the leap second. The offset in the current date is preserved.",10,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"u32"},{"name":"u32"},{"name":"u32"}],"output":{"name":"option"}}],[11,"and_hms_nano","","Makes a new `DateTime` from the current date, hour, minute, second and nanosecond. The nanosecond part can exceed 1,000,000,000 in order to represent the leap second. The offset in the current date is preserved.",10,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"u32"},{"name":"u32"},{"name":"u32"}],"output":{"name":"datetime"}}],[11,"and_hms_nano_opt","","Makes a new `DateTime` from the current date, hour, minute, second and nanosecond. The nanosecond part can exceed 1,000,000,000 in order to represent the leap second. The offset in the current date is preserved.",10,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"u32"},{"name":"u32"},{"name":"u32"}],"output":{"name":"option"}}],[11,"succ","","Makes a new `Date` for the next date.",10,{"inputs":[{"name":"self"}],"output":{"name":"date"}}],[11,"succ_opt","","Makes a new `Date` for the next date.",10,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"pred","","Makes a new `Date` for the prior date.",10,{"inputs":[{"name":"self"}],"output":{"name":"date"}}],[11,"pred_opt","","Makes a new `Date` for the prior date.",10,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"offset","","Retrieves an associated offset from UTC.",10,null],[11,"timezone","","Retrieves an associated time zone.",10,{"inputs":[{"name":"self"}],"output":{"name":"tz"}}],[11,"with_timezone","","Changes the associated time zone. This does not change the actual `Date` (but will change the string representation).",10,{"inputs":[{"name":"self"},{"name":"tz2"}],"output":{"name":"date"}}],[11,"checked_add","","Adds given `Duration` to the current date.",10,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"option"}}],[11,"checked_sub","","Subtracts given `Duration` from the current date.",10,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"option"}}],[11,"naive_utc","","Returns a view to the naive UTC date.",10,{"inputs":[{"name":"self"}],"output":{"name":"naivedate"}}],[11,"naive_local","","Returns a view to the naive local date.",10,{"inputs":[{"name":"self"}],"output":{"name":"naivedate"}}],[11,"format_with_items","","Formats the date with the specified formatting items.",10,{"inputs":[{"name":"self"},{"name":"i"}],"output":{"name":"delayedformat"}}],[11,"format","","Formats the date with the specified format string. See the `format::strftime` module on the supported escape sequences.",10,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"delayedformat"}}],[11,"year","","",10,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"month","","",10,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"month0","","",10,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"day","","",10,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"day0","","",10,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"ordinal","","",10,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"ordinal0","","",10,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"weekday","","",10,{"inputs":[{"name":"self"}],"output":{"name":"weekday"}}],[11,"isoweekdate","","",10,null],[11,"with_year","","",10,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"option"}}],[11,"with_month","","",10,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"with_month0","","",10,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"with_day","","",10,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"with_day0","","",10,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"with_ordinal","","",10,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"with_ordinal0","","",10,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"eq","","",10,{"inputs":[{"name":"self"},{"name":"date"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",10,{"inputs":[{"name":"self"},{"name":"date"}],"output":{"name":"option"}}],[11,"cmp","","",10,{"inputs":[{"name":"self"},{"name":"date"}],"output":{"name":"ordering"}}],[11,"hash","","",10,{"inputs":[{"name":"self"},{"name":"h"}],"output":null}],[11,"add","","",10,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"date"}}],[11,"sub","","",10,{"inputs":[{"name":"self"},{"name":"date"}],"output":{"name":"duration"}}],[11,"sub","","",10,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"date"}}],[11,"fmt","","",10,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",10,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[0,"datetime","chrono","ISO 8601 date and time with time zone.",null,null],[3,"DateTime","chrono::datetime","ISO 8601 combined date and time with time zone.",null,null],[11,"clone","","",11,{"inputs":[{"name":"self"}],"output":{"name":"datetime"}}],[11,"from_utc","","Makes a new `DateTime` with given UTC datetime and offset. The local datetime should be constructed via the `TimeZone` trait.",11,null],[11,"date","","Retrieves a date component.",11,{"inputs":[{"name":"self"}],"output":{"name":"date"}}],[11,"time","","Retrieves a time component. Unlike `date`, this is not associated to the time zone.",11,{"inputs":[{"name":"self"}],"output":{"name":"naivetime"}}],[11,"timestamp","","Returns the number of non-leap seconds since January 1, 1970 0:00:00 UTC (aka \"UNIX timestamp\").",11,{"inputs":[{"name":"self"}],"output":{"name":"i64"}}],[11,"timestamp_subsec_millis","","Returns the number of milliseconds since the last second boundary",11,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"timestamp_subsec_micros","","Returns the number of microseconds since the last second boundary",11,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"timestamp_subsec_nanos","","Returns the number of nanoseconds since the last second boundary",11,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"num_seconds_from_unix_epoch","","Deprecated: Same to `DateTime::timestamp`.",11,{"inputs":[{"name":"self"}],"output":{"name":"i64"}}],[11,"offset","","Retrieves an associated offset from UTC.",11,null],[11,"timezone","","Retrieves an associated time zone.",11,{"inputs":[{"name":"self"}],"output":{"name":"tz"}}],[11,"with_timezone","","Changes the associated time zone. This does not change the actual `DateTime` (but will change the string representation).",11,{"inputs":[{"name":"self"},{"name":"tz2"}],"output":{"name":"datetime"}}],[11,"checked_add","","Adds given `Duration` to the current date and time.",11,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"option"}}],[11,"checked_sub","","Subtracts given `Duration` from the current date and time.",11,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"option"}}],[11,"naive_utc","","Returns a view to the naive UTC datetime.",11,{"inputs":[{"name":"self"}],"output":{"name":"naivedatetime"}}],[11,"naive_local","","Returns a view to the naive local datetime.",11,{"inputs":[{"name":"self"}],"output":{"name":"naivedatetime"}}],[11,"parse_from_rfc2822","","Parses an RFC 2822 date and time string such as `Tue, 1 Jul 2003 10:52:37 +0200`, then returns a new `DateTime` with a parsed `FixedOffset`.",11,{"inputs":[{"name":"str"}],"output":{"name":"parseresult"}}],[11,"parse_from_rfc3339","","Parses an RFC 3339 and ISO 8601 date and time string such as `1996-12-19T16:39:57-08:00`, then returns a new `DateTime` with a parsed `FixedOffset`.",11,{"inputs":[{"name":"str"}],"output":{"name":"parseresult"}}],[11,"parse_from_str","","Parses a string with the specified format string and returns a new `DateTime` with a parsed `FixedOffset`. See the `format::strftime` module on the supported escape sequences.",11,{"inputs":[{"name":"str"},{"name":"str"}],"output":{"name":"parseresult"}}],[11,"to_rfc2822","","Returns an RFC 2822 date and time string such as `Tue, 1 Jul 2003 10:52:37 +0200`.",11,{"inputs":[{"name":"self"}],"output":{"name":"string"}}],[11,"to_rfc3339","","Returns an RFC 3339 and ISO 8601 date and time string such as `1996-12-19T16:39:57-08:00`.",11,{"inputs":[{"name":"self"}],"output":{"name":"string"}}],[11,"format_with_items","","Formats the combined date and time with the specified formatting items.",11,{"inputs":[{"name":"self"},{"name":"i"}],"output":{"name":"delayedformat"}}],[11,"format","","Formats the combined date and time with the specified format string. See the `format::strftime` module on the supported escape sequences.",11,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"delayedformat"}}],[11,"year","","",11,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"month","","",11,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"month0","","",11,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"day","","",11,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"day0","","",11,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"ordinal","","",11,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"ordinal0","","",11,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"weekday","","",11,{"inputs":[{"name":"self"}],"output":{"name":"weekday"}}],[11,"isoweekdate","","",11,null],[11,"with_year","","",11,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"option"}}],[11,"with_month","","",11,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"with_month0","","",11,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"with_day","","",11,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"with_day0","","",11,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"with_ordinal","","",11,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"with_ordinal0","","",11,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"hour","","",11,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"minute","","",11,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"second","","",11,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"nanosecond","","",11,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"with_hour","","",11,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"with_minute","","",11,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"with_second","","",11,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"with_nanosecond","","",11,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"eq","","",11,{"inputs":[{"name":"self"},{"name":"datetime"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",11,{"inputs":[{"name":"self"},{"name":"datetime"}],"output":{"name":"option"}}],[11,"cmp","","",11,{"inputs":[{"name":"self"},{"name":"datetime"}],"output":{"name":"ordering"}}],[11,"hash","","",11,{"inputs":[{"name":"self"},{"name":"h"}],"output":null}],[11,"add","","",11,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"datetime"}}],[11,"sub","","",11,{"inputs":[{"name":"self"},{"name":"datetime"}],"output":{"name":"duration"}}],[11,"sub","","",11,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"datetime"}}],[11,"fmt","","",11,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",11,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"from_str","","",11,{"inputs":[{"name":"str"}],"output":{"name":"parseresult"}}],[11,"from_str","","",11,{"inputs":[{"name":"str"}],"output":{"name":"parseresult"}}],[11,"from_str","","",11,{"inputs":[{"name":"str"}],"output":{"name":"parseresult"}}],[0,"format","chrono","Formatting utilities for date and time.",null,null],[3,"ParseError","chrono::format","An error from the `parse` function.",null,null],[3,"DelayedFormat","","A temporary object which can be used as an argument to `format!` or others. This is normally constructed via `format` methods of each date and time type.",null,null],[4,"Pad","","Padding characters for numeric items.",null,null],[13,"None","","No padding.",12,null],[13,"Zero","","Zero (`0`) padding.",12,null],[13,"Space","","Space padding.",12,null],[4,"Numeric","","Numeric item types. They have associated formatting width (FW) and parsing width (PW).",null,null],[13,"Year","","Full Gregorian year (FW=4, PW=∞). May accept years before 1 BCE or after 9999 CE, given an initial sign.",13,null],[13,"YearDiv100","","Gregorian year divided by 100 (century number; FW=PW=2). Implies the non-negative year.",13,null],[13,"YearMod100","","Gregorian year modulo 100 (FW=PW=2). Cannot be negative.",13,null],[13,"IsoYear","","Year in the ISO week date (FW=4, PW=∞). May accept years before 1 BCE or after 9999 CE, given an initial sign.",13,null],[13,"IsoYearDiv100","","Year in the ISO week date, divided by 100 (FW=PW=2). Implies the non-negative year.",13,null],[13,"IsoYearMod100","","Year in the ISO week date, modulo 100 (FW=PW=2). Cannot be negative.",13,null],[13,"Month","","Month (FW=PW=2).",13,null],[13,"Day","","Day of the month (FW=PW=2).",13,null],[13,"WeekFromSun","","Week number, where the week 1 starts at the first Sunday of January (FW=PW=2).",13,null],[13,"WeekFromMon","","Week number, where the week 1 starts at the first Monday of January (FW=PW=2).",13,null],[13,"IsoWeek","","Week number in the ISO week date (FW=PW=2).",13,null],[13,"NumDaysFromSun","","Day of the week, where Sunday = 0 and Saturday = 6 (FW=PW=1).",13,null],[13,"WeekdayFromMon","","Day of the week, where Monday = 1 and Sunday = 7 (FW=PW=1).",13,null],[13,"Ordinal","","Day of the year (FW=PW=3).",13,null],[13,"Hour","","Hour number in the 24-hour clocks (FW=PW=2).",13,null],[13,"Hour12","","Hour number in the 12-hour clocks (FW=PW=2).",13,null],[13,"Minute","","The number of minutes since the last whole hour (FW=PW=2).",13,null],[13,"Second","","The number of seconds since the last whole minute (FW=PW=2).",13,null],[13,"Nanosecond","","The number of nanoseconds since the last whole second (FW=PW=9). Note that this is not left-aligned; see also `Fixed::Nanosecond`.",13,null],[13,"Timestamp","","The number of non-leap seconds since the midnight UTC on January 1, 1970 (FW=1, PW=∞). For formatting, it assumes UTC upon the absence of time zone offset.",13,null],[4,"Fixed","","Fixed-format item types.",null,null],[13,"ShortMonthName","","Abbreviated month names.",14,null],[13,"LongMonthName","","Full month names.",14,null],[13,"ShortWeekdayName","","Abbreviated day of the week names.",14,null],[13,"LongWeekdayName","","Full day of the week names.",14,null],[13,"LowerAmPm","","AM/PM.",14,null],[13,"UpperAmPm","","AM/PM.",14,null],[13,"Nanosecond","","An optional dot plus one or more digits for left-aligned nanoseconds. May print nothing, 3, 6 or 9 digits according to the available accuracy. See also `Numeric::Nanosecond`.",14,null],[13,"Nanosecond3","","Same to `Nanosecond` but the accuracy is fixed to 3.",14,null],[13,"Nanosecond6","","Same to `Nanosecond` but the accuracy is fixed to 6.",14,null],[13,"Nanosecond9","","Same to `Nanosecond` but the accuracy is fixed to 9.",14,null],[13,"TimezoneName","","Timezone name.",14,null],[13,"TimezoneOffsetColon","","Offset from the local time to UTC (`+09:00` or `-04:00` or `+00:00`).",14,null],[13,"TimezoneOffsetColonZ","","Offset from the local time to UTC (`+09:00` or `-04:00` or `Z`).",14,null],[13,"TimezoneOffset","","Same to `TimezoneOffsetColon` but prints no colon. Parsing allows an optional colon.",14,null],[13,"TimezoneOffsetZ","","Same to `TimezoneOffsetColonZ` but prints no colon. Parsing allows an optional colon.",14,null],[13,"RFC2822","","RFC 2822 date and time syntax. Commonly used for email and MIME date and time.",14,null],[13,"RFC3339","","RFC 3339 & ISO 8601 date and time syntax.",14,null],[4,"Item","","A single formatting item. This is used for both formatting and parsing.",null,null],[13,"Literal","","A literally printed and parsed text.",15,null],[13,"Space","","Whitespace. Prints literally but reads zero or more whitespace.",15,null],[13,"Numeric","","Numeric item. Can be optionally padded to the maximal length (if any) when formatting; the parser simply ignores any padded whitespace and zeroes.",15,null],[13,"Fixed","","Fixed-format item.",15,null],[13,"Error","","Issues a formatting error. Used to signal an invalid format string.",15,null],[5,"parse","","Tries to parse given string into `parsed` with given formatting items. Returns `Ok` when the entire string has been parsed (otherwise `parsed` should not be used). There should be no trailing string after parsing; use a stray `Item::Space` to trim whitespaces.",null,{"inputs":[{"name":"parsed"},{"name":"str"},{"name":"i"}],"output":{"name":"parseresult"}}],[5,"format","","Tries to format given arguments with given formatting items. Internally used by `DelayedFormat`.",null,{"inputs":[{"name":"formatter"},{"name":"option"},{"name":"option"},{"name":"option"},{"name":"i"}],"output":{"name":"result"}}],[0,"parsed","","A collection of parsed date and time items. They can be constructed incrementally while being checked for consistency.",null,null],[3,"Parsed","chrono::format::parsed","Parsed parts of date and time. There are two classes of methods:",null,null],[12,"year","","Year.",16,null],[12,"year_div_100","","Year divided by 100. Implies that the year is >= 1 BCE when set.",16,null],[12,"year_mod_100","","Year modulo 100. Implies that the year is >= 1 BCE when set.",16,null],[12,"isoyear","","Year in the ISO week date.",16,null],[12,"isoyear_div_100","","Year in the ISO week date, divided by 100. Implies that the year is >= 1 BCE when set.",16,null],[12,"isoyear_mod_100","","Year in the ISO week date, modulo 100. Implies that the year is >= 1 BCE when set.",16,null],[12,"month","","Month (1--12).",16,null],[12,"week_from_sun","","Week number, where the week 1 starts at the first Sunday of January (0--53, 1--53 or 1--52 depending on the year).",16,null],[12,"week_from_mon","","Week number, where the week 1 starts at the first Monday of January (0--53, 1--53 or 1--52 depending on the year).",16,null],[12,"isoweek","","ISO week number (1--52 or 1--53 depending on the year).",16,null],[12,"weekday","","Day of the week.",16,null],[12,"ordinal","","Day of the year (1--365 or 1--366 depending on the year).",16,null],[12,"day","","Day of the month (1--28, 1--29, 1--30 or 1--31 depending on the month).",16,null],[12,"hour_div_12","","Hour number divided by 12 (0--1). 0 indicates AM and 1 indicates PM.",16,null],[12,"hour_mod_12","","Hour number modulo 12 (0--11).",16,null],[12,"minute","","Minute number (0--59).",16,null],[12,"second","","Second number (0--60, accounting for leap seconds).",16,null],[12,"nanosecond","","The number of nanoseconds since the whole second (0--999,999,999).",16,null],[12,"timestamp","","The number of non-leap seconds since the midnight UTC on January 1, 1970.",16,null],[12,"offset","","Offset from the local time to UTC, in seconds.",16,null],[11,"clone","","",16,{"inputs":[{"name":"self"}],"output":{"name":"parsed"}}],[11,"eq","","",16,{"inputs":[{"name":"self"},{"name":"parsed"}],"output":{"name":"bool"}}],[11,"ne","","",16,{"inputs":[{"name":"self"},{"name":"parsed"}],"output":{"name":"bool"}}],[11,"fmt","","",16,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"new","","Returns the initial value of parsed parts.",16,{"inputs":[],"output":{"name":"parsed"}}],[11,"set_year","","Tries to set the `year` field from given value.",16,{"inputs":[{"name":"self"},{"name":"i64"}],"output":{"name":"parseresult"}}],[11,"set_year_div_100","","Tries to set the `year_div_100` field from given value.",16,{"inputs":[{"name":"self"},{"name":"i64"}],"output":{"name":"parseresult"}}],[11,"set_year_mod_100","","Tries to set the `year_mod_100` field from given value.",16,{"inputs":[{"name":"self"},{"name":"i64"}],"output":{"name":"parseresult"}}],[11,"set_isoyear","","Tries to set the `isoyear` field from given value.",16,{"inputs":[{"name":"self"},{"name":"i64"}],"output":{"name":"parseresult"}}],[11,"set_isoyear_div_100","","Tries to set the `isoyear_div_100` field from given value.",16,{"inputs":[{"name":"self"},{"name":"i64"}],"output":{"name":"parseresult"}}],[11,"set_isoyear_mod_100","","Tries to set the `isoyear_mod_100` field from given value.",16,{"inputs":[{"name":"self"},{"name":"i64"}],"output":{"name":"parseresult"}}],[11,"set_month","","Tries to set the `month` field from given value.",16,{"inputs":[{"name":"self"},{"name":"i64"}],"output":{"name":"parseresult"}}],[11,"set_week_from_sun","","Tries to set the `week_from_sun` field from given value.",16,{"inputs":[{"name":"self"},{"name":"i64"}],"output":{"name":"parseresult"}}],[11,"set_week_from_mon","","Tries to set the `week_from_mon` field from given value.",16,{"inputs":[{"name":"self"},{"name":"i64"}],"output":{"name":"parseresult"}}],[11,"set_isoweek","","Tries to set the `isoweek` field from given value.",16,{"inputs":[{"name":"self"},{"name":"i64"}],"output":{"name":"parseresult"}}],[11,"set_weekday","","Tries to set the `weekday` field from given value.",16,{"inputs":[{"name":"self"},{"name":"weekday"}],"output":{"name":"parseresult"}}],[11,"set_ordinal","","Tries to set the `ordinal` field from given value.",16,{"inputs":[{"name":"self"},{"name":"i64"}],"output":{"name":"parseresult"}}],[11,"set_day","","Tries to set the `day` field from given value.",16,{"inputs":[{"name":"self"},{"name":"i64"}],"output":{"name":"parseresult"}}],[11,"set_ampm","","Tries to set the `hour_div_12` field from given value. (`false` for AM, `true` for PM)",16,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"parseresult"}}],[11,"set_hour12","","Tries to set the `hour_mod_12` field from given hour number in 12-hour clocks.",16,{"inputs":[{"name":"self"},{"name":"i64"}],"output":{"name":"parseresult"}}],[11,"set_hour","","Tries to set both `hour_div_12` and `hour_mod_12` fields from given value.",16,{"inputs":[{"name":"self"},{"name":"i64"}],"output":{"name":"parseresult"}}],[11,"set_minute","","Tries to set the `minute` field from given value.",16,{"inputs":[{"name":"self"},{"name":"i64"}],"output":{"name":"parseresult"}}],[11,"set_second","","Tries to set the `second` field from given value.",16,{"inputs":[{"name":"self"},{"name":"i64"}],"output":{"name":"parseresult"}}],[11,"set_nanosecond","","Tries to set the `nanosecond` field from given value.",16,{"inputs":[{"name":"self"},{"name":"i64"}],"output":{"name":"parseresult"}}],[11,"set_timestamp","","Tries to set the `timestamp` field from given value.",16,{"inputs":[{"name":"self"},{"name":"i64"}],"output":{"name":"parseresult"}}],[11,"set_offset","","Tries to set the `offset` field from given value.",16,{"inputs":[{"name":"self"},{"name":"i64"}],"output":{"name":"parseresult"}}],[11,"to_naive_date","","Returns a parsed naive date out of given fields.",16,{"inputs":[{"name":"self"}],"output":{"name":"parseresult"}}],[11,"to_naive_time","","Returns a parsed naive time out of given fields.",16,{"inputs":[{"name":"self"}],"output":{"name":"parseresult"}}],[11,"to_naive_datetime_with_offset","","Returns a parsed naive date and time out of given fields, except for the `offset` field (assumed to have a given value). This is required for parsing a local time or other known-timezone inputs.",16,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"parseresult"}}],[11,"to_fixed_offset","","Returns a parsed fixed time zone offset out of given fields.",16,{"inputs":[{"name":"self"}],"output":{"name":"parseresult"}}],[11,"to_datetime","","Returns a parsed timezone-aware date and time out of given fields.",16,{"inputs":[{"name":"self"}],"output":{"name":"parseresult"}}],[11,"to_datetime_with_timezone","","Returns a parsed timezone-aware date and time out of given fields, with an additional `TimeZone` used to interpret and validate the local date.",16,{"inputs":[{"name":"self"},{"name":"tz"}],"output":{"name":"parseresult"}}],[0,"strftime","chrono::format","`strftime`/`strptime`-inspired date and time formatting syntax.",null,null],[3,"StrftimeItems","chrono::format::strftime","Parsing iterator for `strftime`-like format strings.",null,null],[11,"clone","","",17,{"inputs":[{"name":"self"}],"output":{"name":"strftimeitems"}}],[11,"new","","Creates a new parsing iterator from the `strftime`-like format string.",17,{"inputs":[{"name":"str"}],"output":{"name":"strftimeitems"}}],[11,"next","","",17,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[6,"ParseResult","chrono::format","Same to `Result<T, ParseError>`.",null,null],[11,"clone","","",12,{"inputs":[{"name":"self"}],"output":{"name":"pad"}}],[11,"eq","","",12,{"inputs":[{"name":"self"},{"name":"pad"}],"output":{"name":"bool"}}],[11,"fmt","","",12,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",13,{"inputs":[{"name":"self"}],"output":{"name":"numeric"}}],[11,"eq","","",13,{"inputs":[{"name":"self"},{"name":"numeric"}],"output":{"name":"bool"}}],[11,"fmt","","",13,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",14,{"inputs":[{"name":"self"}],"output":{"name":"fixed"}}],[11,"eq","","",14,{"inputs":[{"name":"self"},{"name":"fixed"}],"output":{"name":"bool"}}],[11,"fmt","","",14,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",15,{"inputs":[{"name":"self"}],"output":{"name":"item"}}],[11,"eq","","",15,{"inputs":[{"name":"self"},{"name":"item"}],"output":{"name":"bool"}}],[11,"ne","","",15,{"inputs":[{"name":"self"},{"name":"item"}],"output":{"name":"bool"}}],[11,"fmt","","",15,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",18,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",18,{"inputs":[{"name":"self"}],"output":{"name":"parseerror"}}],[11,"eq","","",18,{"inputs":[{"name":"self"},{"name":"parseerror"}],"output":{"name":"bool"}}],[11,"ne","","",18,{"inputs":[{"name":"self"},{"name":"parseerror"}],"output":{"name":"bool"}}],[11,"fmt","","",18,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"description","","",18,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"fmt","","",19,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"new","","Makes a new `DelayedFormat` value out of local date and time.",19,{"inputs":[{"name":"option"},{"name":"option"},{"name":"i"}],"output":{"name":"delayedformat"}}],[11,"new_with_offset","","Makes a new `DelayedFormat` value out of local date and time and UTC offset.",19,{"inputs":[{"name":"option"},{"name":"option"},{"name":"off"},{"name":"i"}],"output":{"name":"delayedformat"}}],[11,"fmt","","",19,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[8,"Datelike","chrono","The common set of methods for date component.",null,null],[10,"year","","Returns the year number in the calendar date.",20,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"year_ce","","Returns the absolute year number starting from 1 with a boolean flag, which is false when the year predates the epoch (BCE/BC) and true otherwise (CE/AD).",20,null],[10,"month","","Returns the month number starting from 1.",20,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"month0","","Returns the month number starting from 0.",20,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"day","","Returns the day of month starting from 1.",20,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"day0","","Returns the day of month starting from 0.",20,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"ordinal","","Returns the day of year starting from 1.",20,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"ordinal0","","Returns the day of year starting from 0.",20,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"weekday","","Returns the day of week.",20,{"inputs":[{"name":"self"}],"output":{"name":"weekday"}}],[10,"isoweekdate","","Returns the ISO week date: an adjusted year, week number and day of week. The adjusted year may differ from that of the calendar date.",20,null],[10,"with_year","","Makes a new value with the year number changed.",20,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"option"}}],[10,"with_month","","Makes a new value with the month number (starting from 1) changed.",20,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[10,"with_month0","","Makes a new value with the month number (starting from 0) changed.",20,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[10,"with_day","","Makes a new value with the day of month (starting from 1) changed.",20,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[10,"with_day0","","Makes a new value with the day of month (starting from 0) changed.",20,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[10,"with_ordinal","","Makes a new value with the day of year (starting from 1) changed.",20,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[10,"with_ordinal0","","Makes a new value with the day of year (starting from 0) changed.",20,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"num_days_from_ce","","Returns the number of days since January 1, 1 (Day 1) in the proleptic Gregorian calendar.",20,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[8,"Timelike","","The common set of methods for time component.",null,null],[10,"hour","","Returns the hour number from 0 to 23.",21,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"hour12","","Returns the hour number from 1 to 12 with a boolean flag, which is false for AM and true for PM.",21,null],[10,"minute","","Returns the minute number from 0 to 59.",21,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"second","","Returns the second number from 0 to 59.",21,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"nanosecond","","Returns the number of nanoseconds since the whole non-leap second. The range from 1,000,000,000 to 1,999,999,999 represents the leap second.",21,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"with_hour","","Makes a new value with the hour number changed.",21,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[10,"with_minute","","Makes a new value with the minute number changed.",21,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[10,"with_second","","Makes a new value with the second number changed.",21,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[10,"with_nanosecond","","Makes a new value with nanoseconds since the whole non-leap second changed.",21,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[11,"num_seconds_from_midnight","","Returns the number of non-leap seconds past the last midnight.",21,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"eq","","",0,{"inputs":[{"name":"self"},{"name":"weekday"}],"output":{"name":"bool"}}],[11,"clone","","",0,{"inputs":[{"name":"self"}],"output":{"name":"weekday"}}],[11,"fmt","","",0,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"succ","","The next day in the week.",0,{"inputs":[{"name":"self"}],"output":{"name":"weekday"}}],[11,"pred","","The previous day in the week.",0,{"inputs":[{"name":"self"}],"output":{"name":"weekday"}}],[11,"number_from_monday","","Returns a day-of-week number starting from Monday = 1. (ISO 8601 weekday number)",0,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"number_from_sunday","","Returns a day-of-week number starting from Sunday = 1.",0,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"num_days_from_monday","","Returns a day-of-week number starting from Monday = 0.",0,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"num_days_from_sunday","","Returns a day-of-week number starting from Sunday = 0.",0,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_i64","","",0,{"inputs":[{"name":"i64"}],"output":{"name":"option"}}],[11,"from_u64","","",0,{"inputs":[{"name":"u64"}],"output":{"name":"option"}}],[11,"weeks","chrono::duration","Makes a new `Duration` with given number of weeks. Equivalent to `Duration::seconds(weeks * 7 * 24 * 60 * 60)` with overflow checks. Panics when the duration is out of bounds.",22,{"inputs":[{"name":"i64"}],"output":{"name":"duration"}}],[11,"days","","Makes a new `Duration` with given number of days. Equivalent to `Duration::seconds(days * 24 * 60 * 60)` with overflow checks. Panics when the duration is out of bounds.",22,{"inputs":[{"name":"i64"}],"output":{"name":"duration"}}],[11,"hours","","Makes a new `Duration` with given number of hours. Equivalent to `Duration::seconds(hours * 60 * 60)` with overflow checks. Panics when the duration is out of bounds.",22,{"inputs":[{"name":"i64"}],"output":{"name":"duration"}}],[11,"minutes","","Makes a new `Duration` with given number of minutes. Equivalent to `Duration::seconds(minutes * 60)` with overflow checks. Panics when the duration is out of bounds.",22,{"inputs":[{"name":"i64"}],"output":{"name":"duration"}}],[11,"seconds","","Makes a new `Duration` with given number of seconds. Panics when the duration is more than `i64::MAX` milliseconds or less than `i64::MIN` milliseconds.",22,{"inputs":[{"name":"i64"}],"output":{"name":"duration"}}],[11,"milliseconds","","Makes a new `Duration` with given number of milliseconds.",22,{"inputs":[{"name":"i64"}],"output":{"name":"duration"}}],[11,"microseconds","","Makes a new `Duration` with given number of microseconds.",22,{"inputs":[{"name":"i64"}],"output":{"name":"duration"}}],[11,"nanoseconds","","Makes a new `Duration` with given number of nanoseconds.",22,{"inputs":[{"name":"i64"}],"output":{"name":"duration"}}],[11,"span","","Runs a closure, returning the duration of time it took to run the closure.",22,{"inputs":[{"name":"f"}],"output":{"name":"duration"}}],[11,"num_weeks","","Returns the total number of whole weeks in the duration.",22,{"inputs":[{"name":"self"}],"output":{"name":"i64"}}],[11,"num_days","","Returns the total number of whole days in the duration.",22,{"inputs":[{"name":"self"}],"output":{"name":"i64"}}],[11,"num_hours","","Returns the total number of whole hours in the duration.",22,{"inputs":[{"name":"self"}],"output":{"name":"i64"}}],[11,"num_minutes","","Returns the total number of whole minutes in the duration.",22,{"inputs":[{"name":"self"}],"output":{"name":"i64"}}],[11,"num_seconds","","Returns the total number of whole seconds in the duration.",22,{"inputs":[{"name":"self"}],"output":{"name":"i64"}}],[11,"num_milliseconds","","Returns the total number of whole milliseconds in the duration,",22,{"inputs":[{"name":"self"}],"output":{"name":"i64"}}],[11,"num_microseconds","","Returns the total number of whole microseconds in the duration, or `None` on overflow (exceeding 2^63 microseconds in either direction).",22,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"num_nanoseconds","","Returns the total number of whole nanoseconds in the duration, or `None` on overflow (exceeding 2^63 nanoseconds in either direction).",22,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"checked_add","","Add two durations, returning `None` if overflow occurred.",22,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"option"}}],[11,"checked_sub","","Subtract two durations, returning `None` if overflow occurred.",22,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"option"}}],[11,"min_value","","The minimum possible `Duration`: `i64::MIN` milliseconds.",22,{"inputs":[],"output":{"name":"duration"}}],[11,"max_value","","The maximum possible `Duration`: `i64::MAX` milliseconds.",22,{"inputs":[],"output":{"name":"duration"}}],[11,"zero","","A duration where the stored seconds and nanoseconds are equal to zero.",22,{"inputs":[],"output":{"name":"duration"}}],[11,"is_zero","","Returns `true` if the duration equals `Duration::zero()`.",22,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"from_std","","Creates a `time::Duration` object from `std::time::Duration`",22,{"inputs":[{"name":"duration"}],"output":{"name":"result"}}],[11,"to_std","","Creates a `std::time::Duration` object from `time::Duration`",22,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"fmt","","",22,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"sub","","",22,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"duration"}}],[11,"add","","",22,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"duration"}}],[11,"div","","",22,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"duration"}}],[11,"partial_cmp","","",22,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"option"}}],[11,"lt","","",22,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"bool"}}],[11,"le","","",22,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"bool"}}],[11,"gt","","",22,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"bool"}}],[11,"ge","","",22,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"bool"}}],[11,"fmt","","",22,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"mul","","",22,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"duration"}}],[11,"cmp","","",22,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"ordering"}}],[11,"clone","","",22,{"inputs":[{"name":"self"}],"output":{"name":"duration"}}],[11,"neg","","",22,{"inputs":[{"name":"self"}],"output":{"name":"duration"}}],[11,"eq","","",22,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"bool"}}],[11,"ne","","",22,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"bool"}}]],"paths":[[4,"Weekday"],[4,"LocalResult"],[3,"UTC"],[3,"FixedOffset"],[3,"Local"],[8,"Offset"],[8,"TimeZone"],[3,"NaiveDate"],[3,"NaiveTime"],[3,"NaiveDateTime"],[3,"Date"],[3,"DateTime"],[4,"Pad"],[4,"Numeric"],[4,"Fixed"],[4,"Item"],[3,"Parsed"],[3,"StrftimeItems"],[3,"ParseError"],[3,"DelayedFormat"],[8,"Datelike"],[8,"Timelike"],[3,"Duration"]]};
searchIndex["deflate"] = {"doc":"An implementation an encoder using DEFLATE compression algorightm in pure rust.","items":[[3,"CompressionOptions","deflate","A struct describing the options for a compressor or compression function.",null,null],[12,"max_hash_checks","","The maximum number of checks to make in the hash table for matches.",0,null],[12,"lazy_if_less_than","","Only lazy match if we have a length less than this value.",0,null],[12,"matching_type","","Whether to use lazy or greedy matching.",0,null],[12,"special","","Force fixed/stored blocks (Not implemented yet). * Default value: `SpecialOptions::Normal`",0,null],[4,"SpecialOptions","","Enum allowing some special options (not implemented yet)!",null,null],[13,"Normal","","Compress normally.",1,null],[13,"_ForceFixed","","Force fixed huffman tables. (Unimplemented!).",1,null],[13,"_ForceStored","","Force stored (uncompressed) blocks only. (Unimplemented!).",1,null],[4,"Compression","","An enum describing the level of compression to be used by the encoder",null,null],[13,"Fast","","Fast minimal compression (`CompressionOptions::fast()`).",2,null],[13,"Default","","Default level (`CompressionOptions::default()`).",2,null],[13,"Best","","Higher compression level (`CompressionOptions::high()`).",2,null],[4,"MatchingType","","An enum describing whether we use lazy or greedy matching.",null,null],[13,"Greedy","","Use greedy matching: the matching algorithm simply uses a match right away if found.",3,null],[13,"Lazy","","Use lazy matching: after finding a match, the next input byte is checked, to see if there is a better match starting at that byte.",3,null],[5,"deflate_bytes_conf","","Compress the given slice of bytes with DEFLATE compression.",null,null],[5,"deflate_bytes","","Compress the given slice of bytes with DEFLATE compression using the default compression level.",null,null],[5,"deflate_bytes_zlib_conf","","Compress the given slice of bytes with DEFLATE compression, including a zlib header and trailer.",null,null],[5,"deflate_bytes_zlib","","Compress the given slice of bytes with DEFLATE compression, including a zlib header and trailer, using the default compression level.",null,null],[11,"clone","","",2,{"inputs":[{"name":"self"}],"output":{"name":"compression"}}],[11,"fmt","","",2,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",2,{"inputs":[{"name":"self"},{"name":"compression"}],"output":{"name":"bool"}}],[11,"cmp","","",2,{"inputs":[{"name":"self"},{"name":"compression"}],"output":{"name":"ordering"}}],[11,"partial_cmp","","",2,{"inputs":[{"name":"self"},{"name":"compression"}],"output":{"name":"option"}}],[11,"hash","","",2,null],[11,"default","","",2,{"inputs":[],"output":{"name":"compression"}}],[11,"clone","","",1,{"inputs":[{"name":"self"}],"output":{"name":"specialoptions"}}],[11,"fmt","","",1,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",1,{"inputs":[{"name":"self"},{"name":"specialoptions"}],"output":{"name":"bool"}}],[11,"hash","","",1,null],[11,"default","","",1,{"inputs":[],"output":{"name":"specialoptions"}}],[11,"clone","","",0,{"inputs":[{"name":"self"}],"output":{"name":"compressionoptions"}}],[11,"fmt","","",0,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",0,{"inputs":[{"name":"self"},{"name":"compressionoptions"}],"output":{"name":"bool"}}],[11,"ne","","",0,{"inputs":[{"name":"self"},{"name":"compressionoptions"}],"output":{"name":"bool"}}],[11,"hash","","",0,null],[11,"high","","Returns compression settings rouhgly corresponding to the `HIGH(9)` setting in miniz.",0,{"inputs":[],"output":{"name":"compressionoptions"}}],[11,"fast","","Returns  a fast set of compression settings",0,{"inputs":[],"output":{"name":"compressionoptions"}}],[11,"huffman_only","","Returns a set of compression settings that makes the compressor only compress using huffman coding. (Ignoring any length/distance matching)",0,{"inputs":[],"output":{"name":"compressionoptions"}}],[11,"rle","","Returns a set of compression settings that makes the compressor compress only using run-length encoding (i.e only looking for matches one byte back).",0,{"inputs":[],"output":{"name":"compressionoptions"}}],[11,"default","","Returns the options describing the default compression level.",0,{"inputs":[],"output":{"name":"compressionoptions"}}],[11,"from","","",0,{"inputs":[{"name":"compression"}],"output":{"name":"compressionoptions"}}],[11,"clone","","",3,{"inputs":[{"name":"self"}],"output":{"name":"matchingtype"}}],[11,"fmt","","",3,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",3,{"inputs":[{"name":"self"},{"name":"matchingtype"}],"output":{"name":"bool"}}],[11,"cmp","","",3,{"inputs":[{"name":"self"},{"name":"matchingtype"}],"output":{"name":"ordering"}}],[11,"partial_cmp","","",3,{"inputs":[{"name":"self"},{"name":"matchingtype"}],"output":{"name":"option"}}],[11,"hash","","",3,null],[11,"fmt","","",3,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[0,"write","","Encoders implementing a `Write` interface.",null,null],[3,"DeflateEncoder","deflate::write","A DEFLATE encoder/compressor.",null,null],[3,"ZlibEncoder","","A Zlib encoder/compressor.",null,null],[11,"new","","Creates a new encoder using the provided compression options.",4,{"inputs":[{"name":"w"},{"name":"o"}],"output":{"name":"deflateencoder"}}],[11,"finish","","Encode all pending data to the contained writer, consume this `DeflateEncoder`, and return the contained writer if writing succeeds.",4,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"reset","","Resets the encoder (except the compression options), replacing the current writer with a new one, returning the old one.",4,{"inputs":[{"name":"self"},{"name":"w"}],"output":{"name":"result"}}],[11,"write","","",4,null],[11,"flush","","Flush the encoder.",4,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"drop","","When the encoder is dropped, output the rest of the data.",4,{"inputs":[{"name":"self"}],"output":null}],[11,"new","","Create a new `ZlibEncoder` using the provided compression options.",5,{"inputs":[{"name":"w"},{"name":"o"}],"output":{"name":"zlibencoder"}}],[11,"finish","","Encode all pending data to the contained writer, consume this `ZlibEncoder`, and return the contained writer if writing succeeds.",5,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"reset","","Resets the encoder (except the compression options), replacing the current writer with a new one, returning the old one.",5,{"inputs":[{"name":"self"},{"name":"w"}],"output":{"name":"result"}}],[11,"checksum","","Return the adler32 checksum of the currently consumed data.",5,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"write","","",5,null],[11,"flush","","Flush the encoder.",5,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"drop","","When the encoder is dropped, output the rest of the data.",5,{"inputs":[{"name":"self"}],"output":null}]],"paths":[[3,"CompressionOptions"],[4,"SpecialOptions"],[4,"Compression"],[4,"MatchingType"],[3,"DeflateEncoder"],[3,"ZlibEncoder"]]};
searchIndex["error_chain"] = {"doc":"A library for consistent and reliable error handling","items":[[3,"Backtrace","error_chain","Representation of an owned and self-contained backtrace.",null,null],[3,"ErrorChainIter","","Iterator over the error chain using the `Error::cause()` method.",null,null],[12,"0","","",0,null],[3,"Display","","A struct which formats an error for output.",null,null],[0,"example_generated","","These modules show an example of code generated by the macro. IT MUST NOT BE USED OUTSIDE THIS CRATE.",null,null],[3,"Error","error_chain::example_generated","The Error type.",null,null],[12,"0","","The kind of the error.",1,null],[4,"ErrorKind","","The kind of an error.",null,null],[13,"Msg","","A convenient variant for String.",2,null],[13,"Inner","","Link to another `ErrorChain`.",2,null],[13,"Io","","Link to a `std::error::Error` type.",2,null],[13,"Custom","","A custom error kind.",2,null],[0,"inner","","Another code generated by the macro.",null,null],[3,"Error","error_chain::example_generated::inner","The Error type.",null,null],[12,"0","","The kind of the error.",3,null],[4,"ErrorKind","","The kind of an error.",null,null],[13,"Msg","","A convenient variant for String.",4,null],[6,"Result","","Convenient wrapper around `std::Result`.",null,null],[8,"ResultExt","","Additional methods for `Result`, for easy interaction with this crate.",null,null],[10,"chain_err","","If the `Result` is an `Err` then `chain_err` evaluates the closure, which returns some type that can be converted to `ErrorKind`, boxes the original error to store as the cause, then returns a new error containing the original error.",5,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"result"}}],[10,"from_err","","Converts a convertible error via `From::from` to the result error. Useful to turn e.g. `std::io::Error` into our own Error type.",5,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"fmt","","",3,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"new","","",3,{"inputs":[{"name":"errorkind"},{"name":"state"}],"output":{"name":"error"}}],[11,"from_kind","","",3,null],[11,"with_chain","","",3,{"inputs":[{"name":"e"},{"name":"k"}],"output":{"name":"self"}}],[11,"kind","","",3,null],[11,"iter","","",3,{"inputs":[{"name":"self"}],"output":{"name":"errorchainiter"}}],[11,"chain_err","","",3,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"self"}}],[11,"backtrace","","",3,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"extract_backtrace","","",3,{"inputs":[{"name":"error"}],"output":{"name":"option"}}],[11,"from_kind","","Constructs an error from a kind, and generates a backtrace.",3,{"inputs":[{"name":"errorkind"}],"output":{"name":"error"}}],[11,"with_chain","","Constructs a chained error from another error and a kind, and generates a backtrace.",3,{"inputs":[{"name":"e"},{"name":"k"}],"output":{"name":"error"}}],[11,"kind","","Returns the kind of the error.",3,{"inputs":[{"name":"self"}],"output":{"name":"errorkind"}}],[11,"iter","","Iterates over the error chain.",3,{"inputs":[{"name":"self"}],"output":{"name":"errorchainiter"}}],[11,"backtrace","","Returns the backtrace associated with this error.",3,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"chain_err","","Extends the error chain with a new entry.",3,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"error"}}],[11,"description","","",3,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"cause","","",3,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"fmt","","",3,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"from","","",3,{"inputs":[{"name":"errorkind"}],"output":{"name":"self"}}],[11,"from","","",3,{"inputs":[{"name":"str"}],"output":{"name":"self"}}],[11,"from","","",3,{"inputs":[{"name":"string"}],"output":{"name":"self"}}],[11,"deref","","",3,null],[11,"fmt","","",4,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",4,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"description","","A string describing the error kind.",4,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"from","","",4,{"inputs":[{"name":"str"}],"output":{"name":"self"}}],[11,"from","","",4,{"inputs":[{"name":"string"}],"output":{"name":"self"}}],[11,"from","","",4,{"inputs":[{"name":"error"}],"output":{"name":"self"}}],[6,"Result","error_chain::example_generated","Convenient wrapper around `std::Result`.",null,null],[8,"ResultExt","","Additional methods for `Result`, for easy interaction with this crate.",null,null],[10,"chain_err","","If the `Result` is an `Err` then `chain_err` evaluates the closure, which returns some type that can be converted to `ErrorKind`, boxes the original error to store as the cause, then returns a new error containing the original error.",6,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"result"}}],[10,"from_err","","Converts a convertible error via `From::from` to the result error. Useful to turn e.g. `std::io::Error` into our own Error type.",6,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"fmt","","",1,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"new","","",1,{"inputs":[{"name":"errorkind"},{"name":"state"}],"output":{"name":"error"}}],[11,"from_kind","","",1,null],[11,"with_chain","","",1,{"inputs":[{"name":"e"},{"name":"k"}],"output":{"name":"self"}}],[11,"kind","","",1,null],[11,"iter","","",1,{"inputs":[{"name":"self"}],"output":{"name":"errorchainiter"}}],[11,"chain_err","","",1,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"self"}}],[11,"backtrace","","",1,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"extract_backtrace","","",1,{"inputs":[{"name":"error"}],"output":{"name":"option"}}],[11,"from_kind","","Constructs an error from a kind, and generates a backtrace.",1,{"inputs":[{"name":"errorkind"}],"output":{"name":"error"}}],[11,"with_chain","","Constructs a chained error from another error and a kind, and generates a backtrace.",1,{"inputs":[{"name":"e"},{"name":"k"}],"output":{"name":"error"}}],[11,"kind","","Returns the kind of the error.",1,{"inputs":[{"name":"self"}],"output":{"name":"errorkind"}}],[11,"iter","","Iterates over the error chain.",1,{"inputs":[{"name":"self"}],"output":{"name":"errorchainiter"}}],[11,"backtrace","","Returns the backtrace associated with this error.",1,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"chain_err","","Extends the error chain with a new entry.",1,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"error"}}],[11,"description","","",1,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"cause","","",1,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"fmt","","",1,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"from","","",1,{"inputs":[{"name":"error"}],"output":{"name":"self"}}],[11,"from","","",1,{"inputs":[{"name":"error"}],"output":{"name":"self"}}],[11,"from","","",1,{"inputs":[{"name":"errorkind"}],"output":{"name":"self"}}],[11,"from","","",1,{"inputs":[{"name":"str"}],"output":{"name":"self"}}],[11,"from","","",1,{"inputs":[{"name":"string"}],"output":{"name":"self"}}],[11,"deref","","",1,null],[11,"fmt","","",2,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",2,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"description","","A string describing the error kind.",2,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"from","","",2,{"inputs":[{"name":"errorkind"}],"output":{"name":"self"}}],[11,"from","","",2,{"inputs":[{"name":"str"}],"output":{"name":"self"}}],[11,"from","","",2,{"inputs":[{"name":"string"}],"output":{"name":"self"}}],[11,"from","","",2,{"inputs":[{"name":"error"}],"output":{"name":"self"}}],[8,"ExitCode","error_chain","Represents a value that can be used as the exit status of the process. See `quick_main!`.",null,null],[10,"code","","Returns the value to use as the exit status.",7,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[8,"ChainedError","","This trait is implemented on all the errors generated by the `error_chain` macro.",null,null],[16,"ErrorKind","","Associated kind type.",8,null],[10,"from_kind","","Constructs an error from a kind, and generates a backtrace.",8,null],[10,"with_chain","","Constructs a chained error from another error and a kind, and generates a backtrace.",8,{"inputs":[{"name":"e"},{"name":"k"}],"output":{"name":"self"}}],[10,"kind","","Returns the kind of the error.",8,null],[10,"iter","","Iterates over the error chain.",8,{"inputs":[{"name":"self"}],"output":{"name":"errorchainiter"}}],[10,"backtrace","","Returns the backtrace associated with this error.",8,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"display","","Returns an object which implements `Display` for printing the full context of this error.",8,{"inputs":[{"name":"self"}],"output":{"name":"display"}}],[10,"chain_err","","Extends the error chain with a new entry.",8,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"self"}}],[11,"next","","",0,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"fmt","","",9,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",9,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[14,"quick_error","","",null,null],[14,"error_chain_processed","","Prefer to use `error_chain` instead of this macro.",null,null],[14,"error_chain","","This macro is used for handling of duplicated and out-of-order fields. For the exact rules, see `error_chain_processed`.",null,null],[14,"quick_main","","Convenient wrapper to be able to use `try!` and such in the main. You can use it with a separated function:",null,null],[14,"bail","","Exits a function early with an error",null,null],[14,"ensure","","Exits a function early with an error if the condition is not satisfied",null,null],[11,"new","","Captures a backtrace at the callsite of this function, returning an owned representation.",10,{"inputs":[],"output":{"name":"backtrace"}}],[11,"frames","","Returns the frames from when this backtrace was captured.",10,null],[11,"fmt","","",10,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"into","","",10,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[11,"from","","",10,{"inputs":[{"name":"vec"}],"output":{"name":"backtrace"}}],[11,"default","","",10,{"inputs":[],"output":{"name":"backtrace"}}],[11,"clone","","",10,{"inputs":[{"name":"self"}],"output":{"name":"backtrace"}}]],"paths":[[3,"ErrorChainIter"],[3,"Error"],[4,"ErrorKind"],[3,"Error"],[4,"ErrorKind"],[8,"ResultExt"],[8,"ResultExt"],[8,"ExitCode"],[8,"ChainedError"],[3,"Display"],[3,"Backtrace"]]};
searchIndex["ffi"] = {"doc":"","items":[],"paths":[]};
searchIndex["flexi_logger"] = {"doc":"A logger that can write the log to standard error or to a fresh file in a configurable folder and allows custom logline formats. It had started as an extended copy of env_logger.","items":[[4,"LogLevel","flexi_logger","An enum representing the available verbosity levels of the logging framework.",null,null],[13,"Error","","The \"error\" level.",0,null],[13,"Warn","","The \"warn\" level.",0,null],[13,"Info","","The \"info\" level.",0,null],[13,"Debug","","The \"debug\" level.",0,null],[13,"Trace","","The \"trace\" level.",0,null],[4,"LogLevelFilter","","An enum representing the available verbosity level filters of the logging framework.",null,null],[13,"Off","","A level lower than all log levels.",1,null],[13,"Error","","Corresponds to the `Error` log level.",1,null],[13,"Warn","","Corresponds to the `Warn` log level.",1,null],[13,"Info","","Corresponds to the `Info` log level.",1,null],[13,"Debug","","Corresponds to the `Debug` log level.",1,null],[13,"Trace","","Corresponds to the `Trace` log level.",1,null],[3,"LogRecord","","The \"payload\" of a log message. This structure is primarily used as a parameter in the [`log`] method of the [`Log`] trait.",null,null],[3,"LogOptions","","Allows initializing flexi_logger to your needs.",null,null],[3,"LogConfig","","Internal struct for influencing the behavior of flexi_logger.",null,null],[12,"format","","Allows providing a custom logline format; by default `flexi_logger::default_format` is used. You can either choose between three predefined variants, `default_format`, `opt_format` and `detailed_format`, or you create and use your own format function with the signature `fn(&LogRecord) -> String`.",2,null],[12,"log_to_file","","`false``true``myprog_2015-07-08_10-44-11.log`",2,null],[12,"print_message","","If `true` (default), the name of the logfile is documented in a message to stdout.",2,null],[12,"duplicate_error","","If `true` (default), all logged error messages are duplicated to stdout.",2,null],[12,"duplicate_info","","If `true` (default), all logged warning and info messages are also duplicated to stdout.",2,null],[12,"directory","","Allows specifying a directory in which the log files are created. Default is `None`.",2,null],[12,"suffix","","Allows specifying the filesystem suffix of the log files (without the dot).  Default is `log`.",2,null],[12,"timestamp","","Allows specifying whether or not the filename should include a timestamp. Default is `true`.",2,null],[12,"rotate_over_size","","Allows specifying a maximum size for log files in bytes; when the specified file size is reached or exceeded, the file will be closed and a new one will be opened. The filename pattern changes - instead of the timestamp the serial number is included into the filename.",2,null],[12,"discriminant","","Allows specifying an additional part of the log file name that is inserted after the program name. Default is `None`.",2,null],[12,"create_symlink","","Allows specifying an option to create a symlink to the most recent log file created using the given name. Default is `None`.",2,null],[3,"FlexiLogger","","Does the logging in the background, is normally not used directly.",null,null],[4,"FlexiLoggerError","","Describes errors in the initialization of flexi_logger.",null,null],[13,"BadDirectory","","\"Log cannot be written, most likely due to permission errors on OS level\"",3,null],[13,"Io","","\"Log cannot be written because the configured output directory is not accessible\"",3,null],[13,"Log","","\"Logger initialization failed\"",3,null],[5,"default_format","","A logline-formatter that produces log lines like  `INFO [my_prog::some_submodule] Task successfully read from conf.json`",null,{"inputs":[{"name":"logrecord"}],"output":{"name":"string"}}],[5,"opt_format","","A logline-formatter that produces log lines like  `[2016-01-13 15:25:01.640870 +01:00] INFO [src/foo/bar:26] Task successfully read from conf.json`  i.e. with timestamp and file location.",null,{"inputs":[{"name":"logrecord"}],"output":{"name":"string"}}],[5,"detailed_format","","A logline-formatter that produces log lines like  `[2016-01-13 15:25:01.640870 +01:00] INFO [foo::bar] src/foo/bar.rs:26: Task successfully read from conf.json`  i.e. with timestamp, module path and file location.",null,{"inputs":[{"name":"logrecord"}],"output":{"name":"string"}}],[5,"with_thread","","A logline-formatter that produces log lines like  `[2016-01-13 15:25:01.640870 +01:00] T[taskreader] INFO [src/foo/bar:26] Task successfully read from conf.json`  i.e. with timestamp, thread name and file location.",null,{"inputs":[{"name":"logrecord"}],"output":{"name":"string"}}],[5,"init","","Initializes the flexi_logger to your needs, and the global logger with flexi_logger.",null,{"inputs":[{"name":"logconfig"},{"name":"option"}],"output":{"name":"result"}}],[11,"fmt","","",3,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",3,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"description","","",3,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"cause","","",3,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"from","","",3,{"inputs":[{"name":"setloggererror"}],"output":{"name":"flexiloggererror"}}],[11,"from","","",3,{"inputs":[{"name":"error"}],"output":{"name":"flexiloggererror"}}],[11,"new","","Creates a new FlexiLogger instance based on your configuration and a loglevel specification.",4,{"inputs":[{"name":"option"},{"name":"logconfig"}],"output":{"name":"result"}}],[11,"fl_enabled","","Checks if a log line for the specified target and level is to be written really",4,{"inputs":[{"name":"self"},{"name":"loglevel"},{"name":"str"}],"output":{"name":"bool"}}],[11,"enabled","","",4,{"inputs":[{"name":"self"},{"name":"logmetadata"}],"output":{"name":"bool"}}],[11,"log","","",4,{"inputs":[{"name":"self"},{"name":"logrecord"}],"output":null}],[11,"new","","The defaults for the logger initialization are",2,{"inputs":[],"output":{"name":"logconfig"}}],[11,"new","","The defaults for the logger initialization are",5,{"inputs":[],"output":{"name":"logoptions"}}],[11,"log_to_file","","Sets the option for logging to a file.",5,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"logoptions"}}],[11,"print_message","","Sets the option for printing out an info message when a new output file is used.",5,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"logoptions"}}],[11,"duplicate_error","","Sets the option for duplicating logged error messages to stdout.",5,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"logoptions"}}],[11,"duplicate_info","","Sets the option for duplicating logged error, warning and info messages to stdout.",5,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"logoptions"}}],[11,"format","","Specifies a formatting function for the log entries.",5,null],[11,"directory","","Specifies a folder for the log files.",5,{"inputs":[{"name":"self"},{"name":"option"}],"output":{"name":"logoptions"}}],[11,"suffix","","Specifies a suffix for the log files.",5,{"inputs":[{"name":"self"},{"name":"option"}],"output":{"name":"logoptions"}}],[11,"timestamp","","Sets the option for including a timestamp into the name of the log files.",5,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"logoptions"}}],[11,"rotate_over_size","","Sets the option for specifying a maximum size for log files in bytes.",5,{"inputs":[{"name":"self"},{"name":"option"}],"output":{"name":"logoptions"}}],[11,"discriminant","","Sets the option for specifying an additional part of the log file name.",5,{"inputs":[{"name":"self"},{"name":"option"}],"output":{"name":"logoptions"}}],[11,"symlink","","Sets the option for including a timestamp into the name of the log files.",5,{"inputs":[{"name":"self"},{"name":"option"}],"output":{"name":"logoptions"}}],[11,"init","","Consumes the LogOptions object and initializes the flexi_logger.",5,{"inputs":[{"name":"self"},{"name":"option"}],"output":{"name":"result"}}],[11,"max","","Returns the most verbose logging level.",0,{"inputs":[],"output":{"name":"loglevel"}}],[11,"to_log_level_filter","","Converts the `LogLevel` to the equivalent `LogLevelFilter`.",0,{"inputs":[{"name":"self"}],"output":{"name":"loglevelfilter"}}],[11,"fmt","","",0,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",6,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",1,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",0,null],[11,"hash","","",1,null],[11,"partial_cmp","","",1,{"inputs":[{"name":"self"},{"name":"loglevel"}],"output":{"name":"option"}}],[11,"partial_cmp","","",0,{"inputs":[{"name":"self"},{"name":"loglevelfilter"}],"output":{"name":"option"}}],[11,"partial_cmp","","",0,{"inputs":[{"name":"self"},{"name":"loglevel"}],"output":{"name":"option"}}],[11,"partial_cmp","","",1,{"inputs":[{"name":"self"},{"name":"loglevelfilter"}],"output":{"name":"option"}}],[11,"fmt","","",0,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",1,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"from_str","","",1,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[11,"from_str","","",0,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[11,"cmp","","",0,{"inputs":[{"name":"self"},{"name":"loglevel"}],"output":{"name":"ordering"}}],[11,"cmp","","",1,{"inputs":[{"name":"self"},{"name":"loglevelfilter"}],"output":{"name":"ordering"}}],[11,"clone","","",1,{"inputs":[{"name":"self"}],"output":{"name":"loglevelfilter"}}],[11,"clone","","",0,{"inputs":[{"name":"self"}],"output":{"name":"loglevel"}}],[11,"eq","","",1,{"inputs":[{"name":"self"},{"name":"loglevel"}],"output":{"name":"bool"}}],[11,"eq","","",1,{"inputs":[{"name":"self"},{"name":"loglevelfilter"}],"output":{"name":"bool"}}],[11,"eq","","",0,{"inputs":[{"name":"self"},{"name":"loglevel"}],"output":{"name":"bool"}}],[11,"eq","","",0,{"inputs":[{"name":"self"},{"name":"loglevelfilter"}],"output":{"name":"bool"}}],[11,"max","","Returns the most verbose logging level filter.",1,{"inputs":[],"output":{"name":"loglevelfilter"}}],[11,"to_log_level","","Converts `self` to the equivalent `LogLevel`.",1,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"args","","The message body.",6,{"inputs":[{"name":"self"}],"output":{"name":"arguments"}}],[11,"metadata","","Metadata about the log directive.",6,{"inputs":[{"name":"self"}],"output":{"name":"logmetadata"}}],[11,"location","","The location of the log directive.",6,{"inputs":[{"name":"self"}],"output":{"name":"loglocation"}}],[11,"level","","The verbosity level of the message.",6,{"inputs":[{"name":"self"}],"output":{"name":"loglevel"}}],[11,"target","","The name of the target of the directive.",6,{"inputs":[{"name":"self"}],"output":{"name":"str"}}]],"paths":[[4,"LogLevel"],[4,"LogLevelFilter"],[3,"LogConfig"],[4,"FlexiLoggerError"],[3,"FlexiLogger"],[3,"LogOptions"],[3,"LogRecord"]]};
searchIndex["gdk"] = {"doc":"","items":[[3,"Color","gdk","",null,null],[12,"pixel","","",0,null],[12,"red","","",0,null],[12,"green","","",0,null],[12,"blue","","",0,null],[3,"Error","","A generic error capable of representing various error domains (types).",null,null],[3,"AppLaunchContext","","",null,null],[3,"Cursor","","",null,null],[3,"Device","","",null,null],[3,"DeviceManager","","",null,null],[3,"DeviceTool","","",null,null],[3,"Display","","",null,null],[3,"DisplayManager","","",null,null],[3,"DragContext","","",null,null],[3,"DrawingContext","","",null,null],[3,"FrameClock","","",null,null],[3,"GLContext","","",null,null],[3,"Monitor","","",null,null],[3,"Screen","","",null,null],[3,"Seat","","",null,null],[3,"Visual","","",null,null],[3,"Window","","",null,null],[3,"FrameTimings","","",null,null],[3,"AnchorHints","","",null,null],[3,"AxisFlags","","",null,null],[3,"DragAction","","",null,null],[3,"EventMask","","",null,null],[3,"FrameClockPhase","","",null,null],[3,"ModifierType","","",null,null],[3,"SeatCapabilities","","",null,null],[3,"WMDecoration","","",null,null],[3,"WMFunction","","",null,null],[3,"WindowHints","","",null,null],[3,"WindowState","","",null,null],[3,"Atom","","",null,null],[3,"Event","","A generic GDK event.",null,null],[3,"EventButton","","",null,null],[3,"EventConfigure","","",null,null],[3,"EventCrossing","","",null,null],[3,"EventDND","","",null,null],[3,"EventExpose","","",null,null],[3,"EventFocus","","",null,null],[3,"EventGrabBroken","","",null,null],[3,"EventKey","","",null,null],[3,"EventMotion","","",null,null],[3,"EventOwnerChange","","",null,null],[3,"EventProperty","","",null,null],[3,"EventProximity","","",null,null],[3,"EventScroll","","",null,null],[3,"EventSelection","","",null,null],[3,"EventSetting","","",null,null],[3,"EventTouch","","",null,null],[3,"EventVisibility","","",null,null],[3,"EventWindowState","","",null,null],[3,"Geometry","","",null,null],[12,"min_width","","",1,null],[12,"min_height","","",1,null],[12,"max_width","","",1,null],[12,"max_height","","",1,null],[12,"base_width","","",1,null],[12,"base_height","","",1,null],[12,"width_inc","","",1,null],[12,"height_inc","","",1,null],[12,"min_aspect","","",1,null],[12,"max_aspect","","",1,null],[12,"win_gravity","","",1,null],[3,"Rectangle","","",null,null],[12,"x","","",2,null],[12,"y","","",2,null],[12,"width","","",2,null],[12,"height","","",2,null],[3,"RGBA","","",null,null],[12,"red","","",3,null],[12,"green","","",3,null],[12,"blue","","",3,null],[12,"alpha","","",3,null],[3,"RgbaParseError","","",null,null],[3,"WindowAttr","","",null,null],[12,"title","","",4,null],[12,"event_mask","","",4,null],[12,"x","","",4,null],[12,"y","","",4,null],[12,"width","","",4,null],[12,"height","","",4,null],[12,"wclass","","",4,null],[12,"visual","","",4,null],[12,"window_type","","",4,null],[12,"cursor","","",4,null],[12,"override_redirect","","",4,null],[12,"type_hint","","",4,null],[4,"AxisUse","","",null,null],[13,"Ignore","","",5,null],[13,"X","","",5,null],[13,"Y","","",5,null],[13,"Pressure","","",5,null],[13,"Xtilt","","",5,null],[13,"Ytilt","","",5,null],[13,"Wheel","","",5,null],[13,"Distance","","",5,null],[13,"Rotation","","",5,null],[13,"Slider","","",5,null],[13,"Last","","",5,null],[4,"ByteOrder","","",null,null],[13,"LsbFirst","","",6,null],[13,"MsbFirst","","",6,null],[4,"CrossingMode","","",null,null],[13,"Normal","","",7,null],[13,"Grab","","",7,null],[13,"Ungrab","","",7,null],[13,"GtkGrab","","",7,null],[13,"GtkUngrab","","",7,null],[13,"StateChanged","","",7,null],[13,"TouchBegin","","",7,null],[13,"TouchEnd","","",7,null],[13,"DeviceSwitch","","",7,null],[4,"CursorType","","",null,null],[13,"XCursor","","",8,null],[13,"Arrow","","",8,null],[13,"BasedArrowDown","","",8,null],[13,"BasedArrowUp","","",8,null],[13,"Boat","","",8,null],[13,"Bogosity","","",8,null],[13,"BottomLeftCorner","","",8,null],[13,"BottomRightCorner","","",8,null],[13,"BottomSide","","",8,null],[13,"BottomTee","","",8,null],[13,"BoxSpiral","","",8,null],[13,"CenterPtr","","",8,null],[13,"Circle","","",8,null],[13,"Clock","","",8,null],[13,"CoffeeMug","","",8,null],[13,"Cross","","",8,null],[13,"CrossReverse","","",8,null],[13,"Crosshair","","",8,null],[13,"DiamondCross","","",8,null],[13,"Dot","","",8,null],[13,"Dotbox","","",8,null],[13,"DoubleArrow","","",8,null],[13,"DraftLarge","","",8,null],[13,"DraftSmall","","",8,null],[13,"DrapedBox","","",8,null],[13,"Exchange","","",8,null],[13,"Fleur","","",8,null],[13,"Gobbler","","",8,null],[13,"Gumby","","",8,null],[13,"Hand1","","",8,null],[13,"Hand2","","",8,null],[13,"Heart","","",8,null],[13,"Icon","","",8,null],[13,"IronCross","","",8,null],[13,"LeftPtr","","",8,null],[13,"LeftSide","","",8,null],[13,"LeftTee","","",8,null],[13,"Leftbutton","","",8,null],[13,"LlAngle","","",8,null],[13,"LrAngle","","",8,null],[13,"Man","","",8,null],[13,"Middlebutton","","",8,null],[13,"Mouse","","",8,null],[13,"Pencil","","",8,null],[13,"Pirate","","",8,null],[13,"Plus","","",8,null],[13,"QuestionArrow","","",8,null],[13,"RightPtr","","",8,null],[13,"RightSide","","",8,null],[13,"RightTee","","",8,null],[13,"Rightbutton","","",8,null],[13,"RtlLogo","","",8,null],[13,"Sailboat","","",8,null],[13,"SbDownArrow","","",8,null],[13,"SbHDoubleArrow","","",8,null],[13,"SbLeftArrow","","",8,null],[13,"SbRightArrow","","",8,null],[13,"SbUpArrow","","",8,null],[13,"SbVDoubleArrow","","",8,null],[13,"Shuttle","","",8,null],[13,"Sizing","","",8,null],[13,"Spider","","",8,null],[13,"Spraycan","","",8,null],[13,"Star","","",8,null],[13,"Target","","",8,null],[13,"Tcross","","",8,null],[13,"TopLeftArrow","","",8,null],[13,"TopLeftCorner","","",8,null],[13,"TopRightCorner","","",8,null],[13,"TopSide","","",8,null],[13,"TopTee","","",8,null],[13,"Trek","","",8,null],[13,"UlAngle","","",8,null],[13,"Umbrella","","",8,null],[13,"UrAngle","","",8,null],[13,"Watch","","",8,null],[13,"Xterm","","",8,null],[13,"LastCursor","","",8,null],[13,"BlankCursor","","",8,null],[13,"CursorIsPixmap","","",8,null],[4,"DeviceToolType","","",null,null],[13,"Unknown","","",9,null],[13,"Pen","","",9,null],[13,"Eraser","","",9,null],[13,"Brush","","",9,null],[13,"Pencil","","",9,null],[13,"Airbrush","","",9,null],[13,"Mouse","","",9,null],[13,"Lens","","",9,null],[4,"DeviceType","","",null,null],[13,"Master","","",10,null],[13,"Slave","","",10,null],[13,"Floating","","",10,null],[4,"DragCancelReason","","",null,null],[13,"NoTarget","","",11,null],[13,"UserCancelled","","",11,null],[13,"Error","","",11,null],[4,"DragProtocol","","",null,null],[13,"None","","",12,null],[13,"Motif","","",12,null],[13,"Xdnd","","",12,null],[13,"Rootwin","","",12,null],[13,"Win32Dropfiles","","",12,null],[13,"Ole2","","",12,null],[13,"Local","","",12,null],[13,"Wayland","","",12,null],[4,"EventType","","",null,null],[13,"Nothing","","",13,null],[13,"Delete","","",13,null],[13,"Destroy","","",13,null],[13,"Expose","","",13,null],[13,"MotionNotify","","",13,null],[13,"ButtonPress","","",13,null],[13,"DoubleButtonPress","","",13,null],[13,"TripleButtonPress","","",13,null],[13,"ButtonRelease","","",13,null],[13,"KeyPress","","",13,null],[13,"KeyRelease","","",13,null],[13,"EnterNotify","","",13,null],[13,"LeaveNotify","","",13,null],[13,"FocusChange","","",13,null],[13,"Configure","","",13,null],[13,"Map","","",13,null],[13,"Unmap","","",13,null],[13,"PropertyNotify","","",13,null],[13,"SelectionClear","","",13,null],[13,"SelectionRequest","","",13,null],[13,"SelectionNotify","","",13,null],[13,"ProximityIn","","",13,null],[13,"ProximityOut","","",13,null],[13,"DragEnter","","",13,null],[13,"DragLeave","","",13,null],[13,"DragMotion","","",13,null],[13,"DragStatus","","",13,null],[13,"DropStart","","",13,null],[13,"DropFinished","","",13,null],[13,"ClientEvent","","",13,null],[13,"VisibilityNotify","","",13,null],[13,"Scroll","","",13,null],[13,"WindowState","","",13,null],[13,"Setting","","",13,null],[13,"OwnerChange","","",13,null],[13,"GrabBroken","","",13,null],[13,"Damage","","",13,null],[13,"TouchBegin","","",13,null],[13,"TouchUpdate","","",13,null],[13,"TouchEnd","","",13,null],[13,"TouchCancel","","",13,null],[13,"TouchpadSwipe","","",13,null],[13,"TouchpadPinch","","",13,null],[13,"PadButtonPress","","",13,null],[13,"PadButtonRelease","","",13,null],[13,"PadRing","","",13,null],[13,"PadStrip","","",13,null],[13,"PadGroupMode","","",13,null],[4,"FullscreenMode","","",null,null],[13,"CurrentMonitor","","",14,null],[13,"AllMonitors","","",14,null],[4,"GLError","","",null,null],[13,"NotAvailable","","",15,null],[13,"UnsupportedFormat","","",15,null],[13,"UnsupportedProfile","","",15,null],[4,"GrabOwnership","","",null,null],[13,"None","","",16,null],[13,"Window","","",16,null],[13,"Application","","",16,null],[4,"GrabStatus","","",null,null],[13,"Success","","",17,null],[13,"AlreadyGrabbed","","",17,null],[13,"InvalidTime","","",17,null],[13,"NotViewable","","",17,null],[13,"Frozen","","",17,null],[13,"Failed","","",17,null],[4,"Gravity","","",null,null],[13,"NorthWest","","",18,null],[13,"North","","",18,null],[13,"NorthEast","","",18,null],[13,"West","","",18,null],[13,"Center","","",18,null],[13,"East","","",18,null],[13,"SouthWest","","",18,null],[13,"South","","",18,null],[13,"SouthEast","","",18,null],[13,"Static","","",18,null],[4,"InputMode","","",null,null],[13,"Disabled","","",19,null],[13,"Screen","","",19,null],[13,"Window","","",19,null],[4,"InputSource","","",null,null],[13,"Mouse","","",20,null],[13,"Pen","","",20,null],[13,"Eraser","","",20,null],[13,"Cursor","","",20,null],[13,"Keyboard","","",20,null],[13,"Touchscreen","","",20,null],[13,"Touchpad","","",20,null],[13,"Trackpoint","","",20,null],[13,"TabletPad","","",20,null],[4,"ModifierIntent","","",null,null],[13,"PrimaryAccelerator","","",21,null],[13,"ContextMenu","","",21,null],[13,"ExtendSelection","","",21,null],[13,"ModifySelection","","",21,null],[13,"NoTextInput","","",21,null],[13,"ShiftGroup","","",21,null],[13,"DefaultModMask","","",21,null],[4,"NotifyType","","",null,null],[13,"Ancestor","","",22,null],[13,"Virtual","","",22,null],[13,"Inferior","","",22,null],[13,"Nonlinear","","",22,null],[13,"NonlinearVirtual","","",22,null],[13,"Unknown","","",22,null],[4,"OwnerChange","","",null,null],[13,"NewOwner","","",23,null],[13,"Destroy","","",23,null],[13,"Close","","",23,null],[4,"PropertyState","","",null,null],[13,"NewValue","","",24,null],[13,"Delete","","",24,null],[4,"ScrollDirection","","",null,null],[13,"Up","","",25,null],[13,"Down","","",25,null],[13,"Left","","",25,null],[13,"Right","","",25,null],[13,"Smooth","","",25,null],[4,"SettingAction","","",null,null],[13,"New","","",26,null],[13,"Changed","","",26,null],[13,"Deleted","","",26,null],[4,"SubpixelLayout","","",null,null],[13,"Unknown","","",27,null],[13,"None","","",27,null],[13,"HorizontalRgb","","",27,null],[13,"HorizontalBgr","","",27,null],[13,"VerticalRgb","","",27,null],[13,"VerticalBgr","","",27,null],[4,"VisibilityState","","",null,null],[13,"Unobscured","","",28,null],[13,"Partial","","",28,null],[13,"FullyObscured","","",28,null],[4,"VisualType","","",null,null],[13,"StaticGray","","",29,null],[13,"Grayscale","","",29,null],[13,"StaticColor","","",29,null],[13,"PseudoColor","","",29,null],[13,"TrueColor","","",29,null],[13,"DirectColor","","",29,null],[4,"WindowEdge","","",null,null],[13,"NorthWest","","",30,null],[13,"North","","",30,null],[13,"NorthEast","","",30,null],[13,"West","","",30,null],[13,"East","","",30,null],[13,"SouthWest","","",30,null],[13,"South","","",30,null],[13,"SouthEast","","",30,null],[4,"WindowType","","",null,null],[13,"Root","","",31,null],[13,"Toplevel","","",31,null],[13,"Child","","",31,null],[13,"Temp","","",31,null],[13,"Foreign","","",31,null],[13,"Offscreen","","",31,null],[13,"Subsurface","","",31,null],[4,"WindowTypeHint","","",null,null],[13,"Normal","","",32,null],[13,"Dialog","","",32,null],[13,"Menu","","",32,null],[13,"Toolbar","","",32,null],[13,"Splashscreen","","",32,null],[13,"Utility","","",32,null],[13,"Dock","","",32,null],[13,"Desktop","","",32,null],[13,"DropdownMenu","","",32,null],[13,"PopupMenu","","",32,null],[13,"Tooltip","","",32,null],[13,"Notification","","",32,null],[13,"Combo","","",32,null],[13,"Dnd","","",32,null],[4,"WindowWindowClass","","",null,null],[13,"InputOutput","","",33,null],[13,"InputOnly","","",33,null],[5,"beep","","",null,{"inputs":[],"output":null}],[5,"error_trap_pop","","",null,{"inputs":[],"output":{"name":"i32"}}],[5,"error_trap_pop_ignored","","",null,{"inputs":[],"output":null}],[5,"error_trap_push","","",null,{"inputs":[],"output":null}],[5,"events_get_angle","","",null,{"inputs":[{"name":"event"},{"name":"event"}],"output":{"name":"option"}}],[5,"events_get_center","","",null,{"inputs":[{"name":"event"},{"name":"event"}],"output":{"name":"option"}}],[5,"events_get_distance","","",null,{"inputs":[{"name":"event"},{"name":"event"}],"output":{"name":"option"}}],[5,"events_pending","","",null,{"inputs":[],"output":{"name":"bool"}}],[5,"flush","","",null,{"inputs":[],"output":null}],[5,"get_display","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"get_display_arg_name","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"get_program_class","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"get_show_events","","",null,{"inputs":[],"output":{"name":"bool"}}],[5,"keyboard_grab","","",null,{"inputs":[{"name":"window"},{"name":"bool"},{"name":"u32"}],"output":{"name":"grabstatus"}}],[5,"keyboard_ungrab","","",null,{"inputs":[{"name":"u32"}],"output":null}],[5,"keyval_convert_case","","",null,null],[5,"keyval_from_name","","",null,{"inputs":[{"name":"str"}],"output":{"name":"u32"}}],[5,"keyval_is_lower","","",null,{"inputs":[{"name":"u32"}],"output":{"name":"bool"}}],[5,"keyval_is_upper","","",null,{"inputs":[{"name":"u32"}],"output":{"name":"bool"}}],[5,"keyval_to_lower","","",null,{"inputs":[{"name":"u32"}],"output":{"name":"u32"}}],[5,"keyval_to_upper","","",null,{"inputs":[{"name":"u32"}],"output":{"name":"u32"}}],[5,"list_visuals","","",null,{"inputs":[],"output":{"name":"vec"}}],[5,"notify_startup_complete","","",null,{"inputs":[],"output":null}],[5,"notify_startup_complete_with_id","","",null,{"inputs":[{"name":"str"}],"output":null}],[5,"pango_context_get","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"pango_context_get_for_display","","",null,{"inputs":[{"name":"display"}],"output":{"name":"option"}}],[5,"pango_context_get_for_screen","","",null,{"inputs":[{"name":"screen"}],"output":{"name":"option"}}],[5,"pixbuf_get_from_surface","","",null,{"inputs":[{"name":"surface"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[5,"pointer_grab","","",null,{"inputs":[{"name":"window"},{"name":"bool"},{"name":"eventmask"},{"name":"p"},{"name":"q"},{"name":"u32"}],"output":{"name":"grabstatus"}}],[5,"pointer_is_grabbed","","",null,{"inputs":[],"output":{"name":"bool"}}],[5,"pointer_ungrab","","",null,{"inputs":[{"name":"u32"}],"output":null}],[5,"pre_parse_libgtk_only","","",null,{"inputs":[],"output":null}],[5,"property_delete","","",null,{"inputs":[{"name":"window"},{"name":"atom"}],"output":null}],[5,"selection_convert","","",null,{"inputs":[{"name":"window"},{"name":"atom"},{"name":"atom"},{"name":"u32"}],"output":null}],[5,"selection_owner_get","","",null,{"inputs":[{"name":"atom"}],"output":{"name":"option"}}],[5,"selection_owner_get_for_display","","",null,{"inputs":[{"name":"display"},{"name":"atom"}],"output":{"name":"option"}}],[5,"selection_owner_set","","",null,{"inputs":[{"name":"p"},{"name":"atom"},{"name":"u32"},{"name":"bool"}],"output":{"name":"bool"}}],[5,"selection_owner_set_for_display","","",null,{"inputs":[{"name":"display"},{"name":"p"},{"name":"atom"},{"name":"u32"},{"name":"bool"}],"output":{"name":"bool"}}],[5,"selection_send_notify","","",null,{"inputs":[{"name":"window"},{"name":"atom"},{"name":"atom"},{"name":"atom"},{"name":"u32"}],"output":null}],[5,"selection_send_notify_for_display","","",null,{"inputs":[{"name":"display"},{"name":"window"},{"name":"atom"},{"name":"atom"},{"name":"atom"},{"name":"u32"}],"output":null}],[5,"set_allowed_backends","","",null,{"inputs":[{"name":"str"}],"output":null}],[5,"set_double_click_time","","",null,{"inputs":[{"name":"u32"}],"output":null}],[5,"set_program_class","","",null,{"inputs":[{"name":"str"}],"output":null}],[5,"set_show_events","","",null,{"inputs":[{"name":"bool"}],"output":null}],[5,"synthesize_window_state","","",null,{"inputs":[{"name":"window"},{"name":"windowstate"},{"name":"windowstate"}],"output":null}],[5,"test_render_sync","","",null,{"inputs":[{"name":"window"}],"output":null}],[5,"test_simulate_button","","",null,{"inputs":[{"name":"window"},{"name":"i32"},{"name":"i32"},{"name":"u32"},{"name":"modifiertype"},{"name":"eventtype"}],"output":{"name":"bool"}}],[5,"test_simulate_key","","",null,{"inputs":[{"name":"window"},{"name":"i32"},{"name":"i32"},{"name":"u32"},{"name":"modifiertype"},{"name":"eventtype"}],"output":{"name":"bool"}}],[5,"threads_enter","","",null,{"inputs":[],"output":null}],[5,"threads_init","","",null,{"inputs":[],"output":null}],[5,"threads_leave","","",null,{"inputs":[],"output":null}],[5,"unicode_to_keyval","","",null,{"inputs":[{"name":"u32"}],"output":{"name":"u32"}}],[5,"utf8_to_string_target","","",null,{"inputs":[{"name":"str"}],"output":{"name":"option"}}],[5,"init","","",null,{"inputs":[],"output":null}],[5,"set_initialized","","Informs this crate that GDK has been initialized and the current thread is the main one.",null,{"inputs":[],"output":null}],[5,"keyval_name","","",null,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[5,"keyval_to_unicode","","",null,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"clone","","",34,{"inputs":[{"name":"self"}],"output":{"name":"event"}}],[11,"fmt","","",34,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"get_event_type","","Returns the event type.",34,{"inputs":[{"name":"self"}],"output":{"name":"eventtype"}}],[11,"get_window","","Returns the associated `Window` if applicable.",34,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_send_event","","Returns whether the event was sent explicitly.",34,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is","","Returns `true` if the event type matches `T`.",34,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"downcast","","Tries to downcast to a specific event type.",34,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"to_glib_none","","",34,{"inputs":[{"name":"self"}],"output":{"name":"stash"}}],[11,"to_glib_none_mut","","",34,{"inputs":[{"name":"self"}],"output":{"name":"stashmut"}}],[11,"from_glib_none","","",34,null],[11,"from_glib_full","","",34,null],[11,"as_ref","","",34,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventany"}}],[11,"as_mut","","",34,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventany"}}],[11,"clone","","",35,{"inputs":[{"name":"self"}],"output":{"name":"applaunchcontext"}}],[11,"fmt","","",35,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",35,null],[11,"static_type","","",35,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",35,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",35,{"inputs":[],"output":{"name":"applaunchcontext"}}],[11,"clone","","",36,{"inputs":[{"name":"self"}],"output":{"name":"cursor"}}],[11,"fmt","","",36,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",36,null],[11,"static_type","","",36,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",36,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",36,{"inputs":[{"name":"cursortype"}],"output":{"name":"cursor"}}],[11,"new_for_display","","",36,{"inputs":[{"name":"display"},{"name":"cursortype"}],"output":{"name":"cursor"}}],[11,"new_from_name","","",36,{"inputs":[{"name":"display"},{"name":"str"}],"output":{"name":"cursor"}}],[11,"new_from_pixbuf","","",36,{"inputs":[{"name":"display"},{"name":"pixbuf"},{"name":"i32"},{"name":"i32"}],"output":{"name":"cursor"}}],[11,"new_from_surface","","",36,{"inputs":[{"name":"display"},{"name":"surface"},{"name":"f64"},{"name":"f64"}],"output":{"name":"cursor"}}],[11,"clone","","",37,{"inputs":[{"name":"self"}],"output":{"name":"device"}}],[11,"fmt","","",37,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",37,null],[11,"static_type","","",37,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",37,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"grab_info_libgtk_only","","",37,{"inputs":[{"name":"display"},{"name":"p"}],"output":{"name":"option"}}],[11,"clone","","",38,{"inputs":[{"name":"self"}],"output":{"name":"devicemanager"}}],[11,"fmt","","",38,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",38,null],[11,"static_type","","",38,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",38,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",39,{"inputs":[{"name":"self"}],"output":{"name":"devicetool"}}],[11,"fmt","","",39,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",39,null],[11,"static_type","","",39,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",39,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",40,{"inputs":[{"name":"self"}],"output":{"name":"display"}}],[11,"fmt","","",40,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",40,null],[11,"static_type","","",40,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",40,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"get_default","","",40,{"inputs":[],"output":{"name":"option"}}],[11,"open","","",40,{"inputs":[{"name":"str"}],"output":{"name":"option"}}],[11,"open_default_libgtk_only","","",40,{"inputs":[],"output":{"name":"option"}}],[11,"clone","","",41,{"inputs":[{"name":"self"}],"output":{"name":"displaymanager"}}],[11,"fmt","","",41,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",41,null],[11,"static_type","","",41,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",41,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"get","","",41,{"inputs":[],"output":{"name":"displaymanager"}}],[11,"clone","","",42,{"inputs":[{"name":"self"}],"output":{"name":"dragcontext"}}],[11,"fmt","","",42,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",42,null],[11,"static_type","","",42,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",42,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",43,{"inputs":[{"name":"self"}],"output":{"name":"drawingcontext"}}],[11,"fmt","","",43,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",43,null],[11,"static_type","","",43,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",43,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",44,{"inputs":[{"name":"self"}],"output":{"name":"frameclock"}}],[11,"fmt","","",44,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",44,null],[11,"static_type","","",44,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",44,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",45,{"inputs":[{"name":"self"}],"output":{"name":"glcontext"}}],[11,"fmt","","",45,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",45,null],[11,"static_type","","",45,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",45,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clear_current","","",45,{"inputs":[],"output":null}],[11,"get_current","","",45,{"inputs":[],"output":{"name":"option"}}],[11,"clone","","",46,{"inputs":[{"name":"self"}],"output":{"name":"monitor"}}],[11,"fmt","","",46,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",46,null],[11,"static_type","","",46,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",46,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",47,{"inputs":[{"name":"self"}],"output":{"name":"screen"}}],[11,"fmt","","",47,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",47,null],[11,"static_type","","",47,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",47,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"get_default","","",47,{"inputs":[],"output":{"name":"option"}}],[11,"height","","",47,{"inputs":[],"output":{"name":"i32"}}],[11,"height_mm","","",47,{"inputs":[],"output":{"name":"i32"}}],[11,"width","","",47,{"inputs":[],"output":{"name":"i32"}}],[11,"width_mm","","",47,{"inputs":[],"output":{"name":"i32"}}],[11,"clone","","",48,{"inputs":[{"name":"self"}],"output":{"name":"seat"}}],[11,"fmt","","",48,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",48,null],[11,"static_type","","",48,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",48,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",49,{"inputs":[{"name":"self"}],"output":{"name":"visual"}}],[11,"fmt","","",49,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",49,null],[11,"static_type","","",49,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",49,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"get_best","","",49,{"inputs":[],"output":{"name":"visual"}}],[11,"get_best_depth","","",49,{"inputs":[],"output":{"name":"i32"}}],[11,"get_best_type","","",49,{"inputs":[],"output":{"name":"visualtype"}}],[11,"get_best_with_both","","",49,{"inputs":[{"name":"i32"},{"name":"visualtype"}],"output":{"name":"option"}}],[11,"get_best_with_depth","","",49,{"inputs":[{"name":"i32"}],"output":{"name":"option"}}],[11,"get_best_with_type","","",49,{"inputs":[{"name":"visualtype"}],"output":{"name":"option"}}],[11,"get_system","","",49,{"inputs":[],"output":{"name":"visual"}}],[11,"clone","","",50,{"inputs":[{"name":"self"}],"output":{"name":"window"}}],[11,"fmt","","",50,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",50,null],[11,"static_type","","",50,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",50,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"at_pointer","","",50,null],[11,"constrain_size","","",50,null],[11,"process_all_updates","","",50,{"inputs":[],"output":null}],[11,"set_debug_updates","","",50,{"inputs":[{"name":"bool"}],"output":null}],[11,"clone","","",51,{"inputs":[{"name":"self"}],"output":{"name":"frametimings"}}],[11,"get_complete","","",51,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"get_frame_counter","","",51,{"inputs":[{"name":"self"}],"output":{"name":"i64"}}],[11,"get_frame_time","","",51,{"inputs":[{"name":"self"}],"output":{"name":"i64"}}],[11,"get_predicted_presentation_time","","",51,{"inputs":[{"name":"self"}],"output":{"name":"i64"}}],[11,"get_presentation_time","","",51,{"inputs":[{"name":"self"}],"output":{"name":"i64"}}],[11,"get_refresh_interval","","",51,{"inputs":[{"name":"self"}],"output":{"name":"i64"}}],[11,"clone","","",5,{"inputs":[{"name":"self"}],"output":{"name":"axisuse"}}],[11,"fmt","","",5,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",5,{"inputs":[{"name":"self"},{"name":"axisuse"}],"output":{"name":"bool"}}],[11,"ne","","",5,{"inputs":[{"name":"self"},{"name":"axisuse"}],"output":{"name":"bool"}}],[11,"hash","","",5,null],[11,"clone","","",6,{"inputs":[{"name":"self"}],"output":{"name":"byteorder"}}],[11,"fmt","","",6,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",6,{"inputs":[{"name":"self"},{"name":"byteorder"}],"output":{"name":"bool"}}],[11,"ne","","",6,{"inputs":[{"name":"self"},{"name":"byteorder"}],"output":{"name":"bool"}}],[11,"hash","","",6,null],[11,"clone","","",7,{"inputs":[{"name":"self"}],"output":{"name":"crossingmode"}}],[11,"fmt","","",7,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",7,{"inputs":[{"name":"self"},{"name":"crossingmode"}],"output":{"name":"bool"}}],[11,"ne","","",7,{"inputs":[{"name":"self"},{"name":"crossingmode"}],"output":{"name":"bool"}}],[11,"hash","","",7,null],[11,"clone","","",8,{"inputs":[{"name":"self"}],"output":{"name":"cursortype"}}],[11,"fmt","","",8,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",8,{"inputs":[{"name":"self"},{"name":"cursortype"}],"output":{"name":"bool"}}],[11,"ne","","",8,{"inputs":[{"name":"self"},{"name":"cursortype"}],"output":{"name":"bool"}}],[11,"hash","","",8,null],[11,"clone","","",9,{"inputs":[{"name":"self"}],"output":{"name":"devicetooltype"}}],[11,"fmt","","",9,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",9,{"inputs":[{"name":"self"},{"name":"devicetooltype"}],"output":{"name":"bool"}}],[11,"ne","","",9,{"inputs":[{"name":"self"},{"name":"devicetooltype"}],"output":{"name":"bool"}}],[11,"hash","","",9,null],[11,"clone","","",10,{"inputs":[{"name":"self"}],"output":{"name":"devicetype"}}],[11,"fmt","","",10,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",10,{"inputs":[{"name":"self"},{"name":"devicetype"}],"output":{"name":"bool"}}],[11,"ne","","",10,{"inputs":[{"name":"self"},{"name":"devicetype"}],"output":{"name":"bool"}}],[11,"hash","","",10,null],[11,"clone","","",11,{"inputs":[{"name":"self"}],"output":{"name":"dragcancelreason"}}],[11,"fmt","","",11,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",11,{"inputs":[{"name":"self"},{"name":"dragcancelreason"}],"output":{"name":"bool"}}],[11,"ne","","",11,{"inputs":[{"name":"self"},{"name":"dragcancelreason"}],"output":{"name":"bool"}}],[11,"hash","","",11,null],[11,"clone","","",12,{"inputs":[{"name":"self"}],"output":{"name":"dragprotocol"}}],[11,"fmt","","",12,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",12,{"inputs":[{"name":"self"},{"name":"dragprotocol"}],"output":{"name":"bool"}}],[11,"ne","","",12,{"inputs":[{"name":"self"},{"name":"dragprotocol"}],"output":{"name":"bool"}}],[11,"hash","","",12,null],[11,"clone","","",13,{"inputs":[{"name":"self"}],"output":{"name":"eventtype"}}],[11,"fmt","","",13,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",13,{"inputs":[{"name":"self"},{"name":"eventtype"}],"output":{"name":"bool"}}],[11,"ne","","",13,{"inputs":[{"name":"self"},{"name":"eventtype"}],"output":{"name":"bool"}}],[11,"hash","","",13,null],[11,"clone","","",14,{"inputs":[{"name":"self"}],"output":{"name":"fullscreenmode"}}],[11,"fmt","","",14,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",14,{"inputs":[{"name":"self"},{"name":"fullscreenmode"}],"output":{"name":"bool"}}],[11,"ne","","",14,{"inputs":[{"name":"self"},{"name":"fullscreenmode"}],"output":{"name":"bool"}}],[11,"hash","","",14,null],[11,"clone","","",15,{"inputs":[{"name":"self"}],"output":{"name":"glerror"}}],[11,"fmt","","",15,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",15,{"inputs":[{"name":"self"},{"name":"glerror"}],"output":{"name":"bool"}}],[11,"ne","","",15,{"inputs":[{"name":"self"},{"name":"glerror"}],"output":{"name":"bool"}}],[11,"hash","","",15,null],[11,"domain","","",15,{"inputs":[],"output":{"name":"gquark"}}],[11,"code","","",15,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"from","","",15,{"inputs":[{"name":"i32"}],"output":{"name":"option"}}],[11,"clone","","",16,{"inputs":[{"name":"self"}],"output":{"name":"grabownership"}}],[11,"fmt","","",16,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",16,{"inputs":[{"name":"self"},{"name":"grabownership"}],"output":{"name":"bool"}}],[11,"ne","","",16,{"inputs":[{"name":"self"},{"name":"grabownership"}],"output":{"name":"bool"}}],[11,"hash","","",16,null],[11,"clone","","",17,{"inputs":[{"name":"self"}],"output":{"name":"grabstatus"}}],[11,"fmt","","",17,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",17,{"inputs":[{"name":"self"},{"name":"grabstatus"}],"output":{"name":"bool"}}],[11,"ne","","",17,{"inputs":[{"name":"self"},{"name":"grabstatus"}],"output":{"name":"bool"}}],[11,"hash","","",17,null],[11,"clone","","",18,{"inputs":[{"name":"self"}],"output":{"name":"gravity"}}],[11,"fmt","","",18,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",18,{"inputs":[{"name":"self"},{"name":"gravity"}],"output":{"name":"bool"}}],[11,"ne","","",18,{"inputs":[{"name":"self"},{"name":"gravity"}],"output":{"name":"bool"}}],[11,"hash","","",18,null],[11,"clone","","",19,{"inputs":[{"name":"self"}],"output":{"name":"inputmode"}}],[11,"fmt","","",19,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",19,{"inputs":[{"name":"self"},{"name":"inputmode"}],"output":{"name":"bool"}}],[11,"ne","","",19,{"inputs":[{"name":"self"},{"name":"inputmode"}],"output":{"name":"bool"}}],[11,"hash","","",19,null],[11,"clone","","",20,{"inputs":[{"name":"self"}],"output":{"name":"inputsource"}}],[11,"fmt","","",20,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",20,{"inputs":[{"name":"self"},{"name":"inputsource"}],"output":{"name":"bool"}}],[11,"ne","","",20,{"inputs":[{"name":"self"},{"name":"inputsource"}],"output":{"name":"bool"}}],[11,"hash","","",20,null],[11,"clone","","",21,{"inputs":[{"name":"self"}],"output":{"name":"modifierintent"}}],[11,"fmt","","",21,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",21,{"inputs":[{"name":"self"},{"name":"modifierintent"}],"output":{"name":"bool"}}],[11,"ne","","",21,{"inputs":[{"name":"self"},{"name":"modifierintent"}],"output":{"name":"bool"}}],[11,"hash","","",21,null],[11,"clone","","",22,{"inputs":[{"name":"self"}],"output":{"name":"notifytype"}}],[11,"fmt","","",22,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",22,{"inputs":[{"name":"self"},{"name":"notifytype"}],"output":{"name":"bool"}}],[11,"ne","","",22,{"inputs":[{"name":"self"},{"name":"notifytype"}],"output":{"name":"bool"}}],[11,"hash","","",22,null],[11,"clone","","",23,{"inputs":[{"name":"self"}],"output":{"name":"ownerchange"}}],[11,"fmt","","",23,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",23,{"inputs":[{"name":"self"},{"name":"ownerchange"}],"output":{"name":"bool"}}],[11,"ne","","",23,{"inputs":[{"name":"self"},{"name":"ownerchange"}],"output":{"name":"bool"}}],[11,"hash","","",23,null],[11,"clone","","",24,{"inputs":[{"name":"self"}],"output":{"name":"propertystate"}}],[11,"fmt","","",24,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",24,{"inputs":[{"name":"self"},{"name":"propertystate"}],"output":{"name":"bool"}}],[11,"ne","","",24,{"inputs":[{"name":"self"},{"name":"propertystate"}],"output":{"name":"bool"}}],[11,"hash","","",24,null],[11,"clone","","",25,{"inputs":[{"name":"self"}],"output":{"name":"scrolldirection"}}],[11,"fmt","","",25,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",25,{"inputs":[{"name":"self"},{"name":"scrolldirection"}],"output":{"name":"bool"}}],[11,"ne","","",25,{"inputs":[{"name":"self"},{"name":"scrolldirection"}],"output":{"name":"bool"}}],[11,"hash","","",25,null],[11,"clone","","",26,{"inputs":[{"name":"self"}],"output":{"name":"settingaction"}}],[11,"fmt","","",26,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",26,{"inputs":[{"name":"self"},{"name":"settingaction"}],"output":{"name":"bool"}}],[11,"ne","","",26,{"inputs":[{"name":"self"},{"name":"settingaction"}],"output":{"name":"bool"}}],[11,"hash","","",26,null],[11,"clone","","",27,{"inputs":[{"name":"self"}],"output":{"name":"subpixellayout"}}],[11,"fmt","","",27,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",27,{"inputs":[{"name":"self"},{"name":"subpixellayout"}],"output":{"name":"bool"}}],[11,"ne","","",27,{"inputs":[{"name":"self"},{"name":"subpixellayout"}],"output":{"name":"bool"}}],[11,"hash","","",27,null],[11,"clone","","",28,{"inputs":[{"name":"self"}],"output":{"name":"visibilitystate"}}],[11,"fmt","","",28,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",28,{"inputs":[{"name":"self"},{"name":"visibilitystate"}],"output":{"name":"bool"}}],[11,"ne","","",28,{"inputs":[{"name":"self"},{"name":"visibilitystate"}],"output":{"name":"bool"}}],[11,"hash","","",28,null],[11,"clone","","",29,{"inputs":[{"name":"self"}],"output":{"name":"visualtype"}}],[11,"fmt","","",29,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",29,{"inputs":[{"name":"self"},{"name":"visualtype"}],"output":{"name":"bool"}}],[11,"ne","","",29,{"inputs":[{"name":"self"},{"name":"visualtype"}],"output":{"name":"bool"}}],[11,"hash","","",29,null],[11,"clone","","",30,{"inputs":[{"name":"self"}],"output":{"name":"windowedge"}}],[11,"fmt","","",30,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",30,{"inputs":[{"name":"self"},{"name":"windowedge"}],"output":{"name":"bool"}}],[11,"ne","","",30,{"inputs":[{"name":"self"},{"name":"windowedge"}],"output":{"name":"bool"}}],[11,"hash","","",30,null],[11,"clone","","",31,{"inputs":[{"name":"self"}],"output":{"name":"windowtype"}}],[11,"fmt","","",31,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",31,{"inputs":[{"name":"self"},{"name":"windowtype"}],"output":{"name":"bool"}}],[11,"ne","","",31,{"inputs":[{"name":"self"},{"name":"windowtype"}],"output":{"name":"bool"}}],[11,"hash","","",31,null],[11,"clone","","",32,{"inputs":[{"name":"self"}],"output":{"name":"windowtypehint"}}],[11,"fmt","","",32,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",32,{"inputs":[{"name":"self"},{"name":"windowtypehint"}],"output":{"name":"bool"}}],[11,"ne","","",32,{"inputs":[{"name":"self"},{"name":"windowtypehint"}],"output":{"name":"bool"}}],[11,"hash","","",32,null],[11,"clone","","",33,{"inputs":[{"name":"self"}],"output":{"name":"windowwindowclass"}}],[11,"fmt","","",33,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",33,{"inputs":[{"name":"self"},{"name":"windowwindowclass"}],"output":{"name":"bool"}}],[11,"ne","","",33,{"inputs":[{"name":"self"},{"name":"windowwindowclass"}],"output":{"name":"bool"}}],[11,"hash","","",33,null],[11,"eq","","",52,{"inputs":[{"name":"self"},{"name":"anchorhints"}],"output":{"name":"bool"}}],[11,"ne","","",52,{"inputs":[{"name":"self"},{"name":"anchorhints"}],"output":{"name":"bool"}}],[11,"clone","","",52,{"inputs":[{"name":"self"}],"output":{"name":"anchorhints"}}],[11,"partial_cmp","","",52,{"inputs":[{"name":"self"},{"name":"anchorhints"}],"output":{"name":"option"}}],[11,"lt","","",52,{"inputs":[{"name":"self"},{"name":"anchorhints"}],"output":{"name":"bool"}}],[11,"le","","",52,{"inputs":[{"name":"self"},{"name":"anchorhints"}],"output":{"name":"bool"}}],[11,"gt","","",52,{"inputs":[{"name":"self"},{"name":"anchorhints"}],"output":{"name":"bool"}}],[11,"ge","","",52,{"inputs":[{"name":"self"},{"name":"anchorhints"}],"output":{"name":"bool"}}],[11,"cmp","","",52,{"inputs":[{"name":"self"},{"name":"anchorhints"}],"output":{"name":"ordering"}}],[11,"hash","","",52,null],[11,"fmt","","",52,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",52,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",52,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",52,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",52,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",52,{"inputs":[],"output":{"name":"anchorhints"}}],[11,"all","","Returns the set containing all flags.",52,{"inputs":[],"output":{"name":"anchorhints"}}],[11,"bits","","Returns the raw value of the flags currently stored.",52,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",52,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",52,{"inputs":[{"name":"u32"}],"output":{"name":"anchorhints"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",52,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",52,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",52,{"inputs":[{"name":"self"},{"name":"anchorhints"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",52,{"inputs":[{"name":"self"},{"name":"anchorhints"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",52,{"inputs":[{"name":"self"},{"name":"anchorhints"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",52,{"inputs":[{"name":"self"},{"name":"anchorhints"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",52,{"inputs":[{"name":"self"},{"name":"anchorhints"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",52,{"inputs":[{"name":"self"},{"name":"anchorhints"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",52,{"inputs":[{"name":"self"},{"name":"anchorhints"}],"output":{"name":"anchorhints"}}],[11,"bitor_assign","","Adds the set of flags.",52,{"inputs":[{"name":"self"},{"name":"anchorhints"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",52,{"inputs":[{"name":"self"},{"name":"anchorhints"}],"output":{"name":"anchorhints"}}],[11,"bitxor_assign","","Toggles the set of flags.",52,{"inputs":[{"name":"self"},{"name":"anchorhints"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",52,{"inputs":[{"name":"self"},{"name":"anchorhints"}],"output":{"name":"anchorhints"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",52,{"inputs":[{"name":"self"},{"name":"anchorhints"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",52,{"inputs":[{"name":"self"},{"name":"anchorhints"}],"output":{"name":"anchorhints"}}],[11,"sub_assign","","Disables all flags enabled in the set.",52,{"inputs":[{"name":"self"},{"name":"anchorhints"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",52,{"inputs":[{"name":"self"}],"output":{"name":"anchorhints"}}],[11,"extend","","",52,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",52,{"inputs":[{"name":"t"}],"output":{"name":"anchorhints"}}],[11,"eq","","",53,{"inputs":[{"name":"self"},{"name":"axisflags"}],"output":{"name":"bool"}}],[11,"ne","","",53,{"inputs":[{"name":"self"},{"name":"axisflags"}],"output":{"name":"bool"}}],[11,"clone","","",53,{"inputs":[{"name":"self"}],"output":{"name":"axisflags"}}],[11,"partial_cmp","","",53,{"inputs":[{"name":"self"},{"name":"axisflags"}],"output":{"name":"option"}}],[11,"lt","","",53,{"inputs":[{"name":"self"},{"name":"axisflags"}],"output":{"name":"bool"}}],[11,"le","","",53,{"inputs":[{"name":"self"},{"name":"axisflags"}],"output":{"name":"bool"}}],[11,"gt","","",53,{"inputs":[{"name":"self"},{"name":"axisflags"}],"output":{"name":"bool"}}],[11,"ge","","",53,{"inputs":[{"name":"self"},{"name":"axisflags"}],"output":{"name":"bool"}}],[11,"cmp","","",53,{"inputs":[{"name":"self"},{"name":"axisflags"}],"output":{"name":"ordering"}}],[11,"hash","","",53,null],[11,"fmt","","",53,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",53,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",53,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",53,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",53,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",53,{"inputs":[],"output":{"name":"axisflags"}}],[11,"all","","Returns the set containing all flags.",53,{"inputs":[],"output":{"name":"axisflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",53,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",53,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",53,{"inputs":[{"name":"u32"}],"output":{"name":"axisflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",53,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",53,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",53,{"inputs":[{"name":"self"},{"name":"axisflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",53,{"inputs":[{"name":"self"},{"name":"axisflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",53,{"inputs":[{"name":"self"},{"name":"axisflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",53,{"inputs":[{"name":"self"},{"name":"axisflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",53,{"inputs":[{"name":"self"},{"name":"axisflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",53,{"inputs":[{"name":"self"},{"name":"axisflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",53,{"inputs":[{"name":"self"},{"name":"axisflags"}],"output":{"name":"axisflags"}}],[11,"bitor_assign","","Adds the set of flags.",53,{"inputs":[{"name":"self"},{"name":"axisflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",53,{"inputs":[{"name":"self"},{"name":"axisflags"}],"output":{"name":"axisflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",53,{"inputs":[{"name":"self"},{"name":"axisflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",53,{"inputs":[{"name":"self"},{"name":"axisflags"}],"output":{"name":"axisflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",53,{"inputs":[{"name":"self"},{"name":"axisflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",53,{"inputs":[{"name":"self"},{"name":"axisflags"}],"output":{"name":"axisflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",53,{"inputs":[{"name":"self"},{"name":"axisflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",53,{"inputs":[{"name":"self"}],"output":{"name":"axisflags"}}],[11,"extend","","",53,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",53,{"inputs":[{"name":"t"}],"output":{"name":"axisflags"}}],[11,"eq","","",54,{"inputs":[{"name":"self"},{"name":"dragaction"}],"output":{"name":"bool"}}],[11,"ne","","",54,{"inputs":[{"name":"self"},{"name":"dragaction"}],"output":{"name":"bool"}}],[11,"clone","","",54,{"inputs":[{"name":"self"}],"output":{"name":"dragaction"}}],[11,"partial_cmp","","",54,{"inputs":[{"name":"self"},{"name":"dragaction"}],"output":{"name":"option"}}],[11,"lt","","",54,{"inputs":[{"name":"self"},{"name":"dragaction"}],"output":{"name":"bool"}}],[11,"le","","",54,{"inputs":[{"name":"self"},{"name":"dragaction"}],"output":{"name":"bool"}}],[11,"gt","","",54,{"inputs":[{"name":"self"},{"name":"dragaction"}],"output":{"name":"bool"}}],[11,"ge","","",54,{"inputs":[{"name":"self"},{"name":"dragaction"}],"output":{"name":"bool"}}],[11,"cmp","","",54,{"inputs":[{"name":"self"},{"name":"dragaction"}],"output":{"name":"ordering"}}],[11,"hash","","",54,null],[11,"fmt","","",54,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",54,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",54,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",54,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",54,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",54,{"inputs":[],"output":{"name":"dragaction"}}],[11,"all","","Returns the set containing all flags.",54,{"inputs":[],"output":{"name":"dragaction"}}],[11,"bits","","Returns the raw value of the flags currently stored.",54,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",54,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",54,{"inputs":[{"name":"u32"}],"output":{"name":"dragaction"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",54,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",54,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",54,{"inputs":[{"name":"self"},{"name":"dragaction"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",54,{"inputs":[{"name":"self"},{"name":"dragaction"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",54,{"inputs":[{"name":"self"},{"name":"dragaction"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",54,{"inputs":[{"name":"self"},{"name":"dragaction"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",54,{"inputs":[{"name":"self"},{"name":"dragaction"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",54,{"inputs":[{"name":"self"},{"name":"dragaction"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",54,{"inputs":[{"name":"self"},{"name":"dragaction"}],"output":{"name":"dragaction"}}],[11,"bitor_assign","","Adds the set of flags.",54,{"inputs":[{"name":"self"},{"name":"dragaction"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",54,{"inputs":[{"name":"self"},{"name":"dragaction"}],"output":{"name":"dragaction"}}],[11,"bitxor_assign","","Toggles the set of flags.",54,{"inputs":[{"name":"self"},{"name":"dragaction"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",54,{"inputs":[{"name":"self"},{"name":"dragaction"}],"output":{"name":"dragaction"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",54,{"inputs":[{"name":"self"},{"name":"dragaction"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",54,{"inputs":[{"name":"self"},{"name":"dragaction"}],"output":{"name":"dragaction"}}],[11,"sub_assign","","Disables all flags enabled in the set.",54,{"inputs":[{"name":"self"},{"name":"dragaction"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",54,{"inputs":[{"name":"self"}],"output":{"name":"dragaction"}}],[11,"extend","","",54,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",54,{"inputs":[{"name":"t"}],"output":{"name":"dragaction"}}],[11,"eq","","",55,{"inputs":[{"name":"self"},{"name":"eventmask"}],"output":{"name":"bool"}}],[11,"ne","","",55,{"inputs":[{"name":"self"},{"name":"eventmask"}],"output":{"name":"bool"}}],[11,"clone","","",55,{"inputs":[{"name":"self"}],"output":{"name":"eventmask"}}],[11,"partial_cmp","","",55,{"inputs":[{"name":"self"},{"name":"eventmask"}],"output":{"name":"option"}}],[11,"lt","","",55,{"inputs":[{"name":"self"},{"name":"eventmask"}],"output":{"name":"bool"}}],[11,"le","","",55,{"inputs":[{"name":"self"},{"name":"eventmask"}],"output":{"name":"bool"}}],[11,"gt","","",55,{"inputs":[{"name":"self"},{"name":"eventmask"}],"output":{"name":"bool"}}],[11,"ge","","",55,{"inputs":[{"name":"self"},{"name":"eventmask"}],"output":{"name":"bool"}}],[11,"cmp","","",55,{"inputs":[{"name":"self"},{"name":"eventmask"}],"output":{"name":"ordering"}}],[11,"hash","","",55,null],[11,"fmt","","",55,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",55,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",55,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",55,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",55,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",55,{"inputs":[],"output":{"name":"eventmask"}}],[11,"all","","Returns the set containing all flags.",55,{"inputs":[],"output":{"name":"eventmask"}}],[11,"bits","","Returns the raw value of the flags currently stored.",55,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",55,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",55,{"inputs":[{"name":"u32"}],"output":{"name":"eventmask"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",55,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",55,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",55,{"inputs":[{"name":"self"},{"name":"eventmask"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",55,{"inputs":[{"name":"self"},{"name":"eventmask"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",55,{"inputs":[{"name":"self"},{"name":"eventmask"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",55,{"inputs":[{"name":"self"},{"name":"eventmask"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",55,{"inputs":[{"name":"self"},{"name":"eventmask"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",55,{"inputs":[{"name":"self"},{"name":"eventmask"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",55,{"inputs":[{"name":"self"},{"name":"eventmask"}],"output":{"name":"eventmask"}}],[11,"bitor_assign","","Adds the set of flags.",55,{"inputs":[{"name":"self"},{"name":"eventmask"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",55,{"inputs":[{"name":"self"},{"name":"eventmask"}],"output":{"name":"eventmask"}}],[11,"bitxor_assign","","Toggles the set of flags.",55,{"inputs":[{"name":"self"},{"name":"eventmask"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",55,{"inputs":[{"name":"self"},{"name":"eventmask"}],"output":{"name":"eventmask"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",55,{"inputs":[{"name":"self"},{"name":"eventmask"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",55,{"inputs":[{"name":"self"},{"name":"eventmask"}],"output":{"name":"eventmask"}}],[11,"sub_assign","","Disables all flags enabled in the set.",55,{"inputs":[{"name":"self"},{"name":"eventmask"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",55,{"inputs":[{"name":"self"}],"output":{"name":"eventmask"}}],[11,"extend","","",55,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",55,{"inputs":[{"name":"t"}],"output":{"name":"eventmask"}}],[11,"eq","","",56,{"inputs":[{"name":"self"},{"name":"frameclockphase"}],"output":{"name":"bool"}}],[11,"ne","","",56,{"inputs":[{"name":"self"},{"name":"frameclockphase"}],"output":{"name":"bool"}}],[11,"clone","","",56,{"inputs":[{"name":"self"}],"output":{"name":"frameclockphase"}}],[11,"partial_cmp","","",56,{"inputs":[{"name":"self"},{"name":"frameclockphase"}],"output":{"name":"option"}}],[11,"lt","","",56,{"inputs":[{"name":"self"},{"name":"frameclockphase"}],"output":{"name":"bool"}}],[11,"le","","",56,{"inputs":[{"name":"self"},{"name":"frameclockphase"}],"output":{"name":"bool"}}],[11,"gt","","",56,{"inputs":[{"name":"self"},{"name":"frameclockphase"}],"output":{"name":"bool"}}],[11,"ge","","",56,{"inputs":[{"name":"self"},{"name":"frameclockphase"}],"output":{"name":"bool"}}],[11,"cmp","","",56,{"inputs":[{"name":"self"},{"name":"frameclockphase"}],"output":{"name":"ordering"}}],[11,"hash","","",56,null],[11,"fmt","","",56,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",56,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",56,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",56,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",56,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",56,{"inputs":[],"output":{"name":"frameclockphase"}}],[11,"all","","Returns the set containing all flags.",56,{"inputs":[],"output":{"name":"frameclockphase"}}],[11,"bits","","Returns the raw value of the flags currently stored.",56,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",56,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",56,{"inputs":[{"name":"u32"}],"output":{"name":"frameclockphase"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",56,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",56,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",56,{"inputs":[{"name":"self"},{"name":"frameclockphase"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",56,{"inputs":[{"name":"self"},{"name":"frameclockphase"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",56,{"inputs":[{"name":"self"},{"name":"frameclockphase"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",56,{"inputs":[{"name":"self"},{"name":"frameclockphase"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",56,{"inputs":[{"name":"self"},{"name":"frameclockphase"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",56,{"inputs":[{"name":"self"},{"name":"frameclockphase"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",56,{"inputs":[{"name":"self"},{"name":"frameclockphase"}],"output":{"name":"frameclockphase"}}],[11,"bitor_assign","","Adds the set of flags.",56,{"inputs":[{"name":"self"},{"name":"frameclockphase"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",56,{"inputs":[{"name":"self"},{"name":"frameclockphase"}],"output":{"name":"frameclockphase"}}],[11,"bitxor_assign","","Toggles the set of flags.",56,{"inputs":[{"name":"self"},{"name":"frameclockphase"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",56,{"inputs":[{"name":"self"},{"name":"frameclockphase"}],"output":{"name":"frameclockphase"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",56,{"inputs":[{"name":"self"},{"name":"frameclockphase"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",56,{"inputs":[{"name":"self"},{"name":"frameclockphase"}],"output":{"name":"frameclockphase"}}],[11,"sub_assign","","Disables all flags enabled in the set.",56,{"inputs":[{"name":"self"},{"name":"frameclockphase"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",56,{"inputs":[{"name":"self"}],"output":{"name":"frameclockphase"}}],[11,"extend","","",56,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",56,{"inputs":[{"name":"t"}],"output":{"name":"frameclockphase"}}],[11,"eq","","",57,{"inputs":[{"name":"self"},{"name":"modifiertype"}],"output":{"name":"bool"}}],[11,"ne","","",57,{"inputs":[{"name":"self"},{"name":"modifiertype"}],"output":{"name":"bool"}}],[11,"clone","","",57,{"inputs":[{"name":"self"}],"output":{"name":"modifiertype"}}],[11,"partial_cmp","","",57,{"inputs":[{"name":"self"},{"name":"modifiertype"}],"output":{"name":"option"}}],[11,"lt","","",57,{"inputs":[{"name":"self"},{"name":"modifiertype"}],"output":{"name":"bool"}}],[11,"le","","",57,{"inputs":[{"name":"self"},{"name":"modifiertype"}],"output":{"name":"bool"}}],[11,"gt","","",57,{"inputs":[{"name":"self"},{"name":"modifiertype"}],"output":{"name":"bool"}}],[11,"ge","","",57,{"inputs":[{"name":"self"},{"name":"modifiertype"}],"output":{"name":"bool"}}],[11,"cmp","","",57,{"inputs":[{"name":"self"},{"name":"modifiertype"}],"output":{"name":"ordering"}}],[11,"hash","","",57,null],[11,"fmt","","",57,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",57,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",57,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",57,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",57,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",57,{"inputs":[],"output":{"name":"modifiertype"}}],[11,"all","","Returns the set containing all flags.",57,{"inputs":[],"output":{"name":"modifiertype"}}],[11,"bits","","Returns the raw value of the flags currently stored.",57,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",57,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",57,{"inputs":[{"name":"u32"}],"output":{"name":"modifiertype"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",57,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",57,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",57,{"inputs":[{"name":"self"},{"name":"modifiertype"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",57,{"inputs":[{"name":"self"},{"name":"modifiertype"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",57,{"inputs":[{"name":"self"},{"name":"modifiertype"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",57,{"inputs":[{"name":"self"},{"name":"modifiertype"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",57,{"inputs":[{"name":"self"},{"name":"modifiertype"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",57,{"inputs":[{"name":"self"},{"name":"modifiertype"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",57,{"inputs":[{"name":"self"},{"name":"modifiertype"}],"output":{"name":"modifiertype"}}],[11,"bitor_assign","","Adds the set of flags.",57,{"inputs":[{"name":"self"},{"name":"modifiertype"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",57,{"inputs":[{"name":"self"},{"name":"modifiertype"}],"output":{"name":"modifiertype"}}],[11,"bitxor_assign","","Toggles the set of flags.",57,{"inputs":[{"name":"self"},{"name":"modifiertype"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",57,{"inputs":[{"name":"self"},{"name":"modifiertype"}],"output":{"name":"modifiertype"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",57,{"inputs":[{"name":"self"},{"name":"modifiertype"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",57,{"inputs":[{"name":"self"},{"name":"modifiertype"}],"output":{"name":"modifiertype"}}],[11,"sub_assign","","Disables all flags enabled in the set.",57,{"inputs":[{"name":"self"},{"name":"modifiertype"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",57,{"inputs":[{"name":"self"}],"output":{"name":"modifiertype"}}],[11,"extend","","",57,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",57,{"inputs":[{"name":"t"}],"output":{"name":"modifiertype"}}],[11,"eq","","",58,{"inputs":[{"name":"self"},{"name":"seatcapabilities"}],"output":{"name":"bool"}}],[11,"ne","","",58,{"inputs":[{"name":"self"},{"name":"seatcapabilities"}],"output":{"name":"bool"}}],[11,"clone","","",58,{"inputs":[{"name":"self"}],"output":{"name":"seatcapabilities"}}],[11,"partial_cmp","","",58,{"inputs":[{"name":"self"},{"name":"seatcapabilities"}],"output":{"name":"option"}}],[11,"lt","","",58,{"inputs":[{"name":"self"},{"name":"seatcapabilities"}],"output":{"name":"bool"}}],[11,"le","","",58,{"inputs":[{"name":"self"},{"name":"seatcapabilities"}],"output":{"name":"bool"}}],[11,"gt","","",58,{"inputs":[{"name":"self"},{"name":"seatcapabilities"}],"output":{"name":"bool"}}],[11,"ge","","",58,{"inputs":[{"name":"self"},{"name":"seatcapabilities"}],"output":{"name":"bool"}}],[11,"cmp","","",58,{"inputs":[{"name":"self"},{"name":"seatcapabilities"}],"output":{"name":"ordering"}}],[11,"hash","","",58,null],[11,"fmt","","",58,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",58,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",58,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",58,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",58,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",58,{"inputs":[],"output":{"name":"seatcapabilities"}}],[11,"all","","Returns the set containing all flags.",58,{"inputs":[],"output":{"name":"seatcapabilities"}}],[11,"bits","","Returns the raw value of the flags currently stored.",58,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",58,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",58,{"inputs":[{"name":"u32"}],"output":{"name":"seatcapabilities"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",58,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",58,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",58,{"inputs":[{"name":"self"},{"name":"seatcapabilities"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",58,{"inputs":[{"name":"self"},{"name":"seatcapabilities"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",58,{"inputs":[{"name":"self"},{"name":"seatcapabilities"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",58,{"inputs":[{"name":"self"},{"name":"seatcapabilities"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",58,{"inputs":[{"name":"self"},{"name":"seatcapabilities"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",58,{"inputs":[{"name":"self"},{"name":"seatcapabilities"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",58,{"inputs":[{"name":"self"},{"name":"seatcapabilities"}],"output":{"name":"seatcapabilities"}}],[11,"bitor_assign","","Adds the set of flags.",58,{"inputs":[{"name":"self"},{"name":"seatcapabilities"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",58,{"inputs":[{"name":"self"},{"name":"seatcapabilities"}],"output":{"name":"seatcapabilities"}}],[11,"bitxor_assign","","Toggles the set of flags.",58,{"inputs":[{"name":"self"},{"name":"seatcapabilities"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",58,{"inputs":[{"name":"self"},{"name":"seatcapabilities"}],"output":{"name":"seatcapabilities"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",58,{"inputs":[{"name":"self"},{"name":"seatcapabilities"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",58,{"inputs":[{"name":"self"},{"name":"seatcapabilities"}],"output":{"name":"seatcapabilities"}}],[11,"sub_assign","","Disables all flags enabled in the set.",58,{"inputs":[{"name":"self"},{"name":"seatcapabilities"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",58,{"inputs":[{"name":"self"}],"output":{"name":"seatcapabilities"}}],[11,"extend","","",58,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",58,{"inputs":[{"name":"t"}],"output":{"name":"seatcapabilities"}}],[11,"eq","","",59,{"inputs":[{"name":"self"},{"name":"wmdecoration"}],"output":{"name":"bool"}}],[11,"ne","","",59,{"inputs":[{"name":"self"},{"name":"wmdecoration"}],"output":{"name":"bool"}}],[11,"clone","","",59,{"inputs":[{"name":"self"}],"output":{"name":"wmdecoration"}}],[11,"partial_cmp","","",59,{"inputs":[{"name":"self"},{"name":"wmdecoration"}],"output":{"name":"option"}}],[11,"lt","","",59,{"inputs":[{"name":"self"},{"name":"wmdecoration"}],"output":{"name":"bool"}}],[11,"le","","",59,{"inputs":[{"name":"self"},{"name":"wmdecoration"}],"output":{"name":"bool"}}],[11,"gt","","",59,{"inputs":[{"name":"self"},{"name":"wmdecoration"}],"output":{"name":"bool"}}],[11,"ge","","",59,{"inputs":[{"name":"self"},{"name":"wmdecoration"}],"output":{"name":"bool"}}],[11,"cmp","","",59,{"inputs":[{"name":"self"},{"name":"wmdecoration"}],"output":{"name":"ordering"}}],[11,"hash","","",59,null],[11,"fmt","","",59,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",59,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",59,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",59,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",59,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",59,{"inputs":[],"output":{"name":"wmdecoration"}}],[11,"all","","Returns the set containing all flags.",59,{"inputs":[],"output":{"name":"wmdecoration"}}],[11,"bits","","Returns the raw value of the flags currently stored.",59,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",59,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",59,{"inputs":[{"name":"u32"}],"output":{"name":"wmdecoration"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",59,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",59,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",59,{"inputs":[{"name":"self"},{"name":"wmdecoration"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",59,{"inputs":[{"name":"self"},{"name":"wmdecoration"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",59,{"inputs":[{"name":"self"},{"name":"wmdecoration"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",59,{"inputs":[{"name":"self"},{"name":"wmdecoration"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",59,{"inputs":[{"name":"self"},{"name":"wmdecoration"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",59,{"inputs":[{"name":"self"},{"name":"wmdecoration"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",59,{"inputs":[{"name":"self"},{"name":"wmdecoration"}],"output":{"name":"wmdecoration"}}],[11,"bitor_assign","","Adds the set of flags.",59,{"inputs":[{"name":"self"},{"name":"wmdecoration"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",59,{"inputs":[{"name":"self"},{"name":"wmdecoration"}],"output":{"name":"wmdecoration"}}],[11,"bitxor_assign","","Toggles the set of flags.",59,{"inputs":[{"name":"self"},{"name":"wmdecoration"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",59,{"inputs":[{"name":"self"},{"name":"wmdecoration"}],"output":{"name":"wmdecoration"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",59,{"inputs":[{"name":"self"},{"name":"wmdecoration"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",59,{"inputs":[{"name":"self"},{"name":"wmdecoration"}],"output":{"name":"wmdecoration"}}],[11,"sub_assign","","Disables all flags enabled in the set.",59,{"inputs":[{"name":"self"},{"name":"wmdecoration"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",59,{"inputs":[{"name":"self"}],"output":{"name":"wmdecoration"}}],[11,"extend","","",59,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",59,{"inputs":[{"name":"t"}],"output":{"name":"wmdecoration"}}],[11,"eq","","",60,{"inputs":[{"name":"self"},{"name":"wmfunction"}],"output":{"name":"bool"}}],[11,"ne","","",60,{"inputs":[{"name":"self"},{"name":"wmfunction"}],"output":{"name":"bool"}}],[11,"clone","","",60,{"inputs":[{"name":"self"}],"output":{"name":"wmfunction"}}],[11,"partial_cmp","","",60,{"inputs":[{"name":"self"},{"name":"wmfunction"}],"output":{"name":"option"}}],[11,"lt","","",60,{"inputs":[{"name":"self"},{"name":"wmfunction"}],"output":{"name":"bool"}}],[11,"le","","",60,{"inputs":[{"name":"self"},{"name":"wmfunction"}],"output":{"name":"bool"}}],[11,"gt","","",60,{"inputs":[{"name":"self"},{"name":"wmfunction"}],"output":{"name":"bool"}}],[11,"ge","","",60,{"inputs":[{"name":"self"},{"name":"wmfunction"}],"output":{"name":"bool"}}],[11,"cmp","","",60,{"inputs":[{"name":"self"},{"name":"wmfunction"}],"output":{"name":"ordering"}}],[11,"hash","","",60,null],[11,"fmt","","",60,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",60,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",60,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",60,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",60,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",60,{"inputs":[],"output":{"name":"wmfunction"}}],[11,"all","","Returns the set containing all flags.",60,{"inputs":[],"output":{"name":"wmfunction"}}],[11,"bits","","Returns the raw value of the flags currently stored.",60,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",60,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",60,{"inputs":[{"name":"u32"}],"output":{"name":"wmfunction"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",60,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",60,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",60,{"inputs":[{"name":"self"},{"name":"wmfunction"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",60,{"inputs":[{"name":"self"},{"name":"wmfunction"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",60,{"inputs":[{"name":"self"},{"name":"wmfunction"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",60,{"inputs":[{"name":"self"},{"name":"wmfunction"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",60,{"inputs":[{"name":"self"},{"name":"wmfunction"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",60,{"inputs":[{"name":"self"},{"name":"wmfunction"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",60,{"inputs":[{"name":"self"},{"name":"wmfunction"}],"output":{"name":"wmfunction"}}],[11,"bitor_assign","","Adds the set of flags.",60,{"inputs":[{"name":"self"},{"name":"wmfunction"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",60,{"inputs":[{"name":"self"},{"name":"wmfunction"}],"output":{"name":"wmfunction"}}],[11,"bitxor_assign","","Toggles the set of flags.",60,{"inputs":[{"name":"self"},{"name":"wmfunction"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",60,{"inputs":[{"name":"self"},{"name":"wmfunction"}],"output":{"name":"wmfunction"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",60,{"inputs":[{"name":"self"},{"name":"wmfunction"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",60,{"inputs":[{"name":"self"},{"name":"wmfunction"}],"output":{"name":"wmfunction"}}],[11,"sub_assign","","Disables all flags enabled in the set.",60,{"inputs":[{"name":"self"},{"name":"wmfunction"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",60,{"inputs":[{"name":"self"}],"output":{"name":"wmfunction"}}],[11,"extend","","",60,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",60,{"inputs":[{"name":"t"}],"output":{"name":"wmfunction"}}],[11,"eq","","",61,{"inputs":[{"name":"self"},{"name":"windowhints"}],"output":{"name":"bool"}}],[11,"ne","","",61,{"inputs":[{"name":"self"},{"name":"windowhints"}],"output":{"name":"bool"}}],[11,"clone","","",61,{"inputs":[{"name":"self"}],"output":{"name":"windowhints"}}],[11,"partial_cmp","","",61,{"inputs":[{"name":"self"},{"name":"windowhints"}],"output":{"name":"option"}}],[11,"lt","","",61,{"inputs":[{"name":"self"},{"name":"windowhints"}],"output":{"name":"bool"}}],[11,"le","","",61,{"inputs":[{"name":"self"},{"name":"windowhints"}],"output":{"name":"bool"}}],[11,"gt","","",61,{"inputs":[{"name":"self"},{"name":"windowhints"}],"output":{"name":"bool"}}],[11,"ge","","",61,{"inputs":[{"name":"self"},{"name":"windowhints"}],"output":{"name":"bool"}}],[11,"cmp","","",61,{"inputs":[{"name":"self"},{"name":"windowhints"}],"output":{"name":"ordering"}}],[11,"hash","","",61,null],[11,"fmt","","",61,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",61,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",61,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",61,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",61,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",61,{"inputs":[],"output":{"name":"windowhints"}}],[11,"all","","Returns the set containing all flags.",61,{"inputs":[],"output":{"name":"windowhints"}}],[11,"bits","","Returns the raw value of the flags currently stored.",61,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",61,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",61,{"inputs":[{"name":"u32"}],"output":{"name":"windowhints"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",61,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",61,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",61,{"inputs":[{"name":"self"},{"name":"windowhints"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",61,{"inputs":[{"name":"self"},{"name":"windowhints"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",61,{"inputs":[{"name":"self"},{"name":"windowhints"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",61,{"inputs":[{"name":"self"},{"name":"windowhints"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",61,{"inputs":[{"name":"self"},{"name":"windowhints"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",61,{"inputs":[{"name":"self"},{"name":"windowhints"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",61,{"inputs":[{"name":"self"},{"name":"windowhints"}],"output":{"name":"windowhints"}}],[11,"bitor_assign","","Adds the set of flags.",61,{"inputs":[{"name":"self"},{"name":"windowhints"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",61,{"inputs":[{"name":"self"},{"name":"windowhints"}],"output":{"name":"windowhints"}}],[11,"bitxor_assign","","Toggles the set of flags.",61,{"inputs":[{"name":"self"},{"name":"windowhints"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",61,{"inputs":[{"name":"self"},{"name":"windowhints"}],"output":{"name":"windowhints"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",61,{"inputs":[{"name":"self"},{"name":"windowhints"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",61,{"inputs":[{"name":"self"},{"name":"windowhints"}],"output":{"name":"windowhints"}}],[11,"sub_assign","","Disables all flags enabled in the set.",61,{"inputs":[{"name":"self"},{"name":"windowhints"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",61,{"inputs":[{"name":"self"}],"output":{"name":"windowhints"}}],[11,"extend","","",61,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",61,{"inputs":[{"name":"t"}],"output":{"name":"windowhints"}}],[11,"eq","","",62,{"inputs":[{"name":"self"},{"name":"windowstate"}],"output":{"name":"bool"}}],[11,"ne","","",62,{"inputs":[{"name":"self"},{"name":"windowstate"}],"output":{"name":"bool"}}],[11,"clone","","",62,{"inputs":[{"name":"self"}],"output":{"name":"windowstate"}}],[11,"partial_cmp","","",62,{"inputs":[{"name":"self"},{"name":"windowstate"}],"output":{"name":"option"}}],[11,"lt","","",62,{"inputs":[{"name":"self"},{"name":"windowstate"}],"output":{"name":"bool"}}],[11,"le","","",62,{"inputs":[{"name":"self"},{"name":"windowstate"}],"output":{"name":"bool"}}],[11,"gt","","",62,{"inputs":[{"name":"self"},{"name":"windowstate"}],"output":{"name":"bool"}}],[11,"ge","","",62,{"inputs":[{"name":"self"},{"name":"windowstate"}],"output":{"name":"bool"}}],[11,"cmp","","",62,{"inputs":[{"name":"self"},{"name":"windowstate"}],"output":{"name":"ordering"}}],[11,"hash","","",62,null],[11,"fmt","","",62,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",62,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",62,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",62,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",62,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",62,{"inputs":[],"output":{"name":"windowstate"}}],[11,"all","","Returns the set containing all flags.",62,{"inputs":[],"output":{"name":"windowstate"}}],[11,"bits","","Returns the raw value of the flags currently stored.",62,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",62,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",62,{"inputs":[{"name":"u32"}],"output":{"name":"windowstate"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",62,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",62,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",62,{"inputs":[{"name":"self"},{"name":"windowstate"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",62,{"inputs":[{"name":"self"},{"name":"windowstate"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",62,{"inputs":[{"name":"self"},{"name":"windowstate"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",62,{"inputs":[{"name":"self"},{"name":"windowstate"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",62,{"inputs":[{"name":"self"},{"name":"windowstate"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",62,{"inputs":[{"name":"self"},{"name":"windowstate"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",62,{"inputs":[{"name":"self"},{"name":"windowstate"}],"output":{"name":"windowstate"}}],[11,"bitor_assign","","Adds the set of flags.",62,{"inputs":[{"name":"self"},{"name":"windowstate"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",62,{"inputs":[{"name":"self"},{"name":"windowstate"}],"output":{"name":"windowstate"}}],[11,"bitxor_assign","","Toggles the set of flags.",62,{"inputs":[{"name":"self"},{"name":"windowstate"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",62,{"inputs":[{"name":"self"},{"name":"windowstate"}],"output":{"name":"windowstate"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",62,{"inputs":[{"name":"self"},{"name":"windowstate"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",62,{"inputs":[{"name":"self"},{"name":"windowstate"}],"output":{"name":"windowstate"}}],[11,"sub_assign","","Disables all flags enabled in the set.",62,{"inputs":[{"name":"self"},{"name":"windowstate"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",62,{"inputs":[{"name":"self"}],"output":{"name":"windowstate"}}],[11,"extend","","",62,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",62,{"inputs":[{"name":"t"}],"output":{"name":"windowstate"}}],[0,"prelude","","Traits intended for blanket imports.",null,null],[8,"ContextExt","gdk::prelude","",null,null],[10,"create_from_window","","",63,{"inputs":[{"name":"window"}],"output":{"name":"context"}}],[10,"cairo_draw_from_gl","","",63,{"inputs":[{"name":"context"},{"name":"window"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"cairo_surface_create_from_pixbuf","","",63,{"inputs":[{"name":"pixbuf"},{"name":"i32"},{"name":"p"}],"output":{"name":"option"}}],[10,"get_clip_rectangle","","",63,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_source_rgba","","",63,{"inputs":[{"name":"self"},{"name":"rgba"}],"output":null}],[10,"set_source_pixbuf","","",63,{"inputs":[{"name":"self"},{"name":"pixbuf"},{"name":"f64"},{"name":"f64"}],"output":null}],[10,"set_source_window","","",63,{"inputs":[{"name":"self"},{"name":"window"},{"name":"f64"},{"name":"f64"}],"output":null}],[10,"rectangle","","",63,{"inputs":[{"name":"self"},{"name":"rectangle"}],"output":null}],[10,"add_region","","",63,{"inputs":[{"name":"self"},{"name":"region"}],"output":null}],[8,"AppLaunchContextExt","","",null,null],[10,"set_desktop","","",64,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_display","","",64,{"inputs":[{"name":"self"},{"name":"display"}],"output":null}],[10,"set_icon","","",64,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_icon_name","","",64,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_screen","","",64,{"inputs":[{"name":"self"},{"name":"screen"}],"output":null}],[10,"set_timestamp","","",64,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_display","","",64,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[8,"CursorExt","","",null,null],[10,"get_cursor_type","","",65,{"inputs":[{"name":"self"}],"output":{"name":"cursortype"}}],[10,"get_display","","",65,{"inputs":[{"name":"self"}],"output":{"name":"display"}}],[10,"get_image","","",65,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_surface","","",65,null],[10,"get_property_cursor_type","","",65,{"inputs":[{"name":"self"}],"output":{"name":"cursortype"}}],[10,"get_property_display","","",65,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[8,"DeviceExt","","",null,null],[10,"get_associated_device","","",66,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_axes","","",66,{"inputs":[{"name":"self"}],"output":{"name":"axisflags"}}],[10,"get_axis_use","","",66,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"axisuse"}}],[10,"get_device_type","","",66,{"inputs":[{"name":"self"}],"output":{"name":"devicetype"}}],[10,"get_display","","",66,{"inputs":[{"name":"self"}],"output":{"name":"display"}}],[10,"get_has_cursor","","",66,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_key","","",66,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[10,"get_last_event_window","","",66,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_mode","","",66,{"inputs":[{"name":"self"}],"output":{"name":"inputmode"}}],[10,"get_n_axes","","",66,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_n_keys","","",66,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_name","","",66,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_position","","",66,null],[10,"get_position_double","","",66,null],[10,"get_product_id","","",66,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_seat","","",66,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_source","","",66,{"inputs":[{"name":"self"}],"output":{"name":"inputsource"}}],[10,"get_vendor_id","","",66,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_window_at_position","","",66,null],[10,"get_window_at_position_double","","",66,null],[10,"grab","","",66,{"inputs":[{"name":"self"},{"name":"window"},{"name":"grabownership"},{"name":"bool"},{"name":"eventmask"},{"name":"p"},{"name":"u32"}],"output":{"name":"grabstatus"}}],[10,"list_axes","","",66,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"list_slave_devices","","",66,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"set_axis_use","","",66,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"axisuse"}],"output":null}],[10,"set_key","","",66,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"u32"},{"name":"modifiertype"}],"output":null}],[10,"set_mode","","",66,{"inputs":[{"name":"self"},{"name":"inputmode"}],"output":{"name":"bool"}}],[10,"ungrab","","",66,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"warp","","",66,{"inputs":[{"name":"self"},{"name":"screen"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"get_property_device_manager","","",66,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_property_input_mode","","",66,{"inputs":[{"name":"self"}],"output":{"name":"inputmode"}}],[10,"set_property_input_mode","","",66,{"inputs":[{"name":"self"},{"name":"inputmode"}],"output":null}],[10,"get_property_input_source","","",66,{"inputs":[{"name":"self"}],"output":{"name":"inputsource"}}],[10,"get_property_num_touches","","",66,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_seat","","",66,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_tool","","",66,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_property_type","","",66,{"inputs":[{"name":"self"}],"output":{"name":"devicetype"}}],[10,"connect_changed","","",66,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_tool_changed","","",66,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"DeviceManagerExt","","",null,null],[10,"get_client_pointer","","",67,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_display","","",67,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"list_devices","","",67,{"inputs":[{"name":"self"},{"name":"devicetype"}],"output":{"name":"vec"}}],[10,"get_property_display","","",67,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"connect_device_added","","",67,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_device_changed","","",67,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_device_removed","","",67,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"DeviceToolExt","","",null,null],[10,"get_hardware_id","","",68,{"inputs":[{"name":"self"}],"output":{"name":"u64"}}],[10,"get_serial","","",68,{"inputs":[{"name":"self"}],"output":{"name":"u64"}}],[10,"get_tool_type","","",68,{"inputs":[{"name":"self"}],"output":{"name":"devicetooltype"}}],[10,"get_property_axes","","",68,{"inputs":[{"name":"self"}],"output":{"name":"axisflags"}}],[10,"get_property_hardware_id","","",68,{"inputs":[{"name":"self"}],"output":{"name":"u64"}}],[10,"get_property_serial","","",68,{"inputs":[{"name":"self"}],"output":{"name":"u64"}}],[10,"get_property_tool_type","","",68,{"inputs":[{"name":"self"}],"output":{"name":"devicetooltype"}}],[8,"DisplayExt","","",null,null],[10,"beep","","",69,{"inputs":[{"name":"self"}],"output":null}],[10,"close","","",69,{"inputs":[{"name":"self"}],"output":null}],[10,"device_is_grabbed","","",69,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"flush","","",69,{"inputs":[{"name":"self"}],"output":null}],[10,"get_app_launch_context","","",69,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_default_cursor_size","","",69,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"get_default_group","","",69,{"inputs":[{"name":"self"}],"output":{"name":"window"}}],[10,"get_default_screen","","",69,{"inputs":[{"name":"self"}],"output":{"name":"screen"}}],[10,"get_default_seat","","",69,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_device_manager","","",69,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_event","","",69,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_maximal_cursor_size","","",69,null],[10,"get_monitor","","",69,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_monitor_at_point","","",69,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_monitor_at_window","","",69,{"inputs":[{"name":"self"},{"name":"window"}],"output":{"name":"option"}}],[10,"get_n_monitors","","",69,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_n_screens","","",69,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_name","","",69,{"inputs":[{"name":"self"}],"output":{"name":"string"}}],[10,"get_pointer","","",69,null],[10,"get_primary_monitor","","",69,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_screen","","",69,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"screen"}}],[10,"get_window_at_pointer","","",69,null],[10,"has_pending","","",69,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_closed","","",69,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"keyboard_ungrab","","",69,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"list_devices","","",69,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"list_seats","","",69,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"notify_startup_complete","","",69,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"peek_event","","",69,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"pointer_is_grabbed","","",69,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"pointer_ungrab","","",69,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"put_event","","",69,{"inputs":[{"name":"self"},{"name":"event"}],"output":null}],[10,"request_selection_notification","","",69,{"inputs":[{"name":"self"},{"name":"atom"}],"output":{"name":"bool"}}],[10,"set_double_click_distance","","",69,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"set_double_click_time","","",69,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"store_clipboard","","",69,null],[10,"supports_clipboard_persistence","","",69,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"supports_composite","","",69,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"supports_cursor_alpha","","",69,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"supports_cursor_color","","",69,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"supports_input_shapes","","",69,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"supports_selection_notification","","",69,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"supports_shapes","","",69,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"sync","","",69,{"inputs":[{"name":"self"}],"output":null}],[10,"warp_pointer","","",69,{"inputs":[{"name":"self"},{"name":"screen"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"connect_closed","","",69,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_monitor_added","","",69,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_monitor_removed","","",69,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_opened","","",69,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_seat_added","","",69,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_seat_removed","","",69,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"DisplayManagerExt","","",null,null],[10,"get_default_display","","",70,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"list_displays","","",70,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"open_display","","",70,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"set_default_display","","",70,{"inputs":[{"name":"self"},{"name":"display"}],"output":null}],[10,"get_property_default_display","","",70,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_default_display","","",70,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"connect_display_opened","","",70,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"DragContextExt","","",null,null],[10,"get_actions","","",71,{"inputs":[{"name":"self"}],"output":{"name":"dragaction"}}],[10,"get_dest_window","","",71,{"inputs":[{"name":"self"}],"output":{"name":"window"}}],[10,"get_device","","",71,{"inputs":[{"name":"self"}],"output":{"name":"device"}}],[10,"get_drag_window","","",71,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_protocol","","",71,{"inputs":[{"name":"self"}],"output":{"name":"dragprotocol"}}],[10,"get_selected_action","","",71,{"inputs":[{"name":"self"}],"output":{"name":"dragaction"}}],[10,"get_source_window","","",71,{"inputs":[{"name":"self"}],"output":{"name":"window"}}],[10,"get_suggested_action","","",71,{"inputs":[{"name":"self"}],"output":{"name":"dragaction"}}],[10,"list_targets","","",71,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"manage_dnd","","",71,{"inputs":[{"name":"self"},{"name":"window"},{"name":"dragaction"}],"output":{"name":"bool"}}],[10,"set_device","","",71,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_hotspot","","",71,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"connect_action_changed","","",71,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_cancel","","",71,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_dnd_finished","","",71,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_drop_performed","","",71,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"DrawingContextExt","","",null,null],[10,"get_cairo_context","","",72,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_clip","","",72,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_window","","",72,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"is_valid","","",72,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[8,"FrameClockExt","","",null,null],[10,"begin_updating","","",73,{"inputs":[{"name":"self"}],"output":null}],[10,"end_updating","","",73,{"inputs":[{"name":"self"}],"output":null}],[10,"get_current_timings","","",73,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_frame_counter","","",73,{"inputs":[{"name":"self"}],"output":{"name":"i64"}}],[10,"get_frame_time","","",73,{"inputs":[{"name":"self"}],"output":{"name":"i64"}}],[10,"get_history_start","","",73,{"inputs":[{"name":"self"}],"output":{"name":"i64"}}],[10,"get_timings","","",73,{"inputs":[{"name":"self"},{"name":"i64"}],"output":{"name":"option"}}],[10,"request_phase","","",73,{"inputs":[{"name":"self"},{"name":"frameclockphase"}],"output":null}],[10,"connect_after_paint","","",73,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_before_paint","","",73,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_flush_events","","",73,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_layout","","",73,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_paint","","",73,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_resume_events","","",73,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_update","","",73,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"GLContextExt","","",null,null],[10,"get_debug_enabled","","",74,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_display","","",74,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_forward_compatible","","",74,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_required_version","","",74,null],[10,"get_shared_context","","",74,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_use_es","","",74,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_version","","",74,null],[10,"get_window","","",74,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"is_legacy","","",74,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"make_current","","",74,{"inputs":[{"name":"self"}],"output":null}],[10,"realize","","",74,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[10,"set_debug_enabled","","",74,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_forward_compatible","","",74,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_required_version","","",74,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"set_use_es","","",74,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[8,"MonitorExt","","",null,null],[10,"get_display","","",75,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_geometry","","",75,{"inputs":[{"name":"self"}],"output":{"name":"rectangle"}}],[10,"get_height_mm","","",75,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_manufacturer","","",75,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_model","","",75,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_refresh_rate","","",75,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_scale_factor","","",75,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_subpixel_layout","","",75,{"inputs":[{"name":"self"}],"output":{"name":"subpixellayout"}}],[10,"get_width_mm","","",75,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_workarea","","",75,{"inputs":[{"name":"self"}],"output":{"name":"rectangle"}}],[10,"is_primary","","",75,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_property_display","","",75,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_property_geometry","","",75,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_property_height_mm","","",75,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_property_refresh_rate","","",75,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_property_scale_factor","","",75,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_property_width_mm","","",75,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_property_workarea","","",75,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"connect_invalidate","","",75,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ScreenExt","","",null,null],[10,"get_active_window","","",76,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_display","","",76,{"inputs":[{"name":"self"}],"output":{"name":"display"}}],[10,"get_height","","",76,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_height_mm","","",76,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_monitor_at_point","","",76,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"i32"}}],[10,"get_monitor_at_window","","",76,{"inputs":[{"name":"self"},{"name":"window"}],"output":{"name":"i32"}}],[10,"get_monitor_geometry","","",76,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"rectangle"}}],[10,"get_monitor_height_mm","","",76,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"i32"}}],[10,"get_monitor_plug_name","","",76,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_monitor_scale_factor","","",76,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"i32"}}],[10,"get_monitor_width_mm","","",76,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"i32"}}],[10,"get_monitor_workarea","","",76,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"rectangle"}}],[10,"get_n_monitors","","",76,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_number","","",76,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_primary_monitor","","",76,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_resolution","","",76,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_rgba_visual","","",76,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_root_window","","",76,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_system_visual","","",76,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_toplevel_windows","","",76,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"get_width","","",76,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_width_mm","","",76,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_window_stack","","",76,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"is_composited","","",76,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"list_visuals","","",76,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"make_display_name","","",76,{"inputs":[{"name":"self"}],"output":{"name":"string"}}],[10,"set_font_options","","",76,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_resolution","","",76,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"get_property_resolution","","",76,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"set_property_resolution","","",76,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"connect_composited_changed","","",76,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_monitors_changed","","",76,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_size_changed","","",76,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"SeatExt","","",null,null],[10,"get_capabilities","","",77,{"inputs":[{"name":"self"}],"output":{"name":"seatcapabilities"}}],[10,"get_display","","",77,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_keyboard","","",77,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_pointer","","",77,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_slaves","","",77,{"inputs":[{"name":"self"},{"name":"seatcapabilities"}],"output":{"name":"vec"}}],[10,"ungrab","","",77,{"inputs":[{"name":"self"}],"output":null}],[10,"connect_device_added","","",77,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_device_removed","","",77,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_tool_added","","",77,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_tool_removed","","",77,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"VisualExt","","",null,null],[10,"get_bits_per_rgb","","",78,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_blue_pixel_details","","",78,null],[10,"get_byte_order","","",78,{"inputs":[{"name":"self"}],"output":{"name":"byteorder"}}],[10,"get_colormap_size","","",78,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_depth","","",78,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_green_pixel_details","","",78,null],[10,"get_red_pixel_details","","",78,null],[10,"get_screen","","",78,{"inputs":[{"name":"self"}],"output":{"name":"screen"}}],[10,"get_visual_type","","",78,{"inputs":[{"name":"self"}],"output":{"name":"visualtype"}}],[8,"WindowExt","","",null,null],[10,"beep","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"begin_draw_frame","","",79,{"inputs":[{"name":"self"},{"name":"region"}],"output":{"name":"option"}}],[10,"begin_move_drag","","",79,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"u32"}],"output":null}],[10,"begin_move_drag_for_device","","",79,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"u32"}],"output":null}],[10,"begin_paint_rect","","",79,{"inputs":[{"name":"self"},{"name":"rectangle"}],"output":null}],[10,"begin_paint_region","","",79,{"inputs":[{"name":"self"},{"name":"region"}],"output":null}],[10,"begin_resize_drag","","",79,{"inputs":[{"name":"self"},{"name":"windowedge"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"u32"}],"output":null}],[10,"begin_resize_drag_for_device","","",79,{"inputs":[{"name":"self"},{"name":"windowedge"},{"name":"p"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"u32"}],"output":null}],[10,"configure_finished","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"coords_from_parent","","",79,null],[10,"coords_to_parent","","",79,null],[10,"create_gl_context","","",79,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[10,"create_similar_image_surface","","",79,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[10,"deiconify","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"destroy","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"destroy_notify","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"enable_synchronized_configure","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"end_draw_frame","","",79,{"inputs":[{"name":"self"},{"name":"drawingcontext"}],"output":null}],[10,"end_paint","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"ensure_native","","",79,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"flush","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"focus","","",79,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"freeze_toplevel_updates_libgtk_only","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"freeze_updates","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"fullscreen","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"fullscreen_on_monitor","","",79,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"geometry_changed","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"get_accept_focus","","",79,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_children","","",79,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"get_clip_region","","",79,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_composited","","",79,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_cursor","","",79,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_decorations","","",79,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_device_cursor","","",79,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"option"}}],[10,"get_device_events","","",79,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"eventmask"}}],[10,"get_device_position","","",79,null],[10,"get_device_position_double","","",79,null],[10,"get_display","","",79,{"inputs":[{"name":"self"}],"output":{"name":"display"}}],[10,"get_drag_protocol","","",79,null],[10,"get_effective_parent","","",79,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_effective_toplevel","","",79,{"inputs":[{"name":"self"}],"output":{"name":"window"}}],[10,"get_event_compression","","",79,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_events","","",79,{"inputs":[{"name":"self"}],"output":{"name":"eventmask"}}],[10,"get_focus_on_map","","",79,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_frame_clock","","",79,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_frame_extents","","",79,{"inputs":[{"name":"self"}],"output":{"name":"rectangle"}}],[10,"get_fullscreen_mode","","",79,{"inputs":[{"name":"self"}],"output":{"name":"fullscreenmode"}}],[10,"get_geometry","","",79,null],[10,"get_group","","",79,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_height","","",79,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_modal_hint","","",79,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_origin","","",79,null],[10,"get_parent","","",79,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_pass_through","","",79,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_pointer","","",79,null],[10,"get_position","","",79,null],[10,"get_root_coords","","",79,null],[10,"get_root_origin","","",79,null],[10,"get_scale_factor","","",79,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_screen","","",79,{"inputs":[{"name":"self"}],"output":{"name":"screen"}}],[10,"get_source_events","","",79,{"inputs":[{"name":"self"},{"name":"inputsource"}],"output":{"name":"eventmask"}}],[10,"get_state","","",79,{"inputs":[{"name":"self"}],"output":{"name":"windowstate"}}],[10,"get_support_multidevice","","",79,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_toplevel","","",79,{"inputs":[{"name":"self"}],"output":{"name":"window"}}],[10,"get_type_hint","","",79,{"inputs":[{"name":"self"}],"output":{"name":"windowtypehint"}}],[10,"get_update_area","","",79,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_visible_region","","",79,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_visual","","",79,{"inputs":[{"name":"self"}],"output":{"name":"visual"}}],[10,"get_width","","",79,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_window_type","","",79,{"inputs":[{"name":"self"}],"output":{"name":"windowtype"}}],[10,"has_native","","",79,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"hide","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"iconify","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"input_shape_combine_region","","",79,{"inputs":[{"name":"self"},{"name":"region"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"invalidate_rect","","",79,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"}],"output":null}],[10,"invalidate_region","","",79,{"inputs":[{"name":"self"},{"name":"region"},{"name":"bool"}],"output":null}],[10,"is_destroyed","","",79,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_input_only","","",79,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_shaped","","",79,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_viewable","","",79,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_visible","","",79,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"lower","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"mark_paint_from_clip","","",79,{"inputs":[{"name":"self"},{"name":"context"}],"output":null}],[10,"maximize","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"merge_child_input_shapes","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"merge_child_shapes","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"move_","","",79,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"move_region","","",79,{"inputs":[{"name":"self"},{"name":"region"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"move_resize","","",79,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"peek_children","","",79,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"process_updates","","",79,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"raise","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"register_dnd","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"reparent","","",79,{"inputs":[{"name":"self"},{"name":"window"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"resize","","",79,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"restack","","",79,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"}],"output":null}],[10,"scroll","","",79,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"set_accept_focus","","",79,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_background_rgba","","",79,{"inputs":[{"name":"self"},{"name":"rgba"}],"output":null}],[10,"set_child_input_shapes","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"set_child_shapes","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"set_composited","","",79,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_cursor","","",79,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_decorations","","",79,{"inputs":[{"name":"self"},{"name":"wmdecoration"}],"output":null}],[10,"set_device_cursor","","",79,{"inputs":[{"name":"self"},{"name":"p"},{"name":"cursor"}],"output":null}],[10,"set_device_events","","",79,{"inputs":[{"name":"self"},{"name":"p"},{"name":"eventmask"}],"output":null}],[10,"set_event_compression","","",79,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_events","","",79,{"inputs":[{"name":"self"},{"name":"eventmask"}],"output":null}],[10,"set_focus_on_map","","",79,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_fullscreen_mode","","",79,{"inputs":[{"name":"self"},{"name":"fullscreenmode"}],"output":null}],[10,"set_functions","","",79,{"inputs":[{"name":"self"},{"name":"wmfunction"}],"output":null}],[10,"set_geometry_hints","","",79,{"inputs":[{"name":"self"},{"name":"geometry"},{"name":"windowhints"}],"output":null}],[10,"set_group","","",79,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_icon_list","","",79,null],[10,"set_icon_name","","",79,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_keep_above","","",79,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_keep_below","","",79,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_modal_hint","","",79,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_opacity","","",79,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"set_opaque_region","","",79,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_override_redirect","","",79,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_pass_through","","",79,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_role","","",79,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_shadow_width","","",79,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"set_skip_pager_hint","","",79,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_skip_taskbar_hint","","",79,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_source_events","","",79,{"inputs":[{"name":"self"},{"name":"inputsource"},{"name":"eventmask"}],"output":null}],[10,"set_startup_id","","",79,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_static_gravities","","",79,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"bool"}}],[10,"set_support_multidevice","","",79,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_title","","",79,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_transient_for","","",79,{"inputs":[{"name":"self"},{"name":"window"}],"output":null}],[10,"set_type_hint","","",79,{"inputs":[{"name":"self"},{"name":"windowtypehint"}],"output":null}],[10,"set_urgency_hint","","",79,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"shape_combine_region","","",79,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"show","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"show_unraised","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"show_window_menu","","",79,{"inputs":[{"name":"self"},{"name":"event"}],"output":{"name":"bool"}}],[10,"stick","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"thaw_toplevel_updates_libgtk_only","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"thaw_updates","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"unfullscreen","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"unmaximize","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"unstick","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"withdraw","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"connect_create_surface","","",79,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_pick_embedded_child","","",79,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"DeviceExtManual","","",null,null],[10,"get_axis","","",80,null],[8,"DeviceManagerExtManual","","",null,null],[10,"disable_multidevice","","",81,{"inputs":[],"output":null}],[8,"DragContextExtManual","","",null,null],[10,"drag_get_selection","","",82,{"inputs":[{"name":"self"}],"output":{"name":"atom"}}],[10,"drag_abort","","",82,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"drop_reply","","",82,{"inputs":[{"name":"self"},{"name":"bool"},{"name":"u32"}],"output":null}],[10,"drop","","",82,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"drag_find_window_for_screen","","",82,null],[10,"drag_motion","","",82,{"inputs":[{"name":"self"},{"name":"window"},{"name":"dragprotocol"},{"name":"i32"},{"name":"i32"},{"name":"dragaction"},{"name":"dragaction"},{"name":"u32"}],"output":{"name":"bool"}}],[10,"drop_finish","","",82,{"inputs":[{"name":"self"},{"name":"bool"},{"name":"u32"}],"output":null}],[10,"drag_status","","",82,{"inputs":[{"name":"self"},{"name":"dragaction"},{"name":"u32"}],"output":null}],[10,"drag_drop_succeeded","","",82,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"drag_begin","","",82,null],[10,"drag_begin_for_device","","",82,null],[10,"drag_begin_from_point","","",82,null],[10,"drag_drop_done","","",82,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[8,"VisualExtManual","","",null,null],[10,"query_depths","","",83,{"inputs":[],"output":{"name":"vec"}}],[8,"WindowExtManual","","",null,null],[10,"set_user_data","","",84,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[10,"get_user_data","","",84,{"inputs":[{"name":"self"}],"output":{"name":"t"}}],[10,"set_geometry_hints","","",84,{"inputs":[{"name":"self"},{"name":"gdkgeometry"},{"name":"windowhints"}],"output":null}],[10,"get_default_root_window","","",84,{"inputs":[],"output":{"name":"window"}}],[10,"offscreen_window_set_embedder","","",84,{"inputs":[{"name":"self"},{"name":"window"}],"output":null}],[10,"offscreen_window_get_embedder","","",84,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"offscreen_window_get_surface","","",84,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_pixbuf","","",84,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[0,"functions","gdk","",null,null],[5,"beep","gdk::functions","",null,{"inputs":[],"output":null}],[5,"error_trap_pop","","",null,{"inputs":[],"output":{"name":"i32"}}],[5,"error_trap_pop_ignored","","",null,{"inputs":[],"output":null}],[5,"error_trap_push","","",null,{"inputs":[],"output":null}],[5,"events_get_angle","","",null,{"inputs":[{"name":"event"},{"name":"event"}],"output":{"name":"option"}}],[5,"events_get_center","","",null,{"inputs":[{"name":"event"},{"name":"event"}],"output":{"name":"option"}}],[5,"events_get_distance","","",null,{"inputs":[{"name":"event"},{"name":"event"}],"output":{"name":"option"}}],[5,"events_pending","","",null,{"inputs":[],"output":{"name":"bool"}}],[5,"flush","","",null,{"inputs":[],"output":null}],[5,"get_display","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"get_display_arg_name","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"get_program_class","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"get_show_events","","",null,{"inputs":[],"output":{"name":"bool"}}],[5,"keyboard_grab","","",null,{"inputs":[{"name":"window"},{"name":"bool"},{"name":"u32"}],"output":{"name":"grabstatus"}}],[5,"keyboard_ungrab","","",null,{"inputs":[{"name":"u32"}],"output":null}],[5,"keyval_convert_case","","",null,null],[5,"keyval_from_name","","",null,{"inputs":[{"name":"str"}],"output":{"name":"u32"}}],[5,"keyval_is_lower","","",null,{"inputs":[{"name":"u32"}],"output":{"name":"bool"}}],[5,"keyval_is_upper","","",null,{"inputs":[{"name":"u32"}],"output":{"name":"bool"}}],[5,"keyval_to_lower","","",null,{"inputs":[{"name":"u32"}],"output":{"name":"u32"}}],[5,"keyval_to_upper","","",null,{"inputs":[{"name":"u32"}],"output":{"name":"u32"}}],[5,"list_visuals","","",null,{"inputs":[],"output":{"name":"vec"}}],[5,"notify_startup_complete","","",null,{"inputs":[],"output":null}],[5,"notify_startup_complete_with_id","","",null,{"inputs":[{"name":"str"}],"output":null}],[5,"pango_context_get","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"pango_context_get_for_display","","",null,{"inputs":[{"name":"display"}],"output":{"name":"option"}}],[5,"pango_context_get_for_screen","","",null,{"inputs":[{"name":"screen"}],"output":{"name":"option"}}],[5,"pixbuf_get_from_surface","","",null,{"inputs":[{"name":"surface"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[5,"pointer_grab","","",null,{"inputs":[{"name":"window"},{"name":"bool"},{"name":"eventmask"},{"name":"p"},{"name":"q"},{"name":"u32"}],"output":{"name":"grabstatus"}}],[5,"pointer_is_grabbed","","",null,{"inputs":[],"output":{"name":"bool"}}],[5,"pointer_ungrab","","",null,{"inputs":[{"name":"u32"}],"output":null}],[5,"pre_parse_libgtk_only","","",null,{"inputs":[],"output":null}],[5,"property_delete","","",null,{"inputs":[{"name":"window"},{"name":"atom"}],"output":null}],[5,"selection_convert","","",null,{"inputs":[{"name":"window"},{"name":"atom"},{"name":"atom"},{"name":"u32"}],"output":null}],[5,"selection_owner_get","","",null,{"inputs":[{"name":"atom"}],"output":{"name":"option"}}],[5,"selection_owner_get_for_display","","",null,{"inputs":[{"name":"display"},{"name":"atom"}],"output":{"name":"option"}}],[5,"selection_owner_set","","",null,{"inputs":[{"name":"p"},{"name":"atom"},{"name":"u32"},{"name":"bool"}],"output":{"name":"bool"}}],[5,"selection_owner_set_for_display","","",null,{"inputs":[{"name":"display"},{"name":"p"},{"name":"atom"},{"name":"u32"},{"name":"bool"}],"output":{"name":"bool"}}],[5,"selection_send_notify","","",null,{"inputs":[{"name":"window"},{"name":"atom"},{"name":"atom"},{"name":"atom"},{"name":"u32"}],"output":null}],[5,"selection_send_notify_for_display","","",null,{"inputs":[{"name":"display"},{"name":"window"},{"name":"atom"},{"name":"atom"},{"name":"atom"},{"name":"u32"}],"output":null}],[5,"set_allowed_backends","","",null,{"inputs":[{"name":"str"}],"output":null}],[5,"set_double_click_time","","",null,{"inputs":[{"name":"u32"}],"output":null}],[5,"set_program_class","","",null,{"inputs":[{"name":"str"}],"output":null}],[5,"set_show_events","","",null,{"inputs":[{"name":"bool"}],"output":null}],[5,"synthesize_window_state","","",null,{"inputs":[{"name":"window"},{"name":"windowstate"},{"name":"windowstate"}],"output":null}],[5,"test_render_sync","","",null,{"inputs":[{"name":"window"}],"output":null}],[5,"test_simulate_button","","",null,{"inputs":[{"name":"window"},{"name":"i32"},{"name":"i32"},{"name":"u32"},{"name":"modifiertype"},{"name":"eventtype"}],"output":{"name":"bool"}}],[5,"test_simulate_key","","",null,{"inputs":[{"name":"window"},{"name":"i32"},{"name":"i32"},{"name":"u32"},{"name":"modifiertype"},{"name":"eventtype"}],"output":{"name":"bool"}}],[5,"threads_enter","","",null,{"inputs":[],"output":null}],[5,"threads_init","","",null,{"inputs":[],"output":null}],[5,"threads_leave","","",null,{"inputs":[],"output":null}],[5,"unicode_to_keyval","","",null,{"inputs":[{"name":"u32"}],"output":{"name":"u32"}}],[5,"utf8_to_string_target","","",null,{"inputs":[{"name":"str"}],"output":{"name":"option"}}],[0,"enums","gdk","",null,null],[0,"key","gdk::enums","",null,null],[6,"Key","gdk::enums::key","",null,null],[17,"VoidSymbol","","",null,null],[17,"BackSpace","","",null,null],[17,"Tab","","",null,null],[17,"Linefeed","","",null,null],[17,"Clear","","",null,null],[17,"Return","","",null,null],[17,"Pause","","",null,null],[17,"Scroll_Lock","","",null,null],[17,"Sys_Req","","",null,null],[17,"Escape","","",null,null],[17,"Delete","","",null,null],[17,"Multi_key","","",null,null],[17,"Codeinput","","",null,null],[17,"SingleCandidate","","",null,null],[17,"MultipleCandidate","","",null,null],[17,"PreviousCandidate","","",null,null],[17,"Kanji","","",null,null],[17,"Muhenkan","","",null,null],[17,"Henkan_Mode","","",null,null],[17,"Henkan","","",null,null],[17,"Romaji","","",null,null],[17,"Hiragana","","",null,null],[17,"Katakana","","",null,null],[17,"Hiragana_Katakana","","",null,null],[17,"Zenkaku","","",null,null],[17,"Hankaku","","",null,null],[17,"Zenkaku_Hankaku","","",null,null],[17,"Touroku","","",null,null],[17,"Massyo","","",null,null],[17,"Kana_Lock","","",null,null],[17,"Kana_Shift","","",null,null],[17,"Eisu_Shift","","",null,null],[17,"Eisu_toggle","","",null,null],[17,"Kanji_Bangou","","",null,null],[17,"Zen_Koho","","",null,null],[17,"Mae_Koho","","",null,null],[17,"Home","","",null,null],[17,"Left","","",null,null],[17,"Up","","",null,null],[17,"Right","","",null,null],[17,"Down","","",null,null],[17,"Prior","","",null,null],[17,"Page_Up","","",null,null],[17,"Next","","",null,null],[17,"Page_Down","","",null,null],[17,"End","","",null,null],[17,"Begin","","",null,null],[17,"Select","","",null,null],[17,"Print","","",null,null],[17,"Execute","","",null,null],[17,"Insert","","",null,null],[17,"Undo","","",null,null],[17,"Redo","","",null,null],[17,"Menu","","",null,null],[17,"Find","","",null,null],[17,"Cancel","","",null,null],[17,"Help","","",null,null],[17,"Break","","",null,null],[17,"Mode_switch","","",null,null],[17,"script_switch","","",null,null],[17,"Num_Lock","","",null,null],[17,"KP_Space","","",null,null],[17,"KP_Tab","","",null,null],[17,"KP_Enter","","",null,null],[17,"KP_F1","","",null,null],[17,"KP_F2","","",null,null],[17,"KP_F3","","",null,null],[17,"KP_F4","","",null,null],[17,"KP_Home","","",null,null],[17,"KP_Left","","",null,null],[17,"KP_Up","","",null,null],[17,"KP_Right","","",null,null],[17,"KP_Down","","",null,null],[17,"KP_Prior","","",null,null],[17,"KP_Page_Up","","",null,null],[17,"KP_Next","","",null,null],[17,"KP_Page_Down","","",null,null],[17,"KP_End","","",null,null],[17,"KP_Begin","","",null,null],[17,"KP_Insert","","",null,null],[17,"KP_Delete","","",null,null],[17,"KP_Equal","","",null,null],[17,"KP_Multiply","","",null,null],[17,"KP_Add","","",null,null],[17,"KP_Separator","","",null,null],[17,"KP_Subtract","","",null,null],[17,"KP_Decimal","","",null,null],[17,"KP_Divide","","",null,null],[17,"KP_0","","",null,null],[17,"KP_1","","",null,null],[17,"KP_2","","",null,null],[17,"KP_3","","",null,null],[17,"KP_4","","",null,null],[17,"KP_5","","",null,null],[17,"KP_6","","",null,null],[17,"KP_7","","",null,null],[17,"KP_8","","",null,null],[17,"KP_9","","",null,null],[17,"F1","","",null,null],[17,"F2","","",null,null],[17,"F3","","",null,null],[17,"F4","","",null,null],[17,"F5","","",null,null],[17,"F6","","",null,null],[17,"F7","","",null,null],[17,"F8","","",null,null],[17,"F9","","",null,null],[17,"F10","","",null,null],[17,"F11","","",null,null],[17,"L1","","",null,null],[17,"F12","","",null,null],[17,"L2","","",null,null],[17,"F13","","",null,null],[17,"L3","","",null,null],[17,"F14","","",null,null],[17,"L4","","",null,null],[17,"F15","","",null,null],[17,"L5","","",null,null],[17,"F16","","",null,null],[17,"L6","","",null,null],[17,"F17","","",null,null],[17,"L7","","",null,null],[17,"F18","","",null,null],[17,"L8","","",null,null],[17,"F19","","",null,null],[17,"L9","","",null,null],[17,"F20","","",null,null],[17,"L10","","",null,null],[17,"F21","","",null,null],[17,"R1","","",null,null],[17,"F22","","",null,null],[17,"R2","","",null,null],[17,"F23","","",null,null],[17,"R3","","",null,null],[17,"F24","","",null,null],[17,"R4","","",null,null],[17,"F25","","",null,null],[17,"R5","","",null,null],[17,"F26","","",null,null],[17,"R6","","",null,null],[17,"F27","","",null,null],[17,"R7","","",null,null],[17,"F28","","",null,null],[17,"R8","","",null,null],[17,"F29","","",null,null],[17,"R9","","",null,null],[17,"F30","","",null,null],[17,"R10","","",null,null],[17,"F31","","",null,null],[17,"R11","","",null,null],[17,"F32","","",null,null],[17,"R12","","",null,null],[17,"F33","","",null,null],[17,"R13","","",null,null],[17,"F34","","",null,null],[17,"R14","","",null,null],[17,"F35","","",null,null],[17,"R15","","",null,null],[17,"Shift_L","","",null,null],[17,"Shift_R","","",null,null],[17,"Control_L","","",null,null],[17,"Control_R","","",null,null],[17,"Caps_Lock","","",null,null],[17,"Shift_Lock","","",null,null],[17,"Meta_L","","",null,null],[17,"Meta_R","","",null,null],[17,"Alt_L","","",null,null],[17,"Alt_R","","",null,null],[17,"Super_L","","",null,null],[17,"Super_R","","",null,null],[17,"Hyper_L","","",null,null],[17,"Hyper_R","","",null,null],[17,"ISO_Lock","","",null,null],[17,"ISO_Level2_Latch","","",null,null],[17,"ISO_Level3_Shift","","",null,null],[17,"ISO_Level3_Latch","","",null,null],[17,"ISO_Level3_Lock","","",null,null],[17,"ISO_Level5_Shift","","",null,null],[17,"ISO_Level5_Latch","","",null,null],[17,"ISO_Level5_Lock","","",null,null],[17,"ISO_Group_Shift","","",null,null],[17,"ISO_Group_Latch","","",null,null],[17,"ISO_Group_Lock","","",null,null],[17,"ISO_Next_Group","","",null,null],[17,"ISO_Next_Group_Lock","","",null,null],[17,"ISO_Prev_Group","","",null,null],[17,"ISO_Prev_Group_Lock","","",null,null],[17,"ISO_First_Group","","",null,null],[17,"ISO_First_Group_Lock","","",null,null],[17,"ISO_Last_Group","","",null,null],[17,"ISO_Last_Group_Lock","","",null,null],[17,"ISO_Left_Tab","","",null,null],[17,"ISO_Move_Line_Up","","",null,null],[17,"ISO_Move_Line_Down","","",null,null],[17,"ISO_Partial_Line_Up","","",null,null],[17,"ISO_Partial_Line_Down","","",null,null],[17,"ISO_Partial_Space_Left","","",null,null],[17,"ISO_Partial_Space_Right","","",null,null],[17,"ISO_Set_Margin_Left","","",null,null],[17,"ISO_Set_Margin_Right","","",null,null],[17,"ISO_Release_Margin_Left","","",null,null],[17,"ISO_Release_Margin_Right","","",null,null],[17,"ISO_Release_Both_Margins","","",null,null],[17,"ISO_Fast_Cursor_Left","","",null,null],[17,"ISO_Fast_Cursor_Right","","",null,null],[17,"ISO_Fast_Cursor_Up","","",null,null],[17,"ISO_Fast_Cursor_Down","","",null,null],[17,"ISO_Continuous_Underline","","",null,null],[17,"ISO_Discontinuous_Underline","","",null,null],[17,"ISO_Emphasize","","",null,null],[17,"ISO_Center_Object","","",null,null],[17,"ISO_Enter","","",null,null],[17,"dead_grave","","",null,null],[17,"dead_acute","","",null,null],[17,"dead_circumflex","","",null,null],[17,"dead_tilde","","",null,null],[17,"dead_perispomeni","","",null,null],[17,"dead_macron","","",null,null],[17,"dead_breve","","",null,null],[17,"dead_abovedot","","",null,null],[17,"dead_diaeresis","","",null,null],[17,"dead_abovering","","",null,null],[17,"dead_doubleacute","","",null,null],[17,"dead_caron","","",null,null],[17,"dead_cedilla","","",null,null],[17,"dead_ogonek","","",null,null],[17,"dead_iota","","",null,null],[17,"dead_voiced_sound","","",null,null],[17,"dead_semivoiced_sound","","",null,null],[17,"dead_belowdot","","",null,null],[17,"dead_hook","","",null,null],[17,"dead_horn","","",null,null],[17,"dead_stroke","","",null,null],[17,"dead_abovecomma","","",null,null],[17,"dead_psili","","",null,null],[17,"dead_abovereversedcomma","","",null,null],[17,"dead_dasia","","",null,null],[17,"dead_doublegrave","","",null,null],[17,"dead_belowring","","",null,null],[17,"dead_belowmacron","","",null,null],[17,"dead_belowcircumflex","","",null,null],[17,"dead_belowtilde","","",null,null],[17,"dead_belowbreve","","",null,null],[17,"dead_belowdiaeresis","","",null,null],[17,"dead_invertedbreve","","",null,null],[17,"dead_belowcomma","","",null,null],[17,"dead_currency","","",null,null],[17,"dead_a","","",null,null],[17,"dead_A","","",null,null],[17,"dead_e","","",null,null],[17,"dead_E","","",null,null],[17,"dead_i","","",null,null],[17,"dead_I","","",null,null],[17,"dead_o","","",null,null],[17,"dead_O","","",null,null],[17,"dead_u","","",null,null],[17,"dead_U","","",null,null],[17,"dead_small_schwa","","",null,null],[17,"dead_capital_schwa","","",null,null],[17,"dead_greek","","",null,null],[17,"First_Virtual_Screen","","",null,null],[17,"Prev_Virtual_Screen","","",null,null],[17,"Next_Virtual_Screen","","",null,null],[17,"Last_Virtual_Screen","","",null,null],[17,"Terminate_Server","","",null,null],[17,"AccessX_Enable","","",null,null],[17,"AccessX_Feedback_Enable","","",null,null],[17,"RepeatKeys_Enable","","",null,null],[17,"SlowKeys_Enable","","",null,null],[17,"BounceKeys_Enable","","",null,null],[17,"StickyKeys_Enable","","",null,null],[17,"MouseKeys_Enable","","",null,null],[17,"MouseKeys_Accel_Enable","","",null,null],[17,"Overlay1_Enable","","",null,null],[17,"Overlay2_Enable","","",null,null],[17,"AudibleBell_Enable","","",null,null],[17,"Pointer_Left","","",null,null],[17,"Pointer_Right","","",null,null],[17,"Pointer_Up","","",null,null],[17,"Pointer_Down","","",null,null],[17,"Pointer_UpLeft","","",null,null],[17,"Pointer_UpRight","","",null,null],[17,"Pointer_DownLeft","","",null,null],[17,"Pointer_DownRight","","",null,null],[17,"Pointer_Button_Dflt","","",null,null],[17,"Pointer_Button1","","",null,null],[17,"Pointer_Button2","","",null,null],[17,"Pointer_Button3","","",null,null],[17,"Pointer_Button4","","",null,null],[17,"Pointer_Button5","","",null,null],[17,"Pointer_DblClick_Dflt","","",null,null],[17,"Pointer_DblClick1","","",null,null],[17,"Pointer_DblClick2","","",null,null],[17,"Pointer_DblClick3","","",null,null],[17,"Pointer_DblClick4","","",null,null],[17,"Pointer_DblClick5","","",null,null],[17,"Pointer_Drag_Dflt","","",null,null],[17,"Pointer_Drag1","","",null,null],[17,"Pointer_Drag2","","",null,null],[17,"Pointer_Drag3","","",null,null],[17,"Pointer_Drag4","","",null,null],[17,"Pointer_Drag5","","",null,null],[17,"Pointer_EnableKeys","","",null,null],[17,"Pointer_Accelerate","","",null,null],[17,"Pointer_DfltBtnNext","","",null,null],[17,"Pointer_DfltBtnPrev","","",null,null],[17,"ch","","",null,null],[17,"Ch","","",null,null],[17,"CH","","",null,null],[17,"c_h","","",null,null],[17,"C_h","","",null,null],[17,"C_H","","",null,null],[17,"_3270_Duplicate","","",null,null],[17,"_3270_FieldMark","","",null,null],[17,"_3270_Right2","","",null,null],[17,"_3270_Left2","","",null,null],[17,"_3270_BackTab","","",null,null],[17,"_3270_EraseEOF","","",null,null],[17,"_3270_EraseInput","","",null,null],[17,"_3270_Reset","","",null,null],[17,"_3270_Quit","","",null,null],[17,"_3270_PA1","","",null,null],[17,"_3270_PA2","","",null,null],[17,"_3270_PA3","","",null,null],[17,"_3270_Test","","",null,null],[17,"_3270_Attn","","",null,null],[17,"_3270_CursorBlink","","",null,null],[17,"_3270_AltCursor","","",null,null],[17,"_3270_KeyClick","","",null,null],[17,"_3270_Jump","","",null,null],[17,"_3270_Ident","","",null,null],[17,"_3270_Rule","","",null,null],[17,"_3270_Copy","","",null,null],[17,"_3270_Play","","",null,null],[17,"_3270_Setup","","",null,null],[17,"_3270_Record","","",null,null],[17,"_3270_ChangeScreen","","",null,null],[17,"_3270_DeleteWord","","",null,null],[17,"_3270_ExSelect","","",null,null],[17,"_3270_CursorSelect","","",null,null],[17,"_3270_PrintScreen","","",null,null],[17,"_3270_Enter","","",null,null],[17,"space","","",null,null],[17,"exclam","","",null,null],[17,"quotedbl","","",null,null],[17,"numbersign","","",null,null],[17,"dollar","","",null,null],[17,"percent","","",null,null],[17,"ampersand","","",null,null],[17,"apostrophe","","",null,null],[17,"quoteright","","",null,null],[17,"parenleft","","",null,null],[17,"parenright","","",null,null],[17,"asterisk","","",null,null],[17,"plus","","",null,null],[17,"comma","","",null,null],[17,"minus","","",null,null],[17,"period","","",null,null],[17,"slash","","",null,null],[17,"_0","","",null,null],[17,"_1","","",null,null],[17,"_2","","",null,null],[17,"_3","","",null,null],[17,"_4","","",null,null],[17,"_5","","",null,null],[17,"_6","","",null,null],[17,"_7","","",null,null],[17,"_8","","",null,null],[17,"_9","","",null,null],[17,"colon","","",null,null],[17,"semicolon","","",null,null],[17,"less","","",null,null],[17,"equal","","",null,null],[17,"greater","","",null,null],[17,"question","","",null,null],[17,"at","","",null,null],[17,"A","","",null,null],[17,"B","","",null,null],[17,"C","","",null,null],[17,"D","","",null,null],[17,"E","","",null,null],[17,"F","","",null,null],[17,"G","","",null,null],[17,"H","","",null,null],[17,"I","","",null,null],[17,"J","","",null,null],[17,"K","","",null,null],[17,"L","","",null,null],[17,"M","","",null,null],[17,"N","","",null,null],[17,"O","","",null,null],[17,"P","","",null,null],[17,"Q","","",null,null],[17,"R","","",null,null],[17,"S","","",null,null],[17,"T","","",null,null],[17,"U","","",null,null],[17,"V","","",null,null],[17,"W","","",null,null],[17,"X","","",null,null],[17,"Y","","",null,null],[17,"Z","","",null,null],[17,"bracketleft","","",null,null],[17,"backslash","","",null,null],[17,"bracketright","","",null,null],[17,"asciicircum","","",null,null],[17,"underscore","","",null,null],[17,"grave","","",null,null],[17,"quoteleft","","",null,null],[17,"a","","",null,null],[17,"b","","",null,null],[17,"c","","",null,null],[17,"d","","",null,null],[17,"e","","",null,null],[17,"f","","",null,null],[17,"g","","",null,null],[17,"h","","",null,null],[17,"i","","",null,null],[17,"j","","",null,null],[17,"k","","",null,null],[17,"l","","",null,null],[17,"m","","",null,null],[17,"n","","",null,null],[17,"o","","",null,null],[17,"p","","",null,null],[17,"q","","",null,null],[17,"r","","",null,null],[17,"s","","",null,null],[17,"t","","",null,null],[17,"u","","",null,null],[17,"v","","",null,null],[17,"w","","",null,null],[17,"x","","",null,null],[17,"y","","",null,null],[17,"z","","",null,null],[17,"braceleft","","",null,null],[17,"bar","","",null,null],[17,"braceright","","",null,null],[17,"asciitilde","","",null,null],[17,"nobreakspace","","",null,null],[17,"exclamdown","","",null,null],[17,"cent","","",null,null],[17,"sterling","","",null,null],[17,"currency","","",null,null],[17,"yen","","",null,null],[17,"brokenbar","","",null,null],[17,"section","","",null,null],[17,"diaeresis","","",null,null],[17,"copyright","","",null,null],[17,"ordfeminine","","",null,null],[17,"guillemotleft","","",null,null],[17,"notsign","","",null,null],[17,"hyphen","","",null,null],[17,"registered","","",null,null],[17,"macron","","",null,null],[17,"degree","","",null,null],[17,"plusminus","","",null,null],[17,"twosuperior","","",null,null],[17,"threesuperior","","",null,null],[17,"acute","","",null,null],[17,"mu","","",null,null],[17,"paragraph","","",null,null],[17,"periodcentered","","",null,null],[17,"cedilla","","",null,null],[17,"onesuperior","","",null,null],[17,"masculine","","",null,null],[17,"guillemotright","","",null,null],[17,"onequarter","","",null,null],[17,"onehalf","","",null,null],[17,"threequarters","","",null,null],[17,"questiondown","","",null,null],[17,"Agrave","","",null,null],[17,"Aacute","","",null,null],[17,"Acircumflex","","",null,null],[17,"Atilde","","",null,null],[17,"Adiaeresis","","",null,null],[17,"Aring","","",null,null],[17,"AE","","",null,null],[17,"Ccedilla","","",null,null],[17,"Egrave","","",null,null],[17,"Eacute","","",null,null],[17,"Ecircumflex","","",null,null],[17,"Ediaeresis","","",null,null],[17,"Igrave","","",null,null],[17,"Iacute","","",null,null],[17,"Icircumflex","","",null,null],[17,"Idiaeresis","","",null,null],[17,"ETH","","",null,null],[17,"Eth","","",null,null],[17,"Ntilde","","",null,null],[17,"Ograve","","",null,null],[17,"Oacute","","",null,null],[17,"Ocircumflex","","",null,null],[17,"Otilde","","",null,null],[17,"Odiaeresis","","",null,null],[17,"multiply","","",null,null],[17,"Oslash","","",null,null],[17,"Ooblique","","",null,null],[17,"Ugrave","","",null,null],[17,"Uacute","","",null,null],[17,"Ucircumflex","","",null,null],[17,"Udiaeresis","","",null,null],[17,"Yacute","","",null,null],[17,"THORN","","",null,null],[17,"Thorn","","",null,null],[17,"ssharp","","",null,null],[17,"agrave","","",null,null],[17,"aacute","","",null,null],[17,"acircumflex","","",null,null],[17,"atilde","","",null,null],[17,"adiaeresis","","",null,null],[17,"aring","","",null,null],[17,"ae","","",null,null],[17,"ccedilla","","",null,null],[17,"egrave","","",null,null],[17,"eacute","","",null,null],[17,"ecircumflex","","",null,null],[17,"ediaeresis","","",null,null],[17,"igrave","","",null,null],[17,"iacute","","",null,null],[17,"icircumflex","","",null,null],[17,"idiaeresis","","",null,null],[17,"eth","","",null,null],[17,"ntilde","","",null,null],[17,"ograve","","",null,null],[17,"oacute","","",null,null],[17,"ocircumflex","","",null,null],[17,"otilde","","",null,null],[17,"odiaeresis","","",null,null],[17,"division","","",null,null],[17,"oslash","","",null,null],[17,"ooblique","","",null,null],[17,"ugrave","","",null,null],[17,"uacute","","",null,null],[17,"ucircumflex","","",null,null],[17,"udiaeresis","","",null,null],[17,"yacute","","",null,null],[17,"thorn","","",null,null],[17,"ydiaeresis","","",null,null],[17,"Aogonek","","",null,null],[17,"breve","","",null,null],[17,"Lstroke","","",null,null],[17,"Lcaron","","",null,null],[17,"Sacute","","",null,null],[17,"Scaron","","",null,null],[17,"Scedilla","","",null,null],[17,"Tcaron","","",null,null],[17,"Zacute","","",null,null],[17,"Zcaron","","",null,null],[17,"Zabovedot","","",null,null],[17,"aogonek","","",null,null],[17,"ogonek","","",null,null],[17,"lstroke","","",null,null],[17,"lcaron","","",null,null],[17,"sacute","","",null,null],[17,"caron","","",null,null],[17,"scaron","","",null,null],[17,"scedilla","","",null,null],[17,"tcaron","","",null,null],[17,"zacute","","",null,null],[17,"doubleacute","","",null,null],[17,"zcaron","","",null,null],[17,"zabovedot","","",null,null],[17,"Racute","","",null,null],[17,"Abreve","","",null,null],[17,"Lacute","","",null,null],[17,"Cacute","","",null,null],[17,"Ccaron","","",null,null],[17,"Eogonek","","",null,null],[17,"Ecaron","","",null,null],[17,"Dcaron","","",null,null],[17,"Dstroke","","",null,null],[17,"Nacute","","",null,null],[17,"Ncaron","","",null,null],[17,"Odoubleacute","","",null,null],[17,"Rcaron","","",null,null],[17,"Uring","","",null,null],[17,"Udoubleacute","","",null,null],[17,"Tcedilla","","",null,null],[17,"racute","","",null,null],[17,"abreve","","",null,null],[17,"lacute","","",null,null],[17,"cacute","","",null,null],[17,"ccaron","","",null,null],[17,"eogonek","","",null,null],[17,"ecaron","","",null,null],[17,"dcaron","","",null,null],[17,"dstroke","","",null,null],[17,"nacute","","",null,null],[17,"ncaron","","",null,null],[17,"odoubleacute","","",null,null],[17,"rcaron","","",null,null],[17,"uring","","",null,null],[17,"udoubleacute","","",null,null],[17,"tcedilla","","",null,null],[17,"abovedot","","",null,null],[17,"Hstroke","","",null,null],[17,"Hcircumflex","","",null,null],[17,"Iabovedot","","",null,null],[17,"Gbreve","","",null,null],[17,"Jcircumflex","","",null,null],[17,"hstroke","","",null,null],[17,"hcircumflex","","",null,null],[17,"idotless","","",null,null],[17,"gbreve","","",null,null],[17,"jcircumflex","","",null,null],[17,"Cabovedot","","",null,null],[17,"Ccircumflex","","",null,null],[17,"Gabovedot","","",null,null],[17,"Gcircumflex","","",null,null],[17,"Ubreve","","",null,null],[17,"Scircumflex","","",null,null],[17,"cabovedot","","",null,null],[17,"ccircumflex","","",null,null],[17,"gabovedot","","",null,null],[17,"gcircumflex","","",null,null],[17,"ubreve","","",null,null],[17,"scircumflex","","",null,null],[17,"kra","","",null,null],[17,"kappa","","",null,null],[17,"Rcedilla","","",null,null],[17,"Itilde","","",null,null],[17,"Lcedilla","","",null,null],[17,"Emacron","","",null,null],[17,"Gcedilla","","",null,null],[17,"Tslash","","",null,null],[17,"rcedilla","","",null,null],[17,"itilde","","",null,null],[17,"lcedilla","","",null,null],[17,"emacron","","",null,null],[17,"gcedilla","","",null,null],[17,"tslash","","",null,null],[17,"ENG","","",null,null],[17,"eng","","",null,null],[17,"Amacron","","",null,null],[17,"Iogonek","","",null,null],[17,"Eabovedot","","",null,null],[17,"Imacron","","",null,null],[17,"Ncedilla","","",null,null],[17,"Omacron","","",null,null],[17,"Kcedilla","","",null,null],[17,"Uogonek","","",null,null],[17,"Utilde","","",null,null],[17,"Umacron","","",null,null],[17,"amacron","","",null,null],[17,"iogonek","","",null,null],[17,"eabovedot","","",null,null],[17,"imacron","","",null,null],[17,"ncedilla","","",null,null],[17,"omacron","","",null,null],[17,"kcedilla","","",null,null],[17,"uogonek","","",null,null],[17,"utilde","","",null,null],[17,"umacron","","",null,null],[17,"Wcircumflex","","",null,null],[17,"wcircumflex","","",null,null],[17,"Ycircumflex","","",null,null],[17,"ycircumflex","","",null,null],[17,"Babovedot","","",null,null],[17,"babovedot","","",null,null],[17,"Dabovedot","","",null,null],[17,"dabovedot","","",null,null],[17,"Fabovedot","","",null,null],[17,"fabovedot","","",null,null],[17,"Mabovedot","","",null,null],[17,"mabovedot","","",null,null],[17,"Pabovedot","","",null,null],[17,"pabovedot","","",null,null],[17,"Sabovedot","","",null,null],[17,"sabovedot","","",null,null],[17,"Tabovedot","","",null,null],[17,"tabovedot","","",null,null],[17,"Wgrave","","",null,null],[17,"wgrave","","",null,null],[17,"Wacute","","",null,null],[17,"wacute","","",null,null],[17,"Wdiaeresis","","",null,null],[17,"wdiaeresis","","",null,null],[17,"Ygrave","","",null,null],[17,"ygrave","","",null,null],[17,"OE","","",null,null],[17,"oe","","",null,null],[17,"Ydiaeresis","","",null,null],[17,"overline","","",null,null],[17,"kana_fullstop","","",null,null],[17,"kana_openingbracket","","",null,null],[17,"kana_closingbracket","","",null,null],[17,"kana_comma","","",null,null],[17,"kana_conjunctive","","",null,null],[17,"kana_middledot","","",null,null],[17,"kana_WO","","",null,null],[17,"kana_a","","",null,null],[17,"kana_i","","",null,null],[17,"kana_u","","",null,null],[17,"kana_e","","",null,null],[17,"kana_o","","",null,null],[17,"kana_ya","","",null,null],[17,"kana_yu","","",null,null],[17,"kana_yo","","",null,null],[17,"kana_tsu","","",null,null],[17,"kana_tu","","",null,null],[17,"prolongedsound","","",null,null],[17,"kana_A","","",null,null],[17,"kana_I","","",null,null],[17,"kana_U","","",null,null],[17,"kana_E","","",null,null],[17,"kana_O","","",null,null],[17,"kana_KA","","",null,null],[17,"kana_KI","","",null,null],[17,"kana_KU","","",null,null],[17,"kana_KE","","",null,null],[17,"kana_KO","","",null,null],[17,"kana_SA","","",null,null],[17,"kana_SHI","","",null,null],[17,"kana_SU","","",null,null],[17,"kana_SE","","",null,null],[17,"kana_SO","","",null,null],[17,"kana_TA","","",null,null],[17,"kana_CHI","","",null,null],[17,"kana_TI","","",null,null],[17,"kana_TSU","","",null,null],[17,"kana_TU","","",null,null],[17,"kana_TE","","",null,null],[17,"kana_TO","","",null,null],[17,"kana_NA","","",null,null],[17,"kana_NI","","",null,null],[17,"kana_NU","","",null,null],[17,"kana_NE","","",null,null],[17,"kana_NO","","",null,null],[17,"kana_HA","","",null,null],[17,"kana_HI","","",null,null],[17,"kana_FU","","",null,null],[17,"kana_HU","","",null,null],[17,"kana_HE","","",null,null],[17,"kana_HO","","",null,null],[17,"kana_MA","","",null,null],[17,"kana_MI","","",null,null],[17,"kana_MU","","",null,null],[17,"kana_ME","","",null,null],[17,"kana_MO","","",null,null],[17,"kana_YA","","",null,null],[17,"kana_YU","","",null,null],[17,"kana_YO","","",null,null],[17,"kana_RA","","",null,null],[17,"kana_RI","","",null,null],[17,"kana_RU","","",null,null],[17,"kana_RE","","",null,null],[17,"kana_RO","","",null,null],[17,"kana_WA","","",null,null],[17,"kana_N","","",null,null],[17,"voicedsound","","",null,null],[17,"semivoicedsound","","",null,null],[17,"kana_switch","","",null,null],[17,"Farsi_0","","",null,null],[17,"Farsi_1","","",null,null],[17,"Farsi_2","","",null,null],[17,"Farsi_3","","",null,null],[17,"Farsi_4","","",null,null],[17,"Farsi_5","","",null,null],[17,"Farsi_6","","",null,null],[17,"Farsi_7","","",null,null],[17,"Farsi_8","","",null,null],[17,"Farsi_9","","",null,null],[17,"Arabic_percent","","",null,null],[17,"Arabic_superscript_alef","","",null,null],[17,"Arabic_tteh","","",null,null],[17,"Arabic_peh","","",null,null],[17,"Arabic_tcheh","","",null,null],[17,"Arabic_ddal","","",null,null],[17,"Arabic_rreh","","",null,null],[17,"Arabic_comma","","",null,null],[17,"Arabic_fullstop","","",null,null],[17,"Arabic_0","","",null,null],[17,"Arabic_1","","",null,null],[17,"Arabic_2","","",null,null],[17,"Arabic_3","","",null,null],[17,"Arabic_4","","",null,null],[17,"Arabic_5","","",null,null],[17,"Arabic_6","","",null,null],[17,"Arabic_7","","",null,null],[17,"Arabic_8","","",null,null],[17,"Arabic_9","","",null,null],[17,"Arabic_semicolon","","",null,null],[17,"Arabic_question_mark","","",null,null],[17,"Arabic_hamza","","",null,null],[17,"Arabic_maddaonalef","","",null,null],[17,"Arabic_hamzaonalef","","",null,null],[17,"Arabic_hamzaonwaw","","",null,null],[17,"Arabic_hamzaunderalef","","",null,null],[17,"Arabic_hamzaonyeh","","",null,null],[17,"Arabic_alef","","",null,null],[17,"Arabic_beh","","",null,null],[17,"Arabic_tehmarbuta","","",null,null],[17,"Arabic_teh","","",null,null],[17,"Arabic_theh","","",null,null],[17,"Arabic_jeem","","",null,null],[17,"Arabic_hah","","",null,null],[17,"Arabic_khah","","",null,null],[17,"Arabic_dal","","",null,null],[17,"Arabic_thal","","",null,null],[17,"Arabic_ra","","",null,null],[17,"Arabic_zain","","",null,null],[17,"Arabic_seen","","",null,null],[17,"Arabic_sheen","","",null,null],[17,"Arabic_sad","","",null,null],[17,"Arabic_dad","","",null,null],[17,"Arabic_tah","","",null,null],[17,"Arabic_zah","","",null,null],[17,"Arabic_ain","","",null,null],[17,"Arabic_ghain","","",null,null],[17,"Arabic_tatweel","","",null,null],[17,"Arabic_feh","","",null,null],[17,"Arabic_qaf","","",null,null],[17,"Arabic_kaf","","",null,null],[17,"Arabic_lam","","",null,null],[17,"Arabic_meem","","",null,null],[17,"Arabic_noon","","",null,null],[17,"Arabic_ha","","",null,null],[17,"Arabic_heh","","",null,null],[17,"Arabic_waw","","",null,null],[17,"Arabic_alefmaksura","","",null,null],[17,"Arabic_yeh","","",null,null],[17,"Arabic_fathatan","","",null,null],[17,"Arabic_dammatan","","",null,null],[17,"Arabic_kasratan","","",null,null],[17,"Arabic_fatha","","",null,null],[17,"Arabic_damma","","",null,null],[17,"Arabic_kasra","","",null,null],[17,"Arabic_shadda","","",null,null],[17,"Arabic_sukun","","",null,null],[17,"Arabic_madda_above","","",null,null],[17,"Arabic_hamza_above","","",null,null],[17,"Arabic_hamza_below","","",null,null],[17,"Arabic_jeh","","",null,null],[17,"Arabic_veh","","",null,null],[17,"Arabic_keheh","","",null,null],[17,"Arabic_gaf","","",null,null],[17,"Arabic_noon_ghunna","","",null,null],[17,"Arabic_heh_doachashmee","","",null,null],[17,"Farsi_yeh","","",null,null],[17,"Arabic_farsi_yeh","","",null,null],[17,"Arabic_yeh_baree","","",null,null],[17,"Arabic_heh_goal","","",null,null],[17,"Arabic_switch","","",null,null],[17,"Cyrillic_GHE_bar","","",null,null],[17,"Cyrillic_ghe_bar","","",null,null],[17,"Cyrillic_ZHE_descender","","",null,null],[17,"Cyrillic_zhe_descender","","",null,null],[17,"Cyrillic_KA_descender","","",null,null],[17,"Cyrillic_ka_descender","","",null,null],[17,"Cyrillic_KA_vertstroke","","",null,null],[17,"Cyrillic_ka_vertstroke","","",null,null],[17,"Cyrillic_EN_descender","","",null,null],[17,"Cyrillic_en_descender","","",null,null],[17,"Cyrillic_U_straight","","",null,null],[17,"Cyrillic_u_straight","","",null,null],[17,"Cyrillic_U_straight_bar","","",null,null],[17,"Cyrillic_u_straight_bar","","",null,null],[17,"Cyrillic_HA_descender","","",null,null],[17,"Cyrillic_ha_descender","","",null,null],[17,"Cyrillic_CHE_descender","","",null,null],[17,"Cyrillic_che_descender","","",null,null],[17,"Cyrillic_CHE_vertstroke","","",null,null],[17,"Cyrillic_che_vertstroke","","",null,null],[17,"Cyrillic_SHHA","","",null,null],[17,"Cyrillic_shha","","",null,null],[17,"Cyrillic_SCHWA","","",null,null],[17,"Cyrillic_schwa","","",null,null],[17,"Cyrillic_I_macron","","",null,null],[17,"Cyrillic_i_macron","","",null,null],[17,"Cyrillic_O_bar","","",null,null],[17,"Cyrillic_o_bar","","",null,null],[17,"Cyrillic_U_macron","","",null,null],[17,"Cyrillic_u_macron","","",null,null],[17,"Serbian_dje","","",null,null],[17,"Macedonia_gje","","",null,null],[17,"Cyrillic_io","","",null,null],[17,"Ukrainian_ie","","",null,null],[17,"Ukranian_je","","",null,null],[17,"Macedonia_dse","","",null,null],[17,"Ukrainian_i","","",null,null],[17,"Ukranian_i","","",null,null],[17,"Ukrainian_yi","","",null,null],[17,"Ukranian_yi","","",null,null],[17,"Cyrillic_je","","",null,null],[17,"Serbian_je","","",null,null],[17,"Cyrillic_lje","","",null,null],[17,"Serbian_lje","","",null,null],[17,"Cyrillic_nje","","",null,null],[17,"Serbian_nje","","",null,null],[17,"Serbian_tshe","","",null,null],[17,"Macedonia_kje","","",null,null],[17,"Ukrainian_ghe_with_upturn","","",null,null],[17,"Byelorussian_shortu","","",null,null],[17,"Cyrillic_dzhe","","",null,null],[17,"Serbian_dze","","",null,null],[17,"numerosign","","",null,null],[17,"Serbian_DJE","","",null,null],[17,"Macedonia_GJE","","",null,null],[17,"Cyrillic_IO","","",null,null],[17,"Ukrainian_IE","","",null,null],[17,"Ukranian_JE","","",null,null],[17,"Macedonia_DSE","","",null,null],[17,"Ukrainian_I","","",null,null],[17,"Ukranian_I","","",null,null],[17,"Ukrainian_YI","","",null,null],[17,"Ukranian_YI","","",null,null],[17,"Cyrillic_JE","","",null,null],[17,"Serbian_JE","","",null,null],[17,"Cyrillic_LJE","","",null,null],[17,"Serbian_LJE","","",null,null],[17,"Cyrillic_NJE","","",null,null],[17,"Serbian_NJE","","",null,null],[17,"Serbian_TSHE","","",null,null],[17,"Macedonia_KJE","","",null,null],[17,"Ukrainian_GHE_WITH_UPTURN","","",null,null],[17,"Byelorussian_SHORTU","","",null,null],[17,"Cyrillic_DZHE","","",null,null],[17,"Serbian_DZE","","",null,null],[17,"Cyrillic_yu","","",null,null],[17,"Cyrillic_a","","",null,null],[17,"Cyrillic_be","","",null,null],[17,"Cyrillic_tse","","",null,null],[17,"Cyrillic_de","","",null,null],[17,"Cyrillic_ie","","",null,null],[17,"Cyrillic_ef","","",null,null],[17,"Cyrillic_ghe","","",null,null],[17,"Cyrillic_ha","","",null,null],[17,"Cyrillic_i","","",null,null],[17,"Cyrillic_shorti","","",null,null],[17,"Cyrillic_ka","","",null,null],[17,"Cyrillic_el","","",null,null],[17,"Cyrillic_em","","",null,null],[17,"Cyrillic_en","","",null,null],[17,"Cyrillic_o","","",null,null],[17,"Cyrillic_pe","","",null,null],[17,"Cyrillic_ya","","",null,null],[17,"Cyrillic_er","","",null,null],[17,"Cyrillic_es","","",null,null],[17,"Cyrillic_te","","",null,null],[17,"Cyrillic_u","","",null,null],[17,"Cyrillic_zhe","","",null,null],[17,"Cyrillic_ve","","",null,null],[17,"Cyrillic_softsign","","",null,null],[17,"Cyrillic_yeru","","",null,null],[17,"Cyrillic_ze","","",null,null],[17,"Cyrillic_sha","","",null,null],[17,"Cyrillic_e","","",null,null],[17,"Cyrillic_shcha","","",null,null],[17,"Cyrillic_che","","",null,null],[17,"Cyrillic_hardsign","","",null,null],[17,"Cyrillic_YU","","",null,null],[17,"Cyrillic_A","","",null,null],[17,"Cyrillic_BE","","",null,null],[17,"Cyrillic_TSE","","",null,null],[17,"Cyrillic_DE","","",null,null],[17,"Cyrillic_IE","","",null,null],[17,"Cyrillic_EF","","",null,null],[17,"Cyrillic_GHE","","",null,null],[17,"Cyrillic_HA","","",null,null],[17,"Cyrillic_I","","",null,null],[17,"Cyrillic_SHORTI","","",null,null],[17,"Cyrillic_KA","","",null,null],[17,"Cyrillic_EL","","",null,null],[17,"Cyrillic_EM","","",null,null],[17,"Cyrillic_EN","","",null,null],[17,"Cyrillic_O","","",null,null],[17,"Cyrillic_PE","","",null,null],[17,"Cyrillic_YA","","",null,null],[17,"Cyrillic_ER","","",null,null],[17,"Cyrillic_ES","","",null,null],[17,"Cyrillic_TE","","",null,null],[17,"Cyrillic_U","","",null,null],[17,"Cyrillic_ZHE","","",null,null],[17,"Cyrillic_VE","","",null,null],[17,"Cyrillic_SOFTSIGN","","",null,null],[17,"Cyrillic_YERU","","",null,null],[17,"Cyrillic_ZE","","",null,null],[17,"Cyrillic_SHA","","",null,null],[17,"Cyrillic_E","","",null,null],[17,"Cyrillic_SHCHA","","",null,null],[17,"Cyrillic_CHE","","",null,null],[17,"Cyrillic_HARDSIGN","","",null,null],[17,"Greek_ALPHAaccent","","",null,null],[17,"Greek_EPSILONaccent","","",null,null],[17,"Greek_ETAaccent","","",null,null],[17,"Greek_IOTAaccent","","",null,null],[17,"Greek_IOTAdieresis","","",null,null],[17,"Greek_IOTAdiaeresis","","",null,null],[17,"Greek_OMICRONaccent","","",null,null],[17,"Greek_UPSILONaccent","","",null,null],[17,"Greek_UPSILONdieresis","","",null,null],[17,"Greek_OMEGAaccent","","",null,null],[17,"Greek_accentdieresis","","",null,null],[17,"Greek_horizbar","","",null,null],[17,"Greek_alphaaccent","","",null,null],[17,"Greek_epsilonaccent","","",null,null],[17,"Greek_etaaccent","","",null,null],[17,"Greek_iotaaccent","","",null,null],[17,"Greek_iotadieresis","","",null,null],[17,"Greek_iotaaccentdieresis","","",null,null],[17,"Greek_omicronaccent","","",null,null],[17,"Greek_upsilonaccent","","",null,null],[17,"Greek_upsilondieresis","","",null,null],[17,"Greek_upsilonaccentdieresis","","",null,null],[17,"Greek_omegaaccent","","",null,null],[17,"Greek_ALPHA","","",null,null],[17,"Greek_BETA","","",null,null],[17,"Greek_GAMMA","","",null,null],[17,"Greek_DELTA","","",null,null],[17,"Greek_EPSILON","","",null,null],[17,"Greek_ZETA","","",null,null],[17,"Greek_ETA","","",null,null],[17,"Greek_THETA","","",null,null],[17,"Greek_IOTA","","",null,null],[17,"Greek_KAPPA","","",null,null],[17,"Greek_LAMDA","","",null,null],[17,"Greek_LAMBDA","","",null,null],[17,"Greek_MU","","",null,null],[17,"Greek_NU","","",null,null],[17,"Greek_XI","","",null,null],[17,"Greek_OMICRON","","",null,null],[17,"Greek_PI","","",null,null],[17,"Greek_RHO","","",null,null],[17,"Greek_SIGMA","","",null,null],[17,"Greek_TAU","","",null,null],[17,"Greek_UPSILON","","",null,null],[17,"Greek_PHI","","",null,null],[17,"Greek_CHI","","",null,null],[17,"Greek_PSI","","",null,null],[17,"Greek_OMEGA","","",null,null],[17,"Greek_alpha","","",null,null],[17,"Greek_beta","","",null,null],[17,"Greek_gamma","","",null,null],[17,"Greek_delta","","",null,null],[17,"Greek_epsilon","","",null,null],[17,"Greek_zeta","","",null,null],[17,"Greek_eta","","",null,null],[17,"Greek_theta","","",null,null],[17,"Greek_iota","","",null,null],[17,"Greek_kappa","","",null,null],[17,"Greek_lamda","","",null,null],[17,"Greek_lambda","","",null,null],[17,"Greek_mu","","",null,null],[17,"Greek_nu","","",null,null],[17,"Greek_xi","","",null,null],[17,"Greek_omicron","","",null,null],[17,"Greek_pi","","",null,null],[17,"Greek_rho","","",null,null],[17,"Greek_sigma","","",null,null],[17,"Greek_finalsmallsigma","","",null,null],[17,"Greek_tau","","",null,null],[17,"Greek_upsilon","","",null,null],[17,"Greek_phi","","",null,null],[17,"Greek_chi","","",null,null],[17,"Greek_psi","","",null,null],[17,"Greek_omega","","",null,null],[17,"Greek_switch","","",null,null],[17,"leftradical","","",null,null],[17,"topleftradical","","",null,null],[17,"horizconnector","","",null,null],[17,"topintegral","","",null,null],[17,"botintegral","","",null,null],[17,"vertconnector","","",null,null],[17,"topleftsqbracket","","",null,null],[17,"botleftsqbracket","","",null,null],[17,"toprightsqbracket","","",null,null],[17,"botrightsqbracket","","",null,null],[17,"topleftparens","","",null,null],[17,"botleftparens","","",null,null],[17,"toprightparens","","",null,null],[17,"botrightparens","","",null,null],[17,"leftmiddlecurlybrace","","",null,null],[17,"rightmiddlecurlybrace","","",null,null],[17,"topleftsummation","","",null,null],[17,"botleftsummation","","",null,null],[17,"topvertsummationconnector","","",null,null],[17,"botvertsummationconnector","","",null,null],[17,"toprightsummation","","",null,null],[17,"botrightsummation","","",null,null],[17,"rightmiddlesummation","","",null,null],[17,"lessthanequal","","",null,null],[17,"notequal","","",null,null],[17,"greaterthanequal","","",null,null],[17,"integral","","",null,null],[17,"therefore","","",null,null],[17,"variation","","",null,null],[17,"infinity","","",null,null],[17,"nabla","","",null,null],[17,"approximate","","",null,null],[17,"similarequal","","",null,null],[17,"ifonlyif","","",null,null],[17,"implies","","",null,null],[17,"identical","","",null,null],[17,"radical","","",null,null],[17,"includedin","","",null,null],[17,"includes","","",null,null],[17,"intersection","","",null,null],[17,"union","","",null,null],[17,"logicaland","","",null,null],[17,"logicalor","","",null,null],[17,"partialderivative","","",null,null],[17,"function","","",null,null],[17,"leftarrow","","",null,null],[17,"uparrow","","",null,null],[17,"rightarrow","","",null,null],[17,"downarrow","","",null,null],[17,"blank","","",null,null],[17,"soliddiamond","","",null,null],[17,"checkerboard","","",null,null],[17,"ht","","",null,null],[17,"ff","","",null,null],[17,"cr","","",null,null],[17,"lf","","",null,null],[17,"nl","","",null,null],[17,"vt","","",null,null],[17,"lowrightcorner","","",null,null],[17,"uprightcorner","","",null,null],[17,"upleftcorner","","",null,null],[17,"lowleftcorner","","",null,null],[17,"crossinglines","","",null,null],[17,"horizlinescan1","","",null,null],[17,"horizlinescan3","","",null,null],[17,"horizlinescan5","","",null,null],[17,"horizlinescan7","","",null,null],[17,"horizlinescan9","","",null,null],[17,"leftt","","",null,null],[17,"rightt","","",null,null],[17,"bott","","",null,null],[17,"topt","","",null,null],[17,"vertbar","","",null,null],[17,"emspace","","",null,null],[17,"enspace","","",null,null],[17,"em3space","","",null,null],[17,"em4space","","",null,null],[17,"digitspace","","",null,null],[17,"punctspace","","",null,null],[17,"thinspace","","",null,null],[17,"hairspace","","",null,null],[17,"emdash","","",null,null],[17,"endash","","",null,null],[17,"signifblank","","",null,null],[17,"ellipsis","","",null,null],[17,"doubbaselinedot","","",null,null],[17,"onethird","","",null,null],[17,"twothirds","","",null,null],[17,"onefifth","","",null,null],[17,"twofifths","","",null,null],[17,"threefifths","","",null,null],[17,"fourfifths","","",null,null],[17,"onesixth","","",null,null],[17,"fivesixths","","",null,null],[17,"careof","","",null,null],[17,"figdash","","",null,null],[17,"leftanglebracket","","",null,null],[17,"decimalpoint","","",null,null],[17,"rightanglebracket","","",null,null],[17,"marker","","",null,null],[17,"oneeighth","","",null,null],[17,"threeeighths","","",null,null],[17,"fiveeighths","","",null,null],[17,"seveneighths","","",null,null],[17,"trademark","","",null,null],[17,"signaturemark","","",null,null],[17,"trademarkincircle","","",null,null],[17,"leftopentriangle","","",null,null],[17,"rightopentriangle","","",null,null],[17,"emopencircle","","",null,null],[17,"emopenrectangle","","",null,null],[17,"leftsinglequotemark","","",null,null],[17,"rightsinglequotemark","","",null,null],[17,"leftdoublequotemark","","",null,null],[17,"rightdoublequotemark","","",null,null],[17,"prescription","","",null,null],[17,"permille","","",null,null],[17,"minutes","","",null,null],[17,"seconds","","",null,null],[17,"latincross","","",null,null],[17,"hexagram","","",null,null],[17,"filledrectbullet","","",null,null],[17,"filledlefttribullet","","",null,null],[17,"filledrighttribullet","","",null,null],[17,"emfilledcircle","","",null,null],[17,"emfilledrect","","",null,null],[17,"enopencircbullet","","",null,null],[17,"enopensquarebullet","","",null,null],[17,"openrectbullet","","",null,null],[17,"opentribulletup","","",null,null],[17,"opentribulletdown","","",null,null],[17,"openstar","","",null,null],[17,"enfilledcircbullet","","",null,null],[17,"enfilledsqbullet","","",null,null],[17,"filledtribulletup","","",null,null],[17,"filledtribulletdown","","",null,null],[17,"leftpointer","","",null,null],[17,"rightpointer","","",null,null],[17,"club","","",null,null],[17,"diamond","","",null,null],[17,"heart","","",null,null],[17,"maltesecross","","",null,null],[17,"dagger","","",null,null],[17,"doubledagger","","",null,null],[17,"checkmark","","",null,null],[17,"ballotcross","","",null,null],[17,"musicalsharp","","",null,null],[17,"musicalflat","","",null,null],[17,"malesymbol","","",null,null],[17,"femalesymbol","","",null,null],[17,"telephone","","",null,null],[17,"telephonerecorder","","",null,null],[17,"phonographcopyright","","",null,null],[17,"caret","","",null,null],[17,"singlelowquotemark","","",null,null],[17,"doublelowquotemark","","",null,null],[17,"cursor","","",null,null],[17,"leftcaret","","",null,null],[17,"rightcaret","","",null,null],[17,"downcaret","","",null,null],[17,"upcaret","","",null,null],[17,"overbar","","",null,null],[17,"downtack","","",null,null],[17,"upshoe","","",null,null],[17,"downstile","","",null,null],[17,"underbar","","",null,null],[17,"jot","","",null,null],[17,"quad","","",null,null],[17,"uptack","","",null,null],[17,"circle","","",null,null],[17,"upstile","","",null,null],[17,"downshoe","","",null,null],[17,"rightshoe","","",null,null],[17,"leftshoe","","",null,null],[17,"lefttack","","",null,null],[17,"righttack","","",null,null],[17,"hebrew_doublelowline","","",null,null],[17,"hebrew_aleph","","",null,null],[17,"hebrew_bet","","",null,null],[17,"hebrew_beth","","",null,null],[17,"hebrew_gimel","","",null,null],[17,"hebrew_gimmel","","",null,null],[17,"hebrew_dalet","","",null,null],[17,"hebrew_daleth","","",null,null],[17,"hebrew_he","","",null,null],[17,"hebrew_waw","","",null,null],[17,"hebrew_zain","","",null,null],[17,"hebrew_zayin","","",null,null],[17,"hebrew_chet","","",null,null],[17,"hebrew_het","","",null,null],[17,"hebrew_tet","","",null,null],[17,"hebrew_teth","","",null,null],[17,"hebrew_yod","","",null,null],[17,"hebrew_finalkaph","","",null,null],[17,"hebrew_kaph","","",null,null],[17,"hebrew_lamed","","",null,null],[17,"hebrew_finalmem","","",null,null],[17,"hebrew_mem","","",null,null],[17,"hebrew_finalnun","","",null,null],[17,"hebrew_nun","","",null,null],[17,"hebrew_samech","","",null,null],[17,"hebrew_samekh","","",null,null],[17,"hebrew_ayin","","",null,null],[17,"hebrew_finalpe","","",null,null],[17,"hebrew_pe","","",null,null],[17,"hebrew_finalzade","","",null,null],[17,"hebrew_finalzadi","","",null,null],[17,"hebrew_zade","","",null,null],[17,"hebrew_zadi","","",null,null],[17,"hebrew_qoph","","",null,null],[17,"hebrew_kuf","","",null,null],[17,"hebrew_resh","","",null,null],[17,"hebrew_shin","","",null,null],[17,"hebrew_taw","","",null,null],[17,"hebrew_taf","","",null,null],[17,"Hebrew_switch","","",null,null],[17,"Thai_kokai","","",null,null],[17,"Thai_khokhai","","",null,null],[17,"Thai_khokhuat","","",null,null],[17,"Thai_khokhwai","","",null,null],[17,"Thai_khokhon","","",null,null],[17,"Thai_khorakhang","","",null,null],[17,"Thai_ngongu","","",null,null],[17,"Thai_chochan","","",null,null],[17,"Thai_choching","","",null,null],[17,"Thai_chochang","","",null,null],[17,"Thai_soso","","",null,null],[17,"Thai_chochoe","","",null,null],[17,"Thai_yoying","","",null,null],[17,"Thai_dochada","","",null,null],[17,"Thai_topatak","","",null,null],[17,"Thai_thothan","","",null,null],[17,"Thai_thonangmontho","","",null,null],[17,"Thai_thophuthao","","",null,null],[17,"Thai_nonen","","",null,null],[17,"Thai_dodek","","",null,null],[17,"Thai_totao","","",null,null],[17,"Thai_thothung","","",null,null],[17,"Thai_thothahan","","",null,null],[17,"Thai_thothong","","",null,null],[17,"Thai_nonu","","",null,null],[17,"Thai_bobaimai","","",null,null],[17,"Thai_popla","","",null,null],[17,"Thai_phophung","","",null,null],[17,"Thai_fofa","","",null,null],[17,"Thai_phophan","","",null,null],[17,"Thai_fofan","","",null,null],[17,"Thai_phosamphao","","",null,null],[17,"Thai_moma","","",null,null],[17,"Thai_yoyak","","",null,null],[17,"Thai_rorua","","",null,null],[17,"Thai_ru","","",null,null],[17,"Thai_loling","","",null,null],[17,"Thai_lu","","",null,null],[17,"Thai_wowaen","","",null,null],[17,"Thai_sosala","","",null,null],[17,"Thai_sorusi","","",null,null],[17,"Thai_sosua","","",null,null],[17,"Thai_hohip","","",null,null],[17,"Thai_lochula","","",null,null],[17,"Thai_oang","","",null,null],[17,"Thai_honokhuk","","",null,null],[17,"Thai_paiyannoi","","",null,null],[17,"Thai_saraa","","",null,null],[17,"Thai_maihanakat","","",null,null],[17,"Thai_saraaa","","",null,null],[17,"Thai_saraam","","",null,null],[17,"Thai_sarai","","",null,null],[17,"Thai_saraii","","",null,null],[17,"Thai_saraue","","",null,null],[17,"Thai_sarauee","","",null,null],[17,"Thai_sarau","","",null,null],[17,"Thai_sarauu","","",null,null],[17,"Thai_phinthu","","",null,null],[17,"Thai_maihanakat_maitho","","",null,null],[17,"Thai_baht","","",null,null],[17,"Thai_sarae","","",null,null],[17,"Thai_saraae","","",null,null],[17,"Thai_sarao","","",null,null],[17,"Thai_saraaimaimuan","","",null,null],[17,"Thai_saraaimaimalai","","",null,null],[17,"Thai_lakkhangyao","","",null,null],[17,"Thai_maiyamok","","",null,null],[17,"Thai_maitaikhu","","",null,null],[17,"Thai_maiek","","",null,null],[17,"Thai_maitho","","",null,null],[17,"Thai_maitri","","",null,null],[17,"Thai_maichattawa","","",null,null],[17,"Thai_thanthakhat","","",null,null],[17,"Thai_nikhahit","","",null,null],[17,"Thai_leksun","","",null,null],[17,"Thai_leknung","","",null,null],[17,"Thai_leksong","","",null,null],[17,"Thai_leksam","","",null,null],[17,"Thai_leksi","","",null,null],[17,"Thai_lekha","","",null,null],[17,"Thai_lekhok","","",null,null],[17,"Thai_lekchet","","",null,null],[17,"Thai_lekpaet","","",null,null],[17,"Thai_lekkao","","",null,null],[17,"Hangul","","",null,null],[17,"Hangul_Start","","",null,null],[17,"Hangul_End","","",null,null],[17,"Hangul_Hanja","","",null,null],[17,"Hangul_Jamo","","",null,null],[17,"Hangul_Romaja","","",null,null],[17,"Hangul_Codeinput","","",null,null],[17,"Hangul_Jeonja","","",null,null],[17,"Hangul_Banja","","",null,null],[17,"Hangul_PreHanja","","",null,null],[17,"Hangul_PostHanja","","",null,null],[17,"Hangul_SingleCandidate","","",null,null],[17,"Hangul_MultipleCandidate","","",null,null],[17,"Hangul_PreviousCandidate","","",null,null],[17,"Hangul_Special","","",null,null],[17,"Hangul_switch","","",null,null],[17,"Hangul_Kiyeog","","",null,null],[17,"Hangul_SsangKiyeog","","",null,null],[17,"Hangul_KiyeogSios","","",null,null],[17,"Hangul_Nieun","","",null,null],[17,"Hangul_NieunJieuj","","",null,null],[17,"Hangul_NieunHieuh","","",null,null],[17,"Hangul_Dikeud","","",null,null],[17,"Hangul_SsangDikeud","","",null,null],[17,"Hangul_Rieul","","",null,null],[17,"Hangul_RieulKiyeog","","",null,null],[17,"Hangul_RieulMieum","","",null,null],[17,"Hangul_RieulPieub","","",null,null],[17,"Hangul_RieulSios","","",null,null],[17,"Hangul_RieulTieut","","",null,null],[17,"Hangul_RieulPhieuf","","",null,null],[17,"Hangul_RieulHieuh","","",null,null],[17,"Hangul_Mieum","","",null,null],[17,"Hangul_Pieub","","",null,null],[17,"Hangul_SsangPieub","","",null,null],[17,"Hangul_PieubSios","","",null,null],[17,"Hangul_Sios","","",null,null],[17,"Hangul_SsangSios","","",null,null],[17,"Hangul_Ieung","","",null,null],[17,"Hangul_Jieuj","","",null,null],[17,"Hangul_SsangJieuj","","",null,null],[17,"Hangul_Cieuc","","",null,null],[17,"Hangul_Khieuq","","",null,null],[17,"Hangul_Tieut","","",null,null],[17,"Hangul_Phieuf","","",null,null],[17,"Hangul_Hieuh","","",null,null],[17,"Hangul_A","","",null,null],[17,"Hangul_AE","","",null,null],[17,"Hangul_YA","","",null,null],[17,"Hangul_YAE","","",null,null],[17,"Hangul_EO","","",null,null],[17,"Hangul_E","","",null,null],[17,"Hangul_YEO","","",null,null],[17,"Hangul_YE","","",null,null],[17,"Hangul_O","","",null,null],[17,"Hangul_WA","","",null,null],[17,"Hangul_WAE","","",null,null],[17,"Hangul_OE","","",null,null],[17,"Hangul_YO","","",null,null],[17,"Hangul_U","","",null,null],[17,"Hangul_WEO","","",null,null],[17,"Hangul_WE","","",null,null],[17,"Hangul_WI","","",null,null],[17,"Hangul_YU","","",null,null],[17,"Hangul_EU","","",null,null],[17,"Hangul_YI","","",null,null],[17,"Hangul_I","","",null,null],[17,"Hangul_J_Kiyeog","","",null,null],[17,"Hangul_J_SsangKiyeog","","",null,null],[17,"Hangul_J_KiyeogSios","","",null,null],[17,"Hangul_J_Nieun","","",null,null],[17,"Hangul_J_NieunJieuj","","",null,null],[17,"Hangul_J_NieunHieuh","","",null,null],[17,"Hangul_J_Dikeud","","",null,null],[17,"Hangul_J_Rieul","","",null,null],[17,"Hangul_J_RieulKiyeog","","",null,null],[17,"Hangul_J_RieulMieum","","",null,null],[17,"Hangul_J_RieulPieub","","",null,null],[17,"Hangul_J_RieulSios","","",null,null],[17,"Hangul_J_RieulTieut","","",null,null],[17,"Hangul_J_RieulPhieuf","","",null,null],[17,"Hangul_J_RieulHieuh","","",null,null],[17,"Hangul_J_Mieum","","",null,null],[17,"Hangul_J_Pieub","","",null,null],[17,"Hangul_J_PieubSios","","",null,null],[17,"Hangul_J_Sios","","",null,null],[17,"Hangul_J_SsangSios","","",null,null],[17,"Hangul_J_Ieung","","",null,null],[17,"Hangul_J_Jieuj","","",null,null],[17,"Hangul_J_Cieuc","","",null,null],[17,"Hangul_J_Khieuq","","",null,null],[17,"Hangul_J_Tieut","","",null,null],[17,"Hangul_J_Phieuf","","",null,null],[17,"Hangul_J_Hieuh","","",null,null],[17,"Hangul_RieulYeorinHieuh","","",null,null],[17,"Hangul_SunkyeongeumMieum","","",null,null],[17,"Hangul_SunkyeongeumPieub","","",null,null],[17,"Hangul_PanSios","","",null,null],[17,"Hangul_KkogjiDalrinIeung","","",null,null],[17,"Hangul_SunkyeongeumPhieuf","","",null,null],[17,"Hangul_YeorinHieuh","","",null,null],[17,"Hangul_AraeA","","",null,null],[17,"Hangul_AraeAE","","",null,null],[17,"Hangul_J_PanSios","","",null,null],[17,"Hangul_J_KkogjiDalrinIeung","","",null,null],[17,"Hangul_J_YeorinHieuh","","",null,null],[17,"Korean_Won","","",null,null],[17,"Armenian_ligature_ew","","",null,null],[17,"Armenian_full_stop","","",null,null],[17,"Armenian_verjaket","","",null,null],[17,"Armenian_separation_mark","","",null,null],[17,"Armenian_but","","",null,null],[17,"Armenian_hyphen","","",null,null],[17,"Armenian_yentamna","","",null,null],[17,"Armenian_exclam","","",null,null],[17,"Armenian_amanak","","",null,null],[17,"Armenian_accent","","",null,null],[17,"Armenian_shesht","","",null,null],[17,"Armenian_question","","",null,null],[17,"Armenian_paruyk","","",null,null],[17,"Armenian_AYB","","",null,null],[17,"Armenian_ayb","","",null,null],[17,"Armenian_BEN","","",null,null],[17,"Armenian_ben","","",null,null],[17,"Armenian_GIM","","",null,null],[17,"Armenian_gim","","",null,null],[17,"Armenian_DA","","",null,null],[17,"Armenian_da","","",null,null],[17,"Armenian_YECH","","",null,null],[17,"Armenian_yech","","",null,null],[17,"Armenian_ZA","","",null,null],[17,"Armenian_za","","",null,null],[17,"Armenian_E","","",null,null],[17,"Armenian_e","","",null,null],[17,"Armenian_AT","","",null,null],[17,"Armenian_at","","",null,null],[17,"Armenian_TO","","",null,null],[17,"Armenian_to","","",null,null],[17,"Armenian_ZHE","","",null,null],[17,"Armenian_zhe","","",null,null],[17,"Armenian_INI","","",null,null],[17,"Armenian_ini","","",null,null],[17,"Armenian_LYUN","","",null,null],[17,"Armenian_lyun","","",null,null],[17,"Armenian_KHE","","",null,null],[17,"Armenian_khe","","",null,null],[17,"Armenian_TSA","","",null,null],[17,"Armenian_tsa","","",null,null],[17,"Armenian_KEN","","",null,null],[17,"Armenian_ken","","",null,null],[17,"Armenian_HO","","",null,null],[17,"Armenian_ho","","",null,null],[17,"Armenian_DZA","","",null,null],[17,"Armenian_dza","","",null,null],[17,"Armenian_GHAT","","",null,null],[17,"Armenian_ghat","","",null,null],[17,"Armenian_TCHE","","",null,null],[17,"Armenian_tche","","",null,null],[17,"Armenian_MEN","","",null,null],[17,"Armenian_men","","",null,null],[17,"Armenian_HI","","",null,null],[17,"Armenian_hi","","",null,null],[17,"Armenian_NU","","",null,null],[17,"Armenian_nu","","",null,null],[17,"Armenian_SHA","","",null,null],[17,"Armenian_sha","","",null,null],[17,"Armenian_VO","","",null,null],[17,"Armenian_vo","","",null,null],[17,"Armenian_CHA","","",null,null],[17,"Armenian_cha","","",null,null],[17,"Armenian_PE","","",null,null],[17,"Armenian_pe","","",null,null],[17,"Armenian_JE","","",null,null],[17,"Armenian_je","","",null,null],[17,"Armenian_RA","","",null,null],[17,"Armenian_ra","","",null,null],[17,"Armenian_SE","","",null,null],[17,"Armenian_se","","",null,null],[17,"Armenian_VEV","","",null,null],[17,"Armenian_vev","","",null,null],[17,"Armenian_TYUN","","",null,null],[17,"Armenian_tyun","","",null,null],[17,"Armenian_RE","","",null,null],[17,"Armenian_re","","",null,null],[17,"Armenian_TSO","","",null,null],[17,"Armenian_tso","","",null,null],[17,"Armenian_VYUN","","",null,null],[17,"Armenian_vyun","","",null,null],[17,"Armenian_PYUR","","",null,null],[17,"Armenian_pyur","","",null,null],[17,"Armenian_KE","","",null,null],[17,"Armenian_ke","","",null,null],[17,"Armenian_O","","",null,null],[17,"Armenian_o","","",null,null],[17,"Armenian_FE","","",null,null],[17,"Armenian_fe","","",null,null],[17,"Armenian_apostrophe","","",null,null],[17,"Georgian_an","","",null,null],[17,"Georgian_ban","","",null,null],[17,"Georgian_gan","","",null,null],[17,"Georgian_don","","",null,null],[17,"Georgian_en","","",null,null],[17,"Georgian_vin","","",null,null],[17,"Georgian_zen","","",null,null],[17,"Georgian_tan","","",null,null],[17,"Georgian_in","","",null,null],[17,"Georgian_kan","","",null,null],[17,"Georgian_las","","",null,null],[17,"Georgian_man","","",null,null],[17,"Georgian_nar","","",null,null],[17,"Georgian_on","","",null,null],[17,"Georgian_par","","",null,null],[17,"Georgian_zhar","","",null,null],[17,"Georgian_rae","","",null,null],[17,"Georgian_san","","",null,null],[17,"Georgian_tar","","",null,null],[17,"Georgian_un","","",null,null],[17,"Georgian_phar","","",null,null],[17,"Georgian_khar","","",null,null],[17,"Georgian_ghan","","",null,null],[17,"Georgian_qar","","",null,null],[17,"Georgian_shin","","",null,null],[17,"Georgian_chin","","",null,null],[17,"Georgian_can","","",null,null],[17,"Georgian_jil","","",null,null],[17,"Georgian_cil","","",null,null],[17,"Georgian_char","","",null,null],[17,"Georgian_xan","","",null,null],[17,"Georgian_jhan","","",null,null],[17,"Georgian_hae","","",null,null],[17,"Georgian_he","","",null,null],[17,"Georgian_hie","","",null,null],[17,"Georgian_we","","",null,null],[17,"Georgian_har","","",null,null],[17,"Georgian_hoe","","",null,null],[17,"Georgian_fi","","",null,null],[17,"Xabovedot","","",null,null],[17,"Ibreve","","",null,null],[17,"Zstroke","","",null,null],[17,"Gcaron","","",null,null],[17,"Ocaron","","",null,null],[17,"Obarred","","",null,null],[17,"xabovedot","","",null,null],[17,"ibreve","","",null,null],[17,"zstroke","","",null,null],[17,"gcaron","","",null,null],[17,"ocaron","","",null,null],[17,"obarred","","",null,null],[17,"SCHWA","","",null,null],[17,"schwa","","",null,null],[17,"EZH","","",null,null],[17,"ezh","","",null,null],[17,"Lbelowdot","","",null,null],[17,"lbelowdot","","",null,null],[17,"Abelowdot","","",null,null],[17,"abelowdot","","",null,null],[17,"Ahook","","",null,null],[17,"ahook","","",null,null],[17,"Acircumflexacute","","",null,null],[17,"acircumflexacute","","",null,null],[17,"Acircumflexgrave","","",null,null],[17,"acircumflexgrave","","",null,null],[17,"Acircumflexhook","","",null,null],[17,"acircumflexhook","","",null,null],[17,"Acircumflextilde","","",null,null],[17,"acircumflextilde","","",null,null],[17,"Acircumflexbelowdot","","",null,null],[17,"acircumflexbelowdot","","",null,null],[17,"Abreveacute","","",null,null],[17,"abreveacute","","",null,null],[17,"Abrevegrave","","",null,null],[17,"abrevegrave","","",null,null],[17,"Abrevehook","","",null,null],[17,"abrevehook","","",null,null],[17,"Abrevetilde","","",null,null],[17,"abrevetilde","","",null,null],[17,"Abrevebelowdot","","",null,null],[17,"abrevebelowdot","","",null,null],[17,"Ebelowdot","","",null,null],[17,"ebelowdot","","",null,null],[17,"Ehook","","",null,null],[17,"ehook","","",null,null],[17,"Etilde","","",null,null],[17,"etilde","","",null,null],[17,"Ecircumflexacute","","",null,null],[17,"ecircumflexacute","","",null,null],[17,"Ecircumflexgrave","","",null,null],[17,"ecircumflexgrave","","",null,null],[17,"Ecircumflexhook","","",null,null],[17,"ecircumflexhook","","",null,null],[17,"Ecircumflextilde","","",null,null],[17,"ecircumflextilde","","",null,null],[17,"Ecircumflexbelowdot","","",null,null],[17,"ecircumflexbelowdot","","",null,null],[17,"Ihook","","",null,null],[17,"ihook","","",null,null],[17,"Ibelowdot","","",null,null],[17,"ibelowdot","","",null,null],[17,"Obelowdot","","",null,null],[17,"obelowdot","","",null,null],[17,"Ohook","","",null,null],[17,"ohook","","",null,null],[17,"Ocircumflexacute","","",null,null],[17,"ocircumflexacute","","",null,null],[17,"Ocircumflexgrave","","",null,null],[17,"ocircumflexgrave","","",null,null],[17,"Ocircumflexhook","","",null,null],[17,"ocircumflexhook","","",null,null],[17,"Ocircumflextilde","","",null,null],[17,"ocircumflextilde","","",null,null],[17,"Ocircumflexbelowdot","","",null,null],[17,"ocircumflexbelowdot","","",null,null],[17,"Ohornacute","","",null,null],[17,"ohornacute","","",null,null],[17,"Ohorngrave","","",null,null],[17,"ohorngrave","","",null,null],[17,"Ohornhook","","",null,null],[17,"ohornhook","","",null,null],[17,"Ohorntilde","","",null,null],[17,"ohorntilde","","",null,null],[17,"Ohornbelowdot","","",null,null],[17,"ohornbelowdot","","",null,null],[17,"Ubelowdot","","",null,null],[17,"ubelowdot","","",null,null],[17,"Uhook","","",null,null],[17,"uhook","","",null,null],[17,"Uhornacute","","",null,null],[17,"uhornacute","","",null,null],[17,"Uhorngrave","","",null,null],[17,"uhorngrave","","",null,null],[17,"Uhornhook","","",null,null],[17,"uhornhook","","",null,null],[17,"Uhorntilde","","",null,null],[17,"uhorntilde","","",null,null],[17,"Uhornbelowdot","","",null,null],[17,"uhornbelowdot","","",null,null],[17,"Ybelowdot","","",null,null],[17,"ybelowdot","","",null,null],[17,"Yhook","","",null,null],[17,"yhook","","",null,null],[17,"Ytilde","","",null,null],[17,"ytilde","","",null,null],[17,"Ohorn","","",null,null],[17,"ohorn","","",null,null],[17,"Uhorn","","",null,null],[17,"uhorn","","",null,null],[17,"EcuSign","","",null,null],[17,"ColonSign","","",null,null],[17,"CruzeiroSign","","",null,null],[17,"FFrancSign","","",null,null],[17,"LiraSign","","",null,null],[17,"MillSign","","",null,null],[17,"NairaSign","","",null,null],[17,"PesetaSign","","",null,null],[17,"RupeeSign","","",null,null],[17,"WonSign","","",null,null],[17,"NewSheqelSign","","",null,null],[17,"DongSign","","",null,null],[17,"EuroSign","","",null,null],[17,"zerosuperior","","",null,null],[17,"foursuperior","","",null,null],[17,"fivesuperior","","",null,null],[17,"sixsuperior","","",null,null],[17,"sevensuperior","","",null,null],[17,"eightsuperior","","",null,null],[17,"ninesuperior","","",null,null],[17,"zerosubscript","","",null,null],[17,"onesubscript","","",null,null],[17,"twosubscript","","",null,null],[17,"threesubscript","","",null,null],[17,"foursubscript","","",null,null],[17,"fivesubscript","","",null,null],[17,"sixsubscript","","",null,null],[17,"sevensubscript","","",null,null],[17,"eightsubscript","","",null,null],[17,"ninesubscript","","",null,null],[17,"partdifferential","","",null,null],[17,"emptyset","","",null,null],[17,"elementof","","",null,null],[17,"notelementof","","",null,null],[17,"containsas","","",null,null],[17,"squareroot","","",null,null],[17,"cuberoot","","",null,null],[17,"fourthroot","","",null,null],[17,"dintegral","","",null,null],[17,"tintegral","","",null,null],[17,"because","","",null,null],[17,"approxeq","","",null,null],[17,"notapproxeq","","",null,null],[17,"notidentical","","",null,null],[17,"stricteq","","",null,null],[17,"braille_dot_1","","",null,null],[17,"braille_dot_2","","",null,null],[17,"braille_dot_3","","",null,null],[17,"braille_dot_4","","",null,null],[17,"braille_dot_5","","",null,null],[17,"braille_dot_6","","",null,null],[17,"braille_dot_7","","",null,null],[17,"braille_dot_8","","",null,null],[17,"braille_dot_9","","",null,null],[17,"braille_dot_10","","",null,null],[17,"braille_blank","","",null,null],[17,"braille_dots_1","","",null,null],[17,"braille_dots_2","","",null,null],[17,"braille_dots_12","","",null,null],[17,"braille_dots_3","","",null,null],[17,"braille_dots_13","","",null,null],[17,"braille_dots_23","","",null,null],[17,"braille_dots_123","","",null,null],[17,"braille_dots_4","","",null,null],[17,"braille_dots_14","","",null,null],[17,"braille_dots_24","","",null,null],[17,"braille_dots_124","","",null,null],[17,"braille_dots_34","","",null,null],[17,"braille_dots_134","","",null,null],[17,"braille_dots_234","","",null,null],[17,"braille_dots_1234","","",null,null],[17,"braille_dots_5","","",null,null],[17,"braille_dots_15","","",null,null],[17,"braille_dots_25","","",null,null],[17,"braille_dots_125","","",null,null],[17,"braille_dots_35","","",null,null],[17,"braille_dots_135","","",null,null],[17,"braille_dots_235","","",null,null],[17,"braille_dots_1235","","",null,null],[17,"braille_dots_45","","",null,null],[17,"braille_dots_145","","",null,null],[17,"braille_dots_245","","",null,null],[17,"braille_dots_1245","","",null,null],[17,"braille_dots_345","","",null,null],[17,"braille_dots_1345","","",null,null],[17,"braille_dots_2345","","",null,null],[17,"braille_dots_12345","","",null,null],[17,"braille_dots_6","","",null,null],[17,"braille_dots_16","","",null,null],[17,"braille_dots_26","","",null,null],[17,"braille_dots_126","","",null,null],[17,"braille_dots_36","","",null,null],[17,"braille_dots_136","","",null,null],[17,"braille_dots_236","","",null,null],[17,"braille_dots_1236","","",null,null],[17,"braille_dots_46","","",null,null],[17,"braille_dots_146","","",null,null],[17,"braille_dots_246","","",null,null],[17,"braille_dots_1246","","",null,null],[17,"braille_dots_346","","",null,null],[17,"braille_dots_1346","","",null,null],[17,"braille_dots_2346","","",null,null],[17,"braille_dots_12346","","",null,null],[17,"braille_dots_56","","",null,null],[17,"braille_dots_156","","",null,null],[17,"braille_dots_256","","",null,null],[17,"braille_dots_1256","","",null,null],[17,"braille_dots_356","","",null,null],[17,"braille_dots_1356","","",null,null],[17,"braille_dots_2356","","",null,null],[17,"braille_dots_12356","","",null,null],[17,"braille_dots_456","","",null,null],[17,"braille_dots_1456","","",null,null],[17,"braille_dots_2456","","",null,null],[17,"braille_dots_12456","","",null,null],[17,"braille_dots_3456","","",null,null],[17,"braille_dots_13456","","",null,null],[17,"braille_dots_23456","","",null,null],[17,"braille_dots_123456","","",null,null],[17,"braille_dots_7","","",null,null],[17,"braille_dots_17","","",null,null],[17,"braille_dots_27","","",null,null],[17,"braille_dots_127","","",null,null],[17,"braille_dots_37","","",null,null],[17,"braille_dots_137","","",null,null],[17,"braille_dots_237","","",null,null],[17,"braille_dots_1237","","",null,null],[17,"braille_dots_47","","",null,null],[17,"braille_dots_147","","",null,null],[17,"braille_dots_247","","",null,null],[17,"braille_dots_1247","","",null,null],[17,"braille_dots_347","","",null,null],[17,"braille_dots_1347","","",null,null],[17,"braille_dots_2347","","",null,null],[17,"braille_dots_12347","","",null,null],[17,"braille_dots_57","","",null,null],[17,"braille_dots_157","","",null,null],[17,"braille_dots_257","","",null,null],[17,"braille_dots_1257","","",null,null],[17,"braille_dots_357","","",null,null],[17,"braille_dots_1357","","",null,null],[17,"braille_dots_2357","","",null,null],[17,"braille_dots_12357","","",null,null],[17,"braille_dots_457","","",null,null],[17,"braille_dots_1457","","",null,null],[17,"braille_dots_2457","","",null,null],[17,"braille_dots_12457","","",null,null],[17,"braille_dots_3457","","",null,null],[17,"braille_dots_13457","","",null,null],[17,"braille_dots_23457","","",null,null],[17,"braille_dots_123457","","",null,null],[17,"braille_dots_67","","",null,null],[17,"braille_dots_167","","",null,null],[17,"braille_dots_267","","",null,null],[17,"braille_dots_1267","","",null,null],[17,"braille_dots_367","","",null,null],[17,"braille_dots_1367","","",null,null],[17,"braille_dots_2367","","",null,null],[17,"braille_dots_12367","","",null,null],[17,"braille_dots_467","","",null,null],[17,"braille_dots_1467","","",null,null],[17,"braille_dots_2467","","",null,null],[17,"braille_dots_12467","","",null,null],[17,"braille_dots_3467","","",null,null],[17,"braille_dots_13467","","",null,null],[17,"braille_dots_23467","","",null,null],[17,"braille_dots_123467","","",null,null],[17,"braille_dots_567","","",null,null],[17,"braille_dots_1567","","",null,null],[17,"braille_dots_2567","","",null,null],[17,"braille_dots_12567","","",null,null],[17,"braille_dots_3567","","",null,null],[17,"braille_dots_13567","","",null,null],[17,"braille_dots_23567","","",null,null],[17,"braille_dots_123567","","",null,null],[17,"braille_dots_4567","","",null,null],[17,"braille_dots_14567","","",null,null],[17,"braille_dots_24567","","",null,null],[17,"braille_dots_124567","","",null,null],[17,"braille_dots_34567","","",null,null],[17,"braille_dots_134567","","",null,null],[17,"braille_dots_234567","","",null,null],[17,"braille_dots_1234567","","",null,null],[17,"braille_dots_8","","",null,null],[17,"braille_dots_18","","",null,null],[17,"braille_dots_28","","",null,null],[17,"braille_dots_128","","",null,null],[17,"braille_dots_38","","",null,null],[17,"braille_dots_138","","",null,null],[17,"braille_dots_238","","",null,null],[17,"braille_dots_1238","","",null,null],[17,"braille_dots_48","","",null,null],[17,"braille_dots_148","","",null,null],[17,"braille_dots_248","","",null,null],[17,"braille_dots_1248","","",null,null],[17,"braille_dots_348","","",null,null],[17,"braille_dots_1348","","",null,null],[17,"braille_dots_2348","","",null,null],[17,"braille_dots_12348","","",null,null],[17,"braille_dots_58","","",null,null],[17,"braille_dots_158","","",null,null],[17,"braille_dots_258","","",null,null],[17,"braille_dots_1258","","",null,null],[17,"braille_dots_358","","",null,null],[17,"braille_dots_1358","","",null,null],[17,"braille_dots_2358","","",null,null],[17,"braille_dots_12358","","",null,null],[17,"braille_dots_458","","",null,null],[17,"braille_dots_1458","","",null,null],[17,"braille_dots_2458","","",null,null],[17,"braille_dots_12458","","",null,null],[17,"braille_dots_3458","","",null,null],[17,"braille_dots_13458","","",null,null],[17,"braille_dots_23458","","",null,null],[17,"braille_dots_123458","","",null,null],[17,"braille_dots_68","","",null,null],[17,"braille_dots_168","","",null,null],[17,"braille_dots_268","","",null,null],[17,"braille_dots_1268","","",null,null],[17,"braille_dots_368","","",null,null],[17,"braille_dots_1368","","",null,null],[17,"braille_dots_2368","","",null,null],[17,"braille_dots_12368","","",null,null],[17,"braille_dots_468","","",null,null],[17,"braille_dots_1468","","",null,null],[17,"braille_dots_2468","","",null,null],[17,"braille_dots_12468","","",null,null],[17,"braille_dots_3468","","",null,null],[17,"braille_dots_13468","","",null,null],[17,"braille_dots_23468","","",null,null],[17,"braille_dots_123468","","",null,null],[17,"braille_dots_568","","",null,null],[17,"braille_dots_1568","","",null,null],[17,"braille_dots_2568","","",null,null],[17,"braille_dots_12568","","",null,null],[17,"braille_dots_3568","","",null,null],[17,"braille_dots_13568","","",null,null],[17,"braille_dots_23568","","",null,null],[17,"braille_dots_123568","","",null,null],[17,"braille_dots_4568","","",null,null],[17,"braille_dots_14568","","",null,null],[17,"braille_dots_24568","","",null,null],[17,"braille_dots_124568","","",null,null],[17,"braille_dots_34568","","",null,null],[17,"braille_dots_134568","","",null,null],[17,"braille_dots_234568","","",null,null],[17,"braille_dots_1234568","","",null,null],[17,"braille_dots_78","","",null,null],[17,"braille_dots_178","","",null,null],[17,"braille_dots_278","","",null,null],[17,"braille_dots_1278","","",null,null],[17,"braille_dots_378","","",null,null],[17,"braille_dots_1378","","",null,null],[17,"braille_dots_2378","","",null,null],[17,"braille_dots_12378","","",null,null],[17,"braille_dots_478","","",null,null],[17,"braille_dots_1478","","",null,null],[17,"braille_dots_2478","","",null,null],[17,"braille_dots_12478","","",null,null],[17,"braille_dots_3478","","",null,null],[17,"braille_dots_13478","","",null,null],[17,"braille_dots_23478","","",null,null],[17,"braille_dots_123478","","",null,null],[17,"braille_dots_578","","",null,null],[17,"braille_dots_1578","","",null,null],[17,"braille_dots_2578","","",null,null],[17,"braille_dots_12578","","",null,null],[17,"braille_dots_3578","","",null,null],[17,"braille_dots_13578","","",null,null],[17,"braille_dots_23578","","",null,null],[17,"braille_dots_123578","","",null,null],[17,"braille_dots_4578","","",null,null],[17,"braille_dots_14578","","",null,null],[17,"braille_dots_24578","","",null,null],[17,"braille_dots_124578","","",null,null],[17,"braille_dots_34578","","",null,null],[17,"braille_dots_134578","","",null,null],[17,"braille_dots_234578","","",null,null],[17,"braille_dots_1234578","","",null,null],[17,"braille_dots_678","","",null,null],[17,"braille_dots_1678","","",null,null],[17,"braille_dots_2678","","",null,null],[17,"braille_dots_12678","","",null,null],[17,"braille_dots_3678","","",null,null],[17,"braille_dots_13678","","",null,null],[17,"braille_dots_23678","","",null,null],[17,"braille_dots_123678","","",null,null],[17,"braille_dots_4678","","",null,null],[17,"braille_dots_14678","","",null,null],[17,"braille_dots_24678","","",null,null],[17,"braille_dots_124678","","",null,null],[17,"braille_dots_34678","","",null,null],[17,"braille_dots_134678","","",null,null],[17,"braille_dots_234678","","",null,null],[17,"braille_dots_1234678","","",null,null],[17,"braille_dots_5678","","",null,null],[17,"braille_dots_15678","","",null,null],[17,"braille_dots_25678","","",null,null],[17,"braille_dots_125678","","",null,null],[17,"braille_dots_35678","","",null,null],[17,"braille_dots_135678","","",null,null],[17,"braille_dots_235678","","",null,null],[17,"braille_dots_1235678","","",null,null],[17,"braille_dots_45678","","",null,null],[17,"braille_dots_145678","","",null,null],[17,"braille_dots_245678","","",null,null],[17,"braille_dots_1245678","","",null,null],[17,"braille_dots_345678","","",null,null],[17,"braille_dots_1345678","","",null,null],[17,"braille_dots_2345678","","",null,null],[17,"braille_dots_12345678","","",null,null],[17,"Sinh_ng","","",null,null],[17,"Sinh_h2","","",null,null],[17,"Sinh_a","","",null,null],[17,"Sinh_aa","","",null,null],[17,"Sinh_ae","","",null,null],[17,"Sinh_aee","","",null,null],[17,"Sinh_i","","",null,null],[17,"Sinh_ii","","",null,null],[17,"Sinh_u","","",null,null],[17,"Sinh_uu","","",null,null],[17,"Sinh_ri","","",null,null],[17,"Sinh_rii","","",null,null],[17,"Sinh_lu","","",null,null],[17,"Sinh_luu","","",null,null],[17,"Sinh_e","","",null,null],[17,"Sinh_ee","","",null,null],[17,"Sinh_ai","","",null,null],[17,"Sinh_o","","",null,null],[17,"Sinh_oo","","",null,null],[17,"Sinh_au","","",null,null],[17,"Sinh_ka","","",null,null],[17,"Sinh_kha","","",null,null],[17,"Sinh_ga","","",null,null],[17,"Sinh_gha","","",null,null],[17,"Sinh_ng2","","",null,null],[17,"Sinh_nga","","",null,null],[17,"Sinh_ca","","",null,null],[17,"Sinh_cha","","",null,null],[17,"Sinh_ja","","",null,null],[17,"Sinh_jha","","",null,null],[17,"Sinh_nya","","",null,null],[17,"Sinh_jnya","","",null,null],[17,"Sinh_nja","","",null,null],[17,"Sinh_tta","","",null,null],[17,"Sinh_ttha","","",null,null],[17,"Sinh_dda","","",null,null],[17,"Sinh_ddha","","",null,null],[17,"Sinh_nna","","",null,null],[17,"Sinh_ndda","","",null,null],[17,"Sinh_tha","","",null,null],[17,"Sinh_thha","","",null,null],[17,"Sinh_dha","","",null,null],[17,"Sinh_dhha","","",null,null],[17,"Sinh_na","","",null,null],[17,"Sinh_ndha","","",null,null],[17,"Sinh_pa","","",null,null],[17,"Sinh_pha","","",null,null],[17,"Sinh_ba","","",null,null],[17,"Sinh_bha","","",null,null],[17,"Sinh_ma","","",null,null],[17,"Sinh_mba","","",null,null],[17,"Sinh_ya","","",null,null],[17,"Sinh_ra","","",null,null],[17,"Sinh_la","","",null,null],[17,"Sinh_va","","",null,null],[17,"Sinh_sha","","",null,null],[17,"Sinh_ssha","","",null,null],[17,"Sinh_sa","","",null,null],[17,"Sinh_ha","","",null,null],[17,"Sinh_lla","","",null,null],[17,"Sinh_fa","","",null,null],[17,"Sinh_al","","",null,null],[17,"Sinh_aa2","","",null,null],[17,"Sinh_ae2","","",null,null],[17,"Sinh_aee2","","",null,null],[17,"Sinh_i2","","",null,null],[17,"Sinh_ii2","","",null,null],[17,"Sinh_u2","","",null,null],[17,"Sinh_uu2","","",null,null],[17,"Sinh_ru2","","",null,null],[17,"Sinh_e2","","",null,null],[17,"Sinh_ee2","","",null,null],[17,"Sinh_ai2","","",null,null],[17,"Sinh_o2","","",null,null],[17,"Sinh_oo2","","",null,null],[17,"Sinh_au2","","",null,null],[17,"Sinh_lu2","","",null,null],[17,"Sinh_ruu2","","",null,null],[17,"Sinh_luu2","","",null,null],[17,"Sinh_kunddaliya","","",null,null],[17,"ModeLock","","",null,null],[17,"MonBrightnessUp","","",null,null],[17,"MonBrightnessDown","","",null,null],[17,"KbdLightOnOff","","",null,null],[17,"KbdBrightnessUp","","",null,null],[17,"KbdBrightnessDown","","",null,null],[17,"Standby","","",null,null],[17,"AudioLowerVolume","","",null,null],[17,"AudioMute","","",null,null],[17,"AudioRaiseVolume","","",null,null],[17,"AudioPlay","","",null,null],[17,"AudioStop","","",null,null],[17,"AudioPrev","","",null,null],[17,"AudioNext","","",null,null],[17,"HomePage","","",null,null],[17,"Mail","","",null,null],[17,"Start","","",null,null],[17,"Search","","",null,null],[17,"AudioRecord","","",null,null],[17,"Calculator","","",null,null],[17,"Memo","","",null,null],[17,"ToDoList","","",null,null],[17,"Calendar","","",null,null],[17,"PowerDown","","",null,null],[17,"ContrastAdjust","","",null,null],[17,"RockerUp","","",null,null],[17,"RockerDown","","",null,null],[17,"RockerEnter","","",null,null],[17,"Back","","",null,null],[17,"Forward","","",null,null],[17,"Stop","","",null,null],[17,"Refresh","","",null,null],[17,"PowerOff","","",null,null],[17,"WakeUp","","",null,null],[17,"Eject","","",null,null],[17,"ScreenSaver","","",null,null],[17,"WWW","","",null,null],[17,"Sleep","","",null,null],[17,"Favorites","","",null,null],[17,"AudioPause","","",null,null],[17,"AudioMedia","","",null,null],[17,"MyComputer","","",null,null],[17,"VendorHome","","",null,null],[17,"LightBulb","","",null,null],[17,"Shop","","",null,null],[17,"History","","",null,null],[17,"OpenURL","","",null,null],[17,"AddFavorite","","",null,null],[17,"HotLinks","","",null,null],[17,"BrightnessAdjust","","",null,null],[17,"Finance","","",null,null],[17,"Community","","",null,null],[17,"AudioRewind","","",null,null],[17,"BackForward","","",null,null],[17,"Launch0","","",null,null],[17,"Launch1","","",null,null],[17,"Launch2","","",null,null],[17,"Launch3","","",null,null],[17,"Launch4","","",null,null],[17,"Launch5","","",null,null],[17,"Launch6","","",null,null],[17,"Launch7","","",null,null],[17,"Launch8","","",null,null],[17,"Launch9","","",null,null],[17,"LaunchA","","",null,null],[17,"LaunchB","","",null,null],[17,"LaunchC","","",null,null],[17,"LaunchD","","",null,null],[17,"LaunchE","","",null,null],[17,"LaunchF","","",null,null],[17,"ApplicationLeft","","",null,null],[17,"ApplicationRight","","",null,null],[17,"Book","","",null,null],[17,"CD","","",null,null],[17,"WindowClear","","",null,null],[17,"Close","","",null,null],[17,"Copy","","",null,null],[17,"Cut","","",null,null],[17,"Display","","",null,null],[17,"DOS","","",null,null],[17,"Documents","","",null,null],[17,"Excel","","",null,null],[17,"Explorer","","",null,null],[17,"Game","","",null,null],[17,"Go","","",null,null],[17,"iTouch","","",null,null],[17,"LogOff","","",null,null],[17,"Market","","",null,null],[17,"Meeting","","",null,null],[17,"MenuKB","","",null,null],[17,"MenuPB","","",null,null],[17,"MySites","","",null,null],[17,"New","","",null,null],[17,"News","","",null,null],[17,"OfficeHome","","",null,null],[17,"Open","","",null,null],[17,"Option","","",null,null],[17,"Paste","","",null,null],[17,"Phone","","",null,null],[17,"Reply","","",null,null],[17,"Reload","","",null,null],[17,"RotateWindows","","",null,null],[17,"RotationPB","","",null,null],[17,"RotationKB","","",null,null],[17,"Save","","",null,null],[17,"ScrollUp","","",null,null],[17,"ScrollDown","","",null,null],[17,"ScrollClick","","",null,null],[17,"Send","","",null,null],[17,"Spell","","",null,null],[17,"SplitScreen","","",null,null],[17,"Support","","",null,null],[17,"TaskPane","","",null,null],[17,"Terminal","","",null,null],[17,"Tools","","",null,null],[17,"Travel","","",null,null],[17,"UserPB","","",null,null],[17,"User1KB","","",null,null],[17,"User2KB","","",null,null],[17,"Video","","",null,null],[17,"WheelButton","","",null,null],[17,"Word","","",null,null],[17,"Xfer","","",null,null],[17,"ZoomIn","","",null,null],[17,"ZoomOut","","",null,null],[17,"Away","","",null,null],[17,"Messenger","","",null,null],[17,"WebCam","","",null,null],[17,"MailForward","","",null,null],[17,"Pictures","","",null,null],[17,"Music","","",null,null],[17,"Battery","","",null,null],[17,"Bluetooth","","",null,null],[17,"WLAN","","",null,null],[17,"UWB","","",null,null],[17,"AudioForward","","",null,null],[17,"AudioRepeat","","",null,null],[17,"AudioRandomPlay","","",null,null],[17,"Subtitle","","",null,null],[17,"AudioCycleTrack","","",null,null],[17,"CycleAngle","","",null,null],[17,"FrameBack","","",null,null],[17,"FrameForward","","",null,null],[17,"Time","","",null,null],[17,"SelectButton","","",null,null],[17,"View","","",null,null],[17,"TopMenu","","",null,null],[17,"Red","","",null,null],[17,"Green","","",null,null],[17,"Yellow","","",null,null],[17,"Blue","","",null,null],[17,"Suspend","","",null,null],[17,"Hibernate","","",null,null],[17,"TouchpadToggle","","",null,null],[17,"TouchpadOn","","",null,null],[17,"TouchpadOff","","",null,null],[17,"AudioMicMute","","",null,null],[17,"Switch_VT_1","","",null,null],[17,"Switch_VT_2","","",null,null],[17,"Switch_VT_3","","",null,null],[17,"Switch_VT_4","","",null,null],[17,"Switch_VT_5","","",null,null],[17,"Switch_VT_6","","",null,null],[17,"Switch_VT_7","","",null,null],[17,"Switch_VT_8","","",null,null],[17,"Switch_VT_9","","",null,null],[17,"Switch_VT_10","","",null,null],[17,"Switch_VT_11","","",null,null],[17,"Switch_VT_12","","",null,null],[17,"Ungrab","","",null,null],[17,"ClearGrab","","",null,null],[17,"Next_VMode","","",null,null],[17,"Prev_VMode","","",null,null],[17,"LogWindowTree","","",null,null],[17,"LogGrabInfo","","",null,null],[11,"clone","gdk","",85,{"inputs":[{"name":"self"}],"output":{"name":"atom"}}],[11,"eq","","",85,{"inputs":[{"name":"self"},{"name":"atom"}],"output":{"name":"bool"}}],[11,"ne","","",85,{"inputs":[{"name":"self"},{"name":"atom"}],"output":{"name":"bool"}}],[11,"intern","","",85,{"inputs":[{"name":"str"}],"output":{"name":"atom"}}],[11,"name","","",85,{"inputs":[{"name":"self"}],"output":{"name":"string"}}],[11,"value","","",85,{"inputs":[{"name":"self"}],"output":{"name":"usize"}}],[11,"to_glib_none","","",85,{"inputs":[{"name":"self"}],"output":{"name":"stash"}}],[11,"from_glib_none","","",85,{"inputs":[{"name":"gdkatom"}],"output":{"name":"atom"}}],[11,"from_glib_full","","",85,{"inputs":[{"name":"gdkatom"}],"output":{"name":"atom"}}],[11,"from","","",85,{"inputs":[{"name":"str"}],"output":{"name":"atom"}}],[11,"clone","","",86,{"inputs":[{"name":"self"}],"output":{"name":"eventbutton"}}],[11,"fmt","","",86,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"to_glib_none","","",86,{"inputs":[{"name":"self"}],"output":{"name":"stash"}}],[11,"to_glib_none_mut","","",86,{"inputs":[{"name":"self"}],"output":{"name":"stashmut"}}],[11,"from_glib_none","","",86,null],[11,"from_glib_full","","",86,null],[11,"as_ref","","",86,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventbutton"}}],[11,"as_mut","","",86,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventbutton"}}],[11,"deref","","",86,{"inputs":[{"name":"self"}],"output":{"name":"event"}}],[11,"deref_mut","","",86,{"inputs":[{"name":"self"}],"output":{"name":"event"}}],[11,"get_position","","",86,null],[11,"get_state","","",86,{"inputs":[{"name":"self"}],"output":{"name":"modifiertype"}}],[11,"get_time","","",86,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"get_button","","",86,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"clone","","",87,{"inputs":[{"name":"self"}],"output":{"name":"eventconfigure"}}],[11,"fmt","","",87,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"to_glib_none","","",87,{"inputs":[{"name":"self"}],"output":{"name":"stash"}}],[11,"to_glib_none_mut","","",87,{"inputs":[{"name":"self"}],"output":{"name":"stashmut"}}],[11,"from_glib_none","","",87,null],[11,"from_glib_full","","",87,null],[11,"as_ref","","",87,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventconfigure"}}],[11,"as_mut","","",87,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventconfigure"}}],[11,"deref","","",87,{"inputs":[{"name":"self"}],"output":{"name":"event"}}],[11,"deref_mut","","",87,{"inputs":[{"name":"self"}],"output":{"name":"event"}}],[11,"get_position","","",87,null],[11,"get_size","","",87,null],[11,"clone","","",88,{"inputs":[{"name":"self"}],"output":{"name":"eventcrossing"}}],[11,"fmt","","",88,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"to_glib_none","","",88,{"inputs":[{"name":"self"}],"output":{"name":"stash"}}],[11,"to_glib_none_mut","","",88,{"inputs":[{"name":"self"}],"output":{"name":"stashmut"}}],[11,"from_glib_none","","",88,null],[11,"from_glib_full","","",88,null],[11,"as_ref","","",88,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventcrossing"}}],[11,"as_mut","","",88,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventcrossing"}}],[11,"deref","","",88,{"inputs":[{"name":"self"}],"output":{"name":"event"}}],[11,"deref_mut","","",88,{"inputs":[{"name":"self"}],"output":{"name":"event"}}],[11,"get_position","","",88,null],[11,"get_subwindow","","",88,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_mode","","",88,{"inputs":[{"name":"self"}],"output":{"name":"crossingmode"}}],[11,"get_detail","","",88,{"inputs":[{"name":"self"}],"output":{"name":"notifytype"}}],[11,"get_state","","",88,{"inputs":[{"name":"self"}],"output":{"name":"modifiertype"}}],[11,"get_time","","",88,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"clone","","",89,{"inputs":[{"name":"self"}],"output":{"name":"eventdnd"}}],[11,"fmt","","",89,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"to_glib_none","","",89,{"inputs":[{"name":"self"}],"output":{"name":"stash"}}],[11,"to_glib_none_mut","","",89,{"inputs":[{"name":"self"}],"output":{"name":"stashmut"}}],[11,"from_glib_none","","",89,null],[11,"from_glib_full","","",89,null],[11,"as_ref","","",89,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventdnd"}}],[11,"as_mut","","",89,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventdnd"}}],[11,"deref","","",89,{"inputs":[{"name":"self"}],"output":{"name":"event"}}],[11,"deref_mut","","",89,{"inputs":[{"name":"self"}],"output":{"name":"event"}}],[11,"get_context","","",89,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_time","","",89,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"clone","","",90,{"inputs":[{"name":"self"}],"output":{"name":"eventexpose"}}],[11,"fmt","","",90,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"to_glib_none","","",90,{"inputs":[{"name":"self"}],"output":{"name":"stash"}}],[11,"to_glib_none_mut","","",90,{"inputs":[{"name":"self"}],"output":{"name":"stashmut"}}],[11,"from_glib_none","","",90,null],[11,"from_glib_full","","",90,null],[11,"as_ref","","",90,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventexpose"}}],[11,"as_mut","","",90,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventexpose"}}],[11,"deref","","",90,{"inputs":[{"name":"self"}],"output":{"name":"event"}}],[11,"deref_mut","","",90,{"inputs":[{"name":"self"}],"output":{"name":"event"}}],[11,"get_region","","",90,{"inputs":[{"name":"self"}],"output":{"name":"rectangle"}}],[11,"get_count","","",90,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"clone","","",91,{"inputs":[{"name":"self"}],"output":{"name":"eventfocus"}}],[11,"fmt","","",91,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"to_glib_none","","",91,{"inputs":[{"name":"self"}],"output":{"name":"stash"}}],[11,"to_glib_none_mut","","",91,{"inputs":[{"name":"self"}],"output":{"name":"stashmut"}}],[11,"from_glib_none","","",91,null],[11,"from_glib_full","","",91,null],[11,"as_ref","","",91,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventfocus"}}],[11,"as_mut","","",91,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventfocus"}}],[11,"deref","","",91,{"inputs":[{"name":"self"}],"output":{"name":"event"}}],[11,"deref_mut","","",91,{"inputs":[{"name":"self"}],"output":{"name":"event"}}],[11,"clone","","",92,{"inputs":[{"name":"self"}],"output":{"name":"eventgrabbroken"}}],[11,"fmt","","",92,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"to_glib_none","","",92,{"inputs":[{"name":"self"}],"output":{"name":"stash"}}],[11,"to_glib_none_mut","","",92,{"inputs":[{"name":"self"}],"output":{"name":"stashmut"}}],[11,"from_glib_none","","",92,null],[11,"from_glib_full","","",92,null],[11,"as_ref","","",92,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventgrabbroken"}}],[11,"as_mut","","",92,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventgrabbroken"}}],[11,"deref","","",92,{"inputs":[{"name":"self"}],"output":{"name":"event"}}],[11,"deref_mut","","",92,{"inputs":[{"name":"self"}],"output":{"name":"event"}}],[11,"is_keyboard","","",92,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_implicit","","",92,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"get_grab_window","","",92,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"clone","","",93,{"inputs":[{"name":"self"}],"output":{"name":"eventkey"}}],[11,"fmt","","",93,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"to_glib_none","","",93,{"inputs":[{"name":"self"}],"output":{"name":"stash"}}],[11,"to_glib_none_mut","","",93,{"inputs":[{"name":"self"}],"output":{"name":"stashmut"}}],[11,"from_glib_none","","",93,null],[11,"from_glib_full","","",93,null],[11,"as_ref","","",93,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventkey"}}],[11,"as_mut","","",93,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventkey"}}],[11,"deref","","",93,{"inputs":[{"name":"self"}],"output":{"name":"event"}}],[11,"deref_mut","","",93,{"inputs":[{"name":"self"}],"output":{"name":"event"}}],[11,"get_time","","",93,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"get_state","","",93,{"inputs":[{"name":"self"}],"output":{"name":"modifiertype"}}],[11,"get_keyval","","",93,{"inputs":[{"name":"self"}],"output":{"name":"key"}}],[11,"get_length","","",93,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"get_hardware_keycode","","",93,{"inputs":[{"name":"self"}],"output":{"name":"u16"}}],[11,"get_group","","",93,{"inputs":[{"name":"self"}],"output":{"name":"u8"}}],[11,"clone","","",94,{"inputs":[{"name":"self"}],"output":{"name":"eventmotion"}}],[11,"fmt","","",94,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"to_glib_none","","",94,{"inputs":[{"name":"self"}],"output":{"name":"stash"}}],[11,"to_glib_none_mut","","",94,{"inputs":[{"name":"self"}],"output":{"name":"stashmut"}}],[11,"from_glib_none","","",94,null],[11,"from_glib_full","","",94,null],[11,"as_ref","","",94,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventmotion"}}],[11,"as_mut","","",94,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventmotion"}}],[11,"deref","","",94,{"inputs":[{"name":"self"}],"output":{"name":"event"}}],[11,"deref_mut","","",94,{"inputs":[{"name":"self"}],"output":{"name":"event"}}],[11,"get_position","","",94,null],[11,"get_state","","",94,{"inputs":[{"name":"self"}],"output":{"name":"modifiertype"}}],[11,"get_time","","",94,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"clone","","",95,{"inputs":[{"name":"self"}],"output":{"name":"eventownerchange"}}],[11,"fmt","","",95,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"to_glib_none","","",95,{"inputs":[{"name":"self"}],"output":{"name":"stash"}}],[11,"to_glib_none_mut","","",95,{"inputs":[{"name":"self"}],"output":{"name":"stashmut"}}],[11,"from_glib_none","","",95,null],[11,"from_glib_full","","",95,null],[11,"as_ref","","",95,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventownerchange"}}],[11,"as_mut","","",95,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventownerchange"}}],[11,"deref","","",95,{"inputs":[{"name":"self"}],"output":{"name":"event"}}],[11,"deref_mut","","",95,{"inputs":[{"name":"self"}],"output":{"name":"event"}}],[11,"get_owner","","",95,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_reason","","",95,{"inputs":[{"name":"self"}],"output":{"name":"ownerchange"}}],[11,"get_selection","","",95,{"inputs":[{"name":"self"}],"output":{"name":"atom"}}],[11,"get_time","","",95,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"get_selection_time","","",95,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"clone","","",96,{"inputs":[{"name":"self"}],"output":{"name":"eventproperty"}}],[11,"fmt","","",96,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"to_glib_none","","",96,{"inputs":[{"name":"self"}],"output":{"name":"stash"}}],[11,"to_glib_none_mut","","",96,{"inputs":[{"name":"self"}],"output":{"name":"stashmut"}}],[11,"from_glib_none","","",96,null],[11,"from_glib_full","","",96,null],[11,"as_ref","","",96,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventproperty"}}],[11,"as_mut","","",96,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventproperty"}}],[11,"deref","","",96,{"inputs":[{"name":"self"}],"output":{"name":"event"}}],[11,"deref_mut","","",96,{"inputs":[{"name":"self"}],"output":{"name":"event"}}],[11,"clone","","",97,{"inputs":[{"name":"self"}],"output":{"name":"eventproximity"}}],[11,"fmt","","",97,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"to_glib_none","","",97,{"inputs":[{"name":"self"}],"output":{"name":"stash"}}],[11,"to_glib_none_mut","","",97,{"inputs":[{"name":"self"}],"output":{"name":"stashmut"}}],[11,"from_glib_none","","",97,null],[11,"from_glib_full","","",97,null],[11,"as_ref","","",97,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventproximity"}}],[11,"as_mut","","",97,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventproximity"}}],[11,"deref","","",97,{"inputs":[{"name":"self"}],"output":{"name":"event"}}],[11,"deref_mut","","",97,{"inputs":[{"name":"self"}],"output":{"name":"event"}}],[11,"get_time","","",97,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"get_device","","",97,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"clone","","",98,{"inputs":[{"name":"self"}],"output":{"name":"eventscroll"}}],[11,"fmt","","",98,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"to_glib_none","","",98,{"inputs":[{"name":"self"}],"output":{"name":"stash"}}],[11,"to_glib_none_mut","","",98,{"inputs":[{"name":"self"}],"output":{"name":"stashmut"}}],[11,"from_glib_none","","",98,null],[11,"from_glib_full","","",98,null],[11,"as_ref","","",98,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventscroll"}}],[11,"as_mut","","",98,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventscroll"}}],[11,"deref","","",98,{"inputs":[{"name":"self"}],"output":{"name":"event"}}],[11,"deref_mut","","",98,{"inputs":[{"name":"self"}],"output":{"name":"event"}}],[11,"get_time","","",98,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"get_position","","",98,null],[11,"get_state","","",98,{"inputs":[{"name":"self"}],"output":{"name":"modifiertype"}}],[11,"get_device","","",98,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_direction","","",98,{"inputs":[{"name":"self"}],"output":{"name":"scrolldirection"}}],[11,"get_root","","",98,null],[11,"get_delta","","",98,null],[11,"clone","","",99,{"inputs":[{"name":"self"}],"output":{"name":"eventselection"}}],[11,"fmt","","",99,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"to_glib_none","","",99,{"inputs":[{"name":"self"}],"output":{"name":"stash"}}],[11,"to_glib_none_mut","","",99,{"inputs":[{"name":"self"}],"output":{"name":"stashmut"}}],[11,"from_glib_none","","",99,null],[11,"from_glib_full","","",99,null],[11,"as_ref","","",99,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventselection"}}],[11,"as_mut","","",99,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventselection"}}],[11,"deref","","",99,{"inputs":[{"name":"self"}],"output":{"name":"event"}}],[11,"deref_mut","","",99,{"inputs":[{"name":"self"}],"output":{"name":"event"}}],[11,"get_selection","","",99,{"inputs":[{"name":"self"}],"output":{"name":"atom"}}],[11,"get_target","","",99,{"inputs":[{"name":"self"}],"output":{"name":"atom"}}],[11,"get_property","","",99,{"inputs":[{"name":"self"}],"output":{"name":"atom"}}],[11,"get_time","","",99,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"get_requestor","","",99,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"clone","","",100,{"inputs":[{"name":"self"}],"output":{"name":"eventsetting"}}],[11,"fmt","","",100,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"to_glib_none","","",100,{"inputs":[{"name":"self"}],"output":{"name":"stash"}}],[11,"to_glib_none_mut","","",100,{"inputs":[{"name":"self"}],"output":{"name":"stashmut"}}],[11,"from_glib_none","","",100,null],[11,"from_glib_full","","",100,null],[11,"as_ref","","",100,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventsetting"}}],[11,"as_mut","","",100,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventsetting"}}],[11,"deref","","",100,{"inputs":[{"name":"self"}],"output":{"name":"event"}}],[11,"deref_mut","","",100,{"inputs":[{"name":"self"}],"output":{"name":"event"}}],[11,"clone","","",101,{"inputs":[{"name":"self"}],"output":{"name":"eventtouch"}}],[11,"fmt","","",101,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"to_glib_none","","",101,{"inputs":[{"name":"self"}],"output":{"name":"stash"}}],[11,"to_glib_none_mut","","",101,{"inputs":[{"name":"self"}],"output":{"name":"stashmut"}}],[11,"from_glib_none","","",101,null],[11,"from_glib_full","","",101,null],[11,"as_ref","","",101,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventtouch"}}],[11,"as_mut","","",101,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventtouch"}}],[11,"deref","","",101,{"inputs":[{"name":"self"}],"output":{"name":"event"}}],[11,"deref_mut","","",101,{"inputs":[{"name":"self"}],"output":{"name":"event"}}],[11,"get_time","","",101,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"get_position","","",101,null],[11,"get_state","","",101,{"inputs":[{"name":"self"}],"output":{"name":"modifiertype"}}],[11,"is_emulating_pointer","","",101,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"get_device","","",101,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"clone","","",102,{"inputs":[{"name":"self"}],"output":{"name":"eventvisibility"}}],[11,"fmt","","",102,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"to_glib_none","","",102,{"inputs":[{"name":"self"}],"output":{"name":"stash"}}],[11,"to_glib_none_mut","","",102,{"inputs":[{"name":"self"}],"output":{"name":"stashmut"}}],[11,"from_glib_none","","",102,null],[11,"from_glib_full","","",102,null],[11,"as_ref","","",102,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventvisibility"}}],[11,"as_mut","","",102,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventvisibility"}}],[11,"deref","","",102,{"inputs":[{"name":"self"}],"output":{"name":"event"}}],[11,"deref_mut","","",102,{"inputs":[{"name":"self"}],"output":{"name":"event"}}],[11,"get_state","","",102,{"inputs":[{"name":"self"}],"output":{"name":"visibilitystate"}}],[11,"clone","","",103,{"inputs":[{"name":"self"}],"output":{"name":"eventwindowstate"}}],[11,"fmt","","",103,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"to_glib_none","","",103,{"inputs":[{"name":"self"}],"output":{"name":"stash"}}],[11,"to_glib_none_mut","","",103,{"inputs":[{"name":"self"}],"output":{"name":"stashmut"}}],[11,"from_glib_none","","",103,null],[11,"from_glib_full","","",103,null],[11,"as_ref","","",103,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventwindowstate"}}],[11,"as_mut","","",103,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventwindowstate"}}],[11,"deref","","",103,{"inputs":[{"name":"self"}],"output":{"name":"event"}}],[11,"deref_mut","","",103,{"inputs":[{"name":"self"}],"output":{"name":"event"}}],[11,"get_changed_mask","","",103,{"inputs":[{"name":"self"}],"output":{"name":"windowstate"}}],[11,"get_new_window_state","","",103,{"inputs":[{"name":"self"}],"output":{"name":"windowstate"}}],[11,"get_refresh_info","","",44,null],[11,"clone","","",1,{"inputs":[{"name":"self"}],"output":{"name":"geometry"}}],[11,"fmt","","",1,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",1,{"inputs":[{"name":"self"},{"name":"geometry"}],"output":{"name":"bool"}}],[11,"ne","","",1,{"inputs":[{"name":"self"},{"name":"geometry"}],"output":{"name":"bool"}}],[11,"get_font_options","","",47,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"clone","","",2,{"inputs":[{"name":"self"}],"output":{"name":"rectangle"}}],[11,"fmt","","",2,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",2,{"inputs":[{"name":"self"},{"name":"rectangle"}],"output":{"name":"bool"}}],[11,"ne","","",2,{"inputs":[{"name":"self"},{"name":"rectangle"}],"output":{"name":"bool"}}],[11,"hash","","",2,null],[11,"intersect","","",2,{"inputs":[{"name":"self"},{"name":"rectangle"}],"output":{"name":"option"}}],[11,"union","","",2,{"inputs":[{"name":"self"},{"name":"rectangle"}],"output":{"name":"rectangle"}}],[11,"as_ref","","",2,{"inputs":[{"name":"self"}],"output":{"name":"rectangleint"}}],[11,"from","","",2,{"inputs":[{"name":"rectangleint"}],"output":{"name":"rectangle"}}],[11,"static_type","","",2,{"inputs":[],"output":{"name":"type"}}],[11,"from_value_optional","","",2,{"inputs":[{"name":"value"}],"output":{"name":"option"}}],[11,"set_value","","",2,{"inputs":[{"name":"value"},{"name":"self"}],"output":null}],[11,"set_value_optional","","",2,{"inputs":[{"name":"value"},{"name":"option"}],"output":null}],[11,"fmt","","",104,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",3,{"inputs":[{"name":"self"}],"output":{"name":"rgba"}}],[11,"fmt","","",3,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"black","","",3,{"inputs":[],"output":{"name":"rgba"}}],[11,"blue","","",3,{"inputs":[],"output":{"name":"rgba"}}],[11,"green","","",3,{"inputs":[],"output":{"name":"rgba"}}],[11,"red","","",3,{"inputs":[],"output":{"name":"rgba"}}],[11,"white","","",3,{"inputs":[],"output":{"name":"rgba"}}],[11,"fmt","","",3,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"from_str","","",3,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[11,"hash","","",3,{"inputs":[{"name":"self"},{"name":"h"}],"output":null}],[11,"eq","","",3,{"inputs":[{"name":"self"},{"name":"rgba"}],"output":{"name":"bool"}}],[11,"static_type","","",3,{"inputs":[],"output":{"name":"type"}}],[11,"from_value_optional","","",3,{"inputs":[{"name":"value"}],"output":{"name":"option"}}],[11,"set_value","","",3,{"inputs":[{"name":"value"},{"name":"self"}],"output":null}],[11,"set_value_optional","","",3,{"inputs":[{"name":"value"},{"name":"option"}],"output":null}],[11,"default","","",4,{"inputs":[],"output":{"name":"windowattr"}}],[11,"to_glib_none","","",4,{"inputs":[{"name":"self"}],"output":{"name":"stash"}}],[11,"new","","",50,{"inputs":[{"name":"option"},{"name":"windowattr"}],"output":{"name":"window"}}],[11,"create_similar_surface","","",50,{"inputs":[{"name":"self"},{"name":"content"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[6,"key","","",null,null],[17,"ANCHOR_FLIP_X","","",null,null],[17,"ANCHOR_FLIP_Y","","",null,null],[17,"ANCHOR_SLIDE_X","","",null,null],[17,"ANCHOR_SLIDE_Y","","",null,null],[17,"ANCHOR_RESIZE_X","","",null,null],[17,"ANCHOR_RESIZE_Y","","",null,null],[17,"ANCHOR_FLIP","","",null,null],[17,"ANCHOR_SLIDE","","",null,null],[17,"ANCHOR_RESIZE","","",null,null],[17,"AXIS_FLAG_X","","",null,null],[17,"AXIS_FLAG_Y","","",null,null],[17,"AXIS_FLAG_PRESSURE","","",null,null],[17,"AXIS_FLAG_XTILT","","",null,null],[17,"AXIS_FLAG_YTILT","","",null,null],[17,"AXIS_FLAG_WHEEL","","",null,null],[17,"AXIS_FLAG_DISTANCE","","",null,null],[17,"AXIS_FLAG_ROTATION","","",null,null],[17,"AXIS_FLAG_SLIDER","","",null,null],[17,"ACTION_DEFAULT","","",null,null],[17,"ACTION_COPY","","",null,null],[17,"ACTION_MOVE","","",null,null],[17,"ACTION_LINK","","",null,null],[17,"ACTION_PRIVATE","","",null,null],[17,"ACTION_ASK","","",null,null],[17,"EXPOSURE_MASK","","",null,null],[17,"POINTER_MOTION_MASK","","",null,null],[17,"POINTER_MOTION_HINT_MASK","","",null,null],[17,"BUTTON_MOTION_MASK","","",null,null],[17,"BUTTON1_MOTION_MASK","","",null,null],[17,"BUTTON2_MOTION_MASK","","",null,null],[17,"BUTTON3_MOTION_MASK","","",null,null],[17,"BUTTON_PRESS_MASK","","",null,null],[17,"BUTTON_RELEASE_MASK","","",null,null],[17,"KEY_PRESS_MASK","","",null,null],[17,"KEY_RELEASE_MASK","","",null,null],[17,"ENTER_NOTIFY_MASK","","",null,null],[17,"LEAVE_NOTIFY_MASK","","",null,null],[17,"FOCUS_CHANGE_MASK","","",null,null],[17,"STRUCTURE_MASK","","",null,null],[17,"PROPERTY_CHANGE_MASK","","",null,null],[17,"VISIBILITY_NOTIFY_MASK","","",null,null],[17,"PROXIMITY_IN_MASK","","",null,null],[17,"PROXIMITY_OUT_MASK","","",null,null],[17,"SUBSTRUCTURE_MASK","","",null,null],[17,"SCROLL_MASK","","",null,null],[17,"TOUCH_MASK","","",null,null],[17,"SMOOTH_SCROLL_MASK","","",null,null],[17,"TOUCHPAD_GESTURE_MASK","","",null,null],[17,"TABLET_PAD_MASK","","",null,null],[17,"ALL_EVENTS_MASK","","",null,null],[17,"FRAME_CLOCK_PHASE_NONE","","",null,null],[17,"FRAME_CLOCK_PHASE_FLUSH_EVENTS","","",null,null],[17,"FRAME_CLOCK_PHASE_BEFORE_PAINT","","",null,null],[17,"FRAME_CLOCK_PHASE_UPDATE","","",null,null],[17,"FRAME_CLOCK_PHASE_LAYOUT","","",null,null],[17,"FRAME_CLOCK_PHASE_PAINT","","",null,null],[17,"FRAME_CLOCK_PHASE_RESUME_EVENTS","","",null,null],[17,"FRAME_CLOCK_PHASE_AFTER_PAINT","","",null,null],[17,"SHIFT_MASK","","",null,null],[17,"LOCK_MASK","","",null,null],[17,"CONTROL_MASK","","",null,null],[17,"MOD1_MASK","","",null,null],[17,"MOD2_MASK","","",null,null],[17,"MOD3_MASK","","",null,null],[17,"MOD4_MASK","","",null,null],[17,"MOD5_MASK","","",null,null],[17,"BUTTON1_MASK","","",null,null],[17,"BUTTON2_MASK","","",null,null],[17,"BUTTON3_MASK","","",null,null],[17,"BUTTON4_MASK","","",null,null],[17,"BUTTON5_MASK","","",null,null],[17,"MODIFIER_RESERVED_13_MASK","","",null,null],[17,"MODIFIER_RESERVED_14_MASK","","",null,null],[17,"MODIFIER_RESERVED_15_MASK","","",null,null],[17,"MODIFIER_RESERVED_16_MASK","","",null,null],[17,"MODIFIER_RESERVED_17_MASK","","",null,null],[17,"MODIFIER_RESERVED_18_MASK","","",null,null],[17,"MODIFIER_RESERVED_19_MASK","","",null,null],[17,"MODIFIER_RESERVED_20_MASK","","",null,null],[17,"MODIFIER_RESERVED_21_MASK","","",null,null],[17,"MODIFIER_RESERVED_22_MASK","","",null,null],[17,"MODIFIER_RESERVED_23_MASK","","",null,null],[17,"MODIFIER_RESERVED_24_MASK","","",null,null],[17,"MODIFIER_RESERVED_25_MASK","","",null,null],[17,"SUPER_MASK","","",null,null],[17,"HYPER_MASK","","",null,null],[17,"META_MASK","","",null,null],[17,"MODIFIER_RESERVED_29_MASK","","",null,null],[17,"RELEASE_MASK","","",null,null],[17,"MODIFIER_MASK","","",null,null],[17,"SEAT_CAPABILITY_NONE","","",null,null],[17,"SEAT_CAPABILITY_POINTER","","",null,null],[17,"SEAT_CAPABILITY_TOUCH","","",null,null],[17,"SEAT_CAPABILITY_TABLET_STYLUS","","",null,null],[17,"SEAT_CAPABILITY_KEYBOARD","","",null,null],[17,"SEAT_CAPABILITY_ALL_POINTING","","",null,null],[17,"SEAT_CAPABILITY_ALL","","",null,null],[17,"DECOR_ALL","","",null,null],[17,"DECOR_BORDER","","",null,null],[17,"DECOR_RESIZEH","","",null,null],[17,"DECOR_TITLE","","",null,null],[17,"DECOR_MENU","","",null,null],[17,"DECOR_MINIMIZE","","",null,null],[17,"DECOR_MAXIMIZE","","",null,null],[17,"FUNC_ALL","","",null,null],[17,"FUNC_RESIZE","","",null,null],[17,"FUNC_MOVE","","",null,null],[17,"FUNC_MINIMIZE","","",null,null],[17,"FUNC_MAXIMIZE","","",null,null],[17,"FUNC_CLOSE","","",null,null],[17,"HINT_POS","","",null,null],[17,"HINT_MIN_SIZE","","",null,null],[17,"HINT_MAX_SIZE","","",null,null],[17,"HINT_BASE_SIZE","","",null,null],[17,"HINT_ASPECT","","",null,null],[17,"HINT_RESIZE_INC","","",null,null],[17,"HINT_WIN_GRAVITY","","",null,null],[17,"HINT_USER_POS","","",null,null],[17,"HINT_USER_SIZE","","",null,null],[17,"WINDOW_STATE_WITHDRAWN","","",null,null],[17,"WINDOW_STATE_ICONIFIED","","",null,null],[17,"WINDOW_STATE_MAXIMIZED","","",null,null],[17,"WINDOW_STATE_STICKY","","",null,null],[17,"WINDOW_STATE_FULLSCREEN","","",null,null],[17,"WINDOW_STATE_ABOVE","","",null,null],[17,"WINDOW_STATE_BELOW","","",null,null],[17,"WINDOW_STATE_FOCUSED","","",null,null],[17,"WINDOW_STATE_TILED","","",null,null],[17,"ATOM_NONE","","",null,null],[17,"SELECTION_PRIMARY","","",null,null],[17,"SELECTION_SECONDARY","","",null,null],[17,"SELECTION_CLIPBOARD","","",null,null],[17,"TARGET_BITMAP","","",null,null],[17,"TARGET_COLORMAP","","",null,null],[17,"TARGET_DRAWABLE","","",null,null],[17,"TARGET_PIXMAP","","",null,null],[17,"TARGET_STRING","","",null,null],[17,"SELECTION_TYPE_ATOM","","",null,null],[17,"SELECTION_TYPE_BITMAP","","",null,null],[17,"SELECTION_TYPE_COLORMAP","","",null,null],[17,"SELECTION_TYPE_DRAWABLE","","",null,null],[17,"SELECTION_TYPE_INTEGER","","",null,null],[17,"SELECTION_TYPE_PIXMAP","","",null,null],[17,"SELECTION_TYPE_WINDOW","","",null,null],[17,"SELECTION_TYPE_STRING","","",null,null],[8,"AppLaunchContextExt","","",null,null],[10,"set_desktop","","",64,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_display","","",64,{"inputs":[{"name":"self"},{"name":"display"}],"output":null}],[10,"set_icon","","",64,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_icon_name","","",64,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_screen","","",64,{"inputs":[{"name":"self"},{"name":"screen"}],"output":null}],[10,"set_timestamp","","",64,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_display","","",64,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[8,"CursorExt","","",null,null],[10,"get_cursor_type","","",65,{"inputs":[{"name":"self"}],"output":{"name":"cursortype"}}],[10,"get_display","","",65,{"inputs":[{"name":"self"}],"output":{"name":"display"}}],[10,"get_image","","",65,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_surface","","",65,null],[10,"get_property_cursor_type","","",65,{"inputs":[{"name":"self"}],"output":{"name":"cursortype"}}],[10,"get_property_display","","",65,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[8,"DeviceExt","","",null,null],[10,"get_associated_device","","",66,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_axes","","",66,{"inputs":[{"name":"self"}],"output":{"name":"axisflags"}}],[10,"get_axis_use","","",66,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"axisuse"}}],[10,"get_device_type","","",66,{"inputs":[{"name":"self"}],"output":{"name":"devicetype"}}],[10,"get_display","","",66,{"inputs":[{"name":"self"}],"output":{"name":"display"}}],[10,"get_has_cursor","","",66,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_key","","",66,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[10,"get_last_event_window","","",66,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_mode","","",66,{"inputs":[{"name":"self"}],"output":{"name":"inputmode"}}],[10,"get_n_axes","","",66,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_n_keys","","",66,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_name","","",66,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_position","","",66,null],[10,"get_position_double","","",66,null],[10,"get_product_id","","",66,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_seat","","",66,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_source","","",66,{"inputs":[{"name":"self"}],"output":{"name":"inputsource"}}],[10,"get_vendor_id","","",66,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_window_at_position","","",66,null],[10,"get_window_at_position_double","","",66,null],[10,"grab","","",66,{"inputs":[{"name":"self"},{"name":"window"},{"name":"grabownership"},{"name":"bool"},{"name":"eventmask"},{"name":"p"},{"name":"u32"}],"output":{"name":"grabstatus"}}],[10,"list_axes","","",66,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"list_slave_devices","","",66,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"set_axis_use","","",66,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"axisuse"}],"output":null}],[10,"set_key","","",66,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"u32"},{"name":"modifiertype"}],"output":null}],[10,"set_mode","","",66,{"inputs":[{"name":"self"},{"name":"inputmode"}],"output":{"name":"bool"}}],[10,"ungrab","","",66,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"warp","","",66,{"inputs":[{"name":"self"},{"name":"screen"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"get_property_device_manager","","",66,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_property_input_mode","","",66,{"inputs":[{"name":"self"}],"output":{"name":"inputmode"}}],[10,"set_property_input_mode","","",66,{"inputs":[{"name":"self"},{"name":"inputmode"}],"output":null}],[10,"get_property_input_source","","",66,{"inputs":[{"name":"self"}],"output":{"name":"inputsource"}}],[10,"get_property_num_touches","","",66,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_seat","","",66,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_tool","","",66,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_property_type","","",66,{"inputs":[{"name":"self"}],"output":{"name":"devicetype"}}],[10,"connect_changed","","",66,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_tool_changed","","",66,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"DeviceManagerExt","","",null,null],[10,"get_client_pointer","","",67,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_display","","",67,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"list_devices","","",67,{"inputs":[{"name":"self"},{"name":"devicetype"}],"output":{"name":"vec"}}],[10,"get_property_display","","",67,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"connect_device_added","","",67,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_device_changed","","",67,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_device_removed","","",67,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"DeviceToolExt","","",null,null],[10,"get_hardware_id","","",68,{"inputs":[{"name":"self"}],"output":{"name":"u64"}}],[10,"get_serial","","",68,{"inputs":[{"name":"self"}],"output":{"name":"u64"}}],[10,"get_tool_type","","",68,{"inputs":[{"name":"self"}],"output":{"name":"devicetooltype"}}],[10,"get_property_axes","","",68,{"inputs":[{"name":"self"}],"output":{"name":"axisflags"}}],[10,"get_property_hardware_id","","",68,{"inputs":[{"name":"self"}],"output":{"name":"u64"}}],[10,"get_property_serial","","",68,{"inputs":[{"name":"self"}],"output":{"name":"u64"}}],[10,"get_property_tool_type","","",68,{"inputs":[{"name":"self"}],"output":{"name":"devicetooltype"}}],[8,"DisplayExt","","",null,null],[10,"beep","","",69,{"inputs":[{"name":"self"}],"output":null}],[10,"close","","",69,{"inputs":[{"name":"self"}],"output":null}],[10,"device_is_grabbed","","",69,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"flush","","",69,{"inputs":[{"name":"self"}],"output":null}],[10,"get_app_launch_context","","",69,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_default_cursor_size","","",69,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"get_default_group","","",69,{"inputs":[{"name":"self"}],"output":{"name":"window"}}],[10,"get_default_screen","","",69,{"inputs":[{"name":"self"}],"output":{"name":"screen"}}],[10,"get_default_seat","","",69,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_device_manager","","",69,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_event","","",69,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_maximal_cursor_size","","",69,null],[10,"get_monitor","","",69,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_monitor_at_point","","",69,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_monitor_at_window","","",69,{"inputs":[{"name":"self"},{"name":"window"}],"output":{"name":"option"}}],[10,"get_n_monitors","","",69,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_n_screens","","",69,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_name","","",69,{"inputs":[{"name":"self"}],"output":{"name":"string"}}],[10,"get_pointer","","",69,null],[10,"get_primary_monitor","","",69,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_screen","","",69,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"screen"}}],[10,"get_window_at_pointer","","",69,null],[10,"has_pending","","",69,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_closed","","",69,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"keyboard_ungrab","","",69,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"list_devices","","",69,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"list_seats","","",69,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"notify_startup_complete","","",69,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"peek_event","","",69,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"pointer_is_grabbed","","",69,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"pointer_ungrab","","",69,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"put_event","","",69,{"inputs":[{"name":"self"},{"name":"event"}],"output":null}],[10,"request_selection_notification","","",69,{"inputs":[{"name":"self"},{"name":"atom"}],"output":{"name":"bool"}}],[10,"set_double_click_distance","","",69,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"set_double_click_time","","",69,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"store_clipboard","","",69,null],[10,"supports_clipboard_persistence","","",69,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"supports_composite","","",69,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"supports_cursor_alpha","","",69,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"supports_cursor_color","","",69,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"supports_input_shapes","","",69,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"supports_selection_notification","","",69,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"supports_shapes","","",69,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"sync","","",69,{"inputs":[{"name":"self"}],"output":null}],[10,"warp_pointer","","",69,{"inputs":[{"name":"self"},{"name":"screen"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"connect_closed","","",69,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_monitor_added","","",69,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_monitor_removed","","",69,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_opened","","",69,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_seat_added","","",69,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_seat_removed","","",69,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"DisplayManagerExt","","",null,null],[10,"get_default_display","","",70,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"list_displays","","",70,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"open_display","","",70,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"set_default_display","","",70,{"inputs":[{"name":"self"},{"name":"display"}],"output":null}],[10,"get_property_default_display","","",70,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_default_display","","",70,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"connect_display_opened","","",70,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"DragContextExt","","",null,null],[10,"get_actions","","",71,{"inputs":[{"name":"self"}],"output":{"name":"dragaction"}}],[10,"get_dest_window","","",71,{"inputs":[{"name":"self"}],"output":{"name":"window"}}],[10,"get_device","","",71,{"inputs":[{"name":"self"}],"output":{"name":"device"}}],[10,"get_drag_window","","",71,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_protocol","","",71,{"inputs":[{"name":"self"}],"output":{"name":"dragprotocol"}}],[10,"get_selected_action","","",71,{"inputs":[{"name":"self"}],"output":{"name":"dragaction"}}],[10,"get_source_window","","",71,{"inputs":[{"name":"self"}],"output":{"name":"window"}}],[10,"get_suggested_action","","",71,{"inputs":[{"name":"self"}],"output":{"name":"dragaction"}}],[10,"list_targets","","",71,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"manage_dnd","","",71,{"inputs":[{"name":"self"},{"name":"window"},{"name":"dragaction"}],"output":{"name":"bool"}}],[10,"set_device","","",71,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_hotspot","","",71,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"connect_action_changed","","",71,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_cancel","","",71,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_dnd_finished","","",71,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_drop_performed","","",71,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"DrawingContextExt","","",null,null],[10,"get_cairo_context","","",72,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_clip","","",72,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_window","","",72,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"is_valid","","",72,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[8,"FrameClockExt","","",null,null],[10,"begin_updating","","",73,{"inputs":[{"name":"self"}],"output":null}],[10,"end_updating","","",73,{"inputs":[{"name":"self"}],"output":null}],[10,"get_current_timings","","",73,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_frame_counter","","",73,{"inputs":[{"name":"self"}],"output":{"name":"i64"}}],[10,"get_frame_time","","",73,{"inputs":[{"name":"self"}],"output":{"name":"i64"}}],[10,"get_history_start","","",73,{"inputs":[{"name":"self"}],"output":{"name":"i64"}}],[10,"get_timings","","",73,{"inputs":[{"name":"self"},{"name":"i64"}],"output":{"name":"option"}}],[10,"request_phase","","",73,{"inputs":[{"name":"self"},{"name":"frameclockphase"}],"output":null}],[10,"connect_after_paint","","",73,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_before_paint","","",73,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_flush_events","","",73,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_layout","","",73,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_paint","","",73,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_resume_events","","",73,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_update","","",73,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"GLContextExt","","",null,null],[10,"get_debug_enabled","","",74,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_display","","",74,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_forward_compatible","","",74,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_required_version","","",74,null],[10,"get_shared_context","","",74,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_use_es","","",74,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_version","","",74,null],[10,"get_window","","",74,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"is_legacy","","",74,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"make_current","","",74,{"inputs":[{"name":"self"}],"output":null}],[10,"realize","","",74,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[10,"set_debug_enabled","","",74,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_forward_compatible","","",74,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_required_version","","",74,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"set_use_es","","",74,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[8,"MonitorExt","","",null,null],[10,"get_display","","",75,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_geometry","","",75,{"inputs":[{"name":"self"}],"output":{"name":"rectangle"}}],[10,"get_height_mm","","",75,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_manufacturer","","",75,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_model","","",75,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_refresh_rate","","",75,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_scale_factor","","",75,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_subpixel_layout","","",75,{"inputs":[{"name":"self"}],"output":{"name":"subpixellayout"}}],[10,"get_width_mm","","",75,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_workarea","","",75,{"inputs":[{"name":"self"}],"output":{"name":"rectangle"}}],[10,"is_primary","","",75,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_property_display","","",75,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_property_geometry","","",75,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_property_height_mm","","",75,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_property_refresh_rate","","",75,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_property_scale_factor","","",75,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_property_width_mm","","",75,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_property_workarea","","",75,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"connect_invalidate","","",75,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ScreenExt","","",null,null],[10,"get_active_window","","",76,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_display","","",76,{"inputs":[{"name":"self"}],"output":{"name":"display"}}],[10,"get_height","","",76,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_height_mm","","",76,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_monitor_at_point","","",76,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"i32"}}],[10,"get_monitor_at_window","","",76,{"inputs":[{"name":"self"},{"name":"window"}],"output":{"name":"i32"}}],[10,"get_monitor_geometry","","",76,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"rectangle"}}],[10,"get_monitor_height_mm","","",76,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"i32"}}],[10,"get_monitor_plug_name","","",76,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_monitor_scale_factor","","",76,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"i32"}}],[10,"get_monitor_width_mm","","",76,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"i32"}}],[10,"get_monitor_workarea","","",76,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"rectangle"}}],[10,"get_n_monitors","","",76,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_number","","",76,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_primary_monitor","","",76,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_resolution","","",76,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_rgba_visual","","",76,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_root_window","","",76,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_system_visual","","",76,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_toplevel_windows","","",76,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"get_width","","",76,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_width_mm","","",76,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_window_stack","","",76,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"is_composited","","",76,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"list_visuals","","",76,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"make_display_name","","",76,{"inputs":[{"name":"self"}],"output":{"name":"string"}}],[10,"set_font_options","","",76,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_resolution","","",76,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"get_property_resolution","","",76,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"set_property_resolution","","",76,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"connect_composited_changed","","",76,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_monitors_changed","","",76,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_size_changed","","",76,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"SeatExt","","",null,null],[10,"get_capabilities","","",77,{"inputs":[{"name":"self"}],"output":{"name":"seatcapabilities"}}],[10,"get_display","","",77,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_keyboard","","",77,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_pointer","","",77,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_slaves","","",77,{"inputs":[{"name":"self"},{"name":"seatcapabilities"}],"output":{"name":"vec"}}],[10,"ungrab","","",77,{"inputs":[{"name":"self"}],"output":null}],[10,"connect_device_added","","",77,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_device_removed","","",77,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_tool_added","","",77,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_tool_removed","","",77,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"VisualExt","","",null,null],[10,"get_bits_per_rgb","","",78,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_blue_pixel_details","","",78,null],[10,"get_byte_order","","",78,{"inputs":[{"name":"self"}],"output":{"name":"byteorder"}}],[10,"get_colormap_size","","",78,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_depth","","",78,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_green_pixel_details","","",78,null],[10,"get_red_pixel_details","","",78,null],[10,"get_screen","","",78,{"inputs":[{"name":"self"}],"output":{"name":"screen"}}],[10,"get_visual_type","","",78,{"inputs":[{"name":"self"}],"output":{"name":"visualtype"}}],[8,"WindowExt","","",null,null],[10,"beep","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"begin_draw_frame","","",79,{"inputs":[{"name":"self"},{"name":"region"}],"output":{"name":"option"}}],[10,"begin_move_drag","","",79,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"u32"}],"output":null}],[10,"begin_move_drag_for_device","","",79,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"u32"}],"output":null}],[10,"begin_paint_rect","","",79,{"inputs":[{"name":"self"},{"name":"rectangle"}],"output":null}],[10,"begin_paint_region","","",79,{"inputs":[{"name":"self"},{"name":"region"}],"output":null}],[10,"begin_resize_drag","","",79,{"inputs":[{"name":"self"},{"name":"windowedge"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"u32"}],"output":null}],[10,"begin_resize_drag_for_device","","",79,{"inputs":[{"name":"self"},{"name":"windowedge"},{"name":"p"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"u32"}],"output":null}],[10,"configure_finished","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"coords_from_parent","","",79,null],[10,"coords_to_parent","","",79,null],[10,"create_gl_context","","",79,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[10,"create_similar_image_surface","","",79,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[10,"deiconify","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"destroy","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"destroy_notify","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"enable_synchronized_configure","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"end_draw_frame","","",79,{"inputs":[{"name":"self"},{"name":"drawingcontext"}],"output":null}],[10,"end_paint","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"ensure_native","","",79,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"flush","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"focus","","",79,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"freeze_toplevel_updates_libgtk_only","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"freeze_updates","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"fullscreen","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"fullscreen_on_monitor","","",79,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"geometry_changed","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"get_accept_focus","","",79,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_children","","",79,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"get_clip_region","","",79,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_composited","","",79,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_cursor","","",79,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_decorations","","",79,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_device_cursor","","",79,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"option"}}],[10,"get_device_events","","",79,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"eventmask"}}],[10,"get_device_position","","",79,null],[10,"get_device_position_double","","",79,null],[10,"get_display","","",79,{"inputs":[{"name":"self"}],"output":{"name":"display"}}],[10,"get_drag_protocol","","",79,null],[10,"get_effective_parent","","",79,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_effective_toplevel","","",79,{"inputs":[{"name":"self"}],"output":{"name":"window"}}],[10,"get_event_compression","","",79,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_events","","",79,{"inputs":[{"name":"self"}],"output":{"name":"eventmask"}}],[10,"get_focus_on_map","","",79,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_frame_clock","","",79,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_frame_extents","","",79,{"inputs":[{"name":"self"}],"output":{"name":"rectangle"}}],[10,"get_fullscreen_mode","","",79,{"inputs":[{"name":"self"}],"output":{"name":"fullscreenmode"}}],[10,"get_geometry","","",79,null],[10,"get_group","","",79,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_height","","",79,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_modal_hint","","",79,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_origin","","",79,null],[10,"get_parent","","",79,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_pass_through","","",79,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_pointer","","",79,null],[10,"get_position","","",79,null],[10,"get_root_coords","","",79,null],[10,"get_root_origin","","",79,null],[10,"get_scale_factor","","",79,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_screen","","",79,{"inputs":[{"name":"self"}],"output":{"name":"screen"}}],[10,"get_source_events","","",79,{"inputs":[{"name":"self"},{"name":"inputsource"}],"output":{"name":"eventmask"}}],[10,"get_state","","",79,{"inputs":[{"name":"self"}],"output":{"name":"windowstate"}}],[10,"get_support_multidevice","","",79,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_toplevel","","",79,{"inputs":[{"name":"self"}],"output":{"name":"window"}}],[10,"get_type_hint","","",79,{"inputs":[{"name":"self"}],"output":{"name":"windowtypehint"}}],[10,"get_update_area","","",79,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_visible_region","","",79,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_visual","","",79,{"inputs":[{"name":"self"}],"output":{"name":"visual"}}],[10,"get_width","","",79,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_window_type","","",79,{"inputs":[{"name":"self"}],"output":{"name":"windowtype"}}],[10,"has_native","","",79,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"hide","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"iconify","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"input_shape_combine_region","","",79,{"inputs":[{"name":"self"},{"name":"region"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"invalidate_rect","","",79,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"}],"output":null}],[10,"invalidate_region","","",79,{"inputs":[{"name":"self"},{"name":"region"},{"name":"bool"}],"output":null}],[10,"is_destroyed","","",79,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_input_only","","",79,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_shaped","","",79,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_viewable","","",79,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_visible","","",79,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"lower","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"mark_paint_from_clip","","",79,{"inputs":[{"name":"self"},{"name":"context"}],"output":null}],[10,"maximize","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"merge_child_input_shapes","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"merge_child_shapes","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"move_","","",79,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"move_region","","",79,{"inputs":[{"name":"self"},{"name":"region"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"move_resize","","",79,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"peek_children","","",79,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"process_updates","","",79,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"raise","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"register_dnd","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"reparent","","",79,{"inputs":[{"name":"self"},{"name":"window"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"resize","","",79,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"restack","","",79,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"}],"output":null}],[10,"scroll","","",79,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"set_accept_focus","","",79,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_background_rgba","","",79,{"inputs":[{"name":"self"},{"name":"rgba"}],"output":null}],[10,"set_child_input_shapes","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"set_child_shapes","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"set_composited","","",79,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_cursor","","",79,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_decorations","","",79,{"inputs":[{"name":"self"},{"name":"wmdecoration"}],"output":null}],[10,"set_device_cursor","","",79,{"inputs":[{"name":"self"},{"name":"p"},{"name":"cursor"}],"output":null}],[10,"set_device_events","","",79,{"inputs":[{"name":"self"},{"name":"p"},{"name":"eventmask"}],"output":null}],[10,"set_event_compression","","",79,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_events","","",79,{"inputs":[{"name":"self"},{"name":"eventmask"}],"output":null}],[10,"set_focus_on_map","","",79,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_fullscreen_mode","","",79,{"inputs":[{"name":"self"},{"name":"fullscreenmode"}],"output":null}],[10,"set_functions","","",79,{"inputs":[{"name":"self"},{"name":"wmfunction"}],"output":null}],[10,"set_geometry_hints","","",79,{"inputs":[{"name":"self"},{"name":"geometry"},{"name":"windowhints"}],"output":null}],[10,"set_group","","",79,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_icon_list","","",79,null],[10,"set_icon_name","","",79,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_keep_above","","",79,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_keep_below","","",79,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_modal_hint","","",79,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_opacity","","",79,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"set_opaque_region","","",79,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_override_redirect","","",79,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_pass_through","","",79,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_role","","",79,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_shadow_width","","",79,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"set_skip_pager_hint","","",79,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_skip_taskbar_hint","","",79,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_source_events","","",79,{"inputs":[{"name":"self"},{"name":"inputsource"},{"name":"eventmask"}],"output":null}],[10,"set_startup_id","","",79,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_static_gravities","","",79,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"bool"}}],[10,"set_support_multidevice","","",79,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_title","","",79,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_transient_for","","",79,{"inputs":[{"name":"self"},{"name":"window"}],"output":null}],[10,"set_type_hint","","",79,{"inputs":[{"name":"self"},{"name":"windowtypehint"}],"output":null}],[10,"set_urgency_hint","","",79,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"shape_combine_region","","",79,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"show","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"show_unraised","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"show_window_menu","","",79,{"inputs":[{"name":"self"},{"name":"event"}],"output":{"name":"bool"}}],[10,"stick","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"thaw_toplevel_updates_libgtk_only","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"thaw_updates","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"unfullscreen","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"unmaximize","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"unstick","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"withdraw","","",79,{"inputs":[{"name":"self"}],"output":null}],[10,"connect_create_surface","","",79,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_pick_embedded_child","","",79,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[11,"clone","","",105,{"inputs":[{"name":"self"}],"output":{"name":"error"}}],[11,"description","","",105,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"fmt","","",105,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",105,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"new","","Creates an error with supplied error enum variant and message.",105,{"inputs":[{"name":"t"},{"name":"str"}],"output":{"name":"error"}}],[11,"is","","Checks if the error domain matches `T`.",105,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"kind","","Tries to convert to a specific error enum.",105,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"wrap","","",105,null]],"paths":[[3,"Color"],[3,"Geometry"],[3,"Rectangle"],[3,"RGBA"],[3,"WindowAttr"],[4,"AxisUse"],[4,"ByteOrder"],[4,"CrossingMode"],[4,"CursorType"],[4,"DeviceToolType"],[4,"DeviceType"],[4,"DragCancelReason"],[4,"DragProtocol"],[4,"EventType"],[4,"FullscreenMode"],[4,"GLError"],[4,"GrabOwnership"],[4,"GrabStatus"],[4,"Gravity"],[4,"InputMode"],[4,"InputSource"],[4,"ModifierIntent"],[4,"NotifyType"],[4,"OwnerChange"],[4,"PropertyState"],[4,"ScrollDirection"],[4,"SettingAction"],[4,"SubpixelLayout"],[4,"VisibilityState"],[4,"VisualType"],[4,"WindowEdge"],[4,"WindowType"],[4,"WindowTypeHint"],[4,"WindowWindowClass"],[3,"Event"],[3,"AppLaunchContext"],[3,"Cursor"],[3,"Device"],[3,"DeviceManager"],[3,"DeviceTool"],[3,"Display"],[3,"DisplayManager"],[3,"DragContext"],[3,"DrawingContext"],[3,"FrameClock"],[3,"GLContext"],[3,"Monitor"],[3,"Screen"],[3,"Seat"],[3,"Visual"],[3,"Window"],[3,"FrameTimings"],[3,"AnchorHints"],[3,"AxisFlags"],[3,"DragAction"],[3,"EventMask"],[3,"FrameClockPhase"],[3,"ModifierType"],[3,"SeatCapabilities"],[3,"WMDecoration"],[3,"WMFunction"],[3,"WindowHints"],[3,"WindowState"],[8,"ContextExt"],[8,"AppLaunchContextExt"],[8,"CursorExt"],[8,"DeviceExt"],[8,"DeviceManagerExt"],[8,"DeviceToolExt"],[8,"DisplayExt"],[8,"DisplayManagerExt"],[8,"DragContextExt"],[8,"DrawingContextExt"],[8,"FrameClockExt"],[8,"GLContextExt"],[8,"MonitorExt"],[8,"ScreenExt"],[8,"SeatExt"],[8,"VisualExt"],[8,"WindowExt"],[8,"DeviceExtManual"],[8,"DeviceManagerExtManual"],[8,"DragContextExtManual"],[8,"VisualExtManual"],[8,"WindowExtManual"],[3,"Atom"],[3,"EventButton"],[3,"EventConfigure"],[3,"EventCrossing"],[3,"EventDND"],[3,"EventExpose"],[3,"EventFocus"],[3,"EventGrabBroken"],[3,"EventKey"],[3,"EventMotion"],[3,"EventOwnerChange"],[3,"EventProperty"],[3,"EventProximity"],[3,"EventScroll"],[3,"EventSelection"],[3,"EventSetting"],[3,"EventTouch"],[3,"EventVisibility"],[3,"EventWindowState"],[3,"RgbaParseError"],[3,"Error"]]};
searchIndex["gdk_pixbuf"] = {"doc":"","items":[[6,"Colorspace","gdk_pixbuf","",null,null],[4,"InterpType","","",null,null],[13,"Nearest","","",0,null],[13,"Tiles","","",0,null],[13,"Bilinear","","",0,null],[13,"Hyper","","",0,null],[4,"PixbufAlphaMode","","",null,null],[13,"Bilevel","","",1,null],[13,"Full","","",1,null],[4,"PixbufError","","",null,null],[13,"CorruptImage","","",2,null],[13,"InsufficientMemory","","",2,null],[13,"BadOption","","",2,null],[13,"UnknownType","","",2,null],[13,"UnsupportedOperation","","",2,null],[13,"Failed","","",2,null],[13,"IncompleteAnimation","","",2,null],[3,"PixbufAnimation","","",null,null],[3,"PixbufAnimationIter","","",null,null],[3,"PixbufSimpleAnim","","",null,null],[3,"PixbufFormat","","",null,null],[3,"PixbufLoader","","",null,null],[3,"Pixbuf","","",null,null],[11,"clone","","",3,{"inputs":[{"name":"self"}],"output":{"name":"pixbufanimationiter"}}],[11,"fmt","","",3,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",3,null],[11,"static_type","","",3,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",3,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"advance","","",3,{"inputs":[{"name":"self"},{"name":"timeval"}],"output":{"name":"bool"}}],[11,"get_pixbuf","","",3,{"inputs":[{"name":"self"}],"output":{"name":"pixbuf"}}],[11,"get_delay_time","","",3,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"on_currently_loading_frame","","",3,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"clone","","",4,{"inputs":[{"name":"self"}],"output":{"name":"pixbufanimation"}}],[11,"fmt","","",4,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",4,null],[11,"static_type","","",4,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",4,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new_from_file","","",4,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[11,"new_from_resource","","",4,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[11,"clone","","",5,{"inputs":[{"name":"self"}],"output":{"name":"pixbufsimpleanim"}}],[11,"fmt","","",5,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",5,null],[11,"static_type","","",5,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",5,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",5,{"inputs":[{"name":"i32"},{"name":"i32"},{"name":"f32"}],"output":{"name":"pixbufsimpleanim"}}],[11,"add_frame","","",5,{"inputs":[{"name":"self"},{"name":"pixbuf"}],"output":null}],[11,"set_loop","","",5,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[11,"get_loop","","",5,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"get_name","","",6,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_description","","",6,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_mime_types","","",6,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[11,"get_extensions","","",6,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[11,"is_writable","","",6,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_scalable","","",6,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_disabled","","",6,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"set_disabled","","",6,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[11,"get_license","","",6,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"to_glib_none","","",6,{"inputs":[{"name":"self"}],"output":{"name":"stash"}}],[11,"from_glib_none","","",6,null],[11,"clone","","",7,{"inputs":[{"name":"self"}],"output":{"name":"pixbufloader"}}],[11,"fmt","","",7,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",7,null],[11,"static_type","","",7,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",7,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",7,{"inputs":[],"output":{"name":"pixbufloader"}}],[11,"new_with_type","","",7,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[11,"new_with_mime_type","","",7,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[11,"get_format","","",7,{"inputs":[{"name":"self"}],"output":{"name":"pixbufformat"}}],[11,"loader_write","","",7,null],[11,"set_size","","",7,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[11,"get_pixbuf","","",7,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_animation","","",7,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"close","","",7,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"clone","","",8,{"inputs":[{"name":"self"}],"output":{"name":"pixbuf"}}],[11,"fmt","","",8,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",8,null],[11,"static_type","","",8,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",8,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",8,{"inputs":[{"name":"colorspace"},{"name":"bool"},{"name":"i32"},{"name":"i32"},{"name":"i32"}],"output":{"name":"result"}}],[11,"new_from_vec","","",8,{"inputs":[{"name":"vec"},{"name":"colorspace"},{"name":"bool"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"i32"}],"output":{"name":"pixbuf"}}],[11,"new_from_file","","",8,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[11,"new_from_file_at_size","","",8,{"inputs":[{"name":"str"},{"name":"i32"},{"name":"i32"}],"output":{"name":"result"}}],[11,"new_from_file_at_scale","","",8,{"inputs":[{"name":"str"},{"name":"i32"},{"name":"i32"},{"name":"bool"}],"output":{"name":"result"}}],[11,"new_from_xpm_data","","",8,null],[11,"get_file_info","","",8,{"inputs":[{"name":"str"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[11,"new_from_resource","","",8,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[11,"new_from_resource_at_scale","","",8,{"inputs":[{"name":"str"},{"name":"i32"},{"name":"i32"},{"name":"bool"}],"output":{"name":"result"}}],[11,"new_subpixbuf","","",8,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"i32"}],"output":{"name":"pixbuf"}}],[11,"get_colorspace","","",8,{"inputs":[{"name":"self"}],"output":{"name":"colorspace"}}],[11,"get_n_channels","","",8,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_has_alpha","","",8,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"get_bits_per_sample","","",8,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_pixels","","",8,null],[11,"get_width","","",8,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_height","","",8,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_rowstride","","",8,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_byte_length","","",8,{"inputs":[{"name":"self"}],"output":{"name":"usize"}}],[11,"get_option","","",8,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[11,"scale_simple","","",8,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"},{"name":"interptype"}],"output":{"name":"result"}}],[11,"scale","","",8,{"inputs":[{"name":"self"},{"name":"pixbuf"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"interptype"}],"output":null}],[11,"composite","","",8,{"inputs":[{"name":"self"},{"name":"pixbuf"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"interptype"},{"name":"i32"}],"output":null}],[11,"flip","","",8,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"result"}}],[11,"put_pixel","","",8,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"},{"name":"u8"},{"name":"u8"},{"name":"u8"},{"name":"u8"}],"output":null}],[0,"prelude","","Traits inteded for blanket imports.",null,null],[8,"PixbufAnimationExt","gdk_pixbuf::prelude","",null,null],[10,"get_width","","",9,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_height","","",9,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_iter","","",9,{"inputs":[{"name":"self"},{"name":"timeval"}],"output":{"name":"pixbufanimationiter"}}],[10,"is_static_image","","",9,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_static_image","","",9,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[8,"PixbufAnimationExt","gdk_pixbuf","",null,null],[10,"get_width","","",9,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_height","","",9,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_iter","","",9,{"inputs":[{"name":"self"},{"name":"timeval"}],"output":{"name":"pixbufanimationiter"}}],[10,"is_static_image","","",9,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_static_image","","",9,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"fmt","","",0,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",2,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",1,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",2,{"inputs":[{"name":"self"}],"output":{"name":"gdkpixbuferror"}}],[11,"clone","","",0,{"inputs":[{"name":"self"}],"output":{"name":"gdkinterptype"}}],[11,"clone","","",1,{"inputs":[{"name":"self"}],"output":{"name":"gdkpixbufalphamode"}}],[11,"eq","","",2,{"inputs":[{"name":"self"},{"name":"gdkpixbuferror"}],"output":{"name":"bool"}}],[11,"eq","","",1,{"inputs":[{"name":"self"},{"name":"gdkpixbufalphamode"}],"output":{"name":"bool"}}],[11,"eq","","",0,{"inputs":[{"name":"self"},{"name":"gdkinterptype"}],"output":{"name":"bool"}}]],"paths":[[4,"InterpType"],[4,"PixbufAlphaMode"],[4,"PixbufError"],[3,"PixbufAnimationIter"],[3,"PixbufAnimation"],[3,"PixbufSimpleAnim"],[3,"PixbufFormat"],[3,"PixbufLoader"],[3,"Pixbuf"],[8,"PixbufAnimationExt"]]};
searchIndex["gdk_pixbuf_sys"] = {"doc":"","items":[[3,"GdkPixdataDumpType","gdk_pixbuf_sys","",null,null],[3,"GdkPixdataType","","",null,null],[3,"GdkPixbufFormat","","",null,null],[3,"GdkPixbufLoaderClass","","",null,null],[12,"parent_class","","",0,null],[12,"size_prepared","","",0,null],[12,"area_prepared","","",0,null],[12,"area_updated","","",0,null],[12,"closed","","",0,null],[3,"GdkPixbufSimpleAnimClass","","",null,null],[3,"GdkPixdata","","",null,null],[12,"magic","","",1,null],[12,"length","","",1,null],[12,"pixdata_type","","",1,null],[12,"rowstride","","",1,null],[12,"width","","",1,null],[12,"height","","",1,null],[12,"pixel_data","","",1,null],[3,"GdkPixbuf","","",null,null],[3,"GdkPixbufAnimation","","",null,null],[3,"GdkPixbufAnimationIter","","",null,null],[3,"GdkPixbufLoader","","",null,null],[12,"parent_instance","","",2,null],[12,"priv_","","",2,null],[3,"GdkPixbufSimpleAnim","","",null,null],[3,"GdkPixbufSimpleAnimIter","","",null,null],[4,"GdkInterpType","","",null,null],[13,"Nearest","","",3,null],[13,"Tiles","","",3,null],[13,"Bilinear","","",3,null],[13,"Hyper","","",3,null],[4,"GdkPixbufAlphaMode","","",null,null],[13,"Bilevel","","",4,null],[13,"Full","","",4,null],[4,"GdkPixbufError","","",null,null],[13,"CorruptImage","","",5,null],[13,"InsufficientMemory","","",5,null],[13,"BadOption","","",5,null],[13,"UnknownType","","",5,null],[13,"UnsupportedOperation","","",5,null],[13,"Failed","","",5,null],[13,"IncompleteAnimation","","",5,null],[4,"GdkPixbufRotation","","",null,null],[13,"None","","",6,null],[13,"Counterclockwise","","",6,null],[13,"Upsidedown","","",6,null],[13,"Clockwise","","",6,null],[5,"gdk_pixbuf_error_quark","","",null,null],[5,"gdk_pixbuf_format_get_type","","",null,null],[5,"gdk_pixbuf_format_copy","","",null,null],[5,"gdk_pixbuf_format_free","","",null,null],[5,"gdk_pixbuf_format_get_description","","",null,null],[5,"gdk_pixbuf_format_get_extensions","","",null,null],[5,"gdk_pixbuf_format_get_license","","",null,null],[5,"gdk_pixbuf_format_get_mime_types","","",null,null],[5,"gdk_pixbuf_format_get_name","","",null,null],[5,"gdk_pixbuf_format_is_disabled","","",null,null],[5,"gdk_pixbuf_format_is_scalable","","",null,null],[5,"gdk_pixbuf_format_is_writable","","",null,null],[5,"gdk_pixbuf_format_set_disabled","","",null,null],[5,"gdk_pixdata_deserialize","","",null,null],[5,"gdk_pixdata_from_pixbuf","","",null,null],[5,"gdk_pixdata_serialize","","",null,null],[5,"gdk_pixdata_to_csource","","",null,null],[5,"gdk_pixbuf_get_type","","",null,null],[5,"gdk_pixbuf_new","","",null,null],[5,"gdk_pixbuf_new_from_data","","",null,null],[5,"gdk_pixbuf_new_from_file","","",null,null],[5,"gdk_pixbuf_new_from_file_at_scale","","",null,null],[5,"gdk_pixbuf_new_from_file_at_size","","",null,null],[5,"gdk_pixbuf_new_from_inline","","",null,null],[5,"gdk_pixbuf_new_from_resource","","",null,null],[5,"gdk_pixbuf_new_from_resource_at_scale","","",null,null],[5,"gdk_pixbuf_new_from_stream","","",null,null],[5,"gdk_pixbuf_new_from_stream_at_scale","","",null,null],[5,"gdk_pixbuf_new_from_stream_finish","","",null,null],[5,"gdk_pixbuf_new_from_xpm_data","","",null,null],[5,"gdk_pixbuf_from_pixdata","","",null,null],[5,"gdk_pixbuf_get_file_info","","",null,null],[5,"gdk_pixbuf_get_formats","","",null,null],[5,"gdk_pixbuf_new_from_stream_async","","",null,null],[5,"gdk_pixbuf_new_from_stream_at_scale_async","","",null,null],[5,"gdk_pixbuf_save_to_stream_finish","","",null,null],[5,"gdk_pixbuf_add_alpha","","",null,null],[5,"gdk_pixbuf_apply_embedded_orientation","","",null,null],[5,"gdk_pixbuf_composite","","",null,null],[5,"gdk_pixbuf_composite_color","","",null,null],[5,"gdk_pixbuf_composite_color_simple","","",null,null],[5,"gdk_pixbuf_copy","","",null,null],[5,"gdk_pixbuf_copy_area","","",null,null],[5,"gdk_pixbuf_fill","","",null,null],[5,"gdk_pixbuf_flip","","",null,null],[5,"gdk_pixbuf_get_bits_per_sample","","",null,null],[5,"gdk_pixbuf_get_byte_length","","",null,null],[5,"gdk_pixbuf_get_colorspace","","",null,null],[5,"gdk_pixbuf_get_has_alpha","","",null,null],[5,"gdk_pixbuf_get_height","","",null,null],[5,"gdk_pixbuf_get_n_channels","","",null,null],[5,"gdk_pixbuf_get_option","","",null,null],[5,"gdk_pixbuf_get_pixels","","",null,null],[5,"gdk_pixbuf_get_pixels_with_length","","",null,null],[5,"gdk_pixbuf_get_rowstride","","",null,null],[5,"gdk_pixbuf_get_width","","",null,null],[5,"gdk_pixbuf_new_subpixbuf","","",null,null],[5,"gdk_pixbuf_ref","","",null,null],[5,"gdk_pixbuf_rotate_simple","","",null,null],[5,"gdk_pixbuf_saturate_and_pixelate","","",null,null],[5,"gdk_pixbuf_save","","",null,null],[5,"gdk_pixbuf_save_to_buffer","","",null,null],[5,"gdk_pixbuf_save_to_bufferv","","",null,null],[5,"gdk_pixbuf_save_to_callback","","",null,null],[5,"gdk_pixbuf_save_to_callbackv","","",null,null],[5,"gdk_pixbuf_save_to_stream","","",null,null],[5,"gdk_pixbuf_save_to_stream_async","","",null,null],[5,"gdk_pixbuf_savev","","",null,null],[5,"gdk_pixbuf_scale","","",null,null],[5,"gdk_pixbuf_scale_simple","","",null,null],[5,"gdk_pixbuf_set_option","","",null,null],[5,"gdk_pixbuf_unref","","",null,null],[5,"gdk_pixbuf_animation_get_type","","",null,null],[5,"gdk_pixbuf_animation_new_from_file","","",null,null],[5,"gdk_pixbuf_animation_new_from_resource","","",null,null],[5,"gdk_pixbuf_animation_new_from_stream","","",null,null],[5,"gdk_pixbuf_animation_new_from_stream_finish","","",null,null],[5,"gdk_pixbuf_animation_new_from_stream_async","","",null,null],[5,"gdk_pixbuf_animation_get_height","","",null,null],[5,"gdk_pixbuf_animation_get_iter","","",null,null],[5,"gdk_pixbuf_animation_get_static_image","","",null,null],[5,"gdk_pixbuf_animation_get_width","","",null,null],[5,"gdk_pixbuf_animation_is_static_image","","",null,null],[5,"gdk_pixbuf_animation_ref","","",null,null],[5,"gdk_pixbuf_animation_unref","","",null,null],[5,"gdk_pixbuf_animation_iter_get_type","","",null,null],[5,"gdk_pixbuf_animation_iter_advance","","",null,null],[5,"gdk_pixbuf_animation_iter_get_delay_time","","",null,null],[5,"gdk_pixbuf_animation_iter_get_pixbuf","","",null,null],[5,"gdk_pixbuf_animation_iter_on_currently_loading_frame","","",null,null],[5,"gdk_pixbuf_loader_get_type","","",null,null],[5,"gdk_pixbuf_loader_new","","",null,null],[5,"gdk_pixbuf_loader_new_with_mime_type","","",null,null],[5,"gdk_pixbuf_loader_new_with_type","","",null,null],[5,"gdk_pixbuf_loader_close","","",null,null],[5,"gdk_pixbuf_loader_get_animation","","",null,null],[5,"gdk_pixbuf_loader_get_format","","",null,null],[5,"gdk_pixbuf_loader_get_pixbuf","","",null,null],[5,"gdk_pixbuf_loader_set_size","","",null,null],[5,"gdk_pixbuf_loader_write","","",null,null],[5,"gdk_pixbuf_loader_write_bytes","","",null,null],[5,"gdk_pixbuf_simple_anim_get_type","","",null,null],[5,"gdk_pixbuf_simple_anim_new","","",null,null],[5,"gdk_pixbuf_simple_anim_add_frame","","",null,null],[5,"gdk_pixbuf_simple_anim_get_loop","","",null,null],[5,"gdk_pixbuf_simple_anim_set_loop","","",null,null],[5,"gdk_pixbuf_simple_anim_iter_get_type","","",null,null],[6,"Colorspace","","",null,null],[6,"GdkColorspace","","",null,null],[6,"GdkPixbufDestroyNotify","","",null,null],[6,"GdkPixbufSaveFunc","","",null,null],[17,"GDK_COLORSPACE_RGB","","",null,null],[17,"GDK_INTERP_NEAREST","","",null,null],[17,"GDK_INTERP_TILES","","",null,null],[17,"GDK_INTERP_BILINEAR","","",null,null],[17,"GDK_INTERP_HYPER","","",null,null],[17,"GDK_PIXBUF_ALPHA_BILEVEL","","",null,null],[17,"GDK_PIXBUF_ALPHA_FULL","","",null,null],[17,"GDK_PIXBUF_ERROR_CORRUPT_IMAGE","","",null,null],[17,"GDK_PIXBUF_ERROR_INSUFFICIENT_MEMORY","","",null,null],[17,"GDK_PIXBUF_ERROR_BAD_OPTION","","",null,null],[17,"GDK_PIXBUF_ERROR_UNKNOWN_TYPE","","",null,null],[17,"GDK_PIXBUF_ERROR_UNSUPPORTED_OPERATION","","",null,null],[17,"GDK_PIXBUF_ERROR_FAILED","","",null,null],[17,"GDK_PIXBUF_ERROR_INCOMPLETE_ANIMATION","","",null,null],[17,"GDK_PIXBUF_ROTATE_NONE","","",null,null],[17,"GDK_PIXBUF_ROTATE_COUNTERCLOCKWISE","","",null,null],[17,"GDK_PIXBUF_ROTATE_UPSIDEDOWN","","",null,null],[17,"GDK_PIXBUF_ROTATE_CLOCKWISE","","",null,null],[17,"GDK_PIXBUF_FEATURES_H","","",null,null],[17,"GDK_PIXBUF_MAGIC_NUMBER","","",null,null],[17,"GDK_PIXBUF_MAJOR","","",null,null],[17,"GDK_PIXBUF_MICRO","","",null,null],[17,"GDK_PIXBUF_MINOR","","",null,null],[17,"GDK_PIXBUF_VERSION","","",null,null],[17,"GDK_PIXDATA_HEADER_LENGTH","","",null,null],[17,"GDK_PIXDATA_DUMP_PIXDATA_STREAM","","",null,null],[17,"GDK_PIXDATA_DUMP_PIXDATA_STRUCT","","",null,null],[17,"GDK_PIXDATA_DUMP_MACROS","","",null,null],[17,"GDK_PIXDATA_DUMP_GTYPES","","",null,null],[17,"GDK_PIXDATA_DUMP_CTYPES","","",null,null],[17,"GDK_PIXDATA_DUMP_STATIC","","",null,null],[17,"GDK_PIXDATA_DUMP_CONST","","",null,null],[17,"GDK_PIXDATA_DUMP_RLE_DECODER","","",null,null],[17,"GDK_PIXDATA_COLOR_TYPE_RGB","","",null,null],[17,"GDK_PIXDATA_COLOR_TYPE_RGBA","","",null,null],[17,"GDK_PIXDATA_COLOR_TYPE_MASK","","",null,null],[17,"GDK_PIXDATA_SAMPLE_WIDTH_8","","",null,null],[17,"GDK_PIXDATA_SAMPLE_WIDTH_MASK","","",null,null],[17,"GDK_PIXDATA_ENCODING_RAW","","",null,null],[17,"GDK_PIXDATA_ENCODING_RLE","","",null,null],[17,"GDK_PIXDATA_ENCODING_MASK","","",null,null],[11,"clone","","",3,{"inputs":[{"name":"self"}],"output":{"name":"gdkinterptype"}}],[11,"fmt","","",3,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",3,{"inputs":[{"name":"self"},{"name":"gdkinterptype"}],"output":{"name":"bool"}}],[11,"clone","","",4,{"inputs":[{"name":"self"}],"output":{"name":"gdkpixbufalphamode"}}],[11,"fmt","","",4,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",4,{"inputs":[{"name":"self"},{"name":"gdkpixbufalphamode"}],"output":{"name":"bool"}}],[11,"clone","","",5,{"inputs":[{"name":"self"}],"output":{"name":"gdkpixbuferror"}}],[11,"fmt","","",5,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",5,{"inputs":[{"name":"self"},{"name":"gdkpixbuferror"}],"output":{"name":"bool"}}],[11,"clone","","",6,{"inputs":[{"name":"self"}],"output":{"name":"gdkpixbufrotation"}}],[11,"fmt","","",6,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",6,{"inputs":[{"name":"self"},{"name":"gdkpixbufrotation"}],"output":{"name":"bool"}}],[11,"eq","","",7,{"inputs":[{"name":"self"},{"name":"gdkpixdatadumptype"}],"output":{"name":"bool"}}],[11,"ne","","",7,{"inputs":[{"name":"self"},{"name":"gdkpixdatadumptype"}],"output":{"name":"bool"}}],[11,"clone","","",7,{"inputs":[{"name":"self"}],"output":{"name":"gdkpixdatadumptype"}}],[11,"partial_cmp","","",7,{"inputs":[{"name":"self"},{"name":"gdkpixdatadumptype"}],"output":{"name":"option"}}],[11,"lt","","",7,{"inputs":[{"name":"self"},{"name":"gdkpixdatadumptype"}],"output":{"name":"bool"}}],[11,"le","","",7,{"inputs":[{"name":"self"},{"name":"gdkpixdatadumptype"}],"output":{"name":"bool"}}],[11,"gt","","",7,{"inputs":[{"name":"self"},{"name":"gdkpixdatadumptype"}],"output":{"name":"bool"}}],[11,"ge","","",7,{"inputs":[{"name":"self"},{"name":"gdkpixdatadumptype"}],"output":{"name":"bool"}}],[11,"cmp","","",7,{"inputs":[{"name":"self"},{"name":"gdkpixdatadumptype"}],"output":{"name":"ordering"}}],[11,"hash","","",7,null],[11,"fmt","","",7,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",7,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",7,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",7,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",7,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",7,{"inputs":[],"output":{"name":"gdkpixdatadumptype"}}],[11,"all","","Returns the set containing all flags.",7,{"inputs":[],"output":{"name":"gdkpixdatadumptype"}}],[11,"bits","","Returns the raw value of the flags currently stored.",7,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",7,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",7,{"inputs":[{"name":"c_uint"}],"output":{"name":"gdkpixdatadumptype"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",7,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",7,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",7,{"inputs":[{"name":"self"},{"name":"gdkpixdatadumptype"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",7,{"inputs":[{"name":"self"},{"name":"gdkpixdatadumptype"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",7,{"inputs":[{"name":"self"},{"name":"gdkpixdatadumptype"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",7,{"inputs":[{"name":"self"},{"name":"gdkpixdatadumptype"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",7,{"inputs":[{"name":"self"},{"name":"gdkpixdatadumptype"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",7,{"inputs":[{"name":"self"},{"name":"gdkpixdatadumptype"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",7,{"inputs":[{"name":"self"},{"name":"gdkpixdatadumptype"}],"output":{"name":"gdkpixdatadumptype"}}],[11,"bitor_assign","","Adds the set of flags.",7,{"inputs":[{"name":"self"},{"name":"gdkpixdatadumptype"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",7,{"inputs":[{"name":"self"},{"name":"gdkpixdatadumptype"}],"output":{"name":"gdkpixdatadumptype"}}],[11,"bitxor_assign","","Toggles the set of flags.",7,{"inputs":[{"name":"self"},{"name":"gdkpixdatadumptype"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",7,{"inputs":[{"name":"self"},{"name":"gdkpixdatadumptype"}],"output":{"name":"gdkpixdatadumptype"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",7,{"inputs":[{"name":"self"},{"name":"gdkpixdatadumptype"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",7,{"inputs":[{"name":"self"},{"name":"gdkpixdatadumptype"}],"output":{"name":"gdkpixdatadumptype"}}],[11,"sub_assign","","Disables all flags enabled in the set.",7,{"inputs":[{"name":"self"},{"name":"gdkpixdatadumptype"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",7,{"inputs":[{"name":"self"}],"output":{"name":"gdkpixdatadumptype"}}],[11,"extend","","",7,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",7,{"inputs":[{"name":"t"}],"output":{"name":"gdkpixdatadumptype"}}],[11,"eq","","",8,{"inputs":[{"name":"self"},{"name":"gdkpixdatatype"}],"output":{"name":"bool"}}],[11,"ne","","",8,{"inputs":[{"name":"self"},{"name":"gdkpixdatatype"}],"output":{"name":"bool"}}],[11,"clone","","",8,{"inputs":[{"name":"self"}],"output":{"name":"gdkpixdatatype"}}],[11,"partial_cmp","","",8,{"inputs":[{"name":"self"},{"name":"gdkpixdatatype"}],"output":{"name":"option"}}],[11,"lt","","",8,{"inputs":[{"name":"self"},{"name":"gdkpixdatatype"}],"output":{"name":"bool"}}],[11,"le","","",8,{"inputs":[{"name":"self"},{"name":"gdkpixdatatype"}],"output":{"name":"bool"}}],[11,"gt","","",8,{"inputs":[{"name":"self"},{"name":"gdkpixdatatype"}],"output":{"name":"bool"}}],[11,"ge","","",8,{"inputs":[{"name":"self"},{"name":"gdkpixdatatype"}],"output":{"name":"bool"}}],[11,"cmp","","",8,{"inputs":[{"name":"self"},{"name":"gdkpixdatatype"}],"output":{"name":"ordering"}}],[11,"hash","","",8,null],[11,"fmt","","",8,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",8,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",8,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",8,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",8,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",8,{"inputs":[],"output":{"name":"gdkpixdatatype"}}],[11,"all","","Returns the set containing all flags.",8,{"inputs":[],"output":{"name":"gdkpixdatatype"}}],[11,"bits","","Returns the raw value of the flags currently stored.",8,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",8,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",8,{"inputs":[{"name":"c_uint"}],"output":{"name":"gdkpixdatatype"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",8,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",8,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",8,{"inputs":[{"name":"self"},{"name":"gdkpixdatatype"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",8,{"inputs":[{"name":"self"},{"name":"gdkpixdatatype"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",8,{"inputs":[{"name":"self"},{"name":"gdkpixdatatype"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",8,{"inputs":[{"name":"self"},{"name":"gdkpixdatatype"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",8,{"inputs":[{"name":"self"},{"name":"gdkpixdatatype"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",8,{"inputs":[{"name":"self"},{"name":"gdkpixdatatype"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",8,{"inputs":[{"name":"self"},{"name":"gdkpixdatatype"}],"output":{"name":"gdkpixdatatype"}}],[11,"bitor_assign","","Adds the set of flags.",8,{"inputs":[{"name":"self"},{"name":"gdkpixdatatype"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",8,{"inputs":[{"name":"self"},{"name":"gdkpixdatatype"}],"output":{"name":"gdkpixdatatype"}}],[11,"bitxor_assign","","Toggles the set of flags.",8,{"inputs":[{"name":"self"},{"name":"gdkpixdatatype"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",8,{"inputs":[{"name":"self"},{"name":"gdkpixdatatype"}],"output":{"name":"gdkpixdatatype"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",8,{"inputs":[{"name":"self"},{"name":"gdkpixdatatype"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",8,{"inputs":[{"name":"self"},{"name":"gdkpixdatatype"}],"output":{"name":"gdkpixdatatype"}}],[11,"sub_assign","","Disables all flags enabled in the set.",8,{"inputs":[{"name":"self"},{"name":"gdkpixdatatype"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",8,{"inputs":[{"name":"self"}],"output":{"name":"gdkpixdatatype"}}],[11,"extend","","",8,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",8,{"inputs":[{"name":"t"}],"output":{"name":"gdkpixdatatype"}}]],"paths":[[3,"GdkPixbufLoaderClass"],[3,"GdkPixdata"],[3,"GdkPixbufLoader"],[4,"GdkInterpType"],[4,"GdkPixbufAlphaMode"],[4,"GdkPixbufError"],[4,"GdkPixbufRotation"],[3,"GdkPixdataDumpType"],[3,"GdkPixdataType"]]};
searchIndex["gdk_sys"] = {"doc":"","items":[[3,"GdkAnchorHints","gdk_sys","",null,null],[3,"GdkAxisFlags","","",null,null],[3,"GdkDragAction","","",null,null],[3,"GdkEventMask","","",null,null],[3,"GdkFrameClockPhase","","",null,null],[3,"GdkModifierType","","",null,null],[3,"GdkSeatCapabilities","","",null,null],[3,"GdkWMDecoration","","",null,null],[3,"GdkWMFunction","","",null,null],[3,"GdkWindowAttributesType","","",null,null],[3,"GdkWindowHints","","",null,null],[3,"GdkWindowState","","",null,null],[3,"GdkAtom_","","",null,null],[3,"GdkColor","","",null,null],[12,"pixel","","",0,null],[12,"red","","",0,null],[12,"green","","",0,null],[12,"blue","","",0,null],[3,"GdkDevicePadInterface","","",null,null],[3,"GdkDrawingContextClass","","",null,null],[3,"GdkEventAny","","",null,null],[12,"type_","","",1,null],[12,"window","","",1,null],[12,"send_event","","",1,null],[3,"GdkEventButton","","",null,null],[12,"type_","","",2,null],[12,"window","","",2,null],[12,"send_event","","",2,null],[12,"time","","",2,null],[12,"x","","",2,null],[12,"y","","",2,null],[12,"axes","","",2,null],[12,"state","","",2,null],[12,"button","","",2,null],[12,"device","","",2,null],[12,"x_root","","",2,null],[12,"y_root","","",2,null],[3,"GdkEventConfigure","","",null,null],[12,"type_","","",3,null],[12,"window","","",3,null],[12,"send_event","","",3,null],[12,"x","","",3,null],[12,"y","","",3,null],[12,"width","","",3,null],[12,"height","","",3,null],[3,"GdkEventCrossing","","",null,null],[12,"type_","","",4,null],[12,"window","","",4,null],[12,"send_event","","",4,null],[12,"subwindow","","",4,null],[12,"time","","",4,null],[12,"x","","",4,null],[12,"y","","",4,null],[12,"x_root","","",4,null],[12,"y_root","","",4,null],[12,"mode","","",4,null],[12,"detail","","",4,null],[12,"focus","","",4,null],[12,"state","","",4,null],[3,"GdkEventDND","","",null,null],[12,"type_","","",5,null],[12,"window","","",5,null],[12,"send_event","","",5,null],[12,"context","","",5,null],[12,"time","","",5,null],[12,"x_root","","",5,null],[12,"y_root","","",5,null],[3,"GdkEventExpose","","",null,null],[12,"type_","","",6,null],[12,"window","","",6,null],[12,"send_event","","",6,null],[12,"area","","",6,null],[12,"region","","",6,null],[12,"count","","",6,null],[3,"GdkEventFocus","","",null,null],[12,"type_","","",7,null],[12,"window","","",7,null],[12,"send_event","","",7,null],[12,"in_","","",7,null],[3,"GdkEventGrabBroken","","",null,null],[12,"type_","","",8,null],[12,"window","","",8,null],[12,"send_event","","",8,null],[12,"keyboard","","",8,null],[12,"implicit","","",8,null],[12,"grab_window","","",8,null],[3,"GdkEventKey","","",null,null],[12,"type_","","",9,null],[12,"window","","",9,null],[12,"send_event","","",9,null],[12,"time","","",9,null],[12,"state","","",9,null],[12,"keyval","","",9,null],[12,"length","","",9,null],[12,"string","","",9,null],[12,"hardware_keycode","","",9,null],[12,"group","","",9,null],[3,"GdkEventMotion","","",null,null],[12,"type_","","",10,null],[12,"window","","",10,null],[12,"send_event","","",10,null],[12,"time","","",10,null],[12,"x","","",10,null],[12,"y","","",10,null],[12,"axes","","",10,null],[12,"state","","",10,null],[12,"is_hint","","",10,null],[12,"device","","",10,null],[12,"x_root","","",10,null],[12,"y_root","","",10,null],[3,"GdkEventOwnerChange","","",null,null],[12,"type_","","",11,null],[12,"window","","",11,null],[12,"send_event","","",11,null],[12,"owner","","",11,null],[12,"reason","","",11,null],[12,"selection","","",11,null],[12,"time","","",11,null],[12,"selection_time","","",11,null],[3,"GdkEventPadAxis","","",null,null],[12,"type_","","",12,null],[12,"window","","",12,null],[12,"send_event","","",12,null],[12,"time","","",12,null],[12,"group","","",12,null],[12,"index","","",12,null],[12,"mode","","",12,null],[12,"value","","",12,null],[3,"GdkEventPadButton","","",null,null],[12,"type_","","",13,null],[12,"window","","",13,null],[12,"send_event","","",13,null],[12,"time","","",13,null],[12,"group","","",13,null],[12,"button","","",13,null],[12,"mode","","",13,null],[3,"GdkEventPadGroupMode","","",null,null],[12,"type_","","",14,null],[12,"window","","",14,null],[12,"send_event","","",14,null],[12,"time","","",14,null],[12,"group","","",14,null],[12,"mode","","",14,null],[3,"GdkEventProperty","","",null,null],[12,"type_","","",15,null],[12,"window","","",15,null],[12,"send_event","","",15,null],[12,"atom","","",15,null],[12,"time","","",15,null],[12,"state","","",15,null],[3,"GdkEventProximity","","",null,null],[12,"type_","","",16,null],[12,"window","","",16,null],[12,"send_event","","",16,null],[12,"time","","",16,null],[12,"device","","",16,null],[3,"GdkEventScroll","","",null,null],[12,"type_","","",17,null],[12,"window","","",17,null],[12,"send_event","","",17,null],[12,"time","","",17,null],[12,"x","","",17,null],[12,"y","","",17,null],[12,"state","","",17,null],[12,"direction","","",17,null],[12,"device","","",17,null],[12,"x_root","","",17,null],[12,"y_root","","",17,null],[12,"delta_x","","",17,null],[12,"delta_y","","",17,null],[3,"GdkEventSelection","","",null,null],[12,"type_","","",18,null],[12,"window","","",18,null],[12,"send_event","","",18,null],[12,"selection","","",18,null],[12,"target","","",18,null],[12,"property","","",18,null],[12,"time","","",18,null],[12,"requestor","","",18,null],[3,"GdkEventSequence","","",null,null],[3,"GdkEventSetting","","",null,null],[12,"type_","","",19,null],[12,"window","","",19,null],[12,"send_event","","",19,null],[12,"action","","",19,null],[12,"name","","",19,null],[3,"GdkEventTouch","","",null,null],[12,"type_","","",20,null],[12,"window","","",20,null],[12,"send_event","","",20,null],[12,"time","","",20,null],[12,"x","","",20,null],[12,"y","","",20,null],[12,"axes","","",20,null],[12,"state","","",20,null],[12,"sequence","","",20,null],[12,"emulating_pointer","","",20,null],[12,"device","","",20,null],[12,"x_root","","",20,null],[12,"y_root","","",20,null],[3,"GdkEventTouchpadPinch","","",null,null],[12,"type_","","",21,null],[12,"window","","",21,null],[12,"send_event","","",21,null],[12,"phase","","",21,null],[12,"n_fingers","","",21,null],[12,"time","","",21,null],[12,"x","","",21,null],[12,"y","","",21,null],[12,"dx","","",21,null],[12,"dy","","",21,null],[12,"angle_delta","","",21,null],[12,"scale","","",21,null],[12,"x_root","","",21,null],[12,"y_root","","",21,null],[12,"state","","",21,null],[3,"GdkEventTouchpadSwipe","","",null,null],[12,"type_","","",22,null],[12,"window","","",22,null],[12,"send_event","","",22,null],[12,"phase","","",22,null],[12,"n_fingers","","",22,null],[12,"time","","",22,null],[12,"x","","",22,null],[12,"y","","",22,null],[12,"dx","","",22,null],[12,"dy","","",22,null],[12,"x_root","","",22,null],[12,"y_root","","",22,null],[12,"state","","",22,null],[3,"GdkEventVisibility","","",null,null],[12,"type_","","",23,null],[12,"window","","",23,null],[12,"send_event","","",23,null],[12,"state","","",23,null],[3,"GdkEventWindowState","","",null,null],[12,"type_","","",24,null],[12,"window","","",24,null],[12,"send_event","","",24,null],[12,"changed_mask","","",24,null],[12,"new_window_state","","",24,null],[3,"GdkFrameClockClass","","",null,null],[3,"GdkFrameClockPrivate","","",null,null],[3,"GdkFrameTimings","","",null,null],[3,"GdkGeometry","","",null,null],[12,"min_width","","",25,null],[12,"min_height","","",25,null],[12,"max_width","","",25,null],[12,"max_height","","",25,null],[12,"base_width","","",25,null],[12,"base_height","","",25,null],[12,"width_inc","","",25,null],[12,"height_inc","","",25,null],[12,"min_aspect","","",25,null],[12,"max_aspect","","",25,null],[12,"win_gravity","","",25,null],[3,"GdkKeymapKey","","",null,null],[12,"keycode","","",26,null],[12,"group","","",26,null],[12,"level","","",26,null],[3,"GdkMonitorClass","","",null,null],[3,"GdkPoint","","",null,null],[12,"x","","",27,null],[12,"y","","",27,null],[3,"GdkRGBA","","",null,null],[12,"red","","",28,null],[12,"green","","",28,null],[12,"blue","","",28,null],[12,"alpha","","",28,null],[3,"GdkRectangle","","",null,null],[12,"x","","",29,null],[12,"y","","",29,null],[12,"width","","",29,null],[12,"height","","",29,null],[3,"GdkTimeCoord","","",null,null],[12,"time","","",30,null],[12,"axes","","",30,null],[3,"GdkWindowAttr","","",null,null],[12,"title","","",31,null],[12,"event_mask","","",31,null],[12,"x","","",31,null],[12,"y","","",31,null],[12,"width","","",31,null],[12,"height","","",31,null],[12,"wclass","","",31,null],[12,"visual","","",31,null],[12,"window_type","","",31,null],[12,"cursor","","",31,null],[12,"wmclass_name","","",31,null],[12,"wmclass_class","","",31,null],[12,"override_redirect","","",31,null],[12,"type_hint","","",31,null],[3,"GdkWindowClass","","",null,null],[12,"parent_class","","",32,null],[12,"pick_embedded_child","","",32,null],[12,"to_embedder","","",32,null],[12,"from_embedder","","",32,null],[12,"create_surface","","",32,null],[12,"_gdk_reserved1","","",32,null],[12,"_gdk_reserved2","","",32,null],[12,"_gdk_reserved3","","",32,null],[12,"_gdk_reserved4","","",32,null],[12,"_gdk_reserved5","","",32,null],[12,"_gdk_reserved6","","",32,null],[12,"_gdk_reserved7","","",32,null],[12,"_gdk_reserved8","","",32,null],[3,"GdkWindowRedirect","","",null,null],[3,"GdkAppLaunchContext","","",null,null],[3,"GdkCursor","","",null,null],[3,"GdkDevice","","",null,null],[3,"GdkDeviceManager","","",null,null],[3,"GdkDeviceTool","","",null,null],[3,"GdkDisplay","","",null,null],[3,"GdkDisplayManager","","",null,null],[3,"GdkDragContext","","",null,null],[3,"GdkDrawingContext","","",null,null],[3,"GdkFrameClock","","",null,null],[3,"GdkGLContext","","",null,null],[3,"GdkKeymap","","",null,null],[3,"GdkMonitor","","",null,null],[3,"GdkScreen","","",null,null],[3,"GdkSeat","","",null,null],[12,"parent_instance","","",33,null],[3,"GdkVisual","","",null,null],[3,"GdkWindow","","",null,null],[3,"GdkDevicePad","","",null,null],[4,"GdkAxisUse","","",null,null],[13,"Ignore","","",34,null],[13,"X","","",34,null],[13,"Y","","",34,null],[13,"Pressure","","",34,null],[13,"Xtilt","","",34,null],[13,"Ytilt","","",34,null],[13,"Wheel","","",34,null],[13,"Distance","","",34,null],[13,"Rotation","","",34,null],[13,"Slider","","",34,null],[13,"Last","","",34,null],[4,"GdkByteOrder","","",null,null],[13,"LsbFirst","","",35,null],[13,"MsbFirst","","",35,null],[4,"GdkCrossingMode","","",null,null],[13,"Normal","","",36,null],[13,"Grab","","",36,null],[13,"Ungrab","","",36,null],[13,"GtkGrab","","",36,null],[13,"GtkUngrab","","",36,null],[13,"StateChanged","","",36,null],[13,"TouchBegin","","",36,null],[13,"TouchEnd","","",36,null],[13,"DeviceSwitch","","",36,null],[4,"GdkCursorType","","",null,null],[13,"XCursor","","",37,null],[13,"Arrow","","",37,null],[13,"BasedArrowDown","","",37,null],[13,"BasedArrowUp","","",37,null],[13,"Boat","","",37,null],[13,"Bogosity","","",37,null],[13,"BottomLeftCorner","","",37,null],[13,"BottomRightCorner","","",37,null],[13,"BottomSide","","",37,null],[13,"BottomTee","","",37,null],[13,"BoxSpiral","","",37,null],[13,"CenterPtr","","",37,null],[13,"Circle","","",37,null],[13,"Clock","","",37,null],[13,"CoffeeMug","","",37,null],[13,"Cross","","",37,null],[13,"CrossReverse","","",37,null],[13,"Crosshair","","",37,null],[13,"DiamondCross","","",37,null],[13,"Dot","","",37,null],[13,"Dotbox","","",37,null],[13,"DoubleArrow","","",37,null],[13,"DraftLarge","","",37,null],[13,"DraftSmall","","",37,null],[13,"DrapedBox","","",37,null],[13,"Exchange","","",37,null],[13,"Fleur","","",37,null],[13,"Gobbler","","",37,null],[13,"Gumby","","",37,null],[13,"Hand1","","",37,null],[13,"Hand2","","",37,null],[13,"Heart","","",37,null],[13,"Icon","","",37,null],[13,"IronCross","","",37,null],[13,"LeftPtr","","",37,null],[13,"LeftSide","","",37,null],[13,"LeftTee","","",37,null],[13,"Leftbutton","","",37,null],[13,"LlAngle","","",37,null],[13,"LrAngle","","",37,null],[13,"Man","","",37,null],[13,"Middlebutton","","",37,null],[13,"Mouse","","",37,null],[13,"Pencil","","",37,null],[13,"Pirate","","",37,null],[13,"Plus","","",37,null],[13,"QuestionArrow","","",37,null],[13,"RightPtr","","",37,null],[13,"RightSide","","",37,null],[13,"RightTee","","",37,null],[13,"Rightbutton","","",37,null],[13,"RtlLogo","","",37,null],[13,"Sailboat","","",37,null],[13,"SbDownArrow","","",37,null],[13,"SbHDoubleArrow","","",37,null],[13,"SbLeftArrow","","",37,null],[13,"SbRightArrow","","",37,null],[13,"SbUpArrow","","",37,null],[13,"SbVDoubleArrow","","",37,null],[13,"Shuttle","","",37,null],[13,"Sizing","","",37,null],[13,"Spider","","",37,null],[13,"Spraycan","","",37,null],[13,"Star","","",37,null],[13,"Target","","",37,null],[13,"Tcross","","",37,null],[13,"TopLeftArrow","","",37,null],[13,"TopLeftCorner","","",37,null],[13,"TopRightCorner","","",37,null],[13,"TopSide","","",37,null],[13,"TopTee","","",37,null],[13,"Trek","","",37,null],[13,"UlAngle","","",37,null],[13,"Umbrella","","",37,null],[13,"UrAngle","","",37,null],[13,"Watch","","",37,null],[13,"Xterm","","",37,null],[13,"LastCursor","","",37,null],[13,"BlankCursor","","",37,null],[13,"CursorIsPixmap","","",37,null],[4,"GdkDevicePadFeature","","",null,null],[13,"Button","","",38,null],[13,"Ring","","",38,null],[13,"Strip","","",38,null],[4,"GdkDeviceToolType","","",null,null],[13,"Unknown","","",39,null],[13,"Pen","","",39,null],[13,"Eraser","","",39,null],[13,"Brush","","",39,null],[13,"Pencil","","",39,null],[13,"Airbrush","","",39,null],[13,"Mouse","","",39,null],[13,"Lens","","",39,null],[4,"GdkDeviceType","","",null,null],[13,"Master","","",40,null],[13,"Slave","","",40,null],[13,"Floating","","",40,null],[4,"GdkDragCancelReason","","",null,null],[13,"NoTarget","","",41,null],[13,"UserCancelled","","",41,null],[13,"Error","","",41,null],[4,"GdkDragProtocol","","",null,null],[13,"None","","",42,null],[13,"Motif","","",42,null],[13,"Xdnd","","",42,null],[13,"Rootwin","","",42,null],[13,"Win32Dropfiles","","",42,null],[13,"Ole2","","",42,null],[13,"Local","","",42,null],[13,"Wayland","","",42,null],[4,"GdkEventType","","",null,null],[13,"Nothing","","",43,null],[13,"Delete","","",43,null],[13,"Destroy","","",43,null],[13,"Expose","","",43,null],[13,"MotionNotify","","",43,null],[13,"ButtonPress","","",43,null],[13,"DoubleButtonPress","","",43,null],[13,"TripleButtonPress","","",43,null],[13,"ButtonRelease","","",43,null],[13,"KeyPress","","",43,null],[13,"KeyRelease","","",43,null],[13,"EnterNotify","","",43,null],[13,"LeaveNotify","","",43,null],[13,"FocusChange","","",43,null],[13,"Configure","","",43,null],[13,"Map","","",43,null],[13,"Unmap","","",43,null],[13,"PropertyNotify","","",43,null],[13,"SelectionClear","","",43,null],[13,"SelectionRequest","","",43,null],[13,"SelectionNotify","","",43,null],[13,"ProximityIn","","",43,null],[13,"ProximityOut","","",43,null],[13,"DragEnter","","",43,null],[13,"DragLeave","","",43,null],[13,"DragMotion","","",43,null],[13,"DragStatus","","",43,null],[13,"DropStart","","",43,null],[13,"DropFinished","","",43,null],[13,"ClientEvent","","",43,null],[13,"VisibilityNotify","","",43,null],[13,"Scroll","","",43,null],[13,"WindowState","","",43,null],[13,"Setting","","",43,null],[13,"OwnerChange","","",43,null],[13,"GrabBroken","","",43,null],[13,"Damage","","",43,null],[13,"TouchBegin","","",43,null],[13,"TouchUpdate","","",43,null],[13,"TouchEnd","","",43,null],[13,"TouchCancel","","",43,null],[13,"TouchpadSwipe","","",43,null],[13,"TouchpadPinch","","",43,null],[13,"PadButtonPress","","",43,null],[13,"PadButtonRelease","","",43,null],[13,"PadRing","","",43,null],[13,"PadStrip","","",43,null],[13,"PadGroupMode","","",43,null],[4,"GdkFilterReturn","","",null,null],[13,"Continue","","",44,null],[13,"Translate","","",44,null],[13,"Remove","","",44,null],[4,"GdkFullscreenMode","","",null,null],[13,"CurrentMonitor","","",45,null],[13,"AllMonitors","","",45,null],[4,"GdkGLError","","",null,null],[13,"NotAvailable","","",46,null],[13,"UnsupportedFormat","","",46,null],[13,"UnsupportedProfile","","",46,null],[4,"GdkGrabOwnership","","",null,null],[13,"None","","",47,null],[13,"Window","","",47,null],[13,"Application","","",47,null],[4,"GdkGrabStatus","","",null,null],[13,"Success","","",48,null],[13,"AlreadyGrabbed","","",48,null],[13,"InvalidTime","","",48,null],[13,"NotViewable","","",48,null],[13,"Frozen","","",48,null],[13,"Failed","","",48,null],[4,"GdkGravity","","",null,null],[13,"NorthWest","","",49,null],[13,"North","","",49,null],[13,"NorthEast","","",49,null],[13,"West","","",49,null],[13,"Center","","",49,null],[13,"East","","",49,null],[13,"SouthWest","","",49,null],[13,"South","","",49,null],[13,"SouthEast","","",49,null],[13,"Static","","",49,null],[4,"GdkInputMode","","",null,null],[13,"Disabled","","",50,null],[13,"Screen","","",50,null],[13,"Window","","",50,null],[4,"GdkInputSource","","",null,null],[13,"Mouse","","",51,null],[13,"Pen","","",51,null],[13,"Eraser","","",51,null],[13,"Cursor","","",51,null],[13,"Keyboard","","",51,null],[13,"Touchscreen","","",51,null],[13,"Touchpad","","",51,null],[13,"Trackpoint","","",51,null],[13,"TabletPad","","",51,null],[4,"GdkModifierIntent","","",null,null],[13,"PrimaryAccelerator","","",52,null],[13,"ContextMenu","","",52,null],[13,"ExtendSelection","","",52,null],[13,"ModifySelection","","",52,null],[13,"NoTextInput","","",52,null],[13,"ShiftGroup","","",52,null],[13,"DefaultModMask","","",52,null],[4,"GdkNotifyType","","",null,null],[13,"Ancestor","","",53,null],[13,"Virtual","","",53,null],[13,"Inferior","","",53,null],[13,"Nonlinear","","",53,null],[13,"NonlinearVirtual","","",53,null],[13,"Unknown","","",53,null],[4,"GdkOwnerChange","","",null,null],[13,"NewOwner","","",54,null],[13,"Destroy","","",54,null],[13,"Close","","",54,null],[4,"GdkPropMode","","",null,null],[13,"Replace","","",55,null],[13,"Prepend","","",55,null],[13,"Append","","",55,null],[4,"GdkPropertyState","","",null,null],[13,"NewValue","","",56,null],[13,"Delete","","",56,null],[4,"GdkScrollDirection","","",null,null],[13,"Up","","",57,null],[13,"Down","","",57,null],[13,"Left","","",57,null],[13,"Right","","",57,null],[13,"Smooth","","",57,null],[4,"GdkSettingAction","","",null,null],[13,"New","","",58,null],[13,"Changed","","",58,null],[13,"Deleted","","",58,null],[4,"GdkStatus","","",null,null],[13,"Ok","","",59,null],[13,"Error","","",59,null],[13,"ErrorParam","","",59,null],[13,"ErrorFile","","",59,null],[13,"ErrorMem","","",59,null],[4,"GdkSubpixelLayout","","",null,null],[13,"Unknown","","",60,null],[13,"None","","",60,null],[13,"HorizontalRgb","","",60,null],[13,"HorizontalBgr","","",60,null],[13,"VerticalRgb","","",60,null],[13,"VerticalBgr","","",60,null],[4,"GdkTouchpadGesturePhase","","",null,null],[13,"Begin","","",61,null],[13,"Update","","",61,null],[13,"End","","",61,null],[13,"Cancel","","",61,null],[4,"GdkVisibilityState","","",null,null],[13,"Unobscured","","",62,null],[13,"Partial","","",62,null],[13,"FullyObscured","","",62,null],[4,"GdkVisualType","","",null,null],[13,"StaticGray","","",63,null],[13,"Grayscale","","",63,null],[13,"StaticColor","","",63,null],[13,"PseudoColor","","",63,null],[13,"TrueColor","","",63,null],[13,"DirectColor","","",63,null],[4,"GdkWindowEdge","","",null,null],[13,"NorthWest","","",64,null],[13,"North","","",64,null],[13,"NorthEast","","",64,null],[13,"West","","",64,null],[13,"East","","",64,null],[13,"SouthWest","","",64,null],[13,"South","","",64,null],[13,"SouthEast","","",64,null],[4,"GdkWindowType","","",null,null],[13,"Root","","",65,null],[13,"Toplevel","","",65,null],[13,"Child","","",65,null],[13,"Temp","","",65,null],[13,"Foreign","","",65,null],[13,"Offscreen","","",65,null],[13,"Subsurface","","",65,null],[4,"GdkWindowTypeHint","","",null,null],[13,"Normal","","",66,null],[13,"Dialog","","",66,null],[13,"Menu","","",66,null],[13,"Toolbar","","",66,null],[13,"Splashscreen","","",66,null],[13,"Utility","","",66,null],[13,"Dock","","",66,null],[13,"Desktop","","",66,null],[13,"DropdownMenu","","",66,null],[13,"PopupMenu","","",66,null],[13,"Tooltip","","",66,null],[13,"Notification","","",66,null],[13,"Combo","","",66,null],[13,"Dnd","","",66,null],[4,"GdkWindowWindowClass","","",null,null],[13,"InputOutput","","",67,null],[13,"InputOnly","","",67,null],[5,"gdk_gl_error_quark","","",null,null],[5,"gdk_event_new","","",null,null],[5,"gdk_event_copy","","",null,null],[5,"gdk_event_free","","",null,null],[5,"gdk_event_get_axis","","",null,null],[5,"gdk_event_get_button","","",null,null],[5,"gdk_event_get_click_count","","",null,null],[5,"gdk_event_get_coords","","",null,null],[5,"gdk_event_get_device","","",null,null],[5,"gdk_event_get_device_tool","","",null,null],[5,"gdk_event_get_event_sequence","","",null,null],[5,"gdk_event_get_event_type","","",null,null],[5,"gdk_event_get_keycode","","",null,null],[5,"gdk_event_get_keyval","","",null,null],[5,"gdk_event_get_pointer_emulated","","",null,null],[5,"gdk_event_get_root_coords","","",null,null],[5,"gdk_event_get_scancode","","",null,null],[5,"gdk_event_get_screen","","",null,null],[5,"gdk_event_get_scroll_deltas","","",null,null],[5,"gdk_event_get_scroll_direction","","",null,null],[5,"gdk_event_get_seat","","",null,null],[5,"gdk_event_get_source_device","","",null,null],[5,"gdk_event_get_state","","",null,null],[5,"gdk_event_get_time","","",null,null],[5,"gdk_event_get_window","","",null,null],[5,"gdk_event_is_scroll_stop_event","","",null,null],[5,"gdk_event_put","","",null,null],[5,"gdk_event_set_device","","",null,null],[5,"gdk_event_set_device_tool","","",null,null],[5,"gdk_event_set_screen","","",null,null],[5,"gdk_event_set_source_device","","",null,null],[5,"gdk_event_triggers_context_menu","","",null,null],[5,"gdk_event_get","","",null,null],[5,"gdk_event_handler_set","","",null,null],[5,"gdk_event_peek","","",null,null],[5,"gdk_event_request_motions","","",null,null],[5,"gdk_atom_name","","",null,null],[5,"gdk_atom_intern","","",null,null],[5,"gdk_atom_intern_static_string","","",null,null],[5,"gdk_color_get_type","","",null,null],[5,"gdk_color_copy","","",null,null],[5,"gdk_color_equal","","",null,null],[5,"gdk_color_free","","",null,null],[5,"gdk_color_hash","","",null,null],[5,"gdk_color_to_string","","",null,null],[5,"gdk_color_parse","","",null,null],[5,"gdk_event_sequence_get_type","","",null,null],[5,"gdk_frame_timings_get_type","","",null,null],[5,"gdk_frame_timings_get_complete","","",null,null],[5,"gdk_frame_timings_get_frame_counter","","",null,null],[5,"gdk_frame_timings_get_frame_time","","",null,null],[5,"gdk_frame_timings_get_predicted_presentation_time","","",null,null],[5,"gdk_frame_timings_get_presentation_time","","",null,null],[5,"gdk_frame_timings_get_refresh_interval","","",null,null],[5,"gdk_frame_timings_ref","","",null,null],[5,"gdk_frame_timings_unref","","",null,null],[5,"gdk_rgba_get_type","","",null,null],[5,"gdk_rgba_copy","","",null,null],[5,"gdk_rgba_equal","","",null,null],[5,"gdk_rgba_free","","",null,null],[5,"gdk_rgba_hash","","",null,null],[5,"gdk_rgba_parse","","",null,null],[5,"gdk_rgba_to_string","","",null,null],[5,"gdk_rectangle_get_type","","",null,null],[5,"gdk_rectangle_equal","","",null,null],[5,"gdk_rectangle_intersect","","",null,null],[5,"gdk_rectangle_union","","",null,null],[5,"gdk_app_launch_context_get_type","","",null,null],[5,"gdk_app_launch_context_new","","",null,null],[5,"gdk_app_launch_context_set_desktop","","",null,null],[5,"gdk_app_launch_context_set_display","","",null,null],[5,"gdk_app_launch_context_set_icon","","",null,null],[5,"gdk_app_launch_context_set_icon_name","","",null,null],[5,"gdk_app_launch_context_set_screen","","",null,null],[5,"gdk_app_launch_context_set_timestamp","","",null,null],[5,"gdk_cursor_get_type","","",null,null],[5,"gdk_cursor_new","","",null,null],[5,"gdk_cursor_new_for_display","","",null,null],[5,"gdk_cursor_new_from_name","","",null,null],[5,"gdk_cursor_new_from_pixbuf","","",null,null],[5,"gdk_cursor_new_from_surface","","",null,null],[5,"gdk_cursor_get_cursor_type","","",null,null],[5,"gdk_cursor_get_display","","",null,null],[5,"gdk_cursor_get_image","","",null,null],[5,"gdk_cursor_get_surface","","",null,null],[5,"gdk_cursor_ref","","",null,null],[5,"gdk_cursor_unref","","",null,null],[5,"gdk_device_get_type","","",null,null],[5,"gdk_device_free_history","","",null,null],[5,"gdk_device_grab_info_libgtk_only","","",null,null],[5,"gdk_device_get_associated_device","","",null,null],[5,"gdk_device_get_axes","","",null,null],[5,"gdk_device_get_axis","","",null,null],[5,"gdk_device_get_axis_use","","",null,null],[5,"gdk_device_get_axis_value","","",null,null],[5,"gdk_device_get_device_type","","",null,null],[5,"gdk_device_get_display","","",null,null],[5,"gdk_device_get_has_cursor","","",null,null],[5,"gdk_device_get_history","","",null,null],[5,"gdk_device_get_key","","",null,null],[5,"gdk_device_get_last_event_window","","",null,null],[5,"gdk_device_get_mode","","",null,null],[5,"gdk_device_get_n_axes","","",null,null],[5,"gdk_device_get_n_keys","","",null,null],[5,"gdk_device_get_name","","",null,null],[5,"gdk_device_get_position","","",null,null],[5,"gdk_device_get_position_double","","",null,null],[5,"gdk_device_get_product_id","","",null,null],[5,"gdk_device_get_seat","","",null,null],[5,"gdk_device_get_source","","",null,null],[5,"gdk_device_get_state","","",null,null],[5,"gdk_device_get_vendor_id","","",null,null],[5,"gdk_device_get_window_at_position","","",null,null],[5,"gdk_device_get_window_at_position_double","","",null,null],[5,"gdk_device_grab","","",null,null],[5,"gdk_device_list_axes","","",null,null],[5,"gdk_device_list_slave_devices","","",null,null],[5,"gdk_device_set_axis_use","","",null,null],[5,"gdk_device_set_key","","",null,null],[5,"gdk_device_set_mode","","",null,null],[5,"gdk_device_ungrab","","",null,null],[5,"gdk_device_warp","","",null,null],[5,"gdk_device_manager_get_type","","",null,null],[5,"gdk_device_manager_get_client_pointer","","",null,null],[5,"gdk_device_manager_get_display","","",null,null],[5,"gdk_device_manager_list_devices","","",null,null],[5,"gdk_device_tool_get_type","","",null,null],[5,"gdk_device_tool_get_hardware_id","","",null,null],[5,"gdk_device_tool_get_serial","","",null,null],[5,"gdk_device_tool_get_tool_type","","",null,null],[5,"gdk_display_get_type","","",null,null],[5,"gdk_display_get_default","","",null,null],[5,"gdk_display_open","","",null,null],[5,"gdk_display_open_default_libgtk_only","","",null,null],[5,"gdk_display_beep","","",null,null],[5,"gdk_display_close","","",null,null],[5,"gdk_display_device_is_grabbed","","",null,null],[5,"gdk_display_flush","","",null,null],[5,"gdk_display_get_app_launch_context","","",null,null],[5,"gdk_display_get_default_cursor_size","","",null,null],[5,"gdk_display_get_default_group","","",null,null],[5,"gdk_display_get_default_screen","","",null,null],[5,"gdk_display_get_default_seat","","",null,null],[5,"gdk_display_get_device_manager","","",null,null],[5,"gdk_display_get_event","","",null,null],[5,"gdk_display_get_maximal_cursor_size","","",null,null],[5,"gdk_display_get_monitor","","",null,null],[5,"gdk_display_get_monitor_at_point","","",null,null],[5,"gdk_display_get_monitor_at_window","","",null,null],[5,"gdk_display_get_n_monitors","","",null,null],[5,"gdk_display_get_n_screens","","",null,null],[5,"gdk_display_get_name","","",null,null],[5,"gdk_display_get_pointer","","",null,null],[5,"gdk_display_get_primary_monitor","","",null,null],[5,"gdk_display_get_screen","","",null,null],[5,"gdk_display_get_window_at_pointer","","",null,null],[5,"gdk_display_has_pending","","",null,null],[5,"gdk_display_is_closed","","",null,null],[5,"gdk_display_keyboard_ungrab","","",null,null],[5,"gdk_display_list_devices","","",null,null],[5,"gdk_display_list_seats","","",null,null],[5,"gdk_display_notify_startup_complete","","",null,null],[5,"gdk_display_peek_event","","",null,null],[5,"gdk_display_pointer_is_grabbed","","",null,null],[5,"gdk_display_pointer_ungrab","","",null,null],[5,"gdk_display_put_event","","",null,null],[5,"gdk_display_request_selection_notification","","",null,null],[5,"gdk_display_set_double_click_distance","","",null,null],[5,"gdk_display_set_double_click_time","","",null,null],[5,"gdk_display_store_clipboard","","",null,null],[5,"gdk_display_supports_clipboard_persistence","","",null,null],[5,"gdk_display_supports_composite","","",null,null],[5,"gdk_display_supports_cursor_alpha","","",null,null],[5,"gdk_display_supports_cursor_color","","",null,null],[5,"gdk_display_supports_input_shapes","","",null,null],[5,"gdk_display_supports_selection_notification","","",null,null],[5,"gdk_display_supports_shapes","","",null,null],[5,"gdk_display_sync","","",null,null],[5,"gdk_display_warp_pointer","","",null,null],[5,"gdk_display_manager_get_type","","",null,null],[5,"gdk_display_manager_get","","",null,null],[5,"gdk_display_manager_get_default_display","","",null,null],[5,"gdk_display_manager_list_displays","","",null,null],[5,"gdk_display_manager_open_display","","",null,null],[5,"gdk_display_manager_set_default_display","","",null,null],[5,"gdk_drag_context_get_type","","",null,null],[5,"gdk_drag_context_get_actions","","",null,null],[5,"gdk_drag_context_get_dest_window","","",null,null],[5,"gdk_drag_context_get_device","","",null,null],[5,"gdk_drag_context_get_drag_window","","",null,null],[5,"gdk_drag_context_get_protocol","","",null,null],[5,"gdk_drag_context_get_selected_action","","",null,null],[5,"gdk_drag_context_get_source_window","","",null,null],[5,"gdk_drag_context_get_suggested_action","","",null,null],[5,"gdk_drag_context_list_targets","","",null,null],[5,"gdk_drag_context_manage_dnd","","",null,null],[5,"gdk_drag_context_set_device","","",null,null],[5,"gdk_drag_context_set_hotspot","","",null,null],[5,"gdk_drawing_context_get_type","","",null,null],[5,"gdk_drawing_context_get_cairo_context","","",null,null],[5,"gdk_drawing_context_get_clip","","",null,null],[5,"gdk_drawing_context_get_window","","",null,null],[5,"gdk_drawing_context_is_valid","","",null,null],[5,"gdk_frame_clock_get_type","","",null,null],[5,"gdk_frame_clock_begin_updating","","",null,null],[5,"gdk_frame_clock_end_updating","","",null,null],[5,"gdk_frame_clock_get_current_timings","","",null,null],[5,"gdk_frame_clock_get_frame_counter","","",null,null],[5,"gdk_frame_clock_get_frame_time","","",null,null],[5,"gdk_frame_clock_get_history_start","","",null,null],[5,"gdk_frame_clock_get_refresh_info","","",null,null],[5,"gdk_frame_clock_get_timings","","",null,null],[5,"gdk_frame_clock_request_phase","","",null,null],[5,"gdk_gl_context_get_type","","",null,null],[5,"gdk_gl_context_clear_current","","",null,null],[5,"gdk_gl_context_get_current","","",null,null],[5,"gdk_gl_context_get_debug_enabled","","",null,null],[5,"gdk_gl_context_get_display","","",null,null],[5,"gdk_gl_context_get_forward_compatible","","",null,null],[5,"gdk_gl_context_get_required_version","","",null,null],[5,"gdk_gl_context_get_shared_context","","",null,null],[5,"gdk_gl_context_get_use_es","","",null,null],[5,"gdk_gl_context_get_version","","",null,null],[5,"gdk_gl_context_get_window","","",null,null],[5,"gdk_gl_context_is_legacy","","",null,null],[5,"gdk_gl_context_make_current","","",null,null],[5,"gdk_gl_context_realize","","",null,null],[5,"gdk_gl_context_set_debug_enabled","","",null,null],[5,"gdk_gl_context_set_forward_compatible","","",null,null],[5,"gdk_gl_context_set_required_version","","",null,null],[5,"gdk_gl_context_set_use_es","","",null,null],[5,"gdk_keymap_get_type","","",null,null],[5,"gdk_keymap_get_default","","",null,null],[5,"gdk_keymap_get_for_display","","",null,null],[5,"gdk_keymap_add_virtual_modifiers","","",null,null],[5,"gdk_keymap_get_caps_lock_state","","",null,null],[5,"gdk_keymap_get_direction","","",null,null],[5,"gdk_keymap_get_entries_for_keycode","","",null,null],[5,"gdk_keymap_get_entries_for_keyval","","",null,null],[5,"gdk_keymap_get_modifier_mask","","",null,null],[5,"gdk_keymap_get_modifier_state","","",null,null],[5,"gdk_keymap_get_num_lock_state","","",null,null],[5,"gdk_keymap_get_scroll_lock_state","","",null,null],[5,"gdk_keymap_have_bidi_layouts","","",null,null],[5,"gdk_keymap_lookup_key","","",null,null],[5,"gdk_keymap_map_virtual_modifiers","","",null,null],[5,"gdk_keymap_translate_keyboard_state","","",null,null],[5,"gdk_monitor_get_type","","",null,null],[5,"gdk_monitor_get_display","","",null,null],[5,"gdk_monitor_get_geometry","","",null,null],[5,"gdk_monitor_get_height_mm","","",null,null],[5,"gdk_monitor_get_manufacturer","","",null,null],[5,"gdk_monitor_get_model","","",null,null],[5,"gdk_monitor_get_refresh_rate","","",null,null],[5,"gdk_monitor_get_scale_factor","","",null,null],[5,"gdk_monitor_get_subpixel_layout","","",null,null],[5,"gdk_monitor_get_width_mm","","",null,null],[5,"gdk_monitor_get_workarea","","",null,null],[5,"gdk_monitor_is_primary","","",null,null],[5,"gdk_screen_get_type","","",null,null],[5,"gdk_screen_get_default","","",null,null],[5,"gdk_screen_height","","",null,null],[5,"gdk_screen_height_mm","","",null,null],[5,"gdk_screen_width","","",null,null],[5,"gdk_screen_width_mm","","",null,null],[5,"gdk_screen_get_active_window","","",null,null],[5,"gdk_screen_get_display","","",null,null],[5,"gdk_screen_get_font_options","","",null,null],[5,"gdk_screen_get_height","","",null,null],[5,"gdk_screen_get_height_mm","","",null,null],[5,"gdk_screen_get_monitor_at_point","","",null,null],[5,"gdk_screen_get_monitor_at_window","","",null,null],[5,"gdk_screen_get_monitor_geometry","","",null,null],[5,"gdk_screen_get_monitor_height_mm","","",null,null],[5,"gdk_screen_get_monitor_plug_name","","",null,null],[5,"gdk_screen_get_monitor_scale_factor","","",null,null],[5,"gdk_screen_get_monitor_width_mm","","",null,null],[5,"gdk_screen_get_monitor_workarea","","",null,null],[5,"gdk_screen_get_n_monitors","","",null,null],[5,"gdk_screen_get_number","","",null,null],[5,"gdk_screen_get_primary_monitor","","",null,null],[5,"gdk_screen_get_resolution","","",null,null],[5,"gdk_screen_get_rgba_visual","","",null,null],[5,"gdk_screen_get_root_window","","",null,null],[5,"gdk_screen_get_setting","","",null,null],[5,"gdk_screen_get_system_visual","","",null,null],[5,"gdk_screen_get_toplevel_windows","","",null,null],[5,"gdk_screen_get_width","","",null,null],[5,"gdk_screen_get_width_mm","","",null,null],[5,"gdk_screen_get_window_stack","","",null,null],[5,"gdk_screen_is_composited","","",null,null],[5,"gdk_screen_list_visuals","","",null,null],[5,"gdk_screen_make_display_name","","",null,null],[5,"gdk_screen_set_font_options","","",null,null],[5,"gdk_screen_set_resolution","","",null,null],[5,"gdk_seat_get_type","","",null,null],[5,"gdk_seat_get_capabilities","","",null,null],[5,"gdk_seat_get_display","","",null,null],[5,"gdk_seat_get_keyboard","","",null,null],[5,"gdk_seat_get_pointer","","",null,null],[5,"gdk_seat_get_slaves","","",null,null],[5,"gdk_seat_grab","","",null,null],[5,"gdk_seat_ungrab","","",null,null],[5,"gdk_visual_get_type","","",null,null],[5,"gdk_visual_get_best","","",null,null],[5,"gdk_visual_get_best_depth","","",null,null],[5,"gdk_visual_get_best_type","","",null,null],[5,"gdk_visual_get_best_with_both","","",null,null],[5,"gdk_visual_get_best_with_depth","","",null,null],[5,"gdk_visual_get_best_with_type","","",null,null],[5,"gdk_visual_get_system","","",null,null],[5,"gdk_visual_get_bits_per_rgb","","",null,null],[5,"gdk_visual_get_blue_pixel_details","","",null,null],[5,"gdk_visual_get_byte_order","","",null,null],[5,"gdk_visual_get_colormap_size","","",null,null],[5,"gdk_visual_get_depth","","",null,null],[5,"gdk_visual_get_green_pixel_details","","",null,null],[5,"gdk_visual_get_red_pixel_details","","",null,null],[5,"gdk_visual_get_screen","","",null,null],[5,"gdk_visual_get_visual_type","","",null,null],[5,"gdk_window_get_type","","",null,null],[5,"gdk_window_new","","",null,null],[5,"gdk_window_at_pointer","","",null,null],[5,"gdk_window_constrain_size","","",null,null],[5,"gdk_window_process_all_updates","","",null,null],[5,"gdk_window_set_debug_updates","","",null,null],[5,"gdk_window_add_filter","","",null,null],[5,"gdk_window_beep","","",null,null],[5,"gdk_window_begin_draw_frame","","",null,null],[5,"gdk_window_begin_move_drag","","",null,null],[5,"gdk_window_begin_move_drag_for_device","","",null,null],[5,"gdk_window_begin_paint_rect","","",null,null],[5,"gdk_window_begin_paint_region","","",null,null],[5,"gdk_window_begin_resize_drag","","",null,null],[5,"gdk_window_begin_resize_drag_for_device","","",null,null],[5,"gdk_window_configure_finished","","",null,null],[5,"gdk_window_coords_from_parent","","",null,null],[5,"gdk_window_coords_to_parent","","",null,null],[5,"gdk_window_create_gl_context","","",null,null],[5,"gdk_window_create_similar_image_surface","","",null,null],[5,"gdk_window_create_similar_surface","","",null,null],[5,"gdk_window_deiconify","","",null,null],[5,"gdk_window_destroy","","",null,null],[5,"gdk_window_destroy_notify","","",null,null],[5,"gdk_window_enable_synchronized_configure","","",null,null],[5,"gdk_window_end_draw_frame","","",null,null],[5,"gdk_window_end_paint","","",null,null],[5,"gdk_window_ensure_native","","",null,null],[5,"gdk_window_flush","","",null,null],[5,"gdk_window_focus","","",null,null],[5,"gdk_window_freeze_toplevel_updates_libgtk_only","","",null,null],[5,"gdk_window_freeze_updates","","",null,null],[5,"gdk_window_fullscreen","","",null,null],[5,"gdk_window_fullscreen_on_monitor","","",null,null],[5,"gdk_window_geometry_changed","","",null,null],[5,"gdk_window_get_accept_focus","","",null,null],[5,"gdk_window_get_background_pattern","","",null,null],[5,"gdk_window_get_children","","",null,null],[5,"gdk_window_get_children_with_user_data","","",null,null],[5,"gdk_window_get_clip_region","","",null,null],[5,"gdk_window_get_composited","","",null,null],[5,"gdk_window_get_cursor","","",null,null],[5,"gdk_window_get_decorations","","",null,null],[5,"gdk_window_get_device_cursor","","",null,null],[5,"gdk_window_get_device_events","","",null,null],[5,"gdk_window_get_device_position","","",null,null],[5,"gdk_window_get_device_position_double","","",null,null],[5,"gdk_window_get_display","","",null,null],[5,"gdk_window_get_drag_protocol","","",null,null],[5,"gdk_window_get_effective_parent","","",null,null],[5,"gdk_window_get_effective_toplevel","","",null,null],[5,"gdk_window_get_event_compression","","",null,null],[5,"gdk_window_get_events","","",null,null],[5,"gdk_window_get_focus_on_map","","",null,null],[5,"gdk_window_get_frame_clock","","",null,null],[5,"gdk_window_get_frame_extents","","",null,null],[5,"gdk_window_get_fullscreen_mode","","",null,null],[5,"gdk_window_get_geometry","","",null,null],[5,"gdk_window_get_group","","",null,null],[5,"gdk_window_get_height","","",null,null],[5,"gdk_window_get_modal_hint","","",null,null],[5,"gdk_window_get_origin","","",null,null],[5,"gdk_window_get_parent","","",null,null],[5,"gdk_window_get_pass_through","","",null,null],[5,"gdk_window_get_pointer","","",null,null],[5,"gdk_window_get_position","","",null,null],[5,"gdk_window_get_root_coords","","",null,null],[5,"gdk_window_get_root_origin","","",null,null],[5,"gdk_window_get_scale_factor","","",null,null],[5,"gdk_window_get_screen","","",null,null],[5,"gdk_window_get_source_events","","",null,null],[5,"gdk_window_get_state","","",null,null],[5,"gdk_window_get_support_multidevice","","",null,null],[5,"gdk_window_get_toplevel","","",null,null],[5,"gdk_window_get_type_hint","","",null,null],[5,"gdk_window_get_update_area","","",null,null],[5,"gdk_window_get_user_data","","",null,null],[5,"gdk_window_get_visible_region","","",null,null],[5,"gdk_window_get_visual","","",null,null],[5,"gdk_window_get_width","","",null,null],[5,"gdk_window_get_window_type","","",null,null],[5,"gdk_window_has_native","","",null,null],[5,"gdk_window_hide","","",null,null],[5,"gdk_window_iconify","","",null,null],[5,"gdk_window_input_shape_combine_region","","",null,null],[5,"gdk_window_invalidate_maybe_recurse","","",null,null],[5,"gdk_window_invalidate_rect","","",null,null],[5,"gdk_window_invalidate_region","","",null,null],[5,"gdk_window_is_destroyed","","",null,null],[5,"gdk_window_is_input_only","","",null,null],[5,"gdk_window_is_shaped","","",null,null],[5,"gdk_window_is_viewable","","",null,null],[5,"gdk_window_is_visible","","",null,null],[5,"gdk_window_lower","","",null,null],[5,"gdk_window_mark_paint_from_clip","","",null,null],[5,"gdk_window_maximize","","",null,null],[5,"gdk_window_merge_child_input_shapes","","",null,null],[5,"gdk_window_merge_child_shapes","","",null,null],[5,"gdk_window_move","","",null,null],[5,"gdk_window_move_region","","",null,null],[5,"gdk_window_move_resize","","",null,null],[5,"gdk_window_peek_children","","",null,null],[5,"gdk_window_process_updates","","",null,null],[5,"gdk_window_raise","","",null,null],[5,"gdk_window_register_dnd","","",null,null],[5,"gdk_window_remove_filter","","",null,null],[5,"gdk_window_reparent","","",null,null],[5,"gdk_window_resize","","",null,null],[5,"gdk_window_restack","","",null,null],[5,"gdk_window_scroll","","",null,null],[5,"gdk_window_set_accept_focus","","",null,null],[5,"gdk_window_set_background","","",null,null],[5,"gdk_window_set_background_pattern","","",null,null],[5,"gdk_window_set_background_rgba","","",null,null],[5,"gdk_window_set_child_input_shapes","","",null,null],[5,"gdk_window_set_child_shapes","","",null,null],[5,"gdk_window_set_composited","","",null,null],[5,"gdk_window_set_cursor","","",null,null],[5,"gdk_window_set_decorations","","",null,null],[5,"gdk_window_set_device_cursor","","",null,null],[5,"gdk_window_set_device_events","","",null,null],[5,"gdk_window_set_event_compression","","",null,null],[5,"gdk_window_set_events","","",null,null],[5,"gdk_window_set_focus_on_map","","",null,null],[5,"gdk_window_set_fullscreen_mode","","",null,null],[5,"gdk_window_set_functions","","",null,null],[5,"gdk_window_set_geometry_hints","","",null,null],[5,"gdk_window_set_group","","",null,null],[5,"gdk_window_set_icon_list","","",null,null],[5,"gdk_window_set_icon_name","","",null,null],[5,"gdk_window_set_invalidate_handler","","",null,null],[5,"gdk_window_set_keep_above","","",null,null],[5,"gdk_window_set_keep_below","","",null,null],[5,"gdk_window_set_modal_hint","","",null,null],[5,"gdk_window_set_opacity","","",null,null],[5,"gdk_window_set_opaque_region","","",null,null],[5,"gdk_window_set_override_redirect","","",null,null],[5,"gdk_window_set_pass_through","","",null,null],[5,"gdk_window_set_role","","",null,null],[5,"gdk_window_set_shadow_width","","",null,null],[5,"gdk_window_set_skip_pager_hint","","",null,null],[5,"gdk_window_set_skip_taskbar_hint","","",null,null],[5,"gdk_window_set_source_events","","",null,null],[5,"gdk_window_set_startup_id","","",null,null],[5,"gdk_window_set_static_gravities","","",null,null],[5,"gdk_window_set_support_multidevice","","",null,null],[5,"gdk_window_set_title","","",null,null],[5,"gdk_window_set_transient_for","","",null,null],[5,"gdk_window_set_type_hint","","",null,null],[5,"gdk_window_set_urgency_hint","","",null,null],[5,"gdk_window_set_user_data","","",null,null],[5,"gdk_window_shape_combine_region","","",null,null],[5,"gdk_window_show","","",null,null],[5,"gdk_window_show_unraised","","",null,null],[5,"gdk_window_show_window_menu","","",null,null],[5,"gdk_window_stick","","",null,null],[5,"gdk_window_thaw_toplevel_updates_libgtk_only","","",null,null],[5,"gdk_window_thaw_updates","","",null,null],[5,"gdk_window_unfullscreen","","",null,null],[5,"gdk_window_unmaximize","","",null,null],[5,"gdk_window_unstick","","",null,null],[5,"gdk_window_withdraw","","",null,null],[5,"gdk_device_pad_get_type","","",null,null],[5,"gdk_device_pad_get_feature_group","","",null,null],[5,"gdk_device_pad_get_group_n_modes","","",null,null],[5,"gdk_device_pad_get_n_features","","",null,null],[5,"gdk_device_pad_get_n_groups","","",null,null],[5,"gdk_add_option_entries_libgtk_only","","",null,null],[5,"gdk_beep","","",null,null],[5,"gdk_cairo_create","","",null,null],[5,"gdk_cairo_draw_from_gl","","",null,null],[5,"gdk_cairo_get_clip_rectangle","","",null,null],[5,"gdk_cairo_get_drawing_context","","",null,null],[5,"gdk_cairo_rectangle","","",null,null],[5,"gdk_cairo_region","","",null,null],[5,"gdk_cairo_region_create_from_surface","","",null,null],[5,"gdk_cairo_set_source_color","","",null,null],[5,"gdk_cairo_set_source_pixbuf","","",null,null],[5,"gdk_cairo_set_source_rgba","","",null,null],[5,"gdk_cairo_set_source_window","","",null,null],[5,"gdk_cairo_surface_create_from_pixbuf","","",null,null],[5,"gdk_disable_multidevice","","",null,null],[5,"gdk_drag_abort","","",null,null],[5,"gdk_drag_begin","","",null,null],[5,"gdk_drag_begin_for_device","","",null,null],[5,"gdk_drag_begin_from_point","","",null,null],[5,"gdk_drag_drop","","",null,null],[5,"gdk_drag_drop_done","","",null,null],[5,"gdk_drag_drop_succeeded","","",null,null],[5,"gdk_drag_find_window_for_screen","","",null,null],[5,"gdk_drag_get_selection","","",null,null],[5,"gdk_drag_motion","","",null,null],[5,"gdk_drag_status","","",null,null],[5,"gdk_drop_finish","","",null,null],[5,"gdk_drop_reply","","",null,null],[5,"gdk_error_trap_pop","","",null,null],[5,"gdk_error_trap_pop_ignored","","",null,null],[5,"gdk_error_trap_push","","",null,null],[5,"gdk_events_get_angle","","",null,null],[5,"gdk_events_get_center","","",null,null],[5,"gdk_events_get_distance","","",null,null],[5,"gdk_events_pending","","",null,null],[5,"gdk_flush","","",null,null],[5,"gdk_get_default_root_window","","",null,null],[5,"gdk_get_display","","",null,null],[5,"gdk_get_display_arg_name","","",null,null],[5,"gdk_get_program_class","","",null,null],[5,"gdk_get_show_events","","",null,null],[5,"gdk_init","","",null,null],[5,"gdk_init_check","","",null,null],[5,"gdk_keyboard_grab","","",null,null],[5,"gdk_keyboard_ungrab","","",null,null],[5,"gdk_keyval_convert_case","","",null,null],[5,"gdk_keyval_from_name","","",null,null],[5,"gdk_keyval_is_lower","","",null,null],[5,"gdk_keyval_is_upper","","",null,null],[5,"gdk_keyval_name","","",null,null],[5,"gdk_keyval_to_lower","","",null,null],[5,"gdk_keyval_to_unicode","","",null,null],[5,"gdk_keyval_to_upper","","",null,null],[5,"gdk_list_visuals","","",null,null],[5,"gdk_notify_startup_complete","","",null,null],[5,"gdk_notify_startup_complete_with_id","","",null,null],[5,"gdk_offscreen_window_get_embedder","","",null,null],[5,"gdk_offscreen_window_get_surface","","",null,null],[5,"gdk_offscreen_window_set_embedder","","",null,null],[5,"gdk_pango_context_get","","",null,null],[5,"gdk_pango_context_get_for_display","","",null,null],[5,"gdk_pango_context_get_for_screen","","",null,null],[5,"gdk_pango_layout_get_clip_region","","",null,null],[5,"gdk_pango_layout_line_get_clip_region","","",null,null],[5,"gdk_parse_args","","",null,null],[5,"gdk_pixbuf_get_from_surface","","",null,null],[5,"gdk_pixbuf_get_from_window","","",null,null],[5,"gdk_pointer_grab","","",null,null],[5,"gdk_pointer_is_grabbed","","",null,null],[5,"gdk_pointer_ungrab","","",null,null],[5,"gdk_pre_parse_libgtk_only","","",null,null],[5,"gdk_property_change","","",null,null],[5,"gdk_property_delete","","",null,null],[5,"gdk_property_get","","",null,null],[5,"gdk_query_depths","","",null,null],[5,"gdk_query_visual_types","","",null,null],[5,"gdk_selection_convert","","",null,null],[5,"gdk_selection_owner_get","","",null,null],[5,"gdk_selection_owner_get_for_display","","",null,null],[5,"gdk_selection_owner_set","","",null,null],[5,"gdk_selection_owner_set_for_display","","",null,null],[5,"gdk_selection_property_get","","",null,null],[5,"gdk_selection_send_notify","","",null,null],[5,"gdk_selection_send_notify_for_display","","",null,null],[5,"gdk_set_allowed_backends","","",null,null],[5,"gdk_set_double_click_time","","",null,null],[5,"gdk_set_program_class","","",null,null],[5,"gdk_set_show_events","","",null,null],[5,"gdk_setting_get","","",null,null],[5,"gdk_synthesize_window_state","","",null,null],[5,"gdk_test_render_sync","","",null,null],[5,"gdk_test_simulate_button","","",null,null],[5,"gdk_test_simulate_key","","",null,null],[5,"gdk_text_property_to_utf8_list_for_display","","",null,null],[5,"gdk_threads_add_idle","","",null,null],[5,"gdk_threads_add_idle_full","","",null,null],[5,"gdk_threads_add_timeout","","",null,null],[5,"gdk_threads_add_timeout_full","","",null,null],[5,"gdk_threads_add_timeout_seconds","","",null,null],[5,"gdk_threads_add_timeout_seconds_full","","",null,null],[5,"gdk_threads_enter","","",null,null],[5,"gdk_threads_init","","",null,null],[5,"gdk_threads_leave","","",null,null],[5,"gdk_threads_set_lock_functions","","",null,null],[5,"gdk_unicode_to_keyval","","",null,null],[5,"gdk_utf8_to_string_target","","",null,null],[6,"GdkAtom","","",null,null],[6,"GdkXEvent","","",null,null],[6,"GdkEvent","","",null,null],[6,"GdkEventFunc","","",null,null],[6,"GdkFilterFunc","","",null,null],[6,"GdkSeatGrabPrepareFunc","","",null,null],[6,"GdkWindowChildFunc","","",null,null],[6,"GdkWindowInvalidateHandlerFunc","","",null,null],[17,"GDK_AXIS_IGNORE","","",null,null],[17,"GDK_AXIS_X","","",null,null],[17,"GDK_AXIS_Y","","",null,null],[17,"GDK_AXIS_PRESSURE","","",null,null],[17,"GDK_AXIS_XTILT","","",null,null],[17,"GDK_AXIS_YTILT","","",null,null],[17,"GDK_AXIS_WHEEL","","",null,null],[17,"GDK_AXIS_DISTANCE","","",null,null],[17,"GDK_AXIS_ROTATION","","",null,null],[17,"GDK_AXIS_SLIDER","","",null,null],[17,"GDK_AXIS_LAST","","",null,null],[17,"GDK_LSB_FIRST","","",null,null],[17,"GDK_MSB_FIRST","","",null,null],[17,"GDK_CROSSING_NORMAL","","",null,null],[17,"GDK_CROSSING_GRAB","","",null,null],[17,"GDK_CROSSING_UNGRAB","","",null,null],[17,"GDK_CROSSING_GTK_GRAB","","",null,null],[17,"GDK_CROSSING_GTK_UNGRAB","","",null,null],[17,"GDK_CROSSING_STATE_CHANGED","","",null,null],[17,"GDK_CROSSING_TOUCH_BEGIN","","",null,null],[17,"GDK_CROSSING_TOUCH_END","","",null,null],[17,"GDK_CROSSING_DEVICE_SWITCH","","",null,null],[17,"GDK_X_CURSOR","","",null,null],[17,"GDK_ARROW","","",null,null],[17,"GDK_BASED_ARROW_DOWN","","",null,null],[17,"GDK_BASED_ARROW_UP","","",null,null],[17,"GDK_BOAT","","",null,null],[17,"GDK_BOGOSITY","","",null,null],[17,"GDK_BOTTOM_LEFT_CORNER","","",null,null],[17,"GDK_BOTTOM_RIGHT_CORNER","","",null,null],[17,"GDK_BOTTOM_SIDE","","",null,null],[17,"GDK_BOTTOM_TEE","","",null,null],[17,"GDK_BOX_SPIRAL","","",null,null],[17,"GDK_CENTER_PTR","","",null,null],[17,"GDK_CIRCLE","","",null,null],[17,"GDK_CLOCK","","",null,null],[17,"GDK_COFFEE_MUG","","",null,null],[17,"GDK_CROSS","","",null,null],[17,"GDK_CROSS_REVERSE","","",null,null],[17,"GDK_CROSSHAIR","","",null,null],[17,"GDK_DIAMOND_CROSS","","",null,null],[17,"GDK_DOT","","",null,null],[17,"GDK_DOTBOX","","",null,null],[17,"GDK_DOUBLE_ARROW","","",null,null],[17,"GDK_DRAFT_LARGE","","",null,null],[17,"GDK_DRAFT_SMALL","","",null,null],[17,"GDK_DRAPED_BOX","","",null,null],[17,"GDK_EXCHANGE","","",null,null],[17,"GDK_FLEUR","","",null,null],[17,"GDK_GOBBLER","","",null,null],[17,"GDK_GUMBY","","",null,null],[17,"GDK_HAND1","","",null,null],[17,"GDK_HAND2","","",null,null],[17,"GDK_HEART","","",null,null],[17,"GDK_ICON","","",null,null],[17,"GDK_IRON_CROSS","","",null,null],[17,"GDK_LEFT_PTR","","",null,null],[17,"GDK_LEFT_SIDE","","",null,null],[17,"GDK_LEFT_TEE","","",null,null],[17,"GDK_LEFTBUTTON","","",null,null],[17,"GDK_LL_ANGLE","","",null,null],[17,"GDK_LR_ANGLE","","",null,null],[17,"GDK_MAN","","",null,null],[17,"GDK_MIDDLEBUTTON","","",null,null],[17,"GDK_MOUSE","","",null,null],[17,"GDK_PENCIL","","",null,null],[17,"GDK_PIRATE","","",null,null],[17,"GDK_PLUS","","",null,null],[17,"GDK_QUESTION_ARROW","","",null,null],[17,"GDK_RIGHT_PTR","","",null,null],[17,"GDK_RIGHT_SIDE","","",null,null],[17,"GDK_RIGHT_TEE","","",null,null],[17,"GDK_RIGHTBUTTON","","",null,null],[17,"GDK_RTL_LOGO","","",null,null],[17,"GDK_SAILBOAT","","",null,null],[17,"GDK_SB_DOWN_ARROW","","",null,null],[17,"GDK_SB_H_DOUBLE_ARROW","","",null,null],[17,"GDK_SB_LEFT_ARROW","","",null,null],[17,"GDK_SB_RIGHT_ARROW","","",null,null],[17,"GDK_SB_UP_ARROW","","",null,null],[17,"GDK_SB_V_DOUBLE_ARROW","","",null,null],[17,"GDK_SHUTTLE","","",null,null],[17,"GDK_SIZING","","",null,null],[17,"GDK_SPIDER","","",null,null],[17,"GDK_SPRAYCAN","","",null,null],[17,"GDK_STAR","","",null,null],[17,"GDK_TARGET","","",null,null],[17,"GDK_TCROSS","","",null,null],[17,"GDK_TOP_LEFT_ARROW","","",null,null],[17,"GDK_TOP_LEFT_CORNER","","",null,null],[17,"GDK_TOP_RIGHT_CORNER","","",null,null],[17,"GDK_TOP_SIDE","","",null,null],[17,"GDK_TOP_TEE","","",null,null],[17,"GDK_TREK","","",null,null],[17,"GDK_UL_ANGLE","","",null,null],[17,"GDK_UMBRELLA","","",null,null],[17,"GDK_UR_ANGLE","","",null,null],[17,"GDK_WATCH","","",null,null],[17,"GDK_XTERM","","",null,null],[17,"GDK_LAST_CURSOR","","",null,null],[17,"GDK_BLANK_CURSOR","","",null,null],[17,"GDK_CURSOR_IS_PIXMAP","","",null,null],[17,"GDK_DEVICE_PAD_FEATURE_BUTTON","","",null,null],[17,"GDK_DEVICE_PAD_FEATURE_RING","","",null,null],[17,"GDK_DEVICE_PAD_FEATURE_STRIP","","",null,null],[17,"GDK_DEVICE_TOOL_TYPE_UNKNOWN","","",null,null],[17,"GDK_DEVICE_TOOL_TYPE_PEN","","",null,null],[17,"GDK_DEVICE_TOOL_TYPE_ERASER","","",null,null],[17,"GDK_DEVICE_TOOL_TYPE_BRUSH","","",null,null],[17,"GDK_DEVICE_TOOL_TYPE_PENCIL","","",null,null],[17,"GDK_DEVICE_TOOL_TYPE_AIRBRUSH","","",null,null],[17,"GDK_DEVICE_TOOL_TYPE_MOUSE","","",null,null],[17,"GDK_DEVICE_TOOL_TYPE_LENS","","",null,null],[17,"GDK_DEVICE_TYPE_MASTER","","",null,null],[17,"GDK_DEVICE_TYPE_SLAVE","","",null,null],[17,"GDK_DEVICE_TYPE_FLOATING","","",null,null],[17,"GDK_DRAG_CANCEL_NO_TARGET","","",null,null],[17,"GDK_DRAG_CANCEL_USER_CANCELLED","","",null,null],[17,"GDK_DRAG_CANCEL_ERROR","","",null,null],[17,"GDK_DRAG_PROTO_NONE","","",null,null],[17,"GDK_DRAG_PROTO_MOTIF","","",null,null],[17,"GDK_DRAG_PROTO_XDND","","",null,null],[17,"GDK_DRAG_PROTO_ROOTWIN","","",null,null],[17,"GDK_DRAG_PROTO_WIN32_DROPFILES","","",null,null],[17,"GDK_DRAG_PROTO_OLE2","","",null,null],[17,"GDK_DRAG_PROTO_LOCAL","","",null,null],[17,"GDK_DRAG_PROTO_WAYLAND","","",null,null],[17,"GDK_NOTHING","","",null,null],[17,"GDK_DELETE","","",null,null],[17,"GDK_DESTROY","","",null,null],[17,"GDK_EXPOSE","","",null,null],[17,"GDK_MOTION_NOTIFY","","",null,null],[17,"GDK_BUTTON_PRESS","","",null,null],[17,"GDK_2BUTTON_PRESS","","",null,null],[17,"GDK_DOUBLE_BUTTON_PRESS","","",null,null],[17,"GDK_3BUTTON_PRESS","","",null,null],[17,"GDK_TRIPLE_BUTTON_PRESS","","",null,null],[17,"GDK_BUTTON_RELEASE","","",null,null],[17,"GDK_KEY_PRESS","","",null,null],[17,"GDK_KEY_RELEASE","","",null,null],[17,"GDK_ENTER_NOTIFY","","",null,null],[17,"GDK_LEAVE_NOTIFY","","",null,null],[17,"GDK_FOCUS_CHANGE","","",null,null],[17,"GDK_CONFIGURE","","",null,null],[17,"GDK_MAP","","",null,null],[17,"GDK_UNMAP","","",null,null],[17,"GDK_PROPERTY_NOTIFY","","",null,null],[17,"GDK_SELECTION_CLEAR","","",null,null],[17,"GDK_SELECTION_REQUEST","","",null,null],[17,"GDK_SELECTION_NOTIFY","","",null,null],[17,"GDK_PROXIMITY_IN","","",null,null],[17,"GDK_PROXIMITY_OUT","","",null,null],[17,"GDK_DRAG_ENTER","","",null,null],[17,"GDK_DRAG_LEAVE","","",null,null],[17,"GDK_DRAG_MOTION","","",null,null],[17,"GDK_DRAG_STATUS","","",null,null],[17,"GDK_DROP_START","","",null,null],[17,"GDK_DROP_FINISHED","","",null,null],[17,"GDK_CLIENT_EVENT","","",null,null],[17,"GDK_VISIBILITY_NOTIFY","","",null,null],[17,"GDK_SCROLL","","",null,null],[17,"GDK_WINDOW_STATE","","",null,null],[17,"GDK_SETTING","","",null,null],[17,"GDK_OWNER_CHANGE","","",null,null],[17,"GDK_GRAB_BROKEN","","",null,null],[17,"GDK_DAMAGE","","",null,null],[17,"GDK_TOUCH_BEGIN","","",null,null],[17,"GDK_TOUCH_UPDATE","","",null,null],[17,"GDK_TOUCH_END","","",null,null],[17,"GDK_TOUCH_CANCEL","","",null,null],[17,"GDK_TOUCHPAD_SWIPE","","",null,null],[17,"GDK_TOUCHPAD_PINCH","","",null,null],[17,"GDK_PAD_BUTTON_PRESS","","",null,null],[17,"GDK_PAD_BUTTON_RELEASE","","",null,null],[17,"GDK_PAD_RING","","",null,null],[17,"GDK_PAD_STRIP","","",null,null],[17,"GDK_PAD_GROUP_MODE","","",null,null],[17,"GDK_FILTER_CONTINUE","","",null,null],[17,"GDK_FILTER_TRANSLATE","","",null,null],[17,"GDK_FILTER_REMOVE","","",null,null],[17,"GDK_FULLSCREEN_ON_CURRENT_MONITOR","","",null,null],[17,"GDK_FULLSCREEN_ON_ALL_MONITORS","","",null,null],[17,"GDK_GL_ERROR_NOT_AVAILABLE","","",null,null],[17,"GDK_GL_ERROR_UNSUPPORTED_FORMAT","","",null,null],[17,"GDK_GL_ERROR_UNSUPPORTED_PROFILE","","",null,null],[17,"GDK_OWNERSHIP_NONE","","",null,null],[17,"GDK_OWNERSHIP_WINDOW","","",null,null],[17,"GDK_OWNERSHIP_APPLICATION","","",null,null],[17,"GDK_GRAB_SUCCESS","","",null,null],[17,"GDK_GRAB_ALREADY_GRABBED","","",null,null],[17,"GDK_GRAB_INVALID_TIME","","",null,null],[17,"GDK_GRAB_NOT_VIEWABLE","","",null,null],[17,"GDK_GRAB_FROZEN","","",null,null],[17,"GDK_GRAB_FAILED","","",null,null],[17,"GDK_GRAVITY_NORTH_WEST","","",null,null],[17,"GDK_GRAVITY_NORTH","","",null,null],[17,"GDK_GRAVITY_NORTH_EAST","","",null,null],[17,"GDK_GRAVITY_WEST","","",null,null],[17,"GDK_GRAVITY_CENTER","","",null,null],[17,"GDK_GRAVITY_EAST","","",null,null],[17,"GDK_GRAVITY_SOUTH_WEST","","",null,null],[17,"GDK_GRAVITY_SOUTH","","",null,null],[17,"GDK_GRAVITY_SOUTH_EAST","","",null,null],[17,"GDK_GRAVITY_STATIC","","",null,null],[17,"GDK_MODE_DISABLED","","",null,null],[17,"GDK_MODE_SCREEN","","",null,null],[17,"GDK_MODE_WINDOW","","",null,null],[17,"GDK_SOURCE_MOUSE","","",null,null],[17,"GDK_SOURCE_PEN","","",null,null],[17,"GDK_SOURCE_ERASER","","",null,null],[17,"GDK_SOURCE_CURSOR","","",null,null],[17,"GDK_SOURCE_KEYBOARD","","",null,null],[17,"GDK_SOURCE_TOUCHSCREEN","","",null,null],[17,"GDK_SOURCE_TOUCHPAD","","",null,null],[17,"GDK_SOURCE_TRACKPOINT","","",null,null],[17,"GDK_SOURCE_TABLET_PAD","","",null,null],[17,"GDK_MODIFIER_INTENT_PRIMARY_ACCELERATOR","","",null,null],[17,"GDK_MODIFIER_INTENT_CONTEXT_MENU","","",null,null],[17,"GDK_MODIFIER_INTENT_EXTEND_SELECTION","","",null,null],[17,"GDK_MODIFIER_INTENT_MODIFY_SELECTION","","",null,null],[17,"GDK_MODIFIER_INTENT_NO_TEXT_INPUT","","",null,null],[17,"GDK_MODIFIER_INTENT_SHIFT_GROUP","","",null,null],[17,"GDK_MODIFIER_INTENT_DEFAULT_MOD_MASK","","",null,null],[17,"GDK_NOTIFY_ANCESTOR","","",null,null],[17,"GDK_NOTIFY_VIRTUAL","","",null,null],[17,"GDK_NOTIFY_INFERIOR","","",null,null],[17,"GDK_NOTIFY_NONLINEAR","","",null,null],[17,"GDK_NOTIFY_NONLINEAR_VIRTUAL","","",null,null],[17,"GDK_NOTIFY_UNKNOWN","","",null,null],[17,"GDK_OWNER_CHANGE_NEW_OWNER","","",null,null],[17,"GDK_OWNER_CHANGE_DESTROY","","",null,null],[17,"GDK_OWNER_CHANGE_CLOSE","","",null,null],[17,"GDK_PROP_MODE_REPLACE","","",null,null],[17,"GDK_PROP_MODE_PREPEND","","",null,null],[17,"GDK_PROP_MODE_APPEND","","",null,null],[17,"GDK_PROPERTY_NEW_VALUE","","",null,null],[17,"GDK_PROPERTY_DELETE","","",null,null],[17,"GDK_SCROLL_UP","","",null,null],[17,"GDK_SCROLL_DOWN","","",null,null],[17,"GDK_SCROLL_LEFT","","",null,null],[17,"GDK_SCROLL_RIGHT","","",null,null],[17,"GDK_SCROLL_SMOOTH","","",null,null],[17,"GDK_SETTING_ACTION_NEW","","",null,null],[17,"GDK_SETTING_ACTION_CHANGED","","",null,null],[17,"GDK_SETTING_ACTION_DELETED","","",null,null],[17,"GDK_OK","","",null,null],[17,"GDK_ERROR","","",null,null],[17,"GDK_ERROR_PARAM","","",null,null],[17,"GDK_ERROR_FILE","","",null,null],[17,"GDK_ERROR_MEM","","",null,null],[17,"GDK_SUBPIXEL_LAYOUT_UNKNOWN","","",null,null],[17,"GDK_SUBPIXEL_LAYOUT_NONE","","",null,null],[17,"GDK_SUBPIXEL_LAYOUT_HORIZONTAL_RGB","","",null,null],[17,"GDK_SUBPIXEL_LAYOUT_HORIZONTAL_BGR","","",null,null],[17,"GDK_SUBPIXEL_LAYOUT_VERTICAL_RGB","","",null,null],[17,"GDK_SUBPIXEL_LAYOUT_VERTICAL_BGR","","",null,null],[17,"GDK_TOUCHPAD_GESTURE_PHASE_BEGIN","","",null,null],[17,"GDK_TOUCHPAD_GESTURE_PHASE_UPDATE","","",null,null],[17,"GDK_TOUCHPAD_GESTURE_PHASE_END","","",null,null],[17,"GDK_TOUCHPAD_GESTURE_PHASE_CANCEL","","",null,null],[17,"GDK_VISIBILITY_UNOBSCURED","","",null,null],[17,"GDK_VISIBILITY_PARTIAL","","",null,null],[17,"GDK_VISIBILITY_FULLY_OBSCURED","","",null,null],[17,"GDK_VISUAL_STATIC_GRAY","","",null,null],[17,"GDK_VISUAL_GRAYSCALE","","",null,null],[17,"GDK_VISUAL_STATIC_COLOR","","",null,null],[17,"GDK_VISUAL_PSEUDO_COLOR","","",null,null],[17,"GDK_VISUAL_TRUE_COLOR","","",null,null],[17,"GDK_VISUAL_DIRECT_COLOR","","",null,null],[17,"GDK_WINDOW_EDGE_NORTH_WEST","","",null,null],[17,"GDK_WINDOW_EDGE_NORTH","","",null,null],[17,"GDK_WINDOW_EDGE_NORTH_EAST","","",null,null],[17,"GDK_WINDOW_EDGE_WEST","","",null,null],[17,"GDK_WINDOW_EDGE_EAST","","",null,null],[17,"GDK_WINDOW_EDGE_SOUTH_WEST","","",null,null],[17,"GDK_WINDOW_EDGE_SOUTH","","",null,null],[17,"GDK_WINDOW_EDGE_SOUTH_EAST","","",null,null],[17,"GDK_WINDOW_ROOT","","",null,null],[17,"GDK_WINDOW_TOPLEVEL","","",null,null],[17,"GDK_WINDOW_CHILD","","",null,null],[17,"GDK_WINDOW_TEMP","","",null,null],[17,"GDK_WINDOW_FOREIGN","","",null,null],[17,"GDK_WINDOW_OFFSCREEN","","",null,null],[17,"GDK_WINDOW_SUBSURFACE","","",null,null],[17,"GDK_WINDOW_TYPE_HINT_NORMAL","","",null,null],[17,"GDK_WINDOW_TYPE_HINT_DIALOG","","",null,null],[17,"GDK_WINDOW_TYPE_HINT_MENU","","",null,null],[17,"GDK_WINDOW_TYPE_HINT_TOOLBAR","","",null,null],[17,"GDK_WINDOW_TYPE_HINT_SPLASHSCREEN","","",null,null],[17,"GDK_WINDOW_TYPE_HINT_UTILITY","","",null,null],[17,"GDK_WINDOW_TYPE_HINT_DOCK","","",null,null],[17,"GDK_WINDOW_TYPE_HINT_DESKTOP","","",null,null],[17,"GDK_WINDOW_TYPE_HINT_DROPDOWN_MENU","","",null,null],[17,"GDK_WINDOW_TYPE_HINT_POPUP_MENU","","",null,null],[17,"GDK_WINDOW_TYPE_HINT_TOOLTIP","","",null,null],[17,"GDK_WINDOW_TYPE_HINT_NOTIFICATION","","",null,null],[17,"GDK_WINDOW_TYPE_HINT_COMBO","","",null,null],[17,"GDK_WINDOW_TYPE_HINT_DND","","",null,null],[17,"GDK_INPUT_OUTPUT","","",null,null],[17,"GDK_INPUT_ONLY","","",null,null],[17,"GDK_BUTTON_MIDDLE","","",null,null],[17,"GDK_BUTTON_PRIMARY","","",null,null],[17,"GDK_BUTTON_SECONDARY","","",null,null],[17,"GDK_CURRENT_TIME","","",null,null],[17,"GDK_EVENT_PROPAGATE","","",null,null],[17,"GDK_EVENT_STOP","","",null,null],[17,"GDK_KEY_0","","",null,null],[17,"GDK_KEY_1","","",null,null],[17,"GDK_KEY_2","","",null,null],[17,"GDK_KEY_3","","",null,null],[17,"GDK_KEY_3270_AltCursor","","",null,null],[17,"GDK_KEY_3270_Attn","","",null,null],[17,"GDK_KEY_3270_BackTab","","",null,null],[17,"GDK_KEY_3270_ChangeScreen","","",null,null],[17,"GDK_KEY_3270_Copy","","",null,null],[17,"GDK_KEY_3270_CursorBlink","","",null,null],[17,"GDK_KEY_3270_CursorSelect","","",null,null],[17,"GDK_KEY_3270_DeleteWord","","",null,null],[17,"GDK_KEY_3270_Duplicate","","",null,null],[17,"GDK_KEY_3270_Enter","","",null,null],[17,"GDK_KEY_3270_EraseEOF","","",null,null],[17,"GDK_KEY_3270_EraseInput","","",null,null],[17,"GDK_KEY_3270_ExSelect","","",null,null],[17,"GDK_KEY_3270_FieldMark","","",null,null],[17,"GDK_KEY_3270_Ident","","",null,null],[17,"GDK_KEY_3270_Jump","","",null,null],[17,"GDK_KEY_3270_KeyClick","","",null,null],[17,"GDK_KEY_3270_Left2","","",null,null],[17,"GDK_KEY_3270_PA1","","",null,null],[17,"GDK_KEY_3270_PA2","","",null,null],[17,"GDK_KEY_3270_PA3","","",null,null],[17,"GDK_KEY_3270_Play","","",null,null],[17,"GDK_KEY_3270_PrintScreen","","",null,null],[17,"GDK_KEY_3270_Quit","","",null,null],[17,"GDK_KEY_3270_Record","","",null,null],[17,"GDK_KEY_3270_Reset","","",null,null],[17,"GDK_KEY_3270_Right2","","",null,null],[17,"GDK_KEY_3270_Rule","","",null,null],[17,"GDK_KEY_3270_Setup","","",null,null],[17,"GDK_KEY_3270_Test","","",null,null],[17,"GDK_KEY_4","","",null,null],[17,"GDK_KEY_5","","",null,null],[17,"GDK_KEY_6","","",null,null],[17,"GDK_KEY_7","","",null,null],[17,"GDK_KEY_8","","",null,null],[17,"GDK_KEY_9","","",null,null],[17,"GDK_KEY_A","","",null,null],[17,"GDK_KEY_AE","","",null,null],[17,"GDK_KEY_Aacute","","",null,null],[17,"GDK_KEY_Abelowdot","","",null,null],[17,"GDK_KEY_Abreve","","",null,null],[17,"GDK_KEY_Abreveacute","","",null,null],[17,"GDK_KEY_Abrevebelowdot","","",null,null],[17,"GDK_KEY_Abrevegrave","","",null,null],[17,"GDK_KEY_Abrevehook","","",null,null],[17,"GDK_KEY_Abrevetilde","","",null,null],[17,"GDK_KEY_AccessX_Enable","","",null,null],[17,"GDK_KEY_AccessX_Feedback_Enable","","",null,null],[17,"GDK_KEY_Acircumflex","","",null,null],[17,"GDK_KEY_Acircumflexacute","","",null,null],[17,"GDK_KEY_Acircumflexbelowdot","","",null,null],[17,"GDK_KEY_Acircumflexgrave","","",null,null],[17,"GDK_KEY_Acircumflexhook","","",null,null],[17,"GDK_KEY_Acircumflextilde","","",null,null],[17,"GDK_KEY_AddFavorite","","",null,null],[17,"GDK_KEY_Adiaeresis","","",null,null],[17,"GDK_KEY_Agrave","","",null,null],[17,"GDK_KEY_Ahook","","",null,null],[17,"GDK_KEY_Alt_L","","",null,null],[17,"GDK_KEY_Alt_R","","",null,null],[17,"GDK_KEY_Amacron","","",null,null],[17,"GDK_KEY_Aogonek","","",null,null],[17,"GDK_KEY_ApplicationLeft","","",null,null],[17,"GDK_KEY_ApplicationRight","","",null,null],[17,"GDK_KEY_Arabic_0","","",null,null],[17,"GDK_KEY_Arabic_1","","",null,null],[17,"GDK_KEY_Arabic_2","","",null,null],[17,"GDK_KEY_Arabic_3","","",null,null],[17,"GDK_KEY_Arabic_4","","",null,null],[17,"GDK_KEY_Arabic_5","","",null,null],[17,"GDK_KEY_Arabic_6","","",null,null],[17,"GDK_KEY_Arabic_7","","",null,null],[17,"GDK_KEY_Arabic_8","","",null,null],[17,"GDK_KEY_Arabic_9","","",null,null],[17,"GDK_KEY_Arabic_ain","","",null,null],[17,"GDK_KEY_Arabic_alef","","",null,null],[17,"GDK_KEY_Arabic_alefmaksura","","",null,null],[17,"GDK_KEY_Arabic_beh","","",null,null],[17,"GDK_KEY_Arabic_comma","","",null,null],[17,"GDK_KEY_Arabic_dad","","",null,null],[17,"GDK_KEY_Arabic_dal","","",null,null],[17,"GDK_KEY_Arabic_damma","","",null,null],[17,"GDK_KEY_Arabic_dammatan","","",null,null],[17,"GDK_KEY_Arabic_ddal","","",null,null],[17,"GDK_KEY_Arabic_farsi_yeh","","",null,null],[17,"GDK_KEY_Arabic_fatha","","",null,null],[17,"GDK_KEY_Arabic_fathatan","","",null,null],[17,"GDK_KEY_Arabic_feh","","",null,null],[17,"GDK_KEY_Arabic_fullstop","","",null,null],[17,"GDK_KEY_Arabic_gaf","","",null,null],[17,"GDK_KEY_Arabic_ghain","","",null,null],[17,"GDK_KEY_Arabic_ha","","",null,null],[17,"GDK_KEY_Arabic_hah","","",null,null],[17,"GDK_KEY_Arabic_hamza","","",null,null],[17,"GDK_KEY_Arabic_hamza_above","","",null,null],[17,"GDK_KEY_Arabic_hamza_below","","",null,null],[17,"GDK_KEY_Arabic_hamzaonalef","","",null,null],[17,"GDK_KEY_Arabic_hamzaonwaw","","",null,null],[17,"GDK_KEY_Arabic_hamzaonyeh","","",null,null],[17,"GDK_KEY_Arabic_hamzaunderalef","","",null,null],[17,"GDK_KEY_Arabic_heh","","",null,null],[17,"GDK_KEY_Arabic_heh_doachashmee","","",null,null],[17,"GDK_KEY_Arabic_heh_goal","","",null,null],[17,"GDK_KEY_Arabic_jeem","","",null,null],[17,"GDK_KEY_Arabic_jeh","","",null,null],[17,"GDK_KEY_Arabic_kaf","","",null,null],[17,"GDK_KEY_Arabic_kasra","","",null,null],[17,"GDK_KEY_Arabic_kasratan","","",null,null],[17,"GDK_KEY_Arabic_keheh","","",null,null],[17,"GDK_KEY_Arabic_khah","","",null,null],[17,"GDK_KEY_Arabic_lam","","",null,null],[17,"GDK_KEY_Arabic_madda_above","","",null,null],[17,"GDK_KEY_Arabic_maddaonalef","","",null,null],[17,"GDK_KEY_Arabic_meem","","",null,null],[17,"GDK_KEY_Arabic_noon","","",null,null],[17,"GDK_KEY_Arabic_noon_ghunna","","",null,null],[17,"GDK_KEY_Arabic_peh","","",null,null],[17,"GDK_KEY_Arabic_percent","","",null,null],[17,"GDK_KEY_Arabic_qaf","","",null,null],[17,"GDK_KEY_Arabic_question_mark","","",null,null],[17,"GDK_KEY_Arabic_ra","","",null,null],[17,"GDK_KEY_Arabic_rreh","","",null,null],[17,"GDK_KEY_Arabic_sad","","",null,null],[17,"GDK_KEY_Arabic_seen","","",null,null],[17,"GDK_KEY_Arabic_semicolon","","",null,null],[17,"GDK_KEY_Arabic_shadda","","",null,null],[17,"GDK_KEY_Arabic_sheen","","",null,null],[17,"GDK_KEY_Arabic_sukun","","",null,null],[17,"GDK_KEY_Arabic_superscript_alef","","",null,null],[17,"GDK_KEY_Arabic_switch","","",null,null],[17,"GDK_KEY_Arabic_tah","","",null,null],[17,"GDK_KEY_Arabic_tatweel","","",null,null],[17,"GDK_KEY_Arabic_tcheh","","",null,null],[17,"GDK_KEY_Arabic_teh","","",null,null],[17,"GDK_KEY_Arabic_tehmarbuta","","",null,null],[17,"GDK_KEY_Arabic_thal","","",null,null],[17,"GDK_KEY_Arabic_theh","","",null,null],[17,"GDK_KEY_Arabic_tteh","","",null,null],[17,"GDK_KEY_Arabic_veh","","",null,null],[17,"GDK_KEY_Arabic_waw","","",null,null],[17,"GDK_KEY_Arabic_yeh","","",null,null],[17,"GDK_KEY_Arabic_yeh_baree","","",null,null],[17,"GDK_KEY_Arabic_zah","","",null,null],[17,"GDK_KEY_Arabic_zain","","",null,null],[17,"GDK_KEY_Aring","","",null,null],[17,"GDK_KEY_Armenian_AT","","",null,null],[17,"GDK_KEY_Armenian_AYB","","",null,null],[17,"GDK_KEY_Armenian_BEN","","",null,null],[17,"GDK_KEY_Armenian_CHA","","",null,null],[17,"GDK_KEY_Armenian_DA","","",null,null],[17,"GDK_KEY_Armenian_DZA","","",null,null],[17,"GDK_KEY_Armenian_E","","",null,null],[17,"GDK_KEY_Armenian_FE","","",null,null],[17,"GDK_KEY_Armenian_GHAT","","",null,null],[17,"GDK_KEY_Armenian_GIM","","",null,null],[17,"GDK_KEY_Armenian_HI","","",null,null],[17,"GDK_KEY_Armenian_HO","","",null,null],[17,"GDK_KEY_Armenian_INI","","",null,null],[17,"GDK_KEY_Armenian_JE","","",null,null],[17,"GDK_KEY_Armenian_KE","","",null,null],[17,"GDK_KEY_Armenian_KEN","","",null,null],[17,"GDK_KEY_Armenian_KHE","","",null,null],[17,"GDK_KEY_Armenian_LYUN","","",null,null],[17,"GDK_KEY_Armenian_MEN","","",null,null],[17,"GDK_KEY_Armenian_NU","","",null,null],[17,"GDK_KEY_Armenian_O","","",null,null],[17,"GDK_KEY_Armenian_PE","","",null,null],[17,"GDK_KEY_Armenian_PYUR","","",null,null],[17,"GDK_KEY_Armenian_RA","","",null,null],[17,"GDK_KEY_Armenian_RE","","",null,null],[17,"GDK_KEY_Armenian_SE","","",null,null],[17,"GDK_KEY_Armenian_SHA","","",null,null],[17,"GDK_KEY_Armenian_TCHE","","",null,null],[17,"GDK_KEY_Armenian_TO","","",null,null],[17,"GDK_KEY_Armenian_TSA","","",null,null],[17,"GDK_KEY_Armenian_TSO","","",null,null],[17,"GDK_KEY_Armenian_TYUN","","",null,null],[17,"GDK_KEY_Armenian_VEV","","",null,null],[17,"GDK_KEY_Armenian_VO","","",null,null],[17,"GDK_KEY_Armenian_VYUN","","",null,null],[17,"GDK_KEY_Armenian_YECH","","",null,null],[17,"GDK_KEY_Armenian_ZA","","",null,null],[17,"GDK_KEY_Armenian_ZHE","","",null,null],[17,"GDK_KEY_Armenian_accent","","",null,null],[17,"GDK_KEY_Armenian_amanak","","",null,null],[17,"GDK_KEY_Armenian_apostrophe","","",null,null],[17,"GDK_KEY_Armenian_at","","",null,null],[17,"GDK_KEY_Armenian_ayb","","",null,null],[17,"GDK_KEY_Armenian_ben","","",null,null],[17,"GDK_KEY_Armenian_but","","",null,null],[17,"GDK_KEY_Armenian_cha","","",null,null],[17,"GDK_KEY_Armenian_da","","",null,null],[17,"GDK_KEY_Armenian_dza","","",null,null],[17,"GDK_KEY_Armenian_e","","",null,null],[17,"GDK_KEY_Armenian_exclam","","",null,null],[17,"GDK_KEY_Armenian_fe","","",null,null],[17,"GDK_KEY_Armenian_full_stop","","",null,null],[17,"GDK_KEY_Armenian_ghat","","",null,null],[17,"GDK_KEY_Armenian_gim","","",null,null],[17,"GDK_KEY_Armenian_hi","","",null,null],[17,"GDK_KEY_Armenian_ho","","",null,null],[17,"GDK_KEY_Armenian_hyphen","","",null,null],[17,"GDK_KEY_Armenian_ini","","",null,null],[17,"GDK_KEY_Armenian_je","","",null,null],[17,"GDK_KEY_Armenian_ke","","",null,null],[17,"GDK_KEY_Armenian_ken","","",null,null],[17,"GDK_KEY_Armenian_khe","","",null,null],[17,"GDK_KEY_Armenian_ligature_ew","","",null,null],[17,"GDK_KEY_Armenian_lyun","","",null,null],[17,"GDK_KEY_Armenian_men","","",null,null],[17,"GDK_KEY_Armenian_nu","","",null,null],[17,"GDK_KEY_Armenian_o","","",null,null],[17,"GDK_KEY_Armenian_paruyk","","",null,null],[17,"GDK_KEY_Armenian_pe","","",null,null],[17,"GDK_KEY_Armenian_pyur","","",null,null],[17,"GDK_KEY_Armenian_question","","",null,null],[17,"GDK_KEY_Armenian_ra","","",null,null],[17,"GDK_KEY_Armenian_re","","",null,null],[17,"GDK_KEY_Armenian_se","","",null,null],[17,"GDK_KEY_Armenian_separation_mark","","",null,null],[17,"GDK_KEY_Armenian_sha","","",null,null],[17,"GDK_KEY_Armenian_shesht","","",null,null],[17,"GDK_KEY_Armenian_tche","","",null,null],[17,"GDK_KEY_Armenian_to","","",null,null],[17,"GDK_KEY_Armenian_tsa","","",null,null],[17,"GDK_KEY_Armenian_tso","","",null,null],[17,"GDK_KEY_Armenian_tyun","","",null,null],[17,"GDK_KEY_Armenian_verjaket","","",null,null],[17,"GDK_KEY_Armenian_vev","","",null,null],[17,"GDK_KEY_Armenian_vo","","",null,null],[17,"GDK_KEY_Armenian_vyun","","",null,null],[17,"GDK_KEY_Armenian_yech","","",null,null],[17,"GDK_KEY_Armenian_yentamna","","",null,null],[17,"GDK_KEY_Armenian_za","","",null,null],[17,"GDK_KEY_Armenian_zhe","","",null,null],[17,"GDK_KEY_Atilde","","",null,null],[17,"GDK_KEY_AudibleBell_Enable","","",null,null],[17,"GDK_KEY_AudioCycleTrack","","",null,null],[17,"GDK_KEY_AudioForward","","",null,null],[17,"GDK_KEY_AudioLowerVolume","","",null,null],[17,"GDK_KEY_AudioMedia","","",null,null],[17,"GDK_KEY_AudioMicMute","","",null,null],[17,"GDK_KEY_AudioMute","","",null,null],[17,"GDK_KEY_AudioNext","","",null,null],[17,"GDK_KEY_AudioPause","","",null,null],[17,"GDK_KEY_AudioPlay","","",null,null],[17,"GDK_KEY_AudioPrev","","",null,null],[17,"GDK_KEY_AudioRaiseVolume","","",null,null],[17,"GDK_KEY_AudioRandomPlay","","",null,null],[17,"GDK_KEY_AudioRecord","","",null,null],[17,"GDK_KEY_AudioRepeat","","",null,null],[17,"GDK_KEY_AudioRewind","","",null,null],[17,"GDK_KEY_AudioStop","","",null,null],[17,"GDK_KEY_Away","","",null,null],[17,"GDK_KEY_B","","",null,null],[17,"GDK_KEY_Babovedot","","",null,null],[17,"GDK_KEY_Back","","",null,null],[17,"GDK_KEY_BackForward","","",null,null],[17,"GDK_KEY_BackSpace","","",null,null],[17,"GDK_KEY_Battery","","",null,null],[17,"GDK_KEY_Begin","","",null,null],[17,"GDK_KEY_Blue","","",null,null],[17,"GDK_KEY_Bluetooth","","",null,null],[17,"GDK_KEY_Book","","",null,null],[17,"GDK_KEY_BounceKeys_Enable","","",null,null],[17,"GDK_KEY_Break","","",null,null],[17,"GDK_KEY_BrightnessAdjust","","",null,null],[17,"GDK_KEY_Byelorussian_SHORTU","","",null,null],[17,"GDK_KEY_Byelorussian_shortu","","",null,null],[17,"GDK_KEY_C","","",null,null],[17,"GDK_KEY_CD","","",null,null],[17,"GDK_KEY_CH","","",null,null],[17,"GDK_KEY_C_H","","",null,null],[17,"GDK_KEY_C_h","","",null,null],[17,"GDK_KEY_Cabovedot","","",null,null],[17,"GDK_KEY_Cacute","","",null,null],[17,"GDK_KEY_Calculator","","",null,null],[17,"GDK_KEY_Calendar","","",null,null],[17,"GDK_KEY_Cancel","","",null,null],[17,"GDK_KEY_Caps_Lock","","",null,null],[17,"GDK_KEY_Ccaron","","",null,null],[17,"GDK_KEY_Ccedilla","","",null,null],[17,"GDK_KEY_Ccircumflex","","",null,null],[17,"GDK_KEY_Ch","","",null,null],[17,"GDK_KEY_Clear","","",null,null],[17,"GDK_KEY_ClearGrab","","",null,null],[17,"GDK_KEY_Close","","",null,null],[17,"GDK_KEY_Codeinput","","",null,null],[17,"GDK_KEY_ColonSign","","",null,null],[17,"GDK_KEY_Community","","",null,null],[17,"GDK_KEY_ContrastAdjust","","",null,null],[17,"GDK_KEY_Control_L","","",null,null],[17,"GDK_KEY_Control_R","","",null,null],[17,"GDK_KEY_Copy","","",null,null],[17,"GDK_KEY_CruzeiroSign","","",null,null],[17,"GDK_KEY_Cut","","",null,null],[17,"GDK_KEY_CycleAngle","","",null,null],[17,"GDK_KEY_Cyrillic_A","","",null,null],[17,"GDK_KEY_Cyrillic_BE","","",null,null],[17,"GDK_KEY_Cyrillic_CHE","","",null,null],[17,"GDK_KEY_Cyrillic_CHE_descender","","",null,null],[17,"GDK_KEY_Cyrillic_CHE_vertstroke","","",null,null],[17,"GDK_KEY_Cyrillic_DE","","",null,null],[17,"GDK_KEY_Cyrillic_DZHE","","",null,null],[17,"GDK_KEY_Cyrillic_E","","",null,null],[17,"GDK_KEY_Cyrillic_EF","","",null,null],[17,"GDK_KEY_Cyrillic_EL","","",null,null],[17,"GDK_KEY_Cyrillic_EM","","",null,null],[17,"GDK_KEY_Cyrillic_EN","","",null,null],[17,"GDK_KEY_Cyrillic_EN_descender","","",null,null],[17,"GDK_KEY_Cyrillic_ER","","",null,null],[17,"GDK_KEY_Cyrillic_ES","","",null,null],[17,"GDK_KEY_Cyrillic_GHE","","",null,null],[17,"GDK_KEY_Cyrillic_GHE_bar","","",null,null],[17,"GDK_KEY_Cyrillic_HA","","",null,null],[17,"GDK_KEY_Cyrillic_HARDSIGN","","",null,null],[17,"GDK_KEY_Cyrillic_HA_descender","","",null,null],[17,"GDK_KEY_Cyrillic_I","","",null,null],[17,"GDK_KEY_Cyrillic_IE","","",null,null],[17,"GDK_KEY_Cyrillic_IO","","",null,null],[17,"GDK_KEY_Cyrillic_I_macron","","",null,null],[17,"GDK_KEY_Cyrillic_JE","","",null,null],[17,"GDK_KEY_Cyrillic_KA","","",null,null],[17,"GDK_KEY_Cyrillic_KA_descender","","",null,null],[17,"GDK_KEY_Cyrillic_KA_vertstroke","","",null,null],[17,"GDK_KEY_Cyrillic_LJE","","",null,null],[17,"GDK_KEY_Cyrillic_NJE","","",null,null],[17,"GDK_KEY_Cyrillic_O","","",null,null],[17,"GDK_KEY_Cyrillic_O_bar","","",null,null],[17,"GDK_KEY_Cyrillic_PE","","",null,null],[17,"GDK_KEY_Cyrillic_SCHWA","","",null,null],[17,"GDK_KEY_Cyrillic_SHA","","",null,null],[17,"GDK_KEY_Cyrillic_SHCHA","","",null,null],[17,"GDK_KEY_Cyrillic_SHHA","","",null,null],[17,"GDK_KEY_Cyrillic_SHORTI","","",null,null],[17,"GDK_KEY_Cyrillic_SOFTSIGN","","",null,null],[17,"GDK_KEY_Cyrillic_TE","","",null,null],[17,"GDK_KEY_Cyrillic_TSE","","",null,null],[17,"GDK_KEY_Cyrillic_U","","",null,null],[17,"GDK_KEY_Cyrillic_U_macron","","",null,null],[17,"GDK_KEY_Cyrillic_U_straight","","",null,null],[17,"GDK_KEY_Cyrillic_U_straight_bar","","",null,null],[17,"GDK_KEY_Cyrillic_VE","","",null,null],[17,"GDK_KEY_Cyrillic_YA","","",null,null],[17,"GDK_KEY_Cyrillic_YERU","","",null,null],[17,"GDK_KEY_Cyrillic_YU","","",null,null],[17,"GDK_KEY_Cyrillic_ZE","","",null,null],[17,"GDK_KEY_Cyrillic_ZHE","","",null,null],[17,"GDK_KEY_Cyrillic_ZHE_descender","","",null,null],[17,"GDK_KEY_Cyrillic_a","","",null,null],[17,"GDK_KEY_Cyrillic_be","","",null,null],[17,"GDK_KEY_Cyrillic_che","","",null,null],[17,"GDK_KEY_Cyrillic_che_descender","","",null,null],[17,"GDK_KEY_Cyrillic_che_vertstroke","","",null,null],[17,"GDK_KEY_Cyrillic_de","","",null,null],[17,"GDK_KEY_Cyrillic_dzhe","","",null,null],[17,"GDK_KEY_Cyrillic_e","","",null,null],[17,"GDK_KEY_Cyrillic_ef","","",null,null],[17,"GDK_KEY_Cyrillic_el","","",null,null],[17,"GDK_KEY_Cyrillic_em","","",null,null],[17,"GDK_KEY_Cyrillic_en","","",null,null],[17,"GDK_KEY_Cyrillic_en_descender","","",null,null],[17,"GDK_KEY_Cyrillic_er","","",null,null],[17,"GDK_KEY_Cyrillic_es","","",null,null],[17,"GDK_KEY_Cyrillic_ghe","","",null,null],[17,"GDK_KEY_Cyrillic_ghe_bar","","",null,null],[17,"GDK_KEY_Cyrillic_ha","","",null,null],[17,"GDK_KEY_Cyrillic_ha_descender","","",null,null],[17,"GDK_KEY_Cyrillic_hardsign","","",null,null],[17,"GDK_KEY_Cyrillic_i","","",null,null],[17,"GDK_KEY_Cyrillic_i_macron","","",null,null],[17,"GDK_KEY_Cyrillic_ie","","",null,null],[17,"GDK_KEY_Cyrillic_io","","",null,null],[17,"GDK_KEY_Cyrillic_je","","",null,null],[17,"GDK_KEY_Cyrillic_ka","","",null,null],[17,"GDK_KEY_Cyrillic_ka_descender","","",null,null],[17,"GDK_KEY_Cyrillic_ka_vertstroke","","",null,null],[17,"GDK_KEY_Cyrillic_lje","","",null,null],[17,"GDK_KEY_Cyrillic_nje","","",null,null],[17,"GDK_KEY_Cyrillic_o","","",null,null],[17,"GDK_KEY_Cyrillic_o_bar","","",null,null],[17,"GDK_KEY_Cyrillic_pe","","",null,null],[17,"GDK_KEY_Cyrillic_schwa","","",null,null],[17,"GDK_KEY_Cyrillic_sha","","",null,null],[17,"GDK_KEY_Cyrillic_shcha","","",null,null],[17,"GDK_KEY_Cyrillic_shha","","",null,null],[17,"GDK_KEY_Cyrillic_shorti","","",null,null],[17,"GDK_KEY_Cyrillic_softsign","","",null,null],[17,"GDK_KEY_Cyrillic_te","","",null,null],[17,"GDK_KEY_Cyrillic_tse","","",null,null],[17,"GDK_KEY_Cyrillic_u","","",null,null],[17,"GDK_KEY_Cyrillic_u_macron","","",null,null],[17,"GDK_KEY_Cyrillic_u_straight","","",null,null],[17,"GDK_KEY_Cyrillic_u_straight_bar","","",null,null],[17,"GDK_KEY_Cyrillic_ve","","",null,null],[17,"GDK_KEY_Cyrillic_ya","","",null,null],[17,"GDK_KEY_Cyrillic_yeru","","",null,null],[17,"GDK_KEY_Cyrillic_yu","","",null,null],[17,"GDK_KEY_Cyrillic_ze","","",null,null],[17,"GDK_KEY_Cyrillic_zhe","","",null,null],[17,"GDK_KEY_Cyrillic_zhe_descender","","",null,null],[17,"GDK_KEY_D","","",null,null],[17,"GDK_KEY_DOS","","",null,null],[17,"GDK_KEY_Dabovedot","","",null,null],[17,"GDK_KEY_Dcaron","","",null,null],[17,"GDK_KEY_Delete","","",null,null],[17,"GDK_KEY_Display","","",null,null],[17,"GDK_KEY_Documents","","",null,null],[17,"GDK_KEY_DongSign","","",null,null],[17,"GDK_KEY_Down","","",null,null],[17,"GDK_KEY_Dstroke","","",null,null],[17,"GDK_KEY_E","","",null,null],[17,"GDK_KEY_ENG","","",null,null],[17,"GDK_KEY_ETH","","",null,null],[17,"GDK_KEY_EZH","","",null,null],[17,"GDK_KEY_Eabovedot","","",null,null],[17,"GDK_KEY_Eacute","","",null,null],[17,"GDK_KEY_Ebelowdot","","",null,null],[17,"GDK_KEY_Ecaron","","",null,null],[17,"GDK_KEY_Ecircumflex","","",null,null],[17,"GDK_KEY_Ecircumflexacute","","",null,null],[17,"GDK_KEY_Ecircumflexbelowdot","","",null,null],[17,"GDK_KEY_Ecircumflexgrave","","",null,null],[17,"GDK_KEY_Ecircumflexhook","","",null,null],[17,"GDK_KEY_Ecircumflextilde","","",null,null],[17,"GDK_KEY_EcuSign","","",null,null],[17,"GDK_KEY_Ediaeresis","","",null,null],[17,"GDK_KEY_Egrave","","",null,null],[17,"GDK_KEY_Ehook","","",null,null],[17,"GDK_KEY_Eisu_Shift","","",null,null],[17,"GDK_KEY_Eisu_toggle","","",null,null],[17,"GDK_KEY_Eject","","",null,null],[17,"GDK_KEY_Emacron","","",null,null],[17,"GDK_KEY_End","","",null,null],[17,"GDK_KEY_Eogonek","","",null,null],[17,"GDK_KEY_Escape","","",null,null],[17,"GDK_KEY_Eth","","",null,null],[17,"GDK_KEY_Etilde","","",null,null],[17,"GDK_KEY_EuroSign","","",null,null],[17,"GDK_KEY_Excel","","",null,null],[17,"GDK_KEY_Execute","","",null,null],[17,"GDK_KEY_Explorer","","",null,null],[17,"GDK_KEY_F","","",null,null],[17,"GDK_KEY_F1","","",null,null],[17,"GDK_KEY_F10","","",null,null],[17,"GDK_KEY_F11","","",null,null],[17,"GDK_KEY_F12","","",null,null],[17,"GDK_KEY_F13","","",null,null],[17,"GDK_KEY_F14","","",null,null],[17,"GDK_KEY_F15","","",null,null],[17,"GDK_KEY_F16","","",null,null],[17,"GDK_KEY_F17","","",null,null],[17,"GDK_KEY_F18","","",null,null],[17,"GDK_KEY_F19","","",null,null],[17,"GDK_KEY_F2","","",null,null],[17,"GDK_KEY_F20","","",null,null],[17,"GDK_KEY_F21","","",null,null],[17,"GDK_KEY_F22","","",null,null],[17,"GDK_KEY_F23","","",null,null],[17,"GDK_KEY_F24","","",null,null],[17,"GDK_KEY_F25","","",null,null],[17,"GDK_KEY_F26","","",null,null],[17,"GDK_KEY_F27","","",null,null],[17,"GDK_KEY_F28","","",null,null],[17,"GDK_KEY_F29","","",null,null],[17,"GDK_KEY_F3","","",null,null],[17,"GDK_KEY_F30","","",null,null],[17,"GDK_KEY_F31","","",null,null],[17,"GDK_KEY_F32","","",null,null],[17,"GDK_KEY_F33","","",null,null],[17,"GDK_KEY_F34","","",null,null],[17,"GDK_KEY_F35","","",null,null],[17,"GDK_KEY_F4","","",null,null],[17,"GDK_KEY_F5","","",null,null],[17,"GDK_KEY_F6","","",null,null],[17,"GDK_KEY_F7","","",null,null],[17,"GDK_KEY_F8","","",null,null],[17,"GDK_KEY_F9","","",null,null],[17,"GDK_KEY_FFrancSign","","",null,null],[17,"GDK_KEY_Fabovedot","","",null,null],[17,"GDK_KEY_Farsi_0","","",null,null],[17,"GDK_KEY_Farsi_1","","",null,null],[17,"GDK_KEY_Farsi_2","","",null,null],[17,"GDK_KEY_Farsi_3","","",null,null],[17,"GDK_KEY_Farsi_4","","",null,null],[17,"GDK_KEY_Farsi_5","","",null,null],[17,"GDK_KEY_Farsi_6","","",null,null],[17,"GDK_KEY_Farsi_7","","",null,null],[17,"GDK_KEY_Farsi_8","","",null,null],[17,"GDK_KEY_Farsi_9","","",null,null],[17,"GDK_KEY_Farsi_yeh","","",null,null],[17,"GDK_KEY_Favorites","","",null,null],[17,"GDK_KEY_Finance","","",null,null],[17,"GDK_KEY_Find","","",null,null],[17,"GDK_KEY_First_Virtual_Screen","","",null,null],[17,"GDK_KEY_Forward","","",null,null],[17,"GDK_KEY_FrameBack","","",null,null],[17,"GDK_KEY_FrameForward","","",null,null],[17,"GDK_KEY_G","","",null,null],[17,"GDK_KEY_Gabovedot","","",null,null],[17,"GDK_KEY_Game","","",null,null],[17,"GDK_KEY_Gbreve","","",null,null],[17,"GDK_KEY_Gcaron","","",null,null],[17,"GDK_KEY_Gcedilla","","",null,null],[17,"GDK_KEY_Gcircumflex","","",null,null],[17,"GDK_KEY_Georgian_an","","",null,null],[17,"GDK_KEY_Georgian_ban","","",null,null],[17,"GDK_KEY_Georgian_can","","",null,null],[17,"GDK_KEY_Georgian_char","","",null,null],[17,"GDK_KEY_Georgian_chin","","",null,null],[17,"GDK_KEY_Georgian_cil","","",null,null],[17,"GDK_KEY_Georgian_don","","",null,null],[17,"GDK_KEY_Georgian_en","","",null,null],[17,"GDK_KEY_Georgian_fi","","",null,null],[17,"GDK_KEY_Georgian_gan","","",null,null],[17,"GDK_KEY_Georgian_ghan","","",null,null],[17,"GDK_KEY_Georgian_hae","","",null,null],[17,"GDK_KEY_Georgian_har","","",null,null],[17,"GDK_KEY_Georgian_he","","",null,null],[17,"GDK_KEY_Georgian_hie","","",null,null],[17,"GDK_KEY_Georgian_hoe","","",null,null],[17,"GDK_KEY_Georgian_in","","",null,null],[17,"GDK_KEY_Georgian_jhan","","",null,null],[17,"GDK_KEY_Georgian_jil","","",null,null],[17,"GDK_KEY_Georgian_kan","","",null,null],[17,"GDK_KEY_Georgian_khar","","",null,null],[17,"GDK_KEY_Georgian_las","","",null,null],[17,"GDK_KEY_Georgian_man","","",null,null],[17,"GDK_KEY_Georgian_nar","","",null,null],[17,"GDK_KEY_Georgian_on","","",null,null],[17,"GDK_KEY_Georgian_par","","",null,null],[17,"GDK_KEY_Georgian_phar","","",null,null],[17,"GDK_KEY_Georgian_qar","","",null,null],[17,"GDK_KEY_Georgian_rae","","",null,null],[17,"GDK_KEY_Georgian_san","","",null,null],[17,"GDK_KEY_Georgian_shin","","",null,null],[17,"GDK_KEY_Georgian_tan","","",null,null],[17,"GDK_KEY_Georgian_tar","","",null,null],[17,"GDK_KEY_Georgian_un","","",null,null],[17,"GDK_KEY_Georgian_vin","","",null,null],[17,"GDK_KEY_Georgian_we","","",null,null],[17,"GDK_KEY_Georgian_xan","","",null,null],[17,"GDK_KEY_Georgian_zen","","",null,null],[17,"GDK_KEY_Georgian_zhar","","",null,null],[17,"GDK_KEY_Go","","",null,null],[17,"GDK_KEY_Greek_ALPHA","","",null,null],[17,"GDK_KEY_Greek_ALPHAaccent","","",null,null],[17,"GDK_KEY_Greek_BETA","","",null,null],[17,"GDK_KEY_Greek_CHI","","",null,null],[17,"GDK_KEY_Greek_DELTA","","",null,null],[17,"GDK_KEY_Greek_EPSILON","","",null,null],[17,"GDK_KEY_Greek_EPSILONaccent","","",null,null],[17,"GDK_KEY_Greek_ETA","","",null,null],[17,"GDK_KEY_Greek_ETAaccent","","",null,null],[17,"GDK_KEY_Greek_GAMMA","","",null,null],[17,"GDK_KEY_Greek_IOTA","","",null,null],[17,"GDK_KEY_Greek_IOTAaccent","","",null,null],[17,"GDK_KEY_Greek_IOTAdiaeresis","","",null,null],[17,"GDK_KEY_Greek_IOTAdieresis","","",null,null],[17,"GDK_KEY_Greek_KAPPA","","",null,null],[17,"GDK_KEY_Greek_LAMBDA","","",null,null],[17,"GDK_KEY_Greek_LAMDA","","",null,null],[17,"GDK_KEY_Greek_MU","","",null,null],[17,"GDK_KEY_Greek_NU","","",null,null],[17,"GDK_KEY_Greek_OMEGA","","",null,null],[17,"GDK_KEY_Greek_OMEGAaccent","","",null,null],[17,"GDK_KEY_Greek_OMICRON","","",null,null],[17,"GDK_KEY_Greek_OMICRONaccent","","",null,null],[17,"GDK_KEY_Greek_PHI","","",null,null],[17,"GDK_KEY_Greek_PI","","",null,null],[17,"GDK_KEY_Greek_PSI","","",null,null],[17,"GDK_KEY_Greek_RHO","","",null,null],[17,"GDK_KEY_Greek_SIGMA","","",null,null],[17,"GDK_KEY_Greek_TAU","","",null,null],[17,"GDK_KEY_Greek_THETA","","",null,null],[17,"GDK_KEY_Greek_UPSILON","","",null,null],[17,"GDK_KEY_Greek_UPSILONaccent","","",null,null],[17,"GDK_KEY_Greek_UPSILONdieresis","","",null,null],[17,"GDK_KEY_Greek_XI","","",null,null],[17,"GDK_KEY_Greek_ZETA","","",null,null],[17,"GDK_KEY_Greek_accentdieresis","","",null,null],[17,"GDK_KEY_Greek_alpha","","",null,null],[17,"GDK_KEY_Greek_alphaaccent","","",null,null],[17,"GDK_KEY_Greek_beta","","",null,null],[17,"GDK_KEY_Greek_chi","","",null,null],[17,"GDK_KEY_Greek_delta","","",null,null],[17,"GDK_KEY_Greek_epsilon","","",null,null],[17,"GDK_KEY_Greek_epsilonaccent","","",null,null],[17,"GDK_KEY_Greek_eta","","",null,null],[17,"GDK_KEY_Greek_etaaccent","","",null,null],[17,"GDK_KEY_Greek_finalsmallsigma","","",null,null],[17,"GDK_KEY_Greek_gamma","","",null,null],[17,"GDK_KEY_Greek_horizbar","","",null,null],[17,"GDK_KEY_Greek_iota","","",null,null],[17,"GDK_KEY_Greek_iotaaccent","","",null,null],[17,"GDK_KEY_Greek_iotaaccentdieresis","","",null,null],[17,"GDK_KEY_Greek_iotadieresis","","",null,null],[17,"GDK_KEY_Greek_kappa","","",null,null],[17,"GDK_KEY_Greek_lambda","","",null,null],[17,"GDK_KEY_Greek_lamda","","",null,null],[17,"GDK_KEY_Greek_mu","","",null,null],[17,"GDK_KEY_Greek_nu","","",null,null],[17,"GDK_KEY_Greek_omega","","",null,null],[17,"GDK_KEY_Greek_omegaaccent","","",null,null],[17,"GDK_KEY_Greek_omicron","","",null,null],[17,"GDK_KEY_Greek_omicronaccent","","",null,null],[17,"GDK_KEY_Greek_phi","","",null,null],[17,"GDK_KEY_Greek_pi","","",null,null],[17,"GDK_KEY_Greek_psi","","",null,null],[17,"GDK_KEY_Greek_rho","","",null,null],[17,"GDK_KEY_Greek_sigma","","",null,null],[17,"GDK_KEY_Greek_switch","","",null,null],[17,"GDK_KEY_Greek_tau","","",null,null],[17,"GDK_KEY_Greek_theta","","",null,null],[17,"GDK_KEY_Greek_upsilon","","",null,null],[17,"GDK_KEY_Greek_upsilonaccent","","",null,null],[17,"GDK_KEY_Greek_upsilonaccentdieresis","","",null,null],[17,"GDK_KEY_Greek_upsilondieresis","","",null,null],[17,"GDK_KEY_Greek_xi","","",null,null],[17,"GDK_KEY_Greek_zeta","","",null,null],[17,"GDK_KEY_Green","","",null,null],[17,"GDK_KEY_H","","",null,null],[17,"GDK_KEY_Hangul","","",null,null],[17,"GDK_KEY_Hangul_A","","",null,null],[17,"GDK_KEY_Hangul_AE","","",null,null],[17,"GDK_KEY_Hangul_AraeA","","",null,null],[17,"GDK_KEY_Hangul_AraeAE","","",null,null],[17,"GDK_KEY_Hangul_Banja","","",null,null],[17,"GDK_KEY_Hangul_Cieuc","","",null,null],[17,"GDK_KEY_Hangul_Codeinput","","",null,null],[17,"GDK_KEY_Hangul_Dikeud","","",null,null],[17,"GDK_KEY_Hangul_E","","",null,null],[17,"GDK_KEY_Hangul_EO","","",null,null],[17,"GDK_KEY_Hangul_EU","","",null,null],[17,"GDK_KEY_Hangul_End","","",null,null],[17,"GDK_KEY_Hangul_Hanja","","",null,null],[17,"GDK_KEY_Hangul_Hieuh","","",null,null],[17,"GDK_KEY_Hangul_I","","",null,null],[17,"GDK_KEY_Hangul_Ieung","","",null,null],[17,"GDK_KEY_Hangul_J_Cieuc","","",null,null],[17,"GDK_KEY_Hangul_J_Dikeud","","",null,null],[17,"GDK_KEY_Hangul_J_Hieuh","","",null,null],[17,"GDK_KEY_Hangul_J_Ieung","","",null,null],[17,"GDK_KEY_Hangul_J_Jieuj","","",null,null],[17,"GDK_KEY_Hangul_J_Khieuq","","",null,null],[17,"GDK_KEY_Hangul_J_Kiyeog","","",null,null],[17,"GDK_KEY_Hangul_J_KiyeogSios","","",null,null],[17,"GDK_KEY_Hangul_J_KkogjiDalrinIeung","","",null,null],[17,"GDK_KEY_Hangul_J_Mieum","","",null,null],[17,"GDK_KEY_Hangul_J_Nieun","","",null,null],[17,"GDK_KEY_Hangul_J_NieunHieuh","","",null,null],[17,"GDK_KEY_Hangul_J_NieunJieuj","","",null,null],[17,"GDK_KEY_Hangul_J_PanSios","","",null,null],[17,"GDK_KEY_Hangul_J_Phieuf","","",null,null],[17,"GDK_KEY_Hangul_J_Pieub","","",null,null],[17,"GDK_KEY_Hangul_J_PieubSios","","",null,null],[17,"GDK_KEY_Hangul_J_Rieul","","",null,null],[17,"GDK_KEY_Hangul_J_RieulHieuh","","",null,null],[17,"GDK_KEY_Hangul_J_RieulKiyeog","","",null,null],[17,"GDK_KEY_Hangul_J_RieulMieum","","",null,null],[17,"GDK_KEY_Hangul_J_RieulPhieuf","","",null,null],[17,"GDK_KEY_Hangul_J_RieulPieub","","",null,null],[17,"GDK_KEY_Hangul_J_RieulSios","","",null,null],[17,"GDK_KEY_Hangul_J_RieulTieut","","",null,null],[17,"GDK_KEY_Hangul_J_Sios","","",null,null],[17,"GDK_KEY_Hangul_J_SsangKiyeog","","",null,null],[17,"GDK_KEY_Hangul_J_SsangSios","","",null,null],[17,"GDK_KEY_Hangul_J_Tieut","","",null,null],[17,"GDK_KEY_Hangul_J_YeorinHieuh","","",null,null],[17,"GDK_KEY_Hangul_Jamo","","",null,null],[17,"GDK_KEY_Hangul_Jeonja","","",null,null],[17,"GDK_KEY_Hangul_Jieuj","","",null,null],[17,"GDK_KEY_Hangul_Khieuq","","",null,null],[17,"GDK_KEY_Hangul_Kiyeog","","",null,null],[17,"GDK_KEY_Hangul_KiyeogSios","","",null,null],[17,"GDK_KEY_Hangul_KkogjiDalrinIeung","","",null,null],[17,"GDK_KEY_Hangul_Mieum","","",null,null],[17,"GDK_KEY_Hangul_MultipleCandidate","","",null,null],[17,"GDK_KEY_Hangul_Nieun","","",null,null],[17,"GDK_KEY_Hangul_NieunHieuh","","",null,null],[17,"GDK_KEY_Hangul_NieunJieuj","","",null,null],[17,"GDK_KEY_Hangul_O","","",null,null],[17,"GDK_KEY_Hangul_OE","","",null,null],[17,"GDK_KEY_Hangul_PanSios","","",null,null],[17,"GDK_KEY_Hangul_Phieuf","","",null,null],[17,"GDK_KEY_Hangul_Pieub","","",null,null],[17,"GDK_KEY_Hangul_PieubSios","","",null,null],[17,"GDK_KEY_Hangul_PostHanja","","",null,null],[17,"GDK_KEY_Hangul_PreHanja","","",null,null],[17,"GDK_KEY_Hangul_PreviousCandidate","","",null,null],[17,"GDK_KEY_Hangul_Rieul","","",null,null],[17,"GDK_KEY_Hangul_RieulHieuh","","",null,null],[17,"GDK_KEY_Hangul_RieulKiyeog","","",null,null],[17,"GDK_KEY_Hangul_RieulMieum","","",null,null],[17,"GDK_KEY_Hangul_RieulPhieuf","","",null,null],[17,"GDK_KEY_Hangul_RieulPieub","","",null,null],[17,"GDK_KEY_Hangul_RieulSios","","",null,null],[17,"GDK_KEY_Hangul_RieulTieut","","",null,null],[17,"GDK_KEY_Hangul_RieulYeorinHieuh","","",null,null],[17,"GDK_KEY_Hangul_Romaja","","",null,null],[17,"GDK_KEY_Hangul_SingleCandidate","","",null,null],[17,"GDK_KEY_Hangul_Sios","","",null,null],[17,"GDK_KEY_Hangul_Special","","",null,null],[17,"GDK_KEY_Hangul_SsangDikeud","","",null,null],[17,"GDK_KEY_Hangul_SsangJieuj","","",null,null],[17,"GDK_KEY_Hangul_SsangKiyeog","","",null,null],[17,"GDK_KEY_Hangul_SsangPieub","","",null,null],[17,"GDK_KEY_Hangul_SsangSios","","",null,null],[17,"GDK_KEY_Hangul_Start","","",null,null],[17,"GDK_KEY_Hangul_SunkyeongeumMieum","","",null,null],[17,"GDK_KEY_Hangul_SunkyeongeumPhieuf","","",null,null],[17,"GDK_KEY_Hangul_SunkyeongeumPieub","","",null,null],[17,"GDK_KEY_Hangul_Tieut","","",null,null],[17,"GDK_KEY_Hangul_U","","",null,null],[17,"GDK_KEY_Hangul_WA","","",null,null],[17,"GDK_KEY_Hangul_WAE","","",null,null],[17,"GDK_KEY_Hangul_WE","","",null,null],[17,"GDK_KEY_Hangul_WEO","","",null,null],[17,"GDK_KEY_Hangul_WI","","",null,null],[17,"GDK_KEY_Hangul_YA","","",null,null],[17,"GDK_KEY_Hangul_YAE","","",null,null],[17,"GDK_KEY_Hangul_YE","","",null,null],[17,"GDK_KEY_Hangul_YEO","","",null,null],[17,"GDK_KEY_Hangul_YI","","",null,null],[17,"GDK_KEY_Hangul_YO","","",null,null],[17,"GDK_KEY_Hangul_YU","","",null,null],[17,"GDK_KEY_Hangul_YeorinHieuh","","",null,null],[17,"GDK_KEY_Hangul_switch","","",null,null],[17,"GDK_KEY_Hankaku","","",null,null],[17,"GDK_KEY_Hcircumflex","","",null,null],[17,"GDK_KEY_Hebrew_switch","","",null,null],[17,"GDK_KEY_Help","","",null,null],[17,"GDK_KEY_Henkan","","",null,null],[17,"GDK_KEY_Henkan_Mode","","",null,null],[17,"GDK_KEY_Hibernate","","",null,null],[17,"GDK_KEY_Hiragana","","",null,null],[17,"GDK_KEY_Hiragana_Katakana","","",null,null],[17,"GDK_KEY_History","","",null,null],[17,"GDK_KEY_Home","","",null,null],[17,"GDK_KEY_HomePage","","",null,null],[17,"GDK_KEY_HotLinks","","",null,null],[17,"GDK_KEY_Hstroke","","",null,null],[17,"GDK_KEY_Hyper_L","","",null,null],[17,"GDK_KEY_Hyper_R","","",null,null],[17,"GDK_KEY_I","","",null,null],[17,"GDK_KEY_ISO_Center_Object","","",null,null],[17,"GDK_KEY_ISO_Continuous_Underline","","",null,null],[17,"GDK_KEY_ISO_Discontinuous_Underline","","",null,null],[17,"GDK_KEY_ISO_Emphasize","","",null,null],[17,"GDK_KEY_ISO_Enter","","",null,null],[17,"GDK_KEY_ISO_Fast_Cursor_Down","","",null,null],[17,"GDK_KEY_ISO_Fast_Cursor_Left","","",null,null],[17,"GDK_KEY_ISO_Fast_Cursor_Right","","",null,null],[17,"GDK_KEY_ISO_Fast_Cursor_Up","","",null,null],[17,"GDK_KEY_ISO_First_Group","","",null,null],[17,"GDK_KEY_ISO_First_Group_Lock","","",null,null],[17,"GDK_KEY_ISO_Group_Latch","","",null,null],[17,"GDK_KEY_ISO_Group_Lock","","",null,null],[17,"GDK_KEY_ISO_Group_Shift","","",null,null],[17,"GDK_KEY_ISO_Last_Group","","",null,null],[17,"GDK_KEY_ISO_Last_Group_Lock","","",null,null],[17,"GDK_KEY_ISO_Left_Tab","","",null,null],[17,"GDK_KEY_ISO_Level2_Latch","","",null,null],[17,"GDK_KEY_ISO_Level3_Latch","","",null,null],[17,"GDK_KEY_ISO_Level3_Lock","","",null,null],[17,"GDK_KEY_ISO_Level3_Shift","","",null,null],[17,"GDK_KEY_ISO_Level5_Latch","","",null,null],[17,"GDK_KEY_ISO_Level5_Lock","","",null,null],[17,"GDK_KEY_ISO_Level5_Shift","","",null,null],[17,"GDK_KEY_ISO_Lock","","",null,null],[17,"GDK_KEY_ISO_Move_Line_Down","","",null,null],[17,"GDK_KEY_ISO_Move_Line_Up","","",null,null],[17,"GDK_KEY_ISO_Next_Group","","",null,null],[17,"GDK_KEY_ISO_Next_Group_Lock","","",null,null],[17,"GDK_KEY_ISO_Partial_Line_Down","","",null,null],[17,"GDK_KEY_ISO_Partial_Line_Up","","",null,null],[17,"GDK_KEY_ISO_Partial_Space_Left","","",null,null],[17,"GDK_KEY_ISO_Partial_Space_Right","","",null,null],[17,"GDK_KEY_ISO_Prev_Group","","",null,null],[17,"GDK_KEY_ISO_Prev_Group_Lock","","",null,null],[17,"GDK_KEY_ISO_Release_Both_Margins","","",null,null],[17,"GDK_KEY_ISO_Release_Margin_Left","","",null,null],[17,"GDK_KEY_ISO_Release_Margin_Right","","",null,null],[17,"GDK_KEY_ISO_Set_Margin_Left","","",null,null],[17,"GDK_KEY_ISO_Set_Margin_Right","","",null,null],[17,"GDK_KEY_Iabovedot","","",null,null],[17,"GDK_KEY_Iacute","","",null,null],[17,"GDK_KEY_Ibelowdot","","",null,null],[17,"GDK_KEY_Ibreve","","",null,null],[17,"GDK_KEY_Icircumflex","","",null,null],[17,"GDK_KEY_Idiaeresis","","",null,null],[17,"GDK_KEY_Igrave","","",null,null],[17,"GDK_KEY_Ihook","","",null,null],[17,"GDK_KEY_Imacron","","",null,null],[17,"GDK_KEY_Insert","","",null,null],[17,"GDK_KEY_Iogonek","","",null,null],[17,"GDK_KEY_Itilde","","",null,null],[17,"GDK_KEY_J","","",null,null],[17,"GDK_KEY_Jcircumflex","","",null,null],[17,"GDK_KEY_K","","",null,null],[17,"GDK_KEY_KP_0","","",null,null],[17,"GDK_KEY_KP_1","","",null,null],[17,"GDK_KEY_KP_2","","",null,null],[17,"GDK_KEY_KP_3","","",null,null],[17,"GDK_KEY_KP_4","","",null,null],[17,"GDK_KEY_KP_5","","",null,null],[17,"GDK_KEY_KP_6","","",null,null],[17,"GDK_KEY_KP_7","","",null,null],[17,"GDK_KEY_KP_8","","",null,null],[17,"GDK_KEY_KP_9","","",null,null],[17,"GDK_KEY_KP_Add","","",null,null],[17,"GDK_KEY_KP_Begin","","",null,null],[17,"GDK_KEY_KP_Decimal","","",null,null],[17,"GDK_KEY_KP_Delete","","",null,null],[17,"GDK_KEY_KP_Divide","","",null,null],[17,"GDK_KEY_KP_Down","","",null,null],[17,"GDK_KEY_KP_End","","",null,null],[17,"GDK_KEY_KP_Enter","","",null,null],[17,"GDK_KEY_KP_Equal","","",null,null],[17,"GDK_KEY_KP_F1","","",null,null],[17,"GDK_KEY_KP_F2","","",null,null],[17,"GDK_KEY_KP_F3","","",null,null],[17,"GDK_KEY_KP_F4","","",null,null],[17,"GDK_KEY_KP_Home","","",null,null],[17,"GDK_KEY_KP_Insert","","",null,null],[17,"GDK_KEY_KP_Left","","",null,null],[17,"GDK_KEY_KP_Multiply","","",null,null],[17,"GDK_KEY_KP_Next","","",null,null],[17,"GDK_KEY_KP_Page_Down","","",null,null],[17,"GDK_KEY_KP_Page_Up","","",null,null],[17,"GDK_KEY_KP_Prior","","",null,null],[17,"GDK_KEY_KP_Right","","",null,null],[17,"GDK_KEY_KP_Separator","","",null,null],[17,"GDK_KEY_KP_Space","","",null,null],[17,"GDK_KEY_KP_Subtract","","",null,null],[17,"GDK_KEY_KP_Tab","","",null,null],[17,"GDK_KEY_KP_Up","","",null,null],[17,"GDK_KEY_Kana_Lock","","",null,null],[17,"GDK_KEY_Kana_Shift","","",null,null],[17,"GDK_KEY_Kanji","","",null,null],[17,"GDK_KEY_Kanji_Bangou","","",null,null],[17,"GDK_KEY_Katakana","","",null,null],[17,"GDK_KEY_KbdBrightnessDown","","",null,null],[17,"GDK_KEY_KbdBrightnessUp","","",null,null],[17,"GDK_KEY_KbdLightOnOff","","",null,null],[17,"GDK_KEY_Kcedilla","","",null,null],[17,"GDK_KEY_Korean_Won","","",null,null],[17,"GDK_KEY_L","","",null,null],[17,"GDK_KEY_L1","","",null,null],[17,"GDK_KEY_L10","","",null,null],[17,"GDK_KEY_L2","","",null,null],[17,"GDK_KEY_L3","","",null,null],[17,"GDK_KEY_L4","","",null,null],[17,"GDK_KEY_L5","","",null,null],[17,"GDK_KEY_L6","","",null,null],[17,"GDK_KEY_L7","","",null,null],[17,"GDK_KEY_L8","","",null,null],[17,"GDK_KEY_L9","","",null,null],[17,"GDK_KEY_Lacute","","",null,null],[17,"GDK_KEY_Last_Virtual_Screen","","",null,null],[17,"GDK_KEY_Launch0","","",null,null],[17,"GDK_KEY_Launch1","","",null,null],[17,"GDK_KEY_Launch2","","",null,null],[17,"GDK_KEY_Launch3","","",null,null],[17,"GDK_KEY_Launch4","","",null,null],[17,"GDK_KEY_Launch5","","",null,null],[17,"GDK_KEY_Launch6","","",null,null],[17,"GDK_KEY_Launch7","","",null,null],[17,"GDK_KEY_Launch8","","",null,null],[17,"GDK_KEY_Launch9","","",null,null],[17,"GDK_KEY_LaunchA","","",null,null],[17,"GDK_KEY_LaunchB","","",null,null],[17,"GDK_KEY_LaunchC","","",null,null],[17,"GDK_KEY_LaunchD","","",null,null],[17,"GDK_KEY_LaunchE","","",null,null],[17,"GDK_KEY_LaunchF","","",null,null],[17,"GDK_KEY_Lbelowdot","","",null,null],[17,"GDK_KEY_Lcaron","","",null,null],[17,"GDK_KEY_Lcedilla","","",null,null],[17,"GDK_KEY_Left","","",null,null],[17,"GDK_KEY_LightBulb","","",null,null],[17,"GDK_KEY_Linefeed","","",null,null],[17,"GDK_KEY_LiraSign","","",null,null],[17,"GDK_KEY_LogGrabInfo","","",null,null],[17,"GDK_KEY_LogOff","","",null,null],[17,"GDK_KEY_LogWindowTree","","",null,null],[17,"GDK_KEY_Lstroke","","",null,null],[17,"GDK_KEY_M","","",null,null],[17,"GDK_KEY_Mabovedot","","",null,null],[17,"GDK_KEY_Macedonia_DSE","","",null,null],[17,"GDK_KEY_Macedonia_GJE","","",null,null],[17,"GDK_KEY_Macedonia_KJE","","",null,null],[17,"GDK_KEY_Macedonia_dse","","",null,null],[17,"GDK_KEY_Macedonia_gje","","",null,null],[17,"GDK_KEY_Macedonia_kje","","",null,null],[17,"GDK_KEY_Mae_Koho","","",null,null],[17,"GDK_KEY_Mail","","",null,null],[17,"GDK_KEY_MailForward","","",null,null],[17,"GDK_KEY_Market","","",null,null],[17,"GDK_KEY_Massyo","","",null,null],[17,"GDK_KEY_Meeting","","",null,null],[17,"GDK_KEY_Memo","","",null,null],[17,"GDK_KEY_Menu","","",null,null],[17,"GDK_KEY_MenuKB","","",null,null],[17,"GDK_KEY_MenuPB","","",null,null],[17,"GDK_KEY_Messenger","","",null,null],[17,"GDK_KEY_Meta_L","","",null,null],[17,"GDK_KEY_Meta_R","","",null,null],[17,"GDK_KEY_MillSign","","",null,null],[17,"GDK_KEY_ModeLock","","",null,null],[17,"GDK_KEY_Mode_switch","","",null,null],[17,"GDK_KEY_MonBrightnessDown","","",null,null],[17,"GDK_KEY_MonBrightnessUp","","",null,null],[17,"GDK_KEY_MouseKeys_Accel_Enable","","",null,null],[17,"GDK_KEY_MouseKeys_Enable","","",null,null],[17,"GDK_KEY_Muhenkan","","",null,null],[17,"GDK_KEY_Multi_key","","",null,null],[17,"GDK_KEY_MultipleCandidate","","",null,null],[17,"GDK_KEY_Music","","",null,null],[17,"GDK_KEY_MyComputer","","",null,null],[17,"GDK_KEY_MySites","","",null,null],[17,"GDK_KEY_N","","",null,null],[17,"GDK_KEY_Nacute","","",null,null],[17,"GDK_KEY_NairaSign","","",null,null],[17,"GDK_KEY_Ncaron","","",null,null],[17,"GDK_KEY_Ncedilla","","",null,null],[17,"GDK_KEY_New","","",null,null],[17,"GDK_KEY_NewSheqelSign","","",null,null],[17,"GDK_KEY_News","","",null,null],[17,"GDK_KEY_Next","","",null,null],[17,"GDK_KEY_Next_VMode","","",null,null],[17,"GDK_KEY_Next_Virtual_Screen","","",null,null],[17,"GDK_KEY_Ntilde","","",null,null],[17,"GDK_KEY_Num_Lock","","",null,null],[17,"GDK_KEY_O","","",null,null],[17,"GDK_KEY_OE","","",null,null],[17,"GDK_KEY_Oacute","","",null,null],[17,"GDK_KEY_Obarred","","",null,null],[17,"GDK_KEY_Obelowdot","","",null,null],[17,"GDK_KEY_Ocaron","","",null,null],[17,"GDK_KEY_Ocircumflex","","",null,null],[17,"GDK_KEY_Ocircumflexacute","","",null,null],[17,"GDK_KEY_Ocircumflexbelowdot","","",null,null],[17,"GDK_KEY_Ocircumflexgrave","","",null,null],[17,"GDK_KEY_Ocircumflexhook","","",null,null],[17,"GDK_KEY_Ocircumflextilde","","",null,null],[17,"GDK_KEY_Odiaeresis","","",null,null],[17,"GDK_KEY_Odoubleacute","","",null,null],[17,"GDK_KEY_OfficeHome","","",null,null],[17,"GDK_KEY_Ograve","","",null,null],[17,"GDK_KEY_Ohook","","",null,null],[17,"GDK_KEY_Ohorn","","",null,null],[17,"GDK_KEY_Ohornacute","","",null,null],[17,"GDK_KEY_Ohornbelowdot","","",null,null],[17,"GDK_KEY_Ohorngrave","","",null,null],[17,"GDK_KEY_Ohornhook","","",null,null],[17,"GDK_KEY_Ohorntilde","","",null,null],[17,"GDK_KEY_Omacron","","",null,null],[17,"GDK_KEY_Ooblique","","",null,null],[17,"GDK_KEY_Open","","",null,null],[17,"GDK_KEY_OpenURL","","",null,null],[17,"GDK_KEY_Option","","",null,null],[17,"GDK_KEY_Oslash","","",null,null],[17,"GDK_KEY_Otilde","","",null,null],[17,"GDK_KEY_Overlay1_Enable","","",null,null],[17,"GDK_KEY_Overlay2_Enable","","",null,null],[17,"GDK_KEY_P","","",null,null],[17,"GDK_KEY_Pabovedot","","",null,null],[17,"GDK_KEY_Page_Down","","",null,null],[17,"GDK_KEY_Page_Up","","",null,null],[17,"GDK_KEY_Paste","","",null,null],[17,"GDK_KEY_Pause","","",null,null],[17,"GDK_KEY_PesetaSign","","",null,null],[17,"GDK_KEY_Phone","","",null,null],[17,"GDK_KEY_Pictures","","",null,null],[17,"GDK_KEY_Pointer_Accelerate","","",null,null],[17,"GDK_KEY_Pointer_Button1","","",null,null],[17,"GDK_KEY_Pointer_Button2","","",null,null],[17,"GDK_KEY_Pointer_Button3","","",null,null],[17,"GDK_KEY_Pointer_Button4","","",null,null],[17,"GDK_KEY_Pointer_Button5","","",null,null],[17,"GDK_KEY_Pointer_Button_Dflt","","",null,null],[17,"GDK_KEY_Pointer_DblClick1","","",null,null],[17,"GDK_KEY_Pointer_DblClick2","","",null,null],[17,"GDK_KEY_Pointer_DblClick3","","",null,null],[17,"GDK_KEY_Pointer_DblClick4","","",null,null],[17,"GDK_KEY_Pointer_DblClick5","","",null,null],[17,"GDK_KEY_Pointer_DblClick_Dflt","","",null,null],[17,"GDK_KEY_Pointer_DfltBtnNext","","",null,null],[17,"GDK_KEY_Pointer_DfltBtnPrev","","",null,null],[17,"GDK_KEY_Pointer_Down","","",null,null],[17,"GDK_KEY_Pointer_DownLeft","","",null,null],[17,"GDK_KEY_Pointer_DownRight","","",null,null],[17,"GDK_KEY_Pointer_Drag1","","",null,null],[17,"GDK_KEY_Pointer_Drag2","","",null,null],[17,"GDK_KEY_Pointer_Drag3","","",null,null],[17,"GDK_KEY_Pointer_Drag4","","",null,null],[17,"GDK_KEY_Pointer_Drag5","","",null,null],[17,"GDK_KEY_Pointer_Drag_Dflt","","",null,null],[17,"GDK_KEY_Pointer_EnableKeys","","",null,null],[17,"GDK_KEY_Pointer_Left","","",null,null],[17,"GDK_KEY_Pointer_Right","","",null,null],[17,"GDK_KEY_Pointer_Up","","",null,null],[17,"GDK_KEY_Pointer_UpLeft","","",null,null],[17,"GDK_KEY_Pointer_UpRight","","",null,null],[17,"GDK_KEY_PowerDown","","",null,null],[17,"GDK_KEY_PowerOff","","",null,null],[17,"GDK_KEY_Prev_VMode","","",null,null],[17,"GDK_KEY_Prev_Virtual_Screen","","",null,null],[17,"GDK_KEY_PreviousCandidate","","",null,null],[17,"GDK_KEY_Print","","",null,null],[17,"GDK_KEY_Prior","","",null,null],[17,"GDK_KEY_Q","","",null,null],[17,"GDK_KEY_R","","",null,null],[17,"GDK_KEY_R1","","",null,null],[17,"GDK_KEY_R10","","",null,null],[17,"GDK_KEY_R11","","",null,null],[17,"GDK_KEY_R12","","",null,null],[17,"GDK_KEY_R13","","",null,null],[17,"GDK_KEY_R14","","",null,null],[17,"GDK_KEY_R15","","",null,null],[17,"GDK_KEY_R2","","",null,null],[17,"GDK_KEY_R3","","",null,null],[17,"GDK_KEY_R4","","",null,null],[17,"GDK_KEY_R5","","",null,null],[17,"GDK_KEY_R6","","",null,null],[17,"GDK_KEY_R7","","",null,null],[17,"GDK_KEY_R8","","",null,null],[17,"GDK_KEY_R9","","",null,null],[17,"GDK_KEY_Racute","","",null,null],[17,"GDK_KEY_Rcaron","","",null,null],[17,"GDK_KEY_Rcedilla","","",null,null],[17,"GDK_KEY_Red","","",null,null],[17,"GDK_KEY_Redo","","",null,null],[17,"GDK_KEY_Refresh","","",null,null],[17,"GDK_KEY_Reload","","",null,null],[17,"GDK_KEY_RepeatKeys_Enable","","",null,null],[17,"GDK_KEY_Reply","","",null,null],[17,"GDK_KEY_Return","","",null,null],[17,"GDK_KEY_Right","","",null,null],[17,"GDK_KEY_RockerDown","","",null,null],[17,"GDK_KEY_RockerEnter","","",null,null],[17,"GDK_KEY_RockerUp","","",null,null],[17,"GDK_KEY_Romaji","","",null,null],[17,"GDK_KEY_RotateWindows","","",null,null],[17,"GDK_KEY_RotationKB","","",null,null],[17,"GDK_KEY_RotationPB","","",null,null],[17,"GDK_KEY_RupeeSign","","",null,null],[17,"GDK_KEY_S","","",null,null],[17,"GDK_KEY_SCHWA","","",null,null],[17,"GDK_KEY_Sabovedot","","",null,null],[17,"GDK_KEY_Sacute","","",null,null],[17,"GDK_KEY_Save","","",null,null],[17,"GDK_KEY_Scaron","","",null,null],[17,"GDK_KEY_Scedilla","","",null,null],[17,"GDK_KEY_Scircumflex","","",null,null],[17,"GDK_KEY_ScreenSaver","","",null,null],[17,"GDK_KEY_ScrollClick","","",null,null],[17,"GDK_KEY_ScrollDown","","",null,null],[17,"GDK_KEY_ScrollUp","","",null,null],[17,"GDK_KEY_Scroll_Lock","","",null,null],[17,"GDK_KEY_Search","","",null,null],[17,"GDK_KEY_Select","","",null,null],[17,"GDK_KEY_SelectButton","","",null,null],[17,"GDK_KEY_Send","","",null,null],[17,"GDK_KEY_Serbian_DJE","","",null,null],[17,"GDK_KEY_Serbian_DZE","","",null,null],[17,"GDK_KEY_Serbian_JE","","",null,null],[17,"GDK_KEY_Serbian_LJE","","",null,null],[17,"GDK_KEY_Serbian_NJE","","",null,null],[17,"GDK_KEY_Serbian_TSHE","","",null,null],[17,"GDK_KEY_Serbian_dje","","",null,null],[17,"GDK_KEY_Serbian_dze","","",null,null],[17,"GDK_KEY_Serbian_je","","",null,null],[17,"GDK_KEY_Serbian_lje","","",null,null],[17,"GDK_KEY_Serbian_nje","","",null,null],[17,"GDK_KEY_Serbian_tshe","","",null,null],[17,"GDK_KEY_Shift_L","","",null,null],[17,"GDK_KEY_Shift_Lock","","",null,null],[17,"GDK_KEY_Shift_R","","",null,null],[17,"GDK_KEY_Shop","","",null,null],[17,"GDK_KEY_SingleCandidate","","",null,null],[17,"GDK_KEY_Sinh_a","","",null,null],[17,"GDK_KEY_Sinh_aa","","",null,null],[17,"GDK_KEY_Sinh_aa2","","",null,null],[17,"GDK_KEY_Sinh_ae","","",null,null],[17,"GDK_KEY_Sinh_ae2","","",null,null],[17,"GDK_KEY_Sinh_aee","","",null,null],[17,"GDK_KEY_Sinh_aee2","","",null,null],[17,"GDK_KEY_Sinh_ai","","",null,null],[17,"GDK_KEY_Sinh_ai2","","",null,null],[17,"GDK_KEY_Sinh_al","","",null,null],[17,"GDK_KEY_Sinh_au","","",null,null],[17,"GDK_KEY_Sinh_au2","","",null,null],[17,"GDK_KEY_Sinh_ba","","",null,null],[17,"GDK_KEY_Sinh_bha","","",null,null],[17,"GDK_KEY_Sinh_ca","","",null,null],[17,"GDK_KEY_Sinh_cha","","",null,null],[17,"GDK_KEY_Sinh_dda","","",null,null],[17,"GDK_KEY_Sinh_ddha","","",null,null],[17,"GDK_KEY_Sinh_dha","","",null,null],[17,"GDK_KEY_Sinh_dhha","","",null,null],[17,"GDK_KEY_Sinh_e","","",null,null],[17,"GDK_KEY_Sinh_e2","","",null,null],[17,"GDK_KEY_Sinh_ee","","",null,null],[17,"GDK_KEY_Sinh_ee2","","",null,null],[17,"GDK_KEY_Sinh_fa","","",null,null],[17,"GDK_KEY_Sinh_ga","","",null,null],[17,"GDK_KEY_Sinh_gha","","",null,null],[17,"GDK_KEY_Sinh_h2","","",null,null],[17,"GDK_KEY_Sinh_ha","","",null,null],[17,"GDK_KEY_Sinh_i","","",null,null],[17,"GDK_KEY_Sinh_i2","","",null,null],[17,"GDK_KEY_Sinh_ii","","",null,null],[17,"GDK_KEY_Sinh_ii2","","",null,null],[17,"GDK_KEY_Sinh_ja","","",null,null],[17,"GDK_KEY_Sinh_jha","","",null,null],[17,"GDK_KEY_Sinh_jnya","","",null,null],[17,"GDK_KEY_Sinh_ka","","",null,null],[17,"GDK_KEY_Sinh_kha","","",null,null],[17,"GDK_KEY_Sinh_kunddaliya","","",null,null],[17,"GDK_KEY_Sinh_la","","",null,null],[17,"GDK_KEY_Sinh_lla","","",null,null],[17,"GDK_KEY_Sinh_lu","","",null,null],[17,"GDK_KEY_Sinh_lu2","","",null,null],[17,"GDK_KEY_Sinh_luu","","",null,null],[17,"GDK_KEY_Sinh_luu2","","",null,null],[17,"GDK_KEY_Sinh_ma","","",null,null],[17,"GDK_KEY_Sinh_mba","","",null,null],[17,"GDK_KEY_Sinh_na","","",null,null],[17,"GDK_KEY_Sinh_ndda","","",null,null],[17,"GDK_KEY_Sinh_ndha","","",null,null],[17,"GDK_KEY_Sinh_ng","","",null,null],[17,"GDK_KEY_Sinh_ng2","","",null,null],[17,"GDK_KEY_Sinh_nga","","",null,null],[17,"GDK_KEY_Sinh_nja","","",null,null],[17,"GDK_KEY_Sinh_nna","","",null,null],[17,"GDK_KEY_Sinh_nya","","",null,null],[17,"GDK_KEY_Sinh_o","","",null,null],[17,"GDK_KEY_Sinh_o2","","",null,null],[17,"GDK_KEY_Sinh_oo","","",null,null],[17,"GDK_KEY_Sinh_oo2","","",null,null],[17,"GDK_KEY_Sinh_pa","","",null,null],[17,"GDK_KEY_Sinh_pha","","",null,null],[17,"GDK_KEY_Sinh_ra","","",null,null],[17,"GDK_KEY_Sinh_ri","","",null,null],[17,"GDK_KEY_Sinh_rii","","",null,null],[17,"GDK_KEY_Sinh_ru2","","",null,null],[17,"GDK_KEY_Sinh_ruu2","","",null,null],[17,"GDK_KEY_Sinh_sa","","",null,null],[17,"GDK_KEY_Sinh_sha","","",null,null],[17,"GDK_KEY_Sinh_ssha","","",null,null],[17,"GDK_KEY_Sinh_tha","","",null,null],[17,"GDK_KEY_Sinh_thha","","",null,null],[17,"GDK_KEY_Sinh_tta","","",null,null],[17,"GDK_KEY_Sinh_ttha","","",null,null],[17,"GDK_KEY_Sinh_u","","",null,null],[17,"GDK_KEY_Sinh_u2","","",null,null],[17,"GDK_KEY_Sinh_uu","","",null,null],[17,"GDK_KEY_Sinh_uu2","","",null,null],[17,"GDK_KEY_Sinh_va","","",null,null],[17,"GDK_KEY_Sinh_ya","","",null,null],[17,"GDK_KEY_Sleep","","",null,null],[17,"GDK_KEY_SlowKeys_Enable","","",null,null],[17,"GDK_KEY_Spell","","",null,null],[17,"GDK_KEY_SplitScreen","","",null,null],[17,"GDK_KEY_Standby","","",null,null],[17,"GDK_KEY_Start","","",null,null],[17,"GDK_KEY_StickyKeys_Enable","","",null,null],[17,"GDK_KEY_Stop","","",null,null],[17,"GDK_KEY_Subtitle","","",null,null],[17,"GDK_KEY_Super_L","","",null,null],[17,"GDK_KEY_Super_R","","",null,null],[17,"GDK_KEY_Support","","",null,null],[17,"GDK_KEY_Suspend","","",null,null],[17,"GDK_KEY_Switch_VT_1","","",null,null],[17,"GDK_KEY_Switch_VT_10","","",null,null],[17,"GDK_KEY_Switch_VT_11","","",null,null],[17,"GDK_KEY_Switch_VT_12","","",null,null],[17,"GDK_KEY_Switch_VT_2","","",null,null],[17,"GDK_KEY_Switch_VT_3","","",null,null],[17,"GDK_KEY_Switch_VT_4","","",null,null],[17,"GDK_KEY_Switch_VT_5","","",null,null],[17,"GDK_KEY_Switch_VT_6","","",null,null],[17,"GDK_KEY_Switch_VT_7","","",null,null],[17,"GDK_KEY_Switch_VT_8","","",null,null],[17,"GDK_KEY_Switch_VT_9","","",null,null],[17,"GDK_KEY_Sys_Req","","",null,null],[17,"GDK_KEY_T","","",null,null],[17,"GDK_KEY_THORN","","",null,null],[17,"GDK_KEY_Tab","","",null,null],[17,"GDK_KEY_Tabovedot","","",null,null],[17,"GDK_KEY_TaskPane","","",null,null],[17,"GDK_KEY_Tcaron","","",null,null],[17,"GDK_KEY_Tcedilla","","",null,null],[17,"GDK_KEY_Terminal","","",null,null],[17,"GDK_KEY_Terminate_Server","","",null,null],[17,"GDK_KEY_Thai_baht","","",null,null],[17,"GDK_KEY_Thai_bobaimai","","",null,null],[17,"GDK_KEY_Thai_chochan","","",null,null],[17,"GDK_KEY_Thai_chochang","","",null,null],[17,"GDK_KEY_Thai_choching","","",null,null],[17,"GDK_KEY_Thai_chochoe","","",null,null],[17,"GDK_KEY_Thai_dochada","","",null,null],[17,"GDK_KEY_Thai_dodek","","",null,null],[17,"GDK_KEY_Thai_fofa","","",null,null],[17,"GDK_KEY_Thai_fofan","","",null,null],[17,"GDK_KEY_Thai_hohip","","",null,null],[17,"GDK_KEY_Thai_honokhuk","","",null,null],[17,"GDK_KEY_Thai_khokhai","","",null,null],[17,"GDK_KEY_Thai_khokhon","","",null,null],[17,"GDK_KEY_Thai_khokhuat","","",null,null],[17,"GDK_KEY_Thai_khokhwai","","",null,null],[17,"GDK_KEY_Thai_khorakhang","","",null,null],[17,"GDK_KEY_Thai_kokai","","",null,null],[17,"GDK_KEY_Thai_lakkhangyao","","",null,null],[17,"GDK_KEY_Thai_lekchet","","",null,null],[17,"GDK_KEY_Thai_lekha","","",null,null],[17,"GDK_KEY_Thai_lekhok","","",null,null],[17,"GDK_KEY_Thai_lekkao","","",null,null],[17,"GDK_KEY_Thai_leknung","","",null,null],[17,"GDK_KEY_Thai_lekpaet","","",null,null],[17,"GDK_KEY_Thai_leksam","","",null,null],[17,"GDK_KEY_Thai_leksi","","",null,null],[17,"GDK_KEY_Thai_leksong","","",null,null],[17,"GDK_KEY_Thai_leksun","","",null,null],[17,"GDK_KEY_Thai_lochula","","",null,null],[17,"GDK_KEY_Thai_loling","","",null,null],[17,"GDK_KEY_Thai_lu","","",null,null],[17,"GDK_KEY_Thai_maichattawa","","",null,null],[17,"GDK_KEY_Thai_maiek","","",null,null],[17,"GDK_KEY_Thai_maihanakat","","",null,null],[17,"GDK_KEY_Thai_maihanakat_maitho","","",null,null],[17,"GDK_KEY_Thai_maitaikhu","","",null,null],[17,"GDK_KEY_Thai_maitho","","",null,null],[17,"GDK_KEY_Thai_maitri","","",null,null],[17,"GDK_KEY_Thai_maiyamok","","",null,null],[17,"GDK_KEY_Thai_moma","","",null,null],[17,"GDK_KEY_Thai_ngongu","","",null,null],[17,"GDK_KEY_Thai_nikhahit","","",null,null],[17,"GDK_KEY_Thai_nonen","","",null,null],[17,"GDK_KEY_Thai_nonu","","",null,null],[17,"GDK_KEY_Thai_oang","","",null,null],[17,"GDK_KEY_Thai_paiyannoi","","",null,null],[17,"GDK_KEY_Thai_phinthu","","",null,null],[17,"GDK_KEY_Thai_phophan","","",null,null],[17,"GDK_KEY_Thai_phophung","","",null,null],[17,"GDK_KEY_Thai_phosamphao","","",null,null],[17,"GDK_KEY_Thai_popla","","",null,null],[17,"GDK_KEY_Thai_rorua","","",null,null],[17,"GDK_KEY_Thai_ru","","",null,null],[17,"GDK_KEY_Thai_saraa","","",null,null],[17,"GDK_KEY_Thai_saraaa","","",null,null],[17,"GDK_KEY_Thai_saraae","","",null,null],[17,"GDK_KEY_Thai_saraaimaimalai","","",null,null],[17,"GDK_KEY_Thai_saraaimaimuan","","",null,null],[17,"GDK_KEY_Thai_saraam","","",null,null],[17,"GDK_KEY_Thai_sarae","","",null,null],[17,"GDK_KEY_Thai_sarai","","",null,null],[17,"GDK_KEY_Thai_saraii","","",null,null],[17,"GDK_KEY_Thai_sarao","","",null,null],[17,"GDK_KEY_Thai_sarau","","",null,null],[17,"GDK_KEY_Thai_saraue","","",null,null],[17,"GDK_KEY_Thai_sarauee","","",null,null],[17,"GDK_KEY_Thai_sarauu","","",null,null],[17,"GDK_KEY_Thai_sorusi","","",null,null],[17,"GDK_KEY_Thai_sosala","","",null,null],[17,"GDK_KEY_Thai_soso","","",null,null],[17,"GDK_KEY_Thai_sosua","","",null,null],[17,"GDK_KEY_Thai_thanthakhat","","",null,null],[17,"GDK_KEY_Thai_thonangmontho","","",null,null],[17,"GDK_KEY_Thai_thophuthao","","",null,null],[17,"GDK_KEY_Thai_thothahan","","",null,null],[17,"GDK_KEY_Thai_thothan","","",null,null],[17,"GDK_KEY_Thai_thothong","","",null,null],[17,"GDK_KEY_Thai_thothung","","",null,null],[17,"GDK_KEY_Thai_topatak","","",null,null],[17,"GDK_KEY_Thai_totao","","",null,null],[17,"GDK_KEY_Thai_wowaen","","",null,null],[17,"GDK_KEY_Thai_yoyak","","",null,null],[17,"GDK_KEY_Thai_yoying","","",null,null],[17,"GDK_KEY_Thorn","","",null,null],[17,"GDK_KEY_Time","","",null,null],[17,"GDK_KEY_ToDoList","","",null,null],[17,"GDK_KEY_Tools","","",null,null],[17,"GDK_KEY_TopMenu","","",null,null],[17,"GDK_KEY_TouchpadOff","","",null,null],[17,"GDK_KEY_TouchpadOn","","",null,null],[17,"GDK_KEY_TouchpadToggle","","",null,null],[17,"GDK_KEY_Touroku","","",null,null],[17,"GDK_KEY_Travel","","",null,null],[17,"GDK_KEY_Tslash","","",null,null],[17,"GDK_KEY_U","","",null,null],[17,"GDK_KEY_UWB","","",null,null],[17,"GDK_KEY_Uacute","","",null,null],[17,"GDK_KEY_Ubelowdot","","",null,null],[17,"GDK_KEY_Ubreve","","",null,null],[17,"GDK_KEY_Ucircumflex","","",null,null],[17,"GDK_KEY_Udiaeresis","","",null,null],[17,"GDK_KEY_Udoubleacute","","",null,null],[17,"GDK_KEY_Ugrave","","",null,null],[17,"GDK_KEY_Uhook","","",null,null],[17,"GDK_KEY_Uhorn","","",null,null],[17,"GDK_KEY_Uhornacute","","",null,null],[17,"GDK_KEY_Uhornbelowdot","","",null,null],[17,"GDK_KEY_Uhorngrave","","",null,null],[17,"GDK_KEY_Uhornhook","","",null,null],[17,"GDK_KEY_Uhorntilde","","",null,null],[17,"GDK_KEY_Ukrainian_GHE_WITH_UPTURN","","",null,null],[17,"GDK_KEY_Ukrainian_I","","",null,null],[17,"GDK_KEY_Ukrainian_IE","","",null,null],[17,"GDK_KEY_Ukrainian_YI","","",null,null],[17,"GDK_KEY_Ukrainian_ghe_with_upturn","","",null,null],[17,"GDK_KEY_Ukrainian_i","","",null,null],[17,"GDK_KEY_Ukrainian_ie","","",null,null],[17,"GDK_KEY_Ukrainian_yi","","",null,null],[17,"GDK_KEY_Ukranian_I","","",null,null],[17,"GDK_KEY_Ukranian_JE","","",null,null],[17,"GDK_KEY_Ukranian_YI","","",null,null],[17,"GDK_KEY_Ukranian_i","","",null,null],[17,"GDK_KEY_Ukranian_je","","",null,null],[17,"GDK_KEY_Ukranian_yi","","",null,null],[17,"GDK_KEY_Umacron","","",null,null],[17,"GDK_KEY_Undo","","",null,null],[17,"GDK_KEY_Ungrab","","",null,null],[17,"GDK_KEY_Uogonek","","",null,null],[17,"GDK_KEY_Up","","",null,null],[17,"GDK_KEY_Uring","","",null,null],[17,"GDK_KEY_User1KB","","",null,null],[17,"GDK_KEY_User2KB","","",null,null],[17,"GDK_KEY_UserPB","","",null,null],[17,"GDK_KEY_Utilde","","",null,null],[17,"GDK_KEY_V","","",null,null],[17,"GDK_KEY_VendorHome","","",null,null],[17,"GDK_KEY_Video","","",null,null],[17,"GDK_KEY_View","","",null,null],[17,"GDK_KEY_VoidSymbol","","",null,null],[17,"GDK_KEY_W","","",null,null],[17,"GDK_KEY_WLAN","","",null,null],[17,"GDK_KEY_WWW","","",null,null],[17,"GDK_KEY_Wacute","","",null,null],[17,"GDK_KEY_WakeUp","","",null,null],[17,"GDK_KEY_Wcircumflex","","",null,null],[17,"GDK_KEY_Wdiaeresis","","",null,null],[17,"GDK_KEY_WebCam","","",null,null],[17,"GDK_KEY_Wgrave","","",null,null],[17,"GDK_KEY_WheelButton","","",null,null],[17,"GDK_KEY_WindowClear","","",null,null],[17,"GDK_KEY_WonSign","","",null,null],[17,"GDK_KEY_Word","","",null,null],[17,"GDK_KEY_X","","",null,null],[17,"GDK_KEY_Xabovedot","","",null,null],[17,"GDK_KEY_Xfer","","",null,null],[17,"GDK_KEY_Y","","",null,null],[17,"GDK_KEY_Yacute","","",null,null],[17,"GDK_KEY_Ybelowdot","","",null,null],[17,"GDK_KEY_Ycircumflex","","",null,null],[17,"GDK_KEY_Ydiaeresis","","",null,null],[17,"GDK_KEY_Yellow","","",null,null],[17,"GDK_KEY_Ygrave","","",null,null],[17,"GDK_KEY_Yhook","","",null,null],[17,"GDK_KEY_Ytilde","","",null,null],[17,"GDK_KEY_Z","","",null,null],[17,"GDK_KEY_Zabovedot","","",null,null],[17,"GDK_KEY_Zacute","","",null,null],[17,"GDK_KEY_Zcaron","","",null,null],[17,"GDK_KEY_Zen_Koho","","",null,null],[17,"GDK_KEY_Zenkaku","","",null,null],[17,"GDK_KEY_Zenkaku_Hankaku","","",null,null],[17,"GDK_KEY_ZoomIn","","",null,null],[17,"GDK_KEY_ZoomOut","","",null,null],[17,"GDK_KEY_Zstroke","","",null,null],[17,"GDK_KEY_a","","",null,null],[17,"GDK_KEY_aacute","","",null,null],[17,"GDK_KEY_abelowdot","","",null,null],[17,"GDK_KEY_abovedot","","",null,null],[17,"GDK_KEY_abreve","","",null,null],[17,"GDK_KEY_abreveacute","","",null,null],[17,"GDK_KEY_abrevebelowdot","","",null,null],[17,"GDK_KEY_abrevegrave","","",null,null],[17,"GDK_KEY_abrevehook","","",null,null],[17,"GDK_KEY_abrevetilde","","",null,null],[17,"GDK_KEY_acircumflex","","",null,null],[17,"GDK_KEY_acircumflexacute","","",null,null],[17,"GDK_KEY_acircumflexbelowdot","","",null,null],[17,"GDK_KEY_acircumflexgrave","","",null,null],[17,"GDK_KEY_acircumflexhook","","",null,null],[17,"GDK_KEY_acircumflextilde","","",null,null],[17,"GDK_KEY_acute","","",null,null],[17,"GDK_KEY_adiaeresis","","",null,null],[17,"GDK_KEY_ae","","",null,null],[17,"GDK_KEY_agrave","","",null,null],[17,"GDK_KEY_ahook","","",null,null],[17,"GDK_KEY_amacron","","",null,null],[17,"GDK_KEY_ampersand","","",null,null],[17,"GDK_KEY_aogonek","","",null,null],[17,"GDK_KEY_apostrophe","","",null,null],[17,"GDK_KEY_approxeq","","",null,null],[17,"GDK_KEY_approximate","","",null,null],[17,"GDK_KEY_aring","","",null,null],[17,"GDK_KEY_asciicircum","","",null,null],[17,"GDK_KEY_asciitilde","","",null,null],[17,"GDK_KEY_asterisk","","",null,null],[17,"GDK_KEY_at","","",null,null],[17,"GDK_KEY_atilde","","",null,null],[17,"GDK_KEY_b","","",null,null],[17,"GDK_KEY_babovedot","","",null,null],[17,"GDK_KEY_backslash","","",null,null],[17,"GDK_KEY_ballotcross","","",null,null],[17,"GDK_KEY_bar","","",null,null],[17,"GDK_KEY_because","","",null,null],[17,"GDK_KEY_blank","","",null,null],[17,"GDK_KEY_botintegral","","",null,null],[17,"GDK_KEY_botleftparens","","",null,null],[17,"GDK_KEY_botleftsqbracket","","",null,null],[17,"GDK_KEY_botleftsummation","","",null,null],[17,"GDK_KEY_botrightparens","","",null,null],[17,"GDK_KEY_botrightsqbracket","","",null,null],[17,"GDK_KEY_botrightsummation","","",null,null],[17,"GDK_KEY_bott","","",null,null],[17,"GDK_KEY_botvertsummationconnector","","",null,null],[17,"GDK_KEY_braceleft","","",null,null],[17,"GDK_KEY_braceright","","",null,null],[17,"GDK_KEY_bracketleft","","",null,null],[17,"GDK_KEY_bracketright","","",null,null],[17,"GDK_KEY_braille_blank","","",null,null],[17,"GDK_KEY_braille_dot_1","","",null,null],[17,"GDK_KEY_braille_dot_10","","",null,null],[17,"GDK_KEY_braille_dot_2","","",null,null],[17,"GDK_KEY_braille_dot_3","","",null,null],[17,"GDK_KEY_braille_dot_4","","",null,null],[17,"GDK_KEY_braille_dot_5","","",null,null],[17,"GDK_KEY_braille_dot_6","","",null,null],[17,"GDK_KEY_braille_dot_7","","",null,null],[17,"GDK_KEY_braille_dot_8","","",null,null],[17,"GDK_KEY_braille_dot_9","","",null,null],[17,"GDK_KEY_braille_dots_1","","",null,null],[17,"GDK_KEY_braille_dots_12","","",null,null],[17,"GDK_KEY_braille_dots_123","","",null,null],[17,"GDK_KEY_braille_dots_1234","","",null,null],[17,"GDK_KEY_braille_dots_12345","","",null,null],[17,"GDK_KEY_braille_dots_123456","","",null,null],[17,"GDK_KEY_braille_dots_1234567","","",null,null],[17,"GDK_KEY_braille_dots_12345678","","",null,null],[17,"GDK_KEY_braille_dots_1234568","","",null,null],[17,"GDK_KEY_braille_dots_123457","","",null,null],[17,"GDK_KEY_braille_dots_1234578","","",null,null],[17,"GDK_KEY_braille_dots_123458","","",null,null],[17,"GDK_KEY_braille_dots_12346","","",null,null],[17,"GDK_KEY_braille_dots_123467","","",null,null],[17,"GDK_KEY_braille_dots_1234678","","",null,null],[17,"GDK_KEY_braille_dots_123468","","",null,null],[17,"GDK_KEY_braille_dots_12347","","",null,null],[17,"GDK_KEY_braille_dots_123478","","",null,null],[17,"GDK_KEY_braille_dots_12348","","",null,null],[17,"GDK_KEY_braille_dots_1235","","",null,null],[17,"GDK_KEY_braille_dots_12356","","",null,null],[17,"GDK_KEY_braille_dots_123567","","",null,null],[17,"GDK_KEY_braille_dots_1235678","","",null,null],[17,"GDK_KEY_braille_dots_123568","","",null,null],[17,"GDK_KEY_braille_dots_12357","","",null,null],[17,"GDK_KEY_braille_dots_123578","","",null,null],[17,"GDK_KEY_braille_dots_12358","","",null,null],[17,"GDK_KEY_braille_dots_1236","","",null,null],[17,"GDK_KEY_braille_dots_12367","","",null,null],[17,"GDK_KEY_braille_dots_123678","","",null,null],[17,"GDK_KEY_braille_dots_12368","","",null,null],[17,"GDK_KEY_braille_dots_1237","","",null,null],[17,"GDK_KEY_braille_dots_12378","","",null,null],[17,"GDK_KEY_braille_dots_1238","","",null,null],[17,"GDK_KEY_braille_dots_124","","",null,null],[17,"GDK_KEY_braille_dots_1245","","",null,null],[17,"GDK_KEY_braille_dots_12456","","",null,null],[17,"GDK_KEY_braille_dots_124567","","",null,null],[17,"GDK_KEY_braille_dots_1245678","","",null,null],[17,"GDK_KEY_braille_dots_124568","","",null,null],[17,"GDK_KEY_braille_dots_12457","","",null,null],[17,"GDK_KEY_braille_dots_124578","","",null,null],[17,"GDK_KEY_braille_dots_12458","","",null,null],[17,"GDK_KEY_braille_dots_1246","","",null,null],[17,"GDK_KEY_braille_dots_12467","","",null,null],[17,"GDK_KEY_braille_dots_124678","","",null,null],[17,"GDK_KEY_braille_dots_12468","","",null,null],[17,"GDK_KEY_braille_dots_1247","","",null,null],[17,"GDK_KEY_braille_dots_12478","","",null,null],[17,"GDK_KEY_braille_dots_1248","","",null,null],[17,"GDK_KEY_braille_dots_125","","",null,null],[17,"GDK_KEY_braille_dots_1256","","",null,null],[17,"GDK_KEY_braille_dots_12567","","",null,null],[17,"GDK_KEY_braille_dots_125678","","",null,null],[17,"GDK_KEY_braille_dots_12568","","",null,null],[17,"GDK_KEY_braille_dots_1257","","",null,null],[17,"GDK_KEY_braille_dots_12578","","",null,null],[17,"GDK_KEY_braille_dots_1258","","",null,null],[17,"GDK_KEY_braille_dots_126","","",null,null],[17,"GDK_KEY_braille_dots_1267","","",null,null],[17,"GDK_KEY_braille_dots_12678","","",null,null],[17,"GDK_KEY_braille_dots_1268","","",null,null],[17,"GDK_KEY_braille_dots_127","","",null,null],[17,"GDK_KEY_braille_dots_1278","","",null,null],[17,"GDK_KEY_braille_dots_128","","",null,null],[17,"GDK_KEY_braille_dots_13","","",null,null],[17,"GDK_KEY_braille_dots_134","","",null,null],[17,"GDK_KEY_braille_dots_1345","","",null,null],[17,"GDK_KEY_braille_dots_13456","","",null,null],[17,"GDK_KEY_braille_dots_134567","","",null,null],[17,"GDK_KEY_braille_dots_1345678","","",null,null],[17,"GDK_KEY_braille_dots_134568","","",null,null],[17,"GDK_KEY_braille_dots_13457","","",null,null],[17,"GDK_KEY_braille_dots_134578","","",null,null],[17,"GDK_KEY_braille_dots_13458","","",null,null],[17,"GDK_KEY_braille_dots_1346","","",null,null],[17,"GDK_KEY_braille_dots_13467","","",null,null],[17,"GDK_KEY_braille_dots_134678","","",null,null],[17,"GDK_KEY_braille_dots_13468","","",null,null],[17,"GDK_KEY_braille_dots_1347","","",null,null],[17,"GDK_KEY_braille_dots_13478","","",null,null],[17,"GDK_KEY_braille_dots_1348","","",null,null],[17,"GDK_KEY_braille_dots_135","","",null,null],[17,"GDK_KEY_braille_dots_1356","","",null,null],[17,"GDK_KEY_braille_dots_13567","","",null,null],[17,"GDK_KEY_braille_dots_135678","","",null,null],[17,"GDK_KEY_braille_dots_13568","","",null,null],[17,"GDK_KEY_braille_dots_1357","","",null,null],[17,"GDK_KEY_braille_dots_13578","","",null,null],[17,"GDK_KEY_braille_dots_1358","","",null,null],[17,"GDK_KEY_braille_dots_136","","",null,null],[17,"GDK_KEY_braille_dots_1367","","",null,null],[17,"GDK_KEY_braille_dots_13678","","",null,null],[17,"GDK_KEY_braille_dots_1368","","",null,null],[17,"GDK_KEY_braille_dots_137","","",null,null],[17,"GDK_KEY_braille_dots_1378","","",null,null],[17,"GDK_KEY_braille_dots_138","","",null,null],[17,"GDK_KEY_braille_dots_14","","",null,null],[17,"GDK_KEY_braille_dots_145","","",null,null],[17,"GDK_KEY_braille_dots_1456","","",null,null],[17,"GDK_KEY_braille_dots_14567","","",null,null],[17,"GDK_KEY_braille_dots_145678","","",null,null],[17,"GDK_KEY_braille_dots_14568","","",null,null],[17,"GDK_KEY_braille_dots_1457","","",null,null],[17,"GDK_KEY_braille_dots_14578","","",null,null],[17,"GDK_KEY_braille_dots_1458","","",null,null],[17,"GDK_KEY_braille_dots_146","","",null,null],[17,"GDK_KEY_braille_dots_1467","","",null,null],[17,"GDK_KEY_braille_dots_14678","","",null,null],[17,"GDK_KEY_braille_dots_1468","","",null,null],[17,"GDK_KEY_braille_dots_147","","",null,null],[17,"GDK_KEY_braille_dots_1478","","",null,null],[17,"GDK_KEY_braille_dots_148","","",null,null],[17,"GDK_KEY_braille_dots_15","","",null,null],[17,"GDK_KEY_braille_dots_156","","",null,null],[17,"GDK_KEY_braille_dots_1567","","",null,null],[17,"GDK_KEY_braille_dots_15678","","",null,null],[17,"GDK_KEY_braille_dots_1568","","",null,null],[17,"GDK_KEY_braille_dots_157","","",null,null],[17,"GDK_KEY_braille_dots_1578","","",null,null],[17,"GDK_KEY_braille_dots_158","","",null,null],[17,"GDK_KEY_braille_dots_16","","",null,null],[17,"GDK_KEY_braille_dots_167","","",null,null],[17,"GDK_KEY_braille_dots_1678","","",null,null],[17,"GDK_KEY_braille_dots_168","","",null,null],[17,"GDK_KEY_braille_dots_17","","",null,null],[17,"GDK_KEY_braille_dots_178","","",null,null],[17,"GDK_KEY_braille_dots_18","","",null,null],[17,"GDK_KEY_braille_dots_2","","",null,null],[17,"GDK_KEY_braille_dots_23","","",null,null],[17,"GDK_KEY_braille_dots_234","","",null,null],[17,"GDK_KEY_braille_dots_2345","","",null,null],[17,"GDK_KEY_braille_dots_23456","","",null,null],[17,"GDK_KEY_braille_dots_234567","","",null,null],[17,"GDK_KEY_braille_dots_2345678","","",null,null],[17,"GDK_KEY_braille_dots_234568","","",null,null],[17,"GDK_KEY_braille_dots_23457","","",null,null],[17,"GDK_KEY_braille_dots_234578","","",null,null],[17,"GDK_KEY_braille_dots_23458","","",null,null],[17,"GDK_KEY_braille_dots_2346","","",null,null],[17,"GDK_KEY_braille_dots_23467","","",null,null],[17,"GDK_KEY_braille_dots_234678","","",null,null],[17,"GDK_KEY_braille_dots_23468","","",null,null],[17,"GDK_KEY_braille_dots_2347","","",null,null],[17,"GDK_KEY_braille_dots_23478","","",null,null],[17,"GDK_KEY_braille_dots_2348","","",null,null],[17,"GDK_KEY_braille_dots_235","","",null,null],[17,"GDK_KEY_braille_dots_2356","","",null,null],[17,"GDK_KEY_braille_dots_23567","","",null,null],[17,"GDK_KEY_braille_dots_235678","","",null,null],[17,"GDK_KEY_braille_dots_23568","","",null,null],[17,"GDK_KEY_braille_dots_2357","","",null,null],[17,"GDK_KEY_braille_dots_23578","","",null,null],[17,"GDK_KEY_braille_dots_2358","","",null,null],[17,"GDK_KEY_braille_dots_236","","",null,null],[17,"GDK_KEY_braille_dots_2367","","",null,null],[17,"GDK_KEY_braille_dots_23678","","",null,null],[17,"GDK_KEY_braille_dots_2368","","",null,null],[17,"GDK_KEY_braille_dots_237","","",null,null],[17,"GDK_KEY_braille_dots_2378","","",null,null],[17,"GDK_KEY_braille_dots_238","","",null,null],[17,"GDK_KEY_braille_dots_24","","",null,null],[17,"GDK_KEY_braille_dots_245","","",null,null],[17,"GDK_KEY_braille_dots_2456","","",null,null],[17,"GDK_KEY_braille_dots_24567","","",null,null],[17,"GDK_KEY_braille_dots_245678","","",null,null],[17,"GDK_KEY_braille_dots_24568","","",null,null],[17,"GDK_KEY_braille_dots_2457","","",null,null],[17,"GDK_KEY_braille_dots_24578","","",null,null],[17,"GDK_KEY_braille_dots_2458","","",null,null],[17,"GDK_KEY_braille_dots_246","","",null,null],[17,"GDK_KEY_braille_dots_2467","","",null,null],[17,"GDK_KEY_braille_dots_24678","","",null,null],[17,"GDK_KEY_braille_dots_2468","","",null,null],[17,"GDK_KEY_braille_dots_247","","",null,null],[17,"GDK_KEY_braille_dots_2478","","",null,null],[17,"GDK_KEY_braille_dots_248","","",null,null],[17,"GDK_KEY_braille_dots_25","","",null,null],[17,"GDK_KEY_braille_dots_256","","",null,null],[17,"GDK_KEY_braille_dots_2567","","",null,null],[17,"GDK_KEY_braille_dots_25678","","",null,null],[17,"GDK_KEY_braille_dots_2568","","",null,null],[17,"GDK_KEY_braille_dots_257","","",null,null],[17,"GDK_KEY_braille_dots_2578","","",null,null],[17,"GDK_KEY_braille_dots_258","","",null,null],[17,"GDK_KEY_braille_dots_26","","",null,null],[17,"GDK_KEY_braille_dots_267","","",null,null],[17,"GDK_KEY_braille_dots_2678","","",null,null],[17,"GDK_KEY_braille_dots_268","","",null,null],[17,"GDK_KEY_braille_dots_27","","",null,null],[17,"GDK_KEY_braille_dots_278","","",null,null],[17,"GDK_KEY_braille_dots_28","","",null,null],[17,"GDK_KEY_braille_dots_3","","",null,null],[17,"GDK_KEY_braille_dots_34","","",null,null],[17,"GDK_KEY_braille_dots_345","","",null,null],[17,"GDK_KEY_braille_dots_3456","","",null,null],[17,"GDK_KEY_braille_dots_34567","","",null,null],[17,"GDK_KEY_braille_dots_345678","","",null,null],[17,"GDK_KEY_braille_dots_34568","","",null,null],[17,"GDK_KEY_braille_dots_3457","","",null,null],[17,"GDK_KEY_braille_dots_34578","","",null,null],[17,"GDK_KEY_braille_dots_3458","","",null,null],[17,"GDK_KEY_braille_dots_346","","",null,null],[17,"GDK_KEY_braille_dots_3467","","",null,null],[17,"GDK_KEY_braille_dots_34678","","",null,null],[17,"GDK_KEY_braille_dots_3468","","",null,null],[17,"GDK_KEY_braille_dots_347","","",null,null],[17,"GDK_KEY_braille_dots_3478","","",null,null],[17,"GDK_KEY_braille_dots_348","","",null,null],[17,"GDK_KEY_braille_dots_35","","",null,null],[17,"GDK_KEY_braille_dots_356","","",null,null],[17,"GDK_KEY_braille_dots_3567","","",null,null],[17,"GDK_KEY_braille_dots_35678","","",null,null],[17,"GDK_KEY_braille_dots_3568","","",null,null],[17,"GDK_KEY_braille_dots_357","","",null,null],[17,"GDK_KEY_braille_dots_3578","","",null,null],[17,"GDK_KEY_braille_dots_358","","",null,null],[17,"GDK_KEY_braille_dots_36","","",null,null],[17,"GDK_KEY_braille_dots_367","","",null,null],[17,"GDK_KEY_braille_dots_3678","","",null,null],[17,"GDK_KEY_braille_dots_368","","",null,null],[17,"GDK_KEY_braille_dots_37","","",null,null],[17,"GDK_KEY_braille_dots_378","","",null,null],[17,"GDK_KEY_braille_dots_38","","",null,null],[17,"GDK_KEY_braille_dots_4","","",null,null],[17,"GDK_KEY_braille_dots_45","","",null,null],[17,"GDK_KEY_braille_dots_456","","",null,null],[17,"GDK_KEY_braille_dots_4567","","",null,null],[17,"GDK_KEY_braille_dots_45678","","",null,null],[17,"GDK_KEY_braille_dots_4568","","",null,null],[17,"GDK_KEY_braille_dots_457","","",null,null],[17,"GDK_KEY_braille_dots_4578","","",null,null],[17,"GDK_KEY_braille_dots_458","","",null,null],[17,"GDK_KEY_braille_dots_46","","",null,null],[17,"GDK_KEY_braille_dots_467","","",null,null],[17,"GDK_KEY_braille_dots_4678","","",null,null],[17,"GDK_KEY_braille_dots_468","","",null,null],[17,"GDK_KEY_braille_dots_47","","",null,null],[17,"GDK_KEY_braille_dots_478","","",null,null],[17,"GDK_KEY_braille_dots_48","","",null,null],[17,"GDK_KEY_braille_dots_5","","",null,null],[17,"GDK_KEY_braille_dots_56","","",null,null],[17,"GDK_KEY_braille_dots_567","","",null,null],[17,"GDK_KEY_braille_dots_5678","","",null,null],[17,"GDK_KEY_braille_dots_568","","",null,null],[17,"GDK_KEY_braille_dots_57","","",null,null],[17,"GDK_KEY_braille_dots_578","","",null,null],[17,"GDK_KEY_braille_dots_58","","",null,null],[17,"GDK_KEY_braille_dots_6","","",null,null],[17,"GDK_KEY_braille_dots_67","","",null,null],[17,"GDK_KEY_braille_dots_678","","",null,null],[17,"GDK_KEY_braille_dots_68","","",null,null],[17,"GDK_KEY_braille_dots_7","","",null,null],[17,"GDK_KEY_braille_dots_78","","",null,null],[17,"GDK_KEY_braille_dots_8","","",null,null],[17,"GDK_KEY_breve","","",null,null],[17,"GDK_KEY_brokenbar","","",null,null],[17,"GDK_KEY_c","","",null,null],[17,"GDK_KEY_c_h","","",null,null],[17,"GDK_KEY_cabovedot","","",null,null],[17,"GDK_KEY_cacute","","",null,null],[17,"GDK_KEY_careof","","",null,null],[17,"GDK_KEY_caret","","",null,null],[17,"GDK_KEY_caron","","",null,null],[17,"GDK_KEY_ccaron","","",null,null],[17,"GDK_KEY_ccedilla","","",null,null],[17,"GDK_KEY_ccircumflex","","",null,null],[17,"GDK_KEY_cedilla","","",null,null],[17,"GDK_KEY_cent","","",null,null],[17,"GDK_KEY_ch","","",null,null],[17,"GDK_KEY_checkerboard","","",null,null],[17,"GDK_KEY_checkmark","","",null,null],[17,"GDK_KEY_circle","","",null,null],[17,"GDK_KEY_club","","",null,null],[17,"GDK_KEY_colon","","",null,null],[17,"GDK_KEY_comma","","",null,null],[17,"GDK_KEY_containsas","","",null,null],[17,"GDK_KEY_copyright","","",null,null],[17,"GDK_KEY_cr","","",null,null],[17,"GDK_KEY_crossinglines","","",null,null],[17,"GDK_KEY_cuberoot","","",null,null],[17,"GDK_KEY_currency","","",null,null],[17,"GDK_KEY_cursor","","",null,null],[17,"GDK_KEY_d","","",null,null],[17,"GDK_KEY_dabovedot","","",null,null],[17,"GDK_KEY_dagger","","",null,null],[17,"GDK_KEY_dcaron","","",null,null],[17,"GDK_KEY_dead_A","","",null,null],[17,"GDK_KEY_dead_E","","",null,null],[17,"GDK_KEY_dead_I","","",null,null],[17,"GDK_KEY_dead_O","","",null,null],[17,"GDK_KEY_dead_U","","",null,null],[17,"GDK_KEY_dead_a","","",null,null],[17,"GDK_KEY_dead_abovecomma","","",null,null],[17,"GDK_KEY_dead_abovedot","","",null,null],[17,"GDK_KEY_dead_abovereversedcomma","","",null,null],[17,"GDK_KEY_dead_abovering","","",null,null],[17,"GDK_KEY_dead_acute","","",null,null],[17,"GDK_KEY_dead_belowbreve","","",null,null],[17,"GDK_KEY_dead_belowcircumflex","","",null,null],[17,"GDK_KEY_dead_belowcomma","","",null,null],[17,"GDK_KEY_dead_belowdiaeresis","","",null,null],[17,"GDK_KEY_dead_belowdot","","",null,null],[17,"GDK_KEY_dead_belowmacron","","",null,null],[17,"GDK_KEY_dead_belowring","","",null,null],[17,"GDK_KEY_dead_belowtilde","","",null,null],[17,"GDK_KEY_dead_breve","","",null,null],[17,"GDK_KEY_dead_capital_schwa","","",null,null],[17,"GDK_KEY_dead_caron","","",null,null],[17,"GDK_KEY_dead_cedilla","","",null,null],[17,"GDK_KEY_dead_circumflex","","",null,null],[17,"GDK_KEY_dead_currency","","",null,null],[17,"GDK_KEY_dead_dasia","","",null,null],[17,"GDK_KEY_dead_diaeresis","","",null,null],[17,"GDK_KEY_dead_doubleacute","","",null,null],[17,"GDK_KEY_dead_doublegrave","","",null,null],[17,"GDK_KEY_dead_e","","",null,null],[17,"GDK_KEY_dead_grave","","",null,null],[17,"GDK_KEY_dead_greek","","",null,null],[17,"GDK_KEY_dead_hook","","",null,null],[17,"GDK_KEY_dead_horn","","",null,null],[17,"GDK_KEY_dead_i","","",null,null],[17,"GDK_KEY_dead_invertedbreve","","",null,null],[17,"GDK_KEY_dead_iota","","",null,null],[17,"GDK_KEY_dead_macron","","",null,null],[17,"GDK_KEY_dead_o","","",null,null],[17,"GDK_KEY_dead_ogonek","","",null,null],[17,"GDK_KEY_dead_perispomeni","","",null,null],[17,"GDK_KEY_dead_psili","","",null,null],[17,"GDK_KEY_dead_semivoiced_sound","","",null,null],[17,"GDK_KEY_dead_small_schwa","","",null,null],[17,"GDK_KEY_dead_stroke","","",null,null],[17,"GDK_KEY_dead_tilde","","",null,null],[17,"GDK_KEY_dead_u","","",null,null],[17,"GDK_KEY_dead_voiced_sound","","",null,null],[17,"GDK_KEY_decimalpoint","","",null,null],[17,"GDK_KEY_degree","","",null,null],[17,"GDK_KEY_diaeresis","","",null,null],[17,"GDK_KEY_diamond","","",null,null],[17,"GDK_KEY_digitspace","","",null,null],[17,"GDK_KEY_dintegral","","",null,null],[17,"GDK_KEY_division","","",null,null],[17,"GDK_KEY_dollar","","",null,null],[17,"GDK_KEY_doubbaselinedot","","",null,null],[17,"GDK_KEY_doubleacute","","",null,null],[17,"GDK_KEY_doubledagger","","",null,null],[17,"GDK_KEY_doublelowquotemark","","",null,null],[17,"GDK_KEY_downarrow","","",null,null],[17,"GDK_KEY_downcaret","","",null,null],[17,"GDK_KEY_downshoe","","",null,null],[17,"GDK_KEY_downstile","","",null,null],[17,"GDK_KEY_downtack","","",null,null],[17,"GDK_KEY_dstroke","","",null,null],[17,"GDK_KEY_e","","",null,null],[17,"GDK_KEY_eabovedot","","",null,null],[17,"GDK_KEY_eacute","","",null,null],[17,"GDK_KEY_ebelowdot","","",null,null],[17,"GDK_KEY_ecaron","","",null,null],[17,"GDK_KEY_ecircumflex","","",null,null],[17,"GDK_KEY_ecircumflexacute","","",null,null],[17,"GDK_KEY_ecircumflexbelowdot","","",null,null],[17,"GDK_KEY_ecircumflexgrave","","",null,null],[17,"GDK_KEY_ecircumflexhook","","",null,null],[17,"GDK_KEY_ecircumflextilde","","",null,null],[17,"GDK_KEY_ediaeresis","","",null,null],[17,"GDK_KEY_egrave","","",null,null],[17,"GDK_KEY_ehook","","",null,null],[17,"GDK_KEY_eightsubscript","","",null,null],[17,"GDK_KEY_eightsuperior","","",null,null],[17,"GDK_KEY_elementof","","",null,null],[17,"GDK_KEY_ellipsis","","",null,null],[17,"GDK_KEY_em3space","","",null,null],[17,"GDK_KEY_em4space","","",null,null],[17,"GDK_KEY_emacron","","",null,null],[17,"GDK_KEY_emdash","","",null,null],[17,"GDK_KEY_emfilledcircle","","",null,null],[17,"GDK_KEY_emfilledrect","","",null,null],[17,"GDK_KEY_emopencircle","","",null,null],[17,"GDK_KEY_emopenrectangle","","",null,null],[17,"GDK_KEY_emptyset","","",null,null],[17,"GDK_KEY_emspace","","",null,null],[17,"GDK_KEY_endash","","",null,null],[17,"GDK_KEY_enfilledcircbullet","","",null,null],[17,"GDK_KEY_enfilledsqbullet","","",null,null],[17,"GDK_KEY_eng","","",null,null],[17,"GDK_KEY_enopencircbullet","","",null,null],[17,"GDK_KEY_enopensquarebullet","","",null,null],[17,"GDK_KEY_enspace","","",null,null],[17,"GDK_KEY_eogonek","","",null,null],[17,"GDK_KEY_equal","","",null,null],[17,"GDK_KEY_eth","","",null,null],[17,"GDK_KEY_etilde","","",null,null],[17,"GDK_KEY_exclam","","",null,null],[17,"GDK_KEY_exclamdown","","",null,null],[17,"GDK_KEY_ezh","","",null,null],[17,"GDK_KEY_f","","",null,null],[17,"GDK_KEY_fabovedot","","",null,null],[17,"GDK_KEY_femalesymbol","","",null,null],[17,"GDK_KEY_ff","","",null,null],[17,"GDK_KEY_figdash","","",null,null],[17,"GDK_KEY_filledlefttribullet","","",null,null],[17,"GDK_KEY_filledrectbullet","","",null,null],[17,"GDK_KEY_filledrighttribullet","","",null,null],[17,"GDK_KEY_filledtribulletdown","","",null,null],[17,"GDK_KEY_filledtribulletup","","",null,null],[17,"GDK_KEY_fiveeighths","","",null,null],[17,"GDK_KEY_fivesixths","","",null,null],[17,"GDK_KEY_fivesubscript","","",null,null],[17,"GDK_KEY_fivesuperior","","",null,null],[17,"GDK_KEY_fourfifths","","",null,null],[17,"GDK_KEY_foursubscript","","",null,null],[17,"GDK_KEY_foursuperior","","",null,null],[17,"GDK_KEY_fourthroot","","",null,null],[17,"GDK_KEY_function","","",null,null],[17,"GDK_KEY_g","","",null,null],[17,"GDK_KEY_gabovedot","","",null,null],[17,"GDK_KEY_gbreve","","",null,null],[17,"GDK_KEY_gcaron","","",null,null],[17,"GDK_KEY_gcedilla","","",null,null],[17,"GDK_KEY_gcircumflex","","",null,null],[17,"GDK_KEY_grave","","",null,null],[17,"GDK_KEY_greater","","",null,null],[17,"GDK_KEY_greaterthanequal","","",null,null],[17,"GDK_KEY_guillemotleft","","",null,null],[17,"GDK_KEY_guillemotright","","",null,null],[17,"GDK_KEY_h","","",null,null],[17,"GDK_KEY_hairspace","","",null,null],[17,"GDK_KEY_hcircumflex","","",null,null],[17,"GDK_KEY_heart","","",null,null],[17,"GDK_KEY_hebrew_aleph","","",null,null],[17,"GDK_KEY_hebrew_ayin","","",null,null],[17,"GDK_KEY_hebrew_bet","","",null,null],[17,"GDK_KEY_hebrew_beth","","",null,null],[17,"GDK_KEY_hebrew_chet","","",null,null],[17,"GDK_KEY_hebrew_dalet","","",null,null],[17,"GDK_KEY_hebrew_daleth","","",null,null],[17,"GDK_KEY_hebrew_doublelowline","","",null,null],[17,"GDK_KEY_hebrew_finalkaph","","",null,null],[17,"GDK_KEY_hebrew_finalmem","","",null,null],[17,"GDK_KEY_hebrew_finalnun","","",null,null],[17,"GDK_KEY_hebrew_finalpe","","",null,null],[17,"GDK_KEY_hebrew_finalzade","","",null,null],[17,"GDK_KEY_hebrew_finalzadi","","",null,null],[17,"GDK_KEY_hebrew_gimel","","",null,null],[17,"GDK_KEY_hebrew_gimmel","","",null,null],[17,"GDK_KEY_hebrew_he","","",null,null],[17,"GDK_KEY_hebrew_het","","",null,null],[17,"GDK_KEY_hebrew_kaph","","",null,null],[17,"GDK_KEY_hebrew_kuf","","",null,null],[17,"GDK_KEY_hebrew_lamed","","",null,null],[17,"GDK_KEY_hebrew_mem","","",null,null],[17,"GDK_KEY_hebrew_nun","","",null,null],[17,"GDK_KEY_hebrew_pe","","",null,null],[17,"GDK_KEY_hebrew_qoph","","",null,null],[17,"GDK_KEY_hebrew_resh","","",null,null],[17,"GDK_KEY_hebrew_samech","","",null,null],[17,"GDK_KEY_hebrew_samekh","","",null,null],[17,"GDK_KEY_hebrew_shin","","",null,null],[17,"GDK_KEY_hebrew_taf","","",null,null],[17,"GDK_KEY_hebrew_taw","","",null,null],[17,"GDK_KEY_hebrew_tet","","",null,null],[17,"GDK_KEY_hebrew_teth","","",null,null],[17,"GDK_KEY_hebrew_waw","","",null,null],[17,"GDK_KEY_hebrew_yod","","",null,null],[17,"GDK_KEY_hebrew_zade","","",null,null],[17,"GDK_KEY_hebrew_zadi","","",null,null],[17,"GDK_KEY_hebrew_zain","","",null,null],[17,"GDK_KEY_hebrew_zayin","","",null,null],[17,"GDK_KEY_hexagram","","",null,null],[17,"GDK_KEY_horizconnector","","",null,null],[17,"GDK_KEY_horizlinescan1","","",null,null],[17,"GDK_KEY_horizlinescan3","","",null,null],[17,"GDK_KEY_horizlinescan5","","",null,null],[17,"GDK_KEY_horizlinescan7","","",null,null],[17,"GDK_KEY_horizlinescan9","","",null,null],[17,"GDK_KEY_hstroke","","",null,null],[17,"GDK_KEY_ht","","",null,null],[17,"GDK_KEY_hyphen","","",null,null],[17,"GDK_KEY_i","","",null,null],[17,"GDK_KEY_iTouch","","",null,null],[17,"GDK_KEY_iacute","","",null,null],[17,"GDK_KEY_ibelowdot","","",null,null],[17,"GDK_KEY_ibreve","","",null,null],[17,"GDK_KEY_icircumflex","","",null,null],[17,"GDK_KEY_identical","","",null,null],[17,"GDK_KEY_idiaeresis","","",null,null],[17,"GDK_KEY_idotless","","",null,null],[17,"GDK_KEY_ifonlyif","","",null,null],[17,"GDK_KEY_igrave","","",null,null],[17,"GDK_KEY_ihook","","",null,null],[17,"GDK_KEY_imacron","","",null,null],[17,"GDK_KEY_implies","","",null,null],[17,"GDK_KEY_includedin","","",null,null],[17,"GDK_KEY_includes","","",null,null],[17,"GDK_KEY_infinity","","",null,null],[17,"GDK_KEY_integral","","",null,null],[17,"GDK_KEY_intersection","","",null,null],[17,"GDK_KEY_iogonek","","",null,null],[17,"GDK_KEY_itilde","","",null,null],[17,"GDK_KEY_j","","",null,null],[17,"GDK_KEY_jcircumflex","","",null,null],[17,"GDK_KEY_jot","","",null,null],[17,"GDK_KEY_k","","",null,null],[17,"GDK_KEY_kana_A","","",null,null],[17,"GDK_KEY_kana_CHI","","",null,null],[17,"GDK_KEY_kana_E","","",null,null],[17,"GDK_KEY_kana_FU","","",null,null],[17,"GDK_KEY_kana_HA","","",null,null],[17,"GDK_KEY_kana_HE","","",null,null],[17,"GDK_KEY_kana_HI","","",null,null],[17,"GDK_KEY_kana_HO","","",null,null],[17,"GDK_KEY_kana_HU","","",null,null],[17,"GDK_KEY_kana_I","","",null,null],[17,"GDK_KEY_kana_KA","","",null,null],[17,"GDK_KEY_kana_KE","","",null,null],[17,"GDK_KEY_kana_KI","","",null,null],[17,"GDK_KEY_kana_KO","","",null,null],[17,"GDK_KEY_kana_KU","","",null,null],[17,"GDK_KEY_kana_MA","","",null,null],[17,"GDK_KEY_kana_ME","","",null,null],[17,"GDK_KEY_kana_MI","","",null,null],[17,"GDK_KEY_kana_MO","","",null,null],[17,"GDK_KEY_kana_MU","","",null,null],[17,"GDK_KEY_kana_N","","",null,null],[17,"GDK_KEY_kana_NA","","",null,null],[17,"GDK_KEY_kana_NE","","",null,null],[17,"GDK_KEY_kana_NI","","",null,null],[17,"GDK_KEY_kana_NO","","",null,null],[17,"GDK_KEY_kana_NU","","",null,null],[17,"GDK_KEY_kana_O","","",null,null],[17,"GDK_KEY_kana_RA","","",null,null],[17,"GDK_KEY_kana_RE","","",null,null],[17,"GDK_KEY_kana_RI","","",null,null],[17,"GDK_KEY_kana_RO","","",null,null],[17,"GDK_KEY_kana_RU","","",null,null],[17,"GDK_KEY_kana_SA","","",null,null],[17,"GDK_KEY_kana_SE","","",null,null],[17,"GDK_KEY_kana_SHI","","",null,null],[17,"GDK_KEY_kana_SO","","",null,null],[17,"GDK_KEY_kana_SU","","",null,null],[17,"GDK_KEY_kana_TA","","",null,null],[17,"GDK_KEY_kana_TE","","",null,null],[17,"GDK_KEY_kana_TI","","",null,null],[17,"GDK_KEY_kana_TO","","",null,null],[17,"GDK_KEY_kana_TSU","","",null,null],[17,"GDK_KEY_kana_TU","","",null,null],[17,"GDK_KEY_kana_U","","",null,null],[17,"GDK_KEY_kana_WA","","",null,null],[17,"GDK_KEY_kana_WO","","",null,null],[17,"GDK_KEY_kana_YA","","",null,null],[17,"GDK_KEY_kana_YO","","",null,null],[17,"GDK_KEY_kana_YU","","",null,null],[17,"GDK_KEY_kana_a","","",null,null],[17,"GDK_KEY_kana_closingbracket","","",null,null],[17,"GDK_KEY_kana_comma","","",null,null],[17,"GDK_KEY_kana_conjunctive","","",null,null],[17,"GDK_KEY_kana_e","","",null,null],[17,"GDK_KEY_kana_fullstop","","",null,null],[17,"GDK_KEY_kana_i","","",null,null],[17,"GDK_KEY_kana_middledot","","",null,null],[17,"GDK_KEY_kana_o","","",null,null],[17,"GDK_KEY_kana_openingbracket","","",null,null],[17,"GDK_KEY_kana_switch","","",null,null],[17,"GDK_KEY_kana_tsu","","",null,null],[17,"GDK_KEY_kana_tu","","",null,null],[17,"GDK_KEY_kana_u","","",null,null],[17,"GDK_KEY_kana_ya","","",null,null],[17,"GDK_KEY_kana_yo","","",null,null],[17,"GDK_KEY_kana_yu","","",null,null],[17,"GDK_KEY_kappa","","",null,null],[17,"GDK_KEY_kcedilla","","",null,null],[17,"GDK_KEY_kra","","",null,null],[17,"GDK_KEY_l","","",null,null],[17,"GDK_KEY_lacute","","",null,null],[17,"GDK_KEY_latincross","","",null,null],[17,"GDK_KEY_lbelowdot","","",null,null],[17,"GDK_KEY_lcaron","","",null,null],[17,"GDK_KEY_lcedilla","","",null,null],[17,"GDK_KEY_leftanglebracket","","",null,null],[17,"GDK_KEY_leftarrow","","",null,null],[17,"GDK_KEY_leftcaret","","",null,null],[17,"GDK_KEY_leftdoublequotemark","","",null,null],[17,"GDK_KEY_leftmiddlecurlybrace","","",null,null],[17,"GDK_KEY_leftopentriangle","","",null,null],[17,"GDK_KEY_leftpointer","","",null,null],[17,"GDK_KEY_leftradical","","",null,null],[17,"GDK_KEY_leftshoe","","",null,null],[17,"GDK_KEY_leftsinglequotemark","","",null,null],[17,"GDK_KEY_leftt","","",null,null],[17,"GDK_KEY_lefttack","","",null,null],[17,"GDK_KEY_less","","",null,null],[17,"GDK_KEY_lessthanequal","","",null,null],[17,"GDK_KEY_lf","","",null,null],[17,"GDK_KEY_logicaland","","",null,null],[17,"GDK_KEY_logicalor","","",null,null],[17,"GDK_KEY_lowleftcorner","","",null,null],[17,"GDK_KEY_lowrightcorner","","",null,null],[17,"GDK_KEY_lstroke","","",null,null],[17,"GDK_KEY_m","","",null,null],[17,"GDK_KEY_mabovedot","","",null,null],[17,"GDK_KEY_macron","","",null,null],[17,"GDK_KEY_malesymbol","","",null,null],[17,"GDK_KEY_maltesecross","","",null,null],[17,"GDK_KEY_marker","","",null,null],[17,"GDK_KEY_masculine","","",null,null],[17,"GDK_KEY_minus","","",null,null],[17,"GDK_KEY_minutes","","",null,null],[17,"GDK_KEY_mu","","",null,null],[17,"GDK_KEY_multiply","","",null,null],[17,"GDK_KEY_musicalflat","","",null,null],[17,"GDK_KEY_musicalsharp","","",null,null],[17,"GDK_KEY_n","","",null,null],[17,"GDK_KEY_nabla","","",null,null],[17,"GDK_KEY_nacute","","",null,null],[17,"GDK_KEY_ncaron","","",null,null],[17,"GDK_KEY_ncedilla","","",null,null],[17,"GDK_KEY_ninesubscript","","",null,null],[17,"GDK_KEY_ninesuperior","","",null,null],[17,"GDK_KEY_nl","","",null,null],[17,"GDK_KEY_nobreakspace","","",null,null],[17,"GDK_KEY_notapproxeq","","",null,null],[17,"GDK_KEY_notelementof","","",null,null],[17,"GDK_KEY_notequal","","",null,null],[17,"GDK_KEY_notidentical","","",null,null],[17,"GDK_KEY_notsign","","",null,null],[17,"GDK_KEY_ntilde","","",null,null],[17,"GDK_KEY_numbersign","","",null,null],[17,"GDK_KEY_numerosign","","",null,null],[17,"GDK_KEY_o","","",null,null],[17,"GDK_KEY_oacute","","",null,null],[17,"GDK_KEY_obarred","","",null,null],[17,"GDK_KEY_obelowdot","","",null,null],[17,"GDK_KEY_ocaron","","",null,null],[17,"GDK_KEY_ocircumflex","","",null,null],[17,"GDK_KEY_ocircumflexacute","","",null,null],[17,"GDK_KEY_ocircumflexbelowdot","","",null,null],[17,"GDK_KEY_ocircumflexgrave","","",null,null],[17,"GDK_KEY_ocircumflexhook","","",null,null],[17,"GDK_KEY_ocircumflextilde","","",null,null],[17,"GDK_KEY_odiaeresis","","",null,null],[17,"GDK_KEY_odoubleacute","","",null,null],[17,"GDK_KEY_oe","","",null,null],[17,"GDK_KEY_ogonek","","",null,null],[17,"GDK_KEY_ograve","","",null,null],[17,"GDK_KEY_ohook","","",null,null],[17,"GDK_KEY_ohorn","","",null,null],[17,"GDK_KEY_ohornacute","","",null,null],[17,"GDK_KEY_ohornbelowdot","","",null,null],[17,"GDK_KEY_ohorngrave","","",null,null],[17,"GDK_KEY_ohornhook","","",null,null],[17,"GDK_KEY_ohorntilde","","",null,null],[17,"GDK_KEY_omacron","","",null,null],[17,"GDK_KEY_oneeighth","","",null,null],[17,"GDK_KEY_onefifth","","",null,null],[17,"GDK_KEY_onehalf","","",null,null],[17,"GDK_KEY_onequarter","","",null,null],[17,"GDK_KEY_onesixth","","",null,null],[17,"GDK_KEY_onesubscript","","",null,null],[17,"GDK_KEY_onesuperior","","",null,null],[17,"GDK_KEY_onethird","","",null,null],[17,"GDK_KEY_ooblique","","",null,null],[17,"GDK_KEY_openrectbullet","","",null,null],[17,"GDK_KEY_openstar","","",null,null],[17,"GDK_KEY_opentribulletdown","","",null,null],[17,"GDK_KEY_opentribulletup","","",null,null],[17,"GDK_KEY_ordfeminine","","",null,null],[17,"GDK_KEY_oslash","","",null,null],[17,"GDK_KEY_otilde","","",null,null],[17,"GDK_KEY_overbar","","",null,null],[17,"GDK_KEY_overline","","",null,null],[17,"GDK_KEY_p","","",null,null],[17,"GDK_KEY_pabovedot","","",null,null],[17,"GDK_KEY_paragraph","","",null,null],[17,"GDK_KEY_parenleft","","",null,null],[17,"GDK_KEY_parenright","","",null,null],[17,"GDK_KEY_partdifferential","","",null,null],[17,"GDK_KEY_partialderivative","","",null,null],[17,"GDK_KEY_percent","","",null,null],[17,"GDK_KEY_period","","",null,null],[17,"GDK_KEY_periodcentered","","",null,null],[17,"GDK_KEY_permille","","",null,null],[17,"GDK_KEY_phonographcopyright","","",null,null],[17,"GDK_KEY_plus","","",null,null],[17,"GDK_KEY_plusminus","","",null,null],[17,"GDK_KEY_prescription","","",null,null],[17,"GDK_KEY_prolongedsound","","",null,null],[17,"GDK_KEY_punctspace","","",null,null],[17,"GDK_KEY_q","","",null,null],[17,"GDK_KEY_quad","","",null,null],[17,"GDK_KEY_question","","",null,null],[17,"GDK_KEY_questiondown","","",null,null],[17,"GDK_KEY_quotedbl","","",null,null],[17,"GDK_KEY_quoteleft","","",null,null],[17,"GDK_KEY_quoteright","","",null,null],[17,"GDK_KEY_r","","",null,null],[17,"GDK_KEY_racute","","",null,null],[17,"GDK_KEY_radical","","",null,null],[17,"GDK_KEY_rcaron","","",null,null],[17,"GDK_KEY_rcedilla","","",null,null],[17,"GDK_KEY_registered","","",null,null],[17,"GDK_KEY_rightanglebracket","","",null,null],[17,"GDK_KEY_rightarrow","","",null,null],[17,"GDK_KEY_rightcaret","","",null,null],[17,"GDK_KEY_rightdoublequotemark","","",null,null],[17,"GDK_KEY_rightmiddlecurlybrace","","",null,null],[17,"GDK_KEY_rightmiddlesummation","","",null,null],[17,"GDK_KEY_rightopentriangle","","",null,null],[17,"GDK_KEY_rightpointer","","",null,null],[17,"GDK_KEY_rightshoe","","",null,null],[17,"GDK_KEY_rightsinglequotemark","","",null,null],[17,"GDK_KEY_rightt","","",null,null],[17,"GDK_KEY_righttack","","",null,null],[17,"GDK_KEY_s","","",null,null],[17,"GDK_KEY_sabovedot","","",null,null],[17,"GDK_KEY_sacute","","",null,null],[17,"GDK_KEY_scaron","","",null,null],[17,"GDK_KEY_scedilla","","",null,null],[17,"GDK_KEY_schwa","","",null,null],[17,"GDK_KEY_scircumflex","","",null,null],[17,"GDK_KEY_script_switch","","",null,null],[17,"GDK_KEY_seconds","","",null,null],[17,"GDK_KEY_section","","",null,null],[17,"GDK_KEY_semicolon","","",null,null],[17,"GDK_KEY_semivoicedsound","","",null,null],[17,"GDK_KEY_seveneighths","","",null,null],[17,"GDK_KEY_sevensubscript","","",null,null],[17,"GDK_KEY_sevensuperior","","",null,null],[17,"GDK_KEY_signaturemark","","",null,null],[17,"GDK_KEY_signifblank","","",null,null],[17,"GDK_KEY_similarequal","","",null,null],[17,"GDK_KEY_singlelowquotemark","","",null,null],[17,"GDK_KEY_sixsubscript","","",null,null],[17,"GDK_KEY_sixsuperior","","",null,null],[17,"GDK_KEY_slash","","",null,null],[17,"GDK_KEY_soliddiamond","","",null,null],[17,"GDK_KEY_space","","",null,null],[17,"GDK_KEY_squareroot","","",null,null],[17,"GDK_KEY_ssharp","","",null,null],[17,"GDK_KEY_sterling","","",null,null],[17,"GDK_KEY_stricteq","","",null,null],[17,"GDK_KEY_t","","",null,null],[17,"GDK_KEY_tabovedot","","",null,null],[17,"GDK_KEY_tcaron","","",null,null],[17,"GDK_KEY_tcedilla","","",null,null],[17,"GDK_KEY_telephone","","",null,null],[17,"GDK_KEY_telephonerecorder","","",null,null],[17,"GDK_KEY_therefore","","",null,null],[17,"GDK_KEY_thinspace","","",null,null],[17,"GDK_KEY_thorn","","",null,null],[17,"GDK_KEY_threeeighths","","",null,null],[17,"GDK_KEY_threefifths","","",null,null],[17,"GDK_KEY_threequarters","","",null,null],[17,"GDK_KEY_threesubscript","","",null,null],[17,"GDK_KEY_threesuperior","","",null,null],[17,"GDK_KEY_tintegral","","",null,null],[17,"GDK_KEY_topintegral","","",null,null],[17,"GDK_KEY_topleftparens","","",null,null],[17,"GDK_KEY_topleftradical","","",null,null],[17,"GDK_KEY_topleftsqbracket","","",null,null],[17,"GDK_KEY_topleftsummation","","",null,null],[17,"GDK_KEY_toprightparens","","",null,null],[17,"GDK_KEY_toprightsqbracket","","",null,null],[17,"GDK_KEY_toprightsummation","","",null,null],[17,"GDK_KEY_topt","","",null,null],[17,"GDK_KEY_topvertsummationconnector","","",null,null],[17,"GDK_KEY_trademark","","",null,null],[17,"GDK_KEY_trademarkincircle","","",null,null],[17,"GDK_KEY_tslash","","",null,null],[17,"GDK_KEY_twofifths","","",null,null],[17,"GDK_KEY_twosubscript","","",null,null],[17,"GDK_KEY_twosuperior","","",null,null],[17,"GDK_KEY_twothirds","","",null,null],[17,"GDK_KEY_u","","",null,null],[17,"GDK_KEY_uacute","","",null,null],[17,"GDK_KEY_ubelowdot","","",null,null],[17,"GDK_KEY_ubreve","","",null,null],[17,"GDK_KEY_ucircumflex","","",null,null],[17,"GDK_KEY_udiaeresis","","",null,null],[17,"GDK_KEY_udoubleacute","","",null,null],[17,"GDK_KEY_ugrave","","",null,null],[17,"GDK_KEY_uhook","","",null,null],[17,"GDK_KEY_uhorn","","",null,null],[17,"GDK_KEY_uhornacute","","",null,null],[17,"GDK_KEY_uhornbelowdot","","",null,null],[17,"GDK_KEY_uhorngrave","","",null,null],[17,"GDK_KEY_uhornhook","","",null,null],[17,"GDK_KEY_uhorntilde","","",null,null],[17,"GDK_KEY_umacron","","",null,null],[17,"GDK_KEY_underbar","","",null,null],[17,"GDK_KEY_underscore","","",null,null],[17,"GDK_KEY_union","","",null,null],[17,"GDK_KEY_uogonek","","",null,null],[17,"GDK_KEY_uparrow","","",null,null],[17,"GDK_KEY_upcaret","","",null,null],[17,"GDK_KEY_upleftcorner","","",null,null],[17,"GDK_KEY_uprightcorner","","",null,null],[17,"GDK_KEY_upshoe","","",null,null],[17,"GDK_KEY_upstile","","",null,null],[17,"GDK_KEY_uptack","","",null,null],[17,"GDK_KEY_uring","","",null,null],[17,"GDK_KEY_utilde","","",null,null],[17,"GDK_KEY_v","","",null,null],[17,"GDK_KEY_variation","","",null,null],[17,"GDK_KEY_vertbar","","",null,null],[17,"GDK_KEY_vertconnector","","",null,null],[17,"GDK_KEY_voicedsound","","",null,null],[17,"GDK_KEY_vt","","",null,null],[17,"GDK_KEY_w","","",null,null],[17,"GDK_KEY_wacute","","",null,null],[17,"GDK_KEY_wcircumflex","","",null,null],[17,"GDK_KEY_wdiaeresis","","",null,null],[17,"GDK_KEY_wgrave","","",null,null],[17,"GDK_KEY_x","","",null,null],[17,"GDK_KEY_xabovedot","","",null,null],[17,"GDK_KEY_y","","",null,null],[17,"GDK_KEY_yacute","","",null,null],[17,"GDK_KEY_ybelowdot","","",null,null],[17,"GDK_KEY_ycircumflex","","",null,null],[17,"GDK_KEY_ydiaeresis","","",null,null],[17,"GDK_KEY_yen","","",null,null],[17,"GDK_KEY_ygrave","","",null,null],[17,"GDK_KEY_yhook","","",null,null],[17,"GDK_KEY_ytilde","","",null,null],[17,"GDK_KEY_z","","",null,null],[17,"GDK_KEY_zabovedot","","",null,null],[17,"GDK_KEY_zacute","","",null,null],[17,"GDK_KEY_zcaron","","",null,null],[17,"GDK_KEY_zerosubscript","","",null,null],[17,"GDK_KEY_zerosuperior","","",null,null],[17,"GDK_KEY_zstroke","","",null,null],[17,"GDK_MAX_TIMECOORD_AXES","","",null,null],[17,"GDK_PARENT_RELATIVE","","",null,null],[17,"GDK_PRIORITY_REDRAW","","",null,null],[17,"GDK_ANCHOR_FLIP_X","","",null,null],[17,"GDK_ANCHOR_FLIP_Y","","",null,null],[17,"GDK_ANCHOR_SLIDE_X","","",null,null],[17,"GDK_ANCHOR_SLIDE_Y","","",null,null],[17,"GDK_ANCHOR_RESIZE_X","","",null,null],[17,"GDK_ANCHOR_RESIZE_Y","","",null,null],[17,"GDK_ANCHOR_FLIP","","",null,null],[17,"GDK_ANCHOR_SLIDE","","",null,null],[17,"GDK_ANCHOR_RESIZE","","",null,null],[17,"GDK_AXIS_FLAG_X","","",null,null],[17,"GDK_AXIS_FLAG_Y","","",null,null],[17,"GDK_AXIS_FLAG_PRESSURE","","",null,null],[17,"GDK_AXIS_FLAG_XTILT","","",null,null],[17,"GDK_AXIS_FLAG_YTILT","","",null,null],[17,"GDK_AXIS_FLAG_WHEEL","","",null,null],[17,"GDK_AXIS_FLAG_DISTANCE","","",null,null],[17,"GDK_AXIS_FLAG_ROTATION","","",null,null],[17,"GDK_AXIS_FLAG_SLIDER","","",null,null],[17,"GDK_ACTION_DEFAULT","","",null,null],[17,"GDK_ACTION_COPY","","",null,null],[17,"GDK_ACTION_MOVE","","",null,null],[17,"GDK_ACTION_LINK","","",null,null],[17,"GDK_ACTION_PRIVATE","","",null,null],[17,"GDK_ACTION_ASK","","",null,null],[17,"GDK_EXPOSURE_MASK","","",null,null],[17,"GDK_POINTER_MOTION_MASK","","",null,null],[17,"GDK_POINTER_MOTION_HINT_MASK","","",null,null],[17,"GDK_BUTTON_MOTION_MASK","","",null,null],[17,"GDK_BUTTON1_MOTION_MASK","","",null,null],[17,"GDK_BUTTON2_MOTION_MASK","","",null,null],[17,"GDK_BUTTON3_MOTION_MASK","","",null,null],[17,"GDK_BUTTON_PRESS_MASK","","",null,null],[17,"GDK_BUTTON_RELEASE_MASK","","",null,null],[17,"GDK_KEY_PRESS_MASK","","",null,null],[17,"GDK_KEY_RELEASE_MASK","","",null,null],[17,"GDK_ENTER_NOTIFY_MASK","","",null,null],[17,"GDK_LEAVE_NOTIFY_MASK","","",null,null],[17,"GDK_FOCUS_CHANGE_MASK","","",null,null],[17,"GDK_STRUCTURE_MASK","","",null,null],[17,"GDK_PROPERTY_CHANGE_MASK","","",null,null],[17,"GDK_VISIBILITY_NOTIFY_MASK","","",null,null],[17,"GDK_PROXIMITY_IN_MASK","","",null,null],[17,"GDK_PROXIMITY_OUT_MASK","","",null,null],[17,"GDK_SUBSTRUCTURE_MASK","","",null,null],[17,"GDK_SCROLL_MASK","","",null,null],[17,"GDK_TOUCH_MASK","","",null,null],[17,"GDK_SMOOTH_SCROLL_MASK","","",null,null],[17,"GDK_TOUCHPAD_GESTURE_MASK","","",null,null],[17,"GDK_TABLET_PAD_MASK","","",null,null],[17,"GDK_ALL_EVENTS_MASK","","",null,null],[17,"GDK_FRAME_CLOCK_PHASE_NONE","","",null,null],[17,"GDK_FRAME_CLOCK_PHASE_FLUSH_EVENTS","","",null,null],[17,"GDK_FRAME_CLOCK_PHASE_BEFORE_PAINT","","",null,null],[17,"GDK_FRAME_CLOCK_PHASE_UPDATE","","",null,null],[17,"GDK_FRAME_CLOCK_PHASE_LAYOUT","","",null,null],[17,"GDK_FRAME_CLOCK_PHASE_PAINT","","",null,null],[17,"GDK_FRAME_CLOCK_PHASE_RESUME_EVENTS","","",null,null],[17,"GDK_FRAME_CLOCK_PHASE_AFTER_PAINT","","",null,null],[17,"GDK_SHIFT_MASK","","",null,null],[17,"GDK_LOCK_MASK","","",null,null],[17,"GDK_CONTROL_MASK","","",null,null],[17,"GDK_MOD1_MASK","","",null,null],[17,"GDK_MOD2_MASK","","",null,null],[17,"GDK_MOD3_MASK","","",null,null],[17,"GDK_MOD4_MASK","","",null,null],[17,"GDK_MOD5_MASK","","",null,null],[17,"GDK_BUTTON1_MASK","","",null,null],[17,"GDK_BUTTON2_MASK","","",null,null],[17,"GDK_BUTTON3_MASK","","",null,null],[17,"GDK_BUTTON4_MASK","","",null,null],[17,"GDK_BUTTON5_MASK","","",null,null],[17,"GDK_MODIFIER_RESERVED_13_MASK","","",null,null],[17,"GDK_MODIFIER_RESERVED_14_MASK","","",null,null],[17,"GDK_MODIFIER_RESERVED_15_MASK","","",null,null],[17,"GDK_MODIFIER_RESERVED_16_MASK","","",null,null],[17,"GDK_MODIFIER_RESERVED_17_MASK","","",null,null],[17,"GDK_MODIFIER_RESERVED_18_MASK","","",null,null],[17,"GDK_MODIFIER_RESERVED_19_MASK","","",null,null],[17,"GDK_MODIFIER_RESERVED_20_MASK","","",null,null],[17,"GDK_MODIFIER_RESERVED_21_MASK","","",null,null],[17,"GDK_MODIFIER_RESERVED_22_MASK","","",null,null],[17,"GDK_MODIFIER_RESERVED_23_MASK","","",null,null],[17,"GDK_MODIFIER_RESERVED_24_MASK","","",null,null],[17,"GDK_MODIFIER_RESERVED_25_MASK","","",null,null],[17,"GDK_SUPER_MASK","","",null,null],[17,"GDK_HYPER_MASK","","",null,null],[17,"GDK_META_MASK","","",null,null],[17,"GDK_MODIFIER_RESERVED_29_MASK","","",null,null],[17,"GDK_RELEASE_MASK","","",null,null],[17,"GDK_MODIFIER_MASK","","",null,null],[17,"GDK_SEAT_CAPABILITY_NONE","","",null,null],[17,"GDK_SEAT_CAPABILITY_POINTER","","",null,null],[17,"GDK_SEAT_CAPABILITY_TOUCH","","",null,null],[17,"GDK_SEAT_CAPABILITY_TABLET_STYLUS","","",null,null],[17,"GDK_SEAT_CAPABILITY_KEYBOARD","","",null,null],[17,"GDK_SEAT_CAPABILITY_ALL_POINTING","","",null,null],[17,"GDK_SEAT_CAPABILITY_ALL","","",null,null],[17,"GDK_DECOR_ALL","","",null,null],[17,"GDK_DECOR_BORDER","","",null,null],[17,"GDK_DECOR_RESIZEH","","",null,null],[17,"GDK_DECOR_TITLE","","",null,null],[17,"GDK_DECOR_MENU","","",null,null],[17,"GDK_DECOR_MINIMIZE","","",null,null],[17,"GDK_DECOR_MAXIMIZE","","",null,null],[17,"GDK_FUNC_ALL","","",null,null],[17,"GDK_FUNC_RESIZE","","",null,null],[17,"GDK_FUNC_MOVE","","",null,null],[17,"GDK_FUNC_MINIMIZE","","",null,null],[17,"GDK_FUNC_MAXIMIZE","","",null,null],[17,"GDK_FUNC_CLOSE","","",null,null],[17,"GDK_WA_TITLE","","",null,null],[17,"GDK_WA_X","","",null,null],[17,"GDK_WA_Y","","",null,null],[17,"GDK_WA_CURSOR","","",null,null],[17,"GDK_WA_VISUAL","","",null,null],[17,"GDK_WA_WMCLASS","","",null,null],[17,"GDK_WA_NOREDIR","","",null,null],[17,"GDK_WA_TYPE_HINT","","",null,null],[17,"GDK_HINT_POS","","",null,null],[17,"GDK_HINT_MIN_SIZE","","",null,null],[17,"GDK_HINT_MAX_SIZE","","",null,null],[17,"GDK_HINT_BASE_SIZE","","",null,null],[17,"GDK_HINT_ASPECT","","",null,null],[17,"GDK_HINT_RESIZE_INC","","",null,null],[17,"GDK_HINT_WIN_GRAVITY","","",null,null],[17,"GDK_HINT_USER_POS","","",null,null],[17,"GDK_HINT_USER_SIZE","","",null,null],[17,"GDK_WINDOW_STATE_WITHDRAWN","","",null,null],[17,"GDK_WINDOW_STATE_ICONIFIED","","",null,null],[17,"GDK_WINDOW_STATE_MAXIMIZED","","",null,null],[17,"GDK_WINDOW_STATE_STICKY","","",null,null],[17,"GDK_WINDOW_STATE_FULLSCREEN","","",null,null],[17,"GDK_WINDOW_STATE_ABOVE","","",null,null],[17,"GDK_WINDOW_STATE_BELOW","","",null,null],[17,"GDK_WINDOW_STATE_FOCUSED","","",null,null],[17,"GDK_WINDOW_STATE_TILED","","",null,null],[11,"clone","","",34,{"inputs":[{"name":"self"}],"output":{"name":"gdkaxisuse"}}],[11,"fmt","","",34,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",34,{"inputs":[{"name":"self"},{"name":"gdkaxisuse"}],"output":{"name":"bool"}}],[11,"clone","","",35,{"inputs":[{"name":"self"}],"output":{"name":"gdkbyteorder"}}],[11,"fmt","","",35,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",35,{"inputs":[{"name":"self"},{"name":"gdkbyteorder"}],"output":{"name":"bool"}}],[11,"clone","","",36,{"inputs":[{"name":"self"}],"output":{"name":"gdkcrossingmode"}}],[11,"fmt","","",36,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",36,{"inputs":[{"name":"self"},{"name":"gdkcrossingmode"}],"output":{"name":"bool"}}],[11,"clone","","",37,{"inputs":[{"name":"self"}],"output":{"name":"gdkcursortype"}}],[11,"fmt","","",37,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",37,{"inputs":[{"name":"self"},{"name":"gdkcursortype"}],"output":{"name":"bool"}}],[11,"clone","","",38,{"inputs":[{"name":"self"}],"output":{"name":"gdkdevicepadfeature"}}],[11,"fmt","","",38,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",38,{"inputs":[{"name":"self"},{"name":"gdkdevicepadfeature"}],"output":{"name":"bool"}}],[11,"clone","","",39,{"inputs":[{"name":"self"}],"output":{"name":"gdkdevicetooltype"}}],[11,"fmt","","",39,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",39,{"inputs":[{"name":"self"},{"name":"gdkdevicetooltype"}],"output":{"name":"bool"}}],[11,"clone","","",40,{"inputs":[{"name":"self"}],"output":{"name":"gdkdevicetype"}}],[11,"fmt","","",40,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",40,{"inputs":[{"name":"self"},{"name":"gdkdevicetype"}],"output":{"name":"bool"}}],[11,"clone","","",41,{"inputs":[{"name":"self"}],"output":{"name":"gdkdragcancelreason"}}],[11,"fmt","","",41,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",41,{"inputs":[{"name":"self"},{"name":"gdkdragcancelreason"}],"output":{"name":"bool"}}],[11,"clone","","",42,{"inputs":[{"name":"self"}],"output":{"name":"gdkdragprotocol"}}],[11,"fmt","","",42,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",42,{"inputs":[{"name":"self"},{"name":"gdkdragprotocol"}],"output":{"name":"bool"}}],[11,"clone","","",43,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventtype"}}],[11,"fmt","","",43,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",43,{"inputs":[{"name":"self"},{"name":"gdkeventtype"}],"output":{"name":"bool"}}],[11,"clone","","",44,{"inputs":[{"name":"self"}],"output":{"name":"gdkfilterreturn"}}],[11,"fmt","","",44,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",44,{"inputs":[{"name":"self"},{"name":"gdkfilterreturn"}],"output":{"name":"bool"}}],[11,"clone","","",45,{"inputs":[{"name":"self"}],"output":{"name":"gdkfullscreenmode"}}],[11,"fmt","","",45,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",45,{"inputs":[{"name":"self"},{"name":"gdkfullscreenmode"}],"output":{"name":"bool"}}],[11,"clone","","",46,{"inputs":[{"name":"self"}],"output":{"name":"gdkglerror"}}],[11,"fmt","","",46,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",46,{"inputs":[{"name":"self"},{"name":"gdkglerror"}],"output":{"name":"bool"}}],[11,"clone","","",47,{"inputs":[{"name":"self"}],"output":{"name":"gdkgrabownership"}}],[11,"fmt","","",47,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",47,{"inputs":[{"name":"self"},{"name":"gdkgrabownership"}],"output":{"name":"bool"}}],[11,"clone","","",48,{"inputs":[{"name":"self"}],"output":{"name":"gdkgrabstatus"}}],[11,"fmt","","",48,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",48,{"inputs":[{"name":"self"},{"name":"gdkgrabstatus"}],"output":{"name":"bool"}}],[11,"clone","","",49,{"inputs":[{"name":"self"}],"output":{"name":"gdkgravity"}}],[11,"fmt","","",49,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",49,{"inputs":[{"name":"self"},{"name":"gdkgravity"}],"output":{"name":"bool"}}],[11,"clone","","",50,{"inputs":[{"name":"self"}],"output":{"name":"gdkinputmode"}}],[11,"fmt","","",50,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",50,{"inputs":[{"name":"self"},{"name":"gdkinputmode"}],"output":{"name":"bool"}}],[11,"clone","","",51,{"inputs":[{"name":"self"}],"output":{"name":"gdkinputsource"}}],[11,"fmt","","",51,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",51,{"inputs":[{"name":"self"},{"name":"gdkinputsource"}],"output":{"name":"bool"}}],[11,"clone","","",52,{"inputs":[{"name":"self"}],"output":{"name":"gdkmodifierintent"}}],[11,"fmt","","",52,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",52,{"inputs":[{"name":"self"},{"name":"gdkmodifierintent"}],"output":{"name":"bool"}}],[11,"clone","","",53,{"inputs":[{"name":"self"}],"output":{"name":"gdknotifytype"}}],[11,"fmt","","",53,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",53,{"inputs":[{"name":"self"},{"name":"gdknotifytype"}],"output":{"name":"bool"}}],[11,"clone","","",54,{"inputs":[{"name":"self"}],"output":{"name":"gdkownerchange"}}],[11,"fmt","","",54,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",54,{"inputs":[{"name":"self"},{"name":"gdkownerchange"}],"output":{"name":"bool"}}],[11,"clone","","",55,{"inputs":[{"name":"self"}],"output":{"name":"gdkpropmode"}}],[11,"fmt","","",55,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",55,{"inputs":[{"name":"self"},{"name":"gdkpropmode"}],"output":{"name":"bool"}}],[11,"clone","","",56,{"inputs":[{"name":"self"}],"output":{"name":"gdkpropertystate"}}],[11,"fmt","","",56,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",56,{"inputs":[{"name":"self"},{"name":"gdkpropertystate"}],"output":{"name":"bool"}}],[11,"clone","","",57,{"inputs":[{"name":"self"}],"output":{"name":"gdkscrolldirection"}}],[11,"fmt","","",57,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",57,{"inputs":[{"name":"self"},{"name":"gdkscrolldirection"}],"output":{"name":"bool"}}],[11,"clone","","",58,{"inputs":[{"name":"self"}],"output":{"name":"gdksettingaction"}}],[11,"fmt","","",58,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",58,{"inputs":[{"name":"self"},{"name":"gdksettingaction"}],"output":{"name":"bool"}}],[11,"clone","","",59,{"inputs":[{"name":"self"}],"output":{"name":"gdkstatus"}}],[11,"fmt","","",59,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",59,{"inputs":[{"name":"self"},{"name":"gdkstatus"}],"output":{"name":"bool"}}],[11,"clone","","",60,{"inputs":[{"name":"self"}],"output":{"name":"gdksubpixellayout"}}],[11,"fmt","","",60,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",60,{"inputs":[{"name":"self"},{"name":"gdksubpixellayout"}],"output":{"name":"bool"}}],[11,"clone","","",61,{"inputs":[{"name":"self"}],"output":{"name":"gdktouchpadgesturephase"}}],[11,"fmt","","",61,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",61,{"inputs":[{"name":"self"},{"name":"gdktouchpadgesturephase"}],"output":{"name":"bool"}}],[11,"clone","","",62,{"inputs":[{"name":"self"}],"output":{"name":"gdkvisibilitystate"}}],[11,"fmt","","",62,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",62,{"inputs":[{"name":"self"},{"name":"gdkvisibilitystate"}],"output":{"name":"bool"}}],[11,"clone","","",63,{"inputs":[{"name":"self"}],"output":{"name":"gdkvisualtype"}}],[11,"fmt","","",63,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",63,{"inputs":[{"name":"self"},{"name":"gdkvisualtype"}],"output":{"name":"bool"}}],[11,"clone","","",64,{"inputs":[{"name":"self"}],"output":{"name":"gdkwindowedge"}}],[11,"fmt","","",64,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",64,{"inputs":[{"name":"self"},{"name":"gdkwindowedge"}],"output":{"name":"bool"}}],[11,"clone","","",65,{"inputs":[{"name":"self"}],"output":{"name":"gdkwindowtype"}}],[11,"fmt","","",65,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",65,{"inputs":[{"name":"self"},{"name":"gdkwindowtype"}],"output":{"name":"bool"}}],[11,"clone","","",66,{"inputs":[{"name":"self"}],"output":{"name":"gdkwindowtypehint"}}],[11,"fmt","","",66,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",66,{"inputs":[{"name":"self"},{"name":"gdkwindowtypehint"}],"output":{"name":"bool"}}],[11,"clone","","",67,{"inputs":[{"name":"self"}],"output":{"name":"gdkwindowwindowclass"}}],[11,"fmt","","",67,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",67,{"inputs":[{"name":"self"},{"name":"gdkwindowwindowclass"}],"output":{"name":"bool"}}],[11,"eq","","",68,{"inputs":[{"name":"self"},{"name":"gdkanchorhints"}],"output":{"name":"bool"}}],[11,"ne","","",68,{"inputs":[{"name":"self"},{"name":"gdkanchorhints"}],"output":{"name":"bool"}}],[11,"clone","","",68,{"inputs":[{"name":"self"}],"output":{"name":"gdkanchorhints"}}],[11,"partial_cmp","","",68,{"inputs":[{"name":"self"},{"name":"gdkanchorhints"}],"output":{"name":"option"}}],[11,"lt","","",68,{"inputs":[{"name":"self"},{"name":"gdkanchorhints"}],"output":{"name":"bool"}}],[11,"le","","",68,{"inputs":[{"name":"self"},{"name":"gdkanchorhints"}],"output":{"name":"bool"}}],[11,"gt","","",68,{"inputs":[{"name":"self"},{"name":"gdkanchorhints"}],"output":{"name":"bool"}}],[11,"ge","","",68,{"inputs":[{"name":"self"},{"name":"gdkanchorhints"}],"output":{"name":"bool"}}],[11,"cmp","","",68,{"inputs":[{"name":"self"},{"name":"gdkanchorhints"}],"output":{"name":"ordering"}}],[11,"hash","","",68,null],[11,"fmt","","",68,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",68,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",68,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",68,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",68,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",68,{"inputs":[],"output":{"name":"gdkanchorhints"}}],[11,"all","","Returns the set containing all flags.",68,{"inputs":[],"output":{"name":"gdkanchorhints"}}],[11,"bits","","Returns the raw value of the flags currently stored.",68,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",68,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",68,{"inputs":[{"name":"c_uint"}],"output":{"name":"gdkanchorhints"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",68,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",68,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",68,{"inputs":[{"name":"self"},{"name":"gdkanchorhints"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",68,{"inputs":[{"name":"self"},{"name":"gdkanchorhints"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",68,{"inputs":[{"name":"self"},{"name":"gdkanchorhints"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",68,{"inputs":[{"name":"self"},{"name":"gdkanchorhints"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",68,{"inputs":[{"name":"self"},{"name":"gdkanchorhints"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",68,{"inputs":[{"name":"self"},{"name":"gdkanchorhints"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",68,{"inputs":[{"name":"self"},{"name":"gdkanchorhints"}],"output":{"name":"gdkanchorhints"}}],[11,"bitor_assign","","Adds the set of flags.",68,{"inputs":[{"name":"self"},{"name":"gdkanchorhints"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",68,{"inputs":[{"name":"self"},{"name":"gdkanchorhints"}],"output":{"name":"gdkanchorhints"}}],[11,"bitxor_assign","","Toggles the set of flags.",68,{"inputs":[{"name":"self"},{"name":"gdkanchorhints"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",68,{"inputs":[{"name":"self"},{"name":"gdkanchorhints"}],"output":{"name":"gdkanchorhints"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",68,{"inputs":[{"name":"self"},{"name":"gdkanchorhints"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",68,{"inputs":[{"name":"self"},{"name":"gdkanchorhints"}],"output":{"name":"gdkanchorhints"}}],[11,"sub_assign","","Disables all flags enabled in the set.",68,{"inputs":[{"name":"self"},{"name":"gdkanchorhints"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",68,{"inputs":[{"name":"self"}],"output":{"name":"gdkanchorhints"}}],[11,"extend","","",68,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",68,{"inputs":[{"name":"t"}],"output":{"name":"gdkanchorhints"}}],[11,"eq","","",69,{"inputs":[{"name":"self"},{"name":"gdkaxisflags"}],"output":{"name":"bool"}}],[11,"ne","","",69,{"inputs":[{"name":"self"},{"name":"gdkaxisflags"}],"output":{"name":"bool"}}],[11,"clone","","",69,{"inputs":[{"name":"self"}],"output":{"name":"gdkaxisflags"}}],[11,"partial_cmp","","",69,{"inputs":[{"name":"self"},{"name":"gdkaxisflags"}],"output":{"name":"option"}}],[11,"lt","","",69,{"inputs":[{"name":"self"},{"name":"gdkaxisflags"}],"output":{"name":"bool"}}],[11,"le","","",69,{"inputs":[{"name":"self"},{"name":"gdkaxisflags"}],"output":{"name":"bool"}}],[11,"gt","","",69,{"inputs":[{"name":"self"},{"name":"gdkaxisflags"}],"output":{"name":"bool"}}],[11,"ge","","",69,{"inputs":[{"name":"self"},{"name":"gdkaxisflags"}],"output":{"name":"bool"}}],[11,"cmp","","",69,{"inputs":[{"name":"self"},{"name":"gdkaxisflags"}],"output":{"name":"ordering"}}],[11,"hash","","",69,null],[11,"fmt","","",69,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",69,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",69,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",69,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",69,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",69,{"inputs":[],"output":{"name":"gdkaxisflags"}}],[11,"all","","Returns the set containing all flags.",69,{"inputs":[],"output":{"name":"gdkaxisflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",69,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",69,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",69,{"inputs":[{"name":"c_uint"}],"output":{"name":"gdkaxisflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",69,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",69,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",69,{"inputs":[{"name":"self"},{"name":"gdkaxisflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",69,{"inputs":[{"name":"self"},{"name":"gdkaxisflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",69,{"inputs":[{"name":"self"},{"name":"gdkaxisflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",69,{"inputs":[{"name":"self"},{"name":"gdkaxisflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",69,{"inputs":[{"name":"self"},{"name":"gdkaxisflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",69,{"inputs":[{"name":"self"},{"name":"gdkaxisflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",69,{"inputs":[{"name":"self"},{"name":"gdkaxisflags"}],"output":{"name":"gdkaxisflags"}}],[11,"bitor_assign","","Adds the set of flags.",69,{"inputs":[{"name":"self"},{"name":"gdkaxisflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",69,{"inputs":[{"name":"self"},{"name":"gdkaxisflags"}],"output":{"name":"gdkaxisflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",69,{"inputs":[{"name":"self"},{"name":"gdkaxisflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",69,{"inputs":[{"name":"self"},{"name":"gdkaxisflags"}],"output":{"name":"gdkaxisflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",69,{"inputs":[{"name":"self"},{"name":"gdkaxisflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",69,{"inputs":[{"name":"self"},{"name":"gdkaxisflags"}],"output":{"name":"gdkaxisflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",69,{"inputs":[{"name":"self"},{"name":"gdkaxisflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",69,{"inputs":[{"name":"self"}],"output":{"name":"gdkaxisflags"}}],[11,"extend","","",69,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",69,{"inputs":[{"name":"t"}],"output":{"name":"gdkaxisflags"}}],[11,"eq","","",70,{"inputs":[{"name":"self"},{"name":"gdkdragaction"}],"output":{"name":"bool"}}],[11,"ne","","",70,{"inputs":[{"name":"self"},{"name":"gdkdragaction"}],"output":{"name":"bool"}}],[11,"clone","","",70,{"inputs":[{"name":"self"}],"output":{"name":"gdkdragaction"}}],[11,"partial_cmp","","",70,{"inputs":[{"name":"self"},{"name":"gdkdragaction"}],"output":{"name":"option"}}],[11,"lt","","",70,{"inputs":[{"name":"self"},{"name":"gdkdragaction"}],"output":{"name":"bool"}}],[11,"le","","",70,{"inputs":[{"name":"self"},{"name":"gdkdragaction"}],"output":{"name":"bool"}}],[11,"gt","","",70,{"inputs":[{"name":"self"},{"name":"gdkdragaction"}],"output":{"name":"bool"}}],[11,"ge","","",70,{"inputs":[{"name":"self"},{"name":"gdkdragaction"}],"output":{"name":"bool"}}],[11,"cmp","","",70,{"inputs":[{"name":"self"},{"name":"gdkdragaction"}],"output":{"name":"ordering"}}],[11,"hash","","",70,null],[11,"fmt","","",70,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",70,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",70,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",70,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",70,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",70,{"inputs":[],"output":{"name":"gdkdragaction"}}],[11,"all","","Returns the set containing all flags.",70,{"inputs":[],"output":{"name":"gdkdragaction"}}],[11,"bits","","Returns the raw value of the flags currently stored.",70,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",70,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",70,{"inputs":[{"name":"c_uint"}],"output":{"name":"gdkdragaction"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",70,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",70,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",70,{"inputs":[{"name":"self"},{"name":"gdkdragaction"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",70,{"inputs":[{"name":"self"},{"name":"gdkdragaction"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",70,{"inputs":[{"name":"self"},{"name":"gdkdragaction"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",70,{"inputs":[{"name":"self"},{"name":"gdkdragaction"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",70,{"inputs":[{"name":"self"},{"name":"gdkdragaction"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",70,{"inputs":[{"name":"self"},{"name":"gdkdragaction"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",70,{"inputs":[{"name":"self"},{"name":"gdkdragaction"}],"output":{"name":"gdkdragaction"}}],[11,"bitor_assign","","Adds the set of flags.",70,{"inputs":[{"name":"self"},{"name":"gdkdragaction"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",70,{"inputs":[{"name":"self"},{"name":"gdkdragaction"}],"output":{"name":"gdkdragaction"}}],[11,"bitxor_assign","","Toggles the set of flags.",70,{"inputs":[{"name":"self"},{"name":"gdkdragaction"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",70,{"inputs":[{"name":"self"},{"name":"gdkdragaction"}],"output":{"name":"gdkdragaction"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",70,{"inputs":[{"name":"self"},{"name":"gdkdragaction"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",70,{"inputs":[{"name":"self"},{"name":"gdkdragaction"}],"output":{"name":"gdkdragaction"}}],[11,"sub_assign","","Disables all flags enabled in the set.",70,{"inputs":[{"name":"self"},{"name":"gdkdragaction"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",70,{"inputs":[{"name":"self"}],"output":{"name":"gdkdragaction"}}],[11,"extend","","",70,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",70,{"inputs":[{"name":"t"}],"output":{"name":"gdkdragaction"}}],[11,"eq","","",71,{"inputs":[{"name":"self"},{"name":"gdkeventmask"}],"output":{"name":"bool"}}],[11,"ne","","",71,{"inputs":[{"name":"self"},{"name":"gdkeventmask"}],"output":{"name":"bool"}}],[11,"clone","","",71,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventmask"}}],[11,"partial_cmp","","",71,{"inputs":[{"name":"self"},{"name":"gdkeventmask"}],"output":{"name":"option"}}],[11,"lt","","",71,{"inputs":[{"name":"self"},{"name":"gdkeventmask"}],"output":{"name":"bool"}}],[11,"le","","",71,{"inputs":[{"name":"self"},{"name":"gdkeventmask"}],"output":{"name":"bool"}}],[11,"gt","","",71,{"inputs":[{"name":"self"},{"name":"gdkeventmask"}],"output":{"name":"bool"}}],[11,"ge","","",71,{"inputs":[{"name":"self"},{"name":"gdkeventmask"}],"output":{"name":"bool"}}],[11,"cmp","","",71,{"inputs":[{"name":"self"},{"name":"gdkeventmask"}],"output":{"name":"ordering"}}],[11,"hash","","",71,null],[11,"fmt","","",71,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",71,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",71,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",71,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",71,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",71,{"inputs":[],"output":{"name":"gdkeventmask"}}],[11,"all","","Returns the set containing all flags.",71,{"inputs":[],"output":{"name":"gdkeventmask"}}],[11,"bits","","Returns the raw value of the flags currently stored.",71,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",71,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",71,{"inputs":[{"name":"c_uint"}],"output":{"name":"gdkeventmask"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",71,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",71,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",71,{"inputs":[{"name":"self"},{"name":"gdkeventmask"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",71,{"inputs":[{"name":"self"},{"name":"gdkeventmask"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",71,{"inputs":[{"name":"self"},{"name":"gdkeventmask"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",71,{"inputs":[{"name":"self"},{"name":"gdkeventmask"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",71,{"inputs":[{"name":"self"},{"name":"gdkeventmask"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",71,{"inputs":[{"name":"self"},{"name":"gdkeventmask"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",71,{"inputs":[{"name":"self"},{"name":"gdkeventmask"}],"output":{"name":"gdkeventmask"}}],[11,"bitor_assign","","Adds the set of flags.",71,{"inputs":[{"name":"self"},{"name":"gdkeventmask"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",71,{"inputs":[{"name":"self"},{"name":"gdkeventmask"}],"output":{"name":"gdkeventmask"}}],[11,"bitxor_assign","","Toggles the set of flags.",71,{"inputs":[{"name":"self"},{"name":"gdkeventmask"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",71,{"inputs":[{"name":"self"},{"name":"gdkeventmask"}],"output":{"name":"gdkeventmask"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",71,{"inputs":[{"name":"self"},{"name":"gdkeventmask"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",71,{"inputs":[{"name":"self"},{"name":"gdkeventmask"}],"output":{"name":"gdkeventmask"}}],[11,"sub_assign","","Disables all flags enabled in the set.",71,{"inputs":[{"name":"self"},{"name":"gdkeventmask"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",71,{"inputs":[{"name":"self"}],"output":{"name":"gdkeventmask"}}],[11,"extend","","",71,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",71,{"inputs":[{"name":"t"}],"output":{"name":"gdkeventmask"}}],[11,"eq","","",72,{"inputs":[{"name":"self"},{"name":"gdkframeclockphase"}],"output":{"name":"bool"}}],[11,"ne","","",72,{"inputs":[{"name":"self"},{"name":"gdkframeclockphase"}],"output":{"name":"bool"}}],[11,"clone","","",72,{"inputs":[{"name":"self"}],"output":{"name":"gdkframeclockphase"}}],[11,"partial_cmp","","",72,{"inputs":[{"name":"self"},{"name":"gdkframeclockphase"}],"output":{"name":"option"}}],[11,"lt","","",72,{"inputs":[{"name":"self"},{"name":"gdkframeclockphase"}],"output":{"name":"bool"}}],[11,"le","","",72,{"inputs":[{"name":"self"},{"name":"gdkframeclockphase"}],"output":{"name":"bool"}}],[11,"gt","","",72,{"inputs":[{"name":"self"},{"name":"gdkframeclockphase"}],"output":{"name":"bool"}}],[11,"ge","","",72,{"inputs":[{"name":"self"},{"name":"gdkframeclockphase"}],"output":{"name":"bool"}}],[11,"cmp","","",72,{"inputs":[{"name":"self"},{"name":"gdkframeclockphase"}],"output":{"name":"ordering"}}],[11,"hash","","",72,null],[11,"fmt","","",72,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",72,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",72,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",72,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",72,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",72,{"inputs":[],"output":{"name":"gdkframeclockphase"}}],[11,"all","","Returns the set containing all flags.",72,{"inputs":[],"output":{"name":"gdkframeclockphase"}}],[11,"bits","","Returns the raw value of the flags currently stored.",72,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",72,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",72,{"inputs":[{"name":"c_uint"}],"output":{"name":"gdkframeclockphase"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",72,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",72,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",72,{"inputs":[{"name":"self"},{"name":"gdkframeclockphase"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",72,{"inputs":[{"name":"self"},{"name":"gdkframeclockphase"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",72,{"inputs":[{"name":"self"},{"name":"gdkframeclockphase"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",72,{"inputs":[{"name":"self"},{"name":"gdkframeclockphase"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",72,{"inputs":[{"name":"self"},{"name":"gdkframeclockphase"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",72,{"inputs":[{"name":"self"},{"name":"gdkframeclockphase"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",72,{"inputs":[{"name":"self"},{"name":"gdkframeclockphase"}],"output":{"name":"gdkframeclockphase"}}],[11,"bitor_assign","","Adds the set of flags.",72,{"inputs":[{"name":"self"},{"name":"gdkframeclockphase"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",72,{"inputs":[{"name":"self"},{"name":"gdkframeclockphase"}],"output":{"name":"gdkframeclockphase"}}],[11,"bitxor_assign","","Toggles the set of flags.",72,{"inputs":[{"name":"self"},{"name":"gdkframeclockphase"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",72,{"inputs":[{"name":"self"},{"name":"gdkframeclockphase"}],"output":{"name":"gdkframeclockphase"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",72,{"inputs":[{"name":"self"},{"name":"gdkframeclockphase"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",72,{"inputs":[{"name":"self"},{"name":"gdkframeclockphase"}],"output":{"name":"gdkframeclockphase"}}],[11,"sub_assign","","Disables all flags enabled in the set.",72,{"inputs":[{"name":"self"},{"name":"gdkframeclockphase"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",72,{"inputs":[{"name":"self"}],"output":{"name":"gdkframeclockphase"}}],[11,"extend","","",72,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",72,{"inputs":[{"name":"t"}],"output":{"name":"gdkframeclockphase"}}],[11,"eq","","",73,{"inputs":[{"name":"self"},{"name":"gdkmodifiertype"}],"output":{"name":"bool"}}],[11,"ne","","",73,{"inputs":[{"name":"self"},{"name":"gdkmodifiertype"}],"output":{"name":"bool"}}],[11,"clone","","",73,{"inputs":[{"name":"self"}],"output":{"name":"gdkmodifiertype"}}],[11,"partial_cmp","","",73,{"inputs":[{"name":"self"},{"name":"gdkmodifiertype"}],"output":{"name":"option"}}],[11,"lt","","",73,{"inputs":[{"name":"self"},{"name":"gdkmodifiertype"}],"output":{"name":"bool"}}],[11,"le","","",73,{"inputs":[{"name":"self"},{"name":"gdkmodifiertype"}],"output":{"name":"bool"}}],[11,"gt","","",73,{"inputs":[{"name":"self"},{"name":"gdkmodifiertype"}],"output":{"name":"bool"}}],[11,"ge","","",73,{"inputs":[{"name":"self"},{"name":"gdkmodifiertype"}],"output":{"name":"bool"}}],[11,"cmp","","",73,{"inputs":[{"name":"self"},{"name":"gdkmodifiertype"}],"output":{"name":"ordering"}}],[11,"hash","","",73,null],[11,"fmt","","",73,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",73,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",73,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",73,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",73,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",73,{"inputs":[],"output":{"name":"gdkmodifiertype"}}],[11,"all","","Returns the set containing all flags.",73,{"inputs":[],"output":{"name":"gdkmodifiertype"}}],[11,"bits","","Returns the raw value of the flags currently stored.",73,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",73,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",73,{"inputs":[{"name":"c_uint"}],"output":{"name":"gdkmodifiertype"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",73,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",73,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",73,{"inputs":[{"name":"self"},{"name":"gdkmodifiertype"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",73,{"inputs":[{"name":"self"},{"name":"gdkmodifiertype"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",73,{"inputs":[{"name":"self"},{"name":"gdkmodifiertype"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",73,{"inputs":[{"name":"self"},{"name":"gdkmodifiertype"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",73,{"inputs":[{"name":"self"},{"name":"gdkmodifiertype"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",73,{"inputs":[{"name":"self"},{"name":"gdkmodifiertype"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",73,{"inputs":[{"name":"self"},{"name":"gdkmodifiertype"}],"output":{"name":"gdkmodifiertype"}}],[11,"bitor_assign","","Adds the set of flags.",73,{"inputs":[{"name":"self"},{"name":"gdkmodifiertype"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",73,{"inputs":[{"name":"self"},{"name":"gdkmodifiertype"}],"output":{"name":"gdkmodifiertype"}}],[11,"bitxor_assign","","Toggles the set of flags.",73,{"inputs":[{"name":"self"},{"name":"gdkmodifiertype"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",73,{"inputs":[{"name":"self"},{"name":"gdkmodifiertype"}],"output":{"name":"gdkmodifiertype"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",73,{"inputs":[{"name":"self"},{"name":"gdkmodifiertype"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",73,{"inputs":[{"name":"self"},{"name":"gdkmodifiertype"}],"output":{"name":"gdkmodifiertype"}}],[11,"sub_assign","","Disables all flags enabled in the set.",73,{"inputs":[{"name":"self"},{"name":"gdkmodifiertype"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",73,{"inputs":[{"name":"self"}],"output":{"name":"gdkmodifiertype"}}],[11,"extend","","",73,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",73,{"inputs":[{"name":"t"}],"output":{"name":"gdkmodifiertype"}}],[11,"eq","","",74,{"inputs":[{"name":"self"},{"name":"gdkseatcapabilities"}],"output":{"name":"bool"}}],[11,"ne","","",74,{"inputs":[{"name":"self"},{"name":"gdkseatcapabilities"}],"output":{"name":"bool"}}],[11,"clone","","",74,{"inputs":[{"name":"self"}],"output":{"name":"gdkseatcapabilities"}}],[11,"partial_cmp","","",74,{"inputs":[{"name":"self"},{"name":"gdkseatcapabilities"}],"output":{"name":"option"}}],[11,"lt","","",74,{"inputs":[{"name":"self"},{"name":"gdkseatcapabilities"}],"output":{"name":"bool"}}],[11,"le","","",74,{"inputs":[{"name":"self"},{"name":"gdkseatcapabilities"}],"output":{"name":"bool"}}],[11,"gt","","",74,{"inputs":[{"name":"self"},{"name":"gdkseatcapabilities"}],"output":{"name":"bool"}}],[11,"ge","","",74,{"inputs":[{"name":"self"},{"name":"gdkseatcapabilities"}],"output":{"name":"bool"}}],[11,"cmp","","",74,{"inputs":[{"name":"self"},{"name":"gdkseatcapabilities"}],"output":{"name":"ordering"}}],[11,"hash","","",74,null],[11,"fmt","","",74,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",74,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",74,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",74,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",74,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",74,{"inputs":[],"output":{"name":"gdkseatcapabilities"}}],[11,"all","","Returns the set containing all flags.",74,{"inputs":[],"output":{"name":"gdkseatcapabilities"}}],[11,"bits","","Returns the raw value of the flags currently stored.",74,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",74,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",74,{"inputs":[{"name":"c_uint"}],"output":{"name":"gdkseatcapabilities"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",74,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",74,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",74,{"inputs":[{"name":"self"},{"name":"gdkseatcapabilities"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",74,{"inputs":[{"name":"self"},{"name":"gdkseatcapabilities"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",74,{"inputs":[{"name":"self"},{"name":"gdkseatcapabilities"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",74,{"inputs":[{"name":"self"},{"name":"gdkseatcapabilities"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",74,{"inputs":[{"name":"self"},{"name":"gdkseatcapabilities"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",74,{"inputs":[{"name":"self"},{"name":"gdkseatcapabilities"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",74,{"inputs":[{"name":"self"},{"name":"gdkseatcapabilities"}],"output":{"name":"gdkseatcapabilities"}}],[11,"bitor_assign","","Adds the set of flags.",74,{"inputs":[{"name":"self"},{"name":"gdkseatcapabilities"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",74,{"inputs":[{"name":"self"},{"name":"gdkseatcapabilities"}],"output":{"name":"gdkseatcapabilities"}}],[11,"bitxor_assign","","Toggles the set of flags.",74,{"inputs":[{"name":"self"},{"name":"gdkseatcapabilities"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",74,{"inputs":[{"name":"self"},{"name":"gdkseatcapabilities"}],"output":{"name":"gdkseatcapabilities"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",74,{"inputs":[{"name":"self"},{"name":"gdkseatcapabilities"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",74,{"inputs":[{"name":"self"},{"name":"gdkseatcapabilities"}],"output":{"name":"gdkseatcapabilities"}}],[11,"sub_assign","","Disables all flags enabled in the set.",74,{"inputs":[{"name":"self"},{"name":"gdkseatcapabilities"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",74,{"inputs":[{"name":"self"}],"output":{"name":"gdkseatcapabilities"}}],[11,"extend","","",74,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",74,{"inputs":[{"name":"t"}],"output":{"name":"gdkseatcapabilities"}}],[11,"eq","","",75,{"inputs":[{"name":"self"},{"name":"gdkwmdecoration"}],"output":{"name":"bool"}}],[11,"ne","","",75,{"inputs":[{"name":"self"},{"name":"gdkwmdecoration"}],"output":{"name":"bool"}}],[11,"clone","","",75,{"inputs":[{"name":"self"}],"output":{"name":"gdkwmdecoration"}}],[11,"partial_cmp","","",75,{"inputs":[{"name":"self"},{"name":"gdkwmdecoration"}],"output":{"name":"option"}}],[11,"lt","","",75,{"inputs":[{"name":"self"},{"name":"gdkwmdecoration"}],"output":{"name":"bool"}}],[11,"le","","",75,{"inputs":[{"name":"self"},{"name":"gdkwmdecoration"}],"output":{"name":"bool"}}],[11,"gt","","",75,{"inputs":[{"name":"self"},{"name":"gdkwmdecoration"}],"output":{"name":"bool"}}],[11,"ge","","",75,{"inputs":[{"name":"self"},{"name":"gdkwmdecoration"}],"output":{"name":"bool"}}],[11,"cmp","","",75,{"inputs":[{"name":"self"},{"name":"gdkwmdecoration"}],"output":{"name":"ordering"}}],[11,"hash","","",75,null],[11,"fmt","","",75,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",75,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",75,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",75,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",75,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",75,{"inputs":[],"output":{"name":"gdkwmdecoration"}}],[11,"all","","Returns the set containing all flags.",75,{"inputs":[],"output":{"name":"gdkwmdecoration"}}],[11,"bits","","Returns the raw value of the flags currently stored.",75,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",75,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",75,{"inputs":[{"name":"c_uint"}],"output":{"name":"gdkwmdecoration"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",75,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",75,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",75,{"inputs":[{"name":"self"},{"name":"gdkwmdecoration"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",75,{"inputs":[{"name":"self"},{"name":"gdkwmdecoration"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",75,{"inputs":[{"name":"self"},{"name":"gdkwmdecoration"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",75,{"inputs":[{"name":"self"},{"name":"gdkwmdecoration"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",75,{"inputs":[{"name":"self"},{"name":"gdkwmdecoration"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",75,{"inputs":[{"name":"self"},{"name":"gdkwmdecoration"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",75,{"inputs":[{"name":"self"},{"name":"gdkwmdecoration"}],"output":{"name":"gdkwmdecoration"}}],[11,"bitor_assign","","Adds the set of flags.",75,{"inputs":[{"name":"self"},{"name":"gdkwmdecoration"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",75,{"inputs":[{"name":"self"},{"name":"gdkwmdecoration"}],"output":{"name":"gdkwmdecoration"}}],[11,"bitxor_assign","","Toggles the set of flags.",75,{"inputs":[{"name":"self"},{"name":"gdkwmdecoration"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",75,{"inputs":[{"name":"self"},{"name":"gdkwmdecoration"}],"output":{"name":"gdkwmdecoration"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",75,{"inputs":[{"name":"self"},{"name":"gdkwmdecoration"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",75,{"inputs":[{"name":"self"},{"name":"gdkwmdecoration"}],"output":{"name":"gdkwmdecoration"}}],[11,"sub_assign","","Disables all flags enabled in the set.",75,{"inputs":[{"name":"self"},{"name":"gdkwmdecoration"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",75,{"inputs":[{"name":"self"}],"output":{"name":"gdkwmdecoration"}}],[11,"extend","","",75,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",75,{"inputs":[{"name":"t"}],"output":{"name":"gdkwmdecoration"}}],[11,"eq","","",76,{"inputs":[{"name":"self"},{"name":"gdkwmfunction"}],"output":{"name":"bool"}}],[11,"ne","","",76,{"inputs":[{"name":"self"},{"name":"gdkwmfunction"}],"output":{"name":"bool"}}],[11,"clone","","",76,{"inputs":[{"name":"self"}],"output":{"name":"gdkwmfunction"}}],[11,"partial_cmp","","",76,{"inputs":[{"name":"self"},{"name":"gdkwmfunction"}],"output":{"name":"option"}}],[11,"lt","","",76,{"inputs":[{"name":"self"},{"name":"gdkwmfunction"}],"output":{"name":"bool"}}],[11,"le","","",76,{"inputs":[{"name":"self"},{"name":"gdkwmfunction"}],"output":{"name":"bool"}}],[11,"gt","","",76,{"inputs":[{"name":"self"},{"name":"gdkwmfunction"}],"output":{"name":"bool"}}],[11,"ge","","",76,{"inputs":[{"name":"self"},{"name":"gdkwmfunction"}],"output":{"name":"bool"}}],[11,"cmp","","",76,{"inputs":[{"name":"self"},{"name":"gdkwmfunction"}],"output":{"name":"ordering"}}],[11,"hash","","",76,null],[11,"fmt","","",76,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",76,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",76,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",76,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",76,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",76,{"inputs":[],"output":{"name":"gdkwmfunction"}}],[11,"all","","Returns the set containing all flags.",76,{"inputs":[],"output":{"name":"gdkwmfunction"}}],[11,"bits","","Returns the raw value of the flags currently stored.",76,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",76,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",76,{"inputs":[{"name":"c_uint"}],"output":{"name":"gdkwmfunction"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",76,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",76,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",76,{"inputs":[{"name":"self"},{"name":"gdkwmfunction"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",76,{"inputs":[{"name":"self"},{"name":"gdkwmfunction"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",76,{"inputs":[{"name":"self"},{"name":"gdkwmfunction"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",76,{"inputs":[{"name":"self"},{"name":"gdkwmfunction"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",76,{"inputs":[{"name":"self"},{"name":"gdkwmfunction"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",76,{"inputs":[{"name":"self"},{"name":"gdkwmfunction"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",76,{"inputs":[{"name":"self"},{"name":"gdkwmfunction"}],"output":{"name":"gdkwmfunction"}}],[11,"bitor_assign","","Adds the set of flags.",76,{"inputs":[{"name":"self"},{"name":"gdkwmfunction"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",76,{"inputs":[{"name":"self"},{"name":"gdkwmfunction"}],"output":{"name":"gdkwmfunction"}}],[11,"bitxor_assign","","Toggles the set of flags.",76,{"inputs":[{"name":"self"},{"name":"gdkwmfunction"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",76,{"inputs":[{"name":"self"},{"name":"gdkwmfunction"}],"output":{"name":"gdkwmfunction"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",76,{"inputs":[{"name":"self"},{"name":"gdkwmfunction"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",76,{"inputs":[{"name":"self"},{"name":"gdkwmfunction"}],"output":{"name":"gdkwmfunction"}}],[11,"sub_assign","","Disables all flags enabled in the set.",76,{"inputs":[{"name":"self"},{"name":"gdkwmfunction"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",76,{"inputs":[{"name":"self"}],"output":{"name":"gdkwmfunction"}}],[11,"extend","","",76,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",76,{"inputs":[{"name":"t"}],"output":{"name":"gdkwmfunction"}}],[11,"eq","","",77,{"inputs":[{"name":"self"},{"name":"gdkwindowattributestype"}],"output":{"name":"bool"}}],[11,"ne","","",77,{"inputs":[{"name":"self"},{"name":"gdkwindowattributestype"}],"output":{"name":"bool"}}],[11,"clone","","",77,{"inputs":[{"name":"self"}],"output":{"name":"gdkwindowattributestype"}}],[11,"partial_cmp","","",77,{"inputs":[{"name":"self"},{"name":"gdkwindowattributestype"}],"output":{"name":"option"}}],[11,"lt","","",77,{"inputs":[{"name":"self"},{"name":"gdkwindowattributestype"}],"output":{"name":"bool"}}],[11,"le","","",77,{"inputs":[{"name":"self"},{"name":"gdkwindowattributestype"}],"output":{"name":"bool"}}],[11,"gt","","",77,{"inputs":[{"name":"self"},{"name":"gdkwindowattributestype"}],"output":{"name":"bool"}}],[11,"ge","","",77,{"inputs":[{"name":"self"},{"name":"gdkwindowattributestype"}],"output":{"name":"bool"}}],[11,"cmp","","",77,{"inputs":[{"name":"self"},{"name":"gdkwindowattributestype"}],"output":{"name":"ordering"}}],[11,"hash","","",77,null],[11,"fmt","","",77,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",77,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",77,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",77,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",77,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",77,{"inputs":[],"output":{"name":"gdkwindowattributestype"}}],[11,"all","","Returns the set containing all flags.",77,{"inputs":[],"output":{"name":"gdkwindowattributestype"}}],[11,"bits","","Returns the raw value of the flags currently stored.",77,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",77,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",77,{"inputs":[{"name":"c_uint"}],"output":{"name":"gdkwindowattributestype"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",77,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",77,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",77,{"inputs":[{"name":"self"},{"name":"gdkwindowattributestype"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",77,{"inputs":[{"name":"self"},{"name":"gdkwindowattributestype"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",77,{"inputs":[{"name":"self"},{"name":"gdkwindowattributestype"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",77,{"inputs":[{"name":"self"},{"name":"gdkwindowattributestype"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",77,{"inputs":[{"name":"self"},{"name":"gdkwindowattributestype"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",77,{"inputs":[{"name":"self"},{"name":"gdkwindowattributestype"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",77,{"inputs":[{"name":"self"},{"name":"gdkwindowattributestype"}],"output":{"name":"gdkwindowattributestype"}}],[11,"bitor_assign","","Adds the set of flags.",77,{"inputs":[{"name":"self"},{"name":"gdkwindowattributestype"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",77,{"inputs":[{"name":"self"},{"name":"gdkwindowattributestype"}],"output":{"name":"gdkwindowattributestype"}}],[11,"bitxor_assign","","Toggles the set of flags.",77,{"inputs":[{"name":"self"},{"name":"gdkwindowattributestype"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",77,{"inputs":[{"name":"self"},{"name":"gdkwindowattributestype"}],"output":{"name":"gdkwindowattributestype"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",77,{"inputs":[{"name":"self"},{"name":"gdkwindowattributestype"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",77,{"inputs":[{"name":"self"},{"name":"gdkwindowattributestype"}],"output":{"name":"gdkwindowattributestype"}}],[11,"sub_assign","","Disables all flags enabled in the set.",77,{"inputs":[{"name":"self"},{"name":"gdkwindowattributestype"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",77,{"inputs":[{"name":"self"}],"output":{"name":"gdkwindowattributestype"}}],[11,"extend","","",77,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",77,{"inputs":[{"name":"t"}],"output":{"name":"gdkwindowattributestype"}}],[11,"eq","","",78,{"inputs":[{"name":"self"},{"name":"gdkwindowhints"}],"output":{"name":"bool"}}],[11,"ne","","",78,{"inputs":[{"name":"self"},{"name":"gdkwindowhints"}],"output":{"name":"bool"}}],[11,"clone","","",78,{"inputs":[{"name":"self"}],"output":{"name":"gdkwindowhints"}}],[11,"partial_cmp","","",78,{"inputs":[{"name":"self"},{"name":"gdkwindowhints"}],"output":{"name":"option"}}],[11,"lt","","",78,{"inputs":[{"name":"self"},{"name":"gdkwindowhints"}],"output":{"name":"bool"}}],[11,"le","","",78,{"inputs":[{"name":"self"},{"name":"gdkwindowhints"}],"output":{"name":"bool"}}],[11,"gt","","",78,{"inputs":[{"name":"self"},{"name":"gdkwindowhints"}],"output":{"name":"bool"}}],[11,"ge","","",78,{"inputs":[{"name":"self"},{"name":"gdkwindowhints"}],"output":{"name":"bool"}}],[11,"cmp","","",78,{"inputs":[{"name":"self"},{"name":"gdkwindowhints"}],"output":{"name":"ordering"}}],[11,"hash","","",78,null],[11,"fmt","","",78,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",78,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",78,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",78,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",78,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",78,{"inputs":[],"output":{"name":"gdkwindowhints"}}],[11,"all","","Returns the set containing all flags.",78,{"inputs":[],"output":{"name":"gdkwindowhints"}}],[11,"bits","","Returns the raw value of the flags currently stored.",78,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",78,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",78,{"inputs":[{"name":"c_uint"}],"output":{"name":"gdkwindowhints"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",78,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",78,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",78,{"inputs":[{"name":"self"},{"name":"gdkwindowhints"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",78,{"inputs":[{"name":"self"},{"name":"gdkwindowhints"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",78,{"inputs":[{"name":"self"},{"name":"gdkwindowhints"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",78,{"inputs":[{"name":"self"},{"name":"gdkwindowhints"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",78,{"inputs":[{"name":"self"},{"name":"gdkwindowhints"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",78,{"inputs":[{"name":"self"},{"name":"gdkwindowhints"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",78,{"inputs":[{"name":"self"},{"name":"gdkwindowhints"}],"output":{"name":"gdkwindowhints"}}],[11,"bitor_assign","","Adds the set of flags.",78,{"inputs":[{"name":"self"},{"name":"gdkwindowhints"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",78,{"inputs":[{"name":"self"},{"name":"gdkwindowhints"}],"output":{"name":"gdkwindowhints"}}],[11,"bitxor_assign","","Toggles the set of flags.",78,{"inputs":[{"name":"self"},{"name":"gdkwindowhints"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",78,{"inputs":[{"name":"self"},{"name":"gdkwindowhints"}],"output":{"name":"gdkwindowhints"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",78,{"inputs":[{"name":"self"},{"name":"gdkwindowhints"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",78,{"inputs":[{"name":"self"},{"name":"gdkwindowhints"}],"output":{"name":"gdkwindowhints"}}],[11,"sub_assign","","Disables all flags enabled in the set.",78,{"inputs":[{"name":"self"},{"name":"gdkwindowhints"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",78,{"inputs":[{"name":"self"}],"output":{"name":"gdkwindowhints"}}],[11,"extend","","",78,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",78,{"inputs":[{"name":"t"}],"output":{"name":"gdkwindowhints"}}],[11,"eq","","",79,{"inputs":[{"name":"self"},{"name":"gdkwindowstate"}],"output":{"name":"bool"}}],[11,"ne","","",79,{"inputs":[{"name":"self"},{"name":"gdkwindowstate"}],"output":{"name":"bool"}}],[11,"clone","","",79,{"inputs":[{"name":"self"}],"output":{"name":"gdkwindowstate"}}],[11,"partial_cmp","","",79,{"inputs":[{"name":"self"},{"name":"gdkwindowstate"}],"output":{"name":"option"}}],[11,"lt","","",79,{"inputs":[{"name":"self"},{"name":"gdkwindowstate"}],"output":{"name":"bool"}}],[11,"le","","",79,{"inputs":[{"name":"self"},{"name":"gdkwindowstate"}],"output":{"name":"bool"}}],[11,"gt","","",79,{"inputs":[{"name":"self"},{"name":"gdkwindowstate"}],"output":{"name":"bool"}}],[11,"ge","","",79,{"inputs":[{"name":"self"},{"name":"gdkwindowstate"}],"output":{"name":"bool"}}],[11,"cmp","","",79,{"inputs":[{"name":"self"},{"name":"gdkwindowstate"}],"output":{"name":"ordering"}}],[11,"hash","","",79,null],[11,"fmt","","",79,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",79,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",79,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",79,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",79,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",79,{"inputs":[],"output":{"name":"gdkwindowstate"}}],[11,"all","","Returns the set containing all flags.",79,{"inputs":[],"output":{"name":"gdkwindowstate"}}],[11,"bits","","Returns the raw value of the flags currently stored.",79,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",79,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",79,{"inputs":[{"name":"c_uint"}],"output":{"name":"gdkwindowstate"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",79,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",79,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",79,{"inputs":[{"name":"self"},{"name":"gdkwindowstate"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",79,{"inputs":[{"name":"self"},{"name":"gdkwindowstate"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",79,{"inputs":[{"name":"self"},{"name":"gdkwindowstate"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",79,{"inputs":[{"name":"self"},{"name":"gdkwindowstate"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",79,{"inputs":[{"name":"self"},{"name":"gdkwindowstate"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",79,{"inputs":[{"name":"self"},{"name":"gdkwindowstate"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",79,{"inputs":[{"name":"self"},{"name":"gdkwindowstate"}],"output":{"name":"gdkwindowstate"}}],[11,"bitor_assign","","Adds the set of flags.",79,{"inputs":[{"name":"self"},{"name":"gdkwindowstate"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",79,{"inputs":[{"name":"self"},{"name":"gdkwindowstate"}],"output":{"name":"gdkwindowstate"}}],[11,"bitxor_assign","","Toggles the set of flags.",79,{"inputs":[{"name":"self"},{"name":"gdkwindowstate"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",79,{"inputs":[{"name":"self"},{"name":"gdkwindowstate"}],"output":{"name":"gdkwindowstate"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",79,{"inputs":[{"name":"self"},{"name":"gdkwindowstate"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",79,{"inputs":[{"name":"self"},{"name":"gdkwindowstate"}],"output":{"name":"gdkwindowstate"}}],[11,"sub_assign","","Disables all flags enabled in the set.",79,{"inputs":[{"name":"self"},{"name":"gdkwindowstate"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",79,{"inputs":[{"name":"self"}],"output":{"name":"gdkwindowstate"}}],[11,"extend","","",79,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",79,{"inputs":[{"name":"t"}],"output":{"name":"gdkwindowstate"}}]],"paths":[[3,"GdkColor"],[3,"GdkEventAny"],[3,"GdkEventButton"],[3,"GdkEventConfigure"],[3,"GdkEventCrossing"],[3,"GdkEventDND"],[3,"GdkEventExpose"],[3,"GdkEventFocus"],[3,"GdkEventGrabBroken"],[3,"GdkEventKey"],[3,"GdkEventMotion"],[3,"GdkEventOwnerChange"],[3,"GdkEventPadAxis"],[3,"GdkEventPadButton"],[3,"GdkEventPadGroupMode"],[3,"GdkEventProperty"],[3,"GdkEventProximity"],[3,"GdkEventScroll"],[3,"GdkEventSelection"],[3,"GdkEventSetting"],[3,"GdkEventTouch"],[3,"GdkEventTouchpadPinch"],[3,"GdkEventTouchpadSwipe"],[3,"GdkEventVisibility"],[3,"GdkEventWindowState"],[3,"GdkGeometry"],[3,"GdkKeymapKey"],[3,"GdkPoint"],[3,"GdkRGBA"],[3,"GdkRectangle"],[3,"GdkTimeCoord"],[3,"GdkWindowAttr"],[3,"GdkWindowClass"],[3,"GdkSeat"],[4,"GdkAxisUse"],[4,"GdkByteOrder"],[4,"GdkCrossingMode"],[4,"GdkCursorType"],[4,"GdkDevicePadFeature"],[4,"GdkDeviceToolType"],[4,"GdkDeviceType"],[4,"GdkDragCancelReason"],[4,"GdkDragProtocol"],[4,"GdkEventType"],[4,"GdkFilterReturn"],[4,"GdkFullscreenMode"],[4,"GdkGLError"],[4,"GdkGrabOwnership"],[4,"GdkGrabStatus"],[4,"GdkGravity"],[4,"GdkInputMode"],[4,"GdkInputSource"],[4,"GdkModifierIntent"],[4,"GdkNotifyType"],[4,"GdkOwnerChange"],[4,"GdkPropMode"],[4,"GdkPropertyState"],[4,"GdkScrollDirection"],[4,"GdkSettingAction"],[4,"GdkStatus"],[4,"GdkSubpixelLayout"],[4,"GdkTouchpadGesturePhase"],[4,"GdkVisibilityState"],[4,"GdkVisualType"],[4,"GdkWindowEdge"],[4,"GdkWindowType"],[4,"GdkWindowTypeHint"],[4,"GdkWindowWindowClass"],[3,"GdkAnchorHints"],[3,"GdkAxisFlags"],[3,"GdkDragAction"],[3,"GdkEventMask"],[3,"GdkFrameClockPhase"],[3,"GdkModifierType"],[3,"GdkSeatCapabilities"],[3,"GdkWMDecoration"],[3,"GdkWMFunction"],[3,"GdkWindowAttributesType"],[3,"GdkWindowHints"],[3,"GdkWindowState"]]};
searchIndex["gio"] = {"doc":"","items":[[3,"Error","gio","A generic error capable of representing various error domains (types).",null,null],[3,"Object","","The base class in the object hierarchy.",null,null],[3,"Action","","",null,null],[3,"ActionGroup","","",null,null],[3,"ActionMap","","",null,null],[3,"AppInfo","","",null,null],[3,"AppLaunchContext","","",null,null],[3,"Application","","",null,null],[3,"Cancellable","","",null,null],[3,"File","","",null,null],[3,"FileInfo","","",null,null],[3,"Icon","","",null,null],[3,"Menu","","",null,null],[3,"MenuAttributeIter","","",null,null],[3,"MenuItem","","",null,null],[3,"MenuLinkIter","","",null,null],[3,"MenuModel","","",null,null],[3,"Notification","","",null,null],[3,"Permission","","",null,null],[3,"Settings","","",null,null],[3,"SimpleAction","","",null,null],[3,"SimpleActionGroup","","",null,null],[3,"SimplePermission","","",null,null],[3,"ThemedIcon","","",null,null],[3,"TlsCertificate","","",null,null],[3,"Resource","","",null,null],[3,"AppInfoCreateFlags","","",null,null],[3,"ApplicationFlags","","",null,null],[3,"FileCreateFlags","","",null,null],[3,"FileQueryInfoFlags","","",null,null],[3,"ResourceLookupFlags","","",null,null],[3,"SettingsBindFlags","","",null,null],[3,"TlsCertificateFlags","","",null,null],[4,"FileType","","",null,null],[13,"Unknown","","",0,null],[13,"Regular","","",0,null],[13,"Directory","","",0,null],[13,"SymbolicLink","","",0,null],[13,"Special","","",0,null],[13,"Shortcut","","",0,null],[13,"Mountable","","",0,null],[4,"NotificationPriority","","",null,null],[13,"Normal","","",1,null],[13,"Low","","",1,null],[13,"High","","",1,null],[13,"Urgent","","",1,null],[4,"ResourceError","","",null,null],[13,"NotFound","","",2,null],[13,"Internal","","",2,null],[5,"bus_unown_name","","",null,{"inputs":[{"name":"u32"}],"output":null}],[5,"bus_unwatch_name","","",null,{"inputs":[{"name":"u32"}],"output":null}],[5,"content_type_can_be_executable","","",null,{"inputs":[{"name":"str"}],"output":{"name":"bool"}}],[5,"content_type_equals","","",null,{"inputs":[{"name":"str"},{"name":"str"}],"output":{"name":"bool"}}],[5,"content_type_from_mime_type","","",null,{"inputs":[{"name":"str"}],"output":{"name":"option"}}],[5,"content_type_get_description","","",null,{"inputs":[{"name":"str"}],"output":{"name":"option"}}],[5,"content_type_get_generic_icon_name","","",null,{"inputs":[{"name":"str"}],"output":{"name":"option"}}],[5,"content_type_get_icon","","",null,{"inputs":[{"name":"str"}],"output":{"name":"option"}}],[5,"content_type_get_mime_type","","",null,{"inputs":[{"name":"str"}],"output":{"name":"option"}}],[5,"content_type_get_symbolic_icon","","",null,{"inputs":[{"name":"str"}],"output":{"name":"option"}}],[5,"content_type_guess_for_tree","","",null,{"inputs":[{"name":"p"}],"output":{"name":"vec"}}],[5,"content_type_is_a","","",null,{"inputs":[{"name":"str"},{"name":"str"}],"output":{"name":"bool"}}],[5,"content_type_is_unknown","","",null,{"inputs":[{"name":"str"}],"output":{"name":"bool"}}],[5,"content_types_get_registered","","",null,{"inputs":[],"output":{"name":"vec"}}],[5,"dbus_address_escape_value","","",null,{"inputs":[{"name":"str"}],"output":{"name":"option"}}],[5,"dbus_generate_guid","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"dbus_is_address","","",null,{"inputs":[{"name":"str"}],"output":{"name":"bool"}}],[5,"dbus_is_guid","","",null,{"inputs":[{"name":"str"}],"output":{"name":"bool"}}],[5,"dbus_is_interface_name","","",null,{"inputs":[{"name":"str"}],"output":{"name":"bool"}}],[5,"dbus_is_member_name","","",null,{"inputs":[{"name":"str"}],"output":{"name":"bool"}}],[5,"dbus_is_name","","",null,{"inputs":[{"name":"str"}],"output":{"name":"bool"}}],[5,"dbus_is_supported_address","","",null,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[5,"dbus_is_unique_name","","",null,{"inputs":[{"name":"str"}],"output":{"name":"bool"}}],[5,"io_modules_scan_all_in_directory","","",null,{"inputs":[{"name":"p"}],"output":null}],[5,"io_scheduler_cancel_all_jobs","","",null,{"inputs":[],"output":null}],[5,"networking_init","","",null,{"inputs":[],"output":null}],[5,"resources_enumerate_children","","",null,{"inputs":[{"name":"str"},{"name":"resourcelookupflags"}],"output":{"name":"result"}}],[5,"resources_get_info","","",null,{"inputs":[{"name":"str"},{"name":"resourcelookupflags"}],"output":{"name":"result"}}],[5,"resources_lookup_data","","",null,{"inputs":[{"name":"str"},{"name":"resourcelookupflags"}],"output":{"name":"result"}}],[5,"resources_register","","",null,{"inputs":[{"name":"resource"}],"output":null}],[5,"resources_unregister","","",null,{"inputs":[{"name":"resource"}],"output":null}],[5,"unix_is_mount_path_system_internal","","",null,{"inputs":[{"name":"p"}],"output":{"name":"bool"}}],[5,"unix_mount_points_changed_since","","",null,{"inputs":[{"name":"u64"}],"output":{"name":"bool"}}],[5,"unix_mounts_changed_since","","",null,{"inputs":[{"name":"u64"}],"output":{"name":"bool"}}],[0,"functions","","",null,null],[5,"bus_unown_name","gio::functions","",null,{"inputs":[{"name":"u32"}],"output":null}],[5,"bus_unwatch_name","","",null,{"inputs":[{"name":"u32"}],"output":null}],[5,"content_type_can_be_executable","","",null,{"inputs":[{"name":"str"}],"output":{"name":"bool"}}],[5,"content_type_equals","","",null,{"inputs":[{"name":"str"},{"name":"str"}],"output":{"name":"bool"}}],[5,"content_type_from_mime_type","","",null,{"inputs":[{"name":"str"}],"output":{"name":"option"}}],[5,"content_type_get_description","","",null,{"inputs":[{"name":"str"}],"output":{"name":"option"}}],[5,"content_type_get_generic_icon_name","","",null,{"inputs":[{"name":"str"}],"output":{"name":"option"}}],[5,"content_type_get_icon","","",null,{"inputs":[{"name":"str"}],"output":{"name":"option"}}],[5,"content_type_get_mime_type","","",null,{"inputs":[{"name":"str"}],"output":{"name":"option"}}],[5,"content_type_get_symbolic_icon","","",null,{"inputs":[{"name":"str"}],"output":{"name":"option"}}],[5,"content_type_guess_for_tree","","",null,{"inputs":[{"name":"p"}],"output":{"name":"vec"}}],[5,"content_type_is_a","","",null,{"inputs":[{"name":"str"},{"name":"str"}],"output":{"name":"bool"}}],[5,"content_type_is_unknown","","",null,{"inputs":[{"name":"str"}],"output":{"name":"bool"}}],[5,"content_types_get_registered","","",null,{"inputs":[],"output":{"name":"vec"}}],[5,"dbus_address_escape_value","","",null,{"inputs":[{"name":"str"}],"output":{"name":"option"}}],[5,"dbus_generate_guid","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"dbus_is_address","","",null,{"inputs":[{"name":"str"}],"output":{"name":"bool"}}],[5,"dbus_is_guid","","",null,{"inputs":[{"name":"str"}],"output":{"name":"bool"}}],[5,"dbus_is_interface_name","","",null,{"inputs":[{"name":"str"}],"output":{"name":"bool"}}],[5,"dbus_is_member_name","","",null,{"inputs":[{"name":"str"}],"output":{"name":"bool"}}],[5,"dbus_is_name","","",null,{"inputs":[{"name":"str"}],"output":{"name":"bool"}}],[5,"dbus_is_supported_address","","",null,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[5,"dbus_is_unique_name","","",null,{"inputs":[{"name":"str"}],"output":{"name":"bool"}}],[5,"io_modules_scan_all_in_directory","","",null,{"inputs":[{"name":"p"}],"output":null}],[5,"io_scheduler_cancel_all_jobs","","",null,{"inputs":[],"output":null}],[5,"networking_init","","",null,{"inputs":[],"output":null}],[5,"resources_enumerate_children","","",null,{"inputs":[{"name":"str"},{"name":"resourcelookupflags"}],"output":{"name":"result"}}],[5,"resources_get_info","","",null,{"inputs":[{"name":"str"},{"name":"resourcelookupflags"}],"output":{"name":"result"}}],[5,"resources_lookup_data","","",null,{"inputs":[{"name":"str"},{"name":"resourcelookupflags"}],"output":{"name":"result"}}],[5,"resources_register","","",null,{"inputs":[{"name":"resource"}],"output":null}],[5,"resources_unregister","","",null,{"inputs":[{"name":"resource"}],"output":null}],[5,"unix_is_mount_path_system_internal","","",null,{"inputs":[{"name":"p"}],"output":{"name":"bool"}}],[5,"unix_mount_points_changed_since","","",null,{"inputs":[{"name":"u64"}],"output":{"name":"bool"}}],[5,"unix_mounts_changed_since","","",null,{"inputs":[{"name":"u64"}],"output":{"name":"bool"}}],[0,"signal","gio","",null,null],[3,"Inhibit","gio::signal","Whether to propagate the signal to the default handler.",null,null],[12,"0","","",3,null],[0,"prelude","gio","",null,null],[8,"ActionExt","gio::prelude","",null,null],[10,"activate","","",4,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"change_state","","",4,{"inputs":[{"name":"self"},{"name":"variant"}],"output":null}],[10,"get_enabled","","",4,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_name","","",4,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_parameter_type","","",4,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_state","","",4,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_state_hint","","",4,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_state_type","","",4,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[8,"ActionGroupExt","","",null,null],[10,"action_added","","",5,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"action_enabled_changed","","",5,{"inputs":[{"name":"self"},{"name":"str"},{"name":"bool"}],"output":null}],[10,"action_removed","","",5,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"action_state_changed","","",5,{"inputs":[{"name":"self"},{"name":"str"},{"name":"variant"}],"output":null}],[10,"activate_action","","",5,{"inputs":[{"name":"self"},{"name":"str"},{"name":"p"}],"output":null}],[10,"change_action_state","","",5,{"inputs":[{"name":"self"},{"name":"str"},{"name":"variant"}],"output":null}],[10,"get_action_enabled","","",5,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[10,"get_action_parameter_type","","",5,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_action_state","","",5,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_action_state_hint","","",5,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_action_state_type","","",5,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"has_action","","",5,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[10,"list_actions","","",5,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"connect_action_added","","",5,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_action_enabled_changed","","",5,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_action_removed","","",5,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_action_state_changed","","",5,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ActionMapExt","","",null,null],[10,"add_action","","",6,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"lookup_action","","",6,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"remove_action","","",6,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[8,"AppInfoExt","","",null,null],[10,"add_supports_type","","",7,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"result"}}],[10,"can_delete","","",7,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"can_remove_supports_type","","",7,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"delete","","",7,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"dup","","",7,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"equal","","",7,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"get_commandline","","",7,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_description","","",7,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_display_name","","",7,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_executable","","",7,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_icon","","",7,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_id","","",7,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_name","","",7,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_supported_types","","",7,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"launch","","",7,null],[10,"launch_uris","","",7,null],[10,"remove_supports_type","","",7,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"result"}}],[10,"set_as_default_for_extension","","",7,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[10,"set_as_default_for_type","","",7,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"result"}}],[10,"set_as_last_used_for_type","","",7,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"result"}}],[10,"should_show","","",7,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"supports_files","","",7,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"supports_uris","","",7,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[8,"AppLaunchContextExt","","",null,null],[10,"get_display","","",8,null],[10,"get_environment","","",8,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"get_startup_notify_id","","",8,null],[10,"launch_failed","","",8,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"setenv","","",8,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"}],"output":null}],[10,"unsetenv","","",8,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"connect_launch_failed","","",8,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_launched","","",8,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ApplicationExt","","",null,null],[10,"activate","","",9,{"inputs":[{"name":"self"}],"output":null}],[10,"bind_busy_property","","",9,{"inputs":[{"name":"self"},{"name":"p"},{"name":"str"}],"output":null}],[10,"get_application_id","","",9,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_dbus_object_path","","",9,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_flags","","",9,{"inputs":[{"name":"self"}],"output":{"name":"applicationflags"}}],[10,"get_inactivity_timeout","","",9,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"get_is_busy","","",9,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_is_registered","","",9,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_is_remote","","",9,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_resource_base_path","","",9,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"hold","","",9,{"inputs":[{"name":"self"}],"output":null}],[10,"mark_busy","","",9,{"inputs":[{"name":"self"}],"output":null}],[10,"open","","",9,null],[10,"quit","","",9,{"inputs":[{"name":"self"}],"output":null}],[10,"register","","",9,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[10,"release","","",9,{"inputs":[{"name":"self"}],"output":null}],[10,"run","","",9,null],[10,"send_notification","","",9,{"inputs":[{"name":"self"},{"name":"p"},{"name":"notification"}],"output":null}],[10,"set_action_group","","",9,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_application_id","","",9,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_default","","",9,{"inputs":[{"name":"self"}],"output":null}],[10,"set_flags","","",9,{"inputs":[{"name":"self"},{"name":"applicationflags"}],"output":null}],[10,"set_inactivity_timeout","","",9,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"set_resource_base_path","","",9,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"unbind_busy_property","","",9,{"inputs":[{"name":"self"},{"name":"p"},{"name":"str"}],"output":null}],[10,"unmark_busy","","",9,{"inputs":[{"name":"self"}],"output":null}],[10,"withdraw_notification","","",9,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_property_action_group","","",9,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_application_id","","",9,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_application_id","","",9,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_flags","","",9,{"inputs":[{"name":"self"}],"output":{"name":"applicationflags"}}],[10,"set_property_flags","","",9,{"inputs":[{"name":"self"},{"name":"applicationflags"}],"output":null}],[10,"get_property_inactivity_timeout","","",9,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_inactivity_timeout","","",9,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_is_registered","","",9,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_property_is_remote","","",9,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_property_resource_base_path","","",9,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_resource_base_path","","",9,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"connect_activate","","",9,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_shutdown","","",9,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_startup","","",9,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"CancellableExt","","",null,null],[10,"cancel","","",10,{"inputs":[{"name":"self"}],"output":null}],[10,"disconnect","","",10,{"inputs":[{"name":"self"},{"name":"c_ulong"}],"output":null}],[10,"get_fd","","",10,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"is_cancelled","","",10,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"pop_current","","",10,{"inputs":[{"name":"self"}],"output":null}],[10,"push_current","","",10,{"inputs":[{"name":"self"}],"output":null}],[10,"release_fd","","",10,{"inputs":[{"name":"self"}],"output":null}],[10,"reset","","",10,{"inputs":[{"name":"self"}],"output":null}],[10,"set_error_if_cancelled","","",10,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[10,"connect_cancelled","","",10,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"FileExt","","",null,null],[10,"delete","","",11,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[10,"dup","","",11,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"equal","","",11,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"get_basename","","",11,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_child","","",11,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"option"}}],[10,"get_child_for_display_name","","",11,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"result"}}],[10,"get_parent","","",11,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_parse_name","","",11,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_path","","",11,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_relative_path","","",11,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"option"}}],[10,"get_uri","","",11,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_uri_scheme","","",11,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"has_parent","","",11,{"inputs":[{"name":"self"},{"name":"q"}],"output":{"name":"bool"}}],[10,"has_prefix","","",11,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"has_uri_scheme","","",11,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[10,"is_native","","",11,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"make_directory","","",11,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[10,"make_directory_with_parents","","",11,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[10,"make_symbolic_link","","",11,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"}],"output":{"name":"result"}}],[10,"query_default_handler","","",11,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[10,"query_exists","","",11,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"query_file_type","","",11,{"inputs":[{"name":"self"},{"name":"filequeryinfoflags"},{"name":"p"}],"output":{"name":"filetype"}}],[10,"query_filesystem_info","","",11,{"inputs":[{"name":"self"},{"name":"str"},{"name":"p"}],"output":{"name":"result"}}],[10,"query_info","","",11,{"inputs":[{"name":"self"},{"name":"str"},{"name":"filequeryinfoflags"},{"name":"p"}],"output":{"name":"result"}}],[10,"resolve_relative_path","","",11,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"option"}}],[10,"set_attribute_byte_string","","",11,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"},{"name":"filequeryinfoflags"},{"name":"p"}],"output":{"name":"result"}}],[10,"set_attribute_int32","","",11,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"},{"name":"filequeryinfoflags"},{"name":"p"}],"output":{"name":"result"}}],[10,"set_attribute_int64","","",11,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i64"},{"name":"filequeryinfoflags"},{"name":"p"}],"output":{"name":"result"}}],[10,"set_attribute_string","","",11,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"},{"name":"filequeryinfoflags"},{"name":"p"}],"output":{"name":"result"}}],[10,"set_attribute_uint32","","",11,{"inputs":[{"name":"self"},{"name":"str"},{"name":"u32"},{"name":"filequeryinfoflags"},{"name":"p"}],"output":{"name":"result"}}],[10,"set_attribute_uint64","","",11,{"inputs":[{"name":"self"},{"name":"str"},{"name":"u64"},{"name":"filequeryinfoflags"},{"name":"p"}],"output":{"name":"result"}}],[10,"set_attributes_from_info","","",11,{"inputs":[{"name":"self"},{"name":"fileinfo"},{"name":"filequeryinfoflags"},{"name":"p"}],"output":{"name":"result"}}],[10,"set_display_name","","",11,{"inputs":[{"name":"self"},{"name":"str"},{"name":"p"}],"output":{"name":"result"}}],[10,"supports_thread_contexts","","",11,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"trash","","",11,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[8,"FileInfoExt","","",null,null],[10,"clear_status","","",12,{"inputs":[{"name":"self"}],"output":null}],[10,"copy_into","","",12,{"inputs":[{"name":"self"},{"name":"fileinfo"}],"output":null}],[10,"dup","","",12,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_attribute_as_string","","",12,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_attribute_boolean","","",12,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[10,"get_attribute_byte_string","","",12,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_attribute_int32","","",12,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"i32"}}],[10,"get_attribute_int64","","",12,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"i64"}}],[10,"get_attribute_object","","",12,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_attribute_string","","",12,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_attribute_stringv","","",12,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"vec"}}],[10,"get_attribute_uint32","","",12,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"u32"}}],[10,"get_attribute_uint64","","",12,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"u64"}}],[10,"get_content_type","","",12,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_display_name","","",12,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_edit_name","","",12,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_etag","","",12,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_file_type","","",12,{"inputs":[{"name":"self"}],"output":{"name":"filetype"}}],[10,"get_icon","","",12,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_is_backup","","",12,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_is_hidden","","",12,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_is_symlink","","",12,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_name","","",12,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_size","","",12,{"inputs":[{"name":"self"}],"output":{"name":"i64"}}],[10,"get_sort_order","","",12,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_symbolic_icon","","",12,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_symlink_target","","",12,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"has_attribute","","",12,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[10,"has_namespace","","",12,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[10,"list_attributes","","",12,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"vec"}}],[10,"remove_attribute","","",12,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_attribute_boolean","","",12,{"inputs":[{"name":"self"},{"name":"str"},{"name":"bool"}],"output":null}],[10,"set_attribute_byte_string","","",12,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"}],"output":null}],[10,"set_attribute_int32","","",12,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"}],"output":null}],[10,"set_attribute_int64","","",12,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i64"}],"output":null}],[10,"set_attribute_object","","",12,{"inputs":[{"name":"self"},{"name":"str"},{"name":"p"}],"output":null}],[10,"set_attribute_string","","",12,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"}],"output":null}],[10,"set_attribute_stringv","","",12,null],[10,"set_attribute_uint32","","",12,{"inputs":[{"name":"self"},{"name":"str"},{"name":"u32"}],"output":null}],[10,"set_attribute_uint64","","",12,{"inputs":[{"name":"self"},{"name":"str"},{"name":"u64"}],"output":null}],[10,"set_content_type","","",12,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_display_name","","",12,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_edit_name","","",12,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_file_type","","",12,{"inputs":[{"name":"self"},{"name":"filetype"}],"output":null}],[10,"set_icon","","",12,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_is_hidden","","",12,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_is_symlink","","",12,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_name","","",12,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_size","","",12,{"inputs":[{"name":"self"},{"name":"i64"}],"output":null}],[10,"set_sort_order","","",12,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_symbolic_icon","","",12,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_symlink_target","","",12,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"unset_attribute_mask","","",12,{"inputs":[{"name":"self"}],"output":null}],[8,"IconExt","","",null,null],[10,"equal","","",13,{"inputs":[{"name":"self"},{"name":"q"}],"output":{"name":"bool"}}],[10,"serialize","","",13,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"to_string","","",13,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[8,"MenuExt","","",null,null],[10,"append","","",14,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"}],"output":null}],[10,"append_item","","",14,{"inputs":[{"name":"self"},{"name":"menuitem"}],"output":null}],[10,"append_section","","",14,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"}],"output":null}],[10,"append_submenu","","",14,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"}],"output":null}],[10,"freeze","","",14,{"inputs":[{"name":"self"}],"output":null}],[10,"insert","","",14,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"p"},{"name":"q"}],"output":null}],[10,"insert_item","","",14,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"menuitem"}],"output":null}],[10,"insert_section","","",14,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"p"},{"name":"q"}],"output":null}],[10,"insert_submenu","","",14,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"p"},{"name":"q"}],"output":null}],[10,"prepend","","",14,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"}],"output":null}],[10,"prepend_item","","",14,{"inputs":[{"name":"self"},{"name":"menuitem"}],"output":null}],[10,"prepend_section","","",14,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"}],"output":null}],[10,"prepend_submenu","","",14,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"}],"output":null}],[10,"remove","","",14,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"remove_all","","",14,{"inputs":[{"name":"self"}],"output":null}],[8,"MenuAttributeIterExt","","",null,null],[10,"get_name","","",15,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_next","","",15,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_value","","",15,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"next","","",15,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[8,"MenuItemExt","","",null,null],[10,"get_attribute_value","","",16,{"inputs":[{"name":"self"},{"name":"str"},{"name":"p"}],"output":{"name":"option"}}],[10,"get_link","","",16,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"set_action_and_target_value","","",16,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"}],"output":null}],[10,"set_attribute_value","","",16,{"inputs":[{"name":"self"},{"name":"str"},{"name":"p"}],"output":null}],[10,"set_detailed_action","","",16,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_icon","","",16,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_label","","",16,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_link","","",16,{"inputs":[{"name":"self"},{"name":"str"},{"name":"q"}],"output":null}],[10,"set_section","","",16,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_submenu","","",16,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[8,"MenuLinkIterExt","","",null,null],[10,"get_name","","",17,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_next","","",17,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_value","","",17,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"next","","",17,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[8,"MenuModelExt","","",null,null],[10,"get_item_attribute_value","","",18,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"str"},{"name":"p"}],"output":{"name":"option"}}],[10,"get_item_link","","",18,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_n_items","","",18,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"is_mutable","","",18,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"items_changed","","",18,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"iterate_item_attributes","","",18,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"option"}}],[10,"iterate_item_links","","",18,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"option"}}],[10,"connect_items_changed","","",18,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"NotificationExt","","",null,null],[10,"add_button","","",19,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"}],"output":null}],[10,"add_button_with_target_value","","",19,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"},{"name":"p"}],"output":null}],[10,"set_body","","",19,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_default_action","","",19,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_default_action_and_target_value","","",19,{"inputs":[{"name":"self"},{"name":"str"},{"name":"p"}],"output":null}],[10,"set_icon","","",19,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_priority","","",19,{"inputs":[{"name":"self"},{"name":"notificationpriority"}],"output":null}],[10,"set_title","","",19,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_urgent","","",19,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[8,"PermissionExt","","",null,null],[10,"acquire","","",20,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[10,"get_allowed","","",20,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_can_acquire","","",20,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_can_release","","",20,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"impl_update","","",20,{"inputs":[{"name":"self"},{"name":"bool"},{"name":"bool"},{"name":"bool"}],"output":null}],[10,"release","","",20,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[10,"get_property_allowed","","",20,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_property_can_acquire","","",20,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_property_can_release","","",20,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[8,"SettingsExt","","",null,null],[10,"apply","","",21,{"inputs":[{"name":"self"}],"output":null}],[10,"bind","","",21,{"inputs":[{"name":"self"},{"name":"str"},{"name":"p"},{"name":"str"},{"name":"settingsbindflags"}],"output":null}],[10,"bind_writable","","",21,{"inputs":[{"name":"self"},{"name":"str"},{"name":"p"},{"name":"str"},{"name":"bool"}],"output":null}],[10,"create_action","","",21,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"delay","","",21,{"inputs":[{"name":"self"}],"output":null}],[10,"get_boolean","","",21,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[10,"get_child","","",21,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_default_value","","",21,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_double","","",21,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"f64"}}],[10,"get_enum","","",21,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"i32"}}],[10,"get_flags","","",21,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"u32"}}],[10,"get_has_unapplied","","",21,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_int","","",21,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"i32"}}],[10,"get_range","","",21,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_string","","",21,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_strv","","",21,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"vec"}}],[10,"get_uint","","",21,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"u32"}}],[10,"get_user_value","","",21,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_value","","",21,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"is_writable","","",21,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[10,"list_children","","",21,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"list_keys","","",21,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"range_check","","",21,{"inputs":[{"name":"self"},{"name":"str"},{"name":"variant"}],"output":{"name":"bool"}}],[10,"reset","","",21,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"revert","","",21,{"inputs":[{"name":"self"}],"output":null}],[10,"set_boolean","","",21,{"inputs":[{"name":"self"},{"name":"str"},{"name":"bool"}],"output":{"name":"bool"}}],[10,"set_double","","",21,{"inputs":[{"name":"self"},{"name":"str"},{"name":"f64"}],"output":{"name":"bool"}}],[10,"set_enum","","",21,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"}],"output":{"name":"bool"}}],[10,"set_flags","","",21,{"inputs":[{"name":"self"},{"name":"str"},{"name":"u32"}],"output":{"name":"bool"}}],[10,"set_int","","",21,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"}],"output":{"name":"bool"}}],[10,"set_string","","",21,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"}],"output":{"name":"bool"}}],[10,"set_strv","","",21,null],[10,"set_uint","","",21,{"inputs":[{"name":"self"},{"name":"str"},{"name":"u32"}],"output":{"name":"bool"}}],[10,"set_value","","",21,{"inputs":[{"name":"self"},{"name":"str"},{"name":"variant"}],"output":{"name":"bool"}}],[10,"get_property_delay_apply","","",21,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_property_has_unapplied","","",21,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_property_path","","",21,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_property_schema","","",21,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_property_schema_id","","",21,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"connect_changed","","",21,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_writable_change_event","","",21,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_writable_changed","","",21,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"SimpleActionExt","","",null,null],[10,"set_enabled","","",22,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_state","","",22,{"inputs":[{"name":"self"},{"name":"variant"}],"output":null}],[10,"set_state_hint","","",22,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"connect_activate","","",22,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_change_state","","",22,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"SimpleActionGroupExt","","",null,null],[10,"insert","","",23,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"lookup","","",23,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"remove","","",23,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[8,"ThemedIconExt","","",null,null],[10,"append_name","","",24,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"get_names","","",24,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"prepend_name","","",24,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"get_property_use_default_fallbacks","","",24,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[8,"TlsCertificateExt","","",null,null],[10,"get_issuer","","",25,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"is_same","","",25,{"inputs":[{"name":"self"},{"name":"tlscertificate"}],"output":{"name":"bool"}}],[10,"get_property_certificate_pem","","",25,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[8,"ApplicationExtManual","","",null,null],[10,"connect_open","","",26,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[11,"clone","gio","",27,{"inputs":[{"name":"self"}],"output":{"name":"action"}}],[11,"fmt","","",27,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",27,null],[11,"static_type","","",27,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",27,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"name_is_valid","","",27,{"inputs":[{"name":"str"}],"output":{"name":"bool"}}],[11,"parse_detailed_name","","",27,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[11,"print_detailed_name","","",27,{"inputs":[{"name":"str"},{"name":"p"}],"output":{"name":"option"}}],[11,"clone","","",28,{"inputs":[{"name":"self"}],"output":{"name":"actiongroup"}}],[11,"fmt","","",28,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",28,null],[11,"static_type","","",28,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",28,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",29,{"inputs":[{"name":"self"}],"output":{"name":"actionmap"}}],[11,"fmt","","",29,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",29,null],[11,"static_type","","",29,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",29,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",30,{"inputs":[{"name":"self"}],"output":{"name":"appinfo"}}],[11,"fmt","","",30,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",30,null],[11,"static_type","","",30,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",30,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"create_from_commandline","","",30,{"inputs":[{"name":"str"},{"name":"p"},{"name":"appinfocreateflags"}],"output":{"name":"result"}}],[11,"get_all","","",30,{"inputs":[],"output":{"name":"vec"}}],[11,"get_all_for_type","","",30,{"inputs":[{"name":"str"}],"output":{"name":"vec"}}],[11,"get_default_for_type","","",30,{"inputs":[{"name":"str"},{"name":"bool"}],"output":{"name":"option"}}],[11,"get_default_for_uri_scheme","","",30,{"inputs":[{"name":"str"}],"output":{"name":"option"}}],[11,"get_fallback_for_type","","",30,{"inputs":[{"name":"str"}],"output":{"name":"vec"}}],[11,"get_recommended_for_type","","",30,{"inputs":[{"name":"str"}],"output":{"name":"vec"}}],[11,"launch_default_for_uri","","",30,{"inputs":[{"name":"str"},{"name":"p"}],"output":{"name":"result"}}],[11,"reset_type_associations","","",30,{"inputs":[{"name":"str"}],"output":null}],[11,"clone","","",31,{"inputs":[{"name":"self"}],"output":{"name":"applaunchcontext"}}],[11,"fmt","","",31,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",31,null],[11,"static_type","","",31,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",31,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",31,{"inputs":[],"output":{"name":"applaunchcontext"}}],[11,"clone","","",32,{"inputs":[{"name":"self"}],"output":{"name":"application"}}],[11,"fmt","","",32,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",32,null],[11,"static_type","","",32,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",32,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",32,{"inputs":[{"name":"p"},{"name":"applicationflags"}],"output":{"name":"application"}}],[11,"get_default","","",32,{"inputs":[],"output":{"name":"option"}}],[11,"id_is_valid","","",32,{"inputs":[{"name":"str"}],"output":{"name":"bool"}}],[11,"clone","","",33,{"inputs":[{"name":"self"}],"output":{"name":"cancellable"}}],[11,"fmt","","",33,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",33,null],[11,"static_type","","",33,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",33,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",33,{"inputs":[],"output":{"name":"cancellable"}}],[11,"get_current","","",33,{"inputs":[],"output":{"name":"option"}}],[11,"clone","","",34,{"inputs":[{"name":"self"}],"output":{"name":"file"}}],[11,"fmt","","",34,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",34,null],[11,"static_type","","",34,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",34,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new_for_commandline_arg","","",34,{"inputs":[{"name":"str"}],"output":{"name":"file"}}],[11,"new_for_commandline_arg_and_cwd","","",34,{"inputs":[{"name":"str"},{"name":"p"}],"output":{"name":"file"}}],[11,"new_for_path","","",34,{"inputs":[{"name":"p"}],"output":{"name":"file"}}],[11,"new_for_uri","","",34,{"inputs":[{"name":"str"}],"output":{"name":"file"}}],[11,"parse_name","","",34,{"inputs":[{"name":"str"}],"output":{"name":"option"}}],[11,"clone","","",35,{"inputs":[{"name":"self"}],"output":{"name":"fileinfo"}}],[11,"fmt","","",35,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",35,null],[11,"static_type","","",35,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",35,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",35,{"inputs":[],"output":{"name":"fileinfo"}}],[11,"clone","","",36,{"inputs":[{"name":"self"}],"output":{"name":"icon"}}],[11,"fmt","","",36,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",36,null],[11,"static_type","","",36,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",36,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"deserialize","","",36,{"inputs":[{"name":"variant"}],"output":{"name":"option"}}],[11,"new_for_string","","",36,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[11,"clone","","",37,{"inputs":[{"name":"self"}],"output":{"name":"menu"}}],[11,"fmt","","",37,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",37,null],[11,"static_type","","",37,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",37,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",37,{"inputs":[],"output":{"name":"menu"}}],[11,"clone","","",38,{"inputs":[{"name":"self"}],"output":{"name":"menuattributeiter"}}],[11,"fmt","","",38,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",38,null],[11,"static_type","","",38,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",38,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",39,{"inputs":[{"name":"self"}],"output":{"name":"menuitem"}}],[11,"fmt","","",39,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",39,null],[11,"static_type","","",39,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",39,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",39,{"inputs":[{"name":"p"},{"name":"q"}],"output":{"name":"menuitem"}}],[11,"new_from_model","","",39,{"inputs":[{"name":"p"},{"name":"i32"}],"output":{"name":"menuitem"}}],[11,"new_section","","",39,{"inputs":[{"name":"p"},{"name":"q"}],"output":{"name":"menuitem"}}],[11,"new_submenu","","",39,{"inputs":[{"name":"p"},{"name":"q"}],"output":{"name":"menuitem"}}],[11,"clone","","",40,{"inputs":[{"name":"self"}],"output":{"name":"menulinkiter"}}],[11,"fmt","","",40,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",40,null],[11,"static_type","","",40,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",40,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",41,{"inputs":[{"name":"self"}],"output":{"name":"menumodel"}}],[11,"fmt","","",41,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",41,null],[11,"static_type","","",41,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",41,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",42,{"inputs":[{"name":"self"}],"output":{"name":"notification"}}],[11,"fmt","","",42,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",42,null],[11,"static_type","","",42,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",42,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",42,{"inputs":[{"name":"str"}],"output":{"name":"notification"}}],[11,"clone","","",43,{"inputs":[{"name":"self"}],"output":{"name":"permission"}}],[11,"fmt","","",43,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",43,null],[11,"static_type","","",43,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",43,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",44,{"inputs":[{"name":"self"}],"output":{"name":"settings"}}],[11,"fmt","","",44,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",44,null],[11,"static_type","","",44,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",44,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",44,{"inputs":[{"name":"str"}],"output":{"name":"settings"}}],[11,"new_with_path","","",44,{"inputs":[{"name":"str"},{"name":"str"}],"output":{"name":"settings"}}],[11,"list_relocatable_schemas","","",44,{"inputs":[],"output":{"name":"vec"}}],[11,"list_schemas","","",44,{"inputs":[],"output":{"name":"vec"}}],[11,"sync","","",44,{"inputs":[],"output":null}],[11,"unbind","","",44,{"inputs":[{"name":"p"},{"name":"str"}],"output":null}],[11,"clone","","",45,{"inputs":[{"name":"self"}],"output":{"name":"simpleaction"}}],[11,"fmt","","",45,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",45,null],[11,"static_type","","",45,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",45,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",45,{"inputs":[{"name":"str"},{"name":"p"}],"output":{"name":"simpleaction"}}],[11,"new_stateful","","",45,{"inputs":[{"name":"str"},{"name":"p"},{"name":"variant"}],"output":{"name":"simpleaction"}}],[11,"clone","","",46,{"inputs":[{"name":"self"}],"output":{"name":"simpleactiongroup"}}],[11,"fmt","","",46,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",46,null],[11,"static_type","","",46,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",46,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",46,{"inputs":[],"output":{"name":"simpleactiongroup"}}],[11,"clone","","",47,{"inputs":[{"name":"self"}],"output":{"name":"simplepermission"}}],[11,"fmt","","",47,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",47,null],[11,"static_type","","",47,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",47,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",47,{"inputs":[{"name":"bool"}],"output":{"name":"simplepermission"}}],[11,"clone","","",48,{"inputs":[{"name":"self"}],"output":{"name":"themedicon"}}],[11,"fmt","","",48,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",48,null],[11,"static_type","","",48,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",48,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",48,{"inputs":[{"name":"str"}],"output":{"name":"themedicon"}}],[11,"new_from_names","","",48,null],[11,"new_with_default_fallbacks","","",48,{"inputs":[{"name":"str"}],"output":{"name":"themedicon"}}],[11,"clone","","",49,{"inputs":[{"name":"self"}],"output":{"name":"tlscertificate"}}],[11,"fmt","","",49,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",49,null],[11,"static_type","","",49,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",49,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new_from_file","","",49,{"inputs":[{"name":"p"}],"output":{"name":"result"}}],[11,"new_from_files","","",49,{"inputs":[{"name":"p"},{"name":"q"}],"output":{"name":"result"}}],[11,"new_from_pem","","",49,{"inputs":[{"name":"str"},{"name":"isize"}],"output":{"name":"result"}}],[11,"list_new_from_file","","",49,{"inputs":[{"name":"p"}],"output":{"name":"result"}}],[11,"clone","","",50,{"inputs":[{"name":"self"}],"output":{"name":"resource"}}],[11,"new_from_data","","",50,{"inputs":[{"name":"bytes"}],"output":{"name":"result"}}],[11,"enumerate_children","","",50,{"inputs":[{"name":"self"},{"name":"str"},{"name":"resourcelookupflags"}],"output":{"name":"result"}}],[11,"get_info","","",50,{"inputs":[{"name":"self"},{"name":"str"},{"name":"resourcelookupflags"}],"output":{"name":"result"}}],[11,"lookup_data","","",50,{"inputs":[{"name":"self"},{"name":"str"},{"name":"resourcelookupflags"}],"output":{"name":"result"}}],[11,"load","","",50,{"inputs":[{"name":"p"}],"output":{"name":"result"}}],[11,"clone","","",0,{"inputs":[{"name":"self"}],"output":{"name":"filetype"}}],[11,"fmt","","",0,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",0,{"inputs":[{"name":"self"},{"name":"filetype"}],"output":{"name":"bool"}}],[11,"ne","","",0,{"inputs":[{"name":"self"},{"name":"filetype"}],"output":{"name":"bool"}}],[11,"hash","","",0,null],[11,"clone","","",1,{"inputs":[{"name":"self"}],"output":{"name":"notificationpriority"}}],[11,"fmt","","",1,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",1,{"inputs":[{"name":"self"},{"name":"notificationpriority"}],"output":{"name":"bool"}}],[11,"ne","","",1,{"inputs":[{"name":"self"},{"name":"notificationpriority"}],"output":{"name":"bool"}}],[11,"hash","","",1,null],[11,"clone","","",2,{"inputs":[{"name":"self"}],"output":{"name":"resourceerror"}}],[11,"fmt","","",2,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",2,{"inputs":[{"name":"self"},{"name":"resourceerror"}],"output":{"name":"bool"}}],[11,"ne","","",2,{"inputs":[{"name":"self"},{"name":"resourceerror"}],"output":{"name":"bool"}}],[11,"hash","","",2,null],[11,"domain","","",2,{"inputs":[],"output":{"name":"gquark"}}],[11,"code","","",2,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"from","","",2,{"inputs":[{"name":"i32"}],"output":{"name":"option"}}],[11,"eq","","",51,{"inputs":[{"name":"self"},{"name":"appinfocreateflags"}],"output":{"name":"bool"}}],[11,"ne","","",51,{"inputs":[{"name":"self"},{"name":"appinfocreateflags"}],"output":{"name":"bool"}}],[11,"clone","","",51,{"inputs":[{"name":"self"}],"output":{"name":"appinfocreateflags"}}],[11,"partial_cmp","","",51,{"inputs":[{"name":"self"},{"name":"appinfocreateflags"}],"output":{"name":"option"}}],[11,"lt","","",51,{"inputs":[{"name":"self"},{"name":"appinfocreateflags"}],"output":{"name":"bool"}}],[11,"le","","",51,{"inputs":[{"name":"self"},{"name":"appinfocreateflags"}],"output":{"name":"bool"}}],[11,"gt","","",51,{"inputs":[{"name":"self"},{"name":"appinfocreateflags"}],"output":{"name":"bool"}}],[11,"ge","","",51,{"inputs":[{"name":"self"},{"name":"appinfocreateflags"}],"output":{"name":"bool"}}],[11,"cmp","","",51,{"inputs":[{"name":"self"},{"name":"appinfocreateflags"}],"output":{"name":"ordering"}}],[11,"hash","","",51,null],[11,"fmt","","",51,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",51,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",51,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",51,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",51,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",51,{"inputs":[],"output":{"name":"appinfocreateflags"}}],[11,"all","","Returns the set containing all flags.",51,{"inputs":[],"output":{"name":"appinfocreateflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",51,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",51,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",51,{"inputs":[{"name":"u32"}],"output":{"name":"appinfocreateflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",51,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",51,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",51,{"inputs":[{"name":"self"},{"name":"appinfocreateflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",51,{"inputs":[{"name":"self"},{"name":"appinfocreateflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",51,{"inputs":[{"name":"self"},{"name":"appinfocreateflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",51,{"inputs":[{"name":"self"},{"name":"appinfocreateflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",51,{"inputs":[{"name":"self"},{"name":"appinfocreateflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",51,{"inputs":[{"name":"self"},{"name":"appinfocreateflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",51,{"inputs":[{"name":"self"},{"name":"appinfocreateflags"}],"output":{"name":"appinfocreateflags"}}],[11,"bitor_assign","","Adds the set of flags.",51,{"inputs":[{"name":"self"},{"name":"appinfocreateflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",51,{"inputs":[{"name":"self"},{"name":"appinfocreateflags"}],"output":{"name":"appinfocreateflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",51,{"inputs":[{"name":"self"},{"name":"appinfocreateflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",51,{"inputs":[{"name":"self"},{"name":"appinfocreateflags"}],"output":{"name":"appinfocreateflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",51,{"inputs":[{"name":"self"},{"name":"appinfocreateflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",51,{"inputs":[{"name":"self"},{"name":"appinfocreateflags"}],"output":{"name":"appinfocreateflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",51,{"inputs":[{"name":"self"},{"name":"appinfocreateflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",51,{"inputs":[{"name":"self"}],"output":{"name":"appinfocreateflags"}}],[11,"extend","","",51,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",51,{"inputs":[{"name":"t"}],"output":{"name":"appinfocreateflags"}}],[11,"eq","","",52,{"inputs":[{"name":"self"},{"name":"applicationflags"}],"output":{"name":"bool"}}],[11,"ne","","",52,{"inputs":[{"name":"self"},{"name":"applicationflags"}],"output":{"name":"bool"}}],[11,"clone","","",52,{"inputs":[{"name":"self"}],"output":{"name":"applicationflags"}}],[11,"partial_cmp","","",52,{"inputs":[{"name":"self"},{"name":"applicationflags"}],"output":{"name":"option"}}],[11,"lt","","",52,{"inputs":[{"name":"self"},{"name":"applicationflags"}],"output":{"name":"bool"}}],[11,"le","","",52,{"inputs":[{"name":"self"},{"name":"applicationflags"}],"output":{"name":"bool"}}],[11,"gt","","",52,{"inputs":[{"name":"self"},{"name":"applicationflags"}],"output":{"name":"bool"}}],[11,"ge","","",52,{"inputs":[{"name":"self"},{"name":"applicationflags"}],"output":{"name":"bool"}}],[11,"cmp","","",52,{"inputs":[{"name":"self"},{"name":"applicationflags"}],"output":{"name":"ordering"}}],[11,"hash","","",52,null],[11,"fmt","","",52,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",52,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",52,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",52,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",52,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",52,{"inputs":[],"output":{"name":"applicationflags"}}],[11,"all","","Returns the set containing all flags.",52,{"inputs":[],"output":{"name":"applicationflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",52,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",52,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",52,{"inputs":[{"name":"u32"}],"output":{"name":"applicationflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",52,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",52,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",52,{"inputs":[{"name":"self"},{"name":"applicationflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",52,{"inputs":[{"name":"self"},{"name":"applicationflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",52,{"inputs":[{"name":"self"},{"name":"applicationflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",52,{"inputs":[{"name":"self"},{"name":"applicationflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",52,{"inputs":[{"name":"self"},{"name":"applicationflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",52,{"inputs":[{"name":"self"},{"name":"applicationflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",52,{"inputs":[{"name":"self"},{"name":"applicationflags"}],"output":{"name":"applicationflags"}}],[11,"bitor_assign","","Adds the set of flags.",52,{"inputs":[{"name":"self"},{"name":"applicationflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",52,{"inputs":[{"name":"self"},{"name":"applicationflags"}],"output":{"name":"applicationflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",52,{"inputs":[{"name":"self"},{"name":"applicationflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",52,{"inputs":[{"name":"self"},{"name":"applicationflags"}],"output":{"name":"applicationflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",52,{"inputs":[{"name":"self"},{"name":"applicationflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",52,{"inputs":[{"name":"self"},{"name":"applicationflags"}],"output":{"name":"applicationflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",52,{"inputs":[{"name":"self"},{"name":"applicationflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",52,{"inputs":[{"name":"self"}],"output":{"name":"applicationflags"}}],[11,"extend","","",52,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",52,{"inputs":[{"name":"t"}],"output":{"name":"applicationflags"}}],[11,"eq","","",53,{"inputs":[{"name":"self"},{"name":"filecreateflags"}],"output":{"name":"bool"}}],[11,"ne","","",53,{"inputs":[{"name":"self"},{"name":"filecreateflags"}],"output":{"name":"bool"}}],[11,"clone","","",53,{"inputs":[{"name":"self"}],"output":{"name":"filecreateflags"}}],[11,"partial_cmp","","",53,{"inputs":[{"name":"self"},{"name":"filecreateflags"}],"output":{"name":"option"}}],[11,"lt","","",53,{"inputs":[{"name":"self"},{"name":"filecreateflags"}],"output":{"name":"bool"}}],[11,"le","","",53,{"inputs":[{"name":"self"},{"name":"filecreateflags"}],"output":{"name":"bool"}}],[11,"gt","","",53,{"inputs":[{"name":"self"},{"name":"filecreateflags"}],"output":{"name":"bool"}}],[11,"ge","","",53,{"inputs":[{"name":"self"},{"name":"filecreateflags"}],"output":{"name":"bool"}}],[11,"cmp","","",53,{"inputs":[{"name":"self"},{"name":"filecreateflags"}],"output":{"name":"ordering"}}],[11,"hash","","",53,null],[11,"fmt","","",53,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",53,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",53,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",53,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",53,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",53,{"inputs":[],"output":{"name":"filecreateflags"}}],[11,"all","","Returns the set containing all flags.",53,{"inputs":[],"output":{"name":"filecreateflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",53,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",53,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",53,{"inputs":[{"name":"u32"}],"output":{"name":"filecreateflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",53,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",53,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",53,{"inputs":[{"name":"self"},{"name":"filecreateflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",53,{"inputs":[{"name":"self"},{"name":"filecreateflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",53,{"inputs":[{"name":"self"},{"name":"filecreateflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",53,{"inputs":[{"name":"self"},{"name":"filecreateflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",53,{"inputs":[{"name":"self"},{"name":"filecreateflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",53,{"inputs":[{"name":"self"},{"name":"filecreateflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",53,{"inputs":[{"name":"self"},{"name":"filecreateflags"}],"output":{"name":"filecreateflags"}}],[11,"bitor_assign","","Adds the set of flags.",53,{"inputs":[{"name":"self"},{"name":"filecreateflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",53,{"inputs":[{"name":"self"},{"name":"filecreateflags"}],"output":{"name":"filecreateflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",53,{"inputs":[{"name":"self"},{"name":"filecreateflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",53,{"inputs":[{"name":"self"},{"name":"filecreateflags"}],"output":{"name":"filecreateflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",53,{"inputs":[{"name":"self"},{"name":"filecreateflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",53,{"inputs":[{"name":"self"},{"name":"filecreateflags"}],"output":{"name":"filecreateflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",53,{"inputs":[{"name":"self"},{"name":"filecreateflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",53,{"inputs":[{"name":"self"}],"output":{"name":"filecreateflags"}}],[11,"extend","","",53,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",53,{"inputs":[{"name":"t"}],"output":{"name":"filecreateflags"}}],[11,"eq","","",54,{"inputs":[{"name":"self"},{"name":"filequeryinfoflags"}],"output":{"name":"bool"}}],[11,"ne","","",54,{"inputs":[{"name":"self"},{"name":"filequeryinfoflags"}],"output":{"name":"bool"}}],[11,"clone","","",54,{"inputs":[{"name":"self"}],"output":{"name":"filequeryinfoflags"}}],[11,"partial_cmp","","",54,{"inputs":[{"name":"self"},{"name":"filequeryinfoflags"}],"output":{"name":"option"}}],[11,"lt","","",54,{"inputs":[{"name":"self"},{"name":"filequeryinfoflags"}],"output":{"name":"bool"}}],[11,"le","","",54,{"inputs":[{"name":"self"},{"name":"filequeryinfoflags"}],"output":{"name":"bool"}}],[11,"gt","","",54,{"inputs":[{"name":"self"},{"name":"filequeryinfoflags"}],"output":{"name":"bool"}}],[11,"ge","","",54,{"inputs":[{"name":"self"},{"name":"filequeryinfoflags"}],"output":{"name":"bool"}}],[11,"cmp","","",54,{"inputs":[{"name":"self"},{"name":"filequeryinfoflags"}],"output":{"name":"ordering"}}],[11,"hash","","",54,null],[11,"fmt","","",54,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",54,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",54,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",54,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",54,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",54,{"inputs":[],"output":{"name":"filequeryinfoflags"}}],[11,"all","","Returns the set containing all flags.",54,{"inputs":[],"output":{"name":"filequeryinfoflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",54,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",54,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",54,{"inputs":[{"name":"u32"}],"output":{"name":"filequeryinfoflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",54,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",54,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",54,{"inputs":[{"name":"self"},{"name":"filequeryinfoflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",54,{"inputs":[{"name":"self"},{"name":"filequeryinfoflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",54,{"inputs":[{"name":"self"},{"name":"filequeryinfoflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",54,{"inputs":[{"name":"self"},{"name":"filequeryinfoflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",54,{"inputs":[{"name":"self"},{"name":"filequeryinfoflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",54,{"inputs":[{"name":"self"},{"name":"filequeryinfoflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",54,{"inputs":[{"name":"self"},{"name":"filequeryinfoflags"}],"output":{"name":"filequeryinfoflags"}}],[11,"bitor_assign","","Adds the set of flags.",54,{"inputs":[{"name":"self"},{"name":"filequeryinfoflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",54,{"inputs":[{"name":"self"},{"name":"filequeryinfoflags"}],"output":{"name":"filequeryinfoflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",54,{"inputs":[{"name":"self"},{"name":"filequeryinfoflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",54,{"inputs":[{"name":"self"},{"name":"filequeryinfoflags"}],"output":{"name":"filequeryinfoflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",54,{"inputs":[{"name":"self"},{"name":"filequeryinfoflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",54,{"inputs":[{"name":"self"},{"name":"filequeryinfoflags"}],"output":{"name":"filequeryinfoflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",54,{"inputs":[{"name":"self"},{"name":"filequeryinfoflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",54,{"inputs":[{"name":"self"}],"output":{"name":"filequeryinfoflags"}}],[11,"extend","","",54,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",54,{"inputs":[{"name":"t"}],"output":{"name":"filequeryinfoflags"}}],[11,"eq","","",55,{"inputs":[{"name":"self"},{"name":"resourcelookupflags"}],"output":{"name":"bool"}}],[11,"ne","","",55,{"inputs":[{"name":"self"},{"name":"resourcelookupflags"}],"output":{"name":"bool"}}],[11,"clone","","",55,{"inputs":[{"name":"self"}],"output":{"name":"resourcelookupflags"}}],[11,"partial_cmp","","",55,{"inputs":[{"name":"self"},{"name":"resourcelookupflags"}],"output":{"name":"option"}}],[11,"lt","","",55,{"inputs":[{"name":"self"},{"name":"resourcelookupflags"}],"output":{"name":"bool"}}],[11,"le","","",55,{"inputs":[{"name":"self"},{"name":"resourcelookupflags"}],"output":{"name":"bool"}}],[11,"gt","","",55,{"inputs":[{"name":"self"},{"name":"resourcelookupflags"}],"output":{"name":"bool"}}],[11,"ge","","",55,{"inputs":[{"name":"self"},{"name":"resourcelookupflags"}],"output":{"name":"bool"}}],[11,"cmp","","",55,{"inputs":[{"name":"self"},{"name":"resourcelookupflags"}],"output":{"name":"ordering"}}],[11,"hash","","",55,null],[11,"fmt","","",55,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",55,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",55,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",55,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",55,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",55,{"inputs":[],"output":{"name":"resourcelookupflags"}}],[11,"all","","Returns the set containing all flags.",55,{"inputs":[],"output":{"name":"resourcelookupflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",55,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",55,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",55,{"inputs":[{"name":"u32"}],"output":{"name":"resourcelookupflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",55,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",55,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",55,{"inputs":[{"name":"self"},{"name":"resourcelookupflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",55,{"inputs":[{"name":"self"},{"name":"resourcelookupflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",55,{"inputs":[{"name":"self"},{"name":"resourcelookupflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",55,{"inputs":[{"name":"self"},{"name":"resourcelookupflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",55,{"inputs":[{"name":"self"},{"name":"resourcelookupflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",55,{"inputs":[{"name":"self"},{"name":"resourcelookupflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",55,{"inputs":[{"name":"self"},{"name":"resourcelookupflags"}],"output":{"name":"resourcelookupflags"}}],[11,"bitor_assign","","Adds the set of flags.",55,{"inputs":[{"name":"self"},{"name":"resourcelookupflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",55,{"inputs":[{"name":"self"},{"name":"resourcelookupflags"}],"output":{"name":"resourcelookupflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",55,{"inputs":[{"name":"self"},{"name":"resourcelookupflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",55,{"inputs":[{"name":"self"},{"name":"resourcelookupflags"}],"output":{"name":"resourcelookupflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",55,{"inputs":[{"name":"self"},{"name":"resourcelookupflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",55,{"inputs":[{"name":"self"},{"name":"resourcelookupflags"}],"output":{"name":"resourcelookupflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",55,{"inputs":[{"name":"self"},{"name":"resourcelookupflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",55,{"inputs":[{"name":"self"}],"output":{"name":"resourcelookupflags"}}],[11,"extend","","",55,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",55,{"inputs":[{"name":"t"}],"output":{"name":"resourcelookupflags"}}],[11,"eq","","",56,{"inputs":[{"name":"self"},{"name":"settingsbindflags"}],"output":{"name":"bool"}}],[11,"ne","","",56,{"inputs":[{"name":"self"},{"name":"settingsbindflags"}],"output":{"name":"bool"}}],[11,"clone","","",56,{"inputs":[{"name":"self"}],"output":{"name":"settingsbindflags"}}],[11,"partial_cmp","","",56,{"inputs":[{"name":"self"},{"name":"settingsbindflags"}],"output":{"name":"option"}}],[11,"lt","","",56,{"inputs":[{"name":"self"},{"name":"settingsbindflags"}],"output":{"name":"bool"}}],[11,"le","","",56,{"inputs":[{"name":"self"},{"name":"settingsbindflags"}],"output":{"name":"bool"}}],[11,"gt","","",56,{"inputs":[{"name":"self"},{"name":"settingsbindflags"}],"output":{"name":"bool"}}],[11,"ge","","",56,{"inputs":[{"name":"self"},{"name":"settingsbindflags"}],"output":{"name":"bool"}}],[11,"cmp","","",56,{"inputs":[{"name":"self"},{"name":"settingsbindflags"}],"output":{"name":"ordering"}}],[11,"hash","","",56,null],[11,"fmt","","",56,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",56,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",56,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",56,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",56,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",56,{"inputs":[],"output":{"name":"settingsbindflags"}}],[11,"all","","Returns the set containing all flags.",56,{"inputs":[],"output":{"name":"settingsbindflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",56,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",56,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",56,{"inputs":[{"name":"u32"}],"output":{"name":"settingsbindflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",56,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",56,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",56,{"inputs":[{"name":"self"},{"name":"settingsbindflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",56,{"inputs":[{"name":"self"},{"name":"settingsbindflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",56,{"inputs":[{"name":"self"},{"name":"settingsbindflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",56,{"inputs":[{"name":"self"},{"name":"settingsbindflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",56,{"inputs":[{"name":"self"},{"name":"settingsbindflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",56,{"inputs":[{"name":"self"},{"name":"settingsbindflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",56,{"inputs":[{"name":"self"},{"name":"settingsbindflags"}],"output":{"name":"settingsbindflags"}}],[11,"bitor_assign","","Adds the set of flags.",56,{"inputs":[{"name":"self"},{"name":"settingsbindflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",56,{"inputs":[{"name":"self"},{"name":"settingsbindflags"}],"output":{"name":"settingsbindflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",56,{"inputs":[{"name":"self"},{"name":"settingsbindflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",56,{"inputs":[{"name":"self"},{"name":"settingsbindflags"}],"output":{"name":"settingsbindflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",56,{"inputs":[{"name":"self"},{"name":"settingsbindflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",56,{"inputs":[{"name":"self"},{"name":"settingsbindflags"}],"output":{"name":"settingsbindflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",56,{"inputs":[{"name":"self"},{"name":"settingsbindflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",56,{"inputs":[{"name":"self"}],"output":{"name":"settingsbindflags"}}],[11,"extend","","",56,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",56,{"inputs":[{"name":"t"}],"output":{"name":"settingsbindflags"}}],[11,"eq","","",57,{"inputs":[{"name":"self"},{"name":"tlscertificateflags"}],"output":{"name":"bool"}}],[11,"ne","","",57,{"inputs":[{"name":"self"},{"name":"tlscertificateflags"}],"output":{"name":"bool"}}],[11,"clone","","",57,{"inputs":[{"name":"self"}],"output":{"name":"tlscertificateflags"}}],[11,"partial_cmp","","",57,{"inputs":[{"name":"self"},{"name":"tlscertificateflags"}],"output":{"name":"option"}}],[11,"lt","","",57,{"inputs":[{"name":"self"},{"name":"tlscertificateflags"}],"output":{"name":"bool"}}],[11,"le","","",57,{"inputs":[{"name":"self"},{"name":"tlscertificateflags"}],"output":{"name":"bool"}}],[11,"gt","","",57,{"inputs":[{"name":"self"},{"name":"tlscertificateflags"}],"output":{"name":"bool"}}],[11,"ge","","",57,{"inputs":[{"name":"self"},{"name":"tlscertificateflags"}],"output":{"name":"bool"}}],[11,"cmp","","",57,{"inputs":[{"name":"self"},{"name":"tlscertificateflags"}],"output":{"name":"ordering"}}],[11,"hash","","",57,null],[11,"fmt","","",57,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",57,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",57,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",57,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",57,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",57,{"inputs":[],"output":{"name":"tlscertificateflags"}}],[11,"all","","Returns the set containing all flags.",57,{"inputs":[],"output":{"name":"tlscertificateflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",57,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",57,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",57,{"inputs":[{"name":"u32"}],"output":{"name":"tlscertificateflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",57,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",57,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",57,{"inputs":[{"name":"self"},{"name":"tlscertificateflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",57,{"inputs":[{"name":"self"},{"name":"tlscertificateflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",57,{"inputs":[{"name":"self"},{"name":"tlscertificateflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",57,{"inputs":[{"name":"self"},{"name":"tlscertificateflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",57,{"inputs":[{"name":"self"},{"name":"tlscertificateflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",57,{"inputs":[{"name":"self"},{"name":"tlscertificateflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",57,{"inputs":[{"name":"self"},{"name":"tlscertificateflags"}],"output":{"name":"tlscertificateflags"}}],[11,"bitor_assign","","Adds the set of flags.",57,{"inputs":[{"name":"self"},{"name":"tlscertificateflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",57,{"inputs":[{"name":"self"},{"name":"tlscertificateflags"}],"output":{"name":"tlscertificateflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",57,{"inputs":[{"name":"self"},{"name":"tlscertificateflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",57,{"inputs":[{"name":"self"},{"name":"tlscertificateflags"}],"output":{"name":"tlscertificateflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",57,{"inputs":[{"name":"self"},{"name":"tlscertificateflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",57,{"inputs":[{"name":"self"},{"name":"tlscertificateflags"}],"output":{"name":"tlscertificateflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",57,{"inputs":[{"name":"self"},{"name":"tlscertificateflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",57,{"inputs":[{"name":"self"}],"output":{"name":"tlscertificateflags"}}],[11,"extend","","",57,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",57,{"inputs":[{"name":"t"}],"output":{"name":"tlscertificateflags"}}],[17,"APP_INFO_CREATE_NONE","","",null,null],[17,"APP_INFO_CREATE_NEEDS_TERMINAL","","",null,null],[17,"APP_INFO_CREATE_SUPPORTS_URIS","","",null,null],[17,"APP_INFO_CREATE_SUPPORTS_STARTUP_NOTIFICATION","","",null,null],[17,"APPLICATION_FLAGS_NONE","","",null,null],[17,"APPLICATION_IS_SERVICE","","",null,null],[17,"APPLICATION_IS_LAUNCHER","","",null,null],[17,"APPLICATION_HANDLES_OPEN","","",null,null],[17,"APPLICATION_HANDLES_COMMAND_LINE","","",null,null],[17,"APPLICATION_SEND_ENVIRONMENT","","",null,null],[17,"APPLICATION_NON_UNIQUE","","",null,null],[17,"APPLICATION_CAN_OVERRIDE_APP_ID","","",null,null],[17,"FILE_CREATE_NONE","","",null,null],[17,"FILE_CREATE_PRIVATE","","",null,null],[17,"FILE_CREATE_REPLACE_DESTINATION","","",null,null],[17,"FILE_QUERY_INFO_NONE","","",null,null],[17,"FILE_QUERY_INFO_NOFOLLOW_SYMLINKS","","",null,null],[17,"RESOURCE_LOOKUP_FLAGS_NONE","","",null,null],[17,"SETTINGS_BIND_DEFAULT","","",null,null],[17,"SETTINGS_BIND_GET","","",null,null],[17,"SETTINGS_BIND_SET","","",null,null],[17,"SETTINGS_BIND_NO_SENSITIVITY","","",null,null],[17,"SETTINGS_BIND_GET_NO_CHANGES","","",null,null],[17,"SETTINGS_BIND_INVERT_BOOLEAN","","",null,null],[17,"TLS_CERTIFICATE_UNKNOWN_CA","","",null,null],[17,"TLS_CERTIFICATE_BAD_IDENTITY","","",null,null],[17,"TLS_CERTIFICATE_NOT_ACTIVATED","","",null,null],[17,"TLS_CERTIFICATE_EXPIRED","","",null,null],[17,"TLS_CERTIFICATE_REVOKED","","",null,null],[17,"TLS_CERTIFICATE_INSECURE","","",null,null],[17,"TLS_CERTIFICATE_GENERIC_ERROR","","",null,null],[17,"TLS_CERTIFICATE_VALIDATE_ALL","","",null,null],[8,"ActionExt","","",null,null],[10,"activate","","",4,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"change_state","","",4,{"inputs":[{"name":"self"},{"name":"variant"}],"output":null}],[10,"get_enabled","","",4,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_name","","",4,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_parameter_type","","",4,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_state","","",4,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_state_hint","","",4,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_state_type","","",4,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[8,"ActionGroupExt","","",null,null],[10,"action_added","","",5,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"action_enabled_changed","","",5,{"inputs":[{"name":"self"},{"name":"str"},{"name":"bool"}],"output":null}],[10,"action_removed","","",5,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"action_state_changed","","",5,{"inputs":[{"name":"self"},{"name":"str"},{"name":"variant"}],"output":null}],[10,"activate_action","","",5,{"inputs":[{"name":"self"},{"name":"str"},{"name":"p"}],"output":null}],[10,"change_action_state","","",5,{"inputs":[{"name":"self"},{"name":"str"},{"name":"variant"}],"output":null}],[10,"get_action_enabled","","",5,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[10,"get_action_parameter_type","","",5,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_action_state","","",5,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_action_state_hint","","",5,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_action_state_type","","",5,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"has_action","","",5,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[10,"list_actions","","",5,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"connect_action_added","","",5,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_action_enabled_changed","","",5,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_action_removed","","",5,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_action_state_changed","","",5,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ActionMapExt","","",null,null],[10,"add_action","","",6,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"lookup_action","","",6,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"remove_action","","",6,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[8,"AppInfoExt","","",null,null],[10,"add_supports_type","","",7,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"result"}}],[10,"can_delete","","",7,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"can_remove_supports_type","","",7,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"delete","","",7,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"dup","","",7,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"equal","","",7,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"get_commandline","","",7,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_description","","",7,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_display_name","","",7,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_executable","","",7,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_icon","","",7,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_id","","",7,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_name","","",7,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_supported_types","","",7,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"launch","","",7,null],[10,"launch_uris","","",7,null],[10,"remove_supports_type","","",7,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"result"}}],[10,"set_as_default_for_extension","","",7,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[10,"set_as_default_for_type","","",7,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"result"}}],[10,"set_as_last_used_for_type","","",7,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"result"}}],[10,"should_show","","",7,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"supports_files","","",7,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"supports_uris","","",7,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[8,"AppLaunchContextExt","","",null,null],[10,"get_display","","",8,null],[10,"get_environment","","",8,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"get_startup_notify_id","","",8,null],[10,"launch_failed","","",8,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"setenv","","",8,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"}],"output":null}],[10,"unsetenv","","",8,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"connect_launch_failed","","",8,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_launched","","",8,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ApplicationExt","","",null,null],[10,"activate","","",9,{"inputs":[{"name":"self"}],"output":null}],[10,"bind_busy_property","","",9,{"inputs":[{"name":"self"},{"name":"p"},{"name":"str"}],"output":null}],[10,"get_application_id","","",9,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_dbus_object_path","","",9,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_flags","","",9,{"inputs":[{"name":"self"}],"output":{"name":"applicationflags"}}],[10,"get_inactivity_timeout","","",9,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"get_is_busy","","",9,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_is_registered","","",9,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_is_remote","","",9,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_resource_base_path","","",9,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"hold","","",9,{"inputs":[{"name":"self"}],"output":null}],[10,"mark_busy","","",9,{"inputs":[{"name":"self"}],"output":null}],[10,"open","","",9,null],[10,"quit","","",9,{"inputs":[{"name":"self"}],"output":null}],[10,"register","","",9,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[10,"release","","",9,{"inputs":[{"name":"self"}],"output":null}],[10,"run","","",9,null],[10,"send_notification","","",9,{"inputs":[{"name":"self"},{"name":"p"},{"name":"notification"}],"output":null}],[10,"set_action_group","","",9,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_application_id","","",9,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_default","","",9,{"inputs":[{"name":"self"}],"output":null}],[10,"set_flags","","",9,{"inputs":[{"name":"self"},{"name":"applicationflags"}],"output":null}],[10,"set_inactivity_timeout","","",9,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"set_resource_base_path","","",9,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"unbind_busy_property","","",9,{"inputs":[{"name":"self"},{"name":"p"},{"name":"str"}],"output":null}],[10,"unmark_busy","","",9,{"inputs":[{"name":"self"}],"output":null}],[10,"withdraw_notification","","",9,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_property_action_group","","",9,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_application_id","","",9,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_application_id","","",9,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_flags","","",9,{"inputs":[{"name":"self"}],"output":{"name":"applicationflags"}}],[10,"set_property_flags","","",9,{"inputs":[{"name":"self"},{"name":"applicationflags"}],"output":null}],[10,"get_property_inactivity_timeout","","",9,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_inactivity_timeout","","",9,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_is_registered","","",9,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_property_is_remote","","",9,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_property_resource_base_path","","",9,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_resource_base_path","","",9,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"connect_activate","","",9,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_shutdown","","",9,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_startup","","",9,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"CancellableExt","","",null,null],[10,"cancel","","",10,{"inputs":[{"name":"self"}],"output":null}],[10,"disconnect","","",10,{"inputs":[{"name":"self"},{"name":"c_ulong"}],"output":null}],[10,"get_fd","","",10,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"is_cancelled","","",10,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"pop_current","","",10,{"inputs":[{"name":"self"}],"output":null}],[10,"push_current","","",10,{"inputs":[{"name":"self"}],"output":null}],[10,"release_fd","","",10,{"inputs":[{"name":"self"}],"output":null}],[10,"reset","","",10,{"inputs":[{"name":"self"}],"output":null}],[10,"set_error_if_cancelled","","",10,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[10,"connect_cancelled","","",10,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"FileExt","","",null,null],[10,"delete","","",11,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[10,"dup","","",11,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"equal","","",11,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"get_basename","","",11,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_child","","",11,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"option"}}],[10,"get_child_for_display_name","","",11,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"result"}}],[10,"get_parent","","",11,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_parse_name","","",11,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_path","","",11,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_relative_path","","",11,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"option"}}],[10,"get_uri","","",11,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_uri_scheme","","",11,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"has_parent","","",11,{"inputs":[{"name":"self"},{"name":"q"}],"output":{"name":"bool"}}],[10,"has_prefix","","",11,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"has_uri_scheme","","",11,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[10,"is_native","","",11,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"make_directory","","",11,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[10,"make_directory_with_parents","","",11,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[10,"make_symbolic_link","","",11,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"}],"output":{"name":"result"}}],[10,"query_default_handler","","",11,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[10,"query_exists","","",11,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"query_file_type","","",11,{"inputs":[{"name":"self"},{"name":"filequeryinfoflags"},{"name":"p"}],"output":{"name":"filetype"}}],[10,"query_filesystem_info","","",11,{"inputs":[{"name":"self"},{"name":"str"},{"name":"p"}],"output":{"name":"result"}}],[10,"query_info","","",11,{"inputs":[{"name":"self"},{"name":"str"},{"name":"filequeryinfoflags"},{"name":"p"}],"output":{"name":"result"}}],[10,"resolve_relative_path","","",11,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"option"}}],[10,"set_attribute_byte_string","","",11,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"},{"name":"filequeryinfoflags"},{"name":"p"}],"output":{"name":"result"}}],[10,"set_attribute_int32","","",11,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"},{"name":"filequeryinfoflags"},{"name":"p"}],"output":{"name":"result"}}],[10,"set_attribute_int64","","",11,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i64"},{"name":"filequeryinfoflags"},{"name":"p"}],"output":{"name":"result"}}],[10,"set_attribute_string","","",11,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"},{"name":"filequeryinfoflags"},{"name":"p"}],"output":{"name":"result"}}],[10,"set_attribute_uint32","","",11,{"inputs":[{"name":"self"},{"name":"str"},{"name":"u32"},{"name":"filequeryinfoflags"},{"name":"p"}],"output":{"name":"result"}}],[10,"set_attribute_uint64","","",11,{"inputs":[{"name":"self"},{"name":"str"},{"name":"u64"},{"name":"filequeryinfoflags"},{"name":"p"}],"output":{"name":"result"}}],[10,"set_attributes_from_info","","",11,{"inputs":[{"name":"self"},{"name":"fileinfo"},{"name":"filequeryinfoflags"},{"name":"p"}],"output":{"name":"result"}}],[10,"set_display_name","","",11,{"inputs":[{"name":"self"},{"name":"str"},{"name":"p"}],"output":{"name":"result"}}],[10,"supports_thread_contexts","","",11,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"trash","","",11,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[8,"FileInfoExt","","",null,null],[10,"clear_status","","",12,{"inputs":[{"name":"self"}],"output":null}],[10,"copy_into","","",12,{"inputs":[{"name":"self"},{"name":"fileinfo"}],"output":null}],[10,"dup","","",12,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_attribute_as_string","","",12,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_attribute_boolean","","",12,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[10,"get_attribute_byte_string","","",12,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_attribute_int32","","",12,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"i32"}}],[10,"get_attribute_int64","","",12,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"i64"}}],[10,"get_attribute_object","","",12,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_attribute_string","","",12,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_attribute_stringv","","",12,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"vec"}}],[10,"get_attribute_uint32","","",12,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"u32"}}],[10,"get_attribute_uint64","","",12,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"u64"}}],[10,"get_content_type","","",12,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_display_name","","",12,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_edit_name","","",12,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_etag","","",12,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_file_type","","",12,{"inputs":[{"name":"self"}],"output":{"name":"filetype"}}],[10,"get_icon","","",12,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_is_backup","","",12,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_is_hidden","","",12,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_is_symlink","","",12,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_name","","",12,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_size","","",12,{"inputs":[{"name":"self"}],"output":{"name":"i64"}}],[10,"get_sort_order","","",12,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_symbolic_icon","","",12,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_symlink_target","","",12,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"has_attribute","","",12,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[10,"has_namespace","","",12,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[10,"list_attributes","","",12,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"vec"}}],[10,"remove_attribute","","",12,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_attribute_boolean","","",12,{"inputs":[{"name":"self"},{"name":"str"},{"name":"bool"}],"output":null}],[10,"set_attribute_byte_string","","",12,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"}],"output":null}],[10,"set_attribute_int32","","",12,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"}],"output":null}],[10,"set_attribute_int64","","",12,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i64"}],"output":null}],[10,"set_attribute_object","","",12,{"inputs":[{"name":"self"},{"name":"str"},{"name":"p"}],"output":null}],[10,"set_attribute_string","","",12,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"}],"output":null}],[10,"set_attribute_stringv","","",12,null],[10,"set_attribute_uint32","","",12,{"inputs":[{"name":"self"},{"name":"str"},{"name":"u32"}],"output":null}],[10,"set_attribute_uint64","","",12,{"inputs":[{"name":"self"},{"name":"str"},{"name":"u64"}],"output":null}],[10,"set_content_type","","",12,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_display_name","","",12,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_edit_name","","",12,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_file_type","","",12,{"inputs":[{"name":"self"},{"name":"filetype"}],"output":null}],[10,"set_icon","","",12,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_is_hidden","","",12,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_is_symlink","","",12,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_name","","",12,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_size","","",12,{"inputs":[{"name":"self"},{"name":"i64"}],"output":null}],[10,"set_sort_order","","",12,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_symbolic_icon","","",12,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_symlink_target","","",12,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"unset_attribute_mask","","",12,{"inputs":[{"name":"self"}],"output":null}],[8,"IconExt","","",null,null],[10,"equal","","",13,{"inputs":[{"name":"self"},{"name":"q"}],"output":{"name":"bool"}}],[10,"serialize","","",13,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"to_string","","",13,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[8,"MenuExt","","",null,null],[10,"append","","",14,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"}],"output":null}],[10,"append_item","","",14,{"inputs":[{"name":"self"},{"name":"menuitem"}],"output":null}],[10,"append_section","","",14,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"}],"output":null}],[10,"append_submenu","","",14,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"}],"output":null}],[10,"freeze","","",14,{"inputs":[{"name":"self"}],"output":null}],[10,"insert","","",14,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"p"},{"name":"q"}],"output":null}],[10,"insert_item","","",14,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"menuitem"}],"output":null}],[10,"insert_section","","",14,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"p"},{"name":"q"}],"output":null}],[10,"insert_submenu","","",14,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"p"},{"name":"q"}],"output":null}],[10,"prepend","","",14,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"}],"output":null}],[10,"prepend_item","","",14,{"inputs":[{"name":"self"},{"name":"menuitem"}],"output":null}],[10,"prepend_section","","",14,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"}],"output":null}],[10,"prepend_submenu","","",14,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"}],"output":null}],[10,"remove","","",14,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"remove_all","","",14,{"inputs":[{"name":"self"}],"output":null}],[8,"MenuAttributeIterExt","","",null,null],[10,"get_name","","",15,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_next","","",15,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_value","","",15,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"next","","",15,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[8,"MenuItemExt","","",null,null],[10,"get_attribute_value","","",16,{"inputs":[{"name":"self"},{"name":"str"},{"name":"p"}],"output":{"name":"option"}}],[10,"get_link","","",16,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"set_action_and_target_value","","",16,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"}],"output":null}],[10,"set_attribute_value","","",16,{"inputs":[{"name":"self"},{"name":"str"},{"name":"p"}],"output":null}],[10,"set_detailed_action","","",16,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_icon","","",16,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_label","","",16,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_link","","",16,{"inputs":[{"name":"self"},{"name":"str"},{"name":"q"}],"output":null}],[10,"set_section","","",16,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_submenu","","",16,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[8,"MenuLinkIterExt","","",null,null],[10,"get_name","","",17,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_next","","",17,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_value","","",17,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"next","","",17,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[8,"MenuModelExt","","",null,null],[10,"get_item_attribute_value","","",18,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"str"},{"name":"p"}],"output":{"name":"option"}}],[10,"get_item_link","","",18,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_n_items","","",18,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"is_mutable","","",18,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"items_changed","","",18,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"iterate_item_attributes","","",18,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"option"}}],[10,"iterate_item_links","","",18,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"option"}}],[10,"connect_items_changed","","",18,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"NotificationExt","","",null,null],[10,"add_button","","",19,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"}],"output":null}],[10,"add_button_with_target_value","","",19,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"},{"name":"p"}],"output":null}],[10,"set_body","","",19,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_default_action","","",19,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_default_action_and_target_value","","",19,{"inputs":[{"name":"self"},{"name":"str"},{"name":"p"}],"output":null}],[10,"set_icon","","",19,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_priority","","",19,{"inputs":[{"name":"self"},{"name":"notificationpriority"}],"output":null}],[10,"set_title","","",19,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_urgent","","",19,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[8,"PermissionExt","","",null,null],[10,"acquire","","",20,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[10,"get_allowed","","",20,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_can_acquire","","",20,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_can_release","","",20,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"impl_update","","",20,{"inputs":[{"name":"self"},{"name":"bool"},{"name":"bool"},{"name":"bool"}],"output":null}],[10,"release","","",20,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[10,"get_property_allowed","","",20,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_property_can_acquire","","",20,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_property_can_release","","",20,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[8,"SettingsExt","","",null,null],[10,"apply","","",21,{"inputs":[{"name":"self"}],"output":null}],[10,"bind","","",21,{"inputs":[{"name":"self"},{"name":"str"},{"name":"p"},{"name":"str"},{"name":"settingsbindflags"}],"output":null}],[10,"bind_writable","","",21,{"inputs":[{"name":"self"},{"name":"str"},{"name":"p"},{"name":"str"},{"name":"bool"}],"output":null}],[10,"create_action","","",21,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"delay","","",21,{"inputs":[{"name":"self"}],"output":null}],[10,"get_boolean","","",21,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[10,"get_child","","",21,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_default_value","","",21,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_double","","",21,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"f64"}}],[10,"get_enum","","",21,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"i32"}}],[10,"get_flags","","",21,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"u32"}}],[10,"get_has_unapplied","","",21,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_int","","",21,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"i32"}}],[10,"get_range","","",21,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_string","","",21,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_strv","","",21,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"vec"}}],[10,"get_uint","","",21,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"u32"}}],[10,"get_user_value","","",21,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_value","","",21,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"is_writable","","",21,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[10,"list_children","","",21,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"list_keys","","",21,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"range_check","","",21,{"inputs":[{"name":"self"},{"name":"str"},{"name":"variant"}],"output":{"name":"bool"}}],[10,"reset","","",21,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"revert","","",21,{"inputs":[{"name":"self"}],"output":null}],[10,"set_boolean","","",21,{"inputs":[{"name":"self"},{"name":"str"},{"name":"bool"}],"output":{"name":"bool"}}],[10,"set_double","","",21,{"inputs":[{"name":"self"},{"name":"str"},{"name":"f64"}],"output":{"name":"bool"}}],[10,"set_enum","","",21,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"}],"output":{"name":"bool"}}],[10,"set_flags","","",21,{"inputs":[{"name":"self"},{"name":"str"},{"name":"u32"}],"output":{"name":"bool"}}],[10,"set_int","","",21,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"}],"output":{"name":"bool"}}],[10,"set_string","","",21,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"}],"output":{"name":"bool"}}],[10,"set_strv","","",21,null],[10,"set_uint","","",21,{"inputs":[{"name":"self"},{"name":"str"},{"name":"u32"}],"output":{"name":"bool"}}],[10,"set_value","","",21,{"inputs":[{"name":"self"},{"name":"str"},{"name":"variant"}],"output":{"name":"bool"}}],[10,"get_property_delay_apply","","",21,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_property_has_unapplied","","",21,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_property_path","","",21,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_property_schema","","",21,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_property_schema_id","","",21,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"connect_changed","","",21,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_writable_change_event","","",21,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_writable_changed","","",21,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"SimpleActionExt","","",null,null],[10,"set_enabled","","",22,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_state","","",22,{"inputs":[{"name":"self"},{"name":"variant"}],"output":null}],[10,"set_state_hint","","",22,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"connect_activate","","",22,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_change_state","","",22,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"SimpleActionGroupExt","","",null,null],[10,"insert","","",23,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"lookup","","",23,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"remove","","",23,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[8,"ThemedIconExt","","",null,null],[10,"append_name","","",24,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"get_names","","",24,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"prepend_name","","",24,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"get_property_use_default_fallbacks","","",24,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[8,"TlsCertificateExt","","",null,null],[10,"get_issuer","","",25,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"is_same","","",25,{"inputs":[{"name":"self"},{"name":"tlscertificate"}],"output":{"name":"bool"}}],[10,"get_property_certificate_pem","","",25,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"new","","Creates an error with supplied error enum variant and message.",58,{"inputs":[{"name":"t"},{"name":"str"}],"output":{"name":"error"}}],[11,"is","","Checks if the error domain matches `T`.",58,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"kind","","Tries to convert to a specific error enum.",58,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"wrap","","",58,null],[11,"default","gio::signal","",3,{"inputs":[],"output":{"name":"inhibit"}}],[11,"static_type","gio","",59,{"inputs":[],"output":{"name":"type"}}],[11,"hash","","",59,null],[11,"clone","gio::signal","",3,{"inputs":[{"name":"self"}],"output":{"name":"inhibit"}}],[11,"clone","gio","",59,{"inputs":[{"name":"self"}],"output":{"name":"object"}}],[11,"clone","","",58,{"inputs":[{"name":"self"}],"output":{"name":"error"}}],[11,"description","","",58,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"fmt","","",58,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",59,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","gio::signal","",3,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","gio","",58,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",59,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"eq","gio::signal","",3,{"inputs":[{"name":"self"},{"name":"inhibit"}],"output":{"name":"bool"}}],[11,"ne","","",3,{"inputs":[{"name":"self"},{"name":"inhibit"}],"output":{"name":"bool"}}]],"paths":[[4,"FileType"],[4,"NotificationPriority"],[4,"ResourceError"],[3,"Inhibit"],[8,"ActionExt"],[8,"ActionGroupExt"],[8,"ActionMapExt"],[8,"AppInfoExt"],[8,"AppLaunchContextExt"],[8,"ApplicationExt"],[8,"CancellableExt"],[8,"FileExt"],[8,"FileInfoExt"],[8,"IconExt"],[8,"MenuExt"],[8,"MenuAttributeIterExt"],[8,"MenuItemExt"],[8,"MenuLinkIterExt"],[8,"MenuModelExt"],[8,"NotificationExt"],[8,"PermissionExt"],[8,"SettingsExt"],[8,"SimpleActionExt"],[8,"SimpleActionGroupExt"],[8,"ThemedIconExt"],[8,"TlsCertificateExt"],[8,"ApplicationExtManual"],[3,"Action"],[3,"ActionGroup"],[3,"ActionMap"],[3,"AppInfo"],[3,"AppLaunchContext"],[3,"Application"],[3,"Cancellable"],[3,"File"],[3,"FileInfo"],[3,"Icon"],[3,"Menu"],[3,"MenuAttributeIter"],[3,"MenuItem"],[3,"MenuLinkIter"],[3,"MenuModel"],[3,"Notification"],[3,"Permission"],[3,"Settings"],[3,"SimpleAction"],[3,"SimpleActionGroup"],[3,"SimplePermission"],[3,"ThemedIcon"],[3,"TlsCertificate"],[3,"Resource"],[3,"AppInfoCreateFlags"],[3,"ApplicationFlags"],[3,"FileCreateFlags"],[3,"FileQueryInfoFlags"],[3,"ResourceLookupFlags"],[3,"SettingsBindFlags"],[3,"TlsCertificateFlags"],[3,"Error"],[3,"Object"]]};
searchIndex["gio_sys"] = {"doc":"","items":[[3,"GAppInfoCreateFlags","gio_sys","",null,null],[3,"GApplicationFlags","","",null,null],[3,"GAskPasswordFlags","","",null,null],[3,"GBusNameOwnerFlags","","",null,null],[3,"GBusNameWatcherFlags","","",null,null],[3,"GConverterFlags","","",null,null],[3,"GDBusCallFlags","","",null,null],[3,"GDBusCapabilityFlags","","",null,null],[3,"GDBusConnectionFlags","","",null,null],[3,"GDBusInterfaceSkeletonFlags","","",null,null],[3,"GDBusMessageFlags","","",null,null],[3,"GDBusObjectManagerClientFlags","","",null,null],[3,"GDBusPropertyInfoFlags","","",null,null],[3,"GDBusProxyFlags","","",null,null],[3,"GDBusSendMessageFlags","","",null,null],[3,"GDBusServerFlags","","",null,null],[3,"GDBusSignalFlags","","",null,null],[3,"GDBusSubtreeFlags","","",null,null],[3,"GDriveStartFlags","","",null,null],[3,"GFileAttributeInfoFlags","","",null,null],[3,"GFileCopyFlags","","",null,null],[3,"GFileCreateFlags","","",null,null],[3,"GFileMeasureFlags","","",null,null],[3,"GFileMonitorFlags","","",null,null],[3,"GFileQueryInfoFlags","","",null,null],[3,"GIOStreamSpliceFlags","","",null,null],[3,"GMountMountFlags","","",null,null],[3,"GMountUnmountFlags","","",null,null],[3,"GOutputStreamSpliceFlags","","",null,null],[3,"GResourceFlags","","",null,null],[3,"GResourceLookupFlags","","",null,null],[3,"GSettingsBindFlags","","",null,null],[3,"GSocketMsgFlags","","",null,null],[3,"GSubprocessFlags","","",null,null],[3,"GTestDBusFlags","","",null,null],[3,"GTlsCertificateFlags","","",null,null],[3,"GTlsDatabaseVerifyFlags","","",null,null],[3,"GTlsPasswordFlags","","",null,null],[3,"GActionEntry","","",null,null],[12,"name","","",0,null],[12,"activate","","",0,null],[12,"parameter_type","","",0,null],[12,"state","","",0,null],[12,"change_state","","",0,null],[12,"padding","","",0,null],[3,"GActionGroupInterface","","",null,null],[12,"g_iface","","",1,null],[12,"has_action","","",1,null],[12,"list_actions","","",1,null],[12,"get_action_enabled","","",1,null],[12,"get_action_parameter_type","","",1,null],[12,"get_action_state_type","","",1,null],[12,"get_action_state_hint","","",1,null],[12,"get_action_state","","",1,null],[12,"change_action_state","","",1,null],[12,"activate_action","","",1,null],[12,"action_added","","",1,null],[12,"action_removed","","",1,null],[12,"action_enabled_changed","","",1,null],[12,"action_state_changed","","",1,null],[12,"query_action","","",1,null],[3,"GActionInterface","","",null,null],[12,"g_iface","","",2,null],[12,"get_name","","",2,null],[12,"get_parameter_type","","",2,null],[12,"get_state_type","","",2,null],[12,"get_state_hint","","",2,null],[12,"get_enabled","","",2,null],[12,"get_state","","",2,null],[12,"change_state","","",2,null],[12,"activate","","",2,null],[3,"GActionMapInterface","","",null,null],[12,"g_iface","","",3,null],[12,"lookup_action","","",3,null],[12,"add_action","","",3,null],[12,"remove_action","","",3,null],[3,"GAppInfoIface","","",null,null],[12,"g_iface","","",4,null],[12,"dup","","",4,null],[12,"equal","","",4,null],[12,"get_id","","",4,null],[12,"get_name","","",4,null],[12,"get_description","","",4,null],[12,"get_executable","","",4,null],[12,"get_icon","","",4,null],[12,"launch","","",4,null],[12,"supports_uris","","",4,null],[12,"supports_files","","",4,null],[12,"launch_uris","","",4,null],[12,"should_show","","",4,null],[12,"set_as_default_for_type","","",4,null],[12,"set_as_default_for_extension","","",4,null],[12,"add_supports_type","","",4,null],[12,"can_remove_supports_type","","",4,null],[12,"remove_supports_type","","",4,null],[12,"can_delete","","",4,null],[12,"do_delete","","",4,null],[12,"get_commandline","","",4,null],[12,"get_display_name","","",4,null],[12,"set_as_last_used_for_type","","",4,null],[12,"get_supported_types","","",4,null],[3,"GAppLaunchContextClass","","",null,null],[12,"parent_class","","",5,null],[12,"get_display","","",5,null],[12,"get_startup_notify_id","","",5,null],[12,"launch_failed","","",5,null],[12,"launched","","",5,null],[12,"_g_reserved1","","",5,null],[12,"_g_reserved2","","",5,null],[12,"_g_reserved3","","",5,null],[12,"_g_reserved4","","",5,null],[3,"GAppLaunchContextPrivate","","",null,null],[3,"GApplicationClass","","",null,null],[12,"parent_class","","",6,null],[12,"startup","","",6,null],[12,"activate","","",6,null],[12,"open","","",6,null],[12,"command_line","","",6,null],[12,"local_command_line","","",6,null],[12,"before_emit","","",6,null],[12,"after_emit","","",6,null],[12,"add_platform_data","","",6,null],[12,"quit_mainloop","","",6,null],[12,"run_mainloop","","",6,null],[12,"shutdown","","",6,null],[12,"dbus_register","","",6,null],[12,"dbus_unregister","","",6,null],[12,"handle_local_options","","",6,null],[12,"padding","","",6,null],[3,"GApplicationCommandLineClass","","",null,null],[12,"parent_class","","",7,null],[12,"print_literal","","",7,null],[12,"printerr_literal","","",7,null],[12,"get_stdin","","",7,null],[12,"padding","","",7,null],[3,"GApplicationCommandLinePrivate","","",null,null],[3,"GApplicationPrivate","","",null,null],[3,"GAsyncInitableIface","","",null,null],[12,"g_iface","","",8,null],[12,"init_async","","",8,null],[12,"init_finish","","",8,null],[3,"GAsyncResultIface","","",null,null],[12,"g_iface","","",9,null],[12,"get_user_data","","",9,null],[12,"get_source_object","","",9,null],[12,"is_tagged","","",9,null],[3,"GBufferedInputStreamClass","","",null,null],[12,"parent_class","","",10,null],[12,"fill","","",10,null],[12,"fill_async","","",10,null],[12,"fill_finish","","",10,null],[12,"_g_reserved1","","",10,null],[12,"_g_reserved2","","",10,null],[12,"_g_reserved3","","",10,null],[12,"_g_reserved4","","",10,null],[12,"_g_reserved5","","",10,null],[3,"GBufferedInputStreamPrivate","","",null,null],[3,"GBufferedOutputStreamClass","","",null,null],[12,"parent_class","","",11,null],[12,"_g_reserved1","","",11,null],[12,"_g_reserved2","","",11,null],[3,"GBufferedOutputStreamPrivate","","",null,null],[3,"GCancellableClass","","",null,null],[12,"parent_class","","",12,null],[12,"cancelled","","",12,null],[12,"_g_reserved1","","",12,null],[12,"_g_reserved2","","",12,null],[12,"_g_reserved3","","",12,null],[12,"_g_reserved4","","",12,null],[12,"_g_reserved5","","",12,null],[3,"GCancellablePrivate","","",null,null],[3,"GCharsetConverterClass","","",null,null],[12,"parent_class","","",13,null],[3,"GConverterIface","","",null,null],[12,"g_iface","","",14,null],[12,"convert","","",14,null],[12,"reset","","",14,null],[3,"GConverterInputStreamClass","","",null,null],[12,"parent_class","","",15,null],[12,"_g_reserved1","","",15,null],[12,"_g_reserved2","","",15,null],[12,"_g_reserved3","","",15,null],[12,"_g_reserved4","","",15,null],[12,"_g_reserved5","","",15,null],[3,"GConverterInputStreamPrivate","","",null,null],[3,"GConverterOutputStreamClass","","",null,null],[12,"parent_class","","",16,null],[12,"_g_reserved1","","",16,null],[12,"_g_reserved2","","",16,null],[12,"_g_reserved3","","",16,null],[12,"_g_reserved4","","",16,null],[12,"_g_reserved5","","",16,null],[3,"GConverterOutputStreamPrivate","","",null,null],[3,"GCredentialsClass","","",null,null],[3,"GDBusAnnotationInfo","","",null,null],[12,"ref_count","","",17,null],[12,"key","","",17,null],[12,"value","","",17,null],[12,"annotations","","",17,null],[3,"GDBusArgInfo","","",null,null],[12,"ref_count","","",18,null],[12,"name","","",18,null],[12,"signature","","",18,null],[12,"annotations","","",18,null],[3,"GDBusErrorEntry","","",null,null],[12,"error_code","","",19,null],[12,"dbus_error_name","","",19,null],[3,"GDBusInterfaceIface","","",null,null],[12,"parent_iface","","",20,null],[12,"get_info","","",20,null],[12,"get_object","","",20,null],[12,"set_object","","",20,null],[12,"dup_object","","",20,null],[3,"GDBusInterfaceInfo","","",null,null],[12,"ref_count","","",21,null],[12,"name","","",21,null],[12,"methods","","",21,null],[12,"signals","","",21,null],[12,"properties","","",21,null],[12,"annotations","","",21,null],[3,"GDBusInterfaceSkeletonClass","","",null,null],[12,"parent_class","","",22,null],[12,"get_info","","",22,null],[12,"get_vtable","","",22,null],[12,"get_properties","","",22,null],[12,"flush","","",22,null],[12,"vfunc_padding","","",22,null],[12,"g_authorize_method","","",22,null],[12,"signal_padding","","",22,null],[3,"GDBusInterfaceSkeletonPrivate","","",null,null],[3,"GDBusInterfaceVTable","","",null,null],[12,"method_call","","",23,null],[12,"get_property","","",23,null],[12,"set_property","","",23,null],[12,"padding","","",23,null],[3,"GDBusMethodInfo","","",null,null],[12,"ref_count","","",24,null],[12,"name","","",24,null],[12,"in_args","","",24,null],[12,"out_args","","",24,null],[12,"annotations","","",24,null],[3,"GDBusNodeInfo","","",null,null],[12,"ref_count","","",25,null],[12,"path","","",25,null],[12,"interfaces","","",25,null],[12,"nodes","","",25,null],[12,"annotations","","",25,null],[3,"GDBusObjectIface","","",null,null],[12,"parent_iface","","",26,null],[12,"get_object_path","","",26,null],[12,"get_interfaces","","",26,null],[12,"get_interface","","",26,null],[12,"interface_added","","",26,null],[12,"interface_removed","","",26,null],[3,"GDBusObjectManagerClientClass","","",null,null],[12,"parent_class","","",27,null],[12,"interface_proxy_signal","","",27,null],[12,"interface_proxy_properties_changed","","",27,null],[12,"padding","","",27,null],[3,"GDBusObjectManagerClientPrivate","","",null,null],[3,"GDBusObjectManagerIface","","",null,null],[12,"parent_iface","","",28,null],[12,"get_object_path","","",28,null],[12,"get_objects","","",28,null],[12,"get_object","","",28,null],[12,"get_interface","","",28,null],[12,"object_added","","",28,null],[12,"object_removed","","",28,null],[12,"interface_added","","",28,null],[12,"interface_removed","","",28,null],[3,"GDBusObjectManagerServerClass","","",null,null],[12,"parent_class","","",29,null],[12,"padding","","",29,null],[3,"GDBusObjectManagerServerPrivate","","",null,null],[3,"GDBusObjectProxyClass","","",null,null],[12,"parent_class","","",30,null],[12,"padding","","",30,null],[3,"GDBusObjectProxyPrivate","","",null,null],[3,"GDBusObjectSkeletonClass","","",null,null],[12,"parent_class","","",31,null],[12,"authorize_method","","",31,null],[12,"padding","","",31,null],[3,"GDBusObjectSkeletonPrivate","","",null,null],[3,"GDBusPropertyInfo","","",null,null],[12,"ref_count","","",32,null],[12,"name","","",32,null],[12,"signature","","",32,null],[12,"flags","","",32,null],[12,"annotations","","",32,null],[3,"GDBusProxyClass","","",null,null],[12,"parent_class","","",33,null],[12,"g_properties_changed","","",33,null],[12,"g_signal","","",33,null],[12,"padding","","",33,null],[3,"GDBusProxyPrivate","","",null,null],[3,"GDBusSignalInfo","","",null,null],[12,"ref_count","","",34,null],[12,"name","","",34,null],[12,"args","","",34,null],[12,"annotations","","",34,null],[3,"GDBusSubtreeVTable","","",null,null],[12,"enumerate","","",35,null],[12,"introspect","","",35,null],[12,"dispatch","","",35,null],[12,"padding","","",35,null],[3,"GDataInputStreamClass","","",null,null],[12,"parent_class","","",36,null],[12,"_g_reserved1","","",36,null],[12,"_g_reserved2","","",36,null],[12,"_g_reserved3","","",36,null],[12,"_g_reserved4","","",36,null],[12,"_g_reserved5","","",36,null],[3,"GDataInputStreamPrivate","","",null,null],[3,"GDataOutputStreamClass","","",null,null],[12,"parent_class","","",37,null],[12,"_g_reserved1","","",37,null],[12,"_g_reserved2","","",37,null],[12,"_g_reserved3","","",37,null],[12,"_g_reserved4","","",37,null],[12,"_g_reserved5","","",37,null],[3,"GDataOutputStreamPrivate","","",null,null],[3,"GDatagramBasedInterface","","",null,null],[12,"g_iface","","",38,null],[12,"receive_messages","","",38,null],[12,"send_messages","","",38,null],[12,"create_source","","",38,null],[12,"condition_check","","",38,null],[12,"condition_wait","","",38,null],[3,"GDesktopAppInfoClass","","",null,null],[12,"parent_class","","",39,null],[3,"GDesktopAppInfoLookupIface","","",null,null],[12,"g_iface","","",40,null],[12,"get_default_for_uri_scheme","","",40,null],[3,"GDriveIface","","",null,null],[12,"g_iface","","",41,null],[12,"changed","","",41,null],[12,"disconnected","","",41,null],[12,"eject_button","","",41,null],[12,"get_name","","",41,null],[12,"get_icon","","",41,null],[12,"has_volumes","","",41,null],[12,"get_volumes","","",41,null],[12,"is_media_removable","","",41,null],[12,"has_media","","",41,null],[12,"is_media_check_automatic","","",41,null],[12,"can_eject","","",41,null],[12,"can_poll_for_media","","",41,null],[12,"eject","","",41,null],[12,"eject_finish","","",41,null],[12,"poll_for_media","","",41,null],[12,"poll_for_media_finish","","",41,null],[12,"get_identifier","","",41,null],[12,"enumerate_identifiers","","",41,null],[12,"get_start_stop_type","","",41,null],[12,"can_start","","",41,null],[12,"can_start_degraded","","",41,null],[12,"start","","",41,null],[12,"start_finish","","",41,null],[12,"can_stop","","",41,null],[12,"stop","","",41,null],[12,"stop_finish","","",41,null],[12,"stop_button","","",41,null],[12,"eject_with_operation","","",41,null],[12,"eject_with_operation_finish","","",41,null],[12,"get_sort_key","","",41,null],[12,"get_symbolic_icon","","",41,null],[12,"is_removable","","",41,null],[3,"GDtlsClientConnectionInterface","","",null,null],[12,"g_iface","","",42,null],[3,"GDtlsConnectionInterface","","",null,null],[12,"g_iface","","",43,null],[12,"accept_certificate","","",43,null],[12,"handshake","","",43,null],[12,"handshake_async","","",43,null],[12,"handshake_finish","","",43,null],[12,"shutdown","","",43,null],[12,"shutdown_async","","",43,null],[12,"shutdown_finish","","",43,null],[3,"GDtlsServerConnectionInterface","","",null,null],[12,"g_iface","","",44,null],[3,"GEmblemClass","","",null,null],[3,"GEmblemedIconClass","","",null,null],[12,"parent_class","","",45,null],[3,"GEmblemedIconPrivate","","",null,null],[3,"GFileAttributeInfo","","",null,null],[12,"name","","",46,null],[12,"type_","","",46,null],[12,"flags","","",46,null],[3,"GFileAttributeInfoList","","",null,null],[12,"infos","","",47,null],[12,"n_infos","","",47,null],[3,"GFileAttributeMatcher","","",null,null],[3,"GFileDescriptorBasedIface","","",null,null],[12,"g_iface","","",48,null],[12,"get_fd","","",48,null],[3,"GFileEnumeratorClass","","",null,null],[12,"parent_class","","",49,null],[12,"next_file","","",49,null],[12,"close_fn","","",49,null],[12,"next_files_async","","",49,null],[12,"next_files_finish","","",49,null],[12,"close_async","","",49,null],[12,"close_finish","","",49,null],[12,"_g_reserved1","","",49,null],[12,"_g_reserved2","","",49,null],[12,"_g_reserved3","","",49,null],[12,"_g_reserved4","","",49,null],[12,"_g_reserved5","","",49,null],[12,"_g_reserved6","","",49,null],[12,"_g_reserved7","","",49,null],[3,"GFileEnumeratorPrivate","","",null,null],[3,"GFileIOStreamClass","","",null,null],[12,"parent_class","","",50,null],[12,"tell","","",50,null],[12,"can_seek","","",50,null],[12,"seek","","",50,null],[12,"can_truncate","","",50,null],[12,"truncate_fn","","",50,null],[12,"query_info","","",50,null],[12,"query_info_async","","",50,null],[12,"query_info_finish","","",50,null],[12,"get_etag","","",50,null],[12,"_g_reserved1","","",50,null],[12,"_g_reserved2","","",50,null],[12,"_g_reserved3","","",50,null],[12,"_g_reserved4","","",50,null],[12,"_g_reserved5","","",50,null],[3,"GFileIOStreamPrivate","","",null,null],[3,"GFileIconClass","","",null,null],[3,"GFileIface","","",null,null],[12,"g_iface","","",51,null],[12,"dup","","",51,null],[12,"hash","","",51,null],[12,"equal","","",51,null],[12,"is_native","","",51,null],[12,"has_uri_scheme","","",51,null],[12,"get_uri_scheme","","",51,null],[12,"get_basename","","",51,null],[12,"get_path","","",51,null],[12,"get_uri","","",51,null],[12,"get_parse_name","","",51,null],[12,"get_parent","","",51,null],[12,"prefix_matches","","",51,null],[12,"get_relative_path","","",51,null],[12,"resolve_relative_path","","",51,null],[12,"get_child_for_display_name","","",51,null],[12,"enumerate_children","","",51,null],[12,"enumerate_children_async","","",51,null],[12,"enumerate_children_finish","","",51,null],[12,"query_info","","",51,null],[12,"query_info_async","","",51,null],[12,"query_info_finish","","",51,null],[12,"query_filesystem_info","","",51,null],[12,"query_filesystem_info_async","","",51,null],[12,"query_filesystem_info_finish","","",51,null],[12,"find_enclosing_mount","","",51,null],[12,"find_enclosing_mount_async","","",51,null],[12,"find_enclosing_mount_finish","","",51,null],[12,"set_display_name","","",51,null],[12,"set_display_name_async","","",51,null],[12,"set_display_name_finish","","",51,null],[12,"query_settable_attributes","","",51,null],[12,"_query_settable_attributes_async","","",51,null],[12,"_query_settable_attributes_finish","","",51,null],[12,"query_writable_namespaces","","",51,null],[12,"_query_writable_namespaces_async","","",51,null],[12,"_query_writable_namespaces_finish","","",51,null],[12,"set_attribute","","",51,null],[12,"set_attributes_from_info","","",51,null],[12,"set_attributes_async","","",51,null],[12,"set_attributes_finish","","",51,null],[12,"read_fn","","",51,null],[12,"read_async","","",51,null],[12,"read_finish","","",51,null],[12,"append_to","","",51,null],[12,"append_to_async","","",51,null],[12,"append_to_finish","","",51,null],[12,"create","","",51,null],[12,"create_async","","",51,null],[12,"create_finish","","",51,null],[12,"replace","","",51,null],[12,"replace_async","","",51,null],[12,"replace_finish","","",51,null],[12,"delete_file","","",51,null],[12,"delete_file_async","","",51,null],[12,"delete_file_finish","","",51,null],[12,"trash","","",51,null],[12,"trash_async","","",51,null],[12,"trash_finish","","",51,null],[12,"make_directory","","",51,null],[12,"make_directory_async","","",51,null],[12,"make_directory_finish","","",51,null],[12,"make_symbolic_link","","",51,null],[12,"_make_symbolic_link_async","","",51,null],[12,"_make_symbolic_link_finish","","",51,null],[12,"copy","","",51,null],[12,"copy_async","","",51,null],[12,"copy_finish","","",51,null],[12,"move_","","",51,null],[12,"_move_async","","",51,null],[12,"_move_finish","","",51,null],[12,"mount_mountable","","",51,null],[12,"mount_mountable_finish","","",51,null],[12,"unmount_mountable","","",51,null],[12,"unmount_mountable_finish","","",51,null],[12,"eject_mountable","","",51,null],[12,"eject_mountable_finish","","",51,null],[12,"mount_enclosing_volume","","",51,null],[12,"mount_enclosing_volume_finish","","",51,null],[12,"monitor_dir","","",51,null],[12,"monitor_file","","",51,null],[12,"open_readwrite","","",51,null],[12,"open_readwrite_async","","",51,null],[12,"open_readwrite_finish","","",51,null],[12,"create_readwrite","","",51,null],[12,"create_readwrite_async","","",51,null],[12,"create_readwrite_finish","","",51,null],[12,"replace_readwrite","","",51,null],[12,"replace_readwrite_async","","",51,null],[12,"replace_readwrite_finish","","",51,null],[12,"start_mountable","","",51,null],[12,"start_mountable_finish","","",51,null],[12,"stop_mountable","","",51,null],[12,"stop_mountable_finish","","",51,null],[12,"supports_thread_contexts","","",51,null],[12,"unmount_mountable_with_operation","","",51,null],[12,"unmount_mountable_with_operation_finish","","",51,null],[12,"eject_mountable_with_operation","","",51,null],[12,"eject_mountable_with_operation_finish","","",51,null],[12,"poll_mountable","","",51,null],[12,"poll_mountable_finish","","",51,null],[12,"measure_disk_usage","","",51,null],[12,"measure_disk_usage_async","","",51,null],[12,"measure_disk_usage_finish","","",51,null],[3,"GFileInfoClass","","",null,null],[3,"GFileInputStreamClass","","",null,null],[12,"parent_class","","",52,null],[12,"tell","","",52,null],[12,"can_seek","","",52,null],[12,"seek","","",52,null],[12,"query_info","","",52,null],[12,"query_info_async","","",52,null],[12,"query_info_finish","","",52,null],[12,"_g_reserved1","","",52,null],[12,"_g_reserved2","","",52,null],[12,"_g_reserved3","","",52,null],[12,"_g_reserved4","","",52,null],[12,"_g_reserved5","","",52,null],[3,"GFileInputStreamPrivate","","",null,null],[3,"GFileMonitorClass","","",null,null],[12,"parent_class","","",53,null],[12,"changed","","",53,null],[12,"cancel","","",53,null],[12,"_g_reserved1","","",53,null],[12,"_g_reserved2","","",53,null],[12,"_g_reserved3","","",53,null],[12,"_g_reserved4","","",53,null],[12,"_g_reserved5","","",53,null],[3,"GFileMonitorPrivate","","",null,null],[3,"GFileOutputStreamClass","","",null,null],[12,"parent_class","","",54,null],[12,"tell","","",54,null],[12,"can_seek","","",54,null],[12,"seek","","",54,null],[12,"can_truncate","","",54,null],[12,"truncate_fn","","",54,null],[12,"query_info","","",54,null],[12,"query_info_async","","",54,null],[12,"query_info_finish","","",54,null],[12,"get_etag","","",54,null],[12,"_g_reserved1","","",54,null],[12,"_g_reserved2","","",54,null],[12,"_g_reserved3","","",54,null],[12,"_g_reserved4","","",54,null],[12,"_g_reserved5","","",54,null],[3,"GFileOutputStreamPrivate","","",null,null],[3,"GFilenameCompleterClass","","",null,null],[12,"parent_class","","",55,null],[12,"got_completion_data","","",55,null],[12,"_g_reserved1","","",55,null],[12,"_g_reserved2","","",55,null],[12,"_g_reserved3","","",55,null],[3,"GFilterInputStreamClass","","",null,null],[12,"parent_class","","",56,null],[12,"_g_reserved1","","",56,null],[12,"_g_reserved2","","",56,null],[12,"_g_reserved3","","",56,null],[3,"GFilterOutputStreamClass","","",null,null],[12,"parent_class","","",57,null],[12,"_g_reserved1","","",57,null],[12,"_g_reserved2","","",57,null],[12,"_g_reserved3","","",57,null],[3,"GIOExtension","","",null,null],[3,"GIOExtensionPoint","","",null,null],[3,"GIOModuleClass","","",null,null],[3,"GIOModuleScope","","",null,null],[3,"GIOSchedulerJob","","",null,null],[3,"GIOStreamAdapter","","",null,null],[3,"GIOStreamClass","","",null,null],[12,"parent_class","","",58,null],[12,"get_input_stream","","",58,null],[12,"get_output_stream","","",58,null],[12,"close_fn","","",58,null],[12,"close_async","","",58,null],[12,"close_finish","","",58,null],[12,"_g_reserved1","","",58,null],[12,"_g_reserved2","","",58,null],[12,"_g_reserved3","","",58,null],[12,"_g_reserved4","","",58,null],[12,"_g_reserved5","","",58,null],[12,"_g_reserved6","","",58,null],[12,"_g_reserved7","","",58,null],[12,"_g_reserved8","","",58,null],[12,"_g_reserved9","","",58,null],[12,"_g_reserved10","","",58,null],[3,"GIOStreamPrivate","","",null,null],[3,"GIconIface","","",null,null],[12,"g_iface","","",59,null],[12,"hash","","",59,null],[12,"equal","","",59,null],[12,"to_tokens","","",59,null],[12,"from_tokens","","",59,null],[12,"serialize","","",59,null],[3,"GInetAddressClass","","",null,null],[12,"parent_class","","",60,null],[12,"to_string","","",60,null],[12,"to_bytes","","",60,null],[3,"GInetAddressMaskClass","","",null,null],[12,"parent_class","","",61,null],[3,"GInetAddressMaskPrivate","","",null,null],[3,"GInetAddressPrivate","","",null,null],[3,"GInetSocketAddressClass","","",null,null],[12,"parent_class","","",62,null],[3,"GInetSocketAddressPrivate","","",null,null],[3,"GInitableIface","","",null,null],[12,"g_iface","","",63,null],[12,"init","","",63,null],[3,"GInputMessage","","",null,null],[12,"address","","",64,null],[12,"vectors","","",64,null],[12,"num_vectors","","",64,null],[12,"bytes_received","","",64,null],[12,"flags","","",64,null],[12,"control_messages","","",64,null],[12,"num_control_messages","","",64,null],[3,"GInputStreamClass","","",null,null],[12,"parent_class","","",65,null],[12,"read_fn","","",65,null],[12,"skip","","",65,null],[12,"close_fn","","",65,null],[12,"read_async","","",65,null],[12,"read_finish","","",65,null],[12,"skip_async","","",65,null],[12,"skip_finish","","",65,null],[12,"close_async","","",65,null],[12,"close_finish","","",65,null],[12,"_g_reserved1","","",65,null],[12,"_g_reserved2","","",65,null],[12,"_g_reserved3","","",65,null],[12,"_g_reserved4","","",65,null],[12,"_g_reserved5","","",65,null],[3,"GInputStreamPrivate","","",null,null],[3,"GInputVector","","",null,null],[12,"buffer","","",66,null],[12,"size","","",66,null],[3,"GListModelInterface","","",null,null],[12,"g_iface","","",67,null],[12,"get_item_type","","",67,null],[12,"get_n_items","","",67,null],[12,"get_item","","",67,null],[3,"GListStoreClass","","",null,null],[12,"parent_class","","",68,null],[3,"GLoadableIconIface","","",null,null],[12,"g_iface","","",69,null],[12,"load","","",69,null],[12,"load_async","","",69,null],[12,"load_finish","","",69,null],[3,"GMemoryInputStreamClass","","",null,null],[12,"parent_class","","",70,null],[12,"_g_reserved1","","",70,null],[12,"_g_reserved2","","",70,null],[12,"_g_reserved3","","",70,null],[12,"_g_reserved4","","",70,null],[12,"_g_reserved5","","",70,null],[3,"GMemoryInputStreamPrivate","","",null,null],[3,"GMemoryOutputStreamClass","","",null,null],[12,"parent_class","","",71,null],[12,"_g_reserved1","","",71,null],[12,"_g_reserved2","","",71,null],[12,"_g_reserved3","","",71,null],[12,"_g_reserved4","","",71,null],[12,"_g_reserved5","","",71,null],[3,"GMemoryOutputStreamPrivate","","",null,null],[3,"GMenuAttributeIterClass","","",null,null],[12,"parent_class","","",72,null],[12,"get_next","","",72,null],[3,"GMenuAttributeIterPrivate","","",null,null],[3,"GMenuLinkIterClass","","",null,null],[12,"parent_class","","",73,null],[12,"get_next","","",73,null],[3,"GMenuLinkIterPrivate","","",null,null],[3,"GMenuModelClass","","",null,null],[12,"parent_class","","",74,null],[12,"is_mutable","","",74,null],[12,"get_n_items","","",74,null],[12,"get_item_attributes","","",74,null],[12,"iterate_item_attributes","","",74,null],[12,"get_item_attribute_value","","",74,null],[12,"get_item_links","","",74,null],[12,"iterate_item_links","","",74,null],[12,"get_item_link","","",74,null],[3,"GMenuModelPrivate","","",null,null],[3,"GMountIface","","",null,null],[12,"g_iface","","",75,null],[12,"changed","","",75,null],[12,"unmounted","","",75,null],[12,"get_root","","",75,null],[12,"get_name","","",75,null],[12,"get_icon","","",75,null],[12,"get_uuid","","",75,null],[12,"get_volume","","",75,null],[12,"get_drive","","",75,null],[12,"can_unmount","","",75,null],[12,"can_eject","","",75,null],[12,"unmount","","",75,null],[12,"unmount_finish","","",75,null],[12,"eject","","",75,null],[12,"eject_finish","","",75,null],[12,"remount","","",75,null],[12,"remount_finish","","",75,null],[12,"guess_content_type","","",75,null],[12,"guess_content_type_finish","","",75,null],[12,"guess_content_type_sync","","",75,null],[12,"pre_unmount","","",75,null],[12,"unmount_with_operation","","",75,null],[12,"unmount_with_operation_finish","","",75,null],[12,"eject_with_operation","","",75,null],[12,"eject_with_operation_finish","","",75,null],[12,"get_default_location","","",75,null],[12,"get_sort_key","","",75,null],[12,"get_symbolic_icon","","",75,null],[3,"GMountOperationClass","","",null,null],[12,"parent_class","","",76,null],[12,"ask_password","","",76,null],[12,"ask_question","","",76,null],[12,"reply","","",76,null],[12,"aborted","","",76,null],[12,"show_processes","","",76,null],[12,"show_unmount_progress","","",76,null],[12,"_g_reserved1","","",76,null],[12,"_g_reserved2","","",76,null],[12,"_g_reserved3","","",76,null],[12,"_g_reserved4","","",76,null],[12,"_g_reserved5","","",76,null],[12,"_g_reserved6","","",76,null],[12,"_g_reserved7","","",76,null],[12,"_g_reserved8","","",76,null],[12,"_g_reserved9","","",76,null],[3,"GMountOperationPrivate","","",null,null],[3,"GNativeSocketAddress","","",null,null],[3,"GNativeVolumeMonitorClass","","",null,null],[12,"parent_class","","",77,null],[12,"get_mount_for_mount_path","","",77,null],[3,"GNetworkAddressClass","","",null,null],[12,"parent_class","","",78,null],[3,"GNetworkAddressPrivate","","",null,null],[3,"GNetworkMonitorInterface","","",null,null],[12,"g_iface","","",79,null],[12,"network_changed","","",79,null],[12,"can_reach","","",79,null],[12,"can_reach_async","","",79,null],[12,"can_reach_finish","","",79,null],[3,"GNetworkServiceClass","","",null,null],[12,"parent_class","","",80,null],[3,"GNetworkServicePrivate","","",null,null],[3,"GOutputMessage","","",null,null],[12,"address","","",81,null],[12,"vectors","","",81,null],[12,"num_vectors","","",81,null],[12,"bytes_sent","","",81,null],[12,"control_messages","","",81,null],[12,"num_control_messages","","",81,null],[3,"GOutputStreamClass","","",null,null],[12,"parent_class","","",82,null],[12,"write_fn","","",82,null],[12,"splice","","",82,null],[12,"flush","","",82,null],[12,"close_fn","","",82,null],[12,"write_async","","",82,null],[12,"write_finish","","",82,null],[12,"splice_async","","",82,null],[12,"splice_finish","","",82,null],[12,"flush_async","","",82,null],[12,"flush_finish","","",82,null],[12,"close_async","","",82,null],[12,"close_finish","","",82,null],[12,"_g_reserved1","","",82,null],[12,"_g_reserved2","","",82,null],[12,"_g_reserved3","","",82,null],[12,"_g_reserved4","","",82,null],[12,"_g_reserved5","","",82,null],[12,"_g_reserved6","","",82,null],[12,"_g_reserved7","","",82,null],[12,"_g_reserved8","","",82,null],[3,"GOutputStreamPrivate","","",null,null],[3,"GOutputVector","","",null,null],[12,"buffer","","",83,null],[12,"size","","",83,null],[3,"GPermissionClass","","",null,null],[12,"parent_class","","",84,null],[12,"acquire","","",84,null],[12,"acquire_async","","",84,null],[12,"acquire_finish","","",84,null],[12,"release","","",84,null],[12,"release_async","","",84,null],[12,"release_finish","","",84,null],[12,"reserved","","",84,null],[3,"GPermissionPrivate","","",null,null],[3,"GPollableInputStreamInterface","","",null,null],[12,"g_iface","","",85,null],[12,"can_poll","","",85,null],[12,"is_readable","","",85,null],[12,"create_source","","",85,null],[12,"read_nonblocking","","",85,null],[3,"GPollableOutputStreamInterface","","",null,null],[12,"g_iface","","",86,null],[12,"can_poll","","",86,null],[12,"is_writable","","",86,null],[12,"create_source","","",86,null],[12,"write_nonblocking","","",86,null],[3,"GProxyAddressClass","","",null,null],[12,"parent_class","","",87,null],[3,"GProxyAddressEnumeratorClass","","",null,null],[12,"parent_class","","",88,null],[12,"_g_reserved1","","",88,null],[12,"_g_reserved2","","",88,null],[12,"_g_reserved3","","",88,null],[12,"_g_reserved4","","",88,null],[12,"_g_reserved5","","",88,null],[12,"_g_reserved6","","",88,null],[12,"_g_reserved7","","",88,null],[3,"GProxyAddressEnumeratorPrivate","","",null,null],[3,"GProxyAddressPrivate","","",null,null],[3,"GProxyInterface","","",null,null],[12,"g_iface","","",89,null],[12,"connect","","",89,null],[12,"connect_async","","",89,null],[12,"connect_finish","","",89,null],[12,"supports_hostname","","",89,null],[3,"GProxyResolverInterface","","",null,null],[12,"g_iface","","",90,null],[12,"is_supported","","",90,null],[12,"lookup","","",90,null],[12,"lookup_async","","",90,null],[12,"lookup_finish","","",90,null],[3,"GRemoteActionGroupInterface","","",null,null],[12,"g_iface","","",91,null],[12,"activate_action_full","","",91,null],[12,"change_action_state_full","","",91,null],[3,"GResolverClass","","",null,null],[12,"parent_class","","",92,null],[12,"reload","","",92,null],[12,"lookup_by_name","","",92,null],[12,"lookup_by_name_async","","",92,null],[12,"lookup_by_name_finish","","",92,null],[12,"lookup_by_address","","",92,null],[12,"lookup_by_address_async","","",92,null],[12,"lookup_by_address_finish","","",92,null],[12,"lookup_service","","",92,null],[12,"lookup_service_async","","",92,null],[12,"lookup_service_finish","","",92,null],[12,"lookup_records","","",92,null],[12,"lookup_records_async","","",92,null],[12,"lookup_records_finish","","",92,null],[12,"_g_reserved4","","",92,null],[12,"_g_reserved5","","",92,null],[12,"_g_reserved6","","",92,null],[3,"GResolverPrivate","","",null,null],[3,"GResource","","",null,null],[3,"GSeekableIface","","",null,null],[12,"g_iface","","",93,null],[12,"tell","","",93,null],[12,"can_seek","","",93,null],[12,"seek","","",93,null],[12,"can_truncate","","",93,null],[12,"truncate_fn","","",93,null],[3,"GSettingsBackend","","",null,null],[3,"GSettingsClass","","",null,null],[12,"parent_class","","",94,null],[12,"writable_changed","","",94,null],[12,"changed","","",94,null],[12,"writable_change_event","","",94,null],[12,"change_event","","",94,null],[12,"padding","","",94,null],[3,"GSettingsPrivate","","",null,null],[3,"GSettingsSchema","","",null,null],[3,"GSettingsSchemaKey","","",null,null],[3,"GSettingsSchemaSource","","",null,null],[3,"GSimpleActionGroupClass","","",null,null],[12,"parent_class","","",95,null],[12,"padding","","",95,null],[3,"GSimpleActionGroupPrivate","","",null,null],[3,"GSimpleAsyncResultClass","","",null,null],[3,"GSimpleProxyResolverClass","","",null,null],[12,"parent_class","","",96,null],[12,"_g_reserved1","","",96,null],[12,"_g_reserved2","","",96,null],[12,"_g_reserved3","","",96,null],[12,"_g_reserved4","","",96,null],[12,"_g_reserved5","","",96,null],[3,"GSimpleProxyResolverPrivate","","",null,null],[3,"GSocketAddressClass","","",null,null],[12,"parent_class","","",97,null],[12,"get_family","","",97,null],[12,"get_native_size","","",97,null],[12,"to_native","","",97,null],[3,"GSocketAddressEnumeratorClass","","",null,null],[12,"parent_class","","",98,null],[12,"next","","",98,null],[12,"next_async","","",98,null],[12,"next_finish","","",98,null],[3,"GSocketClass","","",null,null],[12,"parent_class","","",99,null],[12,"_g_reserved1","","",99,null],[12,"_g_reserved2","","",99,null],[12,"_g_reserved3","","",99,null],[12,"_g_reserved4","","",99,null],[12,"_g_reserved5","","",99,null],[12,"_g_reserved6","","",99,null],[12,"_g_reserved7","","",99,null],[12,"_g_reserved8","","",99,null],[12,"_g_reserved9","","",99,null],[12,"_g_reserved10","","",99,null],[3,"GSocketClientClass","","",null,null],[12,"parent_class","","",100,null],[12,"event","","",100,null],[12,"_g_reserved1","","",100,null],[12,"_g_reserved2","","",100,null],[12,"_g_reserved3","","",100,null],[12,"_g_reserved4","","",100,null],[3,"GSocketClientPrivate","","",null,null],[3,"GSocketConnectableIface","","",null,null],[12,"g_iface","","",101,null],[12,"enumerate","","",101,null],[12,"proxy_enumerate","","",101,null],[12,"to_string","","",101,null],[3,"GSocketConnectionClass","","",null,null],[12,"parent_class","","",102,null],[12,"_g_reserved1","","",102,null],[12,"_g_reserved2","","",102,null],[12,"_g_reserved3","","",102,null],[12,"_g_reserved4","","",102,null],[12,"_g_reserved5","","",102,null],[12,"_g_reserved6","","",102,null],[3,"GSocketConnectionPrivate","","",null,null],[3,"GSocketControlMessageClass","","",null,null],[12,"parent_class","","",103,null],[12,"get_size","","",103,null],[12,"get_level","","",103,null],[12,"get_type","","",103,null],[12,"serialize","","",103,null],[12,"deserialize","","",103,null],[12,"_g_reserved1","","",103,null],[12,"_g_reserved2","","",103,null],[12,"_g_reserved3","","",103,null],[12,"_g_reserved4","","",103,null],[12,"_g_reserved5","","",103,null],[3,"GSocketControlMessagePrivate","","",null,null],[3,"GSocketListenerClass","","",null,null],[12,"parent_class","","",104,null],[12,"changed","","",104,null],[12,"event","","",104,null],[12,"_g_reserved2","","",104,null],[12,"_g_reserved3","","",104,null],[12,"_g_reserved4","","",104,null],[12,"_g_reserved5","","",104,null],[12,"_g_reserved6","","",104,null],[3,"GSocketListenerPrivate","","",null,null],[3,"GSocketPrivate","","",null,null],[3,"GSocketServiceClass","","",null,null],[12,"parent_class","","",105,null],[12,"incoming","","",105,null],[12,"_g_reserved1","","",105,null],[12,"_g_reserved2","","",105,null],[12,"_g_reserved3","","",105,null],[12,"_g_reserved4","","",105,null],[12,"_g_reserved5","","",105,null],[12,"_g_reserved6","","",105,null],[3,"GSocketServicePrivate","","",null,null],[3,"GSrvTarget","","",null,null],[3,"GStaticResource","","",null,null],[12,"data","","",106,null],[12,"data_len","","",106,null],[12,"resource","","",106,null],[12,"next","","",106,null],[12,"padding","","",106,null],[3,"GTaskClass","","",null,null],[3,"GTcpConnectionClass","","",null,null],[12,"parent_class","","",107,null],[3,"GTcpConnectionPrivate","","",null,null],[3,"GTcpWrapperConnectionClass","","",null,null],[12,"parent_class","","",108,null],[3,"GTcpWrapperConnectionPrivate","","",null,null],[3,"GThemedIconClass","","",null,null],[3,"GThreadedSocketServiceClass","","",null,null],[12,"parent_class","","",109,null],[12,"run","","",109,null],[12,"_g_reserved1","","",109,null],[12,"_g_reserved2","","",109,null],[12,"_g_reserved3","","",109,null],[12,"_g_reserved4","","",109,null],[12,"_g_reserved5","","",109,null],[3,"GThreadedSocketServicePrivate","","",null,null],[3,"GTlsBackendInterface","","",null,null],[12,"g_iface","","",110,null],[12,"supports_tls","","",110,null],[12,"get_certificate_type","","",110,null],[12,"get_client_connection_type","","",110,null],[12,"get_server_connection_type","","",110,null],[12,"get_file_database_type","","",110,null],[12,"get_default_database","","",110,null],[12,"supports_dtls","","",110,null],[12,"get_dtls_client_connection_type","","",110,null],[12,"get_dtls_server_connection_type","","",110,null],[3,"GTlsCertificateClass","","",null,null],[12,"parent_class","","",111,null],[12,"verify","","",111,null],[12,"padding","","",111,null],[3,"GTlsCertificatePrivate","","",null,null],[3,"GTlsClientConnectionInterface","","",null,null],[12,"g_iface","","",112,null],[12,"copy_session_state","","",112,null],[3,"GTlsConnectionClass","","",null,null],[12,"parent_class","","",113,null],[12,"accept_certificate","","",113,null],[12,"handshake","","",113,null],[12,"handshake_async","","",113,null],[12,"handshake_finish","","",113,null],[12,"padding","","",113,null],[3,"GTlsConnectionPrivate","","",null,null],[3,"GTlsDatabaseClass","","",null,null],[12,"parent_class","","",114,null],[12,"verify_chain","","",114,null],[12,"verify_chain_async","","",114,null],[12,"verify_chain_finish","","",114,null],[12,"create_certificate_handle","","",114,null],[12,"lookup_certificate_for_handle","","",114,null],[12,"lookup_certificate_for_handle_async","","",114,null],[12,"lookup_certificate_for_handle_finish","","",114,null],[12,"lookup_certificate_issuer","","",114,null],[12,"lookup_certificate_issuer_async","","",114,null],[12,"lookup_certificate_issuer_finish","","",114,null],[12,"lookup_certificates_issued_by","","",114,null],[12,"lookup_certificates_issued_by_async","","",114,null],[12,"lookup_certificates_issued_by_finish","","",114,null],[12,"padding","","",114,null],[3,"GTlsDatabasePrivate","","",null,null],[3,"GTlsFileDatabaseInterface","","",null,null],[12,"g_iface","","",115,null],[12,"padding","","",115,null],[3,"GTlsInteractionClass","","",null,null],[12,"parent_class","","",116,null],[12,"ask_password","","",116,null],[12,"ask_password_async","","",116,null],[12,"ask_password_finish","","",116,null],[12,"request_certificate","","",116,null],[12,"request_certificate_async","","",116,null],[12,"request_certificate_finish","","",116,null],[12,"padding","","",116,null],[3,"GTlsInteractionPrivate","","",null,null],[3,"GTlsPasswordClass","","",null,null],[12,"parent_class","","",117,null],[12,"get_value","","",117,null],[12,"set_value","","",117,null],[12,"get_default_warning","","",117,null],[12,"padding","","",117,null],[3,"GTlsPasswordPrivate","","",null,null],[3,"GTlsServerConnectionInterface","","",null,null],[12,"g_iface","","",118,null],[3,"GUnixConnectionClass","","",null,null],[12,"parent_class","","",119,null],[3,"GUnixConnectionPrivate","","",null,null],[3,"GUnixCredentialsMessageClass","","",null,null],[12,"parent_class","","",120,null],[12,"_g_reserved1","","",120,null],[12,"_g_reserved2","","",120,null],[3,"GUnixCredentialsMessagePrivate","","",null,null],[3,"GUnixFDListClass","","",null,null],[12,"parent_class","","",121,null],[12,"_g_reserved1","","",121,null],[12,"_g_reserved2","","",121,null],[12,"_g_reserved3","","",121,null],[12,"_g_reserved4","","",121,null],[12,"_g_reserved5","","",121,null],[3,"GUnixFDListPrivate","","",null,null],[3,"GUnixFDMessageClass","","",null,null],[12,"parent_class","","",122,null],[12,"_g_reserved1","","",122,null],[12,"_g_reserved2","","",122,null],[3,"GUnixFDMessagePrivate","","",null,null],[3,"GUnixInputStreamClass","","",null,null],[12,"parent_class","","",123,null],[12,"_g_reserved1","","",123,null],[12,"_g_reserved2","","",123,null],[12,"_g_reserved3","","",123,null],[12,"_g_reserved4","","",123,null],[12,"_g_reserved5","","",123,null],[3,"GUnixInputStreamPrivate","","",null,null],[3,"GUnixMountEntry","","",null,null],[3,"GUnixMountMonitorClass","","",null,null],[3,"GUnixMountPoint","","",null,null],[3,"GUnixOutputStreamClass","","",null,null],[12,"parent_class","","",124,null],[12,"_g_reserved1","","",124,null],[12,"_g_reserved2","","",124,null],[12,"_g_reserved3","","",124,null],[12,"_g_reserved4","","",124,null],[12,"_g_reserved5","","",124,null],[3,"GUnixOutputStreamPrivate","","",null,null],[3,"GUnixSocketAddressClass","","",null,null],[12,"parent_class","","",125,null],[3,"GUnixSocketAddressPrivate","","",null,null],[3,"GVfsClass","","",null,null],[12,"parent_class","","",126,null],[12,"is_active","","",126,null],[12,"get_file_for_path","","",126,null],[12,"get_file_for_uri","","",126,null],[12,"get_supported_uri_schemes","","",126,null],[12,"parse_name","","",126,null],[12,"local_file_add_info","","",126,null],[12,"add_writable_namespaces","","",126,null],[12,"local_file_set_attributes","","",126,null],[12,"local_file_removed","","",126,null],[12,"local_file_moved","","",126,null],[12,"deserialize_icon","","",126,null],[12,"_g_reserved1","","",126,null],[12,"_g_reserved2","","",126,null],[12,"_g_reserved3","","",126,null],[12,"_g_reserved4","","",126,null],[12,"_g_reserved5","","",126,null],[12,"_g_reserved6","","",126,null],[3,"GVolumeIface","","",null,null],[12,"g_iface","","",127,null],[12,"changed","","",127,null],[12,"removed","","",127,null],[12,"get_name","","",127,null],[12,"get_icon","","",127,null],[12,"get_uuid","","",127,null],[12,"get_drive","","",127,null],[12,"get_mount","","",127,null],[12,"can_mount","","",127,null],[12,"can_eject","","",127,null],[12,"mount_fn","","",127,null],[12,"mount_finish","","",127,null],[12,"eject","","",127,null],[12,"eject_finish","","",127,null],[12,"get_identifier","","",127,null],[12,"enumerate_identifiers","","",127,null],[12,"should_automount","","",127,null],[12,"get_activation_root","","",127,null],[12,"eject_with_operation","","",127,null],[12,"eject_with_operation_finish","","",127,null],[12,"get_sort_key","","",127,null],[12,"get_symbolic_icon","","",127,null],[3,"GVolumeMonitorClass","","",null,null],[12,"parent_class","","",128,null],[12,"volume_added","","",128,null],[12,"volume_removed","","",128,null],[12,"volume_changed","","",128,null],[12,"mount_added","","",128,null],[12,"mount_removed","","",128,null],[12,"mount_pre_unmount","","",128,null],[12,"mount_changed","","",128,null],[12,"drive_connected","","",128,null],[12,"drive_disconnected","","",128,null],[12,"drive_changed","","",128,null],[12,"is_supported","","",128,null],[12,"get_connected_drives","","",128,null],[12,"get_volumes","","",128,null],[12,"get_mounts","","",128,null],[12,"get_volume_for_uuid","","",128,null],[12,"get_mount_for_uuid","","",128,null],[12,"adopt_orphan_mount","","",128,null],[12,"drive_eject_button","","",128,null],[12,"drive_stop_button","","",128,null],[12,"_g_reserved1","","",128,null],[12,"_g_reserved2","","",128,null],[12,"_g_reserved3","","",128,null],[12,"_g_reserved4","","",128,null],[12,"_g_reserved5","","",128,null],[12,"_g_reserved6","","",128,null],[3,"GZlibCompressorClass","","",null,null],[12,"parent_class","","",129,null],[3,"GZlibDecompressorClass","","",null,null],[12,"parent_class","","",130,null],[3,"GAppInfoMonitor","","",null,null],[3,"GAppLaunchContext","","",null,null],[12,"parent_instance","","",131,null],[12,"priv_","","",131,null],[3,"GApplication","","",null,null],[12,"parent_instance","","",132,null],[12,"priv_","","",132,null],[3,"GApplicationCommandLine","","",null,null],[12,"parent_instance","","",133,null],[12,"priv_","","",133,null],[3,"GBufferedInputStream","","",null,null],[12,"parent_instance","","",134,null],[12,"priv_","","",134,null],[3,"GBufferedOutputStream","","",null,null],[12,"parent_instance","","",135,null],[12,"priv_","","",135,null],[3,"GBytesIcon","","",null,null],[3,"GCancellable","","",null,null],[12,"parent_instance","","",136,null],[12,"priv_","","",136,null],[3,"GCharsetConverter","","",null,null],[3,"GConverterInputStream","","",null,null],[12,"parent_instance","","",137,null],[12,"priv_","","",137,null],[3,"GConverterOutputStream","","",null,null],[12,"parent_instance","","",138,null],[12,"priv_","","",138,null],[3,"GCredentials","","",null,null],[3,"GDBusActionGroup","","",null,null],[3,"GDBusAuthObserver","","",null,null],[3,"GDBusConnection","","",null,null],[3,"GDBusInterfaceSkeleton","","",null,null],[12,"parent_instance","","",139,null],[12,"priv_","","",139,null],[3,"GDBusMenuModel","","",null,null],[3,"GDBusMessage","","",null,null],[3,"GDBusMethodInvocation","","",null,null],[3,"GDBusObjectManagerClient","","",null,null],[12,"parent_instance","","",140,null],[12,"priv_","","",140,null],[3,"GDBusObjectManagerServer","","",null,null],[12,"parent_instance","","",141,null],[12,"priv_","","",141,null],[3,"GDBusObjectProxy","","",null,null],[12,"parent_instance","","",142,null],[12,"priv_","","",142,null],[3,"GDBusObjectSkeleton","","",null,null],[12,"parent_instance","","",143,null],[12,"priv_","","",143,null],[3,"GDBusProxy","","",null,null],[12,"parent_instance","","",144,null],[12,"priv_","","",144,null],[3,"GDBusServer","","",null,null],[3,"GDataInputStream","","",null,null],[12,"parent_instance","","",145,null],[12,"priv_","","",145,null],[3,"GDataOutputStream","","",null,null],[12,"parent_instance","","",146,null],[12,"priv_","","",146,null],[3,"GDesktopAppInfo","","",null,null],[3,"GEmblem","","",null,null],[3,"GEmblemedIcon","","",null,null],[12,"parent_instance","","",147,null],[12,"priv_","","",147,null],[3,"GFileEnumerator","","",null,null],[12,"parent_instance","","",148,null],[12,"priv_","","",148,null],[3,"GFileIOStream","","",null,null],[12,"parent_instance","","",149,null],[12,"priv_","","",149,null],[3,"GFileIcon","","",null,null],[3,"GFileInfo","","",null,null],[3,"GFileInputStream","","",null,null],[12,"parent_instance","","",150,null],[12,"priv_","","",150,null],[3,"GFileMonitor","","",null,null],[12,"parent_instance","","",151,null],[12,"priv_","","",151,null],[3,"GFileOutputStream","","",null,null],[12,"parent_instance","","",152,null],[12,"priv_","","",152,null],[3,"GFilenameCompleter","","",null,null],[3,"GFilterInputStream","","",null,null],[12,"parent_instance","","",153,null],[12,"base_stream","","",153,null],[3,"GFilterOutputStream","","",null,null],[12,"parent_instance","","",154,null],[12,"base_stream","","",154,null],[3,"GIOModule","","",null,null],[3,"GIOStream","","",null,null],[12,"parent_instance","","",155,null],[12,"priv_","","",155,null],[3,"GInetAddress","","",null,null],[12,"parent_instance","","",156,null],[12,"priv_","","",156,null],[3,"GInetAddressMask","","",null,null],[12,"parent_instance","","",157,null],[12,"priv_","","",157,null],[3,"GInetSocketAddress","","",null,null],[12,"parent_instance","","",158,null],[12,"priv_","","",158,null],[3,"GInputStream","","",null,null],[12,"parent_instance","","",159,null],[12,"priv_","","",159,null],[3,"GListStore","","",null,null],[3,"GMemoryInputStream","","",null,null],[12,"parent_instance","","",160,null],[12,"priv_","","",160,null],[3,"GMemoryOutputStream","","",null,null],[12,"parent_instance","","",161,null],[12,"priv_","","",161,null],[3,"GMenu","","",null,null],[3,"GMenuAttributeIter","","",null,null],[12,"parent_instance","","",162,null],[12,"priv_","","",162,null],[3,"GMenuItem","","",null,null],[3,"GMenuLinkIter","","",null,null],[12,"parent_instance","","",163,null],[12,"priv_","","",163,null],[3,"GMenuModel","","",null,null],[12,"parent_instance","","",164,null],[12,"priv_","","",164,null],[3,"GMountOperation","","",null,null],[12,"parent_instance","","",165,null],[12,"priv_","","",165,null],[3,"GNativeVolumeMonitor","","",null,null],[12,"parent_instance","","",166,null],[3,"GNetworkAddress","","",null,null],[12,"parent_instance","","",167,null],[12,"priv_","","",167,null],[3,"GNetworkService","","",null,null],[12,"parent_instance","","",168,null],[12,"priv_","","",168,null],[3,"GNotification","","",null,null],[3,"GOutputStream","","",null,null],[12,"parent_instance","","",169,null],[12,"priv_","","",169,null],[3,"GPermission","","",null,null],[12,"parent_instance","","",170,null],[12,"priv_","","",170,null],[3,"GPropertyAction","","",null,null],[3,"GProxyAddress","","",null,null],[12,"parent_instance","","",171,null],[12,"priv_","","",171,null],[3,"GProxyAddressEnumerator","","",null,null],[12,"parent_instance","","",172,null],[12,"priv_","","",172,null],[3,"GResolver","","",null,null],[12,"parent_instance","","",173,null],[12,"priv_","","",173,null],[3,"GSettings","","",null,null],[12,"parent_instance","","",174,null],[12,"priv_","","",174,null],[3,"GSimpleAction","","",null,null],[3,"GSimpleActionGroup","","",null,null],[12,"parent_instance","","",175,null],[12,"priv_","","",175,null],[3,"GSimpleAsyncResult","","",null,null],[3,"GSimpleIOStream","","",null,null],[3,"GSimplePermission","","",null,null],[3,"GSimpleProxyResolver","","",null,null],[12,"parent_instance","","",176,null],[12,"priv_","","",176,null],[3,"GSocket","","",null,null],[12,"parent_instance","","",177,null],[12,"priv_","","",177,null],[3,"GSocketAddress","","",null,null],[12,"parent_instance","","",178,null],[3,"GSocketAddressEnumerator","","",null,null],[12,"parent_instance","","",179,null],[3,"GSocketClient","","",null,null],[12,"parent_instance","","",180,null],[12,"priv_","","",180,null],[3,"GSocketConnection","","",null,null],[12,"parent_instance","","",181,null],[12,"priv_","","",181,null],[3,"GSocketControlMessage","","",null,null],[12,"parent_instance","","",182,null],[12,"priv_","","",182,null],[3,"GSocketListener","","",null,null],[12,"parent_instance","","",183,null],[12,"priv_","","",183,null],[3,"GSocketService","","",null,null],[12,"parent_instance","","",184,null],[12,"priv_","","",184,null],[3,"GSubprocess","","",null,null],[3,"GSubprocessLauncher","","",null,null],[3,"GTask","","",null,null],[3,"GTcpConnection","","",null,null],[12,"parent_instance","","",185,null],[12,"priv_","","",185,null],[3,"GTcpWrapperConnection","","",null,null],[12,"parent_instance","","",186,null],[12,"priv_","","",186,null],[3,"GTestDBus","","",null,null],[3,"GThemedIcon","","",null,null],[3,"GThreadedSocketService","","",null,null],[12,"parent_instance","","",187,null],[12,"priv_","","",187,null],[3,"GTlsCertificate","","",null,null],[12,"parent_instance","","",188,null],[12,"priv_","","",188,null],[3,"GTlsConnection","","",null,null],[12,"parent_instance","","",189,null],[12,"priv_","","",189,null],[3,"GTlsDatabase","","",null,null],[12,"parent_instance","","",190,null],[12,"priv_","","",190,null],[3,"GTlsInteraction","","",null,null],[12,"parent_instance","","",191,null],[12,"priv_","","",191,null],[3,"GTlsPassword","","",null,null],[12,"parent_instance","","",192,null],[12,"priv_","","",192,null],[3,"GUnixConnection","","",null,null],[12,"parent_instance","","",193,null],[12,"priv_","","",193,null],[3,"GUnixCredentialsMessage","","",null,null],[12,"parent_instance","","",194,null],[12,"priv_","","",194,null],[3,"GUnixFDList","","",null,null],[12,"parent_instance","","",195,null],[12,"priv_","","",195,null],[3,"GUnixFDMessage","","",null,null],[12,"parent_instance","","",196,null],[12,"priv_","","",196,null],[3,"GUnixInputStream","","",null,null],[12,"parent_instance","","",197,null],[12,"priv_","","",197,null],[3,"GUnixMountMonitor","","",null,null],[3,"GUnixOutputStream","","",null,null],[12,"parent_instance","","",198,null],[12,"priv_","","",198,null],[3,"GUnixSocketAddress","","",null,null],[12,"parent_instance","","",199,null],[12,"priv_","","",199,null],[3,"GVfs","","",null,null],[12,"parent_instance","","",200,null],[3,"GVolumeMonitor","","",null,null],[12,"parent_instance","","",201,null],[12,"priv_","","",201,null],[3,"GZlibCompressor","","",null,null],[3,"GZlibDecompressor","","",null,null],[3,"GAction","","",null,null],[3,"GActionGroup","","",null,null],[3,"GActionMap","","",null,null],[3,"GAppInfo","","",null,null],[3,"GAsyncInitable","","",null,null],[3,"GAsyncResult","","",null,null],[3,"GConverter","","",null,null],[3,"GDBusInterface","","",null,null],[3,"GDBusObject","","",null,null],[3,"GDBusObjectManager","","",null,null],[3,"GDatagramBased","","",null,null],[3,"GDesktopAppInfoLookup","","",null,null],[3,"GDrive","","",null,null],[3,"GDtlsClientConnection","","",null,null],[3,"GDtlsConnection","","",null,null],[3,"GDtlsServerConnection","","",null,null],[3,"GFile","","",null,null],[3,"GFileDescriptorBased","","",null,null],[3,"GIcon","","",null,null],[3,"GInitable","","",null,null],[3,"GListModel","","",null,null],[3,"GLoadableIcon","","",null,null],[3,"GMount","","",null,null],[3,"GNetworkMonitor","","",null,null],[3,"GPollableInputStream","","",null,null],[3,"GPollableOutputStream","","",null,null],[3,"GProxy","","",null,null],[3,"GProxyResolver","","",null,null],[3,"GRemoteActionGroup","","",null,null],[3,"GSeekable","","",null,null],[3,"GSocketConnectable","","",null,null],[3,"GTlsBackend","","",null,null],[3,"GTlsClientConnection","","",null,null],[3,"GTlsFileDatabase","","",null,null],[3,"GTlsServerConnection","","",null,null],[3,"GVolume","","",null,null],[4,"GBusType","","",null,null],[13,"Starter","","",202,null],[13,"None","","",202,null],[13,"System","","",202,null],[13,"Session","","",202,null],[4,"GConverterResult","","",null,null],[13,"Error","","",203,null],[13,"Converted","","",203,null],[13,"Finished","","",203,null],[13,"Flushed","","",203,null],[4,"GCredentialsType","","",null,null],[13,"Invalid","","",204,null],[13,"LinuxUcred","","",204,null],[13,"FreebsdCmsgcred","","",204,null],[13,"OpenbsdSockpeercred","","",204,null],[13,"SolarisUcred","","",204,null],[13,"NetbsdUnpcbid","","",204,null],[4,"GDBusError","","",null,null],[13,"Failed","","",205,null],[13,"NoMemory","","",205,null],[13,"ServiceUnknown","","",205,null],[13,"NameHasNoOwner","","",205,null],[13,"NoReply","","",205,null],[13,"IoError","","",205,null],[13,"BadAddress","","",205,null],[13,"NotSupported","","",205,null],[13,"LimitsExceeded","","",205,null],[13,"AccessDenied","","",205,null],[13,"AuthFailed","","",205,null],[13,"NoServer","","",205,null],[13,"Timeout","","",205,null],[13,"NoNetwork","","",205,null],[13,"AddressInUse","","",205,null],[13,"Disconnected","","",205,null],[13,"InvalidArgs","","",205,null],[13,"FileNotFound","","",205,null],[13,"FileExists","","",205,null],[13,"UnknownMethod","","",205,null],[13,"TimedOut","","",205,null],[13,"MatchRuleNotFound","","",205,null],[13,"MatchRuleInvalid","","",205,null],[13,"SpawnExecFailed","","",205,null],[13,"SpawnForkFailed","","",205,null],[13,"SpawnChildExited","","",205,null],[13,"SpawnChildSignaled","","",205,null],[13,"SpawnFailed","","",205,null],[13,"SpawnSetupFailed","","",205,null],[13,"SpawnConfigInvalid","","",205,null],[13,"SpawnServiceInvalid","","",205,null],[13,"SpawnServiceNotFound","","",205,null],[13,"SpawnPermissionsInvalid","","",205,null],[13,"SpawnFileInvalid","","",205,null],[13,"SpawnNoMemory","","",205,null],[13,"UnixProcessIdUnknown","","",205,null],[13,"InvalidSignature","","",205,null],[13,"InvalidFileContent","","",205,null],[13,"SelinuxSecurityContextUnknown","","",205,null],[13,"AdtAuditDataUnknown","","",205,null],[13,"ObjectPathInUse","","",205,null],[13,"UnknownObject","","",205,null],[13,"UnknownInterface","","",205,null],[13,"UnknownProperty","","",205,null],[13,"PropertyReadOnly","","",205,null],[4,"GDBusMessageByteOrder","","",null,null],[13,"BigEndian","","",206,null],[13,"LittleEndian","","",206,null],[4,"GDBusMessageHeaderField","","",null,null],[13,"Invalid","","",207,null],[13,"Path","","",207,null],[13,"Interface","","",207,null],[13,"Member","","",207,null],[13,"ErrorName","","",207,null],[13,"ReplySerial","","",207,null],[13,"Destination","","",207,null],[13,"Sender","","",207,null],[13,"Signature","","",207,null],[13,"NumUnixFds","","",207,null],[4,"GDBusMessageType","","",null,null],[13,"Invalid","","",208,null],[13,"MethodCall","","",208,null],[13,"MethodReturn","","",208,null],[13,"Error","","",208,null],[13,"Signal","","",208,null],[4,"GDataStreamByteOrder","","",null,null],[13,"BigEndian","","",209,null],[13,"LittleEndian","","",209,null],[13,"HostEndian","","",209,null],[4,"GDataStreamNewlineType","","",null,null],[13,"Lf","","",210,null],[13,"Cr","","",210,null],[13,"CrLf","","",210,null],[13,"Any","","",210,null],[4,"GDriveStartStopType","","",null,null],[13,"Unknown","","",211,null],[13,"Shutdown","","",211,null],[13,"Network","","",211,null],[13,"Multidisk","","",211,null],[13,"Password","","",211,null],[4,"GEmblemOrigin","","",null,null],[13,"Unknown","","",212,null],[13,"Device","","",212,null],[13,"Livemetadata","","",212,null],[13,"Tag","","",212,null],[4,"GFileAttributeStatus","","",null,null],[13,"Unset","","",213,null],[13,"Set","","",213,null],[13,"ErrorSetting","","",213,null],[4,"GFileAttributeType","","",null,null],[13,"Invalid","","",214,null],[13,"String","","",214,null],[13,"ByteString","","",214,null],[13,"Boolean","","",214,null],[13,"Uint32","","",214,null],[13,"Int32","","",214,null],[13,"Uint64","","",214,null],[13,"Int64","","",214,null],[13,"Object","","",214,null],[13,"Stringv","","",214,null],[4,"GFileMonitorEvent","","",null,null],[13,"Changed","","",215,null],[13,"ChangesDoneHint","","",215,null],[13,"Deleted","","",215,null],[13,"Created","","",215,null],[13,"AttributeChanged","","",215,null],[13,"PreUnmount","","",215,null],[13,"Unmounted","","",215,null],[13,"Moved","","",215,null],[13,"Renamed","","",215,null],[13,"MovedIn","","",215,null],[13,"MovedOut","","",215,null],[4,"GFileType","","",null,null],[13,"Unknown","","",216,null],[13,"Regular","","",216,null],[13,"Directory","","",216,null],[13,"SymbolicLink","","",216,null],[13,"Special","","",216,null],[13,"Shortcut","","",216,null],[13,"Mountable","","",216,null],[4,"GFilesystemPreviewType","","",null,null],[13,"IfAlways","","",217,null],[13,"IfLocal","","",217,null],[13,"Never","","",217,null],[4,"GIOErrorEnum","","",null,null],[13,"Failed","","",218,null],[13,"NotFound","","",218,null],[13,"Exists","","",218,null],[13,"IsDirectory","","",218,null],[13,"NotDirectory","","",218,null],[13,"NotEmpty","","",218,null],[13,"NotRegularFile","","",218,null],[13,"NotSymbolicLink","","",218,null],[13,"NotMountableFile","","",218,null],[13,"FilenameTooLong","","",218,null],[13,"InvalidFilename","","",218,null],[13,"TooManyLinks","","",218,null],[13,"NoSpace","","",218,null],[13,"InvalidArgument","","",218,null],[13,"PermissionDenied","","",218,null],[13,"NotSupported","","",218,null],[13,"NotMounted","","",218,null],[13,"AlreadyMounted","","",218,null],[13,"Closed","","",218,null],[13,"Cancelled","","",218,null],[13,"Pending","","",218,null],[13,"ReadOnly","","",218,null],[13,"CantCreateBackup","","",218,null],[13,"WrongEtag","","",218,null],[13,"TimedOut","","",218,null],[13,"WouldRecurse","","",218,null],[13,"Busy","","",218,null],[13,"WouldBlock","","",218,null],[13,"HostNotFound","","",218,null],[13,"WouldMerge","","",218,null],[13,"FailedHandled","","",218,null],[13,"TooManyOpenFiles","","",218,null],[13,"NotInitialized","","",218,null],[13,"AddressInUse","","",218,null],[13,"PartialInput","","",218,null],[13,"InvalidData","","",218,null],[13,"DbusError","","",218,null],[13,"HostUnreachable","","",218,null],[13,"NetworkUnreachable","","",218,null],[13,"ConnectionRefused","","",218,null],[13,"ProxyFailed","","",218,null],[13,"ProxyAuthFailed","","",218,null],[13,"ProxyNeedAuth","","",218,null],[13,"ProxyNotAllowed","","",218,null],[13,"BrokenPipe","","",218,null],[13,"NotConnected","","",218,null],[13,"MessageTooLarge","","",218,null],[4,"GIOModuleScopeFlags","","",null,null],[13,"None","","",219,null],[13,"BlockDuplicates","","",219,null],[4,"GMountOperationResult","","",null,null],[13,"Handled","","",220,null],[13,"Aborted","","",220,null],[13,"Unhandled","","",220,null],[4,"GNetworkConnectivity","","",null,null],[13,"Local","","",221,null],[13,"Limited","","",221,null],[13,"Portal","","",221,null],[13,"Full","","",221,null],[4,"GNotificationPriority","","",null,null],[13,"Normal","","",222,null],[13,"Low","","",222,null],[13,"High","","",222,null],[13,"Urgent","","",222,null],[4,"GPasswordSave","","",null,null],[13,"Never","","",223,null],[13,"ForSession","","",223,null],[13,"Permanently","","",223,null],[4,"GResolverError","","",null,null],[13,"NotFound","","",224,null],[13,"TemporaryFailure","","",224,null],[13,"Internal","","",224,null],[4,"GResolverRecordType","","",null,null],[13,"Srv","","",225,null],[13,"Mx","","",225,null],[13,"Txt","","",225,null],[13,"Soa","","",225,null],[13,"Ns","","",225,null],[4,"GResourceError","","",null,null],[13,"NotFound","","",226,null],[13,"Internal","","",226,null],[4,"GSocketClientEvent","","",null,null],[13,"Resolving","","",227,null],[13,"Resolved","","",227,null],[13,"Connecting","","",227,null],[13,"Connected","","",227,null],[13,"ProxyNegotiating","","",227,null],[13,"ProxyNegotiated","","",227,null],[13,"TlsHandshaking","","",227,null],[13,"TlsHandshaked","","",227,null],[13,"Complete","","",227,null],[4,"GSocketFamily","","",null,null],[13,"Invalid","","",228,null],[13,"Unix","","",228,null],[13,"Ipv4","","",228,null],[13,"Ipv6","","",228,null],[4,"GSocketListenerEvent","","",null,null],[13,"Binding","","",229,null],[13,"Bound","","",229,null],[13,"Listening","","",229,null],[13,"Listened","","",229,null],[4,"GSocketProtocol","","",null,null],[13,"Unknown","","",230,null],[13,"Default","","",230,null],[13,"Tcp","","",230,null],[13,"Udp","","",230,null],[13,"Sctp","","",230,null],[4,"GSocketType","","",null,null],[13,"Invalid","","",231,null],[13,"Stream","","",231,null],[13,"Datagram","","",231,null],[13,"Seqpacket","","",231,null],[4,"GTlsAuthenticationMode","","",null,null],[13,"None","","",232,null],[13,"Requested","","",232,null],[13,"Required","","",232,null],[4,"GTlsDatabaseLookupFlags","","",null,null],[13,"None","","",233,null],[13,"Keypair","","",233,null],[4,"GTlsError","","",null,null],[13,"Unavailable","","",234,null],[13,"Misc","","",234,null],[13,"BadCertificate","","",234,null],[13,"NotTls","","",234,null],[13,"Handshake","","",234,null],[13,"CertificateRequired","","",234,null],[13,"Eof","","",234,null],[4,"GTlsInteractionResult","","",null,null],[13,"Unhandled","","",235,null],[13,"Handled","","",235,null],[13,"Failed","","",235,null],[4,"GTlsRehandshakeMode","","",null,null],[13,"Never","","",236,null],[13,"Safely","","",236,null],[13,"Unsafely","","",236,null],[4,"GUnixSocketAddressType","","",null,null],[13,"Invalid","","",237,null],[13,"Anonymous","","",237,null],[13,"Path","","",237,null],[13,"Abstract","","",237,null],[13,"AbstractPadded","","",237,null],[4,"GZlibCompressorFormat","","",null,null],[13,"Zlib","","",238,null],[13,"Gzip","","",238,null],[13,"Raw","","",238,null],[5,"g_dbus_error_encode_gerror","","",null,null],[5,"g_dbus_error_get_remote_error","","",null,null],[5,"g_dbus_error_is_remote_error","","",null,null],[5,"g_dbus_error_new_for_dbus_error","","",null,null],[5,"g_dbus_error_quark","","",null,null],[5,"g_dbus_error_register_error","","",null,null],[5,"g_dbus_error_register_error_domain","","",null,null],[5,"g_dbus_error_set_dbus_error","","",null,null],[5,"g_dbus_error_strip_remote_error","","",null,null],[5,"g_dbus_error_unregister_error","","",null,null],[5,"g_resolver_error_quark","","",null,null],[5,"g_resource_error_quark","","",null,null],[5,"g_tls_error_quark","","",null,null],[5,"g_dbus_annotation_info_get_type","","",null,null],[5,"g_dbus_annotation_info_ref","","",null,null],[5,"g_dbus_annotation_info_unref","","",null,null],[5,"g_dbus_annotation_info_lookup","","",null,null],[5,"g_dbus_arg_info_get_type","","",null,null],[5,"g_dbus_arg_info_ref","","",null,null],[5,"g_dbus_arg_info_unref","","",null,null],[5,"g_dbus_interface_info_get_type","","",null,null],[5,"g_dbus_interface_info_cache_build","","",null,null],[5,"g_dbus_interface_info_cache_release","","",null,null],[5,"g_dbus_interface_info_generate_xml","","",null,null],[5,"g_dbus_interface_info_lookup_method","","",null,null],[5,"g_dbus_interface_info_lookup_property","","",null,null],[5,"g_dbus_interface_info_lookup_signal","","",null,null],[5,"g_dbus_interface_info_ref","","",null,null],[5,"g_dbus_interface_info_unref","","",null,null],[5,"g_dbus_method_info_get_type","","",null,null],[5,"g_dbus_method_info_ref","","",null,null],[5,"g_dbus_method_info_unref","","",null,null],[5,"g_dbus_node_info_get_type","","",null,null],[5,"g_dbus_node_info_new_for_xml","","",null,null],[5,"g_dbus_node_info_generate_xml","","",null,null],[5,"g_dbus_node_info_lookup_interface","","",null,null],[5,"g_dbus_node_info_ref","","",null,null],[5,"g_dbus_node_info_unref","","",null,null],[5,"g_dbus_property_info_get_type","","",null,null],[5,"g_dbus_property_info_ref","","",null,null],[5,"g_dbus_property_info_unref","","",null,null],[5,"g_dbus_signal_info_get_type","","",null,null],[5,"g_dbus_signal_info_ref","","",null,null],[5,"g_dbus_signal_info_unref","","",null,null],[5,"g_file_attribute_info_list_get_type","","",null,null],[5,"g_file_attribute_info_list_new","","",null,null],[5,"g_file_attribute_info_list_add","","",null,null],[5,"g_file_attribute_info_list_dup","","",null,null],[5,"g_file_attribute_info_list_lookup","","",null,null],[5,"g_file_attribute_info_list_ref","","",null,null],[5,"g_file_attribute_info_list_unref","","",null,null],[5,"g_file_attribute_matcher_get_type","","",null,null],[5,"g_file_attribute_matcher_new","","",null,null],[5,"g_file_attribute_matcher_enumerate_namespace","","",null,null],[5,"g_file_attribute_matcher_enumerate_next","","",null,null],[5,"g_file_attribute_matcher_matches","","",null,null],[5,"g_file_attribute_matcher_matches_only","","",null,null],[5,"g_file_attribute_matcher_ref","","",null,null],[5,"g_file_attribute_matcher_subtract","","",null,null],[5,"g_file_attribute_matcher_to_string","","",null,null],[5,"g_file_attribute_matcher_unref","","",null,null],[5,"g_io_extension_get_name","","",null,null],[5,"g_io_extension_get_priority","","",null,null],[5,"g_io_extension_get_type","","",null,null],[5,"g_io_extension_ref_class","","",null,null],[5,"g_io_extension_point_get_extension_by_name","","",null,null],[5,"g_io_extension_point_get_extensions","","",null,null],[5,"g_io_extension_point_get_required_type","","",null,null],[5,"g_io_extension_point_set_required_type","","",null,null],[5,"g_io_extension_point_implement","","",null,null],[5,"g_io_extension_point_lookup","","",null,null],[5,"g_io_extension_point_register","","",null,null],[5,"g_io_module_scope_block","","",null,null],[5,"g_io_module_scope_free","","",null,null],[5,"g_io_module_scope_new","","",null,null],[5,"g_io_scheduler_job_send_to_mainloop","","",null,null],[5,"g_io_scheduler_job_send_to_mainloop_async","","",null,null],[5,"g_resource_get_type","","",null,null],[5,"g_resource_new_from_data","","",null,null],[5,"g_resource_enumerate_children","","",null,null],[5,"g_resource_get_info","","",null,null],[5,"g_resource_lookup_data","","",null,null],[5,"g_resource_open_stream","","",null,null],[5,"g_resource_ref","","",null,null],[5,"g_resource_unref","","",null,null],[5,"g_resource_load","","",null,null],[5,"g_settings_schema_get_type","","",null,null],[5,"g_settings_schema_get_id","","",null,null],[5,"g_settings_schema_get_key","","",null,null],[5,"g_settings_schema_get_path","","",null,null],[5,"g_settings_schema_has_key","","",null,null],[5,"g_settings_schema_list_children","","",null,null],[5,"g_settings_schema_list_keys","","",null,null],[5,"g_settings_schema_ref","","",null,null],[5,"g_settings_schema_unref","","",null,null],[5,"g_settings_schema_key_get_type","","",null,null],[5,"g_settings_schema_key_get_default_value","","",null,null],[5,"g_settings_schema_key_get_description","","",null,null],[5,"g_settings_schema_key_get_name","","",null,null],[5,"g_settings_schema_key_get_range","","",null,null],[5,"g_settings_schema_key_get_summary","","",null,null],[5,"g_settings_schema_key_get_value_type","","",null,null],[5,"g_settings_schema_key_range_check","","",null,null],[5,"g_settings_schema_key_ref","","",null,null],[5,"g_settings_schema_key_unref","","",null,null],[5,"g_settings_schema_source_get_type","","",null,null],[5,"g_settings_schema_source_new_from_directory","","",null,null],[5,"g_settings_schema_source_list_schemas","","",null,null],[5,"g_settings_schema_source_lookup","","",null,null],[5,"g_settings_schema_source_ref","","",null,null],[5,"g_settings_schema_source_unref","","",null,null],[5,"g_settings_schema_source_get_default","","",null,null],[5,"g_srv_target_get_type","","",null,null],[5,"g_srv_target_new","","",null,null],[5,"g_srv_target_copy","","",null,null],[5,"g_srv_target_free","","",null,null],[5,"g_srv_target_get_hostname","","",null,null],[5,"g_srv_target_get_port","","",null,null],[5,"g_srv_target_get_priority","","",null,null],[5,"g_srv_target_get_weight","","",null,null],[5,"g_srv_target_list_sort","","",null,null],[5,"g_static_resource_fini","","",null,null],[5,"g_static_resource_get_resource","","",null,null],[5,"g_static_resource_init","","",null,null],[5,"g_unix_mount_point_compare","","",null,null],[5,"g_unix_mount_point_free","","",null,null],[5,"g_unix_mount_point_get_device_path","","",null,null],[5,"g_unix_mount_point_get_fs_type","","",null,null],[5,"g_unix_mount_point_get_mount_path","","",null,null],[5,"g_unix_mount_point_get_options","","",null,null],[5,"g_unix_mount_point_guess_can_eject","","",null,null],[5,"g_unix_mount_point_guess_icon","","",null,null],[5,"g_unix_mount_point_guess_name","","",null,null],[5,"g_unix_mount_point_guess_symbolic_icon","","",null,null],[5,"g_unix_mount_point_is_loopback","","",null,null],[5,"g_unix_mount_point_is_readonly","","",null,null],[5,"g_unix_mount_point_is_user_mountable","","",null,null],[5,"g_app_info_monitor_get_type","","",null,null],[5,"g_app_info_monitor_get","","",null,null],[5,"g_app_launch_context_get_type","","",null,null],[5,"g_app_launch_context_new","","",null,null],[5,"g_app_launch_context_get_display","","",null,null],[5,"g_app_launch_context_get_environment","","",null,null],[5,"g_app_launch_context_get_startup_notify_id","","",null,null],[5,"g_app_launch_context_launch_failed","","",null,null],[5,"g_app_launch_context_setenv","","",null,null],[5,"g_app_launch_context_unsetenv","","",null,null],[5,"g_application_get_type","","",null,null],[5,"g_application_new","","",null,null],[5,"g_application_get_default","","",null,null],[5,"g_application_id_is_valid","","",null,null],[5,"g_application_activate","","",null,null],[5,"g_application_add_main_option","","",null,null],[5,"g_application_add_main_option_entries","","",null,null],[5,"g_application_add_option_group","","",null,null],[5,"g_application_bind_busy_property","","",null,null],[5,"g_application_get_application_id","","",null,null],[5,"g_application_get_dbus_connection","","",null,null],[5,"g_application_get_dbus_object_path","","",null,null],[5,"g_application_get_flags","","",null,null],[5,"g_application_get_inactivity_timeout","","",null,null],[5,"g_application_get_is_busy","","",null,null],[5,"g_application_get_is_registered","","",null,null],[5,"g_application_get_is_remote","","",null,null],[5,"g_application_get_resource_base_path","","",null,null],[5,"g_application_hold","","",null,null],[5,"g_application_mark_busy","","",null,null],[5,"g_application_open","","",null,null],[5,"g_application_quit","","",null,null],[5,"g_application_register","","",null,null],[5,"g_application_release","","",null,null],[5,"g_application_run","","",null,null],[5,"g_application_send_notification","","",null,null],[5,"g_application_set_action_group","","",null,null],[5,"g_application_set_application_id","","",null,null],[5,"g_application_set_default","","",null,null],[5,"g_application_set_flags","","",null,null],[5,"g_application_set_inactivity_timeout","","",null,null],[5,"g_application_set_resource_base_path","","",null,null],[5,"g_application_unbind_busy_property","","",null,null],[5,"g_application_unmark_busy","","",null,null],[5,"g_application_withdraw_notification","","",null,null],[5,"g_application_command_line_get_type","","",null,null],[5,"g_application_command_line_create_file_for_arg","","",null,null],[5,"g_application_command_line_get_arguments","","",null,null],[5,"g_application_command_line_get_cwd","","",null,null],[5,"g_application_command_line_get_environ","","",null,null],[5,"g_application_command_line_get_exit_status","","",null,null],[5,"g_application_command_line_get_is_remote","","",null,null],[5,"g_application_command_line_get_options_dict","","",null,null],[5,"g_application_command_line_get_platform_data","","",null,null],[5,"g_application_command_line_get_stdin","","",null,null],[5,"g_application_command_line_getenv","","",null,null],[5,"g_application_command_line_print","","",null,null],[5,"g_application_command_line_printerr","","",null,null],[5,"g_application_command_line_set_exit_status","","",null,null],[5,"g_buffered_input_stream_get_type","","",null,null],[5,"g_buffered_input_stream_new","","",null,null],[5,"g_buffered_input_stream_new_sized","","",null,null],[5,"g_buffered_input_stream_fill","","",null,null],[5,"g_buffered_input_stream_fill_async","","",null,null],[5,"g_buffered_input_stream_fill_finish","","",null,null],[5,"g_buffered_input_stream_get_available","","",null,null],[5,"g_buffered_input_stream_get_buffer_size","","",null,null],[5,"g_buffered_input_stream_peek","","",null,null],[5,"g_buffered_input_stream_peek_buffer","","",null,null],[5,"g_buffered_input_stream_read_byte","","",null,null],[5,"g_buffered_input_stream_set_buffer_size","","",null,null],[5,"g_buffered_output_stream_get_type","","",null,null],[5,"g_buffered_output_stream_new","","",null,null],[5,"g_buffered_output_stream_new_sized","","",null,null],[5,"g_buffered_output_stream_get_auto_grow","","",null,null],[5,"g_buffered_output_stream_get_buffer_size","","",null,null],[5,"g_buffered_output_stream_set_auto_grow","","",null,null],[5,"g_buffered_output_stream_set_buffer_size","","",null,null],[5,"g_bytes_icon_get_type","","",null,null],[5,"g_bytes_icon_new","","",null,null],[5,"g_bytes_icon_get_bytes","","",null,null],[5,"g_cancellable_get_type","","",null,null],[5,"g_cancellable_new","","",null,null],[5,"g_cancellable_get_current","","",null,null],[5,"g_cancellable_cancel","","",null,null],[5,"g_cancellable_connect","","",null,null],[5,"g_cancellable_disconnect","","",null,null],[5,"g_cancellable_get_fd","","",null,null],[5,"g_cancellable_is_cancelled","","",null,null],[5,"g_cancellable_make_pollfd","","",null,null],[5,"g_cancellable_pop_current","","",null,null],[5,"g_cancellable_push_current","","",null,null],[5,"g_cancellable_release_fd","","",null,null],[5,"g_cancellable_reset","","",null,null],[5,"g_cancellable_set_error_if_cancelled","","",null,null],[5,"g_cancellable_source_new","","",null,null],[5,"g_charset_converter_get_type","","",null,null],[5,"g_charset_converter_new","","",null,null],[5,"g_charset_converter_get_num_fallbacks","","",null,null],[5,"g_charset_converter_get_use_fallback","","",null,null],[5,"g_charset_converter_set_use_fallback","","",null,null],[5,"g_converter_input_stream_get_type","","",null,null],[5,"g_converter_input_stream_new","","",null,null],[5,"g_converter_input_stream_get_converter","","",null,null],[5,"g_converter_output_stream_get_type","","",null,null],[5,"g_converter_output_stream_new","","",null,null],[5,"g_converter_output_stream_get_converter","","",null,null],[5,"g_credentials_get_type","","",null,null],[5,"g_credentials_new","","",null,null],[5,"g_credentials_get_native","","",null,null],[5,"g_credentials_get_unix_pid","","",null,null],[5,"g_credentials_get_unix_user","","",null,null],[5,"g_credentials_is_same_user","","",null,null],[5,"g_credentials_set_native","","",null,null],[5,"g_credentials_set_unix_user","","",null,null],[5,"g_credentials_to_string","","",null,null],[5,"g_dbus_action_group_get_type","","",null,null],[5,"g_dbus_action_group_get","","",null,null],[5,"g_dbus_auth_observer_get_type","","",null,null],[5,"g_dbus_auth_observer_new","","",null,null],[5,"g_dbus_auth_observer_allow_mechanism","","",null,null],[5,"g_dbus_auth_observer_authorize_authenticated_peer","","",null,null],[5,"g_dbus_connection_get_type","","",null,null],[5,"g_dbus_connection_new_finish","","",null,null],[5,"g_dbus_connection_new_for_address_finish","","",null,null],[5,"g_dbus_connection_new_for_address_sync","","",null,null],[5,"g_dbus_connection_new_sync","","",null,null],[5,"g_dbus_connection_new","","",null,null],[5,"g_dbus_connection_new_for_address","","",null,null],[5,"g_dbus_connection_add_filter","","",null,null],[5,"g_dbus_connection_call","","",null,null],[5,"g_dbus_connection_call_finish","","",null,null],[5,"g_dbus_connection_call_sync","","",null,null],[5,"g_dbus_connection_call_with_unix_fd_list","","",null,null],[5,"g_dbus_connection_call_with_unix_fd_list_finish","","",null,null],[5,"g_dbus_connection_call_with_unix_fd_list_sync","","",null,null],[5,"g_dbus_connection_close","","",null,null],[5,"g_dbus_connection_close_finish","","",null,null],[5,"g_dbus_connection_close_sync","","",null,null],[5,"g_dbus_connection_emit_signal","","",null,null],[5,"g_dbus_connection_export_action_group","","",null,null],[5,"g_dbus_connection_export_menu_model","","",null,null],[5,"g_dbus_connection_flush","","",null,null],[5,"g_dbus_connection_flush_finish","","",null,null],[5,"g_dbus_connection_flush_sync","","",null,null],[5,"g_dbus_connection_get_capabilities","","",null,null],[5,"g_dbus_connection_get_exit_on_close","","",null,null],[5,"g_dbus_connection_get_guid","","",null,null],[5,"g_dbus_connection_get_last_serial","","",null,null],[5,"g_dbus_connection_get_peer_credentials","","",null,null],[5,"g_dbus_connection_get_stream","","",null,null],[5,"g_dbus_connection_get_unique_name","","",null,null],[5,"g_dbus_connection_is_closed","","",null,null],[5,"g_dbus_connection_register_object","","",null,null],[5,"g_dbus_connection_register_object_with_closures","","",null,null],[5,"g_dbus_connection_register_subtree","","",null,null],[5,"g_dbus_connection_remove_filter","","",null,null],[5,"g_dbus_connection_send_message","","",null,null],[5,"g_dbus_connection_send_message_with_reply","","",null,null],[5,"g_dbus_connection_send_message_with_reply_finish","","",null,null],[5,"g_dbus_connection_send_message_with_reply_sync","","",null,null],[5,"g_dbus_connection_set_exit_on_close","","",null,null],[5,"g_dbus_connection_signal_subscribe","","",null,null],[5,"g_dbus_connection_signal_unsubscribe","","",null,null],[5,"g_dbus_connection_start_message_processing","","",null,null],[5,"g_dbus_connection_unexport_action_group","","",null,null],[5,"g_dbus_connection_unexport_menu_model","","",null,null],[5,"g_dbus_connection_unregister_object","","",null,null],[5,"g_dbus_connection_unregister_subtree","","",null,null],[5,"g_dbus_interface_skeleton_get_type","","",null,null],[5,"g_dbus_interface_skeleton_export","","",null,null],[5,"g_dbus_interface_skeleton_flush","","",null,null],[5,"g_dbus_interface_skeleton_get_connection","","",null,null],[5,"g_dbus_interface_skeleton_get_connections","","",null,null],[5,"g_dbus_interface_skeleton_get_flags","","",null,null],[5,"g_dbus_interface_skeleton_get_info","","",null,null],[5,"g_dbus_interface_skeleton_get_object_path","","",null,null],[5,"g_dbus_interface_skeleton_get_properties","","",null,null],[5,"g_dbus_interface_skeleton_get_vtable","","",null,null],[5,"g_dbus_interface_skeleton_has_connection","","",null,null],[5,"g_dbus_interface_skeleton_set_flags","","",null,null],[5,"g_dbus_interface_skeleton_unexport","","",null,null],[5,"g_dbus_interface_skeleton_unexport_from_connection","","",null,null],[5,"g_dbus_menu_model_get_type","","",null,null],[5,"g_dbus_menu_model_get","","",null,null],[5,"g_dbus_message_get_type","","",null,null],[5,"g_dbus_message_new","","",null,null],[5,"g_dbus_message_new_from_blob","","",null,null],[5,"g_dbus_message_new_method_call","","",null,null],[5,"g_dbus_message_new_signal","","",null,null],[5,"g_dbus_message_bytes_needed","","",null,null],[5,"g_dbus_message_copy","","",null,null],[5,"g_dbus_message_get_arg0","","",null,null],[5,"g_dbus_message_get_body","","",null,null],[5,"g_dbus_message_get_byte_order","","",null,null],[5,"g_dbus_message_get_destination","","",null,null],[5,"g_dbus_message_get_error_name","","",null,null],[5,"g_dbus_message_get_flags","","",null,null],[5,"g_dbus_message_get_header","","",null,null],[5,"g_dbus_message_get_header_fields","","",null,null],[5,"g_dbus_message_get_interface","","",null,null],[5,"g_dbus_message_get_locked","","",null,null],[5,"g_dbus_message_get_member","","",null,null],[5,"g_dbus_message_get_message_type","","",null,null],[5,"g_dbus_message_get_num_unix_fds","","",null,null],[5,"g_dbus_message_get_path","","",null,null],[5,"g_dbus_message_get_reply_serial","","",null,null],[5,"g_dbus_message_get_sender","","",null,null],[5,"g_dbus_message_get_serial","","",null,null],[5,"g_dbus_message_get_signature","","",null,null],[5,"g_dbus_message_get_unix_fd_list","","",null,null],[5,"g_dbus_message_lock","","",null,null],[5,"g_dbus_message_new_method_error","","",null,null],[5,"g_dbus_message_new_method_error_literal","","",null,null],[5,"g_dbus_message_new_method_reply","","",null,null],[5,"g_dbus_message_print","","",null,null],[5,"g_dbus_message_set_body","","",null,null],[5,"g_dbus_message_set_byte_order","","",null,null],[5,"g_dbus_message_set_destination","","",null,null],[5,"g_dbus_message_set_error_name","","",null,null],[5,"g_dbus_message_set_flags","","",null,null],[5,"g_dbus_message_set_header","","",null,null],[5,"g_dbus_message_set_interface","","",null,null],[5,"g_dbus_message_set_member","","",null,null],[5,"g_dbus_message_set_message_type","","",null,null],[5,"g_dbus_message_set_num_unix_fds","","",null,null],[5,"g_dbus_message_set_path","","",null,null],[5,"g_dbus_message_set_reply_serial","","",null,null],[5,"g_dbus_message_set_sender","","",null,null],[5,"g_dbus_message_set_serial","","",null,null],[5,"g_dbus_message_set_signature","","",null,null],[5,"g_dbus_message_set_unix_fd_list","","",null,null],[5,"g_dbus_message_to_blob","","",null,null],[5,"g_dbus_message_to_gerror","","",null,null],[5,"g_dbus_method_invocation_get_type","","",null,null],[5,"g_dbus_method_invocation_get_connection","","",null,null],[5,"g_dbus_method_invocation_get_interface_name","","",null,null],[5,"g_dbus_method_invocation_get_message","","",null,null],[5,"g_dbus_method_invocation_get_method_info","","",null,null],[5,"g_dbus_method_invocation_get_method_name","","",null,null],[5,"g_dbus_method_invocation_get_object_path","","",null,null],[5,"g_dbus_method_invocation_get_parameters","","",null,null],[5,"g_dbus_method_invocation_get_property_info","","",null,null],[5,"g_dbus_method_invocation_get_sender","","",null,null],[5,"g_dbus_method_invocation_get_user_data","","",null,null],[5,"g_dbus_method_invocation_return_dbus_error","","",null,null],[5,"g_dbus_method_invocation_return_error","","",null,null],[5,"g_dbus_method_invocation_return_error_literal","","",null,null],[5,"g_dbus_method_invocation_return_gerror","","",null,null],[5,"g_dbus_method_invocation_return_value","","",null,null],[5,"g_dbus_method_invocation_return_value_with_unix_fd_list","","",null,null],[5,"g_dbus_method_invocation_take_error","","",null,null],[5,"g_dbus_object_manager_client_get_type","","",null,null],[5,"g_dbus_object_manager_client_new_finish","","",null,null],[5,"g_dbus_object_manager_client_new_for_bus_finish","","",null,null],[5,"g_dbus_object_manager_client_new_for_bus_sync","","",null,null],[5,"g_dbus_object_manager_client_new_sync","","",null,null],[5,"g_dbus_object_manager_client_new","","",null,null],[5,"g_dbus_object_manager_client_new_for_bus","","",null,null],[5,"g_dbus_object_manager_client_get_connection","","",null,null],[5,"g_dbus_object_manager_client_get_flags","","",null,null],[5,"g_dbus_object_manager_client_get_name","","",null,null],[5,"g_dbus_object_manager_client_get_name_owner","","",null,null],[5,"g_dbus_object_manager_server_get_type","","",null,null],[5,"g_dbus_object_manager_server_new","","",null,null],[5,"g_dbus_object_manager_server_export","","",null,null],[5,"g_dbus_object_manager_server_export_uniquely","","",null,null],[5,"g_dbus_object_manager_server_get_connection","","",null,null],[5,"g_dbus_object_manager_server_is_exported","","",null,null],[5,"g_dbus_object_manager_server_set_connection","","",null,null],[5,"g_dbus_object_manager_server_unexport","","",null,null],[5,"g_dbus_object_proxy_get_type","","",null,null],[5,"g_dbus_object_proxy_new","","",null,null],[5,"g_dbus_object_proxy_get_connection","","",null,null],[5,"g_dbus_object_skeleton_get_type","","",null,null],[5,"g_dbus_object_skeleton_new","","",null,null],[5,"g_dbus_object_skeleton_add_interface","","",null,null],[5,"g_dbus_object_skeleton_flush","","",null,null],[5,"g_dbus_object_skeleton_remove_interface","","",null,null],[5,"g_dbus_object_skeleton_remove_interface_by_name","","",null,null],[5,"g_dbus_object_skeleton_set_object_path","","",null,null],[5,"g_dbus_proxy_get_type","","",null,null],[5,"g_dbus_proxy_new_finish","","",null,null],[5,"g_dbus_proxy_new_for_bus_finish","","",null,null],[5,"g_dbus_proxy_new_for_bus_sync","","",null,null],[5,"g_dbus_proxy_new_sync","","",null,null],[5,"g_dbus_proxy_new","","",null,null],[5,"g_dbus_proxy_new_for_bus","","",null,null],[5,"g_dbus_proxy_call","","",null,null],[5,"g_dbus_proxy_call_finish","","",null,null],[5,"g_dbus_proxy_call_sync","","",null,null],[5,"g_dbus_proxy_call_with_unix_fd_list","","",null,null],[5,"g_dbus_proxy_call_with_unix_fd_list_finish","","",null,null],[5,"g_dbus_proxy_call_with_unix_fd_list_sync","","",null,null],[5,"g_dbus_proxy_get_cached_property","","",null,null],[5,"g_dbus_proxy_get_cached_property_names","","",null,null],[5,"g_dbus_proxy_get_connection","","",null,null],[5,"g_dbus_proxy_get_default_timeout","","",null,null],[5,"g_dbus_proxy_get_flags","","",null,null],[5,"g_dbus_proxy_get_interface_info","","",null,null],[5,"g_dbus_proxy_get_interface_name","","",null,null],[5,"g_dbus_proxy_get_name","","",null,null],[5,"g_dbus_proxy_get_name_owner","","",null,null],[5,"g_dbus_proxy_get_object_path","","",null,null],[5,"g_dbus_proxy_set_cached_property","","",null,null],[5,"g_dbus_proxy_set_default_timeout","","",null,null],[5,"g_dbus_proxy_set_interface_info","","",null,null],[5,"g_dbus_server_get_type","","",null,null],[5,"g_dbus_server_new_sync","","",null,null],[5,"g_dbus_server_get_client_address","","",null,null],[5,"g_dbus_server_get_flags","","",null,null],[5,"g_dbus_server_get_guid","","",null,null],[5,"g_dbus_server_is_active","","",null,null],[5,"g_dbus_server_start","","",null,null],[5,"g_dbus_server_stop","","",null,null],[5,"g_data_input_stream_get_type","","",null,null],[5,"g_data_input_stream_new","","",null,null],[5,"g_data_input_stream_get_byte_order","","",null,null],[5,"g_data_input_stream_get_newline_type","","",null,null],[5,"g_data_input_stream_read_byte","","",null,null],[5,"g_data_input_stream_read_int16","","",null,null],[5,"g_data_input_stream_read_int32","","",null,null],[5,"g_data_input_stream_read_int64","","",null,null],[5,"g_data_input_stream_read_line","","",null,null],[5,"g_data_input_stream_read_line_async","","",null,null],[5,"g_data_input_stream_read_line_finish","","",null,null],[5,"g_data_input_stream_read_line_finish_utf8","","",null,null],[5,"g_data_input_stream_read_line_utf8","","",null,null],[5,"g_data_input_stream_read_uint16","","",null,null],[5,"g_data_input_stream_read_uint32","","",null,null],[5,"g_data_input_stream_read_uint64","","",null,null],[5,"g_data_input_stream_read_until","","",null,null],[5,"g_data_input_stream_read_until_async","","",null,null],[5,"g_data_input_stream_read_until_finish","","",null,null],[5,"g_data_input_stream_read_upto","","",null,null],[5,"g_data_input_stream_read_upto_async","","",null,null],[5,"g_data_input_stream_read_upto_finish","","",null,null],[5,"g_data_input_stream_set_byte_order","","",null,null],[5,"g_data_input_stream_set_newline_type","","",null,null],[5,"g_data_output_stream_get_type","","",null,null],[5,"g_data_output_stream_new","","",null,null],[5,"g_data_output_stream_get_byte_order","","",null,null],[5,"g_data_output_stream_put_byte","","",null,null],[5,"g_data_output_stream_put_int16","","",null,null],[5,"g_data_output_stream_put_int32","","",null,null],[5,"g_data_output_stream_put_int64","","",null,null],[5,"g_data_output_stream_put_string","","",null,null],[5,"g_data_output_stream_put_uint16","","",null,null],[5,"g_data_output_stream_put_uint32","","",null,null],[5,"g_data_output_stream_put_uint64","","",null,null],[5,"g_data_output_stream_set_byte_order","","",null,null],[5,"g_desktop_app_info_get_type","","",null,null],[5,"g_desktop_app_info_new","","",null,null],[5,"g_desktop_app_info_new_from_filename","","",null,null],[5,"g_desktop_app_info_new_from_keyfile","","",null,null],[5,"g_desktop_app_info_get_implementations","","",null,null],[5,"g_desktop_app_info_search","","",null,null],[5,"g_desktop_app_info_set_desktop_env","","",null,null],[5,"g_desktop_app_info_get_action_name","","",null,null],[5,"g_desktop_app_info_get_boolean","","",null,null],[5,"g_desktop_app_info_get_categories","","",null,null],[5,"g_desktop_app_info_get_filename","","",null,null],[5,"g_desktop_app_info_get_generic_name","","",null,null],[5,"g_desktop_app_info_get_is_hidden","","",null,null],[5,"g_desktop_app_info_get_keywords","","",null,null],[5,"g_desktop_app_info_get_nodisplay","","",null,null],[5,"g_desktop_app_info_get_show_in","","",null,null],[5,"g_desktop_app_info_get_startup_wm_class","","",null,null],[5,"g_desktop_app_info_get_string","","",null,null],[5,"g_desktop_app_info_has_key","","",null,null],[5,"g_desktop_app_info_launch_action","","",null,null],[5,"g_desktop_app_info_launch_uris_as_manager","","",null,null],[5,"g_desktop_app_info_list_actions","","",null,null],[5,"g_emblem_get_type","","",null,null],[5,"g_emblem_new","","",null,null],[5,"g_emblem_new_with_origin","","",null,null],[5,"g_emblem_get_icon","","",null,null],[5,"g_emblem_get_origin","","",null,null],[5,"g_emblemed_icon_get_type","","",null,null],[5,"g_emblemed_icon_new","","",null,null],[5,"g_emblemed_icon_add_emblem","","",null,null],[5,"g_emblemed_icon_clear_emblems","","",null,null],[5,"g_emblemed_icon_get_emblems","","",null,null],[5,"g_emblemed_icon_get_icon","","",null,null],[5,"g_file_enumerator_get_type","","",null,null],[5,"g_file_enumerator_close","","",null,null],[5,"g_file_enumerator_close_async","","",null,null],[5,"g_file_enumerator_close_finish","","",null,null],[5,"g_file_enumerator_get_child","","",null,null],[5,"g_file_enumerator_get_container","","",null,null],[5,"g_file_enumerator_has_pending","","",null,null],[5,"g_file_enumerator_is_closed","","",null,null],[5,"g_file_enumerator_iterate","","",null,null],[5,"g_file_enumerator_next_file","","",null,null],[5,"g_file_enumerator_next_files_async","","",null,null],[5,"g_file_enumerator_next_files_finish","","",null,null],[5,"g_file_enumerator_set_pending","","",null,null],[5,"g_file_io_stream_get_type","","",null,null],[5,"g_file_io_stream_get_etag","","",null,null],[5,"g_file_io_stream_query_info","","",null,null],[5,"g_file_io_stream_query_info_async","","",null,null],[5,"g_file_io_stream_query_info_finish","","",null,null],[5,"g_file_icon_get_type","","",null,null],[5,"g_file_icon_new","","",null,null],[5,"g_file_icon_get_file","","",null,null],[5,"g_file_info_get_type","","",null,null],[5,"g_file_info_new","","",null,null],[5,"g_file_info_clear_status","","",null,null],[5,"g_file_info_copy_into","","",null,null],[5,"g_file_info_dup","","",null,null],[5,"g_file_info_get_attribute_as_string","","",null,null],[5,"g_file_info_get_attribute_boolean","","",null,null],[5,"g_file_info_get_attribute_byte_string","","",null,null],[5,"g_file_info_get_attribute_data","","",null,null],[5,"g_file_info_get_attribute_int32","","",null,null],[5,"g_file_info_get_attribute_int64","","",null,null],[5,"g_file_info_get_attribute_object","","",null,null],[5,"g_file_info_get_attribute_status","","",null,null],[5,"g_file_info_get_attribute_string","","",null,null],[5,"g_file_info_get_attribute_stringv","","",null,null],[5,"g_file_info_get_attribute_type","","",null,null],[5,"g_file_info_get_attribute_uint32","","",null,null],[5,"g_file_info_get_attribute_uint64","","",null,null],[5,"g_file_info_get_content_type","","",null,null],[5,"g_file_info_get_deletion_date","","",null,null],[5,"g_file_info_get_display_name","","",null,null],[5,"g_file_info_get_edit_name","","",null,null],[5,"g_file_info_get_etag","","",null,null],[5,"g_file_info_get_file_type","","",null,null],[5,"g_file_info_get_icon","","",null,null],[5,"g_file_info_get_is_backup","","",null,null],[5,"g_file_info_get_is_hidden","","",null,null],[5,"g_file_info_get_is_symlink","","",null,null],[5,"g_file_info_get_modification_time","","",null,null],[5,"g_file_info_get_name","","",null,null],[5,"g_file_info_get_size","","",null,null],[5,"g_file_info_get_sort_order","","",null,null],[5,"g_file_info_get_symbolic_icon","","",null,null],[5,"g_file_info_get_symlink_target","","",null,null],[5,"g_file_info_has_attribute","","",null,null],[5,"g_file_info_has_namespace","","",null,null],[5,"g_file_info_list_attributes","","",null,null],[5,"g_file_info_remove_attribute","","",null,null],[5,"g_file_info_set_attribute","","",null,null],[5,"g_file_info_set_attribute_boolean","","",null,null],[5,"g_file_info_set_attribute_byte_string","","",null,null],[5,"g_file_info_set_attribute_int32","","",null,null],[5,"g_file_info_set_attribute_int64","","",null,null],[5,"g_file_info_set_attribute_mask","","",null,null],[5,"g_file_info_set_attribute_object","","",null,null],[5,"g_file_info_set_attribute_status","","",null,null],[5,"g_file_info_set_attribute_string","","",null,null],[5,"g_file_info_set_attribute_stringv","","",null,null],[5,"g_file_info_set_attribute_uint32","","",null,null],[5,"g_file_info_set_attribute_uint64","","",null,null],[5,"g_file_info_set_content_type","","",null,null],[5,"g_file_info_set_display_name","","",null,null],[5,"g_file_info_set_edit_name","","",null,null],[5,"g_file_info_set_file_type","","",null,null],[5,"g_file_info_set_icon","","",null,null],[5,"g_file_info_set_is_hidden","","",null,null],[5,"g_file_info_set_is_symlink","","",null,null],[5,"g_file_info_set_modification_time","","",null,null],[5,"g_file_info_set_name","","",null,null],[5,"g_file_info_set_size","","",null,null],[5,"g_file_info_set_sort_order","","",null,null],[5,"g_file_info_set_symbolic_icon","","",null,null],[5,"g_file_info_set_symlink_target","","",null,null],[5,"g_file_info_unset_attribute_mask","","",null,null],[5,"g_file_input_stream_get_type","","",null,null],[5,"g_file_input_stream_query_info","","",null,null],[5,"g_file_input_stream_query_info_async","","",null,null],[5,"g_file_input_stream_query_info_finish","","",null,null],[5,"g_file_monitor_get_type","","",null,null],[5,"g_file_monitor_cancel","","",null,null],[5,"g_file_monitor_emit_event","","",null,null],[5,"g_file_monitor_is_cancelled","","",null,null],[5,"g_file_monitor_set_rate_limit","","",null,null],[5,"g_file_output_stream_get_type","","",null,null],[5,"g_file_output_stream_get_etag","","",null,null],[5,"g_file_output_stream_query_info","","",null,null],[5,"g_file_output_stream_query_info_async","","",null,null],[5,"g_file_output_stream_query_info_finish","","",null,null],[5,"g_filename_completer_get_type","","",null,null],[5,"g_filename_completer_new","","",null,null],[5,"g_filename_completer_get_completion_suffix","","",null,null],[5,"g_filename_completer_get_completions","","",null,null],[5,"g_filename_completer_set_dirs_only","","",null,null],[5,"g_filter_input_stream_get_type","","",null,null],[5,"g_filter_input_stream_get_base_stream","","",null,null],[5,"g_filter_input_stream_get_close_base_stream","","",null,null],[5,"g_filter_input_stream_set_close_base_stream","","",null,null],[5,"g_filter_output_stream_get_type","","",null,null],[5,"g_filter_output_stream_get_base_stream","","",null,null],[5,"g_filter_output_stream_get_close_base_stream","","",null,null],[5,"g_filter_output_stream_set_close_base_stream","","",null,null],[5,"g_io_module_get_type","","",null,null],[5,"g_io_module_new","","",null,null],[5,"g_io_module_query","","",null,null],[5,"g_io_module_load","","",null,null],[5,"g_io_module_unload","","",null,null],[5,"g_io_stream_get_type","","",null,null],[5,"g_io_stream_splice_finish","","",null,null],[5,"g_io_stream_clear_pending","","",null,null],[5,"g_io_stream_close","","",null,null],[5,"g_io_stream_close_async","","",null,null],[5,"g_io_stream_close_finish","","",null,null],[5,"g_io_stream_get_input_stream","","",null,null],[5,"g_io_stream_get_output_stream","","",null,null],[5,"g_io_stream_has_pending","","",null,null],[5,"g_io_stream_is_closed","","",null,null],[5,"g_io_stream_set_pending","","",null,null],[5,"g_io_stream_splice_async","","",null,null],[5,"g_inet_address_get_type","","",null,null],[5,"g_inet_address_new_any","","",null,null],[5,"g_inet_address_new_from_bytes","","",null,null],[5,"g_inet_address_new_from_string","","",null,null],[5,"g_inet_address_new_loopback","","",null,null],[5,"g_inet_address_equal","","",null,null],[5,"g_inet_address_get_family","","",null,null],[5,"g_inet_address_get_is_any","","",null,null],[5,"g_inet_address_get_is_link_local","","",null,null],[5,"g_inet_address_get_is_loopback","","",null,null],[5,"g_inet_address_get_is_mc_global","","",null,null],[5,"g_inet_address_get_is_mc_link_local","","",null,null],[5,"g_inet_address_get_is_mc_node_local","","",null,null],[5,"g_inet_address_get_is_mc_org_local","","",null,null],[5,"g_inet_address_get_is_mc_site_local","","",null,null],[5,"g_inet_address_get_is_multicast","","",null,null],[5,"g_inet_address_get_is_site_local","","",null,null],[5,"g_inet_address_get_native_size","","",null,null],[5,"g_inet_address_to_bytes","","",null,null],[5,"g_inet_address_to_string","","",null,null],[5,"g_inet_address_mask_get_type","","",null,null],[5,"g_inet_address_mask_new","","",null,null],[5,"g_inet_address_mask_new_from_string","","",null,null],[5,"g_inet_address_mask_equal","","",null,null],[5,"g_inet_address_mask_get_address","","",null,null],[5,"g_inet_address_mask_get_family","","",null,null],[5,"g_inet_address_mask_get_length","","",null,null],[5,"g_inet_address_mask_matches","","",null,null],[5,"g_inet_address_mask_to_string","","",null,null],[5,"g_inet_socket_address_get_type","","",null,null],[5,"g_inet_socket_address_new","","",null,null],[5,"g_inet_socket_address_new_from_string","","",null,null],[5,"g_inet_socket_address_get_address","","",null,null],[5,"g_inet_socket_address_get_flowinfo","","",null,null],[5,"g_inet_socket_address_get_port","","",null,null],[5,"g_inet_socket_address_get_scope_id","","",null,null],[5,"g_input_stream_get_type","","",null,null],[5,"g_input_stream_clear_pending","","",null,null],[5,"g_input_stream_close","","",null,null],[5,"g_input_stream_close_async","","",null,null],[5,"g_input_stream_close_finish","","",null,null],[5,"g_input_stream_has_pending","","",null,null],[5,"g_input_stream_is_closed","","",null,null],[5,"g_input_stream_read","","",null,null],[5,"g_input_stream_read_all","","",null,null],[5,"g_input_stream_read_all_async","","",null,null],[5,"g_input_stream_read_all_finish","","",null,null],[5,"g_input_stream_read_async","","",null,null],[5,"g_input_stream_read_bytes","","",null,null],[5,"g_input_stream_read_bytes_async","","",null,null],[5,"g_input_stream_read_bytes_finish","","",null,null],[5,"g_input_stream_read_finish","","",null,null],[5,"g_input_stream_set_pending","","",null,null],[5,"g_input_stream_skip","","",null,null],[5,"g_input_stream_skip_async","","",null,null],[5,"g_input_stream_skip_finish","","",null,null],[5,"g_list_store_get_type","","",null,null],[5,"g_list_store_new","","",null,null],[5,"g_list_store_append","","",null,null],[5,"g_list_store_insert","","",null,null],[5,"g_list_store_insert_sorted","","",null,null],[5,"g_list_store_remove","","",null,null],[5,"g_list_store_remove_all","","",null,null],[5,"g_list_store_sort","","",null,null],[5,"g_memory_input_stream_get_type","","",null,null],[5,"g_memory_input_stream_new","","",null,null],[5,"g_memory_input_stream_new_from_bytes","","",null,null],[5,"g_memory_input_stream_new_from_data","","",null,null],[5,"g_memory_input_stream_add_bytes","","",null,null],[5,"g_memory_input_stream_add_data","","",null,null],[5,"g_memory_output_stream_get_type","","",null,null],[5,"g_memory_output_stream_new","","",null,null],[5,"g_memory_output_stream_new_resizable","","",null,null],[5,"g_memory_output_stream_get_data","","",null,null],[5,"g_memory_output_stream_get_data_size","","",null,null],[5,"g_memory_output_stream_get_size","","",null,null],[5,"g_memory_output_stream_steal_as_bytes","","",null,null],[5,"g_memory_output_stream_steal_data","","",null,null],[5,"g_menu_get_type","","",null,null],[5,"g_menu_new","","",null,null],[5,"g_menu_append","","",null,null],[5,"g_menu_append_item","","",null,null],[5,"g_menu_append_section","","",null,null],[5,"g_menu_append_submenu","","",null,null],[5,"g_menu_freeze","","",null,null],[5,"g_menu_insert","","",null,null],[5,"g_menu_insert_item","","",null,null],[5,"g_menu_insert_section","","",null,null],[5,"g_menu_insert_submenu","","",null,null],[5,"g_menu_prepend","","",null,null],[5,"g_menu_prepend_item","","",null,null],[5,"g_menu_prepend_section","","",null,null],[5,"g_menu_prepend_submenu","","",null,null],[5,"g_menu_remove","","",null,null],[5,"g_menu_remove_all","","",null,null],[5,"g_menu_attribute_iter_get_type","","",null,null],[5,"g_menu_attribute_iter_get_name","","",null,null],[5,"g_menu_attribute_iter_get_next","","",null,null],[5,"g_menu_attribute_iter_get_value","","",null,null],[5,"g_menu_attribute_iter_next","","",null,null],[5,"g_menu_item_get_type","","",null,null],[5,"g_menu_item_new","","",null,null],[5,"g_menu_item_new_from_model","","",null,null],[5,"g_menu_item_new_section","","",null,null],[5,"g_menu_item_new_submenu","","",null,null],[5,"g_menu_item_get_attribute","","",null,null],[5,"g_menu_item_get_attribute_value","","",null,null],[5,"g_menu_item_get_link","","",null,null],[5,"g_menu_item_set_action_and_target","","",null,null],[5,"g_menu_item_set_action_and_target_value","","",null,null],[5,"g_menu_item_set_attribute","","",null,null],[5,"g_menu_item_set_attribute_value","","",null,null],[5,"g_menu_item_set_detailed_action","","",null,null],[5,"g_menu_item_set_icon","","",null,null],[5,"g_menu_item_set_label","","",null,null],[5,"g_menu_item_set_link","","",null,null],[5,"g_menu_item_set_section","","",null,null],[5,"g_menu_item_set_submenu","","",null,null],[5,"g_menu_link_iter_get_type","","",null,null],[5,"g_menu_link_iter_get_name","","",null,null],[5,"g_menu_link_iter_get_next","","",null,null],[5,"g_menu_link_iter_get_value","","",null,null],[5,"g_menu_link_iter_next","","",null,null],[5,"g_menu_model_get_type","","",null,null],[5,"g_menu_model_get_item_attribute","","",null,null],[5,"g_menu_model_get_item_attribute_value","","",null,null],[5,"g_menu_model_get_item_link","","",null,null],[5,"g_menu_model_get_n_items","","",null,null],[5,"g_menu_model_is_mutable","","",null,null],[5,"g_menu_model_items_changed","","",null,null],[5,"g_menu_model_iterate_item_attributes","","",null,null],[5,"g_menu_model_iterate_item_links","","",null,null],[5,"g_mount_operation_get_type","","",null,null],[5,"g_mount_operation_new","","",null,null],[5,"g_mount_operation_get_anonymous","","",null,null],[5,"g_mount_operation_get_choice","","",null,null],[5,"g_mount_operation_get_domain","","",null,null],[5,"g_mount_operation_get_password","","",null,null],[5,"g_mount_operation_get_password_save","","",null,null],[5,"g_mount_operation_get_username","","",null,null],[5,"g_mount_operation_reply","","",null,null],[5,"g_mount_operation_set_anonymous","","",null,null],[5,"g_mount_operation_set_choice","","",null,null],[5,"g_mount_operation_set_domain","","",null,null],[5,"g_mount_operation_set_password","","",null,null],[5,"g_mount_operation_set_password_save","","",null,null],[5,"g_mount_operation_set_username","","",null,null],[5,"g_native_volume_monitor_get_type","","",null,null],[5,"g_network_address_get_type","","",null,null],[5,"g_network_address_new","","",null,null],[5,"g_network_address_new_loopback","","",null,null],[5,"g_network_address_parse","","",null,null],[5,"g_network_address_parse_uri","","",null,null],[5,"g_network_address_get_hostname","","",null,null],[5,"g_network_address_get_port","","",null,null],[5,"g_network_address_get_scheme","","",null,null],[5,"g_network_service_get_type","","",null,null],[5,"g_network_service_new","","",null,null],[5,"g_network_service_get_domain","","",null,null],[5,"g_network_service_get_protocol","","",null,null],[5,"g_network_service_get_scheme","","",null,null],[5,"g_network_service_get_service","","",null,null],[5,"g_network_service_set_scheme","","",null,null],[5,"g_notification_get_type","","",null,null],[5,"g_notification_new","","",null,null],[5,"g_notification_add_button","","",null,null],[5,"g_notification_add_button_with_target","","",null,null],[5,"g_notification_add_button_with_target_value","","",null,null],[5,"g_notification_set_body","","",null,null],[5,"g_notification_set_default_action","","",null,null],[5,"g_notification_set_default_action_and_target","","",null,null],[5,"g_notification_set_default_action_and_target_value","","",null,null],[5,"g_notification_set_icon","","",null,null],[5,"g_notification_set_priority","","",null,null],[5,"g_notification_set_title","","",null,null],[5,"g_notification_set_urgent","","",null,null],[5,"g_output_stream_get_type","","",null,null],[5,"g_output_stream_clear_pending","","",null,null],[5,"g_output_stream_close","","",null,null],[5,"g_output_stream_close_async","","",null,null],[5,"g_output_stream_close_finish","","",null,null],[5,"g_output_stream_flush","","",null,null],[5,"g_output_stream_flush_async","","",null,null],[5,"g_output_stream_flush_finish","","",null,null],[5,"g_output_stream_has_pending","","",null,null],[5,"g_output_stream_is_closed","","",null,null],[5,"g_output_stream_is_closing","","",null,null],[5,"g_output_stream_printf","","",null,null],[5,"g_output_stream_set_pending","","",null,null],[5,"g_output_stream_splice","","",null,null],[5,"g_output_stream_splice_async","","",null,null],[5,"g_output_stream_splice_finish","","",null,null],[5,"g_output_stream_write","","",null,null],[5,"g_output_stream_write_all","","",null,null],[5,"g_output_stream_write_all_async","","",null,null],[5,"g_output_stream_write_all_finish","","",null,null],[5,"g_output_stream_write_async","","",null,null],[5,"g_output_stream_write_bytes","","",null,null],[5,"g_output_stream_write_bytes_async","","",null,null],[5,"g_output_stream_write_bytes_finish","","",null,null],[5,"g_output_stream_write_finish","","",null,null],[5,"g_permission_get_type","","",null,null],[5,"g_permission_acquire","","",null,null],[5,"g_permission_acquire_async","","",null,null],[5,"g_permission_acquire_finish","","",null,null],[5,"g_permission_get_allowed","","",null,null],[5,"g_permission_get_can_acquire","","",null,null],[5,"g_permission_get_can_release","","",null,null],[5,"g_permission_impl_update","","",null,null],[5,"g_permission_release","","",null,null],[5,"g_permission_release_async","","",null,null],[5,"g_permission_release_finish","","",null,null],[5,"g_property_action_get_type","","",null,null],[5,"g_property_action_new","","",null,null],[5,"g_proxy_address_get_type","","",null,null],[5,"g_proxy_address_new","","",null,null],[5,"g_proxy_address_get_destination_hostname","","",null,null],[5,"g_proxy_address_get_destination_port","","",null,null],[5,"g_proxy_address_get_destination_protocol","","",null,null],[5,"g_proxy_address_get_password","","",null,null],[5,"g_proxy_address_get_protocol","","",null,null],[5,"g_proxy_address_get_uri","","",null,null],[5,"g_proxy_address_get_username","","",null,null],[5,"g_proxy_address_enumerator_get_type","","",null,null],[5,"g_resolver_get_type","","",null,null],[5,"g_resolver_free_addresses","","",null,null],[5,"g_resolver_free_targets","","",null,null],[5,"g_resolver_get_default","","",null,null],[5,"g_resolver_lookup_by_address","","",null,null],[5,"g_resolver_lookup_by_address_async","","",null,null],[5,"g_resolver_lookup_by_address_finish","","",null,null],[5,"g_resolver_lookup_by_name","","",null,null],[5,"g_resolver_lookup_by_name_async","","",null,null],[5,"g_resolver_lookup_by_name_finish","","",null,null],[5,"g_resolver_lookup_records","","",null,null],[5,"g_resolver_lookup_records_async","","",null,null],[5,"g_resolver_lookup_records_finish","","",null,null],[5,"g_resolver_lookup_service","","",null,null],[5,"g_resolver_lookup_service_async","","",null,null],[5,"g_resolver_lookup_service_finish","","",null,null],[5,"g_resolver_set_default","","",null,null],[5,"g_settings_get_type","","",null,null],[5,"g_settings_new","","",null,null],[5,"g_settings_new_full","","",null,null],[5,"g_settings_new_with_backend","","",null,null],[5,"g_settings_new_with_backend_and_path","","",null,null],[5,"g_settings_new_with_path","","",null,null],[5,"g_settings_list_relocatable_schemas","","",null,null],[5,"g_settings_list_schemas","","",null,null],[5,"g_settings_sync","","",null,null],[5,"g_settings_unbind","","",null,null],[5,"g_settings_apply","","",null,null],[5,"g_settings_bind","","",null,null],[5,"g_settings_bind_with_mapping","","",null,null],[5,"g_settings_bind_writable","","",null,null],[5,"g_settings_create_action","","",null,null],[5,"g_settings_delay","","",null,null],[5,"g_settings_get","","",null,null],[5,"g_settings_get_boolean","","",null,null],[5,"g_settings_get_child","","",null,null],[5,"g_settings_get_default_value","","",null,null],[5,"g_settings_get_double","","",null,null],[5,"g_settings_get_enum","","",null,null],[5,"g_settings_get_flags","","",null,null],[5,"g_settings_get_has_unapplied","","",null,null],[5,"g_settings_get_int","","",null,null],[5,"g_settings_get_mapped","","",null,null],[5,"g_settings_get_range","","",null,null],[5,"g_settings_get_string","","",null,null],[5,"g_settings_get_strv","","",null,null],[5,"g_settings_get_uint","","",null,null],[5,"g_settings_get_user_value","","",null,null],[5,"g_settings_get_value","","",null,null],[5,"g_settings_is_writable","","",null,null],[5,"g_settings_list_children","","",null,null],[5,"g_settings_list_keys","","",null,null],[5,"g_settings_range_check","","",null,null],[5,"g_settings_reset","","",null,null],[5,"g_settings_revert","","",null,null],[5,"g_settings_set","","",null,null],[5,"g_settings_set_boolean","","",null,null],[5,"g_settings_set_double","","",null,null],[5,"g_settings_set_enum","","",null,null],[5,"g_settings_set_flags","","",null,null],[5,"g_settings_set_int","","",null,null],[5,"g_settings_set_string","","",null,null],[5,"g_settings_set_strv","","",null,null],[5,"g_settings_set_uint","","",null,null],[5,"g_settings_set_value","","",null,null],[5,"g_simple_action_get_type","","",null,null],[5,"g_simple_action_new","","",null,null],[5,"g_simple_action_new_stateful","","",null,null],[5,"g_simple_action_set_enabled","","",null,null],[5,"g_simple_action_set_state","","",null,null],[5,"g_simple_action_set_state_hint","","",null,null],[5,"g_simple_action_group_get_type","","",null,null],[5,"g_simple_action_group_new","","",null,null],[5,"g_simple_action_group_add_entries","","",null,null],[5,"g_simple_action_group_insert","","",null,null],[5,"g_simple_action_group_lookup","","",null,null],[5,"g_simple_action_group_remove","","",null,null],[5,"g_simple_async_result_get_type","","",null,null],[5,"g_simple_async_result_new","","",null,null],[5,"g_simple_async_result_new_error","","",null,null],[5,"g_simple_async_result_new_from_error","","",null,null],[5,"g_simple_async_result_new_take_error","","",null,null],[5,"g_simple_async_result_is_valid","","",null,null],[5,"g_simple_async_result_complete","","",null,null],[5,"g_simple_async_result_complete_in_idle","","",null,null],[5,"g_simple_async_result_get_op_res_gboolean","","",null,null],[5,"g_simple_async_result_get_op_res_gpointer","","",null,null],[5,"g_simple_async_result_get_op_res_gssize","","",null,null],[5,"g_simple_async_result_get_source_tag","","",null,null],[5,"g_simple_async_result_propagate_error","","",null,null],[5,"g_simple_async_result_run_in_thread","","",null,null],[5,"g_simple_async_result_set_check_cancellable","","",null,null],[5,"g_simple_async_result_set_error","","",null,null],[5,"g_simple_async_result_set_from_error","","",null,null],[5,"g_simple_async_result_set_handle_cancellation","","",null,null],[5,"g_simple_async_result_set_op_res_gboolean","","",null,null],[5,"g_simple_async_result_set_op_res_gpointer","","",null,null],[5,"g_simple_async_result_set_op_res_gssize","","",null,null],[5,"g_simple_async_result_take_error","","",null,null],[5,"g_simple_io_stream_get_type","","",null,null],[5,"g_simple_io_stream_new","","",null,null],[5,"g_simple_permission_get_type","","",null,null],[5,"g_simple_permission_new","","",null,null],[5,"g_simple_proxy_resolver_get_type","","",null,null],[5,"g_simple_proxy_resolver_new","","",null,null],[5,"g_simple_proxy_resolver_set_default_proxy","","",null,null],[5,"g_simple_proxy_resolver_set_ignore_hosts","","",null,null],[5,"g_simple_proxy_resolver_set_uri_proxy","","",null,null],[5,"g_socket_get_type","","",null,null],[5,"g_socket_new","","",null,null],[5,"g_socket_new_from_fd","","",null,null],[5,"g_socket_accept","","",null,null],[5,"g_socket_bind","","",null,null],[5,"g_socket_check_connect_result","","",null,null],[5,"g_socket_close","","",null,null],[5,"g_socket_condition_check","","",null,null],[5,"g_socket_condition_timed_wait","","",null,null],[5,"g_socket_condition_wait","","",null,null],[5,"g_socket_connect","","",null,null],[5,"g_socket_connection_factory_create_connection","","",null,null],[5,"g_socket_create_source","","",null,null],[5,"g_socket_get_available_bytes","","",null,null],[5,"g_socket_get_blocking","","",null,null],[5,"g_socket_get_broadcast","","",null,null],[5,"g_socket_get_credentials","","",null,null],[5,"g_socket_get_family","","",null,null],[5,"g_socket_get_fd","","",null,null],[5,"g_socket_get_keepalive","","",null,null],[5,"g_socket_get_listen_backlog","","",null,null],[5,"g_socket_get_local_address","","",null,null],[5,"g_socket_get_multicast_loopback","","",null,null],[5,"g_socket_get_multicast_ttl","","",null,null],[5,"g_socket_get_option","","",null,null],[5,"g_socket_get_protocol","","",null,null],[5,"g_socket_get_remote_address","","",null,null],[5,"g_socket_get_socket_type","","",null,null],[5,"g_socket_get_timeout","","",null,null],[5,"g_socket_get_ttl","","",null,null],[5,"g_socket_is_closed","","",null,null],[5,"g_socket_is_connected","","",null,null],[5,"g_socket_join_multicast_group","","",null,null],[5,"g_socket_leave_multicast_group","","",null,null],[5,"g_socket_listen","","",null,null],[5,"g_socket_receive","","",null,null],[5,"g_socket_receive_from","","",null,null],[5,"g_socket_receive_message","","",null,null],[5,"g_socket_receive_messages","","",null,null],[5,"g_socket_receive_with_blocking","","",null,null],[5,"g_socket_send","","",null,null],[5,"g_socket_send_message","","",null,null],[5,"g_socket_send_messages","","",null,null],[5,"g_socket_send_to","","",null,null],[5,"g_socket_send_with_blocking","","",null,null],[5,"g_socket_set_blocking","","",null,null],[5,"g_socket_set_broadcast","","",null,null],[5,"g_socket_set_keepalive","","",null,null],[5,"g_socket_set_listen_backlog","","",null,null],[5,"g_socket_set_multicast_loopback","","",null,null],[5,"g_socket_set_multicast_ttl","","",null,null],[5,"g_socket_set_option","","",null,null],[5,"g_socket_set_timeout","","",null,null],[5,"g_socket_set_ttl","","",null,null],[5,"g_socket_shutdown","","",null,null],[5,"g_socket_speaks_ipv4","","",null,null],[5,"g_socket_address_get_type","","",null,null],[5,"g_socket_address_new_from_native","","",null,null],[5,"g_socket_address_get_family","","",null,null],[5,"g_socket_address_get_native_size","","",null,null],[5,"g_socket_address_to_native","","",null,null],[5,"g_socket_address_enumerator_get_type","","",null,null],[5,"g_socket_address_enumerator_next","","",null,null],[5,"g_socket_address_enumerator_next_async","","",null,null],[5,"g_socket_address_enumerator_next_finish","","",null,null],[5,"g_socket_client_get_type","","",null,null],[5,"g_socket_client_new","","",null,null],[5,"g_socket_client_add_application_proxy","","",null,null],[5,"g_socket_client_connect","","",null,null],[5,"g_socket_client_connect_async","","",null,null],[5,"g_socket_client_connect_finish","","",null,null],[5,"g_socket_client_connect_to_host","","",null,null],[5,"g_socket_client_connect_to_host_async","","",null,null],[5,"g_socket_client_connect_to_host_finish","","",null,null],[5,"g_socket_client_connect_to_service","","",null,null],[5,"g_socket_client_connect_to_service_async","","",null,null],[5,"g_socket_client_connect_to_service_finish","","",null,null],[5,"g_socket_client_connect_to_uri","","",null,null],[5,"g_socket_client_connect_to_uri_async","","",null,null],[5,"g_socket_client_connect_to_uri_finish","","",null,null],[5,"g_socket_client_get_enable_proxy","","",null,null],[5,"g_socket_client_get_family","","",null,null],[5,"g_socket_client_get_local_address","","",null,null],[5,"g_socket_client_get_protocol","","",null,null],[5,"g_socket_client_get_proxy_resolver","","",null,null],[5,"g_socket_client_get_socket_type","","",null,null],[5,"g_socket_client_get_timeout","","",null,null],[5,"g_socket_client_get_tls","","",null,null],[5,"g_socket_client_get_tls_validation_flags","","",null,null],[5,"g_socket_client_set_enable_proxy","","",null,null],[5,"g_socket_client_set_family","","",null,null],[5,"g_socket_client_set_local_address","","",null,null],[5,"g_socket_client_set_protocol","","",null,null],[5,"g_socket_client_set_proxy_resolver","","",null,null],[5,"g_socket_client_set_socket_type","","",null,null],[5,"g_socket_client_set_timeout","","",null,null],[5,"g_socket_client_set_tls","","",null,null],[5,"g_socket_client_set_tls_validation_flags","","",null,null],[5,"g_socket_connection_get_type","","",null,null],[5,"g_socket_connection_factory_lookup_type","","",null,null],[5,"g_socket_connection_factory_register_type","","",null,null],[5,"g_socket_connection_connect","","",null,null],[5,"g_socket_connection_connect_async","","",null,null],[5,"g_socket_connection_connect_finish","","",null,null],[5,"g_socket_connection_get_local_address","","",null,null],[5,"g_socket_connection_get_remote_address","","",null,null],[5,"g_socket_connection_get_socket","","",null,null],[5,"g_socket_connection_is_connected","","",null,null],[5,"g_socket_control_message_get_type","","",null,null],[5,"g_socket_control_message_deserialize","","",null,null],[5,"g_socket_control_message_get_level","","",null,null],[5,"g_socket_control_message_get_msg_type","","",null,null],[5,"g_socket_control_message_get_size","","",null,null],[5,"g_socket_control_message_serialize","","",null,null],[5,"g_socket_listener_get_type","","",null,null],[5,"g_socket_listener_new","","",null,null],[5,"g_socket_listener_accept","","",null,null],[5,"g_socket_listener_accept_async","","",null,null],[5,"g_socket_listener_accept_finish","","",null,null],[5,"g_socket_listener_accept_socket","","",null,null],[5,"g_socket_listener_accept_socket_async","","",null,null],[5,"g_socket_listener_accept_socket_finish","","",null,null],[5,"g_socket_listener_add_address","","",null,null],[5,"g_socket_listener_add_any_inet_port","","",null,null],[5,"g_socket_listener_add_inet_port","","",null,null],[5,"g_socket_listener_add_socket","","",null,null],[5,"g_socket_listener_close","","",null,null],[5,"g_socket_listener_set_backlog","","",null,null],[5,"g_socket_service_get_type","","",null,null],[5,"g_socket_service_new","","",null,null],[5,"g_socket_service_is_active","","",null,null],[5,"g_socket_service_start","","",null,null],[5,"g_socket_service_stop","","",null,null],[5,"g_subprocess_get_type","","",null,null],[5,"g_subprocess_new","","",null,null],[5,"g_subprocess_newv","","",null,null],[5,"g_subprocess_communicate","","",null,null],[5,"g_subprocess_communicate_async","","",null,null],[5,"g_subprocess_communicate_finish","","",null,null],[5,"g_subprocess_communicate_utf8","","",null,null],[5,"g_subprocess_communicate_utf8_async","","",null,null],[5,"g_subprocess_communicate_utf8_finish","","",null,null],[5,"g_subprocess_force_exit","","",null,null],[5,"g_subprocess_get_exit_status","","",null,null],[5,"g_subprocess_get_identifier","","",null,null],[5,"g_subprocess_get_if_exited","","",null,null],[5,"g_subprocess_get_if_signaled","","",null,null],[5,"g_subprocess_get_status","","",null,null],[5,"g_subprocess_get_stderr_pipe","","",null,null],[5,"g_subprocess_get_stdin_pipe","","",null,null],[5,"g_subprocess_get_stdout_pipe","","",null,null],[5,"g_subprocess_get_successful","","",null,null],[5,"g_subprocess_get_term_sig","","",null,null],[5,"g_subprocess_send_signal","","",null,null],[5,"g_subprocess_wait","","",null,null],[5,"g_subprocess_wait_async","","",null,null],[5,"g_subprocess_wait_check","","",null,null],[5,"g_subprocess_wait_check_async","","",null,null],[5,"g_subprocess_wait_check_finish","","",null,null],[5,"g_subprocess_wait_finish","","",null,null],[5,"g_subprocess_launcher_get_type","","",null,null],[5,"g_subprocess_launcher_new","","",null,null],[5,"g_subprocess_launcher_getenv","","",null,null],[5,"g_subprocess_launcher_set_child_setup","","",null,null],[5,"g_subprocess_launcher_set_cwd","","",null,null],[5,"g_subprocess_launcher_set_environ","","",null,null],[5,"g_subprocess_launcher_set_flags","","",null,null],[5,"g_subprocess_launcher_set_stderr_file_path","","",null,null],[5,"g_subprocess_launcher_set_stdin_file_path","","",null,null],[5,"g_subprocess_launcher_set_stdout_file_path","","",null,null],[5,"g_subprocess_launcher_setenv","","",null,null],[5,"g_subprocess_launcher_spawn","","",null,null],[5,"g_subprocess_launcher_spawnv","","",null,null],[5,"g_subprocess_launcher_take_fd","","",null,null],[5,"g_subprocess_launcher_take_stderr_fd","","",null,null],[5,"g_subprocess_launcher_take_stdin_fd","","",null,null],[5,"g_subprocess_launcher_take_stdout_fd","","",null,null],[5,"g_subprocess_launcher_unsetenv","","",null,null],[5,"g_task_get_type","","",null,null],[5,"g_task_new","","",null,null],[5,"g_task_is_valid","","",null,null],[5,"g_task_report_error","","",null,null],[5,"g_task_report_new_error","","",null,null],[5,"g_task_attach_source","","",null,null],[5,"g_task_get_cancellable","","",null,null],[5,"g_task_get_check_cancellable","","",null,null],[5,"g_task_get_completed","","",null,null],[5,"g_task_get_context","","",null,null],[5,"g_task_get_priority","","",null,null],[5,"g_task_get_return_on_cancel","","",null,null],[5,"g_task_get_source_object","","",null,null],[5,"g_task_get_source_tag","","",null,null],[5,"g_task_get_task_data","","",null,null],[5,"g_task_had_error","","",null,null],[5,"g_task_propagate_boolean","","",null,null],[5,"g_task_propagate_int","","",null,null],[5,"g_task_propagate_pointer","","",null,null],[5,"g_task_return_boolean","","",null,null],[5,"g_task_return_error","","",null,null],[5,"g_task_return_error_if_cancelled","","",null,null],[5,"g_task_return_int","","",null,null],[5,"g_task_return_new_error","","",null,null],[5,"g_task_return_pointer","","",null,null],[5,"g_task_run_in_thread","","",null,null],[5,"g_task_run_in_thread_sync","","",null,null],[5,"g_task_set_check_cancellable","","",null,null],[5,"g_task_set_priority","","",null,null],[5,"g_task_set_return_on_cancel","","",null,null],[5,"g_task_set_source_tag","","",null,null],[5,"g_task_set_task_data","","",null,null],[5,"g_tcp_connection_get_type","","",null,null],[5,"g_tcp_connection_get_graceful_disconnect","","",null,null],[5,"g_tcp_connection_set_graceful_disconnect","","",null,null],[5,"g_tcp_wrapper_connection_get_type","","",null,null],[5,"g_tcp_wrapper_connection_new","","",null,null],[5,"g_tcp_wrapper_connection_get_base_io_stream","","",null,null],[5,"g_test_dbus_get_type","","",null,null],[5,"g_test_dbus_new","","",null,null],[5,"g_test_dbus_unset","","",null,null],[5,"g_test_dbus_add_service_dir","","",null,null],[5,"g_test_dbus_down","","",null,null],[5,"g_test_dbus_get_bus_address","","",null,null],[5,"g_test_dbus_get_flags","","",null,null],[5,"g_test_dbus_stop","","",null,null],[5,"g_test_dbus_up","","",null,null],[5,"g_themed_icon_get_type","","",null,null],[5,"g_themed_icon_new","","",null,null],[5,"g_themed_icon_new_from_names","","",null,null],[5,"g_themed_icon_new_with_default_fallbacks","","",null,null],[5,"g_themed_icon_append_name","","",null,null],[5,"g_themed_icon_get_names","","",null,null],[5,"g_themed_icon_prepend_name","","",null,null],[5,"g_threaded_socket_service_get_type","","",null,null],[5,"g_threaded_socket_service_new","","",null,null],[5,"g_tls_certificate_get_type","","",null,null],[5,"g_tls_certificate_new_from_file","","",null,null],[5,"g_tls_certificate_new_from_files","","",null,null],[5,"g_tls_certificate_new_from_pem","","",null,null],[5,"g_tls_certificate_list_new_from_file","","",null,null],[5,"g_tls_certificate_get_issuer","","",null,null],[5,"g_tls_certificate_is_same","","",null,null],[5,"g_tls_certificate_verify","","",null,null],[5,"g_tls_connection_get_type","","",null,null],[5,"g_tls_connection_emit_accept_certificate","","",null,null],[5,"g_tls_connection_get_certificate","","",null,null],[5,"g_tls_connection_get_database","","",null,null],[5,"g_tls_connection_get_interaction","","",null,null],[5,"g_tls_connection_get_peer_certificate","","",null,null],[5,"g_tls_connection_get_peer_certificate_errors","","",null,null],[5,"g_tls_connection_get_rehandshake_mode","","",null,null],[5,"g_tls_connection_get_require_close_notify","","",null,null],[5,"g_tls_connection_get_use_system_certdb","","",null,null],[5,"g_tls_connection_handshake","","",null,null],[5,"g_tls_connection_handshake_async","","",null,null],[5,"g_tls_connection_handshake_finish","","",null,null],[5,"g_tls_connection_set_certificate","","",null,null],[5,"g_tls_connection_set_database","","",null,null],[5,"g_tls_connection_set_interaction","","",null,null],[5,"g_tls_connection_set_rehandshake_mode","","",null,null],[5,"g_tls_connection_set_require_close_notify","","",null,null],[5,"g_tls_connection_set_use_system_certdb","","",null,null],[5,"g_tls_database_get_type","","",null,null],[5,"g_tls_database_create_certificate_handle","","",null,null],[5,"g_tls_database_lookup_certificate_for_handle","","",null,null],[5,"g_tls_database_lookup_certificate_for_handle_async","","",null,null],[5,"g_tls_database_lookup_certificate_for_handle_finish","","",null,null],[5,"g_tls_database_lookup_certificate_issuer","","",null,null],[5,"g_tls_database_lookup_certificate_issuer_async","","",null,null],[5,"g_tls_database_lookup_certificate_issuer_finish","","",null,null],[5,"g_tls_database_lookup_certificates_issued_by","","",null,null],[5,"g_tls_database_lookup_certificates_issued_by_async","","",null,null],[5,"g_tls_database_lookup_certificates_issued_by_finish","","",null,null],[5,"g_tls_database_verify_chain","","",null,null],[5,"g_tls_database_verify_chain_async","","",null,null],[5,"g_tls_database_verify_chain_finish","","",null,null],[5,"g_tls_interaction_get_type","","",null,null],[5,"g_tls_interaction_ask_password","","",null,null],[5,"g_tls_interaction_ask_password_async","","",null,null],[5,"g_tls_interaction_ask_password_finish","","",null,null],[5,"g_tls_interaction_invoke_ask_password","","",null,null],[5,"g_tls_interaction_invoke_request_certificate","","",null,null],[5,"g_tls_interaction_request_certificate","","",null,null],[5,"g_tls_interaction_request_certificate_async","","",null,null],[5,"g_tls_interaction_request_certificate_finish","","",null,null],[5,"g_tls_password_get_type","","",null,null],[5,"g_tls_password_new","","",null,null],[5,"g_tls_password_get_description","","",null,null],[5,"g_tls_password_get_flags","","",null,null],[5,"g_tls_password_get_value","","",null,null],[5,"g_tls_password_get_warning","","",null,null],[5,"g_tls_password_set_description","","",null,null],[5,"g_tls_password_set_flags","","",null,null],[5,"g_tls_password_set_value","","",null,null],[5,"g_tls_password_set_value_full","","",null,null],[5,"g_tls_password_set_warning","","",null,null],[5,"g_unix_connection_get_type","","",null,null],[5,"g_unix_connection_receive_credentials","","",null,null],[5,"g_unix_connection_receive_credentials_async","","",null,null],[5,"g_unix_connection_receive_credentials_finish","","",null,null],[5,"g_unix_connection_receive_fd","","",null,null],[5,"g_unix_connection_send_credentials","","",null,null],[5,"g_unix_connection_send_credentials_async","","",null,null],[5,"g_unix_connection_send_credentials_finish","","",null,null],[5,"g_unix_connection_send_fd","","",null,null],[5,"g_unix_credentials_message_get_type","","",null,null],[5,"g_unix_credentials_message_new","","",null,null],[5,"g_unix_credentials_message_new_with_credentials","","",null,null],[5,"g_unix_credentials_message_is_supported","","",null,null],[5,"g_unix_credentials_message_get_credentials","","",null,null],[5,"g_unix_fd_list_get_type","","",null,null],[5,"g_unix_fd_list_new","","",null,null],[5,"g_unix_fd_list_new_from_array","","",null,null],[5,"g_unix_fd_list_append","","",null,null],[5,"g_unix_fd_list_get","","",null,null],[5,"g_unix_fd_list_get_length","","",null,null],[5,"g_unix_fd_list_peek_fds","","",null,null],[5,"g_unix_fd_list_steal_fds","","",null,null],[5,"g_unix_fd_message_get_type","","",null,null],[5,"g_unix_fd_message_new","","",null,null],[5,"g_unix_fd_message_new_with_fd_list","","",null,null],[5,"g_unix_fd_message_append_fd","","",null,null],[5,"g_unix_fd_message_get_fd_list","","",null,null],[5,"g_unix_fd_message_steal_fds","","",null,null],[5,"g_unix_input_stream_get_type","","",null,null],[5,"g_unix_input_stream_new","","",null,null],[5,"g_unix_input_stream_get_close_fd","","",null,null],[5,"g_unix_input_stream_get_fd","","",null,null],[5,"g_unix_input_stream_set_close_fd","","",null,null],[5,"g_unix_mount_monitor_get_type","","",null,null],[5,"g_unix_mount_monitor_new","","",null,null],[5,"g_unix_mount_monitor_get","","",null,null],[5,"g_unix_mount_monitor_set_rate_limit","","",null,null],[5,"g_unix_output_stream_get_type","","",null,null],[5,"g_unix_output_stream_new","","",null,null],[5,"g_unix_output_stream_get_close_fd","","",null,null],[5,"g_unix_output_stream_get_fd","","",null,null],[5,"g_unix_output_stream_set_close_fd","","",null,null],[5,"g_unix_socket_address_get_type","","",null,null],[5,"g_unix_socket_address_new","","",null,null],[5,"g_unix_socket_address_new_abstract","","",null,null],[5,"g_unix_socket_address_new_with_type","","",null,null],[5,"g_unix_socket_address_abstract_names_supported","","",null,null],[5,"g_unix_socket_address_get_address_type","","",null,null],[5,"g_unix_socket_address_get_is_abstract","","",null,null],[5,"g_unix_socket_address_get_path","","",null,null],[5,"g_unix_socket_address_get_path_len","","",null,null],[5,"g_vfs_get_type","","",null,null],[5,"g_vfs_get_default","","",null,null],[5,"g_vfs_get_local","","",null,null],[5,"g_vfs_get_file_for_path","","",null,null],[5,"g_vfs_get_file_for_uri","","",null,null],[5,"g_vfs_get_supported_uri_schemes","","",null,null],[5,"g_vfs_is_active","","",null,null],[5,"g_vfs_parse_name","","",null,null],[5,"g_volume_monitor_get_type","","",null,null],[5,"g_volume_monitor_adopt_orphan_mount","","",null,null],[5,"g_volume_monitor_get","","",null,null],[5,"g_volume_monitor_get_connected_drives","","",null,null],[5,"g_volume_monitor_get_mount_for_uuid","","",null,null],[5,"g_volume_monitor_get_mounts","","",null,null],[5,"g_volume_monitor_get_volume_for_uuid","","",null,null],[5,"g_volume_monitor_get_volumes","","",null,null],[5,"g_zlib_compressor_get_type","","",null,null],[5,"g_zlib_compressor_new","","",null,null],[5,"g_zlib_compressor_get_file_info","","",null,null],[5,"g_zlib_compressor_set_file_info","","",null,null],[5,"g_zlib_decompressor_get_type","","",null,null],[5,"g_zlib_decompressor_new","","",null,null],[5,"g_zlib_decompressor_get_file_info","","",null,null],[5,"g_action_get_type","","",null,null],[5,"g_action_name_is_valid","","",null,null],[5,"g_action_parse_detailed_name","","",null,null],[5,"g_action_print_detailed_name","","",null,null],[5,"g_action_activate","","",null,null],[5,"g_action_change_state","","",null,null],[5,"g_action_get_enabled","","",null,null],[5,"g_action_get_name","","",null,null],[5,"g_action_get_parameter_type","","",null,null],[5,"g_action_get_state","","",null,null],[5,"g_action_get_state_hint","","",null,null],[5,"g_action_get_state_type","","",null,null],[5,"g_action_group_get_type","","",null,null],[5,"g_action_group_action_added","","",null,null],[5,"g_action_group_action_enabled_changed","","",null,null],[5,"g_action_group_action_removed","","",null,null],[5,"g_action_group_action_state_changed","","",null,null],[5,"g_action_group_activate_action","","",null,null],[5,"g_action_group_change_action_state","","",null,null],[5,"g_action_group_get_action_enabled","","",null,null],[5,"g_action_group_get_action_parameter_type","","",null,null],[5,"g_action_group_get_action_state","","",null,null],[5,"g_action_group_get_action_state_hint","","",null,null],[5,"g_action_group_get_action_state_type","","",null,null],[5,"g_action_group_has_action","","",null,null],[5,"g_action_group_list_actions","","",null,null],[5,"g_action_group_query_action","","",null,null],[5,"g_action_map_get_type","","",null,null],[5,"g_action_map_add_action","","",null,null],[5,"g_action_map_add_action_entries","","",null,null],[5,"g_action_map_lookup_action","","",null,null],[5,"g_action_map_remove_action","","",null,null],[5,"g_app_info_get_type","","",null,null],[5,"g_app_info_create_from_commandline","","",null,null],[5,"g_app_info_get_all","","",null,null],[5,"g_app_info_get_all_for_type","","",null,null],[5,"g_app_info_get_default_for_type","","",null,null],[5,"g_app_info_get_default_for_uri_scheme","","",null,null],[5,"g_app_info_get_fallback_for_type","","",null,null],[5,"g_app_info_get_recommended_for_type","","",null,null],[5,"g_app_info_launch_default_for_uri","","",null,null],[5,"g_app_info_reset_type_associations","","",null,null],[5,"g_app_info_add_supports_type","","",null,null],[5,"g_app_info_can_delete","","",null,null],[5,"g_app_info_can_remove_supports_type","","",null,null],[5,"g_app_info_delete","","",null,null],[5,"g_app_info_dup","","",null,null],[5,"g_app_info_equal","","",null,null],[5,"g_app_info_get_commandline","","",null,null],[5,"g_app_info_get_description","","",null,null],[5,"g_app_info_get_display_name","","",null,null],[5,"g_app_info_get_executable","","",null,null],[5,"g_app_info_get_icon","","",null,null],[5,"g_app_info_get_id","","",null,null],[5,"g_app_info_get_name","","",null,null],[5,"g_app_info_get_supported_types","","",null,null],[5,"g_app_info_launch","","",null,null],[5,"g_app_info_launch_uris","","",null,null],[5,"g_app_info_remove_supports_type","","",null,null],[5,"g_app_info_set_as_default_for_extension","","",null,null],[5,"g_app_info_set_as_default_for_type","","",null,null],[5,"g_app_info_set_as_last_used_for_type","","",null,null],[5,"g_app_info_should_show","","",null,null],[5,"g_app_info_supports_files","","",null,null],[5,"g_app_info_supports_uris","","",null,null],[5,"g_async_initable_get_type","","",null,null],[5,"g_async_initable_new_async","","",null,null],[5,"g_async_initable_newv_async","","",null,null],[5,"g_async_initable_init_async","","",null,null],[5,"g_async_initable_init_finish","","",null,null],[5,"g_async_initable_new_finish","","",null,null],[5,"g_async_result_get_type","","",null,null],[5,"g_async_result_get_source_object","","",null,null],[5,"g_async_result_get_user_data","","",null,null],[5,"g_async_result_is_tagged","","",null,null],[5,"g_async_result_legacy_propagate_error","","",null,null],[5,"g_converter_get_type","","",null,null],[5,"g_converter_convert","","",null,null],[5,"g_converter_reset","","",null,null],[5,"g_dbus_interface_get_type","","",null,null],[5,"g_dbus_interface_dup_object","","",null,null],[5,"g_dbus_interface_get_info","","",null,null],[5,"g_dbus_interface_get_object","","",null,null],[5,"g_dbus_interface_set_object","","",null,null],[5,"g_dbus_object_get_type","","",null,null],[5,"g_dbus_object_get_interface","","",null,null],[5,"g_dbus_object_get_interfaces","","",null,null],[5,"g_dbus_object_get_object_path","","",null,null],[5,"g_dbus_object_manager_get_type","","",null,null],[5,"g_dbus_object_manager_get_interface","","",null,null],[5,"g_dbus_object_manager_get_object","","",null,null],[5,"g_dbus_object_manager_get_object_path","","",null,null],[5,"g_dbus_object_manager_get_objects","","",null,null],[5,"g_datagram_based_get_type","","",null,null],[5,"g_datagram_based_condition_check","","",null,null],[5,"g_datagram_based_condition_wait","","",null,null],[5,"g_datagram_based_create_source","","",null,null],[5,"g_datagram_based_receive_messages","","",null,null],[5,"g_datagram_based_send_messages","","",null,null],[5,"g_desktop_app_info_lookup_get_type","","",null,null],[5,"g_desktop_app_info_lookup_get_default_for_uri_scheme","","",null,null],[5,"g_drive_get_type","","",null,null],[5,"g_drive_can_eject","","",null,null],[5,"g_drive_can_poll_for_media","","",null,null],[5,"g_drive_can_start","","",null,null],[5,"g_drive_can_start_degraded","","",null,null],[5,"g_drive_can_stop","","",null,null],[5,"g_drive_eject","","",null,null],[5,"g_drive_eject_finish","","",null,null],[5,"g_drive_eject_with_operation","","",null,null],[5,"g_drive_eject_with_operation_finish","","",null,null],[5,"g_drive_enumerate_identifiers","","",null,null],[5,"g_drive_get_icon","","",null,null],[5,"g_drive_get_identifier","","",null,null],[5,"g_drive_get_name","","",null,null],[5,"g_drive_get_sort_key","","",null,null],[5,"g_drive_get_start_stop_type","","",null,null],[5,"g_drive_get_symbolic_icon","","",null,null],[5,"g_drive_get_volumes","","",null,null],[5,"g_drive_has_media","","",null,null],[5,"g_drive_has_volumes","","",null,null],[5,"g_drive_is_media_check_automatic","","",null,null],[5,"g_drive_is_media_removable","","",null,null],[5,"g_drive_poll_for_media","","",null,null],[5,"g_drive_poll_for_media_finish","","",null,null],[5,"g_drive_start","","",null,null],[5,"g_drive_start_finish","","",null,null],[5,"g_drive_stop","","",null,null],[5,"g_drive_stop_finish","","",null,null],[5,"g_dtls_client_connection_get_type","","",null,null],[5,"g_dtls_client_connection_new","","",null,null],[5,"g_dtls_client_connection_get_accepted_cas","","",null,null],[5,"g_dtls_client_connection_get_server_identity","","",null,null],[5,"g_dtls_client_connection_get_validation_flags","","",null,null],[5,"g_dtls_client_connection_set_server_identity","","",null,null],[5,"g_dtls_client_connection_set_validation_flags","","",null,null],[5,"g_dtls_connection_get_type","","",null,null],[5,"g_dtls_connection_close","","",null,null],[5,"g_dtls_connection_close_async","","",null,null],[5,"g_dtls_connection_close_finish","","",null,null],[5,"g_dtls_connection_emit_accept_certificate","","",null,null],[5,"g_dtls_connection_get_certificate","","",null,null],[5,"g_dtls_connection_get_database","","",null,null],[5,"g_dtls_connection_get_interaction","","",null,null],[5,"g_dtls_connection_get_peer_certificate","","",null,null],[5,"g_dtls_connection_get_peer_certificate_errors","","",null,null],[5,"g_dtls_connection_get_rehandshake_mode","","",null,null],[5,"g_dtls_connection_get_require_close_notify","","",null,null],[5,"g_dtls_connection_handshake","","",null,null],[5,"g_dtls_connection_handshake_async","","",null,null],[5,"g_dtls_connection_handshake_finish","","",null,null],[5,"g_dtls_connection_set_certificate","","",null,null],[5,"g_dtls_connection_set_database","","",null,null],[5,"g_dtls_connection_set_interaction","","",null,null],[5,"g_dtls_connection_set_rehandshake_mode","","",null,null],[5,"g_dtls_connection_set_require_close_notify","","",null,null],[5,"g_dtls_connection_shutdown","","",null,null],[5,"g_dtls_connection_shutdown_async","","",null,null],[5,"g_dtls_connection_shutdown_finish","","",null,null],[5,"g_dtls_server_connection_get_type","","",null,null],[5,"g_dtls_server_connection_new","","",null,null],[5,"g_file_get_type","","",null,null],[5,"g_file_new_for_commandline_arg","","",null,null],[5,"g_file_new_for_commandline_arg_and_cwd","","",null,null],[5,"g_file_new_for_path","","",null,null],[5,"g_file_new_for_uri","","",null,null],[5,"g_file_new_tmp","","",null,null],[5,"g_file_parse_name","","",null,null],[5,"g_file_append_to","","",null,null],[5,"g_file_append_to_async","","",null,null],[5,"g_file_append_to_finish","","",null,null],[5,"g_file_copy","","",null,null],[5,"g_file_copy_async","","",null,null],[5,"g_file_copy_attributes","","",null,null],[5,"g_file_copy_finish","","",null,null],[5,"g_file_create","","",null,null],[5,"g_file_create_async","","",null,null],[5,"g_file_create_finish","","",null,null],[5,"g_file_create_readwrite","","",null,null],[5,"g_file_create_readwrite_async","","",null,null],[5,"g_file_create_readwrite_finish","","",null,null],[5,"g_file_delete","","",null,null],[5,"g_file_delete_async","","",null,null],[5,"g_file_delete_finish","","",null,null],[5,"g_file_dup","","",null,null],[5,"g_file_eject_mountable","","",null,null],[5,"g_file_eject_mountable_finish","","",null,null],[5,"g_file_eject_mountable_with_operation","","",null,null],[5,"g_file_eject_mountable_with_operation_finish","","",null,null],[5,"g_file_enumerate_children","","",null,null],[5,"g_file_enumerate_children_async","","",null,null],[5,"g_file_enumerate_children_finish","","",null,null],[5,"g_file_equal","","",null,null],[5,"g_file_find_enclosing_mount","","",null,null],[5,"g_file_find_enclosing_mount_async","","",null,null],[5,"g_file_find_enclosing_mount_finish","","",null,null],[5,"g_file_get_basename","","",null,null],[5,"g_file_get_child","","",null,null],[5,"g_file_get_child_for_display_name","","",null,null],[5,"g_file_get_parent","","",null,null],[5,"g_file_get_parse_name","","",null,null],[5,"g_file_get_path","","",null,null],[5,"g_file_get_relative_path","","",null,null],[5,"g_file_get_uri","","",null,null],[5,"g_file_get_uri_scheme","","",null,null],[5,"g_file_has_parent","","",null,null],[5,"g_file_has_prefix","","",null,null],[5,"g_file_has_uri_scheme","","",null,null],[5,"g_file_hash","","",null,null],[5,"g_file_is_native","","",null,null],[5,"g_file_load_contents","","",null,null],[5,"g_file_load_contents_async","","",null,null],[5,"g_file_load_contents_finish","","",null,null],[5,"g_file_load_partial_contents_async","","",null,null],[5,"g_file_load_partial_contents_finish","","",null,null],[5,"g_file_make_directory","","",null,null],[5,"g_file_make_directory_async","","",null,null],[5,"g_file_make_directory_finish","","",null,null],[5,"g_file_make_directory_with_parents","","",null,null],[5,"g_file_make_symbolic_link","","",null,null],[5,"g_file_measure_disk_usage","","",null,null],[5,"g_file_measure_disk_usage_async","","",null,null],[5,"g_file_measure_disk_usage_finish","","",null,null],[5,"g_file_monitor","","",null,null],[5,"g_file_monitor_directory","","",null,null],[5,"g_file_monitor_file","","",null,null],[5,"g_file_mount_enclosing_volume","","",null,null],[5,"g_file_mount_enclosing_volume_finish","","",null,null],[5,"g_file_mount_mountable","","",null,null],[5,"g_file_mount_mountable_finish","","",null,null],[5,"g_file_move","","",null,null],[5,"g_file_open_readwrite","","",null,null],[5,"g_file_open_readwrite_async","","",null,null],[5,"g_file_open_readwrite_finish","","",null,null],[5,"g_file_poll_mountable","","",null,null],[5,"g_file_poll_mountable_finish","","",null,null],[5,"g_file_query_default_handler","","",null,null],[5,"g_file_query_exists","","",null,null],[5,"g_file_query_file_type","","",null,null],[5,"g_file_query_filesystem_info","","",null,null],[5,"g_file_query_filesystem_info_async","","",null,null],[5,"g_file_query_filesystem_info_finish","","",null,null],[5,"g_file_query_info","","",null,null],[5,"g_file_query_info_async","","",null,null],[5,"g_file_query_info_finish","","",null,null],[5,"g_file_query_settable_attributes","","",null,null],[5,"g_file_query_writable_namespaces","","",null,null],[5,"g_file_read","","",null,null],[5,"g_file_read_async","","",null,null],[5,"g_file_read_finish","","",null,null],[5,"g_file_replace","","",null,null],[5,"g_file_replace_async","","",null,null],[5,"g_file_replace_contents","","",null,null],[5,"g_file_replace_contents_async","","",null,null],[5,"g_file_replace_contents_bytes_async","","",null,null],[5,"g_file_replace_contents_finish","","",null,null],[5,"g_file_replace_finish","","",null,null],[5,"g_file_replace_readwrite","","",null,null],[5,"g_file_replace_readwrite_async","","",null,null],[5,"g_file_replace_readwrite_finish","","",null,null],[5,"g_file_resolve_relative_path","","",null,null],[5,"g_file_set_attribute","","",null,null],[5,"g_file_set_attribute_byte_string","","",null,null],[5,"g_file_set_attribute_int32","","",null,null],[5,"g_file_set_attribute_int64","","",null,null],[5,"g_file_set_attribute_string","","",null,null],[5,"g_file_set_attribute_uint32","","",null,null],[5,"g_file_set_attribute_uint64","","",null,null],[5,"g_file_set_attributes_async","","",null,null],[5,"g_file_set_attributes_finish","","",null,null],[5,"g_file_set_attributes_from_info","","",null,null],[5,"g_file_set_display_name","","",null,null],[5,"g_file_set_display_name_async","","",null,null],[5,"g_file_set_display_name_finish","","",null,null],[5,"g_file_start_mountable","","",null,null],[5,"g_file_start_mountable_finish","","",null,null],[5,"g_file_stop_mountable","","",null,null],[5,"g_file_stop_mountable_finish","","",null,null],[5,"g_file_supports_thread_contexts","","",null,null],[5,"g_file_trash","","",null,null],[5,"g_file_trash_async","","",null,null],[5,"g_file_trash_finish","","",null,null],[5,"g_file_unmount_mountable","","",null,null],[5,"g_file_unmount_mountable_finish","","",null,null],[5,"g_file_unmount_mountable_with_operation","","",null,null],[5,"g_file_unmount_mountable_with_operation_finish","","",null,null],[5,"g_file_descriptor_based_get_type","","",null,null],[5,"g_file_descriptor_based_get_fd","","",null,null],[5,"g_icon_get_type","","",null,null],[5,"g_icon_deserialize","","",null,null],[5,"g_icon_hash","","",null,null],[5,"g_icon_new_for_string","","",null,null],[5,"g_icon_equal","","",null,null],[5,"g_icon_serialize","","",null,null],[5,"g_icon_to_string","","",null,null],[5,"g_initable_get_type","","",null,null],[5,"g_initable_new","","",null,null],[5,"g_initable_newv","","",null,null],[5,"g_initable_init","","",null,null],[5,"g_list_model_get_type","","",null,null],[5,"g_list_model_get_item","","",null,null],[5,"g_list_model_get_item_type","","",null,null],[5,"g_list_model_get_n_items","","",null,null],[5,"g_list_model_get_object","","",null,null],[5,"g_list_model_items_changed","","",null,null],[5,"g_loadable_icon_get_type","","",null,null],[5,"g_loadable_icon_load","","",null,null],[5,"g_loadable_icon_load_async","","",null,null],[5,"g_loadable_icon_load_finish","","",null,null],[5,"g_mount_get_type","","",null,null],[5,"g_mount_can_eject","","",null,null],[5,"g_mount_can_unmount","","",null,null],[5,"g_mount_eject","","",null,null],[5,"g_mount_eject_finish","","",null,null],[5,"g_mount_eject_with_operation","","",null,null],[5,"g_mount_eject_with_operation_finish","","",null,null],[5,"g_mount_get_default_location","","",null,null],[5,"g_mount_get_drive","","",null,null],[5,"g_mount_get_icon","","",null,null],[5,"g_mount_get_name","","",null,null],[5,"g_mount_get_root","","",null,null],[5,"g_mount_get_sort_key","","",null,null],[5,"g_mount_get_symbolic_icon","","",null,null],[5,"g_mount_get_uuid","","",null,null],[5,"g_mount_get_volume","","",null,null],[5,"g_mount_guess_content_type","","",null,null],[5,"g_mount_guess_content_type_finish","","",null,null],[5,"g_mount_guess_content_type_sync","","",null,null],[5,"g_mount_is_shadowed","","",null,null],[5,"g_mount_remount","","",null,null],[5,"g_mount_remount_finish","","",null,null],[5,"g_mount_shadow","","",null,null],[5,"g_mount_unmount","","",null,null],[5,"g_mount_unmount_finish","","",null,null],[5,"g_mount_unmount_with_operation","","",null,null],[5,"g_mount_unmount_with_operation_finish","","",null,null],[5,"g_mount_unshadow","","",null,null],[5,"g_network_monitor_get_type","","",null,null],[5,"g_network_monitor_get_default","","",null,null],[5,"g_network_monitor_can_reach","","",null,null],[5,"g_network_monitor_can_reach_async","","",null,null],[5,"g_network_monitor_can_reach_finish","","",null,null],[5,"g_network_monitor_get_connectivity","","",null,null],[5,"g_network_monitor_get_network_available","","",null,null],[5,"g_network_monitor_get_network_metered","","",null,null],[5,"g_pollable_input_stream_get_type","","",null,null],[5,"g_pollable_input_stream_can_poll","","",null,null],[5,"g_pollable_input_stream_create_source","","",null,null],[5,"g_pollable_input_stream_is_readable","","",null,null],[5,"g_pollable_input_stream_read_nonblocking","","",null,null],[5,"g_pollable_output_stream_get_type","","",null,null],[5,"g_pollable_output_stream_can_poll","","",null,null],[5,"g_pollable_output_stream_create_source","","",null,null],[5,"g_pollable_output_stream_is_writable","","",null,null],[5,"g_pollable_output_stream_write_nonblocking","","",null,null],[5,"g_proxy_get_type","","",null,null],[5,"g_proxy_get_default_for_protocol","","",null,null],[5,"g_proxy_connect","","",null,null],[5,"g_proxy_connect_async","","",null,null],[5,"g_proxy_connect_finish","","",null,null],[5,"g_proxy_supports_hostname","","",null,null],[5,"g_proxy_resolver_get_type","","",null,null],[5,"g_proxy_resolver_get_default","","",null,null],[5,"g_proxy_resolver_is_supported","","",null,null],[5,"g_proxy_resolver_lookup","","",null,null],[5,"g_proxy_resolver_lookup_async","","",null,null],[5,"g_proxy_resolver_lookup_finish","","",null,null],[5,"g_remote_action_group_get_type","","",null,null],[5,"g_remote_action_group_activate_action_full","","",null,null],[5,"g_remote_action_group_change_action_state_full","","",null,null],[5,"g_seekable_get_type","","",null,null],[5,"g_seekable_can_seek","","",null,null],[5,"g_seekable_can_truncate","","",null,null],[5,"g_seekable_seek","","",null,null],[5,"g_seekable_tell","","",null,null],[5,"g_seekable_truncate","","",null,null],[5,"g_socket_connectable_get_type","","",null,null],[5,"g_socket_connectable_enumerate","","",null,null],[5,"g_socket_connectable_proxy_enumerate","","",null,null],[5,"g_socket_connectable_to_string","","",null,null],[5,"g_tls_backend_get_type","","",null,null],[5,"g_tls_backend_get_default","","",null,null],[5,"g_tls_backend_get_certificate_type","","",null,null],[5,"g_tls_backend_get_client_connection_type","","",null,null],[5,"g_tls_backend_get_default_database","","",null,null],[5,"g_tls_backend_get_dtls_client_connection_type","","",null,null],[5,"g_tls_backend_get_dtls_server_connection_type","","",null,null],[5,"g_tls_backend_get_file_database_type","","",null,null],[5,"g_tls_backend_get_server_connection_type","","",null,null],[5,"g_tls_backend_supports_dtls","","",null,null],[5,"g_tls_backend_supports_tls","","",null,null],[5,"g_tls_client_connection_get_type","","",null,null],[5,"g_tls_client_connection_new","","",null,null],[5,"g_tls_client_connection_copy_session_state","","",null,null],[5,"g_tls_client_connection_get_accepted_cas","","",null,null],[5,"g_tls_client_connection_get_server_identity","","",null,null],[5,"g_tls_client_connection_get_use_ssl3","","",null,null],[5,"g_tls_client_connection_get_validation_flags","","",null,null],[5,"g_tls_client_connection_set_server_identity","","",null,null],[5,"g_tls_client_connection_set_use_ssl3","","",null,null],[5,"g_tls_client_connection_set_validation_flags","","",null,null],[5,"g_tls_file_database_get_type","","",null,null],[5,"g_tls_file_database_new","","",null,null],[5,"g_tls_server_connection_get_type","","",null,null],[5,"g_tls_server_connection_new","","",null,null],[5,"g_volume_get_type","","",null,null],[5,"g_volume_can_eject","","",null,null],[5,"g_volume_can_mount","","",null,null],[5,"g_volume_eject","","",null,null],[5,"g_volume_eject_finish","","",null,null],[5,"g_volume_eject_with_operation","","",null,null],[5,"g_volume_eject_with_operation_finish","","",null,null],[5,"g_volume_enumerate_identifiers","","",null,null],[5,"g_volume_get_activation_root","","",null,null],[5,"g_volume_get_drive","","",null,null],[5,"g_volume_get_icon","","",null,null],[5,"g_volume_get_identifier","","",null,null],[5,"g_volume_get_mount","","",null,null],[5,"g_volume_get_name","","",null,null],[5,"g_volume_get_sort_key","","",null,null],[5,"g_volume_get_symbolic_icon","","",null,null],[5,"g_volume_get_uuid","","",null,null],[5,"g_volume_mount","","",null,null],[5,"g_volume_mount_finish","","",null,null],[5,"g_volume_should_automount","","",null,null],[5,"g_bus_get","","",null,null],[5,"g_bus_get_finish","","",null,null],[5,"g_bus_get_sync","","",null,null],[5,"g_bus_own_name","","",null,null],[5,"g_bus_own_name_on_connection","","",null,null],[5,"g_bus_own_name_on_connection_with_closures","","",null,null],[5,"g_bus_own_name_with_closures","","",null,null],[5,"g_bus_unown_name","","",null,null],[5,"g_bus_unwatch_name","","",null,null],[5,"g_bus_watch_name","","",null,null],[5,"g_bus_watch_name_on_connection","","",null,null],[5,"g_bus_watch_name_on_connection_with_closures","","",null,null],[5,"g_bus_watch_name_with_closures","","",null,null],[5,"g_content_type_can_be_executable","","",null,null],[5,"g_content_type_equals","","",null,null],[5,"g_content_type_from_mime_type","","",null,null],[5,"g_content_type_get_description","","",null,null],[5,"g_content_type_get_generic_icon_name","","",null,null],[5,"g_content_type_get_icon","","",null,null],[5,"g_content_type_get_mime_type","","",null,null],[5,"g_content_type_get_symbolic_icon","","",null,null],[5,"g_content_type_guess","","",null,null],[5,"g_content_type_guess_for_tree","","",null,null],[5,"g_content_type_is_a","","",null,null],[5,"g_content_type_is_unknown","","",null,null],[5,"g_content_types_get_registered","","",null,null],[5,"g_dbus_address_escape_value","","",null,null],[5,"g_dbus_address_get_for_bus_sync","","",null,null],[5,"g_dbus_address_get_stream","","",null,null],[5,"g_dbus_address_get_stream_finish","","",null,null],[5,"g_dbus_address_get_stream_sync","","",null,null],[5,"g_dbus_generate_guid","","",null,null],[5,"g_dbus_gvalue_to_gvariant","","",null,null],[5,"g_dbus_gvariant_to_gvalue","","",null,null],[5,"g_dbus_is_address","","",null,null],[5,"g_dbus_is_guid","","",null,null],[5,"g_dbus_is_interface_name","","",null,null],[5,"g_dbus_is_member_name","","",null,null],[5,"g_dbus_is_name","","",null,null],[5,"g_dbus_is_supported_address","","",null,null],[5,"g_dbus_is_unique_name","","",null,null],[5,"g_io_error_from_errno","","",null,null],[5,"g_io_error_quark","","",null,null],[5,"g_io_modules_load_all_in_directory","","",null,null],[5,"g_io_modules_load_all_in_directory_with_scope","","",null,null],[5,"g_io_modules_scan_all_in_directory","","",null,null],[5,"g_io_modules_scan_all_in_directory_with_scope","","",null,null],[5,"g_io_scheduler_cancel_all_jobs","","",null,null],[5,"g_io_scheduler_push_job","","",null,null],[5,"g_networking_init","","",null,null],[5,"g_pollable_source_new","","",null,null],[5,"g_pollable_source_new_full","","",null,null],[5,"g_pollable_stream_read","","",null,null],[5,"g_pollable_stream_write","","",null,null],[5,"g_pollable_stream_write_all","","",null,null],[5,"g_resources_enumerate_children","","",null,null],[5,"g_resources_get_info","","",null,null],[5,"g_resources_lookup_data","","",null,null],[5,"g_resources_open_stream","","",null,null],[5,"g_resources_register","","",null,null],[5,"g_resources_unregister","","",null,null],[5,"g_simple_async_report_error_in_idle","","",null,null],[5,"g_simple_async_report_gerror_in_idle","","",null,null],[5,"g_simple_async_report_take_gerror_in_idle","","",null,null],[5,"g_unix_is_mount_path_system_internal","","",null,null],[5,"g_unix_mount_at","","",null,null],[5,"g_unix_mount_compare","","",null,null],[5,"g_unix_mount_free","","",null,null],[5,"g_unix_mount_get_device_path","","",null,null],[5,"g_unix_mount_get_fs_type","","",null,null],[5,"g_unix_mount_get_mount_path","","",null,null],[5,"g_unix_mount_guess_can_eject","","",null,null],[5,"g_unix_mount_guess_icon","","",null,null],[5,"g_unix_mount_guess_name","","",null,null],[5,"g_unix_mount_guess_should_display","","",null,null],[5,"g_unix_mount_guess_symbolic_icon","","",null,null],[5,"g_unix_mount_is_readonly","","",null,null],[5,"g_unix_mount_is_system_internal","","",null,null],[5,"g_unix_mount_points_changed_since","","",null,null],[5,"g_unix_mount_points_get","","",null,null],[5,"g_unix_mounts_changed_since","","",null,null],[5,"g_unix_mounts_get","","",null,null],[6,"TlsCertificateRequestFlags","","",null,null],[6,"GTlsCertificateRequestFlags","","",null,null],[6,"GAsyncReadyCallback","","",null,null],[6,"GBusAcquiredCallback","","",null,null],[6,"GBusNameAcquiredCallback","","",null,null],[6,"GBusNameAppearedCallback","","",null,null],[6,"GBusNameLostCallback","","",null,null],[6,"GBusNameVanishedCallback","","",null,null],[6,"GCancellableSourceFunc","","",null,null],[6,"GDBusInterfaceGetPropertyFunc","","",null,null],[6,"GDBusInterfaceMethodCallFunc","","",null,null],[6,"GDBusInterfaceSetPropertyFunc","","",null,null],[6,"GDBusMessageFilterFunction","","",null,null],[6,"GDBusProxyTypeFunc","","",null,null],[6,"GDBusSignalCallback","","",null,null],[6,"GDBusSubtreeDispatchFunc","","",null,null],[6,"GDBusSubtreeEnumerateFunc","","",null,null],[6,"GDBusSubtreeIntrospectFunc","","",null,null],[6,"GDatagramBasedSourceFunc","","",null,null],[6,"GDesktopAppLaunchCallback","","",null,null],[6,"GFileMeasureProgressCallback","","",null,null],[6,"GFileProgressCallback","","",null,null],[6,"GFileReadMoreCallback","","",null,null],[6,"GIOSchedulerJobFunc","","",null,null],[6,"GPollableSourceFunc","","",null,null],[6,"GReallocFunc","","",null,null],[6,"GSettingsBindGetMapping","","",null,null],[6,"GSettingsBindSetMapping","","",null,null],[6,"GSettingsGetMapping","","",null,null],[6,"GSimpleAsyncThreadFunc","","",null,null],[6,"GSocketSourceFunc","","",null,null],[6,"GTaskThreadFunc","","",null,null],[6,"GVfsFileLookupFunc","","",null,null],[17,"G_BUS_TYPE_STARTER","","",null,null],[17,"G_BUS_TYPE_NONE","","",null,null],[17,"G_BUS_TYPE_SYSTEM","","",null,null],[17,"G_BUS_TYPE_SESSION","","",null,null],[17,"G_CONVERTER_ERROR","","",null,null],[17,"G_CONVERTER_CONVERTED","","",null,null],[17,"G_CONVERTER_FINISHED","","",null,null],[17,"G_CONVERTER_FLUSHED","","",null,null],[17,"G_CREDENTIALS_TYPE_INVALID","","",null,null],[17,"G_CREDENTIALS_TYPE_LINUX_UCRED","","",null,null],[17,"G_CREDENTIALS_TYPE_FREEBSD_CMSGCRED","","",null,null],[17,"G_CREDENTIALS_TYPE_OPENBSD_SOCKPEERCRED","","",null,null],[17,"G_CREDENTIALS_TYPE_SOLARIS_UCRED","","",null,null],[17,"G_CREDENTIALS_TYPE_NETBSD_UNPCBID","","",null,null],[17,"G_DBUS_ERROR_FAILED","","",null,null],[17,"G_DBUS_ERROR_NO_MEMORY","","",null,null],[17,"G_DBUS_ERROR_SERVICE_UNKNOWN","","",null,null],[17,"G_DBUS_ERROR_NAME_HAS_NO_OWNER","","",null,null],[17,"G_DBUS_ERROR_NO_REPLY","","",null,null],[17,"G_DBUS_ERROR_IO_ERROR","","",null,null],[17,"G_DBUS_ERROR_BAD_ADDRESS","","",null,null],[17,"G_DBUS_ERROR_NOT_SUPPORTED","","",null,null],[17,"G_DBUS_ERROR_LIMITS_EXCEEDED","","",null,null],[17,"G_DBUS_ERROR_ACCESS_DENIED","","",null,null],[17,"G_DBUS_ERROR_AUTH_FAILED","","",null,null],[17,"G_DBUS_ERROR_NO_SERVER","","",null,null],[17,"G_DBUS_ERROR_TIMEOUT","","",null,null],[17,"G_DBUS_ERROR_NO_NETWORK","","",null,null],[17,"G_DBUS_ERROR_ADDRESS_IN_USE","","",null,null],[17,"G_DBUS_ERROR_DISCONNECTED","","",null,null],[17,"G_DBUS_ERROR_INVALID_ARGS","","",null,null],[17,"G_DBUS_ERROR_FILE_NOT_FOUND","","",null,null],[17,"G_DBUS_ERROR_FILE_EXISTS","","",null,null],[17,"G_DBUS_ERROR_UNKNOWN_METHOD","","",null,null],[17,"G_DBUS_ERROR_TIMED_OUT","","",null,null],[17,"G_DBUS_ERROR_MATCH_RULE_NOT_FOUND","","",null,null],[17,"G_DBUS_ERROR_MATCH_RULE_INVALID","","",null,null],[17,"G_DBUS_ERROR_SPAWN_EXEC_FAILED","","",null,null],[17,"G_DBUS_ERROR_SPAWN_FORK_FAILED","","",null,null],[17,"G_DBUS_ERROR_SPAWN_CHILD_EXITED","","",null,null],[17,"G_DBUS_ERROR_SPAWN_CHILD_SIGNALED","","",null,null],[17,"G_DBUS_ERROR_SPAWN_FAILED","","",null,null],[17,"G_DBUS_ERROR_SPAWN_SETUP_FAILED","","",null,null],[17,"G_DBUS_ERROR_SPAWN_CONFIG_INVALID","","",null,null],[17,"G_DBUS_ERROR_SPAWN_SERVICE_INVALID","","",null,null],[17,"G_DBUS_ERROR_SPAWN_SERVICE_NOT_FOUND","","",null,null],[17,"G_DBUS_ERROR_SPAWN_PERMISSIONS_INVALID","","",null,null],[17,"G_DBUS_ERROR_SPAWN_FILE_INVALID","","",null,null],[17,"G_DBUS_ERROR_SPAWN_NO_MEMORY","","",null,null],[17,"G_DBUS_ERROR_UNIX_PROCESS_ID_UNKNOWN","","",null,null],[17,"G_DBUS_ERROR_INVALID_SIGNATURE","","",null,null],[17,"G_DBUS_ERROR_INVALID_FILE_CONTENT","","",null,null],[17,"G_DBUS_ERROR_SELINUX_SECURITY_CONTEXT_UNKNOWN","","",null,null],[17,"G_DBUS_ERROR_ADT_AUDIT_DATA_UNKNOWN","","",null,null],[17,"G_DBUS_ERROR_OBJECT_PATH_IN_USE","","",null,null],[17,"G_DBUS_ERROR_UNKNOWN_OBJECT","","",null,null],[17,"G_DBUS_ERROR_UNKNOWN_INTERFACE","","",null,null],[17,"G_DBUS_ERROR_UNKNOWN_PROPERTY","","",null,null],[17,"G_DBUS_ERROR_PROPERTY_READ_ONLY","","",null,null],[17,"G_DBUS_MESSAGE_BYTE_ORDER_BIG_ENDIAN","","",null,null],[17,"G_DBUS_MESSAGE_BYTE_ORDER_LITTLE_ENDIAN","","",null,null],[17,"G_DBUS_MESSAGE_HEADER_FIELD_INVALID","","",null,null],[17,"G_DBUS_MESSAGE_HEADER_FIELD_PATH","","",null,null],[17,"G_DBUS_MESSAGE_HEADER_FIELD_INTERFACE","","",null,null],[17,"G_DBUS_MESSAGE_HEADER_FIELD_MEMBER","","",null,null],[17,"G_DBUS_MESSAGE_HEADER_FIELD_ERROR_NAME","","",null,null],[17,"G_DBUS_MESSAGE_HEADER_FIELD_REPLY_SERIAL","","",null,null],[17,"G_DBUS_MESSAGE_HEADER_FIELD_DESTINATION","","",null,null],[17,"G_DBUS_MESSAGE_HEADER_FIELD_SENDER","","",null,null],[17,"G_DBUS_MESSAGE_HEADER_FIELD_SIGNATURE","","",null,null],[17,"G_DBUS_MESSAGE_HEADER_FIELD_NUM_UNIX_FDS","","",null,null],[17,"G_DBUS_MESSAGE_TYPE_INVALID","","",null,null],[17,"G_DBUS_MESSAGE_TYPE_METHOD_CALL","","",null,null],[17,"G_DBUS_MESSAGE_TYPE_METHOD_RETURN","","",null,null],[17,"G_DBUS_MESSAGE_TYPE_ERROR","","",null,null],[17,"G_DBUS_MESSAGE_TYPE_SIGNAL","","",null,null],[17,"G_DATA_STREAM_BYTE_ORDER_BIG_ENDIAN","","",null,null],[17,"G_DATA_STREAM_BYTE_ORDER_LITTLE_ENDIAN","","",null,null],[17,"G_DATA_STREAM_BYTE_ORDER_HOST_ENDIAN","","",null,null],[17,"G_DATA_STREAM_NEWLINE_TYPE_LF","","",null,null],[17,"G_DATA_STREAM_NEWLINE_TYPE_CR","","",null,null],[17,"G_DATA_STREAM_NEWLINE_TYPE_CR_LF","","",null,null],[17,"G_DATA_STREAM_NEWLINE_TYPE_ANY","","",null,null],[17,"G_DRIVE_START_STOP_TYPE_UNKNOWN","","",null,null],[17,"G_DRIVE_START_STOP_TYPE_SHUTDOWN","","",null,null],[17,"G_DRIVE_START_STOP_TYPE_NETWORK","","",null,null],[17,"G_DRIVE_START_STOP_TYPE_MULTIDISK","","",null,null],[17,"G_DRIVE_START_STOP_TYPE_PASSWORD","","",null,null],[17,"G_EMBLEM_ORIGIN_UNKNOWN","","",null,null],[17,"G_EMBLEM_ORIGIN_DEVICE","","",null,null],[17,"G_EMBLEM_ORIGIN_LIVEMETADATA","","",null,null],[17,"G_EMBLEM_ORIGIN_TAG","","",null,null],[17,"G_FILE_ATTRIBUTE_STATUS_UNSET","","",null,null],[17,"G_FILE_ATTRIBUTE_STATUS_SET","","",null,null],[17,"G_FILE_ATTRIBUTE_STATUS_ERROR_SETTING","","",null,null],[17,"G_FILE_ATTRIBUTE_TYPE_INVALID","","",null,null],[17,"G_FILE_ATTRIBUTE_TYPE_STRING","","",null,null],[17,"G_FILE_ATTRIBUTE_TYPE_BYTE_STRING","","",null,null],[17,"G_FILE_ATTRIBUTE_TYPE_BOOLEAN","","",null,null],[17,"G_FILE_ATTRIBUTE_TYPE_UINT32","","",null,null],[17,"G_FILE_ATTRIBUTE_TYPE_INT32","","",null,null],[17,"G_FILE_ATTRIBUTE_TYPE_UINT64","","",null,null],[17,"G_FILE_ATTRIBUTE_TYPE_INT64","","",null,null],[17,"G_FILE_ATTRIBUTE_TYPE_OBJECT","","",null,null],[17,"G_FILE_ATTRIBUTE_TYPE_STRINGV","","",null,null],[17,"G_FILE_MONITOR_EVENT_CHANGED","","",null,null],[17,"G_FILE_MONITOR_EVENT_CHANGES_DONE_HINT","","",null,null],[17,"G_FILE_MONITOR_EVENT_DELETED","","",null,null],[17,"G_FILE_MONITOR_EVENT_CREATED","","",null,null],[17,"G_FILE_MONITOR_EVENT_ATTRIBUTE_CHANGED","","",null,null],[17,"G_FILE_MONITOR_EVENT_PRE_UNMOUNT","","",null,null],[17,"G_FILE_MONITOR_EVENT_UNMOUNTED","","",null,null],[17,"G_FILE_MONITOR_EVENT_MOVED","","",null,null],[17,"G_FILE_MONITOR_EVENT_RENAMED","","",null,null],[17,"G_FILE_MONITOR_EVENT_MOVED_IN","","",null,null],[17,"G_FILE_MONITOR_EVENT_MOVED_OUT","","",null,null],[17,"G_FILE_TYPE_UNKNOWN","","",null,null],[17,"G_FILE_TYPE_REGULAR","","",null,null],[17,"G_FILE_TYPE_DIRECTORY","","",null,null],[17,"G_FILE_TYPE_SYMBOLIC_LINK","","",null,null],[17,"G_FILE_TYPE_SPECIAL","","",null,null],[17,"G_FILE_TYPE_SHORTCUT","","",null,null],[17,"G_FILE_TYPE_MOUNTABLE","","",null,null],[17,"G_FILESYSTEM_PREVIEW_TYPE_IF_ALWAYS","","",null,null],[17,"G_FILESYSTEM_PREVIEW_TYPE_IF_LOCAL","","",null,null],[17,"G_FILESYSTEM_PREVIEW_TYPE_NEVER","","",null,null],[17,"G_IO_ERROR_FAILED","","",null,null],[17,"G_IO_ERROR_NOT_FOUND","","",null,null],[17,"G_IO_ERROR_EXISTS","","",null,null],[17,"G_IO_ERROR_IS_DIRECTORY","","",null,null],[17,"G_IO_ERROR_NOT_DIRECTORY","","",null,null],[17,"G_IO_ERROR_NOT_EMPTY","","",null,null],[17,"G_IO_ERROR_NOT_REGULAR_FILE","","",null,null],[17,"G_IO_ERROR_NOT_SYMBOLIC_LINK","","",null,null],[17,"G_IO_ERROR_NOT_MOUNTABLE_FILE","","",null,null],[17,"G_IO_ERROR_FILENAME_TOO_LONG","","",null,null],[17,"G_IO_ERROR_INVALID_FILENAME","","",null,null],[17,"G_IO_ERROR_TOO_MANY_LINKS","","",null,null],[17,"G_IO_ERROR_NO_SPACE","","",null,null],[17,"G_IO_ERROR_INVALID_ARGUMENT","","",null,null],[17,"G_IO_ERROR_PERMISSION_DENIED","","",null,null],[17,"G_IO_ERROR_NOT_SUPPORTED","","",null,null],[17,"G_IO_ERROR_NOT_MOUNTED","","",null,null],[17,"G_IO_ERROR_ALREADY_MOUNTED","","",null,null],[17,"G_IO_ERROR_CLOSED","","",null,null],[17,"G_IO_ERROR_CANCELLED","","",null,null],[17,"G_IO_ERROR_PENDING","","",null,null],[17,"G_IO_ERROR_READ_ONLY","","",null,null],[17,"G_IO_ERROR_CANT_CREATE_BACKUP","","",null,null],[17,"G_IO_ERROR_WRONG_ETAG","","",null,null],[17,"G_IO_ERROR_TIMED_OUT","","",null,null],[17,"G_IO_ERROR_WOULD_RECURSE","","",null,null],[17,"G_IO_ERROR_BUSY","","",null,null],[17,"G_IO_ERROR_WOULD_BLOCK","","",null,null],[17,"G_IO_ERROR_HOST_NOT_FOUND","","",null,null],[17,"G_IO_ERROR_WOULD_MERGE","","",null,null],[17,"G_IO_ERROR_FAILED_HANDLED","","",null,null],[17,"G_IO_ERROR_TOO_MANY_OPEN_FILES","","",null,null],[17,"G_IO_ERROR_NOT_INITIALIZED","","",null,null],[17,"G_IO_ERROR_ADDRESS_IN_USE","","",null,null],[17,"G_IO_ERROR_PARTIAL_INPUT","","",null,null],[17,"G_IO_ERROR_INVALID_DATA","","",null,null],[17,"G_IO_ERROR_DBUS_ERROR","","",null,null],[17,"G_IO_ERROR_HOST_UNREACHABLE","","",null,null],[17,"G_IO_ERROR_NETWORK_UNREACHABLE","","",null,null],[17,"G_IO_ERROR_CONNECTION_REFUSED","","",null,null],[17,"G_IO_ERROR_PROXY_FAILED","","",null,null],[17,"G_IO_ERROR_PROXY_AUTH_FAILED","","",null,null],[17,"G_IO_ERROR_PROXY_NEED_AUTH","","",null,null],[17,"G_IO_ERROR_PROXY_NOT_ALLOWED","","",null,null],[17,"G_IO_ERROR_BROKEN_PIPE","","",null,null],[17,"G_IO_ERROR_CONNECTION_CLOSED","","",null,null],[17,"G_IO_ERROR_NOT_CONNECTED","","",null,null],[17,"G_IO_ERROR_MESSAGE_TOO_LARGE","","",null,null],[17,"G_IO_MODULE_SCOPE_NONE","","",null,null],[17,"G_IO_MODULE_SCOPE_BLOCK_DUPLICATES","","",null,null],[17,"G_MOUNT_OPERATION_HANDLED","","",null,null],[17,"G_MOUNT_OPERATION_ABORTED","","",null,null],[17,"G_MOUNT_OPERATION_UNHANDLED","","",null,null],[17,"G_NETWORK_CONNECTIVITY_LOCAL","","",null,null],[17,"G_NETWORK_CONNECTIVITY_LIMITED","","",null,null],[17,"G_NETWORK_CONNECTIVITY_PORTAL","","",null,null],[17,"G_NETWORK_CONNECTIVITY_FULL","","",null,null],[17,"G_NOTIFICATION_PRIORITY_NORMAL","","",null,null],[17,"G_NOTIFICATION_PRIORITY_LOW","","",null,null],[17,"G_NOTIFICATION_PRIORITY_HIGH","","",null,null],[17,"G_NOTIFICATION_PRIORITY_URGENT","","",null,null],[17,"G_PASSWORD_SAVE_NEVER","","",null,null],[17,"G_PASSWORD_SAVE_FOR_SESSION","","",null,null],[17,"G_PASSWORD_SAVE_PERMANENTLY","","",null,null],[17,"G_RESOLVER_ERROR_NOT_FOUND","","",null,null],[17,"G_RESOLVER_ERROR_TEMPORARY_FAILURE","","",null,null],[17,"G_RESOLVER_ERROR_INTERNAL","","",null,null],[17,"G_RESOLVER_RECORD_SRV","","",null,null],[17,"G_RESOLVER_RECORD_MX","","",null,null],[17,"G_RESOLVER_RECORD_TXT","","",null,null],[17,"G_RESOLVER_RECORD_SOA","","",null,null],[17,"G_RESOLVER_RECORD_NS","","",null,null],[17,"G_RESOURCE_ERROR_NOT_FOUND","","",null,null],[17,"G_RESOURCE_ERROR_INTERNAL","","",null,null],[17,"G_SOCKET_CLIENT_RESOLVING","","",null,null],[17,"G_SOCKET_CLIENT_RESOLVED","","",null,null],[17,"G_SOCKET_CLIENT_CONNECTING","","",null,null],[17,"G_SOCKET_CLIENT_CONNECTED","","",null,null],[17,"G_SOCKET_CLIENT_PROXY_NEGOTIATING","","",null,null],[17,"G_SOCKET_CLIENT_PROXY_NEGOTIATED","","",null,null],[17,"G_SOCKET_CLIENT_TLS_HANDSHAKING","","",null,null],[17,"G_SOCKET_CLIENT_TLS_HANDSHAKED","","",null,null],[17,"G_SOCKET_CLIENT_COMPLETE","","",null,null],[17,"G_SOCKET_FAMILY_INVALID","","",null,null],[17,"G_SOCKET_FAMILY_UNIX","","",null,null],[17,"G_SOCKET_FAMILY_IPV4","","",null,null],[17,"G_SOCKET_FAMILY_IPV6","","",null,null],[17,"G_SOCKET_LISTENER_BINDING","","",null,null],[17,"G_SOCKET_LISTENER_BOUND","","",null,null],[17,"G_SOCKET_LISTENER_LISTENING","","",null,null],[17,"G_SOCKET_LISTENER_LISTENED","","",null,null],[17,"G_SOCKET_PROTOCOL_UNKNOWN","","",null,null],[17,"G_SOCKET_PROTOCOL_DEFAULT","","",null,null],[17,"G_SOCKET_PROTOCOL_TCP","","",null,null],[17,"G_SOCKET_PROTOCOL_UDP","","",null,null],[17,"G_SOCKET_PROTOCOL_SCTP","","",null,null],[17,"G_SOCKET_TYPE_INVALID","","",null,null],[17,"G_SOCKET_TYPE_STREAM","","",null,null],[17,"G_SOCKET_TYPE_DATAGRAM","","",null,null],[17,"G_SOCKET_TYPE_SEQPACKET","","",null,null],[17,"G_TLS_AUTHENTICATION_NONE","","",null,null],[17,"G_TLS_AUTHENTICATION_REQUESTED","","",null,null],[17,"G_TLS_AUTHENTICATION_REQUIRED","","",null,null],[17,"G_TLS_CERTIFICATE_REQUEST_NONE","","",null,null],[17,"G_TLS_DATABASE_LOOKUP_NONE","","",null,null],[17,"G_TLS_DATABASE_LOOKUP_KEYPAIR","","",null,null],[17,"G_TLS_ERROR_UNAVAILABLE","","",null,null],[17,"G_TLS_ERROR_MISC","","",null,null],[17,"G_TLS_ERROR_BAD_CERTIFICATE","","",null,null],[17,"G_TLS_ERROR_NOT_TLS","","",null,null],[17,"G_TLS_ERROR_HANDSHAKE","","",null,null],[17,"G_TLS_ERROR_CERTIFICATE_REQUIRED","","",null,null],[17,"G_TLS_ERROR_EOF","","",null,null],[17,"G_TLS_INTERACTION_UNHANDLED","","",null,null],[17,"G_TLS_INTERACTION_HANDLED","","",null,null],[17,"G_TLS_INTERACTION_FAILED","","",null,null],[17,"G_TLS_REHANDSHAKE_NEVER","","",null,null],[17,"G_TLS_REHANDSHAKE_SAFELY","","",null,null],[17,"G_TLS_REHANDSHAKE_UNSAFELY","","",null,null],[17,"G_UNIX_SOCKET_ADDRESS_INVALID","","",null,null],[17,"G_UNIX_SOCKET_ADDRESS_ANONYMOUS","","",null,null],[17,"G_UNIX_SOCKET_ADDRESS_PATH","","",null,null],[17,"G_UNIX_SOCKET_ADDRESS_ABSTRACT","","",null,null],[17,"G_UNIX_SOCKET_ADDRESS_ABSTRACT_PADDED","","",null,null],[17,"G_ZLIB_COMPRESSOR_FORMAT_ZLIB","","",null,null],[17,"G_ZLIB_COMPRESSOR_FORMAT_GZIP","","",null,null],[17,"G_ZLIB_COMPRESSOR_FORMAT_RAW","","",null,null],[17,"G_DESKTOP_APP_INFO_LOOKUP_EXTENSION_POINT_NAME","","",null,null],[17,"G_FILE_ATTRIBUTE_ACCESS_CAN_DELETE","","",null,null],[17,"G_FILE_ATTRIBUTE_ACCESS_CAN_EXECUTE","","",null,null],[17,"G_FILE_ATTRIBUTE_ACCESS_CAN_READ","","",null,null],[17,"G_FILE_ATTRIBUTE_ACCESS_CAN_RENAME","","",null,null],[17,"G_FILE_ATTRIBUTE_ACCESS_CAN_TRASH","","",null,null],[17,"G_FILE_ATTRIBUTE_ACCESS_CAN_WRITE","","",null,null],[17,"G_FILE_ATTRIBUTE_DOS_IS_ARCHIVE","","",null,null],[17,"G_FILE_ATTRIBUTE_DOS_IS_SYSTEM","","",null,null],[17,"G_FILE_ATTRIBUTE_ETAG_VALUE","","",null,null],[17,"G_FILE_ATTRIBUTE_FILESYSTEM_FREE","","",null,null],[17,"G_FILE_ATTRIBUTE_FILESYSTEM_READONLY","","",null,null],[17,"G_FILE_ATTRIBUTE_FILESYSTEM_REMOTE","","",null,null],[17,"G_FILE_ATTRIBUTE_FILESYSTEM_SIZE","","",null,null],[17,"G_FILE_ATTRIBUTE_FILESYSTEM_TYPE","","",null,null],[17,"G_FILE_ATTRIBUTE_FILESYSTEM_USED","","",null,null],[17,"G_FILE_ATTRIBUTE_FILESYSTEM_USE_PREVIEW","","",null,null],[17,"G_FILE_ATTRIBUTE_GVFS_BACKEND","","",null,null],[17,"G_FILE_ATTRIBUTE_ID_FILE","","",null,null],[17,"G_FILE_ATTRIBUTE_ID_FILESYSTEM","","",null,null],[17,"G_FILE_ATTRIBUTE_MOUNTABLE_CAN_EJECT","","",null,null],[17,"G_FILE_ATTRIBUTE_MOUNTABLE_CAN_MOUNT","","",null,null],[17,"G_FILE_ATTRIBUTE_MOUNTABLE_CAN_POLL","","",null,null],[17,"G_FILE_ATTRIBUTE_MOUNTABLE_CAN_START","","",null,null],[17,"G_FILE_ATTRIBUTE_MOUNTABLE_CAN_START_DEGRADED","","",null,null],[17,"G_FILE_ATTRIBUTE_MOUNTABLE_CAN_STOP","","",null,null],[17,"G_FILE_ATTRIBUTE_MOUNTABLE_CAN_UNMOUNT","","",null,null],[17,"G_FILE_ATTRIBUTE_MOUNTABLE_HAL_UDI","","",null,null],[17,"G_FILE_ATTRIBUTE_MOUNTABLE_IS_MEDIA_CHECK_AUTOMATIC","","",null,null],[17,"G_FILE_ATTRIBUTE_MOUNTABLE_START_STOP_TYPE","","",null,null],[17,"G_FILE_ATTRIBUTE_MOUNTABLE_UNIX_DEVICE","","",null,null],[17,"G_FILE_ATTRIBUTE_MOUNTABLE_UNIX_DEVICE_FILE","","",null,null],[17,"G_FILE_ATTRIBUTE_OWNER_GROUP","","",null,null],[17,"G_FILE_ATTRIBUTE_OWNER_USER","","",null,null],[17,"G_FILE_ATTRIBUTE_OWNER_USER_REAL","","",null,null],[17,"G_FILE_ATTRIBUTE_PREVIEW_ICON","","",null,null],[17,"G_FILE_ATTRIBUTE_SELINUX_CONTEXT","","",null,null],[17,"G_FILE_ATTRIBUTE_STANDARD_ALLOCATED_SIZE","","",null,null],[17,"G_FILE_ATTRIBUTE_STANDARD_CONTENT_TYPE","","",null,null],[17,"G_FILE_ATTRIBUTE_STANDARD_COPY_NAME","","",null,null],[17,"G_FILE_ATTRIBUTE_STANDARD_DESCRIPTION","","",null,null],[17,"G_FILE_ATTRIBUTE_STANDARD_DISPLAY_NAME","","",null,null],[17,"G_FILE_ATTRIBUTE_STANDARD_EDIT_NAME","","",null,null],[17,"G_FILE_ATTRIBUTE_STANDARD_FAST_CONTENT_TYPE","","",null,null],[17,"G_FILE_ATTRIBUTE_STANDARD_ICON","","",null,null],[17,"G_FILE_ATTRIBUTE_STANDARD_IS_BACKUP","","",null,null],[17,"G_FILE_ATTRIBUTE_STANDARD_IS_HIDDEN","","",null,null],[17,"G_FILE_ATTRIBUTE_STANDARD_IS_SYMLINK","","",null,null],[17,"G_FILE_ATTRIBUTE_STANDARD_IS_VIRTUAL","","",null,null],[17,"G_FILE_ATTRIBUTE_STANDARD_IS_VOLATILE","","",null,null],[17,"G_FILE_ATTRIBUTE_STANDARD_NAME","","",null,null],[17,"G_FILE_ATTRIBUTE_STANDARD_SIZE","","",null,null],[17,"G_FILE_ATTRIBUTE_STANDARD_SORT_ORDER","","",null,null],[17,"G_FILE_ATTRIBUTE_STANDARD_SYMBOLIC_ICON","","",null,null],[17,"G_FILE_ATTRIBUTE_STANDARD_SYMLINK_TARGET","","",null,null],[17,"G_FILE_ATTRIBUTE_STANDARD_TARGET_URI","","",null,null],[17,"G_FILE_ATTRIBUTE_STANDARD_TYPE","","",null,null],[17,"G_FILE_ATTRIBUTE_THUMBNAILING_FAILED","","",null,null],[17,"G_FILE_ATTRIBUTE_THUMBNAIL_IS_VALID","","",null,null],[17,"G_FILE_ATTRIBUTE_THUMBNAIL_PATH","","",null,null],[17,"G_FILE_ATTRIBUTE_TIME_ACCESS","","",null,null],[17,"G_FILE_ATTRIBUTE_TIME_ACCESS_USEC","","",null,null],[17,"G_FILE_ATTRIBUTE_TIME_CHANGED","","",null,null],[17,"G_FILE_ATTRIBUTE_TIME_CHANGED_USEC","","",null,null],[17,"G_FILE_ATTRIBUTE_TIME_CREATED","","",null,null],[17,"G_FILE_ATTRIBUTE_TIME_CREATED_USEC","","",null,null],[17,"G_FILE_ATTRIBUTE_TIME_MODIFIED","","",null,null],[17,"G_FILE_ATTRIBUTE_TIME_MODIFIED_USEC","","",null,null],[17,"G_FILE_ATTRIBUTE_TRASH_DELETION_DATE","","",null,null],[17,"G_FILE_ATTRIBUTE_TRASH_ITEM_COUNT","","",null,null],[17,"G_FILE_ATTRIBUTE_TRASH_ORIG_PATH","","",null,null],[17,"G_FILE_ATTRIBUTE_UNIX_BLOCKS","","",null,null],[17,"G_FILE_ATTRIBUTE_UNIX_BLOCK_SIZE","","",null,null],[17,"G_FILE_ATTRIBUTE_UNIX_DEVICE","","",null,null],[17,"G_FILE_ATTRIBUTE_UNIX_GID","","",null,null],[17,"G_FILE_ATTRIBUTE_UNIX_INODE","","",null,null],[17,"G_FILE_ATTRIBUTE_UNIX_IS_MOUNTPOINT","","",null,null],[17,"G_FILE_ATTRIBUTE_UNIX_MODE","","",null,null],[17,"G_FILE_ATTRIBUTE_UNIX_NLINK","","",null,null],[17,"G_FILE_ATTRIBUTE_UNIX_RDEV","","",null,null],[17,"G_FILE_ATTRIBUTE_UNIX_UID","","",null,null],[17,"G_MENU_ATTRIBUTE_ACTION","","",null,null],[17,"G_MENU_ATTRIBUTE_ACTION_NAMESPACE","","",null,null],[17,"G_MENU_ATTRIBUTE_ICON","","",null,null],[17,"G_MENU_ATTRIBUTE_LABEL","","",null,null],[17,"G_MENU_ATTRIBUTE_TARGET","","",null,null],[17,"G_MENU_LINK_SECTION","","",null,null],[17,"G_MENU_LINK_SUBMENU","","",null,null],[17,"G_NATIVE_VOLUME_MONITOR_EXTENSION_POINT_NAME","","",null,null],[17,"G_NETWORK_MONITOR_EXTENSION_POINT_NAME","","",null,null],[17,"G_PROXY_EXTENSION_POINT_NAME","","",null,null],[17,"G_PROXY_RESOLVER_EXTENSION_POINT_NAME","","",null,null],[17,"G_TLS_BACKEND_EXTENSION_POINT_NAME","","",null,null],[17,"G_TLS_DATABASE_PURPOSE_AUTHENTICATE_CLIENT","","",null,null],[17,"G_TLS_DATABASE_PURPOSE_AUTHENTICATE_SERVER","","",null,null],[17,"G_VFS_EXTENSION_POINT_NAME","","",null,null],[17,"G_VOLUME_IDENTIFIER_KIND_CLASS","","",null,null],[17,"G_VOLUME_IDENTIFIER_KIND_HAL_UDI","","",null,null],[17,"G_VOLUME_IDENTIFIER_KIND_LABEL","","",null,null],[17,"G_VOLUME_IDENTIFIER_KIND_NFS_MOUNT","","",null,null],[17,"G_VOLUME_IDENTIFIER_KIND_UNIX_DEVICE","","",null,null],[17,"G_VOLUME_IDENTIFIER_KIND_UUID","","",null,null],[17,"G_VOLUME_MONITOR_EXTENSION_POINT_NAME","","",null,null],[17,"G_APP_INFO_CREATE_NONE","","",null,null],[17,"G_APP_INFO_CREATE_NEEDS_TERMINAL","","",null,null],[17,"G_APP_INFO_CREATE_SUPPORTS_URIS","","",null,null],[17,"G_APP_INFO_CREATE_SUPPORTS_STARTUP_NOTIFICATION","","",null,null],[17,"G_APPLICATION_FLAGS_NONE","","",null,null],[17,"G_APPLICATION_IS_SERVICE","","",null,null],[17,"G_APPLICATION_IS_LAUNCHER","","",null,null],[17,"G_APPLICATION_HANDLES_OPEN","","",null,null],[17,"G_APPLICATION_HANDLES_COMMAND_LINE","","",null,null],[17,"G_APPLICATION_SEND_ENVIRONMENT","","",null,null],[17,"G_APPLICATION_NON_UNIQUE","","",null,null],[17,"G_APPLICATION_CAN_OVERRIDE_APP_ID","","",null,null],[17,"G_ASK_PASSWORD_NEED_PASSWORD","","",null,null],[17,"G_ASK_PASSWORD_NEED_USERNAME","","",null,null],[17,"G_ASK_PASSWORD_NEED_DOMAIN","","",null,null],[17,"G_ASK_PASSWORD_SAVING_SUPPORTED","","",null,null],[17,"G_ASK_PASSWORD_ANONYMOUS_SUPPORTED","","",null,null],[17,"G_BUS_NAME_OWNER_FLAGS_NONE","","",null,null],[17,"G_BUS_NAME_OWNER_FLAGS_ALLOW_REPLACEMENT","","",null,null],[17,"G_BUS_NAME_OWNER_FLAGS_REPLACE","","",null,null],[17,"G_BUS_NAME_WATCHER_FLAGS_NONE","","",null,null],[17,"G_BUS_NAME_WATCHER_FLAGS_AUTO_START","","",null,null],[17,"G_CONVERTER_NO_FLAGS","","",null,null],[17,"G_CONVERTER_INPUT_AT_END","","",null,null],[17,"G_CONVERTER_FLUSH","","",null,null],[17,"G_DBUS_CALL_FLAGS_NONE","","",null,null],[17,"G_DBUS_CALL_FLAGS_NO_AUTO_START","","",null,null],[17,"G_DBUS_CALL_FLAGS_ALLOW_INTERACTIVE_AUTHORIZATION","","",null,null],[17,"G_DBUS_CAPABILITY_FLAGS_NONE","","",null,null],[17,"G_DBUS_CAPABILITY_FLAGS_UNIX_FD_PASSING","","",null,null],[17,"G_DBUS_CONNECTION_FLAGS_NONE","","",null,null],[17,"G_DBUS_CONNECTION_FLAGS_AUTHENTICATION_CLIENT","","",null,null],[17,"G_DBUS_CONNECTION_FLAGS_AUTHENTICATION_SERVER","","",null,null],[17,"G_DBUS_CONNECTION_FLAGS_AUTHENTICATION_ALLOW_ANONYMOUS","","",null,null],[17,"G_DBUS_CONNECTION_FLAGS_MESSAGE_BUS_CONNECTION","","",null,null],[17,"G_DBUS_CONNECTION_FLAGS_DELAY_MESSAGE_PROCESSING","","",null,null],[17,"G_DBUS_INTERFACE_SKELETON_FLAGS_NONE","","",null,null],[17,"G_DBUS_INTERFACE_SKELETON_FLAGS_HANDLE_METHOD_INVOCATIONS_IN_THREAD","","",null,null],[17,"G_DBUS_MESSAGE_FLAGS_NONE","","",null,null],[17,"G_DBUS_MESSAGE_FLAGS_NO_REPLY_EXPECTED","","",null,null],[17,"G_DBUS_MESSAGE_FLAGS_NO_AUTO_START","","",null,null],[17,"G_DBUS_MESSAGE_FLAGS_ALLOW_INTERACTIVE_AUTHORIZATION","","",null,null],[17,"G_DBUS_OBJECT_MANAGER_CLIENT_FLAGS_NONE","","",null,null],[17,"G_DBUS_OBJECT_MANAGER_CLIENT_FLAGS_DO_NOT_AUTO_START","","",null,null],[17,"G_DBUS_PROPERTY_INFO_FLAGS_NONE","","",null,null],[17,"G_DBUS_PROPERTY_INFO_FLAGS_READABLE","","",null,null],[17,"G_DBUS_PROPERTY_INFO_FLAGS_WRITABLE","","",null,null],[17,"G_DBUS_PROXY_FLAGS_NONE","","",null,null],[17,"G_DBUS_PROXY_FLAGS_DO_NOT_LOAD_PROPERTIES","","",null,null],[17,"G_DBUS_PROXY_FLAGS_DO_NOT_CONNECT_SIGNALS","","",null,null],[17,"G_DBUS_PROXY_FLAGS_DO_NOT_AUTO_START","","",null,null],[17,"G_DBUS_PROXY_FLAGS_GET_INVALIDATED_PROPERTIES","","",null,null],[17,"G_DBUS_PROXY_FLAGS_DO_NOT_AUTO_START_AT_CONSTRUCTION","","",null,null],[17,"G_DBUS_SEND_MESSAGE_FLAGS_NONE","","",null,null],[17,"G_DBUS_SEND_MESSAGE_FLAGS_PRESERVE_SERIAL","","",null,null],[17,"G_DBUS_SERVER_FLAGS_NONE","","",null,null],[17,"G_DBUS_SERVER_FLAGS_RUN_IN_THREAD","","",null,null],[17,"G_DBUS_SERVER_FLAGS_AUTHENTICATION_ALLOW_ANONYMOUS","","",null,null],[17,"G_DBUS_SIGNAL_FLAGS_NONE","","",null,null],[17,"G_DBUS_SIGNAL_FLAGS_NO_MATCH_RULE","","",null,null],[17,"G_DBUS_SIGNAL_FLAGS_MATCH_ARG0_NAMESPACE","","",null,null],[17,"G_DBUS_SIGNAL_FLAGS_MATCH_ARG0_PATH","","",null,null],[17,"G_DBUS_SUBTREE_FLAGS_NONE","","",null,null],[17,"G_DBUS_SUBTREE_FLAGS_DISPATCH_TO_UNENUMERATED_NODES","","",null,null],[17,"G_DRIVE_START_NONE","","",null,null],[17,"G_FILE_ATTRIBUTE_INFO_NONE","","",null,null],[17,"G_FILE_ATTRIBUTE_INFO_COPY_WITH_FILE","","",null,null],[17,"G_FILE_ATTRIBUTE_INFO_COPY_WHEN_MOVED","","",null,null],[17,"G_FILE_COPY_NONE","","",null,null],[17,"G_FILE_COPY_OVERWRITE","","",null,null],[17,"G_FILE_COPY_BACKUP","","",null,null],[17,"G_FILE_COPY_NOFOLLOW_SYMLINKS","","",null,null],[17,"G_FILE_COPY_ALL_METADATA","","",null,null],[17,"G_FILE_COPY_NO_FALLBACK_FOR_MOVE","","",null,null],[17,"G_FILE_COPY_TARGET_DEFAULT_PERMS","","",null,null],[17,"G_FILE_CREATE_NONE","","",null,null],[17,"G_FILE_CREATE_PRIVATE","","",null,null],[17,"G_FILE_CREATE_REPLACE_DESTINATION","","",null,null],[17,"G_FILE_MEASURE_NONE","","",null,null],[17,"G_FILE_MEASURE_REPORT_ANY_ERROR","","",null,null],[17,"G_FILE_MEASURE_APPARENT_SIZE","","",null,null],[17,"G_FILE_MEASURE_NO_XDEV","","",null,null],[17,"G_FILE_MONITOR_NONE","","",null,null],[17,"G_FILE_MONITOR_WATCH_MOUNTS","","",null,null],[17,"G_FILE_MONITOR_SEND_MOVED","","",null,null],[17,"G_FILE_MONITOR_WATCH_HARD_LINKS","","",null,null],[17,"G_FILE_MONITOR_WATCH_MOVES","","",null,null],[17,"G_FILE_QUERY_INFO_NONE","","",null,null],[17,"G_FILE_QUERY_INFO_NOFOLLOW_SYMLINKS","","",null,null],[17,"G_IO_STREAM_SPLICE_NONE","","",null,null],[17,"G_IO_STREAM_SPLICE_CLOSE_STREAM1","","",null,null],[17,"G_IO_STREAM_SPLICE_CLOSE_STREAM2","","",null,null],[17,"G_IO_STREAM_SPLICE_WAIT_FOR_BOTH","","",null,null],[17,"G_MOUNT_MOUNT_NONE","","",null,null],[17,"G_MOUNT_UNMOUNT_NONE","","",null,null],[17,"G_MOUNT_UNMOUNT_FORCE","","",null,null],[17,"G_OUTPUT_STREAM_SPLICE_NONE","","",null,null],[17,"G_OUTPUT_STREAM_SPLICE_CLOSE_SOURCE","","",null,null],[17,"G_OUTPUT_STREAM_SPLICE_CLOSE_TARGET","","",null,null],[17,"G_RESOURCE_FLAGS_NONE","","",null,null],[17,"G_RESOURCE_FLAGS_COMPRESSED","","",null,null],[17,"G_RESOURCE_LOOKUP_FLAGS_NONE","","",null,null],[17,"G_SETTINGS_BIND_DEFAULT","","",null,null],[17,"G_SETTINGS_BIND_GET","","",null,null],[17,"G_SETTINGS_BIND_SET","","",null,null],[17,"G_SETTINGS_BIND_NO_SENSITIVITY","","",null,null],[17,"G_SETTINGS_BIND_GET_NO_CHANGES","","",null,null],[17,"G_SETTINGS_BIND_INVERT_BOOLEAN","","",null,null],[17,"G_SOCKET_MSG_NONE","","",null,null],[17,"G_SOCKET_MSG_OOB","","",null,null],[17,"G_SOCKET_MSG_PEEK","","",null,null],[17,"G_SOCKET_MSG_DONTROUTE","","",null,null],[17,"G_SUBPROCESS_FLAGS_NONE","","",null,null],[17,"G_SUBPROCESS_FLAGS_STDIN_PIPE","","",null,null],[17,"G_SUBPROCESS_FLAGS_STDIN_INHERIT","","",null,null],[17,"G_SUBPROCESS_FLAGS_STDOUT_PIPE","","",null,null],[17,"G_SUBPROCESS_FLAGS_STDOUT_SILENCE","","",null,null],[17,"G_SUBPROCESS_FLAGS_STDERR_PIPE","","",null,null],[17,"G_SUBPROCESS_FLAGS_STDERR_SILENCE","","",null,null],[17,"G_SUBPROCESS_FLAGS_STDERR_MERGE","","",null,null],[17,"G_SUBPROCESS_FLAGS_INHERIT_FDS","","",null,null],[17,"G_TEST_DBUS_NONE","","",null,null],[17,"G_TLS_CERTIFICATE_UNKNOWN_CA","","",null,null],[17,"G_TLS_CERTIFICATE_BAD_IDENTITY","","",null,null],[17,"G_TLS_CERTIFICATE_NOT_ACTIVATED","","",null,null],[17,"G_TLS_CERTIFICATE_EXPIRED","","",null,null],[17,"G_TLS_CERTIFICATE_REVOKED","","",null,null],[17,"G_TLS_CERTIFICATE_INSECURE","","",null,null],[17,"G_TLS_CERTIFICATE_GENERIC_ERROR","","",null,null],[17,"G_TLS_CERTIFICATE_VALIDATE_ALL","","",null,null],[17,"G_TLS_DATABASE_VERIFY_NONE","","",null,null],[17,"G_TLS_PASSWORD_NONE","","",null,null],[17,"G_TLS_PASSWORD_RETRY","","",null,null],[17,"G_TLS_PASSWORD_MANY_TRIES","","",null,null],[17,"G_TLS_PASSWORD_FINAL_TRY","","",null,null],[11,"clone","","",202,{"inputs":[{"name":"self"}],"output":{"name":"gbustype"}}],[11,"fmt","","",202,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",202,{"inputs":[{"name":"self"},{"name":"gbustype"}],"output":{"name":"bool"}}],[11,"clone","","",203,{"inputs":[{"name":"self"}],"output":{"name":"gconverterresult"}}],[11,"fmt","","",203,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",203,{"inputs":[{"name":"self"},{"name":"gconverterresult"}],"output":{"name":"bool"}}],[11,"clone","","",204,{"inputs":[{"name":"self"}],"output":{"name":"gcredentialstype"}}],[11,"fmt","","",204,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",204,{"inputs":[{"name":"self"},{"name":"gcredentialstype"}],"output":{"name":"bool"}}],[11,"clone","","",205,{"inputs":[{"name":"self"}],"output":{"name":"gdbuserror"}}],[11,"fmt","","",205,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",205,{"inputs":[{"name":"self"},{"name":"gdbuserror"}],"output":{"name":"bool"}}],[11,"clone","","",206,{"inputs":[{"name":"self"}],"output":{"name":"gdbusmessagebyteorder"}}],[11,"fmt","","",206,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",206,{"inputs":[{"name":"self"},{"name":"gdbusmessagebyteorder"}],"output":{"name":"bool"}}],[11,"clone","","",207,{"inputs":[{"name":"self"}],"output":{"name":"gdbusmessageheaderfield"}}],[11,"fmt","","",207,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",207,{"inputs":[{"name":"self"},{"name":"gdbusmessageheaderfield"}],"output":{"name":"bool"}}],[11,"clone","","",208,{"inputs":[{"name":"self"}],"output":{"name":"gdbusmessagetype"}}],[11,"fmt","","",208,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",208,{"inputs":[{"name":"self"},{"name":"gdbusmessagetype"}],"output":{"name":"bool"}}],[11,"clone","","",209,{"inputs":[{"name":"self"}],"output":{"name":"gdatastreambyteorder"}}],[11,"fmt","","",209,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",209,{"inputs":[{"name":"self"},{"name":"gdatastreambyteorder"}],"output":{"name":"bool"}}],[11,"clone","","",210,{"inputs":[{"name":"self"}],"output":{"name":"gdatastreamnewlinetype"}}],[11,"fmt","","",210,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",210,{"inputs":[{"name":"self"},{"name":"gdatastreamnewlinetype"}],"output":{"name":"bool"}}],[11,"clone","","",211,{"inputs":[{"name":"self"}],"output":{"name":"gdrivestartstoptype"}}],[11,"fmt","","",211,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",211,{"inputs":[{"name":"self"},{"name":"gdrivestartstoptype"}],"output":{"name":"bool"}}],[11,"clone","","",212,{"inputs":[{"name":"self"}],"output":{"name":"gemblemorigin"}}],[11,"fmt","","",212,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",212,{"inputs":[{"name":"self"},{"name":"gemblemorigin"}],"output":{"name":"bool"}}],[11,"clone","","",213,{"inputs":[{"name":"self"}],"output":{"name":"gfileattributestatus"}}],[11,"fmt","","",213,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",213,{"inputs":[{"name":"self"},{"name":"gfileattributestatus"}],"output":{"name":"bool"}}],[11,"clone","","",214,{"inputs":[{"name":"self"}],"output":{"name":"gfileattributetype"}}],[11,"fmt","","",214,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",214,{"inputs":[{"name":"self"},{"name":"gfileattributetype"}],"output":{"name":"bool"}}],[11,"clone","","",215,{"inputs":[{"name":"self"}],"output":{"name":"gfilemonitorevent"}}],[11,"fmt","","",215,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",215,{"inputs":[{"name":"self"},{"name":"gfilemonitorevent"}],"output":{"name":"bool"}}],[11,"clone","","",216,{"inputs":[{"name":"self"}],"output":{"name":"gfiletype"}}],[11,"fmt","","",216,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",216,{"inputs":[{"name":"self"},{"name":"gfiletype"}],"output":{"name":"bool"}}],[11,"clone","","",217,{"inputs":[{"name":"self"}],"output":{"name":"gfilesystempreviewtype"}}],[11,"fmt","","",217,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",217,{"inputs":[{"name":"self"},{"name":"gfilesystempreviewtype"}],"output":{"name":"bool"}}],[11,"clone","","",218,{"inputs":[{"name":"self"}],"output":{"name":"gioerrorenum"}}],[11,"fmt","","",218,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",218,{"inputs":[{"name":"self"},{"name":"gioerrorenum"}],"output":{"name":"bool"}}],[11,"clone","","",219,{"inputs":[{"name":"self"}],"output":{"name":"giomodulescopeflags"}}],[11,"fmt","","",219,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",219,{"inputs":[{"name":"self"},{"name":"giomodulescopeflags"}],"output":{"name":"bool"}}],[11,"clone","","",220,{"inputs":[{"name":"self"}],"output":{"name":"gmountoperationresult"}}],[11,"fmt","","",220,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",220,{"inputs":[{"name":"self"},{"name":"gmountoperationresult"}],"output":{"name":"bool"}}],[11,"clone","","",221,{"inputs":[{"name":"self"}],"output":{"name":"gnetworkconnectivity"}}],[11,"fmt","","",221,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",221,{"inputs":[{"name":"self"},{"name":"gnetworkconnectivity"}],"output":{"name":"bool"}}],[11,"clone","","",222,{"inputs":[{"name":"self"}],"output":{"name":"gnotificationpriority"}}],[11,"fmt","","",222,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",222,{"inputs":[{"name":"self"},{"name":"gnotificationpriority"}],"output":{"name":"bool"}}],[11,"clone","","",223,{"inputs":[{"name":"self"}],"output":{"name":"gpasswordsave"}}],[11,"fmt","","",223,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",223,{"inputs":[{"name":"self"},{"name":"gpasswordsave"}],"output":{"name":"bool"}}],[11,"clone","","",224,{"inputs":[{"name":"self"}],"output":{"name":"gresolvererror"}}],[11,"fmt","","",224,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",224,{"inputs":[{"name":"self"},{"name":"gresolvererror"}],"output":{"name":"bool"}}],[11,"clone","","",225,{"inputs":[{"name":"self"}],"output":{"name":"gresolverrecordtype"}}],[11,"fmt","","",225,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",225,{"inputs":[{"name":"self"},{"name":"gresolverrecordtype"}],"output":{"name":"bool"}}],[11,"clone","","",226,{"inputs":[{"name":"self"}],"output":{"name":"gresourceerror"}}],[11,"fmt","","",226,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",226,{"inputs":[{"name":"self"},{"name":"gresourceerror"}],"output":{"name":"bool"}}],[11,"clone","","",227,{"inputs":[{"name":"self"}],"output":{"name":"gsocketclientevent"}}],[11,"fmt","","",227,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",227,{"inputs":[{"name":"self"},{"name":"gsocketclientevent"}],"output":{"name":"bool"}}],[11,"clone","","",228,{"inputs":[{"name":"self"}],"output":{"name":"gsocketfamily"}}],[11,"fmt","","",228,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",228,{"inputs":[{"name":"self"},{"name":"gsocketfamily"}],"output":{"name":"bool"}}],[11,"clone","","",229,{"inputs":[{"name":"self"}],"output":{"name":"gsocketlistenerevent"}}],[11,"fmt","","",229,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",229,{"inputs":[{"name":"self"},{"name":"gsocketlistenerevent"}],"output":{"name":"bool"}}],[11,"clone","","",230,{"inputs":[{"name":"self"}],"output":{"name":"gsocketprotocol"}}],[11,"fmt","","",230,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",230,{"inputs":[{"name":"self"},{"name":"gsocketprotocol"}],"output":{"name":"bool"}}],[11,"clone","","",231,{"inputs":[{"name":"self"}],"output":{"name":"gsockettype"}}],[11,"fmt","","",231,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",231,{"inputs":[{"name":"self"},{"name":"gsockettype"}],"output":{"name":"bool"}}],[11,"clone","","",232,{"inputs":[{"name":"self"}],"output":{"name":"gtlsauthenticationmode"}}],[11,"fmt","","",232,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",232,{"inputs":[{"name":"self"},{"name":"gtlsauthenticationmode"}],"output":{"name":"bool"}}],[11,"clone","","",233,{"inputs":[{"name":"self"}],"output":{"name":"gtlsdatabaselookupflags"}}],[11,"fmt","","",233,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",233,{"inputs":[{"name":"self"},{"name":"gtlsdatabaselookupflags"}],"output":{"name":"bool"}}],[11,"clone","","",234,{"inputs":[{"name":"self"}],"output":{"name":"gtlserror"}}],[11,"fmt","","",234,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",234,{"inputs":[{"name":"self"},{"name":"gtlserror"}],"output":{"name":"bool"}}],[11,"clone","","",235,{"inputs":[{"name":"self"}],"output":{"name":"gtlsinteractionresult"}}],[11,"fmt","","",235,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",235,{"inputs":[{"name":"self"},{"name":"gtlsinteractionresult"}],"output":{"name":"bool"}}],[11,"clone","","",236,{"inputs":[{"name":"self"}],"output":{"name":"gtlsrehandshakemode"}}],[11,"fmt","","",236,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",236,{"inputs":[{"name":"self"},{"name":"gtlsrehandshakemode"}],"output":{"name":"bool"}}],[11,"clone","","",237,{"inputs":[{"name":"self"}],"output":{"name":"gunixsocketaddresstype"}}],[11,"fmt","","",237,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",237,{"inputs":[{"name":"self"},{"name":"gunixsocketaddresstype"}],"output":{"name":"bool"}}],[11,"clone","","",238,{"inputs":[{"name":"self"}],"output":{"name":"gzlibcompressorformat"}}],[11,"fmt","","",238,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",238,{"inputs":[{"name":"self"},{"name":"gzlibcompressorformat"}],"output":{"name":"bool"}}],[11,"eq","","",239,{"inputs":[{"name":"self"},{"name":"gappinfocreateflags"}],"output":{"name":"bool"}}],[11,"ne","","",239,{"inputs":[{"name":"self"},{"name":"gappinfocreateflags"}],"output":{"name":"bool"}}],[11,"clone","","",239,{"inputs":[{"name":"self"}],"output":{"name":"gappinfocreateflags"}}],[11,"partial_cmp","","",239,{"inputs":[{"name":"self"},{"name":"gappinfocreateflags"}],"output":{"name":"option"}}],[11,"lt","","",239,{"inputs":[{"name":"self"},{"name":"gappinfocreateflags"}],"output":{"name":"bool"}}],[11,"le","","",239,{"inputs":[{"name":"self"},{"name":"gappinfocreateflags"}],"output":{"name":"bool"}}],[11,"gt","","",239,{"inputs":[{"name":"self"},{"name":"gappinfocreateflags"}],"output":{"name":"bool"}}],[11,"ge","","",239,{"inputs":[{"name":"self"},{"name":"gappinfocreateflags"}],"output":{"name":"bool"}}],[11,"cmp","","",239,{"inputs":[{"name":"self"},{"name":"gappinfocreateflags"}],"output":{"name":"ordering"}}],[11,"hash","","",239,null],[11,"fmt","","",239,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",239,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",239,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",239,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",239,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",239,{"inputs":[],"output":{"name":"gappinfocreateflags"}}],[11,"all","","Returns the set containing all flags.",239,{"inputs":[],"output":{"name":"gappinfocreateflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",239,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",239,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",239,{"inputs":[{"name":"c_uint"}],"output":{"name":"gappinfocreateflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",239,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",239,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",239,{"inputs":[{"name":"self"},{"name":"gappinfocreateflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",239,{"inputs":[{"name":"self"},{"name":"gappinfocreateflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",239,{"inputs":[{"name":"self"},{"name":"gappinfocreateflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",239,{"inputs":[{"name":"self"},{"name":"gappinfocreateflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",239,{"inputs":[{"name":"self"},{"name":"gappinfocreateflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",239,{"inputs":[{"name":"self"},{"name":"gappinfocreateflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",239,{"inputs":[{"name":"self"},{"name":"gappinfocreateflags"}],"output":{"name":"gappinfocreateflags"}}],[11,"bitor_assign","","Adds the set of flags.",239,{"inputs":[{"name":"self"},{"name":"gappinfocreateflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",239,{"inputs":[{"name":"self"},{"name":"gappinfocreateflags"}],"output":{"name":"gappinfocreateflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",239,{"inputs":[{"name":"self"},{"name":"gappinfocreateflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",239,{"inputs":[{"name":"self"},{"name":"gappinfocreateflags"}],"output":{"name":"gappinfocreateflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",239,{"inputs":[{"name":"self"},{"name":"gappinfocreateflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",239,{"inputs":[{"name":"self"},{"name":"gappinfocreateflags"}],"output":{"name":"gappinfocreateflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",239,{"inputs":[{"name":"self"},{"name":"gappinfocreateflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",239,{"inputs":[{"name":"self"}],"output":{"name":"gappinfocreateflags"}}],[11,"extend","","",239,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",239,{"inputs":[{"name":"t"}],"output":{"name":"gappinfocreateflags"}}],[11,"eq","","",240,{"inputs":[{"name":"self"},{"name":"gapplicationflags"}],"output":{"name":"bool"}}],[11,"ne","","",240,{"inputs":[{"name":"self"},{"name":"gapplicationflags"}],"output":{"name":"bool"}}],[11,"clone","","",240,{"inputs":[{"name":"self"}],"output":{"name":"gapplicationflags"}}],[11,"partial_cmp","","",240,{"inputs":[{"name":"self"},{"name":"gapplicationflags"}],"output":{"name":"option"}}],[11,"lt","","",240,{"inputs":[{"name":"self"},{"name":"gapplicationflags"}],"output":{"name":"bool"}}],[11,"le","","",240,{"inputs":[{"name":"self"},{"name":"gapplicationflags"}],"output":{"name":"bool"}}],[11,"gt","","",240,{"inputs":[{"name":"self"},{"name":"gapplicationflags"}],"output":{"name":"bool"}}],[11,"ge","","",240,{"inputs":[{"name":"self"},{"name":"gapplicationflags"}],"output":{"name":"bool"}}],[11,"cmp","","",240,{"inputs":[{"name":"self"},{"name":"gapplicationflags"}],"output":{"name":"ordering"}}],[11,"hash","","",240,null],[11,"fmt","","",240,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",240,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",240,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",240,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",240,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",240,{"inputs":[],"output":{"name":"gapplicationflags"}}],[11,"all","","Returns the set containing all flags.",240,{"inputs":[],"output":{"name":"gapplicationflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",240,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",240,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",240,{"inputs":[{"name":"c_uint"}],"output":{"name":"gapplicationflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",240,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",240,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",240,{"inputs":[{"name":"self"},{"name":"gapplicationflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",240,{"inputs":[{"name":"self"},{"name":"gapplicationflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",240,{"inputs":[{"name":"self"},{"name":"gapplicationflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",240,{"inputs":[{"name":"self"},{"name":"gapplicationflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",240,{"inputs":[{"name":"self"},{"name":"gapplicationflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",240,{"inputs":[{"name":"self"},{"name":"gapplicationflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",240,{"inputs":[{"name":"self"},{"name":"gapplicationflags"}],"output":{"name":"gapplicationflags"}}],[11,"bitor_assign","","Adds the set of flags.",240,{"inputs":[{"name":"self"},{"name":"gapplicationflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",240,{"inputs":[{"name":"self"},{"name":"gapplicationflags"}],"output":{"name":"gapplicationflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",240,{"inputs":[{"name":"self"},{"name":"gapplicationflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",240,{"inputs":[{"name":"self"},{"name":"gapplicationflags"}],"output":{"name":"gapplicationflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",240,{"inputs":[{"name":"self"},{"name":"gapplicationflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",240,{"inputs":[{"name":"self"},{"name":"gapplicationflags"}],"output":{"name":"gapplicationflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",240,{"inputs":[{"name":"self"},{"name":"gapplicationflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",240,{"inputs":[{"name":"self"}],"output":{"name":"gapplicationflags"}}],[11,"extend","","",240,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",240,{"inputs":[{"name":"t"}],"output":{"name":"gapplicationflags"}}],[11,"eq","","",241,{"inputs":[{"name":"self"},{"name":"gaskpasswordflags"}],"output":{"name":"bool"}}],[11,"ne","","",241,{"inputs":[{"name":"self"},{"name":"gaskpasswordflags"}],"output":{"name":"bool"}}],[11,"clone","","",241,{"inputs":[{"name":"self"}],"output":{"name":"gaskpasswordflags"}}],[11,"partial_cmp","","",241,{"inputs":[{"name":"self"},{"name":"gaskpasswordflags"}],"output":{"name":"option"}}],[11,"lt","","",241,{"inputs":[{"name":"self"},{"name":"gaskpasswordflags"}],"output":{"name":"bool"}}],[11,"le","","",241,{"inputs":[{"name":"self"},{"name":"gaskpasswordflags"}],"output":{"name":"bool"}}],[11,"gt","","",241,{"inputs":[{"name":"self"},{"name":"gaskpasswordflags"}],"output":{"name":"bool"}}],[11,"ge","","",241,{"inputs":[{"name":"self"},{"name":"gaskpasswordflags"}],"output":{"name":"bool"}}],[11,"cmp","","",241,{"inputs":[{"name":"self"},{"name":"gaskpasswordflags"}],"output":{"name":"ordering"}}],[11,"hash","","",241,null],[11,"fmt","","",241,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",241,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",241,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",241,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",241,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",241,{"inputs":[],"output":{"name":"gaskpasswordflags"}}],[11,"all","","Returns the set containing all flags.",241,{"inputs":[],"output":{"name":"gaskpasswordflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",241,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",241,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",241,{"inputs":[{"name":"c_uint"}],"output":{"name":"gaskpasswordflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",241,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",241,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",241,{"inputs":[{"name":"self"},{"name":"gaskpasswordflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",241,{"inputs":[{"name":"self"},{"name":"gaskpasswordflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",241,{"inputs":[{"name":"self"},{"name":"gaskpasswordflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",241,{"inputs":[{"name":"self"},{"name":"gaskpasswordflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",241,{"inputs":[{"name":"self"},{"name":"gaskpasswordflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",241,{"inputs":[{"name":"self"},{"name":"gaskpasswordflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",241,{"inputs":[{"name":"self"},{"name":"gaskpasswordflags"}],"output":{"name":"gaskpasswordflags"}}],[11,"bitor_assign","","Adds the set of flags.",241,{"inputs":[{"name":"self"},{"name":"gaskpasswordflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",241,{"inputs":[{"name":"self"},{"name":"gaskpasswordflags"}],"output":{"name":"gaskpasswordflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",241,{"inputs":[{"name":"self"},{"name":"gaskpasswordflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",241,{"inputs":[{"name":"self"},{"name":"gaskpasswordflags"}],"output":{"name":"gaskpasswordflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",241,{"inputs":[{"name":"self"},{"name":"gaskpasswordflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",241,{"inputs":[{"name":"self"},{"name":"gaskpasswordflags"}],"output":{"name":"gaskpasswordflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",241,{"inputs":[{"name":"self"},{"name":"gaskpasswordflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",241,{"inputs":[{"name":"self"}],"output":{"name":"gaskpasswordflags"}}],[11,"extend","","",241,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",241,{"inputs":[{"name":"t"}],"output":{"name":"gaskpasswordflags"}}],[11,"eq","","",242,{"inputs":[{"name":"self"},{"name":"gbusnameownerflags"}],"output":{"name":"bool"}}],[11,"ne","","",242,{"inputs":[{"name":"self"},{"name":"gbusnameownerflags"}],"output":{"name":"bool"}}],[11,"clone","","",242,{"inputs":[{"name":"self"}],"output":{"name":"gbusnameownerflags"}}],[11,"partial_cmp","","",242,{"inputs":[{"name":"self"},{"name":"gbusnameownerflags"}],"output":{"name":"option"}}],[11,"lt","","",242,{"inputs":[{"name":"self"},{"name":"gbusnameownerflags"}],"output":{"name":"bool"}}],[11,"le","","",242,{"inputs":[{"name":"self"},{"name":"gbusnameownerflags"}],"output":{"name":"bool"}}],[11,"gt","","",242,{"inputs":[{"name":"self"},{"name":"gbusnameownerflags"}],"output":{"name":"bool"}}],[11,"ge","","",242,{"inputs":[{"name":"self"},{"name":"gbusnameownerflags"}],"output":{"name":"bool"}}],[11,"cmp","","",242,{"inputs":[{"name":"self"},{"name":"gbusnameownerflags"}],"output":{"name":"ordering"}}],[11,"hash","","",242,null],[11,"fmt","","",242,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",242,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",242,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",242,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",242,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",242,{"inputs":[],"output":{"name":"gbusnameownerflags"}}],[11,"all","","Returns the set containing all flags.",242,{"inputs":[],"output":{"name":"gbusnameownerflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",242,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",242,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",242,{"inputs":[{"name":"c_uint"}],"output":{"name":"gbusnameownerflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",242,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",242,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",242,{"inputs":[{"name":"self"},{"name":"gbusnameownerflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",242,{"inputs":[{"name":"self"},{"name":"gbusnameownerflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",242,{"inputs":[{"name":"self"},{"name":"gbusnameownerflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",242,{"inputs":[{"name":"self"},{"name":"gbusnameownerflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",242,{"inputs":[{"name":"self"},{"name":"gbusnameownerflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",242,{"inputs":[{"name":"self"},{"name":"gbusnameownerflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",242,{"inputs":[{"name":"self"},{"name":"gbusnameownerflags"}],"output":{"name":"gbusnameownerflags"}}],[11,"bitor_assign","","Adds the set of flags.",242,{"inputs":[{"name":"self"},{"name":"gbusnameownerflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",242,{"inputs":[{"name":"self"},{"name":"gbusnameownerflags"}],"output":{"name":"gbusnameownerflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",242,{"inputs":[{"name":"self"},{"name":"gbusnameownerflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",242,{"inputs":[{"name":"self"},{"name":"gbusnameownerflags"}],"output":{"name":"gbusnameownerflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",242,{"inputs":[{"name":"self"},{"name":"gbusnameownerflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",242,{"inputs":[{"name":"self"},{"name":"gbusnameownerflags"}],"output":{"name":"gbusnameownerflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",242,{"inputs":[{"name":"self"},{"name":"gbusnameownerflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",242,{"inputs":[{"name":"self"}],"output":{"name":"gbusnameownerflags"}}],[11,"extend","","",242,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",242,{"inputs":[{"name":"t"}],"output":{"name":"gbusnameownerflags"}}],[11,"eq","","",243,{"inputs":[{"name":"self"},{"name":"gbusnamewatcherflags"}],"output":{"name":"bool"}}],[11,"ne","","",243,{"inputs":[{"name":"self"},{"name":"gbusnamewatcherflags"}],"output":{"name":"bool"}}],[11,"clone","","",243,{"inputs":[{"name":"self"}],"output":{"name":"gbusnamewatcherflags"}}],[11,"partial_cmp","","",243,{"inputs":[{"name":"self"},{"name":"gbusnamewatcherflags"}],"output":{"name":"option"}}],[11,"lt","","",243,{"inputs":[{"name":"self"},{"name":"gbusnamewatcherflags"}],"output":{"name":"bool"}}],[11,"le","","",243,{"inputs":[{"name":"self"},{"name":"gbusnamewatcherflags"}],"output":{"name":"bool"}}],[11,"gt","","",243,{"inputs":[{"name":"self"},{"name":"gbusnamewatcherflags"}],"output":{"name":"bool"}}],[11,"ge","","",243,{"inputs":[{"name":"self"},{"name":"gbusnamewatcherflags"}],"output":{"name":"bool"}}],[11,"cmp","","",243,{"inputs":[{"name":"self"},{"name":"gbusnamewatcherflags"}],"output":{"name":"ordering"}}],[11,"hash","","",243,null],[11,"fmt","","",243,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",243,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",243,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",243,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",243,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",243,{"inputs":[],"output":{"name":"gbusnamewatcherflags"}}],[11,"all","","Returns the set containing all flags.",243,{"inputs":[],"output":{"name":"gbusnamewatcherflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",243,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",243,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",243,{"inputs":[{"name":"c_uint"}],"output":{"name":"gbusnamewatcherflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",243,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",243,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",243,{"inputs":[{"name":"self"},{"name":"gbusnamewatcherflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",243,{"inputs":[{"name":"self"},{"name":"gbusnamewatcherflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",243,{"inputs":[{"name":"self"},{"name":"gbusnamewatcherflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",243,{"inputs":[{"name":"self"},{"name":"gbusnamewatcherflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",243,{"inputs":[{"name":"self"},{"name":"gbusnamewatcherflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",243,{"inputs":[{"name":"self"},{"name":"gbusnamewatcherflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",243,{"inputs":[{"name":"self"},{"name":"gbusnamewatcherflags"}],"output":{"name":"gbusnamewatcherflags"}}],[11,"bitor_assign","","Adds the set of flags.",243,{"inputs":[{"name":"self"},{"name":"gbusnamewatcherflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",243,{"inputs":[{"name":"self"},{"name":"gbusnamewatcherflags"}],"output":{"name":"gbusnamewatcherflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",243,{"inputs":[{"name":"self"},{"name":"gbusnamewatcherflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",243,{"inputs":[{"name":"self"},{"name":"gbusnamewatcherflags"}],"output":{"name":"gbusnamewatcherflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",243,{"inputs":[{"name":"self"},{"name":"gbusnamewatcherflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",243,{"inputs":[{"name":"self"},{"name":"gbusnamewatcherflags"}],"output":{"name":"gbusnamewatcherflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",243,{"inputs":[{"name":"self"},{"name":"gbusnamewatcherflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",243,{"inputs":[{"name":"self"}],"output":{"name":"gbusnamewatcherflags"}}],[11,"extend","","",243,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",243,{"inputs":[{"name":"t"}],"output":{"name":"gbusnamewatcherflags"}}],[11,"eq","","",244,{"inputs":[{"name":"self"},{"name":"gconverterflags"}],"output":{"name":"bool"}}],[11,"ne","","",244,{"inputs":[{"name":"self"},{"name":"gconverterflags"}],"output":{"name":"bool"}}],[11,"clone","","",244,{"inputs":[{"name":"self"}],"output":{"name":"gconverterflags"}}],[11,"partial_cmp","","",244,{"inputs":[{"name":"self"},{"name":"gconverterflags"}],"output":{"name":"option"}}],[11,"lt","","",244,{"inputs":[{"name":"self"},{"name":"gconverterflags"}],"output":{"name":"bool"}}],[11,"le","","",244,{"inputs":[{"name":"self"},{"name":"gconverterflags"}],"output":{"name":"bool"}}],[11,"gt","","",244,{"inputs":[{"name":"self"},{"name":"gconverterflags"}],"output":{"name":"bool"}}],[11,"ge","","",244,{"inputs":[{"name":"self"},{"name":"gconverterflags"}],"output":{"name":"bool"}}],[11,"cmp","","",244,{"inputs":[{"name":"self"},{"name":"gconverterflags"}],"output":{"name":"ordering"}}],[11,"hash","","",244,null],[11,"fmt","","",244,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",244,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",244,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",244,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",244,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",244,{"inputs":[],"output":{"name":"gconverterflags"}}],[11,"all","","Returns the set containing all flags.",244,{"inputs":[],"output":{"name":"gconverterflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",244,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",244,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",244,{"inputs":[{"name":"c_uint"}],"output":{"name":"gconverterflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",244,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",244,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",244,{"inputs":[{"name":"self"},{"name":"gconverterflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",244,{"inputs":[{"name":"self"},{"name":"gconverterflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",244,{"inputs":[{"name":"self"},{"name":"gconverterflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",244,{"inputs":[{"name":"self"},{"name":"gconverterflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",244,{"inputs":[{"name":"self"},{"name":"gconverterflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",244,{"inputs":[{"name":"self"},{"name":"gconverterflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",244,{"inputs":[{"name":"self"},{"name":"gconverterflags"}],"output":{"name":"gconverterflags"}}],[11,"bitor_assign","","Adds the set of flags.",244,{"inputs":[{"name":"self"},{"name":"gconverterflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",244,{"inputs":[{"name":"self"},{"name":"gconverterflags"}],"output":{"name":"gconverterflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",244,{"inputs":[{"name":"self"},{"name":"gconverterflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",244,{"inputs":[{"name":"self"},{"name":"gconverterflags"}],"output":{"name":"gconverterflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",244,{"inputs":[{"name":"self"},{"name":"gconverterflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",244,{"inputs":[{"name":"self"},{"name":"gconverterflags"}],"output":{"name":"gconverterflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",244,{"inputs":[{"name":"self"},{"name":"gconverterflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",244,{"inputs":[{"name":"self"}],"output":{"name":"gconverterflags"}}],[11,"extend","","",244,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",244,{"inputs":[{"name":"t"}],"output":{"name":"gconverterflags"}}],[11,"eq","","",245,{"inputs":[{"name":"self"},{"name":"gdbuscallflags"}],"output":{"name":"bool"}}],[11,"ne","","",245,{"inputs":[{"name":"self"},{"name":"gdbuscallflags"}],"output":{"name":"bool"}}],[11,"clone","","",245,{"inputs":[{"name":"self"}],"output":{"name":"gdbuscallflags"}}],[11,"partial_cmp","","",245,{"inputs":[{"name":"self"},{"name":"gdbuscallflags"}],"output":{"name":"option"}}],[11,"lt","","",245,{"inputs":[{"name":"self"},{"name":"gdbuscallflags"}],"output":{"name":"bool"}}],[11,"le","","",245,{"inputs":[{"name":"self"},{"name":"gdbuscallflags"}],"output":{"name":"bool"}}],[11,"gt","","",245,{"inputs":[{"name":"self"},{"name":"gdbuscallflags"}],"output":{"name":"bool"}}],[11,"ge","","",245,{"inputs":[{"name":"self"},{"name":"gdbuscallflags"}],"output":{"name":"bool"}}],[11,"cmp","","",245,{"inputs":[{"name":"self"},{"name":"gdbuscallflags"}],"output":{"name":"ordering"}}],[11,"hash","","",245,null],[11,"fmt","","",245,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",245,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",245,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",245,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",245,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",245,{"inputs":[],"output":{"name":"gdbuscallflags"}}],[11,"all","","Returns the set containing all flags.",245,{"inputs":[],"output":{"name":"gdbuscallflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",245,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",245,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",245,{"inputs":[{"name":"c_uint"}],"output":{"name":"gdbuscallflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",245,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",245,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",245,{"inputs":[{"name":"self"},{"name":"gdbuscallflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",245,{"inputs":[{"name":"self"},{"name":"gdbuscallflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",245,{"inputs":[{"name":"self"},{"name":"gdbuscallflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",245,{"inputs":[{"name":"self"},{"name":"gdbuscallflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",245,{"inputs":[{"name":"self"},{"name":"gdbuscallflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",245,{"inputs":[{"name":"self"},{"name":"gdbuscallflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",245,{"inputs":[{"name":"self"},{"name":"gdbuscallflags"}],"output":{"name":"gdbuscallflags"}}],[11,"bitor_assign","","Adds the set of flags.",245,{"inputs":[{"name":"self"},{"name":"gdbuscallflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",245,{"inputs":[{"name":"self"},{"name":"gdbuscallflags"}],"output":{"name":"gdbuscallflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",245,{"inputs":[{"name":"self"},{"name":"gdbuscallflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",245,{"inputs":[{"name":"self"},{"name":"gdbuscallflags"}],"output":{"name":"gdbuscallflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",245,{"inputs":[{"name":"self"},{"name":"gdbuscallflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",245,{"inputs":[{"name":"self"},{"name":"gdbuscallflags"}],"output":{"name":"gdbuscallflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",245,{"inputs":[{"name":"self"},{"name":"gdbuscallflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",245,{"inputs":[{"name":"self"}],"output":{"name":"gdbuscallflags"}}],[11,"extend","","",245,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",245,{"inputs":[{"name":"t"}],"output":{"name":"gdbuscallflags"}}],[11,"eq","","",246,{"inputs":[{"name":"self"},{"name":"gdbuscapabilityflags"}],"output":{"name":"bool"}}],[11,"ne","","",246,{"inputs":[{"name":"self"},{"name":"gdbuscapabilityflags"}],"output":{"name":"bool"}}],[11,"clone","","",246,{"inputs":[{"name":"self"}],"output":{"name":"gdbuscapabilityflags"}}],[11,"partial_cmp","","",246,{"inputs":[{"name":"self"},{"name":"gdbuscapabilityflags"}],"output":{"name":"option"}}],[11,"lt","","",246,{"inputs":[{"name":"self"},{"name":"gdbuscapabilityflags"}],"output":{"name":"bool"}}],[11,"le","","",246,{"inputs":[{"name":"self"},{"name":"gdbuscapabilityflags"}],"output":{"name":"bool"}}],[11,"gt","","",246,{"inputs":[{"name":"self"},{"name":"gdbuscapabilityflags"}],"output":{"name":"bool"}}],[11,"ge","","",246,{"inputs":[{"name":"self"},{"name":"gdbuscapabilityflags"}],"output":{"name":"bool"}}],[11,"cmp","","",246,{"inputs":[{"name":"self"},{"name":"gdbuscapabilityflags"}],"output":{"name":"ordering"}}],[11,"hash","","",246,null],[11,"fmt","","",246,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",246,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",246,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",246,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",246,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",246,{"inputs":[],"output":{"name":"gdbuscapabilityflags"}}],[11,"all","","Returns the set containing all flags.",246,{"inputs":[],"output":{"name":"gdbuscapabilityflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",246,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",246,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",246,{"inputs":[{"name":"c_uint"}],"output":{"name":"gdbuscapabilityflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",246,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",246,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",246,{"inputs":[{"name":"self"},{"name":"gdbuscapabilityflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",246,{"inputs":[{"name":"self"},{"name":"gdbuscapabilityflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",246,{"inputs":[{"name":"self"},{"name":"gdbuscapabilityflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",246,{"inputs":[{"name":"self"},{"name":"gdbuscapabilityflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",246,{"inputs":[{"name":"self"},{"name":"gdbuscapabilityflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",246,{"inputs":[{"name":"self"},{"name":"gdbuscapabilityflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",246,{"inputs":[{"name":"self"},{"name":"gdbuscapabilityflags"}],"output":{"name":"gdbuscapabilityflags"}}],[11,"bitor_assign","","Adds the set of flags.",246,{"inputs":[{"name":"self"},{"name":"gdbuscapabilityflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",246,{"inputs":[{"name":"self"},{"name":"gdbuscapabilityflags"}],"output":{"name":"gdbuscapabilityflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",246,{"inputs":[{"name":"self"},{"name":"gdbuscapabilityflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",246,{"inputs":[{"name":"self"},{"name":"gdbuscapabilityflags"}],"output":{"name":"gdbuscapabilityflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",246,{"inputs":[{"name":"self"},{"name":"gdbuscapabilityflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",246,{"inputs":[{"name":"self"},{"name":"gdbuscapabilityflags"}],"output":{"name":"gdbuscapabilityflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",246,{"inputs":[{"name":"self"},{"name":"gdbuscapabilityflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",246,{"inputs":[{"name":"self"}],"output":{"name":"gdbuscapabilityflags"}}],[11,"extend","","",246,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",246,{"inputs":[{"name":"t"}],"output":{"name":"gdbuscapabilityflags"}}],[11,"eq","","",247,{"inputs":[{"name":"self"},{"name":"gdbusconnectionflags"}],"output":{"name":"bool"}}],[11,"ne","","",247,{"inputs":[{"name":"self"},{"name":"gdbusconnectionflags"}],"output":{"name":"bool"}}],[11,"clone","","",247,{"inputs":[{"name":"self"}],"output":{"name":"gdbusconnectionflags"}}],[11,"partial_cmp","","",247,{"inputs":[{"name":"self"},{"name":"gdbusconnectionflags"}],"output":{"name":"option"}}],[11,"lt","","",247,{"inputs":[{"name":"self"},{"name":"gdbusconnectionflags"}],"output":{"name":"bool"}}],[11,"le","","",247,{"inputs":[{"name":"self"},{"name":"gdbusconnectionflags"}],"output":{"name":"bool"}}],[11,"gt","","",247,{"inputs":[{"name":"self"},{"name":"gdbusconnectionflags"}],"output":{"name":"bool"}}],[11,"ge","","",247,{"inputs":[{"name":"self"},{"name":"gdbusconnectionflags"}],"output":{"name":"bool"}}],[11,"cmp","","",247,{"inputs":[{"name":"self"},{"name":"gdbusconnectionflags"}],"output":{"name":"ordering"}}],[11,"hash","","",247,null],[11,"fmt","","",247,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",247,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",247,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",247,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",247,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",247,{"inputs":[],"output":{"name":"gdbusconnectionflags"}}],[11,"all","","Returns the set containing all flags.",247,{"inputs":[],"output":{"name":"gdbusconnectionflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",247,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",247,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",247,{"inputs":[{"name":"c_uint"}],"output":{"name":"gdbusconnectionflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",247,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",247,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",247,{"inputs":[{"name":"self"},{"name":"gdbusconnectionflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",247,{"inputs":[{"name":"self"},{"name":"gdbusconnectionflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",247,{"inputs":[{"name":"self"},{"name":"gdbusconnectionflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",247,{"inputs":[{"name":"self"},{"name":"gdbusconnectionflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",247,{"inputs":[{"name":"self"},{"name":"gdbusconnectionflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",247,{"inputs":[{"name":"self"},{"name":"gdbusconnectionflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",247,{"inputs":[{"name":"self"},{"name":"gdbusconnectionflags"}],"output":{"name":"gdbusconnectionflags"}}],[11,"bitor_assign","","Adds the set of flags.",247,{"inputs":[{"name":"self"},{"name":"gdbusconnectionflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",247,{"inputs":[{"name":"self"},{"name":"gdbusconnectionflags"}],"output":{"name":"gdbusconnectionflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",247,{"inputs":[{"name":"self"},{"name":"gdbusconnectionflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",247,{"inputs":[{"name":"self"},{"name":"gdbusconnectionflags"}],"output":{"name":"gdbusconnectionflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",247,{"inputs":[{"name":"self"},{"name":"gdbusconnectionflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",247,{"inputs":[{"name":"self"},{"name":"gdbusconnectionflags"}],"output":{"name":"gdbusconnectionflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",247,{"inputs":[{"name":"self"},{"name":"gdbusconnectionflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",247,{"inputs":[{"name":"self"}],"output":{"name":"gdbusconnectionflags"}}],[11,"extend","","",247,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",247,{"inputs":[{"name":"t"}],"output":{"name":"gdbusconnectionflags"}}],[11,"eq","","",248,{"inputs":[{"name":"self"},{"name":"gdbusinterfaceskeletonflags"}],"output":{"name":"bool"}}],[11,"ne","","",248,{"inputs":[{"name":"self"},{"name":"gdbusinterfaceskeletonflags"}],"output":{"name":"bool"}}],[11,"clone","","",248,{"inputs":[{"name":"self"}],"output":{"name":"gdbusinterfaceskeletonflags"}}],[11,"partial_cmp","","",248,{"inputs":[{"name":"self"},{"name":"gdbusinterfaceskeletonflags"}],"output":{"name":"option"}}],[11,"lt","","",248,{"inputs":[{"name":"self"},{"name":"gdbusinterfaceskeletonflags"}],"output":{"name":"bool"}}],[11,"le","","",248,{"inputs":[{"name":"self"},{"name":"gdbusinterfaceskeletonflags"}],"output":{"name":"bool"}}],[11,"gt","","",248,{"inputs":[{"name":"self"},{"name":"gdbusinterfaceskeletonflags"}],"output":{"name":"bool"}}],[11,"ge","","",248,{"inputs":[{"name":"self"},{"name":"gdbusinterfaceskeletonflags"}],"output":{"name":"bool"}}],[11,"cmp","","",248,{"inputs":[{"name":"self"},{"name":"gdbusinterfaceskeletonflags"}],"output":{"name":"ordering"}}],[11,"hash","","",248,null],[11,"fmt","","",248,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",248,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",248,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",248,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",248,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",248,{"inputs":[],"output":{"name":"gdbusinterfaceskeletonflags"}}],[11,"all","","Returns the set containing all flags.",248,{"inputs":[],"output":{"name":"gdbusinterfaceskeletonflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",248,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",248,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",248,{"inputs":[{"name":"c_uint"}],"output":{"name":"gdbusinterfaceskeletonflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",248,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",248,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",248,{"inputs":[{"name":"self"},{"name":"gdbusinterfaceskeletonflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",248,{"inputs":[{"name":"self"},{"name":"gdbusinterfaceskeletonflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",248,{"inputs":[{"name":"self"},{"name":"gdbusinterfaceskeletonflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",248,{"inputs":[{"name":"self"},{"name":"gdbusinterfaceskeletonflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",248,{"inputs":[{"name":"self"},{"name":"gdbusinterfaceskeletonflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",248,{"inputs":[{"name":"self"},{"name":"gdbusinterfaceskeletonflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",248,{"inputs":[{"name":"self"},{"name":"gdbusinterfaceskeletonflags"}],"output":{"name":"gdbusinterfaceskeletonflags"}}],[11,"bitor_assign","","Adds the set of flags.",248,{"inputs":[{"name":"self"},{"name":"gdbusinterfaceskeletonflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",248,{"inputs":[{"name":"self"},{"name":"gdbusinterfaceskeletonflags"}],"output":{"name":"gdbusinterfaceskeletonflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",248,{"inputs":[{"name":"self"},{"name":"gdbusinterfaceskeletonflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",248,{"inputs":[{"name":"self"},{"name":"gdbusinterfaceskeletonflags"}],"output":{"name":"gdbusinterfaceskeletonflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",248,{"inputs":[{"name":"self"},{"name":"gdbusinterfaceskeletonflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",248,{"inputs":[{"name":"self"},{"name":"gdbusinterfaceskeletonflags"}],"output":{"name":"gdbusinterfaceskeletonflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",248,{"inputs":[{"name":"self"},{"name":"gdbusinterfaceskeletonflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",248,{"inputs":[{"name":"self"}],"output":{"name":"gdbusinterfaceskeletonflags"}}],[11,"extend","","",248,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",248,{"inputs":[{"name":"t"}],"output":{"name":"gdbusinterfaceskeletonflags"}}],[11,"eq","","",249,{"inputs":[{"name":"self"},{"name":"gdbusmessageflags"}],"output":{"name":"bool"}}],[11,"ne","","",249,{"inputs":[{"name":"self"},{"name":"gdbusmessageflags"}],"output":{"name":"bool"}}],[11,"clone","","",249,{"inputs":[{"name":"self"}],"output":{"name":"gdbusmessageflags"}}],[11,"partial_cmp","","",249,{"inputs":[{"name":"self"},{"name":"gdbusmessageflags"}],"output":{"name":"option"}}],[11,"lt","","",249,{"inputs":[{"name":"self"},{"name":"gdbusmessageflags"}],"output":{"name":"bool"}}],[11,"le","","",249,{"inputs":[{"name":"self"},{"name":"gdbusmessageflags"}],"output":{"name":"bool"}}],[11,"gt","","",249,{"inputs":[{"name":"self"},{"name":"gdbusmessageflags"}],"output":{"name":"bool"}}],[11,"ge","","",249,{"inputs":[{"name":"self"},{"name":"gdbusmessageflags"}],"output":{"name":"bool"}}],[11,"cmp","","",249,{"inputs":[{"name":"self"},{"name":"gdbusmessageflags"}],"output":{"name":"ordering"}}],[11,"hash","","",249,null],[11,"fmt","","",249,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",249,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",249,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",249,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",249,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",249,{"inputs":[],"output":{"name":"gdbusmessageflags"}}],[11,"all","","Returns the set containing all flags.",249,{"inputs":[],"output":{"name":"gdbusmessageflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",249,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",249,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",249,{"inputs":[{"name":"c_uint"}],"output":{"name":"gdbusmessageflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",249,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",249,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",249,{"inputs":[{"name":"self"},{"name":"gdbusmessageflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",249,{"inputs":[{"name":"self"},{"name":"gdbusmessageflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",249,{"inputs":[{"name":"self"},{"name":"gdbusmessageflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",249,{"inputs":[{"name":"self"},{"name":"gdbusmessageflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",249,{"inputs":[{"name":"self"},{"name":"gdbusmessageflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",249,{"inputs":[{"name":"self"},{"name":"gdbusmessageflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",249,{"inputs":[{"name":"self"},{"name":"gdbusmessageflags"}],"output":{"name":"gdbusmessageflags"}}],[11,"bitor_assign","","Adds the set of flags.",249,{"inputs":[{"name":"self"},{"name":"gdbusmessageflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",249,{"inputs":[{"name":"self"},{"name":"gdbusmessageflags"}],"output":{"name":"gdbusmessageflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",249,{"inputs":[{"name":"self"},{"name":"gdbusmessageflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",249,{"inputs":[{"name":"self"},{"name":"gdbusmessageflags"}],"output":{"name":"gdbusmessageflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",249,{"inputs":[{"name":"self"},{"name":"gdbusmessageflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",249,{"inputs":[{"name":"self"},{"name":"gdbusmessageflags"}],"output":{"name":"gdbusmessageflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",249,{"inputs":[{"name":"self"},{"name":"gdbusmessageflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",249,{"inputs":[{"name":"self"}],"output":{"name":"gdbusmessageflags"}}],[11,"extend","","",249,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",249,{"inputs":[{"name":"t"}],"output":{"name":"gdbusmessageflags"}}],[11,"eq","","",250,{"inputs":[{"name":"self"},{"name":"gdbusobjectmanagerclientflags"}],"output":{"name":"bool"}}],[11,"ne","","",250,{"inputs":[{"name":"self"},{"name":"gdbusobjectmanagerclientflags"}],"output":{"name":"bool"}}],[11,"clone","","",250,{"inputs":[{"name":"self"}],"output":{"name":"gdbusobjectmanagerclientflags"}}],[11,"partial_cmp","","",250,{"inputs":[{"name":"self"},{"name":"gdbusobjectmanagerclientflags"}],"output":{"name":"option"}}],[11,"lt","","",250,{"inputs":[{"name":"self"},{"name":"gdbusobjectmanagerclientflags"}],"output":{"name":"bool"}}],[11,"le","","",250,{"inputs":[{"name":"self"},{"name":"gdbusobjectmanagerclientflags"}],"output":{"name":"bool"}}],[11,"gt","","",250,{"inputs":[{"name":"self"},{"name":"gdbusobjectmanagerclientflags"}],"output":{"name":"bool"}}],[11,"ge","","",250,{"inputs":[{"name":"self"},{"name":"gdbusobjectmanagerclientflags"}],"output":{"name":"bool"}}],[11,"cmp","","",250,{"inputs":[{"name":"self"},{"name":"gdbusobjectmanagerclientflags"}],"output":{"name":"ordering"}}],[11,"hash","","",250,null],[11,"fmt","","",250,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",250,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",250,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",250,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",250,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",250,{"inputs":[],"output":{"name":"gdbusobjectmanagerclientflags"}}],[11,"all","","Returns the set containing all flags.",250,{"inputs":[],"output":{"name":"gdbusobjectmanagerclientflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",250,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",250,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",250,{"inputs":[{"name":"c_uint"}],"output":{"name":"gdbusobjectmanagerclientflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",250,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",250,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",250,{"inputs":[{"name":"self"},{"name":"gdbusobjectmanagerclientflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",250,{"inputs":[{"name":"self"},{"name":"gdbusobjectmanagerclientflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",250,{"inputs":[{"name":"self"},{"name":"gdbusobjectmanagerclientflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",250,{"inputs":[{"name":"self"},{"name":"gdbusobjectmanagerclientflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",250,{"inputs":[{"name":"self"},{"name":"gdbusobjectmanagerclientflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",250,{"inputs":[{"name":"self"},{"name":"gdbusobjectmanagerclientflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",250,{"inputs":[{"name":"self"},{"name":"gdbusobjectmanagerclientflags"}],"output":{"name":"gdbusobjectmanagerclientflags"}}],[11,"bitor_assign","","Adds the set of flags.",250,{"inputs":[{"name":"self"},{"name":"gdbusobjectmanagerclientflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",250,{"inputs":[{"name":"self"},{"name":"gdbusobjectmanagerclientflags"}],"output":{"name":"gdbusobjectmanagerclientflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",250,{"inputs":[{"name":"self"},{"name":"gdbusobjectmanagerclientflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",250,{"inputs":[{"name":"self"},{"name":"gdbusobjectmanagerclientflags"}],"output":{"name":"gdbusobjectmanagerclientflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",250,{"inputs":[{"name":"self"},{"name":"gdbusobjectmanagerclientflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",250,{"inputs":[{"name":"self"},{"name":"gdbusobjectmanagerclientflags"}],"output":{"name":"gdbusobjectmanagerclientflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",250,{"inputs":[{"name":"self"},{"name":"gdbusobjectmanagerclientflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",250,{"inputs":[{"name":"self"}],"output":{"name":"gdbusobjectmanagerclientflags"}}],[11,"extend","","",250,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",250,{"inputs":[{"name":"t"}],"output":{"name":"gdbusobjectmanagerclientflags"}}],[11,"eq","","",251,{"inputs":[{"name":"self"},{"name":"gdbuspropertyinfoflags"}],"output":{"name":"bool"}}],[11,"ne","","",251,{"inputs":[{"name":"self"},{"name":"gdbuspropertyinfoflags"}],"output":{"name":"bool"}}],[11,"clone","","",251,{"inputs":[{"name":"self"}],"output":{"name":"gdbuspropertyinfoflags"}}],[11,"partial_cmp","","",251,{"inputs":[{"name":"self"},{"name":"gdbuspropertyinfoflags"}],"output":{"name":"option"}}],[11,"lt","","",251,{"inputs":[{"name":"self"},{"name":"gdbuspropertyinfoflags"}],"output":{"name":"bool"}}],[11,"le","","",251,{"inputs":[{"name":"self"},{"name":"gdbuspropertyinfoflags"}],"output":{"name":"bool"}}],[11,"gt","","",251,{"inputs":[{"name":"self"},{"name":"gdbuspropertyinfoflags"}],"output":{"name":"bool"}}],[11,"ge","","",251,{"inputs":[{"name":"self"},{"name":"gdbuspropertyinfoflags"}],"output":{"name":"bool"}}],[11,"cmp","","",251,{"inputs":[{"name":"self"},{"name":"gdbuspropertyinfoflags"}],"output":{"name":"ordering"}}],[11,"hash","","",251,null],[11,"fmt","","",251,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",251,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",251,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",251,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",251,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",251,{"inputs":[],"output":{"name":"gdbuspropertyinfoflags"}}],[11,"all","","Returns the set containing all flags.",251,{"inputs":[],"output":{"name":"gdbuspropertyinfoflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",251,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",251,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",251,{"inputs":[{"name":"c_uint"}],"output":{"name":"gdbuspropertyinfoflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",251,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",251,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",251,{"inputs":[{"name":"self"},{"name":"gdbuspropertyinfoflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",251,{"inputs":[{"name":"self"},{"name":"gdbuspropertyinfoflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",251,{"inputs":[{"name":"self"},{"name":"gdbuspropertyinfoflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",251,{"inputs":[{"name":"self"},{"name":"gdbuspropertyinfoflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",251,{"inputs":[{"name":"self"},{"name":"gdbuspropertyinfoflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",251,{"inputs":[{"name":"self"},{"name":"gdbuspropertyinfoflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",251,{"inputs":[{"name":"self"},{"name":"gdbuspropertyinfoflags"}],"output":{"name":"gdbuspropertyinfoflags"}}],[11,"bitor_assign","","Adds the set of flags.",251,{"inputs":[{"name":"self"},{"name":"gdbuspropertyinfoflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",251,{"inputs":[{"name":"self"},{"name":"gdbuspropertyinfoflags"}],"output":{"name":"gdbuspropertyinfoflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",251,{"inputs":[{"name":"self"},{"name":"gdbuspropertyinfoflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",251,{"inputs":[{"name":"self"},{"name":"gdbuspropertyinfoflags"}],"output":{"name":"gdbuspropertyinfoflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",251,{"inputs":[{"name":"self"},{"name":"gdbuspropertyinfoflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",251,{"inputs":[{"name":"self"},{"name":"gdbuspropertyinfoflags"}],"output":{"name":"gdbuspropertyinfoflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",251,{"inputs":[{"name":"self"},{"name":"gdbuspropertyinfoflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",251,{"inputs":[{"name":"self"}],"output":{"name":"gdbuspropertyinfoflags"}}],[11,"extend","","",251,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",251,{"inputs":[{"name":"t"}],"output":{"name":"gdbuspropertyinfoflags"}}],[11,"eq","","",252,{"inputs":[{"name":"self"},{"name":"gdbusproxyflags"}],"output":{"name":"bool"}}],[11,"ne","","",252,{"inputs":[{"name":"self"},{"name":"gdbusproxyflags"}],"output":{"name":"bool"}}],[11,"clone","","",252,{"inputs":[{"name":"self"}],"output":{"name":"gdbusproxyflags"}}],[11,"partial_cmp","","",252,{"inputs":[{"name":"self"},{"name":"gdbusproxyflags"}],"output":{"name":"option"}}],[11,"lt","","",252,{"inputs":[{"name":"self"},{"name":"gdbusproxyflags"}],"output":{"name":"bool"}}],[11,"le","","",252,{"inputs":[{"name":"self"},{"name":"gdbusproxyflags"}],"output":{"name":"bool"}}],[11,"gt","","",252,{"inputs":[{"name":"self"},{"name":"gdbusproxyflags"}],"output":{"name":"bool"}}],[11,"ge","","",252,{"inputs":[{"name":"self"},{"name":"gdbusproxyflags"}],"output":{"name":"bool"}}],[11,"cmp","","",252,{"inputs":[{"name":"self"},{"name":"gdbusproxyflags"}],"output":{"name":"ordering"}}],[11,"hash","","",252,null],[11,"fmt","","",252,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",252,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",252,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",252,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",252,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",252,{"inputs":[],"output":{"name":"gdbusproxyflags"}}],[11,"all","","Returns the set containing all flags.",252,{"inputs":[],"output":{"name":"gdbusproxyflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",252,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",252,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",252,{"inputs":[{"name":"c_uint"}],"output":{"name":"gdbusproxyflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",252,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",252,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",252,{"inputs":[{"name":"self"},{"name":"gdbusproxyflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",252,{"inputs":[{"name":"self"},{"name":"gdbusproxyflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",252,{"inputs":[{"name":"self"},{"name":"gdbusproxyflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",252,{"inputs":[{"name":"self"},{"name":"gdbusproxyflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",252,{"inputs":[{"name":"self"},{"name":"gdbusproxyflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",252,{"inputs":[{"name":"self"},{"name":"gdbusproxyflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",252,{"inputs":[{"name":"self"},{"name":"gdbusproxyflags"}],"output":{"name":"gdbusproxyflags"}}],[11,"bitor_assign","","Adds the set of flags.",252,{"inputs":[{"name":"self"},{"name":"gdbusproxyflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",252,{"inputs":[{"name":"self"},{"name":"gdbusproxyflags"}],"output":{"name":"gdbusproxyflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",252,{"inputs":[{"name":"self"},{"name":"gdbusproxyflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",252,{"inputs":[{"name":"self"},{"name":"gdbusproxyflags"}],"output":{"name":"gdbusproxyflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",252,{"inputs":[{"name":"self"},{"name":"gdbusproxyflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",252,{"inputs":[{"name":"self"},{"name":"gdbusproxyflags"}],"output":{"name":"gdbusproxyflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",252,{"inputs":[{"name":"self"},{"name":"gdbusproxyflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",252,{"inputs":[{"name":"self"}],"output":{"name":"gdbusproxyflags"}}],[11,"extend","","",252,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",252,{"inputs":[{"name":"t"}],"output":{"name":"gdbusproxyflags"}}],[11,"eq","","",253,{"inputs":[{"name":"self"},{"name":"gdbussendmessageflags"}],"output":{"name":"bool"}}],[11,"ne","","",253,{"inputs":[{"name":"self"},{"name":"gdbussendmessageflags"}],"output":{"name":"bool"}}],[11,"clone","","",253,{"inputs":[{"name":"self"}],"output":{"name":"gdbussendmessageflags"}}],[11,"partial_cmp","","",253,{"inputs":[{"name":"self"},{"name":"gdbussendmessageflags"}],"output":{"name":"option"}}],[11,"lt","","",253,{"inputs":[{"name":"self"},{"name":"gdbussendmessageflags"}],"output":{"name":"bool"}}],[11,"le","","",253,{"inputs":[{"name":"self"},{"name":"gdbussendmessageflags"}],"output":{"name":"bool"}}],[11,"gt","","",253,{"inputs":[{"name":"self"},{"name":"gdbussendmessageflags"}],"output":{"name":"bool"}}],[11,"ge","","",253,{"inputs":[{"name":"self"},{"name":"gdbussendmessageflags"}],"output":{"name":"bool"}}],[11,"cmp","","",253,{"inputs":[{"name":"self"},{"name":"gdbussendmessageflags"}],"output":{"name":"ordering"}}],[11,"hash","","",253,null],[11,"fmt","","",253,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",253,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",253,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",253,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",253,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",253,{"inputs":[],"output":{"name":"gdbussendmessageflags"}}],[11,"all","","Returns the set containing all flags.",253,{"inputs":[],"output":{"name":"gdbussendmessageflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",253,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",253,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",253,{"inputs":[{"name":"c_uint"}],"output":{"name":"gdbussendmessageflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",253,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",253,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",253,{"inputs":[{"name":"self"},{"name":"gdbussendmessageflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",253,{"inputs":[{"name":"self"},{"name":"gdbussendmessageflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",253,{"inputs":[{"name":"self"},{"name":"gdbussendmessageflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",253,{"inputs":[{"name":"self"},{"name":"gdbussendmessageflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",253,{"inputs":[{"name":"self"},{"name":"gdbussendmessageflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",253,{"inputs":[{"name":"self"},{"name":"gdbussendmessageflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",253,{"inputs":[{"name":"self"},{"name":"gdbussendmessageflags"}],"output":{"name":"gdbussendmessageflags"}}],[11,"bitor_assign","","Adds the set of flags.",253,{"inputs":[{"name":"self"},{"name":"gdbussendmessageflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",253,{"inputs":[{"name":"self"},{"name":"gdbussendmessageflags"}],"output":{"name":"gdbussendmessageflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",253,{"inputs":[{"name":"self"},{"name":"gdbussendmessageflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",253,{"inputs":[{"name":"self"},{"name":"gdbussendmessageflags"}],"output":{"name":"gdbussendmessageflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",253,{"inputs":[{"name":"self"},{"name":"gdbussendmessageflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",253,{"inputs":[{"name":"self"},{"name":"gdbussendmessageflags"}],"output":{"name":"gdbussendmessageflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",253,{"inputs":[{"name":"self"},{"name":"gdbussendmessageflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",253,{"inputs":[{"name":"self"}],"output":{"name":"gdbussendmessageflags"}}],[11,"extend","","",253,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",253,{"inputs":[{"name":"t"}],"output":{"name":"gdbussendmessageflags"}}],[11,"eq","","",254,{"inputs":[{"name":"self"},{"name":"gdbusserverflags"}],"output":{"name":"bool"}}],[11,"ne","","",254,{"inputs":[{"name":"self"},{"name":"gdbusserverflags"}],"output":{"name":"bool"}}],[11,"clone","","",254,{"inputs":[{"name":"self"}],"output":{"name":"gdbusserverflags"}}],[11,"partial_cmp","","",254,{"inputs":[{"name":"self"},{"name":"gdbusserverflags"}],"output":{"name":"option"}}],[11,"lt","","",254,{"inputs":[{"name":"self"},{"name":"gdbusserverflags"}],"output":{"name":"bool"}}],[11,"le","","",254,{"inputs":[{"name":"self"},{"name":"gdbusserverflags"}],"output":{"name":"bool"}}],[11,"gt","","",254,{"inputs":[{"name":"self"},{"name":"gdbusserverflags"}],"output":{"name":"bool"}}],[11,"ge","","",254,{"inputs":[{"name":"self"},{"name":"gdbusserverflags"}],"output":{"name":"bool"}}],[11,"cmp","","",254,{"inputs":[{"name":"self"},{"name":"gdbusserverflags"}],"output":{"name":"ordering"}}],[11,"hash","","",254,null],[11,"fmt","","",254,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",254,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",254,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",254,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",254,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",254,{"inputs":[],"output":{"name":"gdbusserverflags"}}],[11,"all","","Returns the set containing all flags.",254,{"inputs":[],"output":{"name":"gdbusserverflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",254,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",254,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",254,{"inputs":[{"name":"c_uint"}],"output":{"name":"gdbusserverflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",254,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",254,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",254,{"inputs":[{"name":"self"},{"name":"gdbusserverflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",254,{"inputs":[{"name":"self"},{"name":"gdbusserverflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",254,{"inputs":[{"name":"self"},{"name":"gdbusserverflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",254,{"inputs":[{"name":"self"},{"name":"gdbusserverflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",254,{"inputs":[{"name":"self"},{"name":"gdbusserverflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",254,{"inputs":[{"name":"self"},{"name":"gdbusserverflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",254,{"inputs":[{"name":"self"},{"name":"gdbusserverflags"}],"output":{"name":"gdbusserverflags"}}],[11,"bitor_assign","","Adds the set of flags.",254,{"inputs":[{"name":"self"},{"name":"gdbusserverflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",254,{"inputs":[{"name":"self"},{"name":"gdbusserverflags"}],"output":{"name":"gdbusserverflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",254,{"inputs":[{"name":"self"},{"name":"gdbusserverflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",254,{"inputs":[{"name":"self"},{"name":"gdbusserverflags"}],"output":{"name":"gdbusserverflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",254,{"inputs":[{"name":"self"},{"name":"gdbusserverflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",254,{"inputs":[{"name":"self"},{"name":"gdbusserverflags"}],"output":{"name":"gdbusserverflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",254,{"inputs":[{"name":"self"},{"name":"gdbusserverflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",254,{"inputs":[{"name":"self"}],"output":{"name":"gdbusserverflags"}}],[11,"extend","","",254,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",254,{"inputs":[{"name":"t"}],"output":{"name":"gdbusserverflags"}}],[11,"eq","","",255,{"inputs":[{"name":"self"},{"name":"gdbussignalflags"}],"output":{"name":"bool"}}],[11,"ne","","",255,{"inputs":[{"name":"self"},{"name":"gdbussignalflags"}],"output":{"name":"bool"}}],[11,"clone","","",255,{"inputs":[{"name":"self"}],"output":{"name":"gdbussignalflags"}}],[11,"partial_cmp","","",255,{"inputs":[{"name":"self"},{"name":"gdbussignalflags"}],"output":{"name":"option"}}],[11,"lt","","",255,{"inputs":[{"name":"self"},{"name":"gdbussignalflags"}],"output":{"name":"bool"}}],[11,"le","","",255,{"inputs":[{"name":"self"},{"name":"gdbussignalflags"}],"output":{"name":"bool"}}],[11,"gt","","",255,{"inputs":[{"name":"self"},{"name":"gdbussignalflags"}],"output":{"name":"bool"}}],[11,"ge","","",255,{"inputs":[{"name":"self"},{"name":"gdbussignalflags"}],"output":{"name":"bool"}}],[11,"cmp","","",255,{"inputs":[{"name":"self"},{"name":"gdbussignalflags"}],"output":{"name":"ordering"}}],[11,"hash","","",255,null],[11,"fmt","","",255,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",255,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",255,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",255,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",255,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",255,{"inputs":[],"output":{"name":"gdbussignalflags"}}],[11,"all","","Returns the set containing all flags.",255,{"inputs":[],"output":{"name":"gdbussignalflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",255,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",255,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",255,{"inputs":[{"name":"c_uint"}],"output":{"name":"gdbussignalflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",255,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",255,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",255,{"inputs":[{"name":"self"},{"name":"gdbussignalflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",255,{"inputs":[{"name":"self"},{"name":"gdbussignalflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",255,{"inputs":[{"name":"self"},{"name":"gdbussignalflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",255,{"inputs":[{"name":"self"},{"name":"gdbussignalflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",255,{"inputs":[{"name":"self"},{"name":"gdbussignalflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",255,{"inputs":[{"name":"self"},{"name":"gdbussignalflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",255,{"inputs":[{"name":"self"},{"name":"gdbussignalflags"}],"output":{"name":"gdbussignalflags"}}],[11,"bitor_assign","","Adds the set of flags.",255,{"inputs":[{"name":"self"},{"name":"gdbussignalflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",255,{"inputs":[{"name":"self"},{"name":"gdbussignalflags"}],"output":{"name":"gdbussignalflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",255,{"inputs":[{"name":"self"},{"name":"gdbussignalflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",255,{"inputs":[{"name":"self"},{"name":"gdbussignalflags"}],"output":{"name":"gdbussignalflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",255,{"inputs":[{"name":"self"},{"name":"gdbussignalflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",255,{"inputs":[{"name":"self"},{"name":"gdbussignalflags"}],"output":{"name":"gdbussignalflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",255,{"inputs":[{"name":"self"},{"name":"gdbussignalflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",255,{"inputs":[{"name":"self"}],"output":{"name":"gdbussignalflags"}}],[11,"extend","","",255,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",255,{"inputs":[{"name":"t"}],"output":{"name":"gdbussignalflags"}}],[11,"eq","","",256,{"inputs":[{"name":"self"},{"name":"gdbussubtreeflags"}],"output":{"name":"bool"}}],[11,"ne","","",256,{"inputs":[{"name":"self"},{"name":"gdbussubtreeflags"}],"output":{"name":"bool"}}],[11,"clone","","",256,{"inputs":[{"name":"self"}],"output":{"name":"gdbussubtreeflags"}}],[11,"partial_cmp","","",256,{"inputs":[{"name":"self"},{"name":"gdbussubtreeflags"}],"output":{"name":"option"}}],[11,"lt","","",256,{"inputs":[{"name":"self"},{"name":"gdbussubtreeflags"}],"output":{"name":"bool"}}],[11,"le","","",256,{"inputs":[{"name":"self"},{"name":"gdbussubtreeflags"}],"output":{"name":"bool"}}],[11,"gt","","",256,{"inputs":[{"name":"self"},{"name":"gdbussubtreeflags"}],"output":{"name":"bool"}}],[11,"ge","","",256,{"inputs":[{"name":"self"},{"name":"gdbussubtreeflags"}],"output":{"name":"bool"}}],[11,"cmp","","",256,{"inputs":[{"name":"self"},{"name":"gdbussubtreeflags"}],"output":{"name":"ordering"}}],[11,"hash","","",256,null],[11,"fmt","","",256,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",256,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",256,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",256,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",256,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",256,{"inputs":[],"output":{"name":"gdbussubtreeflags"}}],[11,"all","","Returns the set containing all flags.",256,{"inputs":[],"output":{"name":"gdbussubtreeflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",256,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",256,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",256,{"inputs":[{"name":"c_uint"}],"output":{"name":"gdbussubtreeflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",256,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",256,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",256,{"inputs":[{"name":"self"},{"name":"gdbussubtreeflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",256,{"inputs":[{"name":"self"},{"name":"gdbussubtreeflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",256,{"inputs":[{"name":"self"},{"name":"gdbussubtreeflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",256,{"inputs":[{"name":"self"},{"name":"gdbussubtreeflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",256,{"inputs":[{"name":"self"},{"name":"gdbussubtreeflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",256,{"inputs":[{"name":"self"},{"name":"gdbussubtreeflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",256,{"inputs":[{"name":"self"},{"name":"gdbussubtreeflags"}],"output":{"name":"gdbussubtreeflags"}}],[11,"bitor_assign","","Adds the set of flags.",256,{"inputs":[{"name":"self"},{"name":"gdbussubtreeflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",256,{"inputs":[{"name":"self"},{"name":"gdbussubtreeflags"}],"output":{"name":"gdbussubtreeflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",256,{"inputs":[{"name":"self"},{"name":"gdbussubtreeflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",256,{"inputs":[{"name":"self"},{"name":"gdbussubtreeflags"}],"output":{"name":"gdbussubtreeflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",256,{"inputs":[{"name":"self"},{"name":"gdbussubtreeflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",256,{"inputs":[{"name":"self"},{"name":"gdbussubtreeflags"}],"output":{"name":"gdbussubtreeflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",256,{"inputs":[{"name":"self"},{"name":"gdbussubtreeflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",256,{"inputs":[{"name":"self"}],"output":{"name":"gdbussubtreeflags"}}],[11,"extend","","",256,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",256,{"inputs":[{"name":"t"}],"output":{"name":"gdbussubtreeflags"}}],[11,"eq","","",257,{"inputs":[{"name":"self"},{"name":"gdrivestartflags"}],"output":{"name":"bool"}}],[11,"ne","","",257,{"inputs":[{"name":"self"},{"name":"gdrivestartflags"}],"output":{"name":"bool"}}],[11,"clone","","",257,{"inputs":[{"name":"self"}],"output":{"name":"gdrivestartflags"}}],[11,"partial_cmp","","",257,{"inputs":[{"name":"self"},{"name":"gdrivestartflags"}],"output":{"name":"option"}}],[11,"lt","","",257,{"inputs":[{"name":"self"},{"name":"gdrivestartflags"}],"output":{"name":"bool"}}],[11,"le","","",257,{"inputs":[{"name":"self"},{"name":"gdrivestartflags"}],"output":{"name":"bool"}}],[11,"gt","","",257,{"inputs":[{"name":"self"},{"name":"gdrivestartflags"}],"output":{"name":"bool"}}],[11,"ge","","",257,{"inputs":[{"name":"self"},{"name":"gdrivestartflags"}],"output":{"name":"bool"}}],[11,"cmp","","",257,{"inputs":[{"name":"self"},{"name":"gdrivestartflags"}],"output":{"name":"ordering"}}],[11,"hash","","",257,null],[11,"fmt","","",257,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",257,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",257,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",257,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",257,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",257,{"inputs":[],"output":{"name":"gdrivestartflags"}}],[11,"all","","Returns the set containing all flags.",257,{"inputs":[],"output":{"name":"gdrivestartflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",257,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",257,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",257,{"inputs":[{"name":"c_uint"}],"output":{"name":"gdrivestartflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",257,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",257,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",257,{"inputs":[{"name":"self"},{"name":"gdrivestartflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",257,{"inputs":[{"name":"self"},{"name":"gdrivestartflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",257,{"inputs":[{"name":"self"},{"name":"gdrivestartflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",257,{"inputs":[{"name":"self"},{"name":"gdrivestartflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",257,{"inputs":[{"name":"self"},{"name":"gdrivestartflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",257,{"inputs":[{"name":"self"},{"name":"gdrivestartflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",257,{"inputs":[{"name":"self"},{"name":"gdrivestartflags"}],"output":{"name":"gdrivestartflags"}}],[11,"bitor_assign","","Adds the set of flags.",257,{"inputs":[{"name":"self"},{"name":"gdrivestartflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",257,{"inputs":[{"name":"self"},{"name":"gdrivestartflags"}],"output":{"name":"gdrivestartflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",257,{"inputs":[{"name":"self"},{"name":"gdrivestartflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",257,{"inputs":[{"name":"self"},{"name":"gdrivestartflags"}],"output":{"name":"gdrivestartflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",257,{"inputs":[{"name":"self"},{"name":"gdrivestartflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",257,{"inputs":[{"name":"self"},{"name":"gdrivestartflags"}],"output":{"name":"gdrivestartflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",257,{"inputs":[{"name":"self"},{"name":"gdrivestartflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",257,{"inputs":[{"name":"self"}],"output":{"name":"gdrivestartflags"}}],[11,"extend","","",257,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",257,{"inputs":[{"name":"t"}],"output":{"name":"gdrivestartflags"}}],[11,"eq","","",258,{"inputs":[{"name":"self"},{"name":"gfileattributeinfoflags"}],"output":{"name":"bool"}}],[11,"ne","","",258,{"inputs":[{"name":"self"},{"name":"gfileattributeinfoflags"}],"output":{"name":"bool"}}],[11,"clone","","",258,{"inputs":[{"name":"self"}],"output":{"name":"gfileattributeinfoflags"}}],[11,"partial_cmp","","",258,{"inputs":[{"name":"self"},{"name":"gfileattributeinfoflags"}],"output":{"name":"option"}}],[11,"lt","","",258,{"inputs":[{"name":"self"},{"name":"gfileattributeinfoflags"}],"output":{"name":"bool"}}],[11,"le","","",258,{"inputs":[{"name":"self"},{"name":"gfileattributeinfoflags"}],"output":{"name":"bool"}}],[11,"gt","","",258,{"inputs":[{"name":"self"},{"name":"gfileattributeinfoflags"}],"output":{"name":"bool"}}],[11,"ge","","",258,{"inputs":[{"name":"self"},{"name":"gfileattributeinfoflags"}],"output":{"name":"bool"}}],[11,"cmp","","",258,{"inputs":[{"name":"self"},{"name":"gfileattributeinfoflags"}],"output":{"name":"ordering"}}],[11,"hash","","",258,null],[11,"fmt","","",258,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",258,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",258,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",258,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",258,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",258,{"inputs":[],"output":{"name":"gfileattributeinfoflags"}}],[11,"all","","Returns the set containing all flags.",258,{"inputs":[],"output":{"name":"gfileattributeinfoflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",258,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",258,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",258,{"inputs":[{"name":"c_uint"}],"output":{"name":"gfileattributeinfoflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",258,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",258,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",258,{"inputs":[{"name":"self"},{"name":"gfileattributeinfoflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",258,{"inputs":[{"name":"self"},{"name":"gfileattributeinfoflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",258,{"inputs":[{"name":"self"},{"name":"gfileattributeinfoflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",258,{"inputs":[{"name":"self"},{"name":"gfileattributeinfoflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",258,{"inputs":[{"name":"self"},{"name":"gfileattributeinfoflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",258,{"inputs":[{"name":"self"},{"name":"gfileattributeinfoflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",258,{"inputs":[{"name":"self"},{"name":"gfileattributeinfoflags"}],"output":{"name":"gfileattributeinfoflags"}}],[11,"bitor_assign","","Adds the set of flags.",258,{"inputs":[{"name":"self"},{"name":"gfileattributeinfoflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",258,{"inputs":[{"name":"self"},{"name":"gfileattributeinfoflags"}],"output":{"name":"gfileattributeinfoflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",258,{"inputs":[{"name":"self"},{"name":"gfileattributeinfoflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",258,{"inputs":[{"name":"self"},{"name":"gfileattributeinfoflags"}],"output":{"name":"gfileattributeinfoflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",258,{"inputs":[{"name":"self"},{"name":"gfileattributeinfoflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",258,{"inputs":[{"name":"self"},{"name":"gfileattributeinfoflags"}],"output":{"name":"gfileattributeinfoflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",258,{"inputs":[{"name":"self"},{"name":"gfileattributeinfoflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",258,{"inputs":[{"name":"self"}],"output":{"name":"gfileattributeinfoflags"}}],[11,"extend","","",258,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",258,{"inputs":[{"name":"t"}],"output":{"name":"gfileattributeinfoflags"}}],[11,"eq","","",259,{"inputs":[{"name":"self"},{"name":"gfilecopyflags"}],"output":{"name":"bool"}}],[11,"ne","","",259,{"inputs":[{"name":"self"},{"name":"gfilecopyflags"}],"output":{"name":"bool"}}],[11,"clone","","",259,{"inputs":[{"name":"self"}],"output":{"name":"gfilecopyflags"}}],[11,"partial_cmp","","",259,{"inputs":[{"name":"self"},{"name":"gfilecopyflags"}],"output":{"name":"option"}}],[11,"lt","","",259,{"inputs":[{"name":"self"},{"name":"gfilecopyflags"}],"output":{"name":"bool"}}],[11,"le","","",259,{"inputs":[{"name":"self"},{"name":"gfilecopyflags"}],"output":{"name":"bool"}}],[11,"gt","","",259,{"inputs":[{"name":"self"},{"name":"gfilecopyflags"}],"output":{"name":"bool"}}],[11,"ge","","",259,{"inputs":[{"name":"self"},{"name":"gfilecopyflags"}],"output":{"name":"bool"}}],[11,"cmp","","",259,{"inputs":[{"name":"self"},{"name":"gfilecopyflags"}],"output":{"name":"ordering"}}],[11,"hash","","",259,null],[11,"fmt","","",259,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",259,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",259,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",259,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",259,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",259,{"inputs":[],"output":{"name":"gfilecopyflags"}}],[11,"all","","Returns the set containing all flags.",259,{"inputs":[],"output":{"name":"gfilecopyflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",259,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",259,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",259,{"inputs":[{"name":"c_uint"}],"output":{"name":"gfilecopyflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",259,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",259,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",259,{"inputs":[{"name":"self"},{"name":"gfilecopyflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",259,{"inputs":[{"name":"self"},{"name":"gfilecopyflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",259,{"inputs":[{"name":"self"},{"name":"gfilecopyflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",259,{"inputs":[{"name":"self"},{"name":"gfilecopyflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",259,{"inputs":[{"name":"self"},{"name":"gfilecopyflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",259,{"inputs":[{"name":"self"},{"name":"gfilecopyflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",259,{"inputs":[{"name":"self"},{"name":"gfilecopyflags"}],"output":{"name":"gfilecopyflags"}}],[11,"bitor_assign","","Adds the set of flags.",259,{"inputs":[{"name":"self"},{"name":"gfilecopyflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",259,{"inputs":[{"name":"self"},{"name":"gfilecopyflags"}],"output":{"name":"gfilecopyflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",259,{"inputs":[{"name":"self"},{"name":"gfilecopyflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",259,{"inputs":[{"name":"self"},{"name":"gfilecopyflags"}],"output":{"name":"gfilecopyflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",259,{"inputs":[{"name":"self"},{"name":"gfilecopyflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",259,{"inputs":[{"name":"self"},{"name":"gfilecopyflags"}],"output":{"name":"gfilecopyflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",259,{"inputs":[{"name":"self"},{"name":"gfilecopyflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",259,{"inputs":[{"name":"self"}],"output":{"name":"gfilecopyflags"}}],[11,"extend","","",259,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",259,{"inputs":[{"name":"t"}],"output":{"name":"gfilecopyflags"}}],[11,"eq","","",260,{"inputs":[{"name":"self"},{"name":"gfilecreateflags"}],"output":{"name":"bool"}}],[11,"ne","","",260,{"inputs":[{"name":"self"},{"name":"gfilecreateflags"}],"output":{"name":"bool"}}],[11,"clone","","",260,{"inputs":[{"name":"self"}],"output":{"name":"gfilecreateflags"}}],[11,"partial_cmp","","",260,{"inputs":[{"name":"self"},{"name":"gfilecreateflags"}],"output":{"name":"option"}}],[11,"lt","","",260,{"inputs":[{"name":"self"},{"name":"gfilecreateflags"}],"output":{"name":"bool"}}],[11,"le","","",260,{"inputs":[{"name":"self"},{"name":"gfilecreateflags"}],"output":{"name":"bool"}}],[11,"gt","","",260,{"inputs":[{"name":"self"},{"name":"gfilecreateflags"}],"output":{"name":"bool"}}],[11,"ge","","",260,{"inputs":[{"name":"self"},{"name":"gfilecreateflags"}],"output":{"name":"bool"}}],[11,"cmp","","",260,{"inputs":[{"name":"self"},{"name":"gfilecreateflags"}],"output":{"name":"ordering"}}],[11,"hash","","",260,null],[11,"fmt","","",260,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",260,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",260,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",260,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",260,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",260,{"inputs":[],"output":{"name":"gfilecreateflags"}}],[11,"all","","Returns the set containing all flags.",260,{"inputs":[],"output":{"name":"gfilecreateflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",260,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",260,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",260,{"inputs":[{"name":"c_uint"}],"output":{"name":"gfilecreateflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",260,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",260,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",260,{"inputs":[{"name":"self"},{"name":"gfilecreateflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",260,{"inputs":[{"name":"self"},{"name":"gfilecreateflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",260,{"inputs":[{"name":"self"},{"name":"gfilecreateflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",260,{"inputs":[{"name":"self"},{"name":"gfilecreateflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",260,{"inputs":[{"name":"self"},{"name":"gfilecreateflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",260,{"inputs":[{"name":"self"},{"name":"gfilecreateflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",260,{"inputs":[{"name":"self"},{"name":"gfilecreateflags"}],"output":{"name":"gfilecreateflags"}}],[11,"bitor_assign","","Adds the set of flags.",260,{"inputs":[{"name":"self"},{"name":"gfilecreateflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",260,{"inputs":[{"name":"self"},{"name":"gfilecreateflags"}],"output":{"name":"gfilecreateflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",260,{"inputs":[{"name":"self"},{"name":"gfilecreateflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",260,{"inputs":[{"name":"self"},{"name":"gfilecreateflags"}],"output":{"name":"gfilecreateflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",260,{"inputs":[{"name":"self"},{"name":"gfilecreateflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",260,{"inputs":[{"name":"self"},{"name":"gfilecreateflags"}],"output":{"name":"gfilecreateflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",260,{"inputs":[{"name":"self"},{"name":"gfilecreateflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",260,{"inputs":[{"name":"self"}],"output":{"name":"gfilecreateflags"}}],[11,"extend","","",260,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",260,{"inputs":[{"name":"t"}],"output":{"name":"gfilecreateflags"}}],[11,"eq","","",261,{"inputs":[{"name":"self"},{"name":"gfilemeasureflags"}],"output":{"name":"bool"}}],[11,"ne","","",261,{"inputs":[{"name":"self"},{"name":"gfilemeasureflags"}],"output":{"name":"bool"}}],[11,"clone","","",261,{"inputs":[{"name":"self"}],"output":{"name":"gfilemeasureflags"}}],[11,"partial_cmp","","",261,{"inputs":[{"name":"self"},{"name":"gfilemeasureflags"}],"output":{"name":"option"}}],[11,"lt","","",261,{"inputs":[{"name":"self"},{"name":"gfilemeasureflags"}],"output":{"name":"bool"}}],[11,"le","","",261,{"inputs":[{"name":"self"},{"name":"gfilemeasureflags"}],"output":{"name":"bool"}}],[11,"gt","","",261,{"inputs":[{"name":"self"},{"name":"gfilemeasureflags"}],"output":{"name":"bool"}}],[11,"ge","","",261,{"inputs":[{"name":"self"},{"name":"gfilemeasureflags"}],"output":{"name":"bool"}}],[11,"cmp","","",261,{"inputs":[{"name":"self"},{"name":"gfilemeasureflags"}],"output":{"name":"ordering"}}],[11,"hash","","",261,null],[11,"fmt","","",261,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",261,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",261,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",261,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",261,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",261,{"inputs":[],"output":{"name":"gfilemeasureflags"}}],[11,"all","","Returns the set containing all flags.",261,{"inputs":[],"output":{"name":"gfilemeasureflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",261,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",261,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",261,{"inputs":[{"name":"c_uint"}],"output":{"name":"gfilemeasureflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",261,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",261,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",261,{"inputs":[{"name":"self"},{"name":"gfilemeasureflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",261,{"inputs":[{"name":"self"},{"name":"gfilemeasureflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",261,{"inputs":[{"name":"self"},{"name":"gfilemeasureflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",261,{"inputs":[{"name":"self"},{"name":"gfilemeasureflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",261,{"inputs":[{"name":"self"},{"name":"gfilemeasureflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",261,{"inputs":[{"name":"self"},{"name":"gfilemeasureflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",261,{"inputs":[{"name":"self"},{"name":"gfilemeasureflags"}],"output":{"name":"gfilemeasureflags"}}],[11,"bitor_assign","","Adds the set of flags.",261,{"inputs":[{"name":"self"},{"name":"gfilemeasureflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",261,{"inputs":[{"name":"self"},{"name":"gfilemeasureflags"}],"output":{"name":"gfilemeasureflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",261,{"inputs":[{"name":"self"},{"name":"gfilemeasureflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",261,{"inputs":[{"name":"self"},{"name":"gfilemeasureflags"}],"output":{"name":"gfilemeasureflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",261,{"inputs":[{"name":"self"},{"name":"gfilemeasureflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",261,{"inputs":[{"name":"self"},{"name":"gfilemeasureflags"}],"output":{"name":"gfilemeasureflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",261,{"inputs":[{"name":"self"},{"name":"gfilemeasureflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",261,{"inputs":[{"name":"self"}],"output":{"name":"gfilemeasureflags"}}],[11,"extend","","",261,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",261,{"inputs":[{"name":"t"}],"output":{"name":"gfilemeasureflags"}}],[11,"eq","","",262,{"inputs":[{"name":"self"},{"name":"gfilemonitorflags"}],"output":{"name":"bool"}}],[11,"ne","","",262,{"inputs":[{"name":"self"},{"name":"gfilemonitorflags"}],"output":{"name":"bool"}}],[11,"clone","","",262,{"inputs":[{"name":"self"}],"output":{"name":"gfilemonitorflags"}}],[11,"partial_cmp","","",262,{"inputs":[{"name":"self"},{"name":"gfilemonitorflags"}],"output":{"name":"option"}}],[11,"lt","","",262,{"inputs":[{"name":"self"},{"name":"gfilemonitorflags"}],"output":{"name":"bool"}}],[11,"le","","",262,{"inputs":[{"name":"self"},{"name":"gfilemonitorflags"}],"output":{"name":"bool"}}],[11,"gt","","",262,{"inputs":[{"name":"self"},{"name":"gfilemonitorflags"}],"output":{"name":"bool"}}],[11,"ge","","",262,{"inputs":[{"name":"self"},{"name":"gfilemonitorflags"}],"output":{"name":"bool"}}],[11,"cmp","","",262,{"inputs":[{"name":"self"},{"name":"gfilemonitorflags"}],"output":{"name":"ordering"}}],[11,"hash","","",262,null],[11,"fmt","","",262,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",262,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",262,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",262,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",262,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",262,{"inputs":[],"output":{"name":"gfilemonitorflags"}}],[11,"all","","Returns the set containing all flags.",262,{"inputs":[],"output":{"name":"gfilemonitorflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",262,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",262,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",262,{"inputs":[{"name":"c_uint"}],"output":{"name":"gfilemonitorflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",262,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",262,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",262,{"inputs":[{"name":"self"},{"name":"gfilemonitorflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",262,{"inputs":[{"name":"self"},{"name":"gfilemonitorflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",262,{"inputs":[{"name":"self"},{"name":"gfilemonitorflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",262,{"inputs":[{"name":"self"},{"name":"gfilemonitorflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",262,{"inputs":[{"name":"self"},{"name":"gfilemonitorflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",262,{"inputs":[{"name":"self"},{"name":"gfilemonitorflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",262,{"inputs":[{"name":"self"},{"name":"gfilemonitorflags"}],"output":{"name":"gfilemonitorflags"}}],[11,"bitor_assign","","Adds the set of flags.",262,{"inputs":[{"name":"self"},{"name":"gfilemonitorflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",262,{"inputs":[{"name":"self"},{"name":"gfilemonitorflags"}],"output":{"name":"gfilemonitorflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",262,{"inputs":[{"name":"self"},{"name":"gfilemonitorflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",262,{"inputs":[{"name":"self"},{"name":"gfilemonitorflags"}],"output":{"name":"gfilemonitorflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",262,{"inputs":[{"name":"self"},{"name":"gfilemonitorflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",262,{"inputs":[{"name":"self"},{"name":"gfilemonitorflags"}],"output":{"name":"gfilemonitorflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",262,{"inputs":[{"name":"self"},{"name":"gfilemonitorflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",262,{"inputs":[{"name":"self"}],"output":{"name":"gfilemonitorflags"}}],[11,"extend","","",262,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",262,{"inputs":[{"name":"t"}],"output":{"name":"gfilemonitorflags"}}],[11,"eq","","",263,{"inputs":[{"name":"self"},{"name":"gfilequeryinfoflags"}],"output":{"name":"bool"}}],[11,"ne","","",263,{"inputs":[{"name":"self"},{"name":"gfilequeryinfoflags"}],"output":{"name":"bool"}}],[11,"clone","","",263,{"inputs":[{"name":"self"}],"output":{"name":"gfilequeryinfoflags"}}],[11,"partial_cmp","","",263,{"inputs":[{"name":"self"},{"name":"gfilequeryinfoflags"}],"output":{"name":"option"}}],[11,"lt","","",263,{"inputs":[{"name":"self"},{"name":"gfilequeryinfoflags"}],"output":{"name":"bool"}}],[11,"le","","",263,{"inputs":[{"name":"self"},{"name":"gfilequeryinfoflags"}],"output":{"name":"bool"}}],[11,"gt","","",263,{"inputs":[{"name":"self"},{"name":"gfilequeryinfoflags"}],"output":{"name":"bool"}}],[11,"ge","","",263,{"inputs":[{"name":"self"},{"name":"gfilequeryinfoflags"}],"output":{"name":"bool"}}],[11,"cmp","","",263,{"inputs":[{"name":"self"},{"name":"gfilequeryinfoflags"}],"output":{"name":"ordering"}}],[11,"hash","","",263,null],[11,"fmt","","",263,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",263,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",263,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",263,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",263,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",263,{"inputs":[],"output":{"name":"gfilequeryinfoflags"}}],[11,"all","","Returns the set containing all flags.",263,{"inputs":[],"output":{"name":"gfilequeryinfoflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",263,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",263,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",263,{"inputs":[{"name":"c_uint"}],"output":{"name":"gfilequeryinfoflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",263,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",263,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",263,{"inputs":[{"name":"self"},{"name":"gfilequeryinfoflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",263,{"inputs":[{"name":"self"},{"name":"gfilequeryinfoflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",263,{"inputs":[{"name":"self"},{"name":"gfilequeryinfoflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",263,{"inputs":[{"name":"self"},{"name":"gfilequeryinfoflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",263,{"inputs":[{"name":"self"},{"name":"gfilequeryinfoflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",263,{"inputs":[{"name":"self"},{"name":"gfilequeryinfoflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",263,{"inputs":[{"name":"self"},{"name":"gfilequeryinfoflags"}],"output":{"name":"gfilequeryinfoflags"}}],[11,"bitor_assign","","Adds the set of flags.",263,{"inputs":[{"name":"self"},{"name":"gfilequeryinfoflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",263,{"inputs":[{"name":"self"},{"name":"gfilequeryinfoflags"}],"output":{"name":"gfilequeryinfoflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",263,{"inputs":[{"name":"self"},{"name":"gfilequeryinfoflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",263,{"inputs":[{"name":"self"},{"name":"gfilequeryinfoflags"}],"output":{"name":"gfilequeryinfoflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",263,{"inputs":[{"name":"self"},{"name":"gfilequeryinfoflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",263,{"inputs":[{"name":"self"},{"name":"gfilequeryinfoflags"}],"output":{"name":"gfilequeryinfoflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",263,{"inputs":[{"name":"self"},{"name":"gfilequeryinfoflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",263,{"inputs":[{"name":"self"}],"output":{"name":"gfilequeryinfoflags"}}],[11,"extend","","",263,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",263,{"inputs":[{"name":"t"}],"output":{"name":"gfilequeryinfoflags"}}],[11,"eq","","",264,{"inputs":[{"name":"self"},{"name":"giostreamspliceflags"}],"output":{"name":"bool"}}],[11,"ne","","",264,{"inputs":[{"name":"self"},{"name":"giostreamspliceflags"}],"output":{"name":"bool"}}],[11,"clone","","",264,{"inputs":[{"name":"self"}],"output":{"name":"giostreamspliceflags"}}],[11,"partial_cmp","","",264,{"inputs":[{"name":"self"},{"name":"giostreamspliceflags"}],"output":{"name":"option"}}],[11,"lt","","",264,{"inputs":[{"name":"self"},{"name":"giostreamspliceflags"}],"output":{"name":"bool"}}],[11,"le","","",264,{"inputs":[{"name":"self"},{"name":"giostreamspliceflags"}],"output":{"name":"bool"}}],[11,"gt","","",264,{"inputs":[{"name":"self"},{"name":"giostreamspliceflags"}],"output":{"name":"bool"}}],[11,"ge","","",264,{"inputs":[{"name":"self"},{"name":"giostreamspliceflags"}],"output":{"name":"bool"}}],[11,"cmp","","",264,{"inputs":[{"name":"self"},{"name":"giostreamspliceflags"}],"output":{"name":"ordering"}}],[11,"hash","","",264,null],[11,"fmt","","",264,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",264,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",264,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",264,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",264,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",264,{"inputs":[],"output":{"name":"giostreamspliceflags"}}],[11,"all","","Returns the set containing all flags.",264,{"inputs":[],"output":{"name":"giostreamspliceflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",264,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",264,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",264,{"inputs":[{"name":"c_uint"}],"output":{"name":"giostreamspliceflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",264,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",264,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",264,{"inputs":[{"name":"self"},{"name":"giostreamspliceflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",264,{"inputs":[{"name":"self"},{"name":"giostreamspliceflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",264,{"inputs":[{"name":"self"},{"name":"giostreamspliceflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",264,{"inputs":[{"name":"self"},{"name":"giostreamspliceflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",264,{"inputs":[{"name":"self"},{"name":"giostreamspliceflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",264,{"inputs":[{"name":"self"},{"name":"giostreamspliceflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",264,{"inputs":[{"name":"self"},{"name":"giostreamspliceflags"}],"output":{"name":"giostreamspliceflags"}}],[11,"bitor_assign","","Adds the set of flags.",264,{"inputs":[{"name":"self"},{"name":"giostreamspliceflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",264,{"inputs":[{"name":"self"},{"name":"giostreamspliceflags"}],"output":{"name":"giostreamspliceflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",264,{"inputs":[{"name":"self"},{"name":"giostreamspliceflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",264,{"inputs":[{"name":"self"},{"name":"giostreamspliceflags"}],"output":{"name":"giostreamspliceflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",264,{"inputs":[{"name":"self"},{"name":"giostreamspliceflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",264,{"inputs":[{"name":"self"},{"name":"giostreamspliceflags"}],"output":{"name":"giostreamspliceflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",264,{"inputs":[{"name":"self"},{"name":"giostreamspliceflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",264,{"inputs":[{"name":"self"}],"output":{"name":"giostreamspliceflags"}}],[11,"extend","","",264,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",264,{"inputs":[{"name":"t"}],"output":{"name":"giostreamspliceflags"}}],[11,"eq","","",265,{"inputs":[{"name":"self"},{"name":"gmountmountflags"}],"output":{"name":"bool"}}],[11,"ne","","",265,{"inputs":[{"name":"self"},{"name":"gmountmountflags"}],"output":{"name":"bool"}}],[11,"clone","","",265,{"inputs":[{"name":"self"}],"output":{"name":"gmountmountflags"}}],[11,"partial_cmp","","",265,{"inputs":[{"name":"self"},{"name":"gmountmountflags"}],"output":{"name":"option"}}],[11,"lt","","",265,{"inputs":[{"name":"self"},{"name":"gmountmountflags"}],"output":{"name":"bool"}}],[11,"le","","",265,{"inputs":[{"name":"self"},{"name":"gmountmountflags"}],"output":{"name":"bool"}}],[11,"gt","","",265,{"inputs":[{"name":"self"},{"name":"gmountmountflags"}],"output":{"name":"bool"}}],[11,"ge","","",265,{"inputs":[{"name":"self"},{"name":"gmountmountflags"}],"output":{"name":"bool"}}],[11,"cmp","","",265,{"inputs":[{"name":"self"},{"name":"gmountmountflags"}],"output":{"name":"ordering"}}],[11,"hash","","",265,null],[11,"fmt","","",265,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",265,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",265,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",265,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",265,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",265,{"inputs":[],"output":{"name":"gmountmountflags"}}],[11,"all","","Returns the set containing all flags.",265,{"inputs":[],"output":{"name":"gmountmountflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",265,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",265,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",265,{"inputs":[{"name":"c_uint"}],"output":{"name":"gmountmountflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",265,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",265,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",265,{"inputs":[{"name":"self"},{"name":"gmountmountflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",265,{"inputs":[{"name":"self"},{"name":"gmountmountflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",265,{"inputs":[{"name":"self"},{"name":"gmountmountflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",265,{"inputs":[{"name":"self"},{"name":"gmountmountflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",265,{"inputs":[{"name":"self"},{"name":"gmountmountflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",265,{"inputs":[{"name":"self"},{"name":"gmountmountflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",265,{"inputs":[{"name":"self"},{"name":"gmountmountflags"}],"output":{"name":"gmountmountflags"}}],[11,"bitor_assign","","Adds the set of flags.",265,{"inputs":[{"name":"self"},{"name":"gmountmountflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",265,{"inputs":[{"name":"self"},{"name":"gmountmountflags"}],"output":{"name":"gmountmountflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",265,{"inputs":[{"name":"self"},{"name":"gmountmountflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",265,{"inputs":[{"name":"self"},{"name":"gmountmountflags"}],"output":{"name":"gmountmountflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",265,{"inputs":[{"name":"self"},{"name":"gmountmountflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",265,{"inputs":[{"name":"self"},{"name":"gmountmountflags"}],"output":{"name":"gmountmountflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",265,{"inputs":[{"name":"self"},{"name":"gmountmountflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",265,{"inputs":[{"name":"self"}],"output":{"name":"gmountmountflags"}}],[11,"extend","","",265,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",265,{"inputs":[{"name":"t"}],"output":{"name":"gmountmountflags"}}],[11,"eq","","",266,{"inputs":[{"name":"self"},{"name":"gmountunmountflags"}],"output":{"name":"bool"}}],[11,"ne","","",266,{"inputs":[{"name":"self"},{"name":"gmountunmountflags"}],"output":{"name":"bool"}}],[11,"clone","","",266,{"inputs":[{"name":"self"}],"output":{"name":"gmountunmountflags"}}],[11,"partial_cmp","","",266,{"inputs":[{"name":"self"},{"name":"gmountunmountflags"}],"output":{"name":"option"}}],[11,"lt","","",266,{"inputs":[{"name":"self"},{"name":"gmountunmountflags"}],"output":{"name":"bool"}}],[11,"le","","",266,{"inputs":[{"name":"self"},{"name":"gmountunmountflags"}],"output":{"name":"bool"}}],[11,"gt","","",266,{"inputs":[{"name":"self"},{"name":"gmountunmountflags"}],"output":{"name":"bool"}}],[11,"ge","","",266,{"inputs":[{"name":"self"},{"name":"gmountunmountflags"}],"output":{"name":"bool"}}],[11,"cmp","","",266,{"inputs":[{"name":"self"},{"name":"gmountunmountflags"}],"output":{"name":"ordering"}}],[11,"hash","","",266,null],[11,"fmt","","",266,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",266,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",266,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",266,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",266,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",266,{"inputs":[],"output":{"name":"gmountunmountflags"}}],[11,"all","","Returns the set containing all flags.",266,{"inputs":[],"output":{"name":"gmountunmountflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",266,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",266,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",266,{"inputs":[{"name":"c_uint"}],"output":{"name":"gmountunmountflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",266,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",266,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",266,{"inputs":[{"name":"self"},{"name":"gmountunmountflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",266,{"inputs":[{"name":"self"},{"name":"gmountunmountflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",266,{"inputs":[{"name":"self"},{"name":"gmountunmountflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",266,{"inputs":[{"name":"self"},{"name":"gmountunmountflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",266,{"inputs":[{"name":"self"},{"name":"gmountunmountflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",266,{"inputs":[{"name":"self"},{"name":"gmountunmountflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",266,{"inputs":[{"name":"self"},{"name":"gmountunmountflags"}],"output":{"name":"gmountunmountflags"}}],[11,"bitor_assign","","Adds the set of flags.",266,{"inputs":[{"name":"self"},{"name":"gmountunmountflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",266,{"inputs":[{"name":"self"},{"name":"gmountunmountflags"}],"output":{"name":"gmountunmountflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",266,{"inputs":[{"name":"self"},{"name":"gmountunmountflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",266,{"inputs":[{"name":"self"},{"name":"gmountunmountflags"}],"output":{"name":"gmountunmountflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",266,{"inputs":[{"name":"self"},{"name":"gmountunmountflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",266,{"inputs":[{"name":"self"},{"name":"gmountunmountflags"}],"output":{"name":"gmountunmountflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",266,{"inputs":[{"name":"self"},{"name":"gmountunmountflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",266,{"inputs":[{"name":"self"}],"output":{"name":"gmountunmountflags"}}],[11,"extend","","",266,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",266,{"inputs":[{"name":"t"}],"output":{"name":"gmountunmountflags"}}],[11,"eq","","",267,{"inputs":[{"name":"self"},{"name":"goutputstreamspliceflags"}],"output":{"name":"bool"}}],[11,"ne","","",267,{"inputs":[{"name":"self"},{"name":"goutputstreamspliceflags"}],"output":{"name":"bool"}}],[11,"clone","","",267,{"inputs":[{"name":"self"}],"output":{"name":"goutputstreamspliceflags"}}],[11,"partial_cmp","","",267,{"inputs":[{"name":"self"},{"name":"goutputstreamspliceflags"}],"output":{"name":"option"}}],[11,"lt","","",267,{"inputs":[{"name":"self"},{"name":"goutputstreamspliceflags"}],"output":{"name":"bool"}}],[11,"le","","",267,{"inputs":[{"name":"self"},{"name":"goutputstreamspliceflags"}],"output":{"name":"bool"}}],[11,"gt","","",267,{"inputs":[{"name":"self"},{"name":"goutputstreamspliceflags"}],"output":{"name":"bool"}}],[11,"ge","","",267,{"inputs":[{"name":"self"},{"name":"goutputstreamspliceflags"}],"output":{"name":"bool"}}],[11,"cmp","","",267,{"inputs":[{"name":"self"},{"name":"goutputstreamspliceflags"}],"output":{"name":"ordering"}}],[11,"hash","","",267,null],[11,"fmt","","",267,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",267,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",267,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",267,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",267,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",267,{"inputs":[],"output":{"name":"goutputstreamspliceflags"}}],[11,"all","","Returns the set containing all flags.",267,{"inputs":[],"output":{"name":"goutputstreamspliceflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",267,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",267,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",267,{"inputs":[{"name":"c_uint"}],"output":{"name":"goutputstreamspliceflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",267,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",267,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",267,{"inputs":[{"name":"self"},{"name":"goutputstreamspliceflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",267,{"inputs":[{"name":"self"},{"name":"goutputstreamspliceflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",267,{"inputs":[{"name":"self"},{"name":"goutputstreamspliceflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",267,{"inputs":[{"name":"self"},{"name":"goutputstreamspliceflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",267,{"inputs":[{"name":"self"},{"name":"goutputstreamspliceflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",267,{"inputs":[{"name":"self"},{"name":"goutputstreamspliceflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",267,{"inputs":[{"name":"self"},{"name":"goutputstreamspliceflags"}],"output":{"name":"goutputstreamspliceflags"}}],[11,"bitor_assign","","Adds the set of flags.",267,{"inputs":[{"name":"self"},{"name":"goutputstreamspliceflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",267,{"inputs":[{"name":"self"},{"name":"goutputstreamspliceflags"}],"output":{"name":"goutputstreamspliceflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",267,{"inputs":[{"name":"self"},{"name":"goutputstreamspliceflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",267,{"inputs":[{"name":"self"},{"name":"goutputstreamspliceflags"}],"output":{"name":"goutputstreamspliceflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",267,{"inputs":[{"name":"self"},{"name":"goutputstreamspliceflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",267,{"inputs":[{"name":"self"},{"name":"goutputstreamspliceflags"}],"output":{"name":"goutputstreamspliceflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",267,{"inputs":[{"name":"self"},{"name":"goutputstreamspliceflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",267,{"inputs":[{"name":"self"}],"output":{"name":"goutputstreamspliceflags"}}],[11,"extend","","",267,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",267,{"inputs":[{"name":"t"}],"output":{"name":"goutputstreamspliceflags"}}],[11,"eq","","",268,{"inputs":[{"name":"self"},{"name":"gresourceflags"}],"output":{"name":"bool"}}],[11,"ne","","",268,{"inputs":[{"name":"self"},{"name":"gresourceflags"}],"output":{"name":"bool"}}],[11,"clone","","",268,{"inputs":[{"name":"self"}],"output":{"name":"gresourceflags"}}],[11,"partial_cmp","","",268,{"inputs":[{"name":"self"},{"name":"gresourceflags"}],"output":{"name":"option"}}],[11,"lt","","",268,{"inputs":[{"name":"self"},{"name":"gresourceflags"}],"output":{"name":"bool"}}],[11,"le","","",268,{"inputs":[{"name":"self"},{"name":"gresourceflags"}],"output":{"name":"bool"}}],[11,"gt","","",268,{"inputs":[{"name":"self"},{"name":"gresourceflags"}],"output":{"name":"bool"}}],[11,"ge","","",268,{"inputs":[{"name":"self"},{"name":"gresourceflags"}],"output":{"name":"bool"}}],[11,"cmp","","",268,{"inputs":[{"name":"self"},{"name":"gresourceflags"}],"output":{"name":"ordering"}}],[11,"hash","","",268,null],[11,"fmt","","",268,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",268,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",268,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",268,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",268,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",268,{"inputs":[],"output":{"name":"gresourceflags"}}],[11,"all","","Returns the set containing all flags.",268,{"inputs":[],"output":{"name":"gresourceflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",268,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",268,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",268,{"inputs":[{"name":"c_uint"}],"output":{"name":"gresourceflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",268,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",268,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",268,{"inputs":[{"name":"self"},{"name":"gresourceflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",268,{"inputs":[{"name":"self"},{"name":"gresourceflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",268,{"inputs":[{"name":"self"},{"name":"gresourceflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",268,{"inputs":[{"name":"self"},{"name":"gresourceflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",268,{"inputs":[{"name":"self"},{"name":"gresourceflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",268,{"inputs":[{"name":"self"},{"name":"gresourceflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",268,{"inputs":[{"name":"self"},{"name":"gresourceflags"}],"output":{"name":"gresourceflags"}}],[11,"bitor_assign","","Adds the set of flags.",268,{"inputs":[{"name":"self"},{"name":"gresourceflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",268,{"inputs":[{"name":"self"},{"name":"gresourceflags"}],"output":{"name":"gresourceflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",268,{"inputs":[{"name":"self"},{"name":"gresourceflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",268,{"inputs":[{"name":"self"},{"name":"gresourceflags"}],"output":{"name":"gresourceflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",268,{"inputs":[{"name":"self"},{"name":"gresourceflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",268,{"inputs":[{"name":"self"},{"name":"gresourceflags"}],"output":{"name":"gresourceflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",268,{"inputs":[{"name":"self"},{"name":"gresourceflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",268,{"inputs":[{"name":"self"}],"output":{"name":"gresourceflags"}}],[11,"extend","","",268,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",268,{"inputs":[{"name":"t"}],"output":{"name":"gresourceflags"}}],[11,"eq","","",269,{"inputs":[{"name":"self"},{"name":"gresourcelookupflags"}],"output":{"name":"bool"}}],[11,"ne","","",269,{"inputs":[{"name":"self"},{"name":"gresourcelookupflags"}],"output":{"name":"bool"}}],[11,"clone","","",269,{"inputs":[{"name":"self"}],"output":{"name":"gresourcelookupflags"}}],[11,"partial_cmp","","",269,{"inputs":[{"name":"self"},{"name":"gresourcelookupflags"}],"output":{"name":"option"}}],[11,"lt","","",269,{"inputs":[{"name":"self"},{"name":"gresourcelookupflags"}],"output":{"name":"bool"}}],[11,"le","","",269,{"inputs":[{"name":"self"},{"name":"gresourcelookupflags"}],"output":{"name":"bool"}}],[11,"gt","","",269,{"inputs":[{"name":"self"},{"name":"gresourcelookupflags"}],"output":{"name":"bool"}}],[11,"ge","","",269,{"inputs":[{"name":"self"},{"name":"gresourcelookupflags"}],"output":{"name":"bool"}}],[11,"cmp","","",269,{"inputs":[{"name":"self"},{"name":"gresourcelookupflags"}],"output":{"name":"ordering"}}],[11,"hash","","",269,null],[11,"fmt","","",269,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",269,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",269,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",269,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",269,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",269,{"inputs":[],"output":{"name":"gresourcelookupflags"}}],[11,"all","","Returns the set containing all flags.",269,{"inputs":[],"output":{"name":"gresourcelookupflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",269,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",269,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",269,{"inputs":[{"name":"c_uint"}],"output":{"name":"gresourcelookupflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",269,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",269,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",269,{"inputs":[{"name":"self"},{"name":"gresourcelookupflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",269,{"inputs":[{"name":"self"},{"name":"gresourcelookupflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",269,{"inputs":[{"name":"self"},{"name":"gresourcelookupflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",269,{"inputs":[{"name":"self"},{"name":"gresourcelookupflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",269,{"inputs":[{"name":"self"},{"name":"gresourcelookupflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",269,{"inputs":[{"name":"self"},{"name":"gresourcelookupflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",269,{"inputs":[{"name":"self"},{"name":"gresourcelookupflags"}],"output":{"name":"gresourcelookupflags"}}],[11,"bitor_assign","","Adds the set of flags.",269,{"inputs":[{"name":"self"},{"name":"gresourcelookupflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",269,{"inputs":[{"name":"self"},{"name":"gresourcelookupflags"}],"output":{"name":"gresourcelookupflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",269,{"inputs":[{"name":"self"},{"name":"gresourcelookupflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",269,{"inputs":[{"name":"self"},{"name":"gresourcelookupflags"}],"output":{"name":"gresourcelookupflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",269,{"inputs":[{"name":"self"},{"name":"gresourcelookupflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",269,{"inputs":[{"name":"self"},{"name":"gresourcelookupflags"}],"output":{"name":"gresourcelookupflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",269,{"inputs":[{"name":"self"},{"name":"gresourcelookupflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",269,{"inputs":[{"name":"self"}],"output":{"name":"gresourcelookupflags"}}],[11,"extend","","",269,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",269,{"inputs":[{"name":"t"}],"output":{"name":"gresourcelookupflags"}}],[11,"eq","","",270,{"inputs":[{"name":"self"},{"name":"gsettingsbindflags"}],"output":{"name":"bool"}}],[11,"ne","","",270,{"inputs":[{"name":"self"},{"name":"gsettingsbindflags"}],"output":{"name":"bool"}}],[11,"clone","","",270,{"inputs":[{"name":"self"}],"output":{"name":"gsettingsbindflags"}}],[11,"partial_cmp","","",270,{"inputs":[{"name":"self"},{"name":"gsettingsbindflags"}],"output":{"name":"option"}}],[11,"lt","","",270,{"inputs":[{"name":"self"},{"name":"gsettingsbindflags"}],"output":{"name":"bool"}}],[11,"le","","",270,{"inputs":[{"name":"self"},{"name":"gsettingsbindflags"}],"output":{"name":"bool"}}],[11,"gt","","",270,{"inputs":[{"name":"self"},{"name":"gsettingsbindflags"}],"output":{"name":"bool"}}],[11,"ge","","",270,{"inputs":[{"name":"self"},{"name":"gsettingsbindflags"}],"output":{"name":"bool"}}],[11,"cmp","","",270,{"inputs":[{"name":"self"},{"name":"gsettingsbindflags"}],"output":{"name":"ordering"}}],[11,"hash","","",270,null],[11,"fmt","","",270,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",270,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",270,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",270,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",270,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",270,{"inputs":[],"output":{"name":"gsettingsbindflags"}}],[11,"all","","Returns the set containing all flags.",270,{"inputs":[],"output":{"name":"gsettingsbindflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",270,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",270,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",270,{"inputs":[{"name":"c_uint"}],"output":{"name":"gsettingsbindflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",270,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",270,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",270,{"inputs":[{"name":"self"},{"name":"gsettingsbindflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",270,{"inputs":[{"name":"self"},{"name":"gsettingsbindflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",270,{"inputs":[{"name":"self"},{"name":"gsettingsbindflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",270,{"inputs":[{"name":"self"},{"name":"gsettingsbindflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",270,{"inputs":[{"name":"self"},{"name":"gsettingsbindflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",270,{"inputs":[{"name":"self"},{"name":"gsettingsbindflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",270,{"inputs":[{"name":"self"},{"name":"gsettingsbindflags"}],"output":{"name":"gsettingsbindflags"}}],[11,"bitor_assign","","Adds the set of flags.",270,{"inputs":[{"name":"self"},{"name":"gsettingsbindflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",270,{"inputs":[{"name":"self"},{"name":"gsettingsbindflags"}],"output":{"name":"gsettingsbindflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",270,{"inputs":[{"name":"self"},{"name":"gsettingsbindflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",270,{"inputs":[{"name":"self"},{"name":"gsettingsbindflags"}],"output":{"name":"gsettingsbindflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",270,{"inputs":[{"name":"self"},{"name":"gsettingsbindflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",270,{"inputs":[{"name":"self"},{"name":"gsettingsbindflags"}],"output":{"name":"gsettingsbindflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",270,{"inputs":[{"name":"self"},{"name":"gsettingsbindflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",270,{"inputs":[{"name":"self"}],"output":{"name":"gsettingsbindflags"}}],[11,"extend","","",270,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",270,{"inputs":[{"name":"t"}],"output":{"name":"gsettingsbindflags"}}],[11,"eq","","",271,{"inputs":[{"name":"self"},{"name":"gsocketmsgflags"}],"output":{"name":"bool"}}],[11,"ne","","",271,{"inputs":[{"name":"self"},{"name":"gsocketmsgflags"}],"output":{"name":"bool"}}],[11,"clone","","",271,{"inputs":[{"name":"self"}],"output":{"name":"gsocketmsgflags"}}],[11,"partial_cmp","","",271,{"inputs":[{"name":"self"},{"name":"gsocketmsgflags"}],"output":{"name":"option"}}],[11,"lt","","",271,{"inputs":[{"name":"self"},{"name":"gsocketmsgflags"}],"output":{"name":"bool"}}],[11,"le","","",271,{"inputs":[{"name":"self"},{"name":"gsocketmsgflags"}],"output":{"name":"bool"}}],[11,"gt","","",271,{"inputs":[{"name":"self"},{"name":"gsocketmsgflags"}],"output":{"name":"bool"}}],[11,"ge","","",271,{"inputs":[{"name":"self"},{"name":"gsocketmsgflags"}],"output":{"name":"bool"}}],[11,"cmp","","",271,{"inputs":[{"name":"self"},{"name":"gsocketmsgflags"}],"output":{"name":"ordering"}}],[11,"hash","","",271,null],[11,"fmt","","",271,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",271,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",271,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",271,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",271,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",271,{"inputs":[],"output":{"name":"gsocketmsgflags"}}],[11,"all","","Returns the set containing all flags.",271,{"inputs":[],"output":{"name":"gsocketmsgflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",271,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",271,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",271,{"inputs":[{"name":"c_uint"}],"output":{"name":"gsocketmsgflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",271,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",271,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",271,{"inputs":[{"name":"self"},{"name":"gsocketmsgflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",271,{"inputs":[{"name":"self"},{"name":"gsocketmsgflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",271,{"inputs":[{"name":"self"},{"name":"gsocketmsgflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",271,{"inputs":[{"name":"self"},{"name":"gsocketmsgflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",271,{"inputs":[{"name":"self"},{"name":"gsocketmsgflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",271,{"inputs":[{"name":"self"},{"name":"gsocketmsgflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",271,{"inputs":[{"name":"self"},{"name":"gsocketmsgflags"}],"output":{"name":"gsocketmsgflags"}}],[11,"bitor_assign","","Adds the set of flags.",271,{"inputs":[{"name":"self"},{"name":"gsocketmsgflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",271,{"inputs":[{"name":"self"},{"name":"gsocketmsgflags"}],"output":{"name":"gsocketmsgflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",271,{"inputs":[{"name":"self"},{"name":"gsocketmsgflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",271,{"inputs":[{"name":"self"},{"name":"gsocketmsgflags"}],"output":{"name":"gsocketmsgflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",271,{"inputs":[{"name":"self"},{"name":"gsocketmsgflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",271,{"inputs":[{"name":"self"},{"name":"gsocketmsgflags"}],"output":{"name":"gsocketmsgflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",271,{"inputs":[{"name":"self"},{"name":"gsocketmsgflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",271,{"inputs":[{"name":"self"}],"output":{"name":"gsocketmsgflags"}}],[11,"extend","","",271,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",271,{"inputs":[{"name":"t"}],"output":{"name":"gsocketmsgflags"}}],[11,"eq","","",272,{"inputs":[{"name":"self"},{"name":"gsubprocessflags"}],"output":{"name":"bool"}}],[11,"ne","","",272,{"inputs":[{"name":"self"},{"name":"gsubprocessflags"}],"output":{"name":"bool"}}],[11,"clone","","",272,{"inputs":[{"name":"self"}],"output":{"name":"gsubprocessflags"}}],[11,"partial_cmp","","",272,{"inputs":[{"name":"self"},{"name":"gsubprocessflags"}],"output":{"name":"option"}}],[11,"lt","","",272,{"inputs":[{"name":"self"},{"name":"gsubprocessflags"}],"output":{"name":"bool"}}],[11,"le","","",272,{"inputs":[{"name":"self"},{"name":"gsubprocessflags"}],"output":{"name":"bool"}}],[11,"gt","","",272,{"inputs":[{"name":"self"},{"name":"gsubprocessflags"}],"output":{"name":"bool"}}],[11,"ge","","",272,{"inputs":[{"name":"self"},{"name":"gsubprocessflags"}],"output":{"name":"bool"}}],[11,"cmp","","",272,{"inputs":[{"name":"self"},{"name":"gsubprocessflags"}],"output":{"name":"ordering"}}],[11,"hash","","",272,null],[11,"fmt","","",272,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",272,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",272,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",272,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",272,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",272,{"inputs":[],"output":{"name":"gsubprocessflags"}}],[11,"all","","Returns the set containing all flags.",272,{"inputs":[],"output":{"name":"gsubprocessflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",272,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",272,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",272,{"inputs":[{"name":"c_uint"}],"output":{"name":"gsubprocessflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",272,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",272,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",272,{"inputs":[{"name":"self"},{"name":"gsubprocessflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",272,{"inputs":[{"name":"self"},{"name":"gsubprocessflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",272,{"inputs":[{"name":"self"},{"name":"gsubprocessflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",272,{"inputs":[{"name":"self"},{"name":"gsubprocessflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",272,{"inputs":[{"name":"self"},{"name":"gsubprocessflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",272,{"inputs":[{"name":"self"},{"name":"gsubprocessflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",272,{"inputs":[{"name":"self"},{"name":"gsubprocessflags"}],"output":{"name":"gsubprocessflags"}}],[11,"bitor_assign","","Adds the set of flags.",272,{"inputs":[{"name":"self"},{"name":"gsubprocessflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",272,{"inputs":[{"name":"self"},{"name":"gsubprocessflags"}],"output":{"name":"gsubprocessflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",272,{"inputs":[{"name":"self"},{"name":"gsubprocessflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",272,{"inputs":[{"name":"self"},{"name":"gsubprocessflags"}],"output":{"name":"gsubprocessflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",272,{"inputs":[{"name":"self"},{"name":"gsubprocessflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",272,{"inputs":[{"name":"self"},{"name":"gsubprocessflags"}],"output":{"name":"gsubprocessflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",272,{"inputs":[{"name":"self"},{"name":"gsubprocessflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",272,{"inputs":[{"name":"self"}],"output":{"name":"gsubprocessflags"}}],[11,"extend","","",272,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",272,{"inputs":[{"name":"t"}],"output":{"name":"gsubprocessflags"}}],[11,"eq","","",273,{"inputs":[{"name":"self"},{"name":"gtestdbusflags"}],"output":{"name":"bool"}}],[11,"ne","","",273,{"inputs":[{"name":"self"},{"name":"gtestdbusflags"}],"output":{"name":"bool"}}],[11,"clone","","",273,{"inputs":[{"name":"self"}],"output":{"name":"gtestdbusflags"}}],[11,"partial_cmp","","",273,{"inputs":[{"name":"self"},{"name":"gtestdbusflags"}],"output":{"name":"option"}}],[11,"lt","","",273,{"inputs":[{"name":"self"},{"name":"gtestdbusflags"}],"output":{"name":"bool"}}],[11,"le","","",273,{"inputs":[{"name":"self"},{"name":"gtestdbusflags"}],"output":{"name":"bool"}}],[11,"gt","","",273,{"inputs":[{"name":"self"},{"name":"gtestdbusflags"}],"output":{"name":"bool"}}],[11,"ge","","",273,{"inputs":[{"name":"self"},{"name":"gtestdbusflags"}],"output":{"name":"bool"}}],[11,"cmp","","",273,{"inputs":[{"name":"self"},{"name":"gtestdbusflags"}],"output":{"name":"ordering"}}],[11,"hash","","",273,null],[11,"fmt","","",273,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",273,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",273,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",273,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",273,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",273,{"inputs":[],"output":{"name":"gtestdbusflags"}}],[11,"all","","Returns the set containing all flags.",273,{"inputs":[],"output":{"name":"gtestdbusflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",273,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",273,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",273,{"inputs":[{"name":"c_uint"}],"output":{"name":"gtestdbusflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",273,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",273,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",273,{"inputs":[{"name":"self"},{"name":"gtestdbusflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",273,{"inputs":[{"name":"self"},{"name":"gtestdbusflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",273,{"inputs":[{"name":"self"},{"name":"gtestdbusflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",273,{"inputs":[{"name":"self"},{"name":"gtestdbusflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",273,{"inputs":[{"name":"self"},{"name":"gtestdbusflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",273,{"inputs":[{"name":"self"},{"name":"gtestdbusflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",273,{"inputs":[{"name":"self"},{"name":"gtestdbusflags"}],"output":{"name":"gtestdbusflags"}}],[11,"bitor_assign","","Adds the set of flags.",273,{"inputs":[{"name":"self"},{"name":"gtestdbusflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",273,{"inputs":[{"name":"self"},{"name":"gtestdbusflags"}],"output":{"name":"gtestdbusflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",273,{"inputs":[{"name":"self"},{"name":"gtestdbusflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",273,{"inputs":[{"name":"self"},{"name":"gtestdbusflags"}],"output":{"name":"gtestdbusflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",273,{"inputs":[{"name":"self"},{"name":"gtestdbusflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",273,{"inputs":[{"name":"self"},{"name":"gtestdbusflags"}],"output":{"name":"gtestdbusflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",273,{"inputs":[{"name":"self"},{"name":"gtestdbusflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",273,{"inputs":[{"name":"self"}],"output":{"name":"gtestdbusflags"}}],[11,"extend","","",273,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",273,{"inputs":[{"name":"t"}],"output":{"name":"gtestdbusflags"}}],[11,"eq","","",274,{"inputs":[{"name":"self"},{"name":"gtlscertificateflags"}],"output":{"name":"bool"}}],[11,"ne","","",274,{"inputs":[{"name":"self"},{"name":"gtlscertificateflags"}],"output":{"name":"bool"}}],[11,"clone","","",274,{"inputs":[{"name":"self"}],"output":{"name":"gtlscertificateflags"}}],[11,"partial_cmp","","",274,{"inputs":[{"name":"self"},{"name":"gtlscertificateflags"}],"output":{"name":"option"}}],[11,"lt","","",274,{"inputs":[{"name":"self"},{"name":"gtlscertificateflags"}],"output":{"name":"bool"}}],[11,"le","","",274,{"inputs":[{"name":"self"},{"name":"gtlscertificateflags"}],"output":{"name":"bool"}}],[11,"gt","","",274,{"inputs":[{"name":"self"},{"name":"gtlscertificateflags"}],"output":{"name":"bool"}}],[11,"ge","","",274,{"inputs":[{"name":"self"},{"name":"gtlscertificateflags"}],"output":{"name":"bool"}}],[11,"cmp","","",274,{"inputs":[{"name":"self"},{"name":"gtlscertificateflags"}],"output":{"name":"ordering"}}],[11,"hash","","",274,null],[11,"fmt","","",274,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",274,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",274,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",274,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",274,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",274,{"inputs":[],"output":{"name":"gtlscertificateflags"}}],[11,"all","","Returns the set containing all flags.",274,{"inputs":[],"output":{"name":"gtlscertificateflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",274,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",274,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",274,{"inputs":[{"name":"c_uint"}],"output":{"name":"gtlscertificateflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",274,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",274,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",274,{"inputs":[{"name":"self"},{"name":"gtlscertificateflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",274,{"inputs":[{"name":"self"},{"name":"gtlscertificateflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",274,{"inputs":[{"name":"self"},{"name":"gtlscertificateflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",274,{"inputs":[{"name":"self"},{"name":"gtlscertificateflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",274,{"inputs":[{"name":"self"},{"name":"gtlscertificateflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",274,{"inputs":[{"name":"self"},{"name":"gtlscertificateflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",274,{"inputs":[{"name":"self"},{"name":"gtlscertificateflags"}],"output":{"name":"gtlscertificateflags"}}],[11,"bitor_assign","","Adds the set of flags.",274,{"inputs":[{"name":"self"},{"name":"gtlscertificateflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",274,{"inputs":[{"name":"self"},{"name":"gtlscertificateflags"}],"output":{"name":"gtlscertificateflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",274,{"inputs":[{"name":"self"},{"name":"gtlscertificateflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",274,{"inputs":[{"name":"self"},{"name":"gtlscertificateflags"}],"output":{"name":"gtlscertificateflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",274,{"inputs":[{"name":"self"},{"name":"gtlscertificateflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",274,{"inputs":[{"name":"self"},{"name":"gtlscertificateflags"}],"output":{"name":"gtlscertificateflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",274,{"inputs":[{"name":"self"},{"name":"gtlscertificateflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",274,{"inputs":[{"name":"self"}],"output":{"name":"gtlscertificateflags"}}],[11,"extend","","",274,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",274,{"inputs":[{"name":"t"}],"output":{"name":"gtlscertificateflags"}}],[11,"eq","","",275,{"inputs":[{"name":"self"},{"name":"gtlsdatabaseverifyflags"}],"output":{"name":"bool"}}],[11,"ne","","",275,{"inputs":[{"name":"self"},{"name":"gtlsdatabaseverifyflags"}],"output":{"name":"bool"}}],[11,"clone","","",275,{"inputs":[{"name":"self"}],"output":{"name":"gtlsdatabaseverifyflags"}}],[11,"partial_cmp","","",275,{"inputs":[{"name":"self"},{"name":"gtlsdatabaseverifyflags"}],"output":{"name":"option"}}],[11,"lt","","",275,{"inputs":[{"name":"self"},{"name":"gtlsdatabaseverifyflags"}],"output":{"name":"bool"}}],[11,"le","","",275,{"inputs":[{"name":"self"},{"name":"gtlsdatabaseverifyflags"}],"output":{"name":"bool"}}],[11,"gt","","",275,{"inputs":[{"name":"self"},{"name":"gtlsdatabaseverifyflags"}],"output":{"name":"bool"}}],[11,"ge","","",275,{"inputs":[{"name":"self"},{"name":"gtlsdatabaseverifyflags"}],"output":{"name":"bool"}}],[11,"cmp","","",275,{"inputs":[{"name":"self"},{"name":"gtlsdatabaseverifyflags"}],"output":{"name":"ordering"}}],[11,"hash","","",275,null],[11,"fmt","","",275,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",275,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",275,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",275,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",275,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",275,{"inputs":[],"output":{"name":"gtlsdatabaseverifyflags"}}],[11,"all","","Returns the set containing all flags.",275,{"inputs":[],"output":{"name":"gtlsdatabaseverifyflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",275,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",275,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",275,{"inputs":[{"name":"c_uint"}],"output":{"name":"gtlsdatabaseverifyflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",275,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",275,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",275,{"inputs":[{"name":"self"},{"name":"gtlsdatabaseverifyflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",275,{"inputs":[{"name":"self"},{"name":"gtlsdatabaseverifyflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",275,{"inputs":[{"name":"self"},{"name":"gtlsdatabaseverifyflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",275,{"inputs":[{"name":"self"},{"name":"gtlsdatabaseverifyflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",275,{"inputs":[{"name":"self"},{"name":"gtlsdatabaseverifyflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",275,{"inputs":[{"name":"self"},{"name":"gtlsdatabaseverifyflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",275,{"inputs":[{"name":"self"},{"name":"gtlsdatabaseverifyflags"}],"output":{"name":"gtlsdatabaseverifyflags"}}],[11,"bitor_assign","","Adds the set of flags.",275,{"inputs":[{"name":"self"},{"name":"gtlsdatabaseverifyflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",275,{"inputs":[{"name":"self"},{"name":"gtlsdatabaseverifyflags"}],"output":{"name":"gtlsdatabaseverifyflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",275,{"inputs":[{"name":"self"},{"name":"gtlsdatabaseverifyflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",275,{"inputs":[{"name":"self"},{"name":"gtlsdatabaseverifyflags"}],"output":{"name":"gtlsdatabaseverifyflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",275,{"inputs":[{"name":"self"},{"name":"gtlsdatabaseverifyflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",275,{"inputs":[{"name":"self"},{"name":"gtlsdatabaseverifyflags"}],"output":{"name":"gtlsdatabaseverifyflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",275,{"inputs":[{"name":"self"},{"name":"gtlsdatabaseverifyflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",275,{"inputs":[{"name":"self"}],"output":{"name":"gtlsdatabaseverifyflags"}}],[11,"extend","","",275,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",275,{"inputs":[{"name":"t"}],"output":{"name":"gtlsdatabaseverifyflags"}}],[11,"eq","","",276,{"inputs":[{"name":"self"},{"name":"gtlspasswordflags"}],"output":{"name":"bool"}}],[11,"ne","","",276,{"inputs":[{"name":"self"},{"name":"gtlspasswordflags"}],"output":{"name":"bool"}}],[11,"clone","","",276,{"inputs":[{"name":"self"}],"output":{"name":"gtlspasswordflags"}}],[11,"partial_cmp","","",276,{"inputs":[{"name":"self"},{"name":"gtlspasswordflags"}],"output":{"name":"option"}}],[11,"lt","","",276,{"inputs":[{"name":"self"},{"name":"gtlspasswordflags"}],"output":{"name":"bool"}}],[11,"le","","",276,{"inputs":[{"name":"self"},{"name":"gtlspasswordflags"}],"output":{"name":"bool"}}],[11,"gt","","",276,{"inputs":[{"name":"self"},{"name":"gtlspasswordflags"}],"output":{"name":"bool"}}],[11,"ge","","",276,{"inputs":[{"name":"self"},{"name":"gtlspasswordflags"}],"output":{"name":"bool"}}],[11,"cmp","","",276,{"inputs":[{"name":"self"},{"name":"gtlspasswordflags"}],"output":{"name":"ordering"}}],[11,"hash","","",276,null],[11,"fmt","","",276,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",276,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",276,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",276,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",276,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",276,{"inputs":[],"output":{"name":"gtlspasswordflags"}}],[11,"all","","Returns the set containing all flags.",276,{"inputs":[],"output":{"name":"gtlspasswordflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",276,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",276,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",276,{"inputs":[{"name":"c_uint"}],"output":{"name":"gtlspasswordflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",276,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",276,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",276,{"inputs":[{"name":"self"},{"name":"gtlspasswordflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",276,{"inputs":[{"name":"self"},{"name":"gtlspasswordflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",276,{"inputs":[{"name":"self"},{"name":"gtlspasswordflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",276,{"inputs":[{"name":"self"},{"name":"gtlspasswordflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",276,{"inputs":[{"name":"self"},{"name":"gtlspasswordflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",276,{"inputs":[{"name":"self"},{"name":"gtlspasswordflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",276,{"inputs":[{"name":"self"},{"name":"gtlspasswordflags"}],"output":{"name":"gtlspasswordflags"}}],[11,"bitor_assign","","Adds the set of flags.",276,{"inputs":[{"name":"self"},{"name":"gtlspasswordflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",276,{"inputs":[{"name":"self"},{"name":"gtlspasswordflags"}],"output":{"name":"gtlspasswordflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",276,{"inputs":[{"name":"self"},{"name":"gtlspasswordflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",276,{"inputs":[{"name":"self"},{"name":"gtlspasswordflags"}],"output":{"name":"gtlspasswordflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",276,{"inputs":[{"name":"self"},{"name":"gtlspasswordflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",276,{"inputs":[{"name":"self"},{"name":"gtlspasswordflags"}],"output":{"name":"gtlspasswordflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",276,{"inputs":[{"name":"self"},{"name":"gtlspasswordflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",276,{"inputs":[{"name":"self"}],"output":{"name":"gtlspasswordflags"}}],[11,"extend","","",276,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",276,{"inputs":[{"name":"t"}],"output":{"name":"gtlspasswordflags"}}]],"paths":[[3,"GActionEntry"],[3,"GActionGroupInterface"],[3,"GActionInterface"],[3,"GActionMapInterface"],[3,"GAppInfoIface"],[3,"GAppLaunchContextClass"],[3,"GApplicationClass"],[3,"GApplicationCommandLineClass"],[3,"GAsyncInitableIface"],[3,"GAsyncResultIface"],[3,"GBufferedInputStreamClass"],[3,"GBufferedOutputStreamClass"],[3,"GCancellableClass"],[3,"GCharsetConverterClass"],[3,"GConverterIface"],[3,"GConverterInputStreamClass"],[3,"GConverterOutputStreamClass"],[3,"GDBusAnnotationInfo"],[3,"GDBusArgInfo"],[3,"GDBusErrorEntry"],[3,"GDBusInterfaceIface"],[3,"GDBusInterfaceInfo"],[3,"GDBusInterfaceSkeletonClass"],[3,"GDBusInterfaceVTable"],[3,"GDBusMethodInfo"],[3,"GDBusNodeInfo"],[3,"GDBusObjectIface"],[3,"GDBusObjectManagerClientClass"],[3,"GDBusObjectManagerIface"],[3,"GDBusObjectManagerServerClass"],[3,"GDBusObjectProxyClass"],[3,"GDBusObjectSkeletonClass"],[3,"GDBusPropertyInfo"],[3,"GDBusProxyClass"],[3,"GDBusSignalInfo"],[3,"GDBusSubtreeVTable"],[3,"GDataInputStreamClass"],[3,"GDataOutputStreamClass"],[3,"GDatagramBasedInterface"],[3,"GDesktopAppInfoClass"],[3,"GDesktopAppInfoLookupIface"],[3,"GDriveIface"],[3,"GDtlsClientConnectionInterface"],[3,"GDtlsConnectionInterface"],[3,"GDtlsServerConnectionInterface"],[3,"GEmblemedIconClass"],[3,"GFileAttributeInfo"],[3,"GFileAttributeInfoList"],[3,"GFileDescriptorBasedIface"],[3,"GFileEnumeratorClass"],[3,"GFileIOStreamClass"],[3,"GFileIface"],[3,"GFileInputStreamClass"],[3,"GFileMonitorClass"],[3,"GFileOutputStreamClass"],[3,"GFilenameCompleterClass"],[3,"GFilterInputStreamClass"],[3,"GFilterOutputStreamClass"],[3,"GIOStreamClass"],[3,"GIconIface"],[3,"GInetAddressClass"],[3,"GInetAddressMaskClass"],[3,"GInetSocketAddressClass"],[3,"GInitableIface"],[3,"GInputMessage"],[3,"GInputStreamClass"],[3,"GInputVector"],[3,"GListModelInterface"],[3,"GListStoreClass"],[3,"GLoadableIconIface"],[3,"GMemoryInputStreamClass"],[3,"GMemoryOutputStreamClass"],[3,"GMenuAttributeIterClass"],[3,"GMenuLinkIterClass"],[3,"GMenuModelClass"],[3,"GMountIface"],[3,"GMountOperationClass"],[3,"GNativeVolumeMonitorClass"],[3,"GNetworkAddressClass"],[3,"GNetworkMonitorInterface"],[3,"GNetworkServiceClass"],[3,"GOutputMessage"],[3,"GOutputStreamClass"],[3,"GOutputVector"],[3,"GPermissionClass"],[3,"GPollableInputStreamInterface"],[3,"GPollableOutputStreamInterface"],[3,"GProxyAddressClass"],[3,"GProxyAddressEnumeratorClass"],[3,"GProxyInterface"],[3,"GProxyResolverInterface"],[3,"GRemoteActionGroupInterface"],[3,"GResolverClass"],[3,"GSeekableIface"],[3,"GSettingsClass"],[3,"GSimpleActionGroupClass"],[3,"GSimpleProxyResolverClass"],[3,"GSocketAddressClass"],[3,"GSocketAddressEnumeratorClass"],[3,"GSocketClass"],[3,"GSocketClientClass"],[3,"GSocketConnectableIface"],[3,"GSocketConnectionClass"],[3,"GSocketControlMessageClass"],[3,"GSocketListenerClass"],[3,"GSocketServiceClass"],[3,"GStaticResource"],[3,"GTcpConnectionClass"],[3,"GTcpWrapperConnectionClass"],[3,"GThreadedSocketServiceClass"],[3,"GTlsBackendInterface"],[3,"GTlsCertificateClass"],[3,"GTlsClientConnectionInterface"],[3,"GTlsConnectionClass"],[3,"GTlsDatabaseClass"],[3,"GTlsFileDatabaseInterface"],[3,"GTlsInteractionClass"],[3,"GTlsPasswordClass"],[3,"GTlsServerConnectionInterface"],[3,"GUnixConnectionClass"],[3,"GUnixCredentialsMessageClass"],[3,"GUnixFDListClass"],[3,"GUnixFDMessageClass"],[3,"GUnixInputStreamClass"],[3,"GUnixOutputStreamClass"],[3,"GUnixSocketAddressClass"],[3,"GVfsClass"],[3,"GVolumeIface"],[3,"GVolumeMonitorClass"],[3,"GZlibCompressorClass"],[3,"GZlibDecompressorClass"],[3,"GAppLaunchContext"],[3,"GApplication"],[3,"GApplicationCommandLine"],[3,"GBufferedInputStream"],[3,"GBufferedOutputStream"],[3,"GCancellable"],[3,"GConverterInputStream"],[3,"GConverterOutputStream"],[3,"GDBusInterfaceSkeleton"],[3,"GDBusObjectManagerClient"],[3,"GDBusObjectManagerServer"],[3,"GDBusObjectProxy"],[3,"GDBusObjectSkeleton"],[3,"GDBusProxy"],[3,"GDataInputStream"],[3,"GDataOutputStream"],[3,"GEmblemedIcon"],[3,"GFileEnumerator"],[3,"GFileIOStream"],[3,"GFileInputStream"],[3,"GFileMonitor"],[3,"GFileOutputStream"],[3,"GFilterInputStream"],[3,"GFilterOutputStream"],[3,"GIOStream"],[3,"GInetAddress"],[3,"GInetAddressMask"],[3,"GInetSocketAddress"],[3,"GInputStream"],[3,"GMemoryInputStream"],[3,"GMemoryOutputStream"],[3,"GMenuAttributeIter"],[3,"GMenuLinkIter"],[3,"GMenuModel"],[3,"GMountOperation"],[3,"GNativeVolumeMonitor"],[3,"GNetworkAddress"],[3,"GNetworkService"],[3,"GOutputStream"],[3,"GPermission"],[3,"GProxyAddress"],[3,"GProxyAddressEnumerator"],[3,"GResolver"],[3,"GSettings"],[3,"GSimpleActionGroup"],[3,"GSimpleProxyResolver"],[3,"GSocket"],[3,"GSocketAddress"],[3,"GSocketAddressEnumerator"],[3,"GSocketClient"],[3,"GSocketConnection"],[3,"GSocketControlMessage"],[3,"GSocketListener"],[3,"GSocketService"],[3,"GTcpConnection"],[3,"GTcpWrapperConnection"],[3,"GThreadedSocketService"],[3,"GTlsCertificate"],[3,"GTlsConnection"],[3,"GTlsDatabase"],[3,"GTlsInteraction"],[3,"GTlsPassword"],[3,"GUnixConnection"],[3,"GUnixCredentialsMessage"],[3,"GUnixFDList"],[3,"GUnixFDMessage"],[3,"GUnixInputStream"],[3,"GUnixOutputStream"],[3,"GUnixSocketAddress"],[3,"GVfs"],[3,"GVolumeMonitor"],[4,"GBusType"],[4,"GConverterResult"],[4,"GCredentialsType"],[4,"GDBusError"],[4,"GDBusMessageByteOrder"],[4,"GDBusMessageHeaderField"],[4,"GDBusMessageType"],[4,"GDataStreamByteOrder"],[4,"GDataStreamNewlineType"],[4,"GDriveStartStopType"],[4,"GEmblemOrigin"],[4,"GFileAttributeStatus"],[4,"GFileAttributeType"],[4,"GFileMonitorEvent"],[4,"GFileType"],[4,"GFilesystemPreviewType"],[4,"GIOErrorEnum"],[4,"GIOModuleScopeFlags"],[4,"GMountOperationResult"],[4,"GNetworkConnectivity"],[4,"GNotificationPriority"],[4,"GPasswordSave"],[4,"GResolverError"],[4,"GResolverRecordType"],[4,"GResourceError"],[4,"GSocketClientEvent"],[4,"GSocketFamily"],[4,"GSocketListenerEvent"],[4,"GSocketProtocol"],[4,"GSocketType"],[4,"GTlsAuthenticationMode"],[4,"GTlsDatabaseLookupFlags"],[4,"GTlsError"],[4,"GTlsInteractionResult"],[4,"GTlsRehandshakeMode"],[4,"GUnixSocketAddressType"],[4,"GZlibCompressorFormat"],[3,"GAppInfoCreateFlags"],[3,"GApplicationFlags"],[3,"GAskPasswordFlags"],[3,"GBusNameOwnerFlags"],[3,"GBusNameWatcherFlags"],[3,"GConverterFlags"],[3,"GDBusCallFlags"],[3,"GDBusCapabilityFlags"],[3,"GDBusConnectionFlags"],[3,"GDBusInterfaceSkeletonFlags"],[3,"GDBusMessageFlags"],[3,"GDBusObjectManagerClientFlags"],[3,"GDBusPropertyInfoFlags"],[3,"GDBusProxyFlags"],[3,"GDBusSendMessageFlags"],[3,"GDBusServerFlags"],[3,"GDBusSignalFlags"],[3,"GDBusSubtreeFlags"],[3,"GDriveStartFlags"],[3,"GFileAttributeInfoFlags"],[3,"GFileCopyFlags"],[3,"GFileCreateFlags"],[3,"GFileMeasureFlags"],[3,"GFileMonitorFlags"],[3,"GFileQueryInfoFlags"],[3,"GIOStreamSpliceFlags"],[3,"GMountMountFlags"],[3,"GMountUnmountFlags"],[3,"GOutputStreamSpliceFlags"],[3,"GResourceFlags"],[3,"GResourceLookupFlags"],[3,"GSettingsBindFlags"],[3,"GSocketMsgFlags"],[3,"GSubprocessFlags"],[3,"GTestDBusFlags"],[3,"GTlsCertificateFlags"],[3,"GTlsDatabaseVerifyFlags"],[3,"GTlsPasswordFlags"]]};
searchIndex["glib"] = {"doc":"glib, gobject and gio bindings for Rust","items":[[3,"TimeVal","glib","",null,null],[12,"tv_sec","","",0,null],[12,"tv_usec","","",0,null],[3,"Bytes","","A shared immutable byte slice (the equivalent of `Rc<[u8]>`).",null,null],[3,"VariantTy","","Describes `Variant` types.",null,null],[3,"VariantType","","Describes `Variant` types.",null,null],[3,"KEY_FILE_DESKTOP_GROUP","","",null,null],[3,"KEY_FILE_DESKTOP_KEY_ACTIONS","","",null,null],[3,"KEY_FILE_DESKTOP_KEY_CATEGORIES","","",null,null],[3,"KEY_FILE_DESKTOP_KEY_COMMENT","","",null,null],[3,"KEY_FILE_DESKTOP_KEY_DBUS_ACTIVATABLE","","",null,null],[3,"KEY_FILE_DESKTOP_KEY_EXEC","","",null,null],[3,"KEY_FILE_DESKTOP_KEY_FULLNAME","","",null,null],[3,"KEY_FILE_DESKTOP_KEY_GENERIC_NAME","","",null,null],[3,"KEY_FILE_DESKTOP_KEY_GETTEXT_DOMAIN","","",null,null],[3,"KEY_FILE_DESKTOP_KEY_HIDDEN","","",null,null],[3,"KEY_FILE_DESKTOP_KEY_ICON","","",null,null],[3,"KEY_FILE_DESKTOP_KEY_KEYWORDS","","",null,null],[3,"KEY_FILE_DESKTOP_KEY_MIME_TYPE","","",null,null],[3,"KEY_FILE_DESKTOP_KEY_NAME","","",null,null],[3,"KEY_FILE_DESKTOP_KEY_NOT_SHOW_IN","","",null,null],[3,"KEY_FILE_DESKTOP_KEY_NO_DISPLAY","","",null,null],[3,"KEY_FILE_DESKTOP_KEY_ONLY_SHOW_IN","","",null,null],[3,"KEY_FILE_DESKTOP_KEY_PATH","","",null,null],[3,"KEY_FILE_DESKTOP_KEY_STARTUP_NOTIFY","","",null,null],[3,"KEY_FILE_DESKTOP_KEY_STARTUP_WM_CLASS","","",null,null],[3,"KEY_FILE_DESKTOP_KEY_TERMINAL","","",null,null],[3,"KEY_FILE_DESKTOP_KEY_TRY_EXEC","","",null,null],[3,"KEY_FILE_DESKTOP_KEY_TYPE","","",null,null],[3,"KEY_FILE_DESKTOP_KEY_URL","","",null,null],[3,"KEY_FILE_DESKTOP_KEY_VERSION","","",null,null],[3,"KEY_FILE_DESKTOP_TYPE_APPLICATION","","",null,null],[3,"KEY_FILE_DESKTOP_TYPE_DIRECTORY","","",null,null],[3,"KEY_FILE_DESKTOP_TYPE_LINK","","",null,null],[3,"KeyFile","","",null,null],[3,"MainContext","","",null,null],[3,"MainLoop","","",null,null],[3,"Source","","",null,null],[3,"FormatSizeFlags","","",null,null],[3,"KeyFileFlags","","",null,null],[4,"FileError","","",null,null],[13,"Exist","","",1,null],[13,"Isdir","","",1,null],[13,"Acces","","",1,null],[13,"Nametoolong","","",1,null],[13,"Noent","","",1,null],[13,"Notdir","","",1,null],[13,"Nxio","","",1,null],[13,"Nodev","","",1,null],[13,"Rofs","","",1,null],[13,"Txtbsy","","",1,null],[13,"Fault","","",1,null],[13,"Loop","","",1,null],[13,"Nospc","","",1,null],[13,"Nomem","","",1,null],[13,"Mfile","","",1,null],[13,"Nfile","","",1,null],[13,"Badf","","",1,null],[13,"Inval","","",1,null],[13,"Pipe","","",1,null],[13,"Again","","",1,null],[13,"Intr","","",1,null],[13,"Io","","",1,null],[13,"Perm","","",1,null],[13,"Nosys","","",1,null],[13,"Failed","","",1,null],[4,"UserDirectory","","",null,null],[13,"Desktop","","",2,null],[13,"Documents","","",2,null],[13,"Downloads","","",2,null],[13,"Music","","",2,null],[13,"Pictures","","",2,null],[13,"PublicShare","","",2,null],[13,"Templates","","",2,null],[13,"Videos","","",2,null],[4,"KeyFileError","","",null,null],[13,"UnknownEncoding","","",3,null],[13,"Parse","","",3,null],[13,"NotFound","","",3,null],[13,"KeyNotFound","","",3,null],[13,"GroupNotFound","","",3,null],[13,"InvalidValue","","",3,null],[5,"get_current_time","","",null,{"inputs":[],"output":{"name":"timeval"}}],[5,"access","","",null,{"inputs":[{"name":"p"},{"name":"i32"}],"output":{"name":"i32"}}],[5,"assert_warning","","",null,{"inputs":[{"name":"str"},{"name":"str"},{"name":"i32"},{"name":"str"},{"name":"str"}],"output":null}],[5,"assertion_message","","",null,{"inputs":[{"name":"str"},{"name":"str"},{"name":"i32"},{"name":"str"},{"name":"str"}],"output":null}],[5,"assertion_message_cmpstr","","",null,{"inputs":[{"name":"str"},{"name":"str"},{"name":"i32"},{"name":"str"},{"name":"str"},{"name":"str"},{"name":"str"},{"name":"str"}],"output":null}],[5,"assertion_message_expr","","",null,{"inputs":[{"name":"p"},{"name":"str"},{"name":"i32"},{"name":"str"},{"name":"q"}],"output":null}],[5,"basename","","",null,{"inputs":[{"name":"p"}],"output":{"name":"option"}}],[5,"bit_nth_lsf","","",null,{"inputs":[{"name":"c_ulong"},{"name":"i32"}],"output":{"name":"i32"}}],[5,"bit_nth_msf","","",null,{"inputs":[{"name":"c_ulong"},{"name":"i32"}],"output":{"name":"i32"}}],[5,"bit_storage","","",null,{"inputs":[{"name":"c_ulong"}],"output":{"name":"u32"}}],[5,"build_filenamev","","",null,null],[5,"build_pathv","","",null,null],[5,"chdir","","",null,{"inputs":[{"name":"p"}],"output":{"name":"i32"}}],[5,"check_version","","",null,{"inputs":[{"name":"u32"},{"name":"u32"},{"name":"u32"}],"output":{"name":"option"}}],[5,"clear_error","","",null,{"inputs":[],"output":{"name":"result"}}],[5,"dcgettext","","",null,{"inputs":[{"name":"p"},{"name":"str"},{"name":"i32"}],"output":{"name":"option"}}],[5,"dgettext","","",null,{"inputs":[{"name":"p"},{"name":"str"}],"output":{"name":"option"}}],[5,"dngettext","","",null,{"inputs":[{"name":"p"},{"name":"str"},{"name":"str"},{"name":"c_ulong"}],"output":{"name":"option"}}],[5,"dpgettext","","",null,{"inputs":[{"name":"p"},{"name":"str"},{"name":"usize"}],"output":{"name":"option"}}],[5,"dpgettext2","","",null,{"inputs":[{"name":"p"},{"name":"str"},{"name":"str"}],"output":{"name":"option"}}],[5,"environ_getenv","","",null,null],[5,"environ_setenv","","",null,null],[5,"environ_unsetenv","","",null,null],[5,"file_open_tmp","","",null,{"inputs":[{"name":"p"}],"output":{"name":"result"}}],[5,"file_read_link","","",null,{"inputs":[{"name":"p"}],"output":{"name":"result"}}],[5,"filename_display_basename","","",null,{"inputs":[{"name":"p"}],"output":{"name":"option"}}],[5,"filename_display_name","","",null,{"inputs":[{"name":"p"}],"output":{"name":"option"}}],[5,"format_size","","",null,{"inputs":[{"name":"u64"}],"output":{"name":"option"}}],[5,"format_size_for_display","","",null,{"inputs":[{"name":"i64"}],"output":{"name":"option"}}],[5,"format_size_full","","",null,{"inputs":[{"name":"u64"},{"name":"formatsizeflags"}],"output":{"name":"option"}}],[5,"get_application_name","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"get_charset","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"get_codeset","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"get_environ","","",null,{"inputs":[],"output":{"name":"vec"}}],[5,"get_host_name","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"get_language_names","","",null,{"inputs":[],"output":{"name":"vec"}}],[5,"get_locale_variants","","",null,{"inputs":[{"name":"str"}],"output":{"name":"vec"}}],[5,"get_monotonic_time","","",null,{"inputs":[],"output":{"name":"i64"}}],[5,"get_real_time","","",null,{"inputs":[],"output":{"name":"i64"}}],[5,"get_system_config_dirs","","",null,{"inputs":[],"output":{"name":"vec"}}],[5,"get_system_data_dirs","","",null,{"inputs":[],"output":{"name":"vec"}}],[5,"get_user_cache_dir","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"get_user_config_dir","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"get_user_data_dir","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"get_user_runtime_dir","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"get_user_special_dir","","",null,{"inputs":[{"name":"userdirectory"}],"output":{"name":"option"}}],[5,"hostname_is_ascii_encoded","","",null,{"inputs":[{"name":"str"}],"output":{"name":"bool"}}],[5,"hostname_is_ip_address","","",null,{"inputs":[{"name":"str"}],"output":{"name":"bool"}}],[5,"hostname_is_non_ascii","","",null,{"inputs":[{"name":"str"}],"output":{"name":"bool"}}],[5,"hostname_to_ascii","","",null,{"inputs":[{"name":"str"}],"output":{"name":"option"}}],[5,"hostname_to_unicode","","",null,{"inputs":[{"name":"str"}],"output":{"name":"option"}}],[5,"intern_static_string","","",null,{"inputs":[{"name":"p"}],"output":{"name":"option"}}],[5,"intern_string","","",null,{"inputs":[{"name":"p"}],"output":{"name":"option"}}],[5,"listenv","","",null,{"inputs":[],"output":{"name":"vec"}}],[5,"log_remove_handler","","",null,{"inputs":[{"name":"str"},{"name":"u32"}],"output":null}],[5,"main_current_source","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"main_depth","","",null,{"inputs":[],"output":{"name":"i32"}}],[5,"mem_is_system_malloc","","",null,{"inputs":[],"output":{"name":"bool"}}],[5,"mem_profile","","",null,{"inputs":[],"output":null}],[5,"mkdir_with_parents","","",null,{"inputs":[{"name":"p"},{"name":"i32"}],"output":{"name":"i32"}}],[5,"mkdtemp","","",null,{"inputs":[{"name":"p"}],"output":{"name":"option"}}],[5,"mkdtemp_full","","",null,{"inputs":[{"name":"p"},{"name":"i32"}],"output":{"name":"option"}}],[5,"mkstemp_full","","",null,{"inputs":[{"name":"p"},{"name":"i32"},{"name":"i32"}],"output":{"name":"i32"}}],[5,"on_error_query","","",null,{"inputs":[{"name":"str"}],"output":null}],[5,"on_error_stack_trace","","",null,{"inputs":[{"name":"str"}],"output":null}],[5,"path_get_basename","","",null,{"inputs":[{"name":"p"}],"output":{"name":"option"}}],[5,"path_get_dirname","","",null,{"inputs":[{"name":"p"}],"output":{"name":"option"}}],[5,"path_is_absolute","","",null,{"inputs":[{"name":"p"}],"output":{"name":"bool"}}],[5,"path_skip_root","","",null,{"inputs":[{"name":"p"}],"output":{"name":"option"}}],[5,"pattern_match_simple","","",null,{"inputs":[{"name":"str"},{"name":"str"}],"output":{"name":"bool"}}],[5,"random_double","","",null,{"inputs":[],"output":{"name":"f64"}}],[5,"random_double_range","","",null,{"inputs":[{"name":"f64"},{"name":"f64"}],"output":{"name":"f64"}}],[5,"random_int","","",null,{"inputs":[],"output":{"name":"u32"}}],[5,"random_int_range","","",null,{"inputs":[{"name":"i32"},{"name":"i32"}],"output":{"name":"i32"}}],[5,"random_set_seed","","",null,{"inputs":[{"name":"u32"}],"output":null}],[5,"reload_user_special_dirs_cache","","",null,{"inputs":[],"output":null}],[5,"return_if_fail_warning","","",null,{"inputs":[{"name":"p"},{"name":"str"},{"name":"q"}],"output":null}],[5,"rmdir","","",null,{"inputs":[{"name":"p"}],"output":{"name":"i32"}}],[5,"set_application_name","","",null,{"inputs":[{"name":"str"}],"output":null}],[5,"shell_quote","","",null,{"inputs":[{"name":"str"}],"output":{"name":"option"}}],[5,"shell_unquote","","",null,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[5,"spaced_primes_closest","","",null,{"inputs":[{"name":"u32"}],"output":{"name":"u32"}}],[5,"spawn_command_line_async","","",null,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[5,"stpcpy","","",null,{"inputs":[{"name":"str"},{"name":"str"}],"output":{"name":"option"}}],[5,"test_assert_expected_messages_internal","","",null,{"inputs":[{"name":"str"},{"name":"str"},{"name":"i32"},{"name":"str"}],"output":null}],[5,"test_bug","","",null,{"inputs":[{"name":"str"}],"output":null}],[5,"test_bug_base","","",null,{"inputs":[{"name":"str"}],"output":null}],[5,"test_fail","","",null,{"inputs":[],"output":null}],[5,"test_rand_double","","",null,{"inputs":[],"output":{"name":"f64"}}],[5,"test_rand_double_range","","",null,{"inputs":[{"name":"f64"},{"name":"f64"}],"output":{"name":"f64"}}],[5,"test_rand_int","","",null,{"inputs":[],"output":{"name":"i32"}}],[5,"test_rand_int_range","","",null,{"inputs":[{"name":"i32"},{"name":"i32"}],"output":{"name":"i32"}}],[5,"test_run","","",null,{"inputs":[],"output":{"name":"i32"}}],[5,"test_timer_elapsed","","",null,{"inputs":[],"output":{"name":"f64"}}],[5,"test_timer_last","","",null,{"inputs":[],"output":{"name":"f64"}}],[5,"test_timer_start","","",null,{"inputs":[],"output":null}],[5,"test_trap_assertions","","",null,{"inputs":[{"name":"str"},{"name":"str"},{"name":"i32"},{"name":"str"},{"name":"u64"},{"name":"str"}],"output":null}],[5,"test_trap_has_passed","","",null,{"inputs":[],"output":{"name":"bool"}}],[5,"test_trap_reached_timeout","","",null,{"inputs":[],"output":{"name":"bool"}}],[5,"unix_set_fd_nonblocking","","",null,{"inputs":[{"name":"i32"},{"name":"bool"}],"output":{"name":"result"}}],[5,"unlink","","",null,{"inputs":[{"name":"p"}],"output":{"name":"i32"}}],[5,"uri_escape_string","","",null,{"inputs":[{"name":"str"},{"name":"p"},{"name":"bool"}],"output":{"name":"option"}}],[5,"uri_list_extract_uris","","",null,{"inputs":[{"name":"str"}],"output":{"name":"vec"}}],[5,"uri_parse_scheme","","",null,{"inputs":[{"name":"str"}],"output":{"name":"option"}}],[5,"uri_unescape_segment","","",null,{"inputs":[{"name":"p"},{"name":"q"},{"name":"r"}],"output":{"name":"option"}}],[5,"uri_unescape_string","","",null,{"inputs":[{"name":"str"},{"name":"p"}],"output":{"name":"option"}}],[5,"usleep","","",null,{"inputs":[{"name":"c_ulong"}],"output":null}],[5,"variant_get_gtype","","",null,{"inputs":[],"output":{"name":"type"}}],[5,"warn_message","","",null,{"inputs":[{"name":"p"},{"name":"str"},{"name":"i32"},{"name":"str"},{"name":"q"}],"output":null}],[5,"get_program_name","","Same as [`get_prgname()`].",null,{"inputs":[],"output":{"name":"option"}}],[5,"get_prgname","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"set_program_name","","Same as [`set_prgname()`].",null,{"inputs":[{"name":"option"}],"output":null}],[5,"set_prgname","","",null,{"inputs":[{"name":"option"}],"output":null}],[5,"getenv","","",null,{"inputs":[{"name":"str"}],"output":{"name":"option"}}],[5,"setenv","","",null,{"inputs":[{"name":"str"},{"name":"str"},{"name":"bool"}],"output":{"name":"result"}}],[5,"unsetenv","","",null,{"inputs":[{"name":"str"}],"output":null}],[5,"get_user_name","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"get_real_name","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"get_current_dir","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"filename_to_uri","","",null,{"inputs":[{"name":"p"},{"name":"q"}],"output":{"name":"result"}}],[5,"filename_from_uri","","",null,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[5,"find_program_in_path","","",null,{"inputs":[{"name":"p"}],"output":{"name":"option"}}],[5,"get_home_dir","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"get_tmp_dir","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"mkstemp","","",null,{"inputs":[{"name":"p"}],"output":{"name":"i32"}}],[0,"wrapper","","`IMPL` The `glib_wrapper!` macro and miscellaneous wrapper traits.",null,null],[8,"Wrapper","glib::wrapper","A wrapper struct.",null,null],[16,"GlibType","","Foreign type represented by the struct.",4,null],[8,"UnsafeFrom","","",null,null],[10,"from","","",5,{"inputs":[{"name":"t"}],"output":{"name":"self"}}],[0,"boxed","glib","`IMPL` Boxed wrapper implementation.",null,null],[3,"Boxed","glib::boxed","Encapsulates memory management logic for boxed types.",null,null],[8,"BoxedMemoryManager","","Memory management functions for a boxed type.",null,null],[10,"copy","","Makes a copy.",6,null],[10,"free","","Frees the object.",6,null],[11,"uninitialized","","",7,{"inputs":[],"output":{"name":"self"}}],[11,"uninitialized","","",7,{"inputs":[],"output":{"name":"self"}}],[11,"to_glib_none","","",7,{"inputs":[{"name":"self"}],"output":{"name":"stash"}}],[11,"to_glib_none_mut","","",7,{"inputs":[{"name":"self"}],"output":{"name":"stashmut"}}],[11,"from_glib_none","","",7,null],[11,"from_glib_full","","",7,null],[11,"from_glib_borrow","","",7,null],[11,"drop","","",7,{"inputs":[{"name":"self"}],"output":null}],[11,"fmt","","",7,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",7,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[11,"deref","","",7,{"inputs":[{"name":"self"}],"output":{"name":"t"}}],[11,"deref_mut","","",7,{"inputs":[{"name":"self"}],"output":{"name":"t"}}],[0,"shared","glib","`IMPL` Shared (reference counted) wrapper implementation.",null,null],[3,"Shared","glib::shared","Encapsulates memory management logic for shared types.",null,null],[8,"SharedMemoryManager","","",null,null],[10,"ref_","","",8,null],[10,"unref","","",8,null],[11,"drop","","",9,{"inputs":[{"name":"self"}],"output":null}],[11,"clone","","",9,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[11,"fmt","","",9,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",9,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"bool"}}],[11,"hash","","",9,{"inputs":[{"name":"self"},{"name":"h"}],"output":null}],[11,"to_glib_none","","",9,{"inputs":[{"name":"self"}],"output":{"name":"stash"}}],[11,"to_glib_full","","",9,null],[11,"from_glib_none","","",9,null],[11,"from_glib_full","","",9,null],[11,"from_glib_borrow","","",9,null],[0,"object","glib","`IMPL` Object wrapper implementation and `Object` binding.",null,null],[3,"Object","glib::object","The base class in the object hierarchy.",null,null],[8,"Cast","","Upcasting and downcasting support.",null,null],[11,"upcast","","Upcasts an object to a superclass or interface `T`.",10,{"inputs":[{"name":"self"}],"output":{"name":"t"}}],[11,"downcast","","Tries to downcast to a subclass or interface implementor `T`.",10,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"is","","Returns `true` if the object is an instance of (can be downcast to) `T`.",10,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[8,"IsA","","Declares the \"is a\" relationship.",null,null],[8,"Downcast","","Downcasts support.",null,null],[10,"can_downcast","","Checks if it's possible to downcast to `T`.",11,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"downcast","","Tries to downcast to `T`.",11,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[10,"downcast_unchecked","","Downcasts to `T` unconditionally.",11,{"inputs":[{"name":"self"}],"output":{"name":"t"}}],[8,"ObjectExt","","",null,null],[10,"get_type","","",12,{"inputs":[{"name":"self"}],"output":{"name":"type"}}],[10,"set_property","","",12,{"inputs":[{"name":"self"},{"name":"n"},{"name":"value"}],"output":{"name":"result"}}],[10,"get_property","","",12,{"inputs":[{"name":"self"},{"name":"n"}],"output":{"name":"result"}}],[10,"has_property","","",12,{"inputs":[{"name":"self"},{"name":"n"},{"name":"option"}],"output":{"name":"bool"}}],[10,"connect","","",12,{"inputs":[{"name":"self"},{"name":"n"},{"name":"bool"},{"name":"f"}],"output":{"name":"result"}}],[10,"emit","","",12,null],[11,"clone","","",13,{"inputs":[{"name":"self"}],"output":{"name":"object"}}],[11,"fmt","","",13,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",13,null],[11,"static_type","","",13,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",13,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[0,"functions","glib","",null,null],[5,"access","glib::functions","",null,{"inputs":[{"name":"p"},{"name":"i32"}],"output":{"name":"i32"}}],[5,"assert_warning","","",null,{"inputs":[{"name":"str"},{"name":"str"},{"name":"i32"},{"name":"str"},{"name":"str"}],"output":null}],[5,"assertion_message","","",null,{"inputs":[{"name":"str"},{"name":"str"},{"name":"i32"},{"name":"str"},{"name":"str"}],"output":null}],[5,"assertion_message_cmpstr","","",null,{"inputs":[{"name":"str"},{"name":"str"},{"name":"i32"},{"name":"str"},{"name":"str"},{"name":"str"},{"name":"str"},{"name":"str"}],"output":null}],[5,"assertion_message_expr","","",null,{"inputs":[{"name":"p"},{"name":"str"},{"name":"i32"},{"name":"str"},{"name":"q"}],"output":null}],[5,"basename","","",null,{"inputs":[{"name":"p"}],"output":{"name":"option"}}],[5,"bit_nth_lsf","","",null,{"inputs":[{"name":"c_ulong"},{"name":"i32"}],"output":{"name":"i32"}}],[5,"bit_nth_msf","","",null,{"inputs":[{"name":"c_ulong"},{"name":"i32"}],"output":{"name":"i32"}}],[5,"bit_storage","","",null,{"inputs":[{"name":"c_ulong"}],"output":{"name":"u32"}}],[5,"build_filenamev","","",null,null],[5,"build_pathv","","",null,null],[5,"chdir","","",null,{"inputs":[{"name":"p"}],"output":{"name":"i32"}}],[5,"check_version","","",null,{"inputs":[{"name":"u32"},{"name":"u32"},{"name":"u32"}],"output":{"name":"option"}}],[5,"clear_error","","",null,{"inputs":[],"output":{"name":"result"}}],[5,"dcgettext","","",null,{"inputs":[{"name":"p"},{"name":"str"},{"name":"i32"}],"output":{"name":"option"}}],[5,"dgettext","","",null,{"inputs":[{"name":"p"},{"name":"str"}],"output":{"name":"option"}}],[5,"dngettext","","",null,{"inputs":[{"name":"p"},{"name":"str"},{"name":"str"},{"name":"c_ulong"}],"output":{"name":"option"}}],[5,"dpgettext","","",null,{"inputs":[{"name":"p"},{"name":"str"},{"name":"usize"}],"output":{"name":"option"}}],[5,"dpgettext2","","",null,{"inputs":[{"name":"p"},{"name":"str"},{"name":"str"}],"output":{"name":"option"}}],[5,"environ_getenv","","",null,null],[5,"environ_setenv","","",null,null],[5,"environ_unsetenv","","",null,null],[5,"file_open_tmp","","",null,{"inputs":[{"name":"p"}],"output":{"name":"result"}}],[5,"file_read_link","","",null,{"inputs":[{"name":"p"}],"output":{"name":"result"}}],[5,"filename_display_basename","","",null,{"inputs":[{"name":"p"}],"output":{"name":"option"}}],[5,"filename_display_name","","",null,{"inputs":[{"name":"p"}],"output":{"name":"option"}}],[5,"format_size","","",null,{"inputs":[{"name":"u64"}],"output":{"name":"option"}}],[5,"format_size_for_display","","",null,{"inputs":[{"name":"i64"}],"output":{"name":"option"}}],[5,"format_size_full","","",null,{"inputs":[{"name":"u64"},{"name":"formatsizeflags"}],"output":{"name":"option"}}],[5,"get_application_name","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"get_charset","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"get_codeset","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"get_environ","","",null,{"inputs":[],"output":{"name":"vec"}}],[5,"get_host_name","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"get_language_names","","",null,{"inputs":[],"output":{"name":"vec"}}],[5,"get_locale_variants","","",null,{"inputs":[{"name":"str"}],"output":{"name":"vec"}}],[5,"get_monotonic_time","","",null,{"inputs":[],"output":{"name":"i64"}}],[5,"get_real_time","","",null,{"inputs":[],"output":{"name":"i64"}}],[5,"get_system_config_dirs","","",null,{"inputs":[],"output":{"name":"vec"}}],[5,"get_system_data_dirs","","",null,{"inputs":[],"output":{"name":"vec"}}],[5,"get_user_cache_dir","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"get_user_config_dir","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"get_user_data_dir","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"get_user_runtime_dir","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"get_user_special_dir","","",null,{"inputs":[{"name":"userdirectory"}],"output":{"name":"option"}}],[5,"hostname_is_ascii_encoded","","",null,{"inputs":[{"name":"str"}],"output":{"name":"bool"}}],[5,"hostname_is_ip_address","","",null,{"inputs":[{"name":"str"}],"output":{"name":"bool"}}],[5,"hostname_is_non_ascii","","",null,{"inputs":[{"name":"str"}],"output":{"name":"bool"}}],[5,"hostname_to_ascii","","",null,{"inputs":[{"name":"str"}],"output":{"name":"option"}}],[5,"hostname_to_unicode","","",null,{"inputs":[{"name":"str"}],"output":{"name":"option"}}],[5,"intern_static_string","","",null,{"inputs":[{"name":"p"}],"output":{"name":"option"}}],[5,"intern_string","","",null,{"inputs":[{"name":"p"}],"output":{"name":"option"}}],[5,"listenv","","",null,{"inputs":[],"output":{"name":"vec"}}],[5,"log_remove_handler","","",null,{"inputs":[{"name":"str"},{"name":"u32"}],"output":null}],[5,"main_current_source","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"main_depth","","",null,{"inputs":[],"output":{"name":"i32"}}],[5,"mem_is_system_malloc","","",null,{"inputs":[],"output":{"name":"bool"}}],[5,"mem_profile","","",null,{"inputs":[],"output":null}],[5,"mkdir_with_parents","","",null,{"inputs":[{"name":"p"},{"name":"i32"}],"output":{"name":"i32"}}],[5,"mkdtemp","","",null,{"inputs":[{"name":"p"}],"output":{"name":"option"}}],[5,"mkdtemp_full","","",null,{"inputs":[{"name":"p"},{"name":"i32"}],"output":{"name":"option"}}],[5,"mkstemp_full","","",null,{"inputs":[{"name":"p"},{"name":"i32"},{"name":"i32"}],"output":{"name":"i32"}}],[5,"on_error_query","","",null,{"inputs":[{"name":"str"}],"output":null}],[5,"on_error_stack_trace","","",null,{"inputs":[{"name":"str"}],"output":null}],[5,"path_get_basename","","",null,{"inputs":[{"name":"p"}],"output":{"name":"option"}}],[5,"path_get_dirname","","",null,{"inputs":[{"name":"p"}],"output":{"name":"option"}}],[5,"path_is_absolute","","",null,{"inputs":[{"name":"p"}],"output":{"name":"bool"}}],[5,"path_skip_root","","",null,{"inputs":[{"name":"p"}],"output":{"name":"option"}}],[5,"pattern_match_simple","","",null,{"inputs":[{"name":"str"},{"name":"str"}],"output":{"name":"bool"}}],[5,"random_double","","",null,{"inputs":[],"output":{"name":"f64"}}],[5,"random_double_range","","",null,{"inputs":[{"name":"f64"},{"name":"f64"}],"output":{"name":"f64"}}],[5,"random_int","","",null,{"inputs":[],"output":{"name":"u32"}}],[5,"random_int_range","","",null,{"inputs":[{"name":"i32"},{"name":"i32"}],"output":{"name":"i32"}}],[5,"random_set_seed","","",null,{"inputs":[{"name":"u32"}],"output":null}],[5,"reload_user_special_dirs_cache","","",null,{"inputs":[],"output":null}],[5,"return_if_fail_warning","","",null,{"inputs":[{"name":"p"},{"name":"str"},{"name":"q"}],"output":null}],[5,"rmdir","","",null,{"inputs":[{"name":"p"}],"output":{"name":"i32"}}],[5,"set_application_name","","",null,{"inputs":[{"name":"str"}],"output":null}],[5,"shell_quote","","",null,{"inputs":[{"name":"str"}],"output":{"name":"option"}}],[5,"shell_unquote","","",null,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[5,"spaced_primes_closest","","",null,{"inputs":[{"name":"u32"}],"output":{"name":"u32"}}],[5,"spawn_command_line_async","","",null,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[5,"stpcpy","","",null,{"inputs":[{"name":"str"},{"name":"str"}],"output":{"name":"option"}}],[5,"test_assert_expected_messages_internal","","",null,{"inputs":[{"name":"str"},{"name":"str"},{"name":"i32"},{"name":"str"}],"output":null}],[5,"test_bug","","",null,{"inputs":[{"name":"str"}],"output":null}],[5,"test_bug_base","","",null,{"inputs":[{"name":"str"}],"output":null}],[5,"test_fail","","",null,{"inputs":[],"output":null}],[5,"test_rand_double","","",null,{"inputs":[],"output":{"name":"f64"}}],[5,"test_rand_double_range","","",null,{"inputs":[{"name":"f64"},{"name":"f64"}],"output":{"name":"f64"}}],[5,"test_rand_int","","",null,{"inputs":[],"output":{"name":"i32"}}],[5,"test_rand_int_range","","",null,{"inputs":[{"name":"i32"},{"name":"i32"}],"output":{"name":"i32"}}],[5,"test_run","","",null,{"inputs":[],"output":{"name":"i32"}}],[5,"test_timer_elapsed","","",null,{"inputs":[],"output":{"name":"f64"}}],[5,"test_timer_last","","",null,{"inputs":[],"output":{"name":"f64"}}],[5,"test_timer_start","","",null,{"inputs":[],"output":null}],[5,"test_trap_assertions","","",null,{"inputs":[{"name":"str"},{"name":"str"},{"name":"i32"},{"name":"str"},{"name":"u64"},{"name":"str"}],"output":null}],[5,"test_trap_has_passed","","",null,{"inputs":[],"output":{"name":"bool"}}],[5,"test_trap_reached_timeout","","",null,{"inputs":[],"output":{"name":"bool"}}],[5,"unix_set_fd_nonblocking","","",null,{"inputs":[{"name":"i32"},{"name":"bool"}],"output":{"name":"result"}}],[5,"unlink","","",null,{"inputs":[{"name":"p"}],"output":{"name":"i32"}}],[5,"uri_escape_string","","",null,{"inputs":[{"name":"str"},{"name":"p"},{"name":"bool"}],"output":{"name":"option"}}],[5,"uri_list_extract_uris","","",null,{"inputs":[{"name":"str"}],"output":{"name":"vec"}}],[5,"uri_parse_scheme","","",null,{"inputs":[{"name":"str"}],"output":{"name":"option"}}],[5,"uri_unescape_segment","","",null,{"inputs":[{"name":"p"},{"name":"q"},{"name":"r"}],"output":{"name":"option"}}],[5,"uri_unescape_string","","",null,{"inputs":[{"name":"str"},{"name":"p"}],"output":{"name":"option"}}],[5,"usleep","","",null,{"inputs":[{"name":"c_ulong"}],"output":null}],[5,"variant_get_gtype","","",null,{"inputs":[],"output":{"name":"type"}}],[5,"warn_message","","",null,{"inputs":[{"name":"p"},{"name":"str"},{"name":"i32"},{"name":"str"},{"name":"q"}],"output":null}],[11,"clone","glib","",14,{"inputs":[{"name":"self"}],"output":{"name":"keyfile"}}],[11,"new","","",14,{"inputs":[],"output":{"name":"keyfile"}}],[11,"get_boolean","","",14,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"}],"output":{"name":"result"}}],[11,"get_comment","","",14,{"inputs":[{"name":"self"},{"name":"p"},{"name":"str"}],"output":{"name":"result"}}],[11,"get_double","","",14,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"}],"output":{"name":"result"}}],[11,"get_groups","","",14,null],[11,"get_int64","","",14,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"}],"output":{"name":"result"}}],[11,"get_integer","","",14,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"}],"output":{"name":"result"}}],[11,"get_keys","","",14,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"result"}}],[11,"get_locale_string","","",14,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"},{"name":"p"}],"output":{"name":"result"}}],[11,"get_locale_string_list","","",14,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"},{"name":"p"}],"output":{"name":"result"}}],[11,"get_start_group","","",14,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_string","","",14,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"}],"output":{"name":"result"}}],[11,"get_string_list","","",14,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"}],"output":{"name":"result"}}],[11,"get_uint64","","",14,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"}],"output":{"name":"result"}}],[11,"get_value","","",14,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"}],"output":{"name":"result"}}],[11,"has_group","","",14,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[11,"has_key","","",14,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"}],"output":{"name":"result"}}],[11,"load_from_file","","",14,{"inputs":[{"name":"self"},{"name":"p"},{"name":"keyfileflags"}],"output":{"name":"result"}}],[11,"remove_comment","","",14,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"}],"output":{"name":"result"}}],[11,"remove_group","","",14,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"result"}}],[11,"remove_key","","",14,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"}],"output":{"name":"result"}}],[11,"set_boolean","","",14,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"},{"name":"bool"}],"output":null}],[11,"set_comment","","",14,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"},{"name":"str"}],"output":{"name":"result"}}],[11,"set_double","","",14,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"},{"name":"f64"}],"output":null}],[11,"set_int64","","",14,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"},{"name":"i64"}],"output":null}],[11,"set_integer","","",14,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"},{"name":"i32"}],"output":null}],[11,"set_locale_string","","",14,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"},{"name":"str"},{"name":"str"}],"output":null}],[11,"set_string","","",14,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"},{"name":"str"}],"output":null}],[11,"set_uint64","","",14,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"},{"name":"u64"}],"output":null}],[11,"set_value","","",14,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"},{"name":"str"}],"output":null}],[11,"to_data","","",14,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"clone","","",15,{"inputs":[{"name":"self"}],"output":{"name":"maincontext"}}],[11,"new","","",15,{"inputs":[],"output":{"name":"maincontext"}}],[11,"acquire","","",15,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"dispatch","","",15,{"inputs":[{"name":"self"}],"output":null}],[11,"is_owner","","",15,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"iteration","","",15,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"bool"}}],[11,"pending","","",15,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"pop_thread_default","","",15,{"inputs":[{"name":"self"}],"output":null}],[11,"push_thread_default","","",15,{"inputs":[{"name":"self"}],"output":null}],[11,"release","","",15,{"inputs":[{"name":"self"}],"output":null}],[11,"wakeup","","",15,{"inputs":[{"name":"self"}],"output":null}],[11,"default","","",15,{"inputs":[],"output":{"name":"option"}}],[11,"get_thread_default","","",15,{"inputs":[],"output":{"name":"option"}}],[11,"ref_thread_default","","",15,{"inputs":[],"output":{"name":"option"}}],[11,"clone","","",16,{"inputs":[{"name":"self"}],"output":{"name":"mainloop"}}],[11,"new","","",16,{"inputs":[{"name":"p"},{"name":"bool"}],"output":{"name":"mainloop"}}],[11,"get_context","","",16,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"is_running","","",16,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"quit","","",16,{"inputs":[{"name":"self"}],"output":null}],[11,"run","","",16,{"inputs":[{"name":"self"}],"output":null}],[11,"clone","","",17,{"inputs":[{"name":"self"}],"output":{"name":"source"}}],[11,"add_child_source","","",17,{"inputs":[{"name":"self"},{"name":"source"}],"output":null}],[11,"attach","","",17,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"u32"}}],[11,"destroy","","",17,{"inputs":[{"name":"self"}],"output":null}],[11,"get_can_recurse","","",17,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"get_context","","",17,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_id","","",17,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"get_name","","",17,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_priority","","",17,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_ready_time","","",17,{"inputs":[{"name":"self"}],"output":{"name":"i64"}}],[11,"get_time","","",17,{"inputs":[{"name":"self"}],"output":{"name":"i64"}}],[11,"is_destroyed","","",17,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"remove_child_source","","",17,{"inputs":[{"name":"self"},{"name":"source"}],"output":null}],[11,"remove","","",17,{"inputs":[{"name":"u32"}],"output":{"name":"bool"}}],[11,"clone","","",3,{"inputs":[{"name":"self"}],"output":{"name":"keyfileerror"}}],[11,"fmt","","",3,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",3,{"inputs":[{"name":"self"},{"name":"keyfileerror"}],"output":{"name":"bool"}}],[11,"ne","","",3,{"inputs":[{"name":"self"},{"name":"keyfileerror"}],"output":{"name":"bool"}}],[11,"hash","","",3,null],[11,"domain","","",3,{"inputs":[],"output":{"name":"gquark"}}],[11,"code","","",3,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"from","","",3,{"inputs":[{"name":"i32"}],"output":{"name":"option"}}],[11,"eq","","",18,{"inputs":[{"name":"self"},{"name":"formatsizeflags"}],"output":{"name":"bool"}}],[11,"ne","","",18,{"inputs":[{"name":"self"},{"name":"formatsizeflags"}],"output":{"name":"bool"}}],[11,"clone","","",18,{"inputs":[{"name":"self"}],"output":{"name":"formatsizeflags"}}],[11,"partial_cmp","","",18,{"inputs":[{"name":"self"},{"name":"formatsizeflags"}],"output":{"name":"option"}}],[11,"lt","","",18,{"inputs":[{"name":"self"},{"name":"formatsizeflags"}],"output":{"name":"bool"}}],[11,"le","","",18,{"inputs":[{"name":"self"},{"name":"formatsizeflags"}],"output":{"name":"bool"}}],[11,"gt","","",18,{"inputs":[{"name":"self"},{"name":"formatsizeflags"}],"output":{"name":"bool"}}],[11,"ge","","",18,{"inputs":[{"name":"self"},{"name":"formatsizeflags"}],"output":{"name":"bool"}}],[11,"cmp","","",18,{"inputs":[{"name":"self"},{"name":"formatsizeflags"}],"output":{"name":"ordering"}}],[11,"hash","","",18,null],[11,"fmt","","",18,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",18,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",18,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",18,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",18,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",18,{"inputs":[],"output":{"name":"formatsizeflags"}}],[11,"all","","Returns the set containing all flags.",18,{"inputs":[],"output":{"name":"formatsizeflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",18,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",18,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",18,{"inputs":[{"name":"u32"}],"output":{"name":"formatsizeflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",18,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",18,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",18,{"inputs":[{"name":"self"},{"name":"formatsizeflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",18,{"inputs":[{"name":"self"},{"name":"formatsizeflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",18,{"inputs":[{"name":"self"},{"name":"formatsizeflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",18,{"inputs":[{"name":"self"},{"name":"formatsizeflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",18,{"inputs":[{"name":"self"},{"name":"formatsizeflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",18,{"inputs":[{"name":"self"},{"name":"formatsizeflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",18,{"inputs":[{"name":"self"},{"name":"formatsizeflags"}],"output":{"name":"formatsizeflags"}}],[11,"bitor_assign","","Adds the set of flags.",18,{"inputs":[{"name":"self"},{"name":"formatsizeflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",18,{"inputs":[{"name":"self"},{"name":"formatsizeflags"}],"output":{"name":"formatsizeflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",18,{"inputs":[{"name":"self"},{"name":"formatsizeflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",18,{"inputs":[{"name":"self"},{"name":"formatsizeflags"}],"output":{"name":"formatsizeflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",18,{"inputs":[{"name":"self"},{"name":"formatsizeflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",18,{"inputs":[{"name":"self"},{"name":"formatsizeflags"}],"output":{"name":"formatsizeflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",18,{"inputs":[{"name":"self"},{"name":"formatsizeflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",18,{"inputs":[{"name":"self"}],"output":{"name":"formatsizeflags"}}],[11,"extend","","",18,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",18,{"inputs":[{"name":"t"}],"output":{"name":"formatsizeflags"}}],[11,"eq","","",19,{"inputs":[{"name":"self"},{"name":"keyfileflags"}],"output":{"name":"bool"}}],[11,"ne","","",19,{"inputs":[{"name":"self"},{"name":"keyfileflags"}],"output":{"name":"bool"}}],[11,"clone","","",19,{"inputs":[{"name":"self"}],"output":{"name":"keyfileflags"}}],[11,"partial_cmp","","",19,{"inputs":[{"name":"self"},{"name":"keyfileflags"}],"output":{"name":"option"}}],[11,"lt","","",19,{"inputs":[{"name":"self"},{"name":"keyfileflags"}],"output":{"name":"bool"}}],[11,"le","","",19,{"inputs":[{"name":"self"},{"name":"keyfileflags"}],"output":{"name":"bool"}}],[11,"gt","","",19,{"inputs":[{"name":"self"},{"name":"keyfileflags"}],"output":{"name":"bool"}}],[11,"ge","","",19,{"inputs":[{"name":"self"},{"name":"keyfileflags"}],"output":{"name":"bool"}}],[11,"cmp","","",19,{"inputs":[{"name":"self"},{"name":"keyfileflags"}],"output":{"name":"ordering"}}],[11,"hash","","",19,null],[11,"fmt","","",19,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",19,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",19,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",19,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",19,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",19,{"inputs":[],"output":{"name":"keyfileflags"}}],[11,"all","","Returns the set containing all flags.",19,{"inputs":[],"output":{"name":"keyfileflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",19,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",19,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",19,{"inputs":[{"name":"u32"}],"output":{"name":"keyfileflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",19,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",19,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",19,{"inputs":[{"name":"self"},{"name":"keyfileflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",19,{"inputs":[{"name":"self"},{"name":"keyfileflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",19,{"inputs":[{"name":"self"},{"name":"keyfileflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",19,{"inputs":[{"name":"self"},{"name":"keyfileflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",19,{"inputs":[{"name":"self"},{"name":"keyfileflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",19,{"inputs":[{"name":"self"},{"name":"keyfileflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",19,{"inputs":[{"name":"self"},{"name":"keyfileflags"}],"output":{"name":"keyfileflags"}}],[11,"bitor_assign","","Adds the set of flags.",19,{"inputs":[{"name":"self"},{"name":"keyfileflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",19,{"inputs":[{"name":"self"},{"name":"keyfileflags"}],"output":{"name":"keyfileflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",19,{"inputs":[{"name":"self"},{"name":"keyfileflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",19,{"inputs":[{"name":"self"},{"name":"keyfileflags"}],"output":{"name":"keyfileflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",19,{"inputs":[{"name":"self"},{"name":"keyfileflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",19,{"inputs":[{"name":"self"},{"name":"keyfileflags"}],"output":{"name":"keyfileflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",19,{"inputs":[{"name":"self"},{"name":"keyfileflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",19,{"inputs":[{"name":"self"}],"output":{"name":"keyfileflags"}}],[11,"extend","","",19,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",19,{"inputs":[{"name":"t"}],"output":{"name":"keyfileflags"}}],[11,"clone","","",20,{"inputs":[{"name":"self"}],"output":{"name":"bytes"}}],[11,"from_static","","Creates a view into static `data` without copying.",20,null],[11,"from","","",20,{"inputs":[{"name":"t"}],"output":{"name":"bytes"}}],[11,"fmt","","",20,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"deref","","",20,null],[11,"eq","","",20,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",20,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"option"}}],[11,"cmp","","",20,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"ordering"}}],[11,"eq","","",20,null],[11,"partial_cmp","","",20,null],[11,"eq","","",20,null],[11,"partial_cmp","","",20,null],[11,"eq","","",20,{"inputs":[{"name":"self"},{"name":"vec"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",20,{"inputs":[{"name":"self"},{"name":"vec"}],"output":{"name":"option"}}],[11,"hash","","",20,{"inputs":[{"name":"self"},{"name":"h"}],"output":null}],[0,"closure","","",null,null],[3,"Closure","glib::closure","",null,null],[11,"clone","","",21,{"inputs":[{"name":"self"}],"output":{"name":"closure"}}],[11,"new","","",21,{"inputs":[{"name":"f"}],"output":{"name":"self"}}],[11,"invoke","","",21,null],[0,"error","glib","`Error` binding and helper trait.",null,null],[3,"Error","glib::error","A generic error capable of representing various error domains (types).",null,null],[3,"BoolError","","Generic error used for functions that fail without any further information",null,null],[12,"0","","",22,null],[8,"ErrorDomain","","`GLib` error domain.",null,null],[10,"domain","","Returns the quark identifying the error domain.",23,{"inputs":[],"output":{"name":"gquark"}}],[10,"code","","Gets the integer representation of the variant.",23,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"from","","Tries to convert an integer code to an enum variant.",23,{"inputs":[{"name":"i32"}],"output":{"name":"option"}}],[11,"clone","","",24,{"inputs":[{"name":"self"}],"output":{"name":"error"}}],[11,"fmt","","",24,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"new","","Creates an error with supplied error enum variant and message.",24,{"inputs":[{"name":"t"},{"name":"str"}],"output":{"name":"error"}}],[11,"is","","Checks if the error domain matches `T`.",24,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"kind","","Tries to convert to a specific error enum.",24,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"wrap","","",24,null],[11,"fmt","","",24,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"description","","",24,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"fmt","","",22,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"from_glib","","",22,{"inputs":[{"name":"gboolean"},{"name":"str"}],"output":{"name":"result"}}],[11,"fmt","","",22,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"description","","",22,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"clone","glib","",2,{"inputs":[{"name":"self"}],"output":{"name":"userdirectory"}}],[11,"fmt","","",2,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",2,{"inputs":[{"name":"self"},{"name":"userdirectory"}],"output":{"name":"bool"}}],[11,"hash","","",2,null],[11,"clone","","",1,{"inputs":[{"name":"self"}],"output":{"name":"fileerror"}}],[11,"fmt","","",1,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",1,{"inputs":[{"name":"self"},{"name":"fileerror"}],"output":{"name":"bool"}}],[11,"domain","","",1,{"inputs":[],"output":{"name":"gquark"}}],[11,"code","","",1,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"from","","",1,{"inputs":[{"name":"i32"}],"output":{"name":"option"}}],[11,"load_from_data_dirs","","",14,{"inputs":[{"name":"self"},{"name":"t"},{"name":"keyfileflags"}],"output":{"name":"result"}}],[11,"load_from_dirs","","",14,null],[0,"prelude","","Traits and essential types intended for blanket imports.",null,null],[0,"signal","","`IMPL` Low level signal support.",null,null],[3,"Inhibit","glib::signal","Whether to propagate the signal to the default handler.",null,null],[12,"0","","",25,null],[5,"connect","","",null,null],[5,"signal_handler_block","","",null,{"inputs":[{"name":"t"},{"name":"u64"}],"output":null}],[5,"signal_handler_unblock","","",null,{"inputs":[{"name":"t"},{"name":"u64"}],"output":null}],[5,"signal_handler_disconnect","","",null,{"inputs":[{"name":"t"},{"name":"u64"}],"output":null}],[5,"signal_stop_emission","","",null,{"inputs":[{"name":"t"},{"name":"u32"},{"name":"gquark"}],"output":null}],[5,"signal_stop_emission_by_name","","",null,{"inputs":[{"name":"t"},{"name":"str"}],"output":null}],[11,"clone","","",25,{"inputs":[{"name":"self"}],"output":{"name":"inhibit"}}],[11,"fmt","","",25,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"default","","",25,{"inputs":[],"output":{"name":"inhibit"}}],[11,"eq","","",25,{"inputs":[{"name":"self"},{"name":"inhibit"}],"output":{"name":"bool"}}],[11,"ne","","",25,{"inputs":[{"name":"self"},{"name":"inhibit"}],"output":{"name":"bool"}}],[0,"source","glib","",null,null],[3,"SourceId","glib::source","The id of a source that is returned by `idle_add` and `timeout_add`.",null,null],[3,"Continue","","Continue calling the closure in the future iterations or drop it.",null,null],[12,"0","","",26,null],[3,"CallbackGuard","","Unwinding propagation guard. Aborts the process if destroyed while panicking.",null,null],[3,"Priority","","The priority of sources",null,null],[5,"idle_add","","Adds a closure to be called by the default main loop when it's idle.",null,{"inputs":[{"name":"f"}],"output":{"name":"sourceid"}}],[5,"timeout_add","","Adds a closure to be called by the default main loop at regular intervals with millisecond granularity.",null,{"inputs":[{"name":"u32"},{"name":"f"}],"output":{"name":"sourceid"}}],[5,"timeout_add_seconds","","Adds a closure to be called by the default main loop at regular intervals with second granularity.",null,{"inputs":[{"name":"u32"},{"name":"f"}],"output":{"name":"sourceid"}}],[5,"child_watch_add","","Adds a closure to be called by the main loop the returned `Source` is attached to when a child process exits.",null,{"inputs":[{"name":"u32"},{"name":"f"}],"output":{"name":"sourceid"}}],[5,"unix_signal_add","","Adds a closure to be called by the default main loop whenever a UNIX signal is raised.",null,{"inputs":[{"name":"i32"},{"name":"f"}],"output":{"name":"sourceid"}}],[5,"source_remove","","Removes the source with the given id `source_id` from the default main context.",null,{"inputs":[{"name":"sourceid"}],"output":null}],[5,"idle_source_new","","Adds a closure to be called by the main loop the return `Source` is attached to when it's idle.",null,{"inputs":[{"name":"n"},{"name":"priority"},{"name":"f"}],"output":{"name":"source"}}],[5,"timeout_source_new","","Adds a closure to be called by the main loop the returned `Source` is attached to at regular intervals with millisecond granularity.",null,{"inputs":[{"name":"u32"},{"name":"n"},{"name":"priority"},{"name":"f"}],"output":{"name":"source"}}],[5,"timeout_source_new_seconds","","Adds a closure to be called by the main loop the returned `Source` is attached to at regular intervals with second granularity.",null,{"inputs":[{"name":"u32"},{"name":"n"},{"name":"priority"},{"name":"f"}],"output":{"name":"source"}}],[5,"child_watch_source_new","","Adds a closure to be called by the main loop the returned `Source` is attached to when a child process exits.",null,{"inputs":[{"name":"u32"},{"name":"n"},{"name":"priority"},{"name":"f"}],"output":{"name":"source"}}],[5,"unix_signal_source_new","","Adds a closure to be called by the main loop the returned `Source` is attached to whenever a UNIX signal is raised.",null,{"inputs":[{"name":"i32"},{"name":"n"},{"name":"priority"},{"name":"f"}],"output":{"name":"source"}}],[17,"PRIORITY_HIGH","","",null,null],[17,"PRIORITY_DEFAULT","","",null,null],[17,"PRIORITY_HIGH_IDLE","","",null,null],[17,"PRIORITY_DEFAULT_IDLE","","",null,null],[17,"PRIORITY_LOW","","",null,null],[11,"clone","","",27,{"inputs":[{"name":"self"}],"output":{"name":"sourceid"}}],[11,"fmt","","",27,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"default","","",27,{"inputs":[],"output":{"name":"sourceid"}}],[11,"eq","","",27,{"inputs":[{"name":"self"},{"name":"sourceid"}],"output":{"name":"bool"}}],[11,"ne","","",27,{"inputs":[{"name":"self"},{"name":"sourceid"}],"output":{"name":"bool"}}],[11,"to_glib","","",27,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_glib","","",27,{"inputs":[{"name":"u32"}],"output":{"name":"sourceid"}}],[11,"to_glib","","",26,{"inputs":[{"name":"self"}],"output":{"name":"gboolean"}}],[11,"new","","",28,{"inputs":[],"output":{"name":"callbackguard"}}],[11,"drop","","",28,{"inputs":[{"name":"self"}],"output":null}],[11,"clone","","",29,{"inputs":[{"name":"self"}],"output":{"name":"priority"}}],[11,"fmt","","",29,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"default","","",29,{"inputs":[],"output":{"name":"priority"}}],[11,"eq","","",29,{"inputs":[{"name":"self"},{"name":"priority"}],"output":{"name":"bool"}}],[11,"ne","","",29,{"inputs":[{"name":"self"},{"name":"priority"}],"output":{"name":"bool"}}],[11,"to_glib","","",29,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"from_glib","","",29,{"inputs":[{"name":"i32"}],"output":{"name":"priority"}}],[0,"translate","glib","Translation between GLib/GLib-based FFI types and their Rust counterparts.",null,null],[3,"Stash","glib::translate","Helper type that stores temporary values used for translation.",null,null],[12,"0","","",30,null],[12,"1","","",30,null],[3,"StashMut","","",null,null],[12,"0","","",31,null],[12,"1","","",31,null],[3,"PtrArray","","Temporary storage for passing a `NULL` terminated array of pointers.",null,null],[3,"List","","",null,null],[3,"SList","","",null,null],[3,"HashTable","","",null,null],[5,"mut_override","","Overrides pointer mutability.",null,null],[5,"uninitialized","","Returns an uninitialized value.",null,{"inputs":[],"output":{"name":"t"}}],[5,"some_if","","Returns `Some(val)` if the condition is true and `None` otherwise.",null,{"inputs":[{"name":"b"},{"name":"f"}],"output":{"name":"option"}}],[5,"from_glib","","Translate a simple type.",null,{"inputs":[{"name":"g"}],"output":{"name":"t"}}],[5,"from_glib_none","","Translate from a pointer type, transfer: none.",null,{"inputs":[{"name":"p"}],"output":{"name":"t"}}],[5,"from_glib_full","","Translate from a pointer type, transfer: full (assume ownership).",null,{"inputs":[{"name":"p"}],"output":{"name":"t"}}],[5,"from_glib_borrow","","Translate from a pointer type, borrowing the pointer.",null,{"inputs":[{"name":"p"}],"output":{"name":"t"}}],[8,"Ptr","","A pointer",null,null],[10,"is_null","","",32,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"from","","",32,null],[10,"to","","",32,null],[8,"Uninitialized","","A trait for creating an uninitialized value. Handy for receiving outparams.",null,null],[10,"uninitialized","","Returns an uninitialized value.",33,{"inputs":[],"output":{"name":"self"}}],[8,"ToBool","","",null,null],[10,"to_bool","","",34,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[8,"ToGlib","","Translate a simple type.",null,null],[16,"GlibType","","",35,null],[10,"to_glib","","",35,null],[8,"GlibPtrDefault","","Provides the default pointer type to be used in some container conversions.",null,null],[16,"GlibType","","",36,null],[8,"ToGlibPtr","","Translate to a pointer.",null,null],[16,"Storage","","",37,null],[10,"to_glib_none","","Transfer: none.",37,{"inputs":[{"name":"self"}],"output":{"name":"stash"}}],[11,"to_glib_container","","Transfer: container.",37,{"inputs":[{"name":"self"}],"output":{"name":"stash"}}],[11,"to_glib_full","","Transfer: full.",37,{"inputs":[{"name":"self"}],"output":{"name":"p"}}],[8,"ToGlibPtrMut","","",null,null],[16,"Storage","","",38,null],[10,"to_glib_none_mut","","Transfer: none.",38,{"inputs":[{"name":"self"}],"output":{"name":"stashmut"}}],[8,"FromGlib","","Translate a simple type.",null,null],[10,"from_glib","","",39,{"inputs":[{"name":"t"}],"output":{"name":"self"}}],[8,"FromGlibPtrNone","","Translate from a pointer type without taking ownership, transfer: none.",null,null],[10,"from_glib_none","","",40,{"inputs":[{"name":"p"}],"output":{"name":"self"}}],[8,"FromGlibPtrFull","","Translate from a pointer type taking ownership, transfer: full.",null,null],[10,"from_glib_full","","",41,{"inputs":[{"name":"p"}],"output":{"name":"self"}}],[8,"FromGlibPtrBorrow","","Translate from a pointer type by borrowing. Don't increase the refcount",null,null],[11,"from_glib_borrow","","",42,{"inputs":[{"name":"p"}],"output":{"name":"self"}}],[8,"FromGlibPtrContainer","","Translate from a container of pointers.",null,null],[10,"from_glib_none","","Transfer: none.",43,{"inputs":[{"name":"pp"}],"output":{"name":"self"}}],[10,"from_glib_none_num","","Transfer: none.",43,{"inputs":[{"name":"pp"},{"name":"usize"}],"output":{"name":"self"}}],[10,"from_glib_container","","Transfer: container.",43,{"inputs":[{"name":"pp"}],"output":{"name":"self"}}],[10,"from_glib_container_num","","Transfer: container.",43,{"inputs":[{"name":"pp"},{"name":"usize"}],"output":{"name":"self"}}],[10,"from_glib_full","","Transfer: full.",43,{"inputs":[{"name":"pp"}],"output":{"name":"self"}}],[10,"from_glib_full_num","","Transfer: full.",43,{"inputs":[{"name":"pp"},{"name":"usize"}],"output":{"name":"self"}}],[11,"len","","Returns the length of the array not counting the `NULL` terminator.",44,{"inputs":[{"name":"self"}],"output":{"name":"usize"}}],[11,"drop","","",45,{"inputs":[{"name":"self"}],"output":null}],[11,"drop","","",46,{"inputs":[{"name":"self"}],"output":null}],[11,"drop","","",47,{"inputs":[{"name":"self"}],"output":null}],[0,"types","glib","Runtime type information.",null,null],[4,"Type","glib::types","A GLib or GLib-based library type",null,null],[13,"Invalid","","An invalid `Type` used as error return value in some functions",48,null],[13,"Unit","","The fundamental type corresponding to the unit type `()`",48,null],[13,"I8","","The fundamental type corresponding to `i8`",48,null],[13,"U8","","The fundamental type corresponding to `u8`",48,null],[13,"Bool","","The fundamental type corresponding to `bool`",48,null],[13,"I32","","The fundamental type corresponding to `i32`",48,null],[13,"U32","","The fundamental type corresponding to `u32`",48,null],[13,"ILong","","The fundamental type corresponding to C `long`",48,null],[13,"ULong","","The fundamental type corresponding to C `unsigned long`",48,null],[13,"I64","","The fundamental type corresponding to `i64`",48,null],[13,"U64","","The fundamental type corresponding to `u64`",48,null],[13,"F32","","The fundamental type corresponding to `f32`",48,null],[13,"F64","","The fundamental type corresponding to `f64`",48,null],[13,"String","","The fundamental type corresponding to `String`",48,null],[13,"Pointer","","The fundamental type corresponding to a pointer",48,null],[13,"Variant","","The fundamental type of GVariant",48,null],[13,"BaseInterface","","The fundamental type from which all interfaces are derived",48,null],[13,"BaseEnum","","The fundamental type from which all enumeration types are derived",48,null],[13,"BaseFlags","","The fundamental type from which all flags types are derived",48,null],[13,"BaseBoxed","","The fundamental type from which all boxed types are derived",48,null],[13,"BaseParamSpec","","The fundamental type from which all `GParamSpec` types are derived",48,null],[13,"BaseObject","","The fundamental type from which all objects are derived",48,null],[13,"Other","","A non-fundamental type identified by value of type `usize`",48,null],[5,"instance_of","","",null,{"inputs":[{"name":"gconstpointer"}],"output":{"name":"bool"}}],[8,"StaticType","","Types that are supported by GLib dynamic typing.",null,null],[10,"static_type","","Returns the type identifier of `Self`.",49,{"inputs":[],"output":{"name":"type"}}],[8,"InstanceType","","",null,null],[10,"instance_type","","",50,{"inputs":[{"name":"self"}],"output":{"name":"type"}}],[11,"clone","","",48,{"inputs":[{"name":"self"}],"output":{"name":"type"}}],[11,"fmt","","",48,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",48,{"inputs":[{"name":"self"},{"name":"type"}],"output":{"name":"bool"}}],[11,"ne","","",48,{"inputs":[{"name":"self"},{"name":"type"}],"output":{"name":"bool"}}],[11,"from_glib","","",48,{"inputs":[{"name":"gtype"}],"output":{"name":"type"}}],[11,"to_glib","","",48,{"inputs":[{"name":"self"}],"output":{"name":"gtype"}}],[0,"value","glib","`Value` binding and helper traits.",null,null],[3,"Value","glib::value","A generic value capable of carrying various types.",null,null],[3,"ValueArray","","",null,null],[3,"TypedValue","","A statically typed `Value`.",null,null],[8,"ToValue","","Converts to `Value`.",null,null],[10,"to_value","","Returns a `Value` clone of `self`.",51,{"inputs":[{"name":"self"}],"output":{"name":"value"}}],[10,"to_value_type","","Returns the type identifer of `self`.",51,{"inputs":[{"name":"self"}],"output":{"name":"type"}}],[8,"FromValueOptional","","Extracts a value.",null,null],[10,"from_value_optional","","",52,{"inputs":[{"name":"value"}],"output":{"name":"option"}}],[8,"FromValue","","Extracts a value.",null,null],[10,"from_value","","",53,{"inputs":[{"name":"value"}],"output":{"name":"self"}}],[8,"SetValueOptional","","Sets a value.",null,null],[10,"set_value_optional","","",54,{"inputs":[{"name":"value"},{"name":"option"}],"output":null}],[8,"SetValue","","Sets a value.",null,null],[10,"set_value","","",55,{"inputs":[{"name":"value"},{"name":"self"}],"output":null}],[11,"downcast","","Tries to downcast to a `TypedValue`.",56,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"get","","Tries to get a value of type `T`.",56,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"is","","Returns `true` if the type of the value corresponds to `T`.",56,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"type_","","Returns the type of the value.",56,{"inputs":[{"name":"self"}],"output":{"name":"type"}}],[11,"type_transformable","","Returns whether `Value`s of type `src` can be transformed to type `dst`.",56,{"inputs":[{"name":"type"},{"name":"type"}],"output":{"name":"bool"}}],[11,"clone","","",56,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[11,"drop","","",56,{"inputs":[{"name":"self"}],"output":null}],[11,"fmt","","",56,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"from","","",56,{"inputs":[{"name":"option"}],"output":{"name":"self"}}],[11,"from","","",56,{"inputs":[{"name":"t"}],"output":{"name":"self"}}],[11,"from","","",56,{"inputs":[{"name":"typedvalue"}],"output":{"name":"self"}}],[11,"uninitialized","","",56,{"inputs":[],"output":{"name":"value"}}],[11,"to_glib_none","","",56,{"inputs":[{"name":"self"}],"output":{"name":"stash"}}],[11,"to_glib_none_mut","","",56,{"inputs":[{"name":"self"}],"output":{"name":"stashmut"}}],[11,"from_glib_none","","",56,null],[11,"from_glib_none","","",56,null],[11,"from_glib_full","","",56,null],[11,"drop","","",57,{"inputs":[{"name":"self"}],"output":null}],[11,"get","","Returns the value.",58,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_some","","Returns the value.",58,{"inputs":[{"name":"self"}],"output":{"name":"t"}}],[11,"set","","Sets the value.",58,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[11,"set_none","","Sets the value to `None`.",58,{"inputs":[{"name":"self"}],"output":null}],[11,"set_some","","Sets the value.",58,{"inputs":[{"name":"self"},{"name":"u"}],"output":null}],[11,"clone","","",58,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[11,"fmt","","",58,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"deref","","",58,{"inputs":[{"name":"self"}],"output":{"name":"value"}}],[11,"deref_mut","","",58,{"inputs":[{"name":"self"}],"output":{"name":"value"}}],[11,"from","","",58,{"inputs":[{"name":"option"}],"output":{"name":"self"}}],[11,"from","","",58,{"inputs":[{"name":"t"}],"output":{"name":"self"}}],[11,"from","","",58,{"inputs":[{"name":"option"}],"output":{"name":"self"}}],[11,"from","","",58,{"inputs":[{"name":"str"}],"output":{"name":"self"}}],[11,"from","","",58,{"inputs":[{"name":"typedvalue"}],"output":{"name":"self"}}],[11,"from","","",58,{"inputs":[{"name":"typedvalue"}],"output":{"name":"self"}}],[11,"to_value","","",56,{"inputs":[{"name":"self"}],"output":{"name":"value"}}],[11,"to_value_type","","",56,{"inputs":[{"name":"self"}],"output":{"name":"type"}}],[0,"variant","glib","`Variant` binding and helper traits.",null,null],[3,"Variant","glib::variant","A generic immutable value capable of carrying various types.",null,null],[8,"ToVariant","","Converts to `Variant`.",null,null],[10,"to_variant","","Returns a `Variant` clone of `self`.",59,{"inputs":[{"name":"self"}],"output":{"name":"variant"}}],[8,"FromVariant","","Extracts a value.",null,null],[10,"from_variant","","Tries to extract a value.",60,{"inputs":[{"name":"variant"}],"output":{"name":"option"}}],[8,"StaticVariantType","","Returns `VariantType` of `Self`.",null,null],[10,"static_variant_type","","Returns the `VariantType` corresponding to `Self`.",61,{"inputs":[],"output":{"name":"cow"}}],[11,"clone","","",62,{"inputs":[{"name":"self"}],"output":{"name":"variant"}}],[11,"type_","","Returns the type of the value.",62,{"inputs":[{"name":"self"}],"output":{"name":"variantty"}}],[11,"is","","Returns `true` if the type of the value corresponds to `T`.",62,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"get","","Tries to extract a value of type `T`.",62,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_str","","Tries to extract a `&str`.",62,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"fmt","","",62,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",62,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",62,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"bool"}}],[11,"hash","","",62,{"inputs":[{"name":"self"},{"name":"h"}],"output":null}],[11,"from","","",62,{"inputs":[{"name":"t"}],"output":{"name":"variant"}}],[11,"new","glib","Tries to create a `VariantType` from a string slice.",63,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[11,"drop","","",63,{"inputs":[{"name":"self"}],"output":null}],[11,"borrow","","",63,{"inputs":[{"name":"self"}],"output":{"name":"variantty"}}],[11,"clone","","",63,{"inputs":[{"name":"self"}],"output":{"name":"varianttype"}}],[11,"deref","","",63,{"inputs":[{"name":"self"}],"output":{"name":"variantty"}}],[11,"fmt","","",63,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",63,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",63,{"inputs":[{"name":"self"},{"name":"h"}],"output":null}],[11,"into","","",63,{"inputs":[{"name":"self"}],"output":{"name":"cow"}}],[11,"fmt","","",64,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",64,{"inputs":[{"name":"self"},{"name":"variantty"}],"output":{"name":"bool"}}],[11,"ne","","",64,{"inputs":[{"name":"self"},{"name":"variantty"}],"output":{"name":"bool"}}],[11,"hash","","",64,null],[11,"new","","Tries to create a `&VariantTy` from a string slice.",64,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[11,"from_str_unchecked","","Converts a type string into `&VariantTy` without any checks.",64,{"inputs":[{"name":"str"}],"output":{"name":"variantty"}}],[11,"to_str","","Converts to a string slice.",64,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"fmt","","",64,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"to_owned","","",64,{"inputs":[{"name":"self"}],"output":{"name":"varianttype"}}],[11,"eq","","",63,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"bool"}}],[11,"eq","","",63,{"inputs":[{"name":"self"},{"name":"variantty"}],"output":{"name":"bool"}}],[11,"eq","","",64,{"inputs":[{"name":"self"},{"name":"varianttype"}],"output":{"name":"bool"}}],[11,"eq","","",63,{"inputs":[{"name":"self"},{"name":"variantty"}],"output":{"name":"bool"}}],[11,"eq","","",63,{"inputs":[{"name":"self"},{"name":"cow"}],"output":{"name":"bool"}}],[11,"eq","","",64,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[11,"eq","","",64,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[11,"eq","","",64,{"inputs":[{"name":"self"},{"name":"string"}],"output":{"name":"bool"}}],[11,"eq","","",63,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[11,"eq","","",63,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[11,"eq","","",63,{"inputs":[{"name":"self"},{"name":"string"}],"output":{"name":"bool"}}],[11,"prepare","","",15,null],[11,"find_source_by_id","","",15,{"inputs":[{"name":"self"},{"name":"sourceid"}],"output":{"name":"option"}}],[11,"invoke","","",15,{"inputs":[{"name":"self"},{"name":"f"}],"output":null}],[11,"invoke_with_priority","","",15,{"inputs":[{"name":"self"},{"name":"priority"},{"name":"f"}],"output":null}],[17,"FORMAT_SIZE_DEFAULT","","",null,null],[17,"FORMAT_SIZE_LONG_FORMAT","","",null,null],[17,"FORMAT_SIZE_IEC_UNITS","","",null,null],[17,"KEY_FILE_NONE","","",null,null],[17,"KEY_FILE_KEEP_COMMENTS","","",null,null],[17,"KEY_FILE_KEEP_TRANSLATIONS","","",null,null],[11,"deref","","",65,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"initialize","","",65,{"inputs":[{"name":"self"}],"output":null}],[11,"deref","","",66,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"initialize","","",66,{"inputs":[{"name":"self"}],"output":null}],[11,"deref","","",67,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"initialize","","",67,{"inputs":[{"name":"self"}],"output":null}],[11,"deref","","",68,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"initialize","","",68,{"inputs":[{"name":"self"}],"output":null}],[11,"deref","","",69,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"initialize","","",69,{"inputs":[{"name":"self"}],"output":null}],[11,"deref","","",70,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"initialize","","",70,{"inputs":[{"name":"self"}],"output":null}],[11,"deref","","",71,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"initialize","","",71,{"inputs":[{"name":"self"}],"output":null}],[11,"deref","","",72,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"initialize","","",72,{"inputs":[{"name":"self"}],"output":null}],[11,"deref","","",73,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"initialize","","",73,{"inputs":[{"name":"self"}],"output":null}],[11,"deref","","",74,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"initialize","","",74,{"inputs":[{"name":"self"}],"output":null}],[11,"deref","","",75,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"initialize","","",75,{"inputs":[{"name":"self"}],"output":null}],[11,"deref","","",76,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"initialize","","",76,{"inputs":[{"name":"self"}],"output":null}],[11,"deref","","",77,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"initialize","","",77,{"inputs":[{"name":"self"}],"output":null}],[11,"deref","","",78,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"initialize","","",78,{"inputs":[{"name":"self"}],"output":null}],[11,"deref","","",79,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"initialize","","",79,{"inputs":[{"name":"self"}],"output":null}],[11,"deref","","",80,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"initialize","","",80,{"inputs":[{"name":"self"}],"output":null}],[11,"deref","","",81,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"initialize","","",81,{"inputs":[{"name":"self"}],"output":null}],[11,"deref","","",82,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"initialize","","",82,{"inputs":[{"name":"self"}],"output":null}],[11,"deref","","",83,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"initialize","","",83,{"inputs":[{"name":"self"}],"output":null}],[11,"deref","","",84,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"initialize","","",84,{"inputs":[{"name":"self"}],"output":null}],[11,"deref","","",85,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"initialize","","",85,{"inputs":[{"name":"self"}],"output":null}],[11,"deref","","",86,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"initialize","","",86,{"inputs":[{"name":"self"}],"output":null}],[11,"deref","","",87,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"initialize","","",87,{"inputs":[{"name":"self"}],"output":null}],[11,"deref","","",88,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"initialize","","",88,{"inputs":[{"name":"self"}],"output":null}],[11,"deref","","",89,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"initialize","","",89,{"inputs":[{"name":"self"}],"output":null}],[11,"deref","","",90,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"initialize","","",90,{"inputs":[{"name":"self"}],"output":null}],[11,"deref","","",91,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"initialize","","",91,{"inputs":[{"name":"self"}],"output":null}],[11,"deref","","",92,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"initialize","","",92,{"inputs":[{"name":"self"}],"output":null}],[14,"glib_wrapper","","Defines a wrapper type and implements the appropriate traits.",null,null],[14,"glib_boxed_wrapper","","Wrapper implementations for Boxed types. See `glib_wrapper!`.",null,null],[14,"glib_shared_wrapper","","Wrapper implementations for shared types. See `glib_wrapper!`.",null,null],[14,"glib_object_wrapper","","Wrapper implementations for Object types. See `glib_wrapper!`.",null,null]],"paths":[[3,"TimeVal"],[4,"FileError"],[4,"UserDirectory"],[4,"KeyFileError"],[8,"Wrapper"],[8,"UnsafeFrom"],[8,"BoxedMemoryManager"],[3,"Boxed"],[8,"SharedMemoryManager"],[3,"Shared"],[8,"Cast"],[8,"Downcast"],[8,"ObjectExt"],[3,"Object"],[3,"KeyFile"],[3,"MainContext"],[3,"MainLoop"],[3,"Source"],[3,"FormatSizeFlags"],[3,"KeyFileFlags"],[3,"Bytes"],[3,"Closure"],[3,"BoolError"],[8,"ErrorDomain"],[3,"Error"],[3,"Inhibit"],[3,"Continue"],[3,"SourceId"],[3,"CallbackGuard"],[3,"Priority"],[3,"Stash"],[3,"StashMut"],[8,"Ptr"],[8,"Uninitialized"],[8,"ToBool"],[8,"ToGlib"],[8,"GlibPtrDefault"],[8,"ToGlibPtr"],[8,"ToGlibPtrMut"],[8,"FromGlib"],[8,"FromGlibPtrNone"],[8,"FromGlibPtrFull"],[8,"FromGlibPtrBorrow"],[8,"FromGlibPtrContainer"],[3,"PtrArray"],[3,"List"],[3,"SList"],[3,"HashTable"],[4,"Type"],[8,"StaticType"],[8,"InstanceType"],[8,"ToValue"],[8,"FromValueOptional"],[8,"FromValue"],[8,"SetValueOptional"],[8,"SetValue"],[3,"Value"],[3,"ValueArray"],[3,"TypedValue"],[8,"ToVariant"],[8,"FromVariant"],[8,"StaticVariantType"],[3,"Variant"],[3,"VariantType"],[3,"VariantTy"],[3,"KEY_FILE_DESKTOP_GROUP"],[3,"KEY_FILE_DESKTOP_KEY_ACTIONS"],[3,"KEY_FILE_DESKTOP_KEY_CATEGORIES"],[3,"KEY_FILE_DESKTOP_KEY_COMMENT"],[3,"KEY_FILE_DESKTOP_KEY_DBUS_ACTIVATABLE"],[3,"KEY_FILE_DESKTOP_KEY_EXEC"],[3,"KEY_FILE_DESKTOP_KEY_FULLNAME"],[3,"KEY_FILE_DESKTOP_KEY_GENERIC_NAME"],[3,"KEY_FILE_DESKTOP_KEY_GETTEXT_DOMAIN"],[3,"KEY_FILE_DESKTOP_KEY_HIDDEN"],[3,"KEY_FILE_DESKTOP_KEY_ICON"],[3,"KEY_FILE_DESKTOP_KEY_KEYWORDS"],[3,"KEY_FILE_DESKTOP_KEY_MIME_TYPE"],[3,"KEY_FILE_DESKTOP_KEY_NAME"],[3,"KEY_FILE_DESKTOP_KEY_NOT_SHOW_IN"],[3,"KEY_FILE_DESKTOP_KEY_NO_DISPLAY"],[3,"KEY_FILE_DESKTOP_KEY_ONLY_SHOW_IN"],[3,"KEY_FILE_DESKTOP_KEY_PATH"],[3,"KEY_FILE_DESKTOP_KEY_STARTUP_NOTIFY"],[3,"KEY_FILE_DESKTOP_KEY_STARTUP_WM_CLASS"],[3,"KEY_FILE_DESKTOP_KEY_TERMINAL"],[3,"KEY_FILE_DESKTOP_KEY_TRY_EXEC"],[3,"KEY_FILE_DESKTOP_KEY_TYPE"],[3,"KEY_FILE_DESKTOP_KEY_URL"],[3,"KEY_FILE_DESKTOP_KEY_VERSION"],[3,"KEY_FILE_DESKTOP_TYPE_APPLICATION"],[3,"KEY_FILE_DESKTOP_TYPE_DIRECTORY"],[3,"KEY_FILE_DESKTOP_TYPE_LINK"]]};
searchIndex["glib_sys"] = {"doc":"","items":[[3,"Volatile","glib_sys","",null,null],[3,"GAsciiType","","",null,null],[3,"GFileTest","","",null,null],[3,"GFormatSizeFlags","","",null,null],[3,"GHookFlagMask","","",null,null],[3,"GIOCondition","","",null,null],[3,"GIOFlags","","",null,null],[3,"GKeyFileFlags","","",null,null],[3,"GLogLevelFlags","","",null,null],[3,"GMarkupCollectType","","",null,null],[3,"GMarkupParseFlags","","",null,null],[3,"GOptionFlags","","",null,null],[3,"GRegexCompileFlags","","",null,null],[3,"GRegexMatchFlags","","",null,null],[3,"GSpawnFlags","","",null,null],[3,"GTestSubprocessFlags","","",null,null],[3,"GTestTrapFlags","","",null,null],[3,"GTraverseFlags","","",null,null],[3,"GMutex","","",null,null],[3,"GArray","","",null,null],[12,"data","","",0,null],[12,"len","","",0,null],[3,"GAsyncQueue","","",null,null],[3,"GBookmarkFile","","",null,null],[3,"GByteArray","","",null,null],[12,"data","","",1,null],[12,"len","","",1,null],[3,"GBytes","","",null,null],[3,"GChecksum","","",null,null],[3,"GCond","","",null,null],[12,"p","","",2,null],[12,"i","","",2,null],[3,"GData","","",null,null],[3,"GDate","","",null,null],[3,"GDateTime","","",null,null],[3,"GDebugKey","","",null,null],[12,"key","","",3,null],[12,"value","","",3,null],[3,"GDir","","",null,null],[3,"GError","","",null,null],[12,"domain","","",4,null],[12,"code","","",4,null],[12,"message","","",4,null],[3,"GHashTable","","",null,null],[3,"GHashTableIter","","",null,null],[12,"dummy1","","",5,null],[12,"dummy2","","",5,null],[12,"dummy3","","",5,null],[12,"dummy4","","",5,null],[12,"dummy5","","",5,null],[12,"dummy6","","",5,null],[3,"GHmac","","",null,null],[3,"GHook","","",null,null],[12,"data","","",6,null],[12,"next","","",6,null],[12,"prev","","",6,null],[12,"ref_count","","",6,null],[12,"hook_id","","",6,null],[12,"flags","","",6,null],[12,"func","","",6,null],[12,"destroy","","",6,null],[3,"GHookList","","",null,null],[12,"seq_id","","",7,null],[3,"GIConv","","",null,null],[3,"GIOChannel","","",null,null],[12,"ref_count","","",8,null],[12,"funcs","","",8,null],[12,"encoding","","",8,null],[12,"read_cd","","",8,null],[12,"write_cd","","",8,null],[12,"line_term","","",8,null],[12,"line_term_len","","",8,null],[12,"buf_size","","",8,null],[12,"read_buf","","",8,null],[12,"encoded_read_buf","","",8,null],[12,"write_buf","","",8,null],[12,"partial_write_buf","","",8,null],[3,"GIOFuncs","","",null,null],[12,"io_read","","",9,null],[12,"io_write","","",9,null],[12,"io_seek","","",9,null],[12,"io_close","","",9,null],[12,"io_create_watch","","",9,null],[12,"io_free","","",9,null],[12,"io_set_flags","","",9,null],[12,"io_get_flags","","",9,null],[3,"GKeyFile","","",null,null],[3,"GList","","",null,null],[12,"data","","",10,null],[12,"next","","",10,null],[12,"prev","","",10,null],[3,"GLogField","","",null,null],[12,"key","","",11,null],[12,"value","","",11,null],[12,"length","","",11,null],[3,"GMainContext","","",null,null],[3,"GMainLoop","","",null,null],[3,"GMappedFile","","",null,null],[3,"GMarkupParseContext","","",null,null],[3,"GMarkupParser","","",null,null],[12,"start_element","","",12,null],[12,"end_element","","",12,null],[12,"text","","",12,null],[12,"passthrough","","",12,null],[12,"error","","",12,null],[3,"GMatchInfo","","",null,null],[3,"GMemVTable","","",null,null],[12,"malloc","","",13,null],[12,"realloc","","",13,null],[12,"free","","",13,null],[12,"calloc","","",13,null],[12,"try_malloc","","",13,null],[12,"try_realloc","","",13,null],[3,"GNode","","",null,null],[12,"data","","",14,null],[12,"next","","",14,null],[12,"prev","","",14,null],[12,"parent","","",14,null],[12,"children","","",14,null],[3,"GOnce","","",null,null],[12,"status","","",15,null],[12,"retval","","",15,null],[3,"GOptionContext","","",null,null],[3,"GOptionEntry","","",null,null],[12,"long_name","","",16,null],[12,"short_name","","",16,null],[12,"flags","","",16,null],[12,"arg","","",16,null],[12,"arg_data","","",16,null],[12,"description","","",16,null],[12,"arg_description","","",16,null],[3,"GOptionGroup","","",null,null],[3,"GPatternSpec","","",null,null],[3,"GPollFD","","",null,null],[12,"fd","","",17,null],[12,"events","","",17,null],[12,"revents","","",17,null],[3,"GPrivate","","",null,null],[12,"p","","",18,null],[12,"notify","","",18,null],[12,"future","","",18,null],[3,"GPtrArray","","",null,null],[12,"pdata","","",19,null],[12,"len","","",19,null],[3,"GQueue","","",null,null],[12,"head","","",20,null],[12,"tail","","",20,null],[12,"length","","",20,null],[3,"GRWLock","","",null,null],[12,"p","","",21,null],[12,"i","","",21,null],[3,"GRand","","",null,null],[3,"GRecMutex","","",null,null],[12,"p","","",22,null],[12,"i","","",22,null],[3,"GRegex","","",null,null],[3,"GSList","","",null,null],[12,"data","","",23,null],[12,"next","","",23,null],[3,"GScanner","","",null,null],[12,"user_data","","",24,null],[12,"max_parse_errors","","",24,null],[12,"parse_errors","","",24,null],[12,"input_name","","",24,null],[12,"qdata","","",24,null],[12,"config","","",24,null],[12,"token","","",24,null],[3,"GScannerConfig","","",null,null],[12,"cset_skip_characters","","",25,null],[12,"cset_identifier_first","","",25,null],[12,"cset_identifier_nth","","",25,null],[12,"cpair_comment_single","","",25,null],[3,"GSequence","","",null,null],[3,"GSequenceIter","","",null,null],[3,"GSource","","",null,null],[12,"callback_data","","",26,null],[12,"callback_funcs","","",26,null],[12,"source_funcs","","",26,null],[12,"ref_count","","",26,null],[12,"context","","",26,null],[12,"priority","","",26,null],[12,"flags","","",26,null],[12,"source_id","","",26,null],[12,"poll_fds","","",26,null],[12,"prev","","",26,null],[12,"next","","",26,null],[12,"name","","",26,null],[12,"priv_","","",26,null],[3,"GSourceCallbackFuncs","","",null,null],[12,"ref_","","",27,null],[12,"unref","","",27,null],[12,"get","","",27,null],[3,"GSourceFuncs","","",null,null],[12,"prepare","","",28,null],[12,"check","","",28,null],[12,"dispatch","","",28,null],[12,"finalize","","",28,null],[12,"closure_callback","","",28,null],[12,"closure_marshal","","",28,null],[3,"GSourcePrivate","","",null,null],[3,"GStatBuf","","",null,null],[3,"GString","","",null,null],[12,"str","","",29,null],[12,"len","","",29,null],[12,"allocated_len","","",29,null],[3,"GStringChunk","","",null,null],[3,"GTestCase","","",null,null],[3,"GTestConfig","","",null,null],[12,"test_initialized","","",30,null],[12,"test_quick","","",30,null],[12,"test_perf","","",30,null],[12,"test_verbose","","",30,null],[12,"test_quiet","","",30,null],[12,"test_undefined","","",30,null],[3,"GTestLogBuffer","","",null,null],[12,"data","","",31,null],[12,"msgs","","",31,null],[3,"GTestLogMsg","","",null,null],[12,"log_type","","",32,null],[12,"n_strings","","",32,null],[12,"strings","","",32,null],[12,"n_nums","","",32,null],[12,"nums","","",32,null],[3,"GTestSuite","","",null,null],[3,"GThread","","",null,null],[3,"GThreadPool","","",null,null],[12,"func","","",33,null],[12,"user_data","","",33,null],[12,"exclusive","","",33,null],[3,"GTimeVal","","",null,null],[12,"tv_sec","","",34,null],[12,"tv_usec","","",34,null],[3,"GTimeZone","","",null,null],[3,"GTimer","","",null,null],[3,"GTrashStack","","",null,null],[12,"next","","",35,null],[3,"GTree","","",null,null],[3,"GVariant","","",null,null],[3,"GVariantBuilder","","",null,null],[3,"GVariantDict","","",null,null],[3,"GVariantIter","","",null,null],[12,"x","","",36,null],[3,"GVariantType","","",null,null],[4,"GBookmarkFileError","","",null,null],[13,"InvalidUri","","",37,null],[13,"InvalidValue","","",37,null],[13,"AppNotRegistered","","",37,null],[13,"UriNotFound","","",37,null],[13,"Read","","",37,null],[13,"UnknownEncoding","","",37,null],[13,"Write","","",37,null],[13,"FileNotFound","","",37,null],[4,"GChecksumType","","",null,null],[13,"Md5","","",38,null],[13,"Sha1","","",38,null],[13,"Sha256","","",38,null],[13,"Sha512","","",38,null],[4,"GConvertError","","",null,null],[13,"NoConversion","","",39,null],[13,"IllegalSequence","","",39,null],[13,"Failed","","",39,null],[13,"PartialInput","","",39,null],[13,"BadUri","","",39,null],[13,"NotAbsolutePath","","",39,null],[13,"NoMemory","","",39,null],[4,"GDateDMY","","",null,null],[13,"Day","","",40,null],[13,"Month","","",40,null],[13,"Year","","",40,null],[4,"GDateMonth","","",null,null],[13,"BadMonth","","",41,null],[13,"January","","",41,null],[13,"February","","",41,null],[13,"March","","",41,null],[13,"April","","",41,null],[13,"May","","",41,null],[13,"June","","",41,null],[13,"July","","",41,null],[13,"August","","",41,null],[13,"September","","",41,null],[13,"October","","",41,null],[13,"November","","",41,null],[13,"December","","",41,null],[4,"GDateWeekday","","",null,null],[13,"BadWeekday","","",42,null],[13,"Monday","","",42,null],[13,"Tuesday","","",42,null],[13,"Wednesday","","",42,null],[13,"Thursday","","",42,null],[13,"Friday","","",42,null],[13,"Saturday","","",42,null],[13,"Sunday","","",42,null],[4,"GErrorType","","",null,null],[13,"Unknown","","",43,null],[13,"UnexpEof","","",43,null],[13,"UnexpEofInString","","",43,null],[13,"UnexpEofInComment","","",43,null],[13,"NonDigitInConst","","",43,null],[13,"DigitRadix","","",43,null],[13,"FloatRadix","","",43,null],[13,"FloatMalformed","","",43,null],[4,"GFileError","","",null,null],[13,"Exist","","",44,null],[13,"Isdir","","",44,null],[13,"Acces","","",44,null],[13,"Nametoolong","","",44,null],[13,"Noent","","",44,null],[13,"Notdir","","",44,null],[13,"Nxio","","",44,null],[13,"Nodev","","",44,null],[13,"Rofs","","",44,null],[13,"Txtbsy","","",44,null],[13,"Fault","","",44,null],[13,"Loop","","",44,null],[13,"Nospc","","",44,null],[13,"Nomem","","",44,null],[13,"Mfile","","",44,null],[13,"Nfile","","",44,null],[13,"Badf","","",44,null],[13,"Inval","","",44,null],[13,"Pipe","","",44,null],[13,"Again","","",44,null],[13,"Intr","","",44,null],[13,"Io","","",44,null],[13,"Perm","","",44,null],[13,"Nosys","","",44,null],[13,"Failed","","",44,null],[4,"GIOChannelError","","",null,null],[13,"Fbig","","",45,null],[13,"Inval","","",45,null],[13,"Io","","",45,null],[13,"Isdir","","",45,null],[13,"Nospc","","",45,null],[13,"Nxio","","",45,null],[13,"Overflow","","",45,null],[13,"Pipe","","",45,null],[13,"Failed","","",45,null],[4,"GIOError","","",null,null],[13,"None","","",46,null],[13,"Again","","",46,null],[13,"Inval","","",46,null],[13,"Unknown","","",46,null],[4,"GIOStatus","","",null,null],[13,"Error","","",47,null],[13,"Normal","","",47,null],[13,"Eof","","",47,null],[13,"Again","","",47,null],[4,"GKeyFileError","","",null,null],[13,"UnknownEncoding","","",48,null],[13,"Parse","","",48,null],[13,"NotFound","","",48,null],[13,"KeyNotFound","","",48,null],[13,"GroupNotFound","","",48,null],[13,"InvalidValue","","",48,null],[4,"GLogWriterOutput","","",null,null],[13,"Handled","","",49,null],[13,"Unhandled","","",49,null],[4,"GMarkupError","","",null,null],[13,"BadUtf8","","",50,null],[13,"Empty","","",50,null],[13,"Parse","","",50,null],[13,"UnknownElement","","",50,null],[13,"UnknownAttribute","","",50,null],[13,"InvalidContent","","",50,null],[13,"MissingAttribute","","",50,null],[4,"GNormalizeMode","","",null,null],[13,"Default","","",51,null],[13,"DefaultCompose","","",51,null],[13,"All","","",51,null],[13,"AllCompose","","",51,null],[4,"GOnceStatus","","",null,null],[13,"Notcalled","","",52,null],[13,"Progress","","",52,null],[13,"Ready","","",52,null],[4,"GOptionArg","","",null,null],[13,"None","","",53,null],[13,"String","","",53,null],[13,"Int","","",53,null],[13,"Callback","","",53,null],[13,"Filename","","",53,null],[13,"StringArray","","",53,null],[13,"FilenameArray","","",53,null],[13,"Double","","",53,null],[13,"Int64","","",53,null],[4,"GOptionError","","",null,null],[13,"UnknownOption","","",54,null],[13,"BadValue","","",54,null],[13,"Failed","","",54,null],[4,"GRegexError","","",null,null],[13,"Compile","","",55,null],[13,"Optimize","","",55,null],[13,"Replace","","",55,null],[13,"Match","","",55,null],[13,"Internal","","",55,null],[13,"StrayBackslash","","",55,null],[13,"MissingControlChar","","",55,null],[13,"UnrecognizedEscape","","",55,null],[13,"QuantifiersOutOfOrder","","",55,null],[13,"QuantifierTooBig","","",55,null],[13,"UnterminatedCharacterClass","","",55,null],[13,"InvalidEscapeInCharacterClass","","",55,null],[13,"RangeOutOfOrder","","",55,null],[13,"NothingToRepeat","","",55,null],[13,"UnrecognizedCharacter","","",55,null],[13,"PosixNamedClassOutsideClass","","",55,null],[13,"UnmatchedParenthesis","","",55,null],[13,"InexistentSubpatternReference","","",55,null],[13,"UnterminatedComment","","",55,null],[13,"ExpressionTooLarge","","",55,null],[13,"MemoryError","","",55,null],[13,"VariableLengthLookbehind","","",55,null],[13,"MalformedCondition","","",55,null],[13,"TooManyConditionalBranches","","",55,null],[13,"AssertionExpected","","",55,null],[13,"UnknownPosixClassName","","",55,null],[13,"PosixCollatingElementsNotSupported","","",55,null],[13,"HexCodeTooLarge","","",55,null],[13,"InvalidCondition","","",55,null],[13,"SingleByteMatchInLookbehind","","",55,null],[13,"InfiniteLoop","","",55,null],[13,"MissingSubpatternNameTerminator","","",55,null],[13,"DuplicateSubpatternName","","",55,null],[13,"MalformedProperty","","",55,null],[13,"UnknownProperty","","",55,null],[13,"SubpatternNameTooLong","","",55,null],[13,"TooManySubpatterns","","",55,null],[13,"InvalidOctalValue","","",55,null],[13,"TooManyBranchesInDefine","","",55,null],[13,"DefineRepetion","","",55,null],[13,"InconsistentNewlineOptions","","",55,null],[13,"MissingBackReference","","",55,null],[13,"InvalidRelativeReference","","",55,null],[13,"BacktrackingControlVerbArgumentForbidden","","",55,null],[13,"UnknownBacktrackingControlVerb","","",55,null],[13,"NumberTooBig","","",55,null],[13,"MissingSubpatternName","","",55,null],[13,"MissingDigit","","",55,null],[13,"InvalidDataCharacter","","",55,null],[13,"ExtraSubpatternName","","",55,null],[13,"BacktrackingControlVerbArgumentRequired","","",55,null],[13,"InvalidControlChar","","",55,null],[13,"MissingName","","",55,null],[13,"NotSupportedInClass","","",55,null],[13,"TooManyForwardReferences","","",55,null],[13,"NameTooLong","","",55,null],[13,"CharacterValueTooLarge","","",55,null],[4,"GSeekType","","",null,null],[13,"Cur","","",56,null],[13,"Set","","",56,null],[13,"End","","",56,null],[4,"GShellError","","",null,null],[13,"BadQuoting","","",57,null],[13,"EmptyString","","",57,null],[13,"Failed","","",57,null],[4,"GSliceConfig","","",null,null],[13,"AlwaysMalloc","","",58,null],[13,"BypassMagazines","","",58,null],[13,"WorkingSetMsecs","","",58,null],[13,"ColorIncrement","","",58,null],[13,"ChunkSizes","","",58,null],[13,"ContentionCounter","","",58,null],[4,"GSpawnError","","",null,null],[13,"Fork","","",59,null],[13,"Read","","",59,null],[13,"Chdir","","",59,null],[13,"Acces","","",59,null],[13,"Perm","","",59,null],[13,"TooBig","","",59,null],[13,"Noexec","","",59,null],[13,"Nametoolong","","",59,null],[13,"Noent","","",59,null],[13,"Nomem","","",59,null],[13,"Notdir","","",59,null],[13,"Loop","","",59,null],[13,"Txtbusy","","",59,null],[13,"Io","","",59,null],[13,"Nfile","","",59,null],[13,"Mfile","","",59,null],[13,"Inval","","",59,null],[13,"Isdir","","",59,null],[13,"Libbad","","",59,null],[13,"Failed","","",59,null],[4,"GTestFileType","","",null,null],[13,"Dist","","",60,null],[13,"Built","","",60,null],[4,"GTestLogType","","",null,null],[13,"None","","",61,null],[13,"Error","","",61,null],[13,"StartBinary","","",61,null],[13,"ListCase","","",61,null],[13,"SkipCase","","",61,null],[13,"StartCase","","",61,null],[13,"StopCase","","",61,null],[13,"MinResult","","",61,null],[13,"MaxResult","","",61,null],[13,"Message","","",61,null],[13,"StartSuite","","",61,null],[13,"StopSuite","","",61,null],[4,"GTimeType","","",null,null],[13,"Standard","","",62,null],[13,"Daylight","","",62,null],[13,"Universal","","",62,null],[4,"GTokenType","","",null,null],[13,"Eof","","",63,null],[13,"LeftParen","","",63,null],[13,"RightParen","","",63,null],[13,"LeftCurly","","",63,null],[13,"RightCurly","","",63,null],[13,"LeftBrace","","",63,null],[13,"RightBrace","","",63,null],[13,"EqualSign","","",63,null],[13,"Comma","","",63,null],[13,"None","","",63,null],[13,"Error","","",63,null],[13,"Char","","",63,null],[13,"Binary","","",63,null],[13,"Octal","","",63,null],[13,"Int","","",63,null],[13,"Hex","","",63,null],[13,"Float","","",63,null],[13,"String","","",63,null],[13,"Symbol","","",63,null],[13,"Identifier","","",63,null],[13,"IdentifierNull","","",63,null],[13,"CommentSingle","","",63,null],[13,"CommentMulti","","",63,null],[4,"GTraverseType","","",null,null],[13,"InOrder","","",64,null],[13,"PreOrder","","",64,null],[13,"PostOrder","","",64,null],[13,"LevelOrder","","",64,null],[4,"GUnicodeBreakType","","",null,null],[13,"Mandatory","","",65,null],[13,"CarriageReturn","","",65,null],[13,"LineFeed","","",65,null],[13,"CombiningMark","","",65,null],[13,"Surrogate","","",65,null],[13,"ZeroWidthSpace","","",65,null],[13,"Inseparable","","",65,null],[13,"NonBreakingGlue","","",65,null],[13,"Contingent","","",65,null],[13,"Space","","",65,null],[13,"After","","",65,null],[13,"Before","","",65,null],[13,"BeforeAndAfter","","",65,null],[13,"Hyphen","","",65,null],[13,"NonStarter","","",65,null],[13,"OpenPunctuation","","",65,null],[13,"ClosePunctuation","","",65,null],[13,"Quotation","","",65,null],[13,"Exclamation","","",65,null],[13,"Ideographic","","",65,null],[13,"Numeric","","",65,null],[13,"InfixSeparator","","",65,null],[13,"Symbol","","",65,null],[13,"Alphabetic","","",65,null],[13,"Prefix","","",65,null],[13,"Postfix","","",65,null],[13,"ComplexContext","","",65,null],[13,"Ambiguous","","",65,null],[13,"Unknown","","",65,null],[13,"NextLine","","",65,null],[13,"WordJoiner","","",65,null],[13,"HangulLJamo","","",65,null],[13,"HangulVJamo","","",65,null],[13,"HangulTJamo","","",65,null],[13,"HangulLvSyllable","","",65,null],[13,"HangulLvtSyllable","","",65,null],[13,"CloseParanthesis","","",65,null],[13,"ConditionalJapaneseStarter","","",65,null],[13,"HebrewLetter","","",65,null],[13,"RegionalIndicator","","",65,null],[4,"GUnicodeScript","","",null,null],[13,"InvalidCode","","",66,null],[13,"Common","","",66,null],[13,"Inherited","","",66,null],[13,"Arabic","","",66,null],[13,"Armenian","","",66,null],[13,"Bengali","","",66,null],[13,"Bopomofo","","",66,null],[13,"Cherokee","","",66,null],[13,"Coptic","","",66,null],[13,"Cyrillic","","",66,null],[13,"Deseret","","",66,null],[13,"Devanagari","","",66,null],[13,"Ethiopic","","",66,null],[13,"Georgian","","",66,null],[13,"Gothic","","",66,null],[13,"Greek","","",66,null],[13,"Gujarati","","",66,null],[13,"Gurmukhi","","",66,null],[13,"Han","","",66,null],[13,"Hangul","","",66,null],[13,"Hebrew","","",66,null],[13,"Hiragana","","",66,null],[13,"Kannada","","",66,null],[13,"Katakana","","",66,null],[13,"Khmer","","",66,null],[13,"Lao","","",66,null],[13,"Latin","","",66,null],[13,"Malayalam","","",66,null],[13,"Mongolian","","",66,null],[13,"Myanmar","","",66,null],[13,"Ogham","","",66,null],[13,"OldItalic","","",66,null],[13,"Oriya","","",66,null],[13,"Runic","","",66,null],[13,"Sinhala","","",66,null],[13,"Syriac","","",66,null],[13,"Tamil","","",66,null],[13,"Telugu","","",66,null],[13,"Thaana","","",66,null],[13,"Thai","","",66,null],[13,"Tibetan","","",66,null],[13,"CanadianAboriginal","","",66,null],[13,"Yi","","",66,null],[13,"Tagalog","","",66,null],[13,"Hanunoo","","",66,null],[13,"Buhid","","",66,null],[13,"Tagbanwa","","",66,null],[13,"Braille","","",66,null],[13,"Cypriot","","",66,null],[13,"Limbu","","",66,null],[13,"Osmanya","","",66,null],[13,"Shavian","","",66,null],[13,"LinearB","","",66,null],[13,"TaiLe","","",66,null],[13,"Ugaritic","","",66,null],[13,"NewTaiLue","","",66,null],[13,"Buginese","","",66,null],[13,"Glagolitic","","",66,null],[13,"Tifinagh","","",66,null],[13,"SylotiNagri","","",66,null],[13,"OldPersian","","",66,null],[13,"Kharoshthi","","",66,null],[13,"Unknown","","",66,null],[13,"Balinese","","",66,null],[13,"Cuneiform","","",66,null],[13,"Phoenician","","",66,null],[13,"PhagsPa","","",66,null],[13,"Nko","","",66,null],[13,"KayahLi","","",66,null],[13,"Lepcha","","",66,null],[13,"Rejang","","",66,null],[13,"Sundanese","","",66,null],[13,"Saurashtra","","",66,null],[13,"Cham","","",66,null],[13,"OlChiki","","",66,null],[13,"Vai","","",66,null],[13,"Carian","","",66,null],[13,"Lycian","","",66,null],[13,"Lydian","","",66,null],[13,"Avestan","","",66,null],[13,"Bamum","","",66,null],[13,"EgyptianHieroglyphs","","",66,null],[13,"ImperialAramaic","","",66,null],[13,"InscriptionalPahlavi","","",66,null],[13,"InscriptionalParthian","","",66,null],[13,"Javanese","","",66,null],[13,"Kaithi","","",66,null],[13,"Lisu","","",66,null],[13,"MeeteiMayek","","",66,null],[13,"OldSouthArabian","","",66,null],[13,"OldTurkic","","",66,null],[13,"Samaritan","","",66,null],[13,"TaiTham","","",66,null],[13,"TaiViet","","",66,null],[13,"Batak","","",66,null],[13,"Brahmi","","",66,null],[13,"Mandaic","","",66,null],[13,"Chakma","","",66,null],[13,"MeroiticCursive","","",66,null],[13,"MeroiticHieroglyphs","","",66,null],[13,"Miao","","",66,null],[13,"Sharada","","",66,null],[13,"SoraSompeng","","",66,null],[13,"Takri","","",66,null],[13,"BassaVah","","",66,null],[13,"CaucasianAlbanian","","",66,null],[13,"Duployan","","",66,null],[13,"Elbasan","","",66,null],[13,"Grantha","","",66,null],[13,"Khojki","","",66,null],[13,"Khudawadi","","",66,null],[13,"LinearA","","",66,null],[13,"Mahajani","","",66,null],[13,"Manichaean","","",66,null],[13,"MendeKikakui","","",66,null],[13,"Modi","","",66,null],[13,"Mro","","",66,null],[13,"Nabataean","","",66,null],[13,"OldNorthArabian","","",66,null],[13,"OldPermic","","",66,null],[13,"PahawhHmong","","",66,null],[13,"Palmyrene","","",66,null],[13,"PauCinHau","","",66,null],[13,"PsalterPahlavi","","",66,null],[13,"Siddham","","",66,null],[13,"Tirhuta","","",66,null],[13,"WarangCiti","","",66,null],[13,"Ahom","","",66,null],[13,"AnatolianHieroglyphs","","",66,null],[13,"Hatran","","",66,null],[13,"Multani","","",66,null],[13,"OldHungarian","","",66,null],[13,"Signwriting","","",66,null],[4,"GUnicodeType","","",null,null],[13,"Control","","",67,null],[13,"Format","","",67,null],[13,"Unassigned","","",67,null],[13,"PrivateUse","","",67,null],[13,"Surrogate","","",67,null],[13,"LowercaseLetter","","",67,null],[13,"ModifierLetter","","",67,null],[13,"OtherLetter","","",67,null],[13,"TitlecaseLetter","","",67,null],[13,"UppercaseLetter","","",67,null],[13,"SpacingMark","","",67,null],[13,"EnclosingMark","","",67,null],[13,"NonSpacingMark","","",67,null],[13,"DecimalNumber","","",67,null],[13,"LetterNumber","","",67,null],[13,"OtherNumber","","",67,null],[13,"ConnectPunctuation","","",67,null],[13,"DashPunctuation","","",67,null],[13,"ClosePunctuation","","",67,null],[13,"FinalPunctuation","","",67,null],[13,"InitialPunctuation","","",67,null],[13,"OtherPunctuation","","",67,null],[13,"OpenPunctuation","","",67,null],[13,"CurrencySymbol","","",67,null],[13,"ModifierSymbol","","",67,null],[13,"MathSymbol","","",67,null],[13,"OtherSymbol","","",67,null],[13,"LineSeparator","","",67,null],[13,"ParagraphSeparator","","",67,null],[13,"SpaceSeparator","","",67,null],[4,"GUserDirectory","","",null,null],[13,"DirectoryDesktop","","",68,null],[13,"DirectoryDocuments","","",68,null],[13,"DirectoryDownload","","",68,null],[13,"DirectoryMusic","","",68,null],[13,"DirectoryPictures","","",68,null],[13,"DirectoryPublicShare","","",68,null],[13,"DirectoryTemplates","","",68,null],[13,"DirectoryVideos","","",68,null],[13,"NDirectories","","",68,null],[4,"GVariantClass","","",null,null],[13,"Boolean","","",69,null],[13,"Byte","","",69,null],[13,"Int16","","",69,null],[13,"Uint16","","",69,null],[13,"Int32","","",69,null],[13,"Uint32","","",69,null],[13,"Int64","","",69,null],[13,"Uint64","","",69,null],[13,"Handle","","",69,null],[13,"Double","","",69,null],[13,"String","","",69,null],[13,"ObjectPath","","",69,null],[13,"Signature","","",69,null],[13,"Variant","","",69,null],[13,"Maybe","","",69,null],[13,"Array","","",69,null],[13,"Tuple","","",69,null],[13,"DictEntry","","",69,null],[4,"GVariantParseError","","",null,null],[13,"Failed","","",70,null],[13,"BasicTypeExpected","","",70,null],[13,"CannotInferType","","",70,null],[13,"DefiniteTypeExpected","","",70,null],[13,"InputNotAtEnd","","",70,null],[13,"InvalidCharacter","","",70,null],[13,"InvalidFormatString","","",70,null],[13,"InvalidObjectPath","","",70,null],[13,"InvalidSignature","","",70,null],[13,"InvalidTypeString","","",70,null],[13,"NoCommonType","","",70,null],[13,"NumberOutOfRange","","",70,null],[13,"NumberTooBig","","",70,null],[13,"TypeError","","",70,null],[13,"UnexpectedToken","","",70,null],[13,"UnknownKeyword","","",70,null],[13,"UnterminatedStringConstant","","",70,null],[13,"ValueExpected","","",70,null],[5,"g_mutex_clear","","",null,null],[5,"g_mutex_init","","",null,null],[5,"g_mutex_lock","","",null,null],[5,"g_mutex_trylock","","",null,null],[5,"g_mutex_unlock","","",null,null],[5,"g_array_get_type","","",null,null],[5,"g_array_append_vals","","",null,null],[5,"g_array_free","","",null,null],[5,"g_array_get_element_size","","",null,null],[5,"g_array_insert_vals","","",null,null],[5,"g_array_new","","",null,null],[5,"g_array_prepend_vals","","",null,null],[5,"g_array_ref","","",null,null],[5,"g_array_remove_index","","",null,null],[5,"g_array_remove_index_fast","","",null,null],[5,"g_array_remove_range","","",null,null],[5,"g_array_set_clear_func","","",null,null],[5,"g_array_set_size","","",null,null],[5,"g_array_sized_new","","",null,null],[5,"g_array_sort","","",null,null],[5,"g_array_sort_with_data","","",null,null],[5,"g_array_unref","","",null,null],[5,"g_async_queue_length","","",null,null],[5,"g_async_queue_length_unlocked","","",null,null],[5,"g_async_queue_lock","","",null,null],[5,"g_async_queue_pop","","",null,null],[5,"g_async_queue_pop_unlocked","","",null,null],[5,"g_async_queue_push","","",null,null],[5,"g_async_queue_push_sorted","","",null,null],[5,"g_async_queue_push_sorted_unlocked","","",null,null],[5,"g_async_queue_push_unlocked","","",null,null],[5,"g_async_queue_ref","","",null,null],[5,"g_async_queue_ref_unlocked","","",null,null],[5,"g_async_queue_sort","","",null,null],[5,"g_async_queue_sort_unlocked","","",null,null],[5,"g_async_queue_timed_pop","","",null,null],[5,"g_async_queue_timed_pop_unlocked","","",null,null],[5,"g_async_queue_timeout_pop","","",null,null],[5,"g_async_queue_timeout_pop_unlocked","","",null,null],[5,"g_async_queue_try_pop","","",null,null],[5,"g_async_queue_try_pop_unlocked","","",null,null],[5,"g_async_queue_unlock","","",null,null],[5,"g_async_queue_unref","","",null,null],[5,"g_async_queue_unref_and_unlock","","",null,null],[5,"g_async_queue_new","","",null,null],[5,"g_async_queue_new_full","","",null,null],[5,"g_bookmark_file_add_application","","",null,null],[5,"g_bookmark_file_add_group","","",null,null],[5,"g_bookmark_file_free","","",null,null],[5,"g_bookmark_file_get_added","","",null,null],[5,"g_bookmark_file_get_app_info","","",null,null],[5,"g_bookmark_file_get_applications","","",null,null],[5,"g_bookmark_file_get_description","","",null,null],[5,"g_bookmark_file_get_groups","","",null,null],[5,"g_bookmark_file_get_icon","","",null,null],[5,"g_bookmark_file_get_is_private","","",null,null],[5,"g_bookmark_file_get_mime_type","","",null,null],[5,"g_bookmark_file_get_modified","","",null,null],[5,"g_bookmark_file_get_size","","",null,null],[5,"g_bookmark_file_get_title","","",null,null],[5,"g_bookmark_file_get_uris","","",null,null],[5,"g_bookmark_file_get_visited","","",null,null],[5,"g_bookmark_file_has_application","","",null,null],[5,"g_bookmark_file_has_group","","",null,null],[5,"g_bookmark_file_has_item","","",null,null],[5,"g_bookmark_file_load_from_data","","",null,null],[5,"g_bookmark_file_load_from_data_dirs","","",null,null],[5,"g_bookmark_file_load_from_file","","",null,null],[5,"g_bookmark_file_move_item","","",null,null],[5,"g_bookmark_file_remove_application","","",null,null],[5,"g_bookmark_file_remove_group","","",null,null],[5,"g_bookmark_file_remove_item","","",null,null],[5,"g_bookmark_file_set_added","","",null,null],[5,"g_bookmark_file_set_app_info","","",null,null],[5,"g_bookmark_file_set_description","","",null,null],[5,"g_bookmark_file_set_groups","","",null,null],[5,"g_bookmark_file_set_icon","","",null,null],[5,"g_bookmark_file_set_is_private","","",null,null],[5,"g_bookmark_file_set_mime_type","","",null,null],[5,"g_bookmark_file_set_modified","","",null,null],[5,"g_bookmark_file_set_title","","",null,null],[5,"g_bookmark_file_set_visited","","",null,null],[5,"g_bookmark_file_to_data","","",null,null],[5,"g_bookmark_file_to_file","","",null,null],[5,"g_bookmark_file_error_quark","","",null,null],[5,"g_bookmark_file_new","","",null,null],[5,"g_byte_array_get_type","","",null,null],[5,"g_byte_array_append","","",null,null],[5,"g_byte_array_free","","",null,null],[5,"g_byte_array_free_to_bytes","","",null,null],[5,"g_byte_array_new","","",null,null],[5,"g_byte_array_new_take","","",null,null],[5,"g_byte_array_prepend","","",null,null],[5,"g_byte_array_ref","","",null,null],[5,"g_byte_array_remove_index","","",null,null],[5,"g_byte_array_remove_index_fast","","",null,null],[5,"g_byte_array_remove_range","","",null,null],[5,"g_byte_array_set_size","","",null,null],[5,"g_byte_array_sized_new","","",null,null],[5,"g_byte_array_sort","","",null,null],[5,"g_byte_array_sort_with_data","","",null,null],[5,"g_byte_array_unref","","",null,null],[5,"g_bytes_get_type","","",null,null],[5,"g_bytes_new","","",null,null],[5,"g_bytes_new_static","","",null,null],[5,"g_bytes_new_take","","",null,null],[5,"g_bytes_new_with_free_func","","",null,null],[5,"g_bytes_compare","","",null,null],[5,"g_bytes_equal","","",null,null],[5,"g_bytes_get_data","","",null,null],[5,"g_bytes_get_size","","",null,null],[5,"g_bytes_hash","","",null,null],[5,"g_bytes_new_from_bytes","","",null,null],[5,"g_bytes_ref","","",null,null],[5,"g_bytes_unref","","",null,null],[5,"g_bytes_unref_to_array","","",null,null],[5,"g_bytes_unref_to_data","","",null,null],[5,"g_checksum_get_type","","",null,null],[5,"g_checksum_new","","",null,null],[5,"g_checksum_copy","","",null,null],[5,"g_checksum_free","","",null,null],[5,"g_checksum_get_digest","","",null,null],[5,"g_checksum_get_string","","",null,null],[5,"g_checksum_reset","","",null,null],[5,"g_checksum_update","","",null,null],[5,"g_checksum_type_get_length","","",null,null],[5,"g_cond_broadcast","","",null,null],[5,"g_cond_clear","","",null,null],[5,"g_cond_init","","",null,null],[5,"g_cond_signal","","",null,null],[5,"g_cond_wait","","",null,null],[5,"g_cond_wait_until","","",null,null],[5,"g_date_get_type","","",null,null],[5,"g_date_new","","",null,null],[5,"g_date_new_dmy","","",null,null],[5,"g_date_new_julian","","",null,null],[5,"g_date_add_days","","",null,null],[5,"g_date_add_months","","",null,null],[5,"g_date_add_years","","",null,null],[5,"g_date_clamp","","",null,null],[5,"g_date_clear","","",null,null],[5,"g_date_compare","","",null,null],[5,"g_date_days_between","","",null,null],[5,"g_date_free","","",null,null],[5,"g_date_get_day","","",null,null],[5,"g_date_get_day_of_year","","",null,null],[5,"g_date_get_iso8601_week_of_year","","",null,null],[5,"g_date_get_julian","","",null,null],[5,"g_date_get_monday_week_of_year","","",null,null],[5,"g_date_get_month","","",null,null],[5,"g_date_get_sunday_week_of_year","","",null,null],[5,"g_date_get_weekday","","",null,null],[5,"g_date_get_year","","",null,null],[5,"g_date_is_first_of_month","","",null,null],[5,"g_date_is_last_of_month","","",null,null],[5,"g_date_order","","",null,null],[5,"g_date_set_day","","",null,null],[5,"g_date_set_dmy","","",null,null],[5,"g_date_set_julian","","",null,null],[5,"g_date_set_month","","",null,null],[5,"g_date_set_parse","","",null,null],[5,"g_date_set_time","","",null,null],[5,"g_date_set_time_t","","",null,null],[5,"g_date_set_time_val","","",null,null],[5,"g_date_set_year","","",null,null],[5,"g_date_subtract_days","","",null,null],[5,"g_date_subtract_months","","",null,null],[5,"g_date_subtract_years","","",null,null],[5,"g_date_valid","","",null,null],[5,"g_date_get_days_in_month","","",null,null],[5,"g_date_get_monday_weeks_in_year","","",null,null],[5,"g_date_get_sunday_weeks_in_year","","",null,null],[5,"g_date_is_leap_year","","",null,null],[5,"g_date_strftime","","",null,null],[5,"g_date_valid_day","","",null,null],[5,"g_date_valid_dmy","","",null,null],[5,"g_date_valid_julian","","",null,null],[5,"g_date_valid_month","","",null,null],[5,"g_date_valid_weekday","","",null,null],[5,"g_date_valid_year","","",null,null],[5,"g_date_time_get_type","","",null,null],[5,"g_date_time_new","","",null,null],[5,"g_date_time_new_from_timeval_local","","",null,null],[5,"g_date_time_new_from_timeval_utc","","",null,null],[5,"g_date_time_new_from_unix_local","","",null,null],[5,"g_date_time_new_from_unix_utc","","",null,null],[5,"g_date_time_new_local","","",null,null],[5,"g_date_time_new_now","","",null,null],[5,"g_date_time_new_now_local","","",null,null],[5,"g_date_time_new_now_utc","","",null,null],[5,"g_date_time_new_utc","","",null,null],[5,"g_date_time_add","","",null,null],[5,"g_date_time_add_days","","",null,null],[5,"g_date_time_add_full","","",null,null],[5,"g_date_time_add_hours","","",null,null],[5,"g_date_time_add_minutes","","",null,null],[5,"g_date_time_add_months","","",null,null],[5,"g_date_time_add_seconds","","",null,null],[5,"g_date_time_add_weeks","","",null,null],[5,"g_date_time_add_years","","",null,null],[5,"g_date_time_difference","","",null,null],[5,"g_date_time_format","","",null,null],[5,"g_date_time_get_day_of_month","","",null,null],[5,"g_date_time_get_day_of_week","","",null,null],[5,"g_date_time_get_day_of_year","","",null,null],[5,"g_date_time_get_hour","","",null,null],[5,"g_date_time_get_microsecond","","",null,null],[5,"g_date_time_get_minute","","",null,null],[5,"g_date_time_get_month","","",null,null],[5,"g_date_time_get_second","","",null,null],[5,"g_date_time_get_seconds","","",null,null],[5,"g_date_time_get_timezone_abbreviation","","",null,null],[5,"g_date_time_get_utc_offset","","",null,null],[5,"g_date_time_get_week_numbering_year","","",null,null],[5,"g_date_time_get_week_of_year","","",null,null],[5,"g_date_time_get_year","","",null,null],[5,"g_date_time_get_ymd","","",null,null],[5,"g_date_time_is_daylight_savings","","",null,null],[5,"g_date_time_ref","","",null,null],[5,"g_date_time_to_local","","",null,null],[5,"g_date_time_to_timeval","","",null,null],[5,"g_date_time_to_timezone","","",null,null],[5,"g_date_time_to_unix","","",null,null],[5,"g_date_time_to_utc","","",null,null],[5,"g_date_time_unref","","",null,null],[5,"g_date_time_compare","","",null,null],[5,"g_date_time_equal","","",null,null],[5,"g_date_time_hash","","",null,null],[5,"g_dir_close","","",null,null],[5,"g_dir_read_name","","",null,null],[5,"g_dir_rewind","","",null,null],[5,"g_dir_make_tmp","","",null,null],[5,"g_dir_open","","",null,null],[5,"g_error_get_type","","",null,null],[5,"g_error_new","","",null,null],[5,"g_error_new_literal","","",null,null],[5,"g_error_copy","","",null,null],[5,"g_error_free","","",null,null],[5,"g_error_matches","","",null,null],[5,"g_hash_table_get_type","","",null,null],[5,"g_hash_table_add","","",null,null],[5,"g_hash_table_contains","","",null,null],[5,"g_hash_table_destroy","","",null,null],[5,"g_hash_table_find","","",null,null],[5,"g_hash_table_foreach","","",null,null],[5,"g_hash_table_foreach_remove","","",null,null],[5,"g_hash_table_foreach_steal","","",null,null],[5,"g_hash_table_get_keys","","",null,null],[5,"g_hash_table_get_values","","",null,null],[5,"g_hash_table_insert","","",null,null],[5,"g_hash_table_lookup","","",null,null],[5,"g_hash_table_lookup_extended","","",null,null],[5,"g_hash_table_new","","",null,null],[5,"g_hash_table_new_full","","",null,null],[5,"g_hash_table_ref","","",null,null],[5,"g_hash_table_remove","","",null,null],[5,"g_hash_table_remove_all","","",null,null],[5,"g_hash_table_replace","","",null,null],[5,"g_hash_table_size","","",null,null],[5,"g_hash_table_steal","","",null,null],[5,"g_hash_table_steal_all","","",null,null],[5,"g_hash_table_unref","","",null,null],[5,"g_hash_table_iter_get_hash_table","","",null,null],[5,"g_hash_table_iter_init","","",null,null],[5,"g_hash_table_iter_next","","",null,null],[5,"g_hash_table_iter_remove","","",null,null],[5,"g_hash_table_iter_replace","","",null,null],[5,"g_hash_table_iter_steal","","",null,null],[5,"g_hmac_copy","","",null,null],[5,"g_hmac_get_digest","","",null,null],[5,"g_hmac_get_string","","",null,null],[5,"g_hmac_ref","","",null,null],[5,"g_hmac_unref","","",null,null],[5,"g_hmac_update","","",null,null],[5,"g_hmac_new","","",null,null],[5,"g_hook_compare_ids","","",null,null],[5,"g_hook_alloc","","",null,null],[5,"g_hook_destroy","","",null,null],[5,"g_hook_destroy_link","","",null,null],[5,"g_hook_find","","",null,null],[5,"g_hook_find_data","","",null,null],[5,"g_hook_find_func","","",null,null],[5,"g_hook_find_func_data","","",null,null],[5,"g_hook_first_valid","","",null,null],[5,"g_hook_free","","",null,null],[5,"g_hook_get","","",null,null],[5,"g_hook_insert_before","","",null,null],[5,"g_hook_insert_sorted","","",null,null],[5,"g_hook_next_valid","","",null,null],[5,"g_hook_prepend","","",null,null],[5,"g_hook_ref","","",null,null],[5,"g_hook_unref","","",null,null],[5,"g_hook_list_clear","","",null,null],[5,"g_hook_list_init","","",null,null],[5,"g_hook_list_invoke","","",null,null],[5,"g_hook_list_invoke_check","","",null,null],[5,"g_hook_list_marshal","","",null,null],[5,"g_hook_list_marshal_check","","",null,null],[5,"g_iconv_close","","",null,null],[5,"g_iconv_open","","",null,null],[5,"g_io_channel_get_type","","",null,null],[5,"g_io_channel_new_file","","",null,null],[5,"g_io_channel_unix_new","","",null,null],[5,"g_io_channel_close","","",null,null],[5,"g_io_channel_flush","","",null,null],[5,"g_io_channel_get_buffer_condition","","",null,null],[5,"g_io_channel_get_buffer_size","","",null,null],[5,"g_io_channel_get_buffered","","",null,null],[5,"g_io_channel_get_close_on_unref","","",null,null],[5,"g_io_channel_get_encoding","","",null,null],[5,"g_io_channel_get_flags","","",null,null],[5,"g_io_channel_get_line_term","","",null,null],[5,"g_io_channel_init","","",null,null],[5,"g_io_channel_read","","",null,null],[5,"g_io_channel_read_chars","","",null,null],[5,"g_io_channel_read_line","","",null,null],[5,"g_io_channel_read_line_string","","",null,null],[5,"g_io_channel_read_to_end","","",null,null],[5,"g_io_channel_read_unichar","","",null,null],[5,"g_io_channel_ref","","",null,null],[5,"g_io_channel_seek","","",null,null],[5,"g_io_channel_seek_position","","",null,null],[5,"g_io_channel_set_buffer_size","","",null,null],[5,"g_io_channel_set_buffered","","",null,null],[5,"g_io_channel_set_close_on_unref","","",null,null],[5,"g_io_channel_set_encoding","","",null,null],[5,"g_io_channel_set_flags","","",null,null],[5,"g_io_channel_set_line_term","","",null,null],[5,"g_io_channel_shutdown","","",null,null],[5,"g_io_channel_unix_get_fd","","",null,null],[5,"g_io_channel_unref","","",null,null],[5,"g_io_channel_write","","",null,null],[5,"g_io_channel_write_chars","","",null,null],[5,"g_io_channel_write_unichar","","",null,null],[5,"g_io_channel_error_from_errno","","",null,null],[5,"g_io_channel_error_quark","","",null,null],[5,"g_key_file_get_type","","",null,null],[5,"g_key_file_new","","",null,null],[5,"g_key_file_free","","",null,null],[5,"g_key_file_get_boolean","","",null,null],[5,"g_key_file_get_boolean_list","","",null,null],[5,"g_key_file_get_comment","","",null,null],[5,"g_key_file_get_double","","",null,null],[5,"g_key_file_get_double_list","","",null,null],[5,"g_key_file_get_groups","","",null,null],[5,"g_key_file_get_int64","","",null,null],[5,"g_key_file_get_integer","","",null,null],[5,"g_key_file_get_integer_list","","",null,null],[5,"g_key_file_get_keys","","",null,null],[5,"g_key_file_get_locale_string","","",null,null],[5,"g_key_file_get_locale_string_list","","",null,null],[5,"g_key_file_get_start_group","","",null,null],[5,"g_key_file_get_string","","",null,null],[5,"g_key_file_get_string_list","","",null,null],[5,"g_key_file_get_uint64","","",null,null],[5,"g_key_file_get_value","","",null,null],[5,"g_key_file_has_group","","",null,null],[5,"g_key_file_has_key","","",null,null],[5,"g_key_file_load_from_data","","",null,null],[5,"g_key_file_load_from_data_dirs","","",null,null],[5,"g_key_file_load_from_dirs","","",null,null],[5,"g_key_file_load_from_file","","",null,null],[5,"g_key_file_ref","","",null,null],[5,"g_key_file_remove_comment","","",null,null],[5,"g_key_file_remove_group","","",null,null],[5,"g_key_file_remove_key","","",null,null],[5,"g_key_file_set_boolean","","",null,null],[5,"g_key_file_set_boolean_list","","",null,null],[5,"g_key_file_set_comment","","",null,null],[5,"g_key_file_set_double","","",null,null],[5,"g_key_file_set_double_list","","",null,null],[5,"g_key_file_set_int64","","",null,null],[5,"g_key_file_set_integer","","",null,null],[5,"g_key_file_set_integer_list","","",null,null],[5,"g_key_file_set_list_separator","","",null,null],[5,"g_key_file_set_locale_string","","",null,null],[5,"g_key_file_set_locale_string_list","","",null,null],[5,"g_key_file_set_string","","",null,null],[5,"g_key_file_set_string_list","","",null,null],[5,"g_key_file_set_uint64","","",null,null],[5,"g_key_file_set_value","","",null,null],[5,"g_key_file_to_data","","",null,null],[5,"g_key_file_unref","","",null,null],[5,"g_key_file_error_quark","","",null,null],[5,"g_list_alloc","","",null,null],[5,"g_list_append","","",null,null],[5,"g_list_concat","","",null,null],[5,"g_list_copy","","",null,null],[5,"g_list_delete_link","","",null,null],[5,"g_list_find","","",null,null],[5,"g_list_find_custom","","",null,null],[5,"g_list_first","","",null,null],[5,"g_list_foreach","","",null,null],[5,"g_list_free","","",null,null],[5,"g_list_free_1","","",null,null],[5,"g_list_free_full","","",null,null],[5,"g_list_index","","",null,null],[5,"g_list_insert","","",null,null],[5,"g_list_insert_before","","",null,null],[5,"g_list_insert_sorted","","",null,null],[5,"g_list_insert_sorted_with_data","","",null,null],[5,"g_list_last","","",null,null],[5,"g_list_length","","",null,null],[5,"g_list_nth","","",null,null],[5,"g_list_nth_data","","",null,null],[5,"g_list_nth_prev","","",null,null],[5,"g_list_position","","",null,null],[5,"g_list_prepend","","",null,null],[5,"g_list_remove","","",null,null],[5,"g_list_remove_all","","",null,null],[5,"g_list_remove_link","","",null,null],[5,"g_list_reverse","","",null,null],[5,"g_list_sort","","",null,null],[5,"g_list_sort_with_data","","",null,null],[5,"g_main_context_get_type","","",null,null],[5,"g_main_context_new","","",null,null],[5,"g_main_context_acquire","","",null,null],[5,"g_main_context_add_poll","","",null,null],[5,"g_main_context_check","","",null,null],[5,"g_main_context_dispatch","","",null,null],[5,"g_main_context_find_source_by_funcs_user_data","","",null,null],[5,"g_main_context_find_source_by_id","","",null,null],[5,"g_main_context_find_source_by_user_data","","",null,null],[5,"g_main_context_get_poll_func","","",null,null],[5,"g_main_context_invoke","","",null,null],[5,"g_main_context_invoke_full","","",null,null],[5,"g_main_context_is_owner","","",null,null],[5,"g_main_context_iteration","","",null,null],[5,"g_main_context_pending","","",null,null],[5,"g_main_context_pop_thread_default","","",null,null],[5,"g_main_context_prepare","","",null,null],[5,"g_main_context_push_thread_default","","",null,null],[5,"g_main_context_query","","",null,null],[5,"g_main_context_ref","","",null,null],[5,"g_main_context_release","","",null,null],[5,"g_main_context_remove_poll","","",null,null],[5,"g_main_context_set_poll_func","","",null,null],[5,"g_main_context_unref","","",null,null],[5,"g_main_context_wait","","",null,null],[5,"g_main_context_wakeup","","",null,null],[5,"g_main_context_default","","",null,null],[5,"g_main_context_get_thread_default","","",null,null],[5,"g_main_context_ref_thread_default","","",null,null],[5,"g_main_loop_get_type","","",null,null],[5,"g_main_loop_new","","",null,null],[5,"g_main_loop_get_context","","",null,null],[5,"g_main_loop_is_running","","",null,null],[5,"g_main_loop_quit","","",null,null],[5,"g_main_loop_ref","","",null,null],[5,"g_main_loop_run","","",null,null],[5,"g_main_loop_unref","","",null,null],[5,"g_mapped_file_get_type","","",null,null],[5,"g_mapped_file_new","","",null,null],[5,"g_mapped_file_new_from_fd","","",null,null],[5,"g_mapped_file_free","","",null,null],[5,"g_mapped_file_get_contents","","",null,null],[5,"g_mapped_file_get_length","","",null,null],[5,"g_mapped_file_ref","","",null,null],[5,"g_mapped_file_unref","","",null,null],[5,"g_markup_parse_context_get_type","","",null,null],[5,"g_markup_parse_context_new","","",null,null],[5,"g_markup_parse_context_end_parse","","",null,null],[5,"g_markup_parse_context_free","","",null,null],[5,"g_markup_parse_context_get_element","","",null,null],[5,"g_markup_parse_context_get_element_stack","","",null,null],[5,"g_markup_parse_context_get_position","","",null,null],[5,"g_markup_parse_context_get_user_data","","",null,null],[5,"g_markup_parse_context_parse","","",null,null],[5,"g_markup_parse_context_pop","","",null,null],[5,"g_markup_parse_context_push","","",null,null],[5,"g_match_info_get_type","","",null,null],[5,"g_match_info_expand_references","","",null,null],[5,"g_match_info_fetch","","",null,null],[5,"g_match_info_fetch_all","","",null,null],[5,"g_match_info_fetch_named","","",null,null],[5,"g_match_info_fetch_named_pos","","",null,null],[5,"g_match_info_fetch_pos","","",null,null],[5,"g_match_info_free","","",null,null],[5,"g_match_info_get_match_count","","",null,null],[5,"g_match_info_get_regex","","",null,null],[5,"g_match_info_get_string","","",null,null],[5,"g_match_info_is_partial_match","","",null,null],[5,"g_match_info_matches","","",null,null],[5,"g_match_info_next","","",null,null],[5,"g_match_info_ref","","",null,null],[5,"g_match_info_unref","","",null,null],[5,"g_node_child_index","","",null,null],[5,"g_node_child_position","","",null,null],[5,"g_node_children_foreach","","",null,null],[5,"g_node_copy","","",null,null],[5,"g_node_copy_deep","","",null,null],[5,"g_node_depth","","",null,null],[5,"g_node_destroy","","",null,null],[5,"g_node_find","","",null,null],[5,"g_node_find_child","","",null,null],[5,"g_node_first_sibling","","",null,null],[5,"g_node_get_root","","",null,null],[5,"g_node_insert","","",null,null],[5,"g_node_insert_after","","",null,null],[5,"g_node_insert_before","","",null,null],[5,"g_node_is_ancestor","","",null,null],[5,"g_node_last_child","","",null,null],[5,"g_node_last_sibling","","",null,null],[5,"g_node_max_height","","",null,null],[5,"g_node_n_children","","",null,null],[5,"g_node_n_nodes","","",null,null],[5,"g_node_nth_child","","",null,null],[5,"g_node_prepend","","",null,null],[5,"g_node_reverse_children","","",null,null],[5,"g_node_traverse","","",null,null],[5,"g_node_unlink","","",null,null],[5,"g_node_new","","",null,null],[5,"g_once_impl","","",null,null],[5,"g_once_init_enter","","",null,null],[5,"g_once_init_leave","","",null,null],[5,"g_option_context_add_group","","",null,null],[5,"g_option_context_add_main_entries","","",null,null],[5,"g_option_context_free","","",null,null],[5,"g_option_context_get_description","","",null,null],[5,"g_option_context_get_help","","",null,null],[5,"g_option_context_get_help_enabled","","",null,null],[5,"g_option_context_get_ignore_unknown_options","","",null,null],[5,"g_option_context_get_main_group","","",null,null],[5,"g_option_context_get_summary","","",null,null],[5,"g_option_context_parse","","",null,null],[5,"g_option_context_set_description","","",null,null],[5,"g_option_context_set_help_enabled","","",null,null],[5,"g_option_context_set_ignore_unknown_options","","",null,null],[5,"g_option_context_set_main_group","","",null,null],[5,"g_option_context_set_summary","","",null,null],[5,"g_option_context_set_translate_func","","",null,null],[5,"g_option_context_set_translation_domain","","",null,null],[5,"g_option_context_new","","",null,null],[5,"g_option_group_get_type","","",null,null],[5,"g_option_group_new","","",null,null],[5,"g_option_group_add_entries","","",null,null],[5,"g_option_group_free","","",null,null],[5,"g_option_group_set_error_hook","","",null,null],[5,"g_option_group_set_parse_hooks","","",null,null],[5,"g_option_group_set_translate_func","","",null,null],[5,"g_option_group_set_translation_domain","","",null,null],[5,"g_pattern_spec_equal","","",null,null],[5,"g_pattern_spec_free","","",null,null],[5,"g_pattern_spec_new","","",null,null],[5,"g_pollfd_get_type","","",null,null],[5,"g_private_get","","",null,null],[5,"g_private_replace","","",null,null],[5,"g_private_set","","",null,null],[5,"g_ptr_array_get_type","","",null,null],[5,"g_ptr_array_add","","",null,null],[5,"g_ptr_array_foreach","","",null,null],[5,"g_ptr_array_free","","",null,null],[5,"g_ptr_array_new","","",null,null],[5,"g_ptr_array_new_full","","",null,null],[5,"g_ptr_array_new_with_free_func","","",null,null],[5,"g_ptr_array_ref","","",null,null],[5,"g_ptr_array_remove","","",null,null],[5,"g_ptr_array_remove_fast","","",null,null],[5,"g_ptr_array_remove_index","","",null,null],[5,"g_ptr_array_remove_index_fast","","",null,null],[5,"g_ptr_array_remove_range","","",null,null],[5,"g_ptr_array_set_free_func","","",null,null],[5,"g_ptr_array_set_size","","",null,null],[5,"g_ptr_array_sized_new","","",null,null],[5,"g_ptr_array_sort","","",null,null],[5,"g_ptr_array_sort_with_data","","",null,null],[5,"g_ptr_array_unref","","",null,null],[5,"g_queue_clear","","",null,null],[5,"g_queue_copy","","",null,null],[5,"g_queue_delete_link","","",null,null],[5,"g_queue_find","","",null,null],[5,"g_queue_find_custom","","",null,null],[5,"g_queue_foreach","","",null,null],[5,"g_queue_free","","",null,null],[5,"g_queue_free_full","","",null,null],[5,"g_queue_get_length","","",null,null],[5,"g_queue_index","","",null,null],[5,"g_queue_init","","",null,null],[5,"g_queue_insert_after","","",null,null],[5,"g_queue_insert_before","","",null,null],[5,"g_queue_insert_sorted","","",null,null],[5,"g_queue_is_empty","","",null,null],[5,"g_queue_link_index","","",null,null],[5,"g_queue_peek_head","","",null,null],[5,"g_queue_peek_head_link","","",null,null],[5,"g_queue_peek_nth","","",null,null],[5,"g_queue_peek_nth_link","","",null,null],[5,"g_queue_peek_tail","","",null,null],[5,"g_queue_peek_tail_link","","",null,null],[5,"g_queue_pop_head","","",null,null],[5,"g_queue_pop_head_link","","",null,null],[5,"g_queue_pop_nth","","",null,null],[5,"g_queue_pop_nth_link","","",null,null],[5,"g_queue_pop_tail","","",null,null],[5,"g_queue_pop_tail_link","","",null,null],[5,"g_queue_push_head","","",null,null],[5,"g_queue_push_head_link","","",null,null],[5,"g_queue_push_nth","","",null,null],[5,"g_queue_push_nth_link","","",null,null],[5,"g_queue_push_tail","","",null,null],[5,"g_queue_push_tail_link","","",null,null],[5,"g_queue_remove","","",null,null],[5,"g_queue_remove_all","","",null,null],[5,"g_queue_reverse","","",null,null],[5,"g_queue_sort","","",null,null],[5,"g_queue_unlink","","",null,null],[5,"g_queue_new","","",null,null],[5,"g_rw_lock_clear","","",null,null],[5,"g_rw_lock_init","","",null,null],[5,"g_rw_lock_reader_lock","","",null,null],[5,"g_rw_lock_reader_trylock","","",null,null],[5,"g_rw_lock_reader_unlock","","",null,null],[5,"g_rw_lock_writer_lock","","",null,null],[5,"g_rw_lock_writer_trylock","","",null,null],[5,"g_rw_lock_writer_unlock","","",null,null],[5,"g_rand_copy","","",null,null],[5,"g_rand_double","","",null,null],[5,"g_rand_double_range","","",null,null],[5,"g_rand_free","","",null,null],[5,"g_rand_int","","",null,null],[5,"g_rand_int_range","","",null,null],[5,"g_rand_set_seed","","",null,null],[5,"g_rand_set_seed_array","","",null,null],[5,"g_rand_new","","",null,null],[5,"g_rand_new_with_seed","","",null,null],[5,"g_rand_new_with_seed_array","","",null,null],[5,"g_rec_mutex_clear","","",null,null],[5,"g_rec_mutex_init","","",null,null],[5,"g_rec_mutex_lock","","",null,null],[5,"g_rec_mutex_trylock","","",null,null],[5,"g_rec_mutex_unlock","","",null,null],[5,"g_regex_get_type","","",null,null],[5,"g_regex_new","","",null,null],[5,"g_regex_get_capture_count","","",null,null],[5,"g_regex_get_compile_flags","","",null,null],[5,"g_regex_get_match_flags","","",null,null],[5,"g_regex_get_max_backref","","",null,null],[5,"g_regex_get_pattern","","",null,null],[5,"g_regex_get_string_number","","",null,null],[5,"g_regex_match","","",null,null],[5,"g_regex_match_all","","",null,null],[5,"g_regex_match_all_full","","",null,null],[5,"g_regex_match_full","","",null,null],[5,"g_regex_ref","","",null,null],[5,"g_regex_replace","","",null,null],[5,"g_regex_replace_eval","","",null,null],[5,"g_regex_replace_literal","","",null,null],[5,"g_regex_split","","",null,null],[5,"g_regex_split_full","","",null,null],[5,"g_regex_unref","","",null,null],[5,"g_regex_check_replacement","","",null,null],[5,"g_regex_error_quark","","",null,null],[5,"g_regex_escape_nul","","",null,null],[5,"g_regex_escape_string","","",null,null],[5,"g_regex_match_simple","","",null,null],[5,"g_regex_split_simple","","",null,null],[5,"g_slist_alloc","","",null,null],[5,"g_slist_append","","",null,null],[5,"g_slist_concat","","",null,null],[5,"g_slist_copy","","",null,null],[5,"g_slist_delete_link","","",null,null],[5,"g_slist_find","","",null,null],[5,"g_slist_find_custom","","",null,null],[5,"g_slist_foreach","","",null,null],[5,"g_slist_free","","",null,null],[5,"g_slist_free_1","","",null,null],[5,"g_slist_free_full","","",null,null],[5,"g_slist_index","","",null,null],[5,"g_slist_insert","","",null,null],[5,"g_slist_insert_before","","",null,null],[5,"g_slist_insert_sorted","","",null,null],[5,"g_slist_insert_sorted_with_data","","",null,null],[5,"g_slist_last","","",null,null],[5,"g_slist_length","","",null,null],[5,"g_slist_nth","","",null,null],[5,"g_slist_nth_data","","",null,null],[5,"g_slist_position","","",null,null],[5,"g_slist_prepend","","",null,null],[5,"g_slist_remove","","",null,null],[5,"g_slist_remove_all","","",null,null],[5,"g_slist_remove_link","","",null,null],[5,"g_slist_reverse","","",null,null],[5,"g_slist_sort","","",null,null],[5,"g_slist_sort_with_data","","",null,null],[5,"g_scanner_cur_line","","",null,null],[5,"g_scanner_cur_position","","",null,null],[5,"g_scanner_cur_token","","",null,null],[5,"g_scanner_cur_value","","",null,null],[5,"g_scanner_destroy","","",null,null],[5,"g_scanner_eof","","",null,null],[5,"g_scanner_error","","",null,null],[5,"g_scanner_get_next_token","","",null,null],[5,"g_scanner_input_file","","",null,null],[5,"g_scanner_input_text","","",null,null],[5,"g_scanner_lookup_symbol","","",null,null],[5,"g_scanner_peek_next_token","","",null,null],[5,"g_scanner_scope_add_symbol","","",null,null],[5,"g_scanner_scope_foreach_symbol","","",null,null],[5,"g_scanner_scope_lookup_symbol","","",null,null],[5,"g_scanner_scope_remove_symbol","","",null,null],[5,"g_scanner_set_scope","","",null,null],[5,"g_scanner_sync_file_offset","","",null,null],[5,"g_scanner_unexp_token","","",null,null],[5,"g_scanner_warn","","",null,null],[5,"g_scanner_new","","",null,null],[5,"g_sequence_append","","",null,null],[5,"g_sequence_foreach","","",null,null],[5,"g_sequence_free","","",null,null],[5,"g_sequence_get_begin_iter","","",null,null],[5,"g_sequence_get_end_iter","","",null,null],[5,"g_sequence_get_iter_at_pos","","",null,null],[5,"g_sequence_get_length","","",null,null],[5,"g_sequence_insert_sorted","","",null,null],[5,"g_sequence_insert_sorted_iter","","",null,null],[5,"g_sequence_lookup","","",null,null],[5,"g_sequence_lookup_iter","","",null,null],[5,"g_sequence_prepend","","",null,null],[5,"g_sequence_search","","",null,null],[5,"g_sequence_search_iter","","",null,null],[5,"g_sequence_sort","","",null,null],[5,"g_sequence_sort_iter","","",null,null],[5,"g_sequence_foreach_range","","",null,null],[5,"g_sequence_get","","",null,null],[5,"g_sequence_insert_before","","",null,null],[5,"g_sequence_move","","",null,null],[5,"g_sequence_move_range","","",null,null],[5,"g_sequence_new","","",null,null],[5,"g_sequence_range_get_midpoint","","",null,null],[5,"g_sequence_remove","","",null,null],[5,"g_sequence_remove_range","","",null,null],[5,"g_sequence_set","","",null,null],[5,"g_sequence_sort_changed","","",null,null],[5,"g_sequence_sort_changed_iter","","",null,null],[5,"g_sequence_swap","","",null,null],[5,"g_sequence_iter_compare","","",null,null],[5,"g_sequence_iter_get_position","","",null,null],[5,"g_sequence_iter_get_sequence","","",null,null],[5,"g_sequence_iter_is_begin","","",null,null],[5,"g_sequence_iter_is_end","","",null,null],[5,"g_sequence_iter_move","","",null,null],[5,"g_sequence_iter_next","","",null,null],[5,"g_sequence_iter_prev","","",null,null],[5,"g_source_get_type","","",null,null],[5,"g_source_new","","",null,null],[5,"g_source_add_child_source","","",null,null],[5,"g_source_add_poll","","",null,null],[5,"g_source_attach","","",null,null],[5,"g_source_destroy","","",null,null],[5,"g_source_get_can_recurse","","",null,null],[5,"g_source_get_context","","",null,null],[5,"g_source_get_current_time","","",null,null],[5,"g_source_get_id","","",null,null],[5,"g_source_get_name","","",null,null],[5,"g_source_get_priority","","",null,null],[5,"g_source_get_ready_time","","",null,null],[5,"g_source_get_time","","",null,null],[5,"g_source_is_destroyed","","",null,null],[5,"g_source_ref","","",null,null],[5,"g_source_remove_child_source","","",null,null],[5,"g_source_remove_poll","","",null,null],[5,"g_source_set_callback","","",null,null],[5,"g_source_set_callback_indirect","","",null,null],[5,"g_source_set_can_recurse","","",null,null],[5,"g_source_set_funcs","","",null,null],[5,"g_source_set_name","","",null,null],[5,"g_source_set_priority","","",null,null],[5,"g_source_unref","","",null,null],[5,"g_source_remove","","",null,null],[5,"g_source_remove_by_funcs_user_data","","",null,null],[5,"g_source_remove_by_user_data","","",null,null],[5,"g_source_set_name_by_id","","",null,null],[5,"g_gstring_get_type","","",null,null],[5,"g_string_append","","",null,null],[5,"g_string_append_c","","",null,null],[5,"g_string_append_len","","",null,null],[5,"g_string_append_printf","","",null,null],[5,"g_string_append_unichar","","",null,null],[5,"g_string_append_uri_escaped","","",null,null],[5,"g_string_ascii_down","","",null,null],[5,"g_string_ascii_up","","",null,null],[5,"g_string_assign","","",null,null],[5,"g_string_down","","",null,null],[5,"g_string_equal","","",null,null],[5,"g_string_erase","","",null,null],[5,"g_string_free","","",null,null],[5,"g_string_hash","","",null,null],[5,"g_string_insert","","",null,null],[5,"g_string_insert_c","","",null,null],[5,"g_string_insert_len","","",null,null],[5,"g_string_insert_unichar","","",null,null],[5,"g_string_overwrite","","",null,null],[5,"g_string_overwrite_len","","",null,null],[5,"g_string_prepend","","",null,null],[5,"g_string_prepend_c","","",null,null],[5,"g_string_prepend_len","","",null,null],[5,"g_string_prepend_unichar","","",null,null],[5,"g_string_printf","","",null,null],[5,"g_string_set_size","","",null,null],[5,"g_string_truncate","","",null,null],[5,"g_string_up","","",null,null],[5,"g_string_chunk_clear","","",null,null],[5,"g_string_chunk_free","","",null,null],[5,"g_string_chunk_insert","","",null,null],[5,"g_string_chunk_insert_const","","",null,null],[5,"g_string_chunk_insert_len","","",null,null],[5,"g_string_chunk_new","","",null,null],[5,"g_test_log_buffer_free","","",null,null],[5,"g_test_log_buffer_pop","","",null,null],[5,"g_test_log_buffer_push","","",null,null],[5,"g_test_log_buffer_new","","",null,null],[5,"g_test_log_msg_free","","",null,null],[5,"g_test_suite_add","","",null,null],[5,"g_test_suite_add_suite","","",null,null],[5,"g_thread_get_type","","",null,null],[5,"g_thread_new","","",null,null],[5,"g_thread_try_new","","",null,null],[5,"g_thread_join","","",null,null],[5,"g_thread_ref","","",null,null],[5,"g_thread_unref","","",null,null],[5,"g_thread_error_quark","","",null,null],[5,"g_thread_exit","","",null,null],[5,"g_thread_self","","",null,null],[5,"g_thread_yield","","",null,null],[5,"g_thread_pool_free","","",null,null],[5,"g_thread_pool_get_max_threads","","",null,null],[5,"g_thread_pool_get_num_threads","","",null,null],[5,"g_thread_pool_push","","",null,null],[5,"g_thread_pool_set_max_threads","","",null,null],[5,"g_thread_pool_set_sort_function","","",null,null],[5,"g_thread_pool_unprocessed","","",null,null],[5,"g_thread_pool_get_max_idle_time","","",null,null],[5,"g_thread_pool_get_max_unused_threads","","",null,null],[5,"g_thread_pool_get_num_unused_threads","","",null,null],[5,"g_thread_pool_new","","",null,null],[5,"g_thread_pool_set_max_idle_time","","",null,null],[5,"g_thread_pool_set_max_unused_threads","","",null,null],[5,"g_thread_pool_stop_unused_threads","","",null,null],[5,"g_time_val_add","","",null,null],[5,"g_time_val_to_iso8601","","",null,null],[5,"g_time_val_from_iso8601","","",null,null],[5,"g_time_zone_get_type","","",null,null],[5,"g_time_zone_new","","",null,null],[5,"g_time_zone_new_local","","",null,null],[5,"g_time_zone_new_utc","","",null,null],[5,"g_time_zone_adjust_time","","",null,null],[5,"g_time_zone_find_interval","","",null,null],[5,"g_time_zone_get_abbreviation","","",null,null],[5,"g_time_zone_get_offset","","",null,null],[5,"g_time_zone_is_dst","","",null,null],[5,"g_time_zone_ref","","",null,null],[5,"g_time_zone_unref","","",null,null],[5,"g_timer_continue","","",null,null],[5,"g_timer_destroy","","",null,null],[5,"g_timer_elapsed","","",null,null],[5,"g_timer_reset","","",null,null],[5,"g_timer_start","","",null,null],[5,"g_timer_stop","","",null,null],[5,"g_timer_new","","",null,null],[5,"g_trash_stack_height","","",null,null],[5,"g_trash_stack_peek","","",null,null],[5,"g_trash_stack_pop","","",null,null],[5,"g_trash_stack_push","","",null,null],[5,"g_tree_destroy","","",null,null],[5,"g_tree_foreach","","",null,null],[5,"g_tree_height","","",null,null],[5,"g_tree_insert","","",null,null],[5,"g_tree_lookup","","",null,null],[5,"g_tree_lookup_extended","","",null,null],[5,"g_tree_nnodes","","",null,null],[5,"g_tree_ref","","",null,null],[5,"g_tree_remove","","",null,null],[5,"g_tree_replace","","",null,null],[5,"g_tree_search","","",null,null],[5,"g_tree_steal","","",null,null],[5,"g_tree_traverse","","",null,null],[5,"g_tree_unref","","",null,null],[5,"g_tree_new","","",null,null],[5,"g_tree_new_full","","",null,null],[5,"g_tree_new_with_data","","",null,null],[5,"g_variant_new","","",null,null],[5,"g_variant_new_array","","",null,null],[5,"g_variant_new_boolean","","",null,null],[5,"g_variant_new_byte","","",null,null],[5,"g_variant_new_bytestring","","",null,null],[5,"g_variant_new_bytestring_array","","",null,null],[5,"g_variant_new_dict_entry","","",null,null],[5,"g_variant_new_double","","",null,null],[5,"g_variant_new_fixed_array","","",null,null],[5,"g_variant_new_from_data","","",null,null],[5,"g_variant_new_handle","","",null,null],[5,"g_variant_new_int16","","",null,null],[5,"g_variant_new_int32","","",null,null],[5,"g_variant_new_int64","","",null,null],[5,"g_variant_new_maybe","","",null,null],[5,"g_variant_new_object_path","","",null,null],[5,"g_variant_new_objv","","",null,null],[5,"g_variant_new_parsed","","",null,null],[5,"g_variant_new_signature","","",null,null],[5,"g_variant_new_string","","",null,null],[5,"g_variant_new_strv","","",null,null],[5,"g_variant_new_tuple","","",null,null],[5,"g_variant_new_uint16","","",null,null],[5,"g_variant_new_uint32","","",null,null],[5,"g_variant_new_uint64","","",null,null],[5,"g_variant_new_variant","","",null,null],[5,"g_variant_byteswap","","",null,null],[5,"g_variant_classify","","",null,null],[5,"g_variant_compare","","",null,null],[5,"g_variant_dup_bytestring","","",null,null],[5,"g_variant_dup_bytestring_array","","",null,null],[5,"g_variant_dup_objv","","",null,null],[5,"g_variant_dup_string","","",null,null],[5,"g_variant_dup_strv","","",null,null],[5,"g_variant_equal","","",null,null],[5,"g_variant_get","","",null,null],[5,"g_variant_get_boolean","","",null,null],[5,"g_variant_get_byte","","",null,null],[5,"g_variant_get_bytestring","","",null,null],[5,"g_variant_get_bytestring_array","","",null,null],[5,"g_variant_get_child","","",null,null],[5,"g_variant_get_child_value","","",null,null],[5,"g_variant_get_data","","",null,null],[5,"g_variant_get_double","","",null,null],[5,"g_variant_get_fixed_array","","",null,null],[5,"g_variant_get_handle","","",null,null],[5,"g_variant_get_int16","","",null,null],[5,"g_variant_get_int32","","",null,null],[5,"g_variant_get_int64","","",null,null],[5,"g_variant_get_maybe","","",null,null],[5,"g_variant_get_normal_form","","",null,null],[5,"g_variant_get_objv","","",null,null],[5,"g_variant_get_size","","",null,null],[5,"g_variant_get_string","","",null,null],[5,"g_variant_get_strv","","",null,null],[5,"g_variant_get_type","","",null,null],[5,"g_variant_get_type_string","","",null,null],[5,"g_variant_get_uint16","","",null,null],[5,"g_variant_get_uint32","","",null,null],[5,"g_variant_get_uint64","","",null,null],[5,"g_variant_get_variant","","",null,null],[5,"g_variant_hash","","",null,null],[5,"g_variant_is_container","","",null,null],[5,"g_variant_is_floating","","",null,null],[5,"g_variant_is_normal_form","","",null,null],[5,"g_variant_is_of_type","","",null,null],[5,"g_variant_iter_new","","",null,null],[5,"g_variant_lookup","","",null,null],[5,"g_variant_lookup_value","","",null,null],[5,"g_variant_n_children","","",null,null],[5,"g_variant_print","","",null,null],[5,"g_variant_print_string","","",null,null],[5,"g_variant_ref","","",null,null],[5,"g_variant_ref_sink","","",null,null],[5,"g_variant_store","","",null,null],[5,"g_variant_take_ref","","",null,null],[5,"g_variant_unref","","",null,null],[5,"g_variant_is_object_path","","",null,null],[5,"g_variant_is_signature","","",null,null],[5,"g_variant_parse","","",null,null],[5,"g_variant_parse_error_quark","","",null,null],[5,"g_variant_parser_get_error_quark","","",null,null],[5,"g_variant_builder_get_type","","",null,null],[5,"g_variant_builder_new","","",null,null],[5,"g_variant_builder_add","","",null,null],[5,"g_variant_builder_add_parsed","","",null,null],[5,"g_variant_builder_add_value","","",null,null],[5,"g_variant_builder_clear","","",null,null],[5,"g_variant_builder_close","","",null,null],[5,"g_variant_builder_end","","",null,null],[5,"g_variant_builder_init","","",null,null],[5,"g_variant_builder_open","","",null,null],[5,"g_variant_builder_ref","","",null,null],[5,"g_variant_builder_unref","","",null,null],[5,"g_variant_dict_get_type","","",null,null],[5,"g_variant_iter_copy","","",null,null],[5,"g_variant_iter_free","","",null,null],[5,"g_variant_iter_init","","",null,null],[5,"g_variant_iter_loop","","",null,null],[5,"g_variant_iter_n_children","","",null,null],[5,"g_variant_iter_next","","",null,null],[5,"g_variant_iter_next_value","","",null,null],[5,"g_variant_type_get_gtype","","",null,null],[5,"g_variant_type_new","","",null,null],[5,"g_variant_type_new_array","","",null,null],[5,"g_variant_type_new_dict_entry","","",null,null],[5,"g_variant_type_new_maybe","","",null,null],[5,"g_variant_type_new_tuple","","",null,null],[5,"g_variant_type_copy","","",null,null],[5,"g_variant_type_dup_string","","",null,null],[5,"g_variant_type_element","","",null,null],[5,"g_variant_type_equal","","",null,null],[5,"g_variant_type_first","","",null,null],[5,"g_variant_type_free","","",null,null],[5,"g_variant_type_get_string_length","","",null,null],[5,"g_variant_type_hash","","",null,null],[5,"g_variant_type_is_array","","",null,null],[5,"g_variant_type_is_basic","","",null,null],[5,"g_variant_type_is_container","","",null,null],[5,"g_variant_type_is_definite","","",null,null],[5,"g_variant_type_is_dict_entry","","",null,null],[5,"g_variant_type_is_maybe","","",null,null],[5,"g_variant_type_is_subtype_of","","",null,null],[5,"g_variant_type_is_tuple","","",null,null],[5,"g_variant_type_is_variant","","",null,null],[5,"g_variant_type_key","","",null,null],[5,"g_variant_type_n_items","","",null,null],[5,"g_variant_type_next","","",null,null],[5,"g_variant_type_peek_string","","",null,null],[5,"g_variant_type_value","","",null,null],[5,"g_variant_type_checked_","","",null,null],[5,"g_variant_type_string_is_valid","","",null,null],[5,"g_variant_type_string_scan","","",null,null],[5,"g_access","","",null,null],[5,"g_ascii_digit_value","","",null,null],[5,"g_ascii_dtostr","","",null,null],[5,"g_ascii_formatd","","",null,null],[5,"g_ascii_strcasecmp","","",null,null],[5,"g_ascii_strdown","","",null,null],[5,"g_ascii_strncasecmp","","",null,null],[5,"g_ascii_strtod","","",null,null],[5,"g_ascii_strtoll","","",null,null],[5,"g_ascii_strtoull","","",null,null],[5,"g_ascii_strup","","",null,null],[5,"g_ascii_tolower","","",null,null],[5,"g_ascii_toupper","","",null,null],[5,"g_ascii_xdigit_value","","",null,null],[5,"g_assert_warning","","",null,null],[5,"g_assertion_message","","",null,null],[5,"g_assertion_message_cmpstr","","",null,null],[5,"g_assertion_message_error","","",null,null],[5,"g_assertion_message_expr","","",null,null],[5,"g_atexit","","",null,null],[5,"g_atomic_int_add","","",null,null],[5,"g_atomic_int_and","","",null,null],[5,"g_atomic_int_compare_and_exchange","","",null,null],[5,"g_atomic_int_dec_and_test","","",null,null],[5,"g_atomic_int_exchange_and_add","","",null,null],[5,"g_atomic_int_get","","",null,null],[5,"g_atomic_int_inc","","",null,null],[5,"g_atomic_int_or","","",null,null],[5,"g_atomic_int_set","","",null,null],[5,"g_atomic_int_xor","","",null,null],[5,"g_atomic_pointer_add","","",null,null],[5,"g_atomic_pointer_and","","",null,null],[5,"g_atomic_pointer_compare_and_exchange","","",null,null],[5,"g_atomic_pointer_get","","",null,null],[5,"g_atomic_pointer_or","","",null,null],[5,"g_atomic_pointer_set","","",null,null],[5,"g_atomic_pointer_xor","","",null,null],[5,"g_base64_decode","","",null,null],[5,"g_base64_decode_inplace","","",null,null],[5,"g_base64_decode_step","","",null,null],[5,"g_base64_encode","","",null,null],[5,"g_base64_encode_close","","",null,null],[5,"g_base64_encode_step","","",null,null],[5,"g_basename","","",null,null],[5,"g_bit_lock","","",null,null],[5,"g_bit_nth_lsf","","",null,null],[5,"g_bit_nth_msf","","",null,null],[5,"g_bit_storage","","",null,null],[5,"g_bit_trylock","","",null,null],[5,"g_bit_unlock","","",null,null],[5,"g_build_filename","","",null,null],[5,"g_build_filenamev","","",null,null],[5,"g_build_path","","",null,null],[5,"g_build_pathv","","",null,null],[5,"g_chdir","","",null,null],[5,"glib_check_version","","",null,null],[5,"g_child_watch_add","","",null,null],[5,"g_child_watch_add_full","","",null,null],[5,"g_child_watch_source_new","","",null,null],[5,"g_clear_error","","",null,null],[5,"g_compute_checksum_for_data","","",null,null],[5,"g_compute_checksum_for_string","","",null,null],[5,"g_compute_hmac_for_data","","",null,null],[5,"g_compute_hmac_for_string","","",null,null],[5,"g_convert","","",null,null],[5,"g_convert_error_quark","","",null,null],[5,"g_convert_with_fallback","","",null,null],[5,"g_convert_with_iconv","","",null,null],[5,"g_datalist_clear","","",null,null],[5,"g_datalist_foreach","","",null,null],[5,"g_datalist_get_data","","",null,null],[5,"g_datalist_get_flags","","",null,null],[5,"g_datalist_id_get_data","","",null,null],[5,"g_datalist_id_remove_no_notify","","",null,null],[5,"g_datalist_id_set_data_full","","",null,null],[5,"g_datalist_init","","",null,null],[5,"g_datalist_set_flags","","",null,null],[5,"g_datalist_unset_flags","","",null,null],[5,"g_dataset_destroy","","",null,null],[5,"g_dataset_foreach","","",null,null],[5,"g_dataset_id_get_data","","",null,null],[5,"g_dataset_id_remove_no_notify","","",null,null],[5,"g_dataset_id_set_data_full","","",null,null],[5,"g_dcgettext","","",null,null],[5,"g_dgettext","","",null,null],[5,"g_direct_equal","","",null,null],[5,"g_direct_hash","","",null,null],[5,"g_dngettext","","",null,null],[5,"g_double_equal","","",null,null],[5,"g_double_hash","","",null,null],[5,"g_dpgettext","","",null,null],[5,"g_dpgettext2","","",null,null],[5,"g_environ_getenv","","",null,null],[5,"g_environ_setenv","","",null,null],[5,"g_environ_unsetenv","","",null,null],[5,"g_file_error_from_errno","","",null,null],[5,"g_file_error_quark","","",null,null],[5,"g_file_get_contents","","",null,null],[5,"g_file_open_tmp","","",null,null],[5,"g_file_read_link","","",null,null],[5,"g_file_set_contents","","",null,null],[5,"g_file_test","","",null,null],[5,"g_filename_display_basename","","",null,null],[5,"g_filename_display_name","","",null,null],[5,"g_filename_from_uri","","",null,null],[5,"g_filename_from_utf8","","",null,null],[5,"g_filename_to_uri","","",null,null],[5,"g_filename_to_utf8","","",null,null],[5,"g_find_program_in_path","","",null,null],[5,"g_format_size","","",null,null],[5,"g_format_size_for_display","","",null,null],[5,"g_format_size_full","","",null,null],[5,"g_fprintf","","",null,null],[5,"g_free","","",null,null],[5,"g_get_application_name","","",null,null],[5,"g_get_charset","","",null,null],[5,"g_get_codeset","","",null,null],[5,"g_get_current_dir","","",null,null],[5,"g_get_current_time","","",null,null],[5,"g_get_environ","","",null,null],[5,"g_get_filename_charsets","","",null,null],[5,"g_get_home_dir","","",null,null],[5,"g_get_host_name","","",null,null],[5,"g_get_language_names","","",null,null],[5,"g_get_locale_variants","","",null,null],[5,"g_get_monotonic_time","","",null,null],[5,"g_get_prgname","","",null,null],[5,"g_get_real_name","","",null,null],[5,"g_get_real_time","","",null,null],[5,"g_get_system_config_dirs","","",null,null],[5,"g_get_system_data_dirs","","",null,null],[5,"g_get_tmp_dir","","",null,null],[5,"g_get_user_cache_dir","","",null,null],[5,"g_get_user_config_dir","","",null,null],[5,"g_get_user_data_dir","","",null,null],[5,"g_get_user_name","","",null,null],[5,"g_get_user_runtime_dir","","",null,null],[5,"g_get_user_special_dir","","",null,null],[5,"g_getenv","","",null,null],[5,"g_hostname_is_ascii_encoded","","",null,null],[5,"g_hostname_is_ip_address","","",null,null],[5,"g_hostname_is_non_ascii","","",null,null],[5,"g_hostname_to_ascii","","",null,null],[5,"g_hostname_to_unicode","","",null,null],[5,"g_iconv","","",null,null],[5,"g_idle_add","","",null,null],[5,"g_idle_add_full","","",null,null],[5,"g_idle_remove_by_data","","",null,null],[5,"g_idle_source_new","","",null,null],[5,"g_int64_equal","","",null,null],[5,"g_int64_hash","","",null,null],[5,"g_int_equal","","",null,null],[5,"g_int_hash","","",null,null],[5,"g_intern_static_string","","",null,null],[5,"g_intern_string","","",null,null],[5,"g_io_add_watch","","",null,null],[5,"g_io_add_watch_full","","",null,null],[5,"g_io_create_watch","","",null,null],[5,"g_listenv","","",null,null],[5,"g_locale_from_utf8","","",null,null],[5,"g_locale_to_utf8","","",null,null],[5,"g_log","","",null,null],[5,"g_log_default_handler","","",null,null],[5,"g_log_remove_handler","","",null,null],[5,"g_log_set_always_fatal","","",null,null],[5,"g_log_set_default_handler","","",null,null],[5,"g_log_set_fatal_mask","","",null,null],[5,"g_log_set_handler","","",null,null],[5,"g_main_current_source","","",null,null],[5,"g_main_depth","","",null,null],[5,"g_malloc","","",null,null],[5,"g_malloc0","","",null,null],[5,"g_malloc0_n","","",null,null],[5,"g_malloc_n","","",null,null],[5,"g_markup_collect_attributes","","",null,null],[5,"g_markup_error_quark","","",null,null],[5,"g_markup_escape_text","","",null,null],[5,"g_markup_printf_escaped","","",null,null],[5,"g_mem_is_system_malloc","","",null,null],[5,"g_mem_profile","","",null,null],[5,"g_mem_set_vtable","","",null,null],[5,"g_memdup","","",null,null],[5,"g_mkdir_with_parents","","",null,null],[5,"g_mkdtemp","","",null,null],[5,"g_mkdtemp_full","","",null,null],[5,"g_mkstemp","","",null,null],[5,"g_mkstemp_full","","",null,null],[5,"g_nullify_pointer","","",null,null],[5,"g_on_error_query","","",null,null],[5,"g_on_error_stack_trace","","",null,null],[5,"g_option_error_quark","","",null,null],[5,"g_parse_debug_string","","",null,null],[5,"g_path_get_basename","","",null,null],[5,"g_path_get_dirname","","",null,null],[5,"g_path_is_absolute","","",null,null],[5,"g_path_skip_root","","",null,null],[5,"g_pattern_match","","",null,null],[5,"g_pattern_match_simple","","",null,null],[5,"g_pattern_match_string","","",null,null],[5,"g_pointer_bit_lock","","",null,null],[5,"g_pointer_bit_trylock","","",null,null],[5,"g_pointer_bit_unlock","","",null,null],[5,"g_poll","","",null,null],[5,"g_prefix_error","","",null,null],[5,"g_print","","",null,null],[5,"g_printerr","","",null,null],[5,"g_printf","","",null,null],[5,"g_propagate_error","","",null,null],[5,"g_propagate_prefixed_error","","",null,null],[5,"g_qsort_with_data","","",null,null],[5,"g_quark_from_static_string","","",null,null],[5,"g_quark_from_string","","",null,null],[5,"g_quark_to_string","","",null,null],[5,"g_quark_try_string","","",null,null],[5,"g_random_double","","",null,null],[5,"g_random_double_range","","",null,null],[5,"g_random_int","","",null,null],[5,"g_random_int_range","","",null,null],[5,"g_random_set_seed","","",null,null],[5,"g_realloc","","",null,null],[5,"g_realloc_n","","",null,null],[5,"g_reload_user_special_dirs_cache","","",null,null],[5,"g_return_if_fail_warning","","",null,null],[5,"g_rmdir","","",null,null],[5,"g_set_application_name","","",null,null],[5,"g_set_error","","",null,null],[5,"g_set_error_literal","","",null,null],[5,"g_set_prgname","","",null,null],[5,"g_set_print_handler","","",null,null],[5,"g_set_printerr_handler","","",null,null],[5,"g_setenv","","",null,null],[5,"g_shell_error_quark","","",null,null],[5,"g_shell_parse_argv","","",null,null],[5,"g_shell_quote","","",null,null],[5,"g_shell_unquote","","",null,null],[5,"g_slice_alloc","","",null,null],[5,"g_slice_alloc0","","",null,null],[5,"g_slice_copy","","",null,null],[5,"g_slice_free1","","",null,null],[5,"g_slice_free_chain_with_offset","","",null,null],[5,"g_slice_get_config","","",null,null],[5,"g_slice_get_config_state","","",null,null],[5,"g_slice_set_config","","",null,null],[5,"g_snprintf","","",null,null],[5,"g_spaced_primes_closest","","",null,null],[5,"g_spawn_async","","",null,null],[5,"g_spawn_async_with_pipes","","",null,null],[5,"g_spawn_close_pid","","",null,null],[5,"g_spawn_command_line_async","","",null,null],[5,"g_spawn_command_line_sync","","",null,null],[5,"g_spawn_error_quark","","",null,null],[5,"g_spawn_exit_error_quark","","",null,null],[5,"g_spawn_sync","","",null,null],[5,"g_sprintf","","",null,null],[5,"g_stpcpy","","",null,null],[5,"g_str_equal","","",null,null],[5,"g_str_has_prefix","","",null,null],[5,"g_str_has_suffix","","",null,null],[5,"g_str_hash","","",null,null],[5,"g_strcanon","","",null,null],[5,"g_strcasecmp","","",null,null],[5,"g_strchomp","","",null,null],[5,"g_strchug","","",null,null],[5,"g_strcmp0","","",null,null],[5,"g_strcompress","","",null,null],[5,"g_strconcat","","",null,null],[5,"g_strdelimit","","",null,null],[5,"g_strdown","","",null,null],[5,"g_strdup","","",null,null],[5,"g_strdup_printf","","",null,null],[5,"g_strdupv","","",null,null],[5,"g_strerror","","",null,null],[5,"g_strescape","","",null,null],[5,"g_strfreev","","",null,null],[5,"g_string_new","","",null,null],[5,"g_string_new_len","","",null,null],[5,"g_string_sized_new","","",null,null],[5,"g_strip_context","","",null,null],[5,"g_strjoin","","",null,null],[5,"g_strjoinv","","",null,null],[5,"g_strlcat","","",null,null],[5,"g_strlcpy","","",null,null],[5,"g_strncasecmp","","",null,null],[5,"g_strndup","","",null,null],[5,"g_strnfill","","",null,null],[5,"g_strreverse","","",null,null],[5,"g_strrstr","","",null,null],[5,"g_strrstr_len","","",null,null],[5,"g_strsignal","","",null,null],[5,"g_strsplit","","",null,null],[5,"g_strsplit_set","","",null,null],[5,"g_strstr_len","","",null,null],[5,"g_strtod","","",null,null],[5,"g_strup","","",null,null],[5,"g_strv_get_type","","",null,null],[5,"g_strv_length","","",null,null],[5,"g_test_add_data_func","","",null,null],[5,"g_test_add_func","","",null,null],[5,"g_test_add_vtable","","",null,null],[5,"g_test_assert_expected_messages_internal","","",null,null],[5,"g_test_bug","","",null,null],[5,"g_test_bug_base","","",null,null],[5,"g_test_create_case","","",null,null],[5,"g_test_create_suite","","",null,null],[5,"g_test_fail","","",null,null],[5,"g_test_get_root","","",null,null],[5,"g_test_init","","",null,null],[5,"g_test_log_set_fatal_handler","","",null,null],[5,"g_test_log_type_name","","",null,null],[5,"g_test_maximized_result","","",null,null],[5,"g_test_message","","",null,null],[5,"g_test_minimized_result","","",null,null],[5,"g_test_queue_destroy","","",null,null],[5,"g_test_queue_free","","",null,null],[5,"g_test_rand_double","","",null,null],[5,"g_test_rand_double_range","","",null,null],[5,"g_test_rand_int","","",null,null],[5,"g_test_rand_int_range","","",null,null],[5,"g_test_run","","",null,null],[5,"g_test_run_suite","","",null,null],[5,"g_test_timer_elapsed","","",null,null],[5,"g_test_timer_last","","",null,null],[5,"g_test_timer_start","","",null,null],[5,"g_test_trap_assertions","","",null,null],[5,"g_test_trap_fork","","",null,null],[5,"g_test_trap_has_passed","","",null,null],[5,"g_test_trap_reached_timeout","","",null,null],[5,"g_timeout_add","","",null,null],[5,"g_timeout_add_full","","",null,null],[5,"g_timeout_add_seconds","","",null,null],[5,"g_timeout_add_seconds_full","","",null,null],[5,"g_timeout_source_new","","",null,null],[5,"g_timeout_source_new_seconds","","",null,null],[5,"g_try_malloc","","",null,null],[5,"g_try_malloc0","","",null,null],[5,"g_try_malloc0_n","","",null,null],[5,"g_try_malloc_n","","",null,null],[5,"g_try_realloc","","",null,null],[5,"g_try_realloc_n","","",null,null],[5,"g_ucs4_to_utf16","","",null,null],[5,"g_ucs4_to_utf8","","",null,null],[5,"g_unichar_break_type","","",null,null],[5,"g_unichar_combining_class","","",null,null],[5,"g_unichar_compose","","",null,null],[5,"g_unichar_decompose","","",null,null],[5,"g_unichar_digit_value","","",null,null],[5,"g_unichar_fully_decompose","","",null,null],[5,"g_unichar_get_mirror_char","","",null,null],[5,"g_unichar_get_script","","",null,null],[5,"g_unichar_isalnum","","",null,null],[5,"g_unichar_isalpha","","",null,null],[5,"g_unichar_iscntrl","","",null,null],[5,"g_unichar_isdefined","","",null,null],[5,"g_unichar_isdigit","","",null,null],[5,"g_unichar_isgraph","","",null,null],[5,"g_unichar_islower","","",null,null],[5,"g_unichar_ismark","","",null,null],[5,"g_unichar_isprint","","",null,null],[5,"g_unichar_ispunct","","",null,null],[5,"g_unichar_isspace","","",null,null],[5,"g_unichar_istitle","","",null,null],[5,"g_unichar_isupper","","",null,null],[5,"g_unichar_iswide","","",null,null],[5,"g_unichar_iswide_cjk","","",null,null],[5,"g_unichar_isxdigit","","",null,null],[5,"g_unichar_iszerowidth","","",null,null],[5,"g_unichar_to_utf8","","",null,null],[5,"g_unichar_tolower","","",null,null],[5,"g_unichar_totitle","","",null,null],[5,"g_unichar_toupper","","",null,null],[5,"g_unichar_type","","",null,null],[5,"g_unichar_validate","","",null,null],[5,"g_unichar_xdigit_value","","",null,null],[5,"g_unicode_canonical_decomposition","","",null,null],[5,"g_unicode_canonical_ordering","","",null,null],[5,"g_unicode_script_from_iso15924","","",null,null],[5,"g_unicode_script_to_iso15924","","",null,null],[5,"g_unix_error_quark","","",null,null],[5,"g_unix_open_pipe","","",null,null],[5,"g_unix_set_fd_nonblocking","","",null,null],[5,"g_unix_signal_add","","",null,null],[5,"g_unix_signal_add_full","","",null,null],[5,"g_unix_signal_source_new","","",null,null],[5,"g_unlink","","",null,null],[5,"g_unsetenv","","",null,null],[5,"g_uri_escape_string","","",null,null],[5,"g_uri_list_extract_uris","","",null,null],[5,"g_uri_parse_scheme","","",null,null],[5,"g_uri_unescape_segment","","",null,null],[5,"g_uri_unescape_string","","",null,null],[5,"g_usleep","","",null,null],[5,"g_utf16_to_ucs4","","",null,null],[5,"g_utf16_to_utf8","","",null,null],[5,"g_utf8_casefold","","",null,null],[5,"g_utf8_collate","","",null,null],[5,"g_utf8_collate_key","","",null,null],[5,"g_utf8_collate_key_for_filename","","",null,null],[5,"g_utf8_find_next_char","","",null,null],[5,"g_utf8_find_prev_char","","",null,null],[5,"g_utf8_get_char","","",null,null],[5,"g_utf8_get_char_validated","","",null,null],[5,"g_utf8_normalize","","",null,null],[5,"g_utf8_offset_to_pointer","","",null,null],[5,"g_utf8_pointer_to_offset","","",null,null],[5,"g_utf8_prev_char","","",null,null],[5,"g_utf8_strchr","","",null,null],[5,"g_utf8_strdown","","",null,null],[5,"g_utf8_strlen","","",null,null],[5,"g_utf8_strncpy","","",null,null],[5,"g_utf8_strrchr","","",null,null],[5,"g_utf8_strreverse","","",null,null],[5,"g_utf8_strup","","",null,null],[5,"g_utf8_substring","","",null,null],[5,"g_utf8_to_ucs4","","",null,null],[5,"g_utf8_to_ucs4_fast","","",null,null],[5,"g_utf8_to_utf16","","",null,null],[5,"g_utf8_validate","","",null,null],[5,"g_variant_get_gtype","","",null,null],[5,"g_warn_message","","",null,null],[6,"gboolean","","",null,null],[6,"gconstpointer","","",null,null],[6,"gpointer","","",null,null],[6,"GDateDay","","",null,null],[6,"GDateYear","","",null,null],[6,"GMutexLocker","","",null,null],[6,"GPid","","",null,null],[6,"GQuark","","",null,null],[6,"GStrv","","",null,null],[6,"GTime","","",null,null],[6,"GTimeSpan","","",null,null],[6,"GType","","",null,null],[6,"ThreadError","","",null,null],[6,"GThreadError","","",null,null],[6,"GDoubleIEEE754","","",null,null],[6,"GFloatIEEE754","","",null,null],[6,"GTokenValue","","",null,null],[6,"GChildWatchFunc","","",null,null],[6,"GCompareDataFunc","","",null,null],[6,"GCompareFunc","","",null,null],[6,"GCopyFunc","","",null,null],[6,"GDataForeachFunc","","",null,null],[6,"GDestroyNotify","","",null,null],[6,"GDuplicateFunc","","",null,null],[6,"GEqualFunc","","",null,null],[6,"GFreeFunc","","",null,null],[6,"GFunc","","",null,null],[6,"GHFunc","","",null,null],[6,"GHRFunc","","",null,null],[6,"GHashFunc","","",null,null],[6,"GHookCheckFunc","","",null,null],[6,"GHookCheckMarshaller","","",null,null],[6,"GHookCompareFunc","","",null,null],[6,"GHookFinalizeFunc","","",null,null],[6,"GHookFindFunc","","",null,null],[6,"GHookFunc","","",null,null],[6,"GHookMarshaller","","",null,null],[6,"GIOFunc","","",null,null],[6,"GLogFunc","","",null,null],[6,"GLogWriterFunc","","",null,null],[6,"GNodeForeachFunc","","",null,null],[6,"GNodeTraverseFunc","","",null,null],[6,"GOptionArgFunc","","",null,null],[6,"GOptionErrorFunc","","",null,null],[6,"GOptionParseFunc","","",null,null],[6,"GPollFunc","","",null,null],[6,"GPrintFunc","","",null,null],[6,"GRegexEvalCallback","","",null,null],[6,"GScannerMsgFunc","","",null,null],[6,"GSequenceIterCompareFunc","","",null,null],[6,"GSourceDummyMarshal","","",null,null],[6,"GSourceFunc","","",null,null],[6,"GSpawnChildSetupFunc","","",null,null],[6,"GTestDataFunc","","",null,null],[6,"GTestFixtureFunc","","",null,null],[6,"GTestFunc","","",null,null],[6,"GTestLogFatalFunc","","",null,null],[6,"GThreadFunc","","",null,null],[6,"GTranslateFunc","","",null,null],[6,"GTraverseFunc","","",null,null],[6,"GUnixFDSourceFunc","","",null,null],[6,"GVoidFunc","","",null,null],[17,"GFALSE","","",null,null],[17,"GTRUE","","",null,null],[17,"G_BOOKMARK_FILE_ERROR_INVALID_URI","","",null,null],[17,"G_BOOKMARK_FILE_ERROR_INVALID_VALUE","","",null,null],[17,"G_BOOKMARK_FILE_ERROR_APP_NOT_REGISTERED","","",null,null],[17,"G_BOOKMARK_FILE_ERROR_URI_NOT_FOUND","","",null,null],[17,"G_BOOKMARK_FILE_ERROR_READ","","",null,null],[17,"G_BOOKMARK_FILE_ERROR_UNKNOWN_ENCODING","","",null,null],[17,"G_BOOKMARK_FILE_ERROR_WRITE","","",null,null],[17,"G_BOOKMARK_FILE_ERROR_FILE_NOT_FOUND","","",null,null],[17,"G_CHECKSUM_MD5","","",null,null],[17,"G_CHECKSUM_SHA1","","",null,null],[17,"G_CHECKSUM_SHA256","","",null,null],[17,"G_CHECKSUM_SHA512","","",null,null],[17,"G_CONVERT_ERROR_NO_CONVERSION","","",null,null],[17,"G_CONVERT_ERROR_ILLEGAL_SEQUENCE","","",null,null],[17,"G_CONVERT_ERROR_FAILED","","",null,null],[17,"G_CONVERT_ERROR_PARTIAL_INPUT","","",null,null],[17,"G_CONVERT_ERROR_BAD_URI","","",null,null],[17,"G_CONVERT_ERROR_NOT_ABSOLUTE_PATH","","",null,null],[17,"G_CONVERT_ERROR_NO_MEMORY","","",null,null],[17,"G_DATE_DAY","","",null,null],[17,"G_DATE_MONTH","","",null,null],[17,"G_DATE_YEAR","","",null,null],[17,"G_DATE_BAD_MONTH","","",null,null],[17,"G_DATE_JANUARY","","",null,null],[17,"G_DATE_FEBRUARY","","",null,null],[17,"G_DATE_MARCH","","",null,null],[17,"G_DATE_APRIL","","",null,null],[17,"G_DATE_MAY","","",null,null],[17,"G_DATE_JUNE","","",null,null],[17,"G_DATE_JULY","","",null,null],[17,"G_DATE_AUGUST","","",null,null],[17,"G_DATE_SEPTEMBER","","",null,null],[17,"G_DATE_OCTOBER","","",null,null],[17,"G_DATE_NOVEMBER","","",null,null],[17,"G_DATE_DECEMBER","","",null,null],[17,"G_DATE_BAD_WEEKDAY","","",null,null],[17,"G_DATE_MONDAY","","",null,null],[17,"G_DATE_TUESDAY","","",null,null],[17,"G_DATE_WEDNESDAY","","",null,null],[17,"G_DATE_THURSDAY","","",null,null],[17,"G_DATE_FRIDAY","","",null,null],[17,"G_DATE_SATURDAY","","",null,null],[17,"G_DATE_SUNDAY","","",null,null],[17,"G_ERR_UNKNOWN","","",null,null],[17,"G_ERR_UNEXP_EOF","","",null,null],[17,"G_ERR_UNEXP_EOF_IN_STRING","","",null,null],[17,"G_ERR_UNEXP_EOF_IN_COMMENT","","",null,null],[17,"G_ERR_NON_DIGIT_IN_CONST","","",null,null],[17,"G_ERR_DIGIT_RADIX","","",null,null],[17,"G_ERR_FLOAT_RADIX","","",null,null],[17,"G_ERR_FLOAT_MALFORMED","","",null,null],[17,"G_FILE_ERROR_EXIST","","",null,null],[17,"G_FILE_ERROR_ISDIR","","",null,null],[17,"G_FILE_ERROR_ACCES","","",null,null],[17,"G_FILE_ERROR_NAMETOOLONG","","",null,null],[17,"G_FILE_ERROR_NOENT","","",null,null],[17,"G_FILE_ERROR_NOTDIR","","",null,null],[17,"G_FILE_ERROR_NXIO","","",null,null],[17,"G_FILE_ERROR_NODEV","","",null,null],[17,"G_FILE_ERROR_ROFS","","",null,null],[17,"G_FILE_ERROR_TXTBSY","","",null,null],[17,"G_FILE_ERROR_FAULT","","",null,null],[17,"G_FILE_ERROR_LOOP","","",null,null],[17,"G_FILE_ERROR_NOSPC","","",null,null],[17,"G_FILE_ERROR_NOMEM","","",null,null],[17,"G_FILE_ERROR_MFILE","","",null,null],[17,"G_FILE_ERROR_NFILE","","",null,null],[17,"G_FILE_ERROR_BADF","","",null,null],[17,"G_FILE_ERROR_INVAL","","",null,null],[17,"G_FILE_ERROR_PIPE","","",null,null],[17,"G_FILE_ERROR_AGAIN","","",null,null],[17,"G_FILE_ERROR_INTR","","",null,null],[17,"G_FILE_ERROR_IO","","",null,null],[17,"G_FILE_ERROR_PERM","","",null,null],[17,"G_FILE_ERROR_NOSYS","","",null,null],[17,"G_FILE_ERROR_FAILED","","",null,null],[17,"G_IO_CHANNEL_ERROR_FBIG","","",null,null],[17,"G_IO_CHANNEL_ERROR_INVAL","","",null,null],[17,"G_IO_CHANNEL_ERROR_IO","","",null,null],[17,"G_IO_CHANNEL_ERROR_ISDIR","","",null,null],[17,"G_IO_CHANNEL_ERROR_NOSPC","","",null,null],[17,"G_IO_CHANNEL_ERROR_NXIO","","",null,null],[17,"G_IO_CHANNEL_ERROR_OVERFLOW","","",null,null],[17,"G_IO_CHANNEL_ERROR_PIPE","","",null,null],[17,"G_IO_CHANNEL_ERROR_FAILED","","",null,null],[17,"G_IO_ERROR_NONE","","",null,null],[17,"G_IO_ERROR_AGAIN","","",null,null],[17,"G_IO_ERROR_INVAL","","",null,null],[17,"G_IO_ERROR_UNKNOWN","","",null,null],[17,"G_IO_STATUS_ERROR","","",null,null],[17,"G_IO_STATUS_NORMAL","","",null,null],[17,"G_IO_STATUS_EOF","","",null,null],[17,"G_IO_STATUS_AGAIN","","",null,null],[17,"G_KEY_FILE_ERROR_UNKNOWN_ENCODING","","",null,null],[17,"G_KEY_FILE_ERROR_PARSE","","",null,null],[17,"G_KEY_FILE_ERROR_NOT_FOUND","","",null,null],[17,"G_KEY_FILE_ERROR_KEY_NOT_FOUND","","",null,null],[17,"G_KEY_FILE_ERROR_GROUP_NOT_FOUND","","",null,null],[17,"G_KEY_FILE_ERROR_INVALID_VALUE","","",null,null],[17,"G_LOG_WRITER_HANDLED","","",null,null],[17,"G_LOG_WRITER_UNHANDLED","","",null,null],[17,"G_MARKUP_ERROR_BAD_UTF8","","",null,null],[17,"G_MARKUP_ERROR_EMPTY","","",null,null],[17,"G_MARKUP_ERROR_PARSE","","",null,null],[17,"G_MARKUP_ERROR_UNKNOWN_ELEMENT","","",null,null],[17,"G_MARKUP_ERROR_UNKNOWN_ATTRIBUTE","","",null,null],[17,"G_MARKUP_ERROR_INVALID_CONTENT","","",null,null],[17,"G_MARKUP_ERROR_MISSING_ATTRIBUTE","","",null,null],[17,"G_NORMALIZE_DEFAULT","","",null,null],[17,"G_NORMALIZE_NFD","","",null,null],[17,"G_NORMALIZE_DEFAULT_COMPOSE","","",null,null],[17,"G_NORMALIZE_NFC","","",null,null],[17,"G_NORMALIZE_ALL","","",null,null],[17,"G_NORMALIZE_NFKD","","",null,null],[17,"G_NORMALIZE_ALL_COMPOSE","","",null,null],[17,"G_NORMALIZE_NFKC","","",null,null],[17,"G_ONCE_STATUS_NOTCALLED","","",null,null],[17,"G_ONCE_STATUS_PROGRESS","","",null,null],[17,"G_ONCE_STATUS_READY","","",null,null],[17,"G_OPTION_ARG_NONE","","",null,null],[17,"G_OPTION_ARG_STRING","","",null,null],[17,"G_OPTION_ARG_INT","","",null,null],[17,"G_OPTION_ARG_CALLBACK","","",null,null],[17,"G_OPTION_ARG_FILENAME","","",null,null],[17,"G_OPTION_ARG_STRING_ARRAY","","",null,null],[17,"G_OPTION_ARG_FILENAME_ARRAY","","",null,null],[17,"G_OPTION_ARG_DOUBLE","","",null,null],[17,"G_OPTION_ARG_INT64","","",null,null],[17,"G_OPTION_ERROR_UNKNOWN_OPTION","","",null,null],[17,"G_OPTION_ERROR_BAD_VALUE","","",null,null],[17,"G_OPTION_ERROR_FAILED","","",null,null],[17,"G_REGEX_ERROR_COMPILE","","",null,null],[17,"G_REGEX_ERROR_OPTIMIZE","","",null,null],[17,"G_REGEX_ERROR_REPLACE","","",null,null],[17,"G_REGEX_ERROR_MATCH","","",null,null],[17,"G_REGEX_ERROR_INTERNAL","","",null,null],[17,"G_REGEX_ERROR_STRAY_BACKSLASH","","",null,null],[17,"G_REGEX_ERROR_MISSING_CONTROL_CHAR","","",null,null],[17,"G_REGEX_ERROR_UNRECOGNIZED_ESCAPE","","",null,null],[17,"G_REGEX_ERROR_QUANTIFIERS_OUT_OF_ORDER","","",null,null],[17,"G_REGEX_ERROR_QUANTIFIER_TOO_BIG","","",null,null],[17,"G_REGEX_ERROR_UNTERMINATED_CHARACTER_CLASS","","",null,null],[17,"G_REGEX_ERROR_INVALID_ESCAPE_IN_CHARACTER_CLASS","","",null,null],[17,"G_REGEX_ERROR_RANGE_OUT_OF_ORDER","","",null,null],[17,"G_REGEX_ERROR_NOTHING_TO_REPEAT","","",null,null],[17,"G_REGEX_ERROR_UNRECOGNIZED_CHARACTER","","",null,null],[17,"G_REGEX_ERROR_POSIX_NAMED_CLASS_OUTSIDE_CLASS","","",null,null],[17,"G_REGEX_ERROR_UNMATCHED_PARENTHESIS","","",null,null],[17,"G_REGEX_ERROR_INEXISTENT_SUBPATTERN_REFERENCE","","",null,null],[17,"G_REGEX_ERROR_UNTERMINATED_COMMENT","","",null,null],[17,"G_REGEX_ERROR_EXPRESSION_TOO_LARGE","","",null,null],[17,"G_REGEX_ERROR_MEMORY_ERROR","","",null,null],[17,"G_REGEX_ERROR_VARIABLE_LENGTH_LOOKBEHIND","","",null,null],[17,"G_REGEX_ERROR_MALFORMED_CONDITION","","",null,null],[17,"G_REGEX_ERROR_TOO_MANY_CONDITIONAL_BRANCHES","","",null,null],[17,"G_REGEX_ERROR_ASSERTION_EXPECTED","","",null,null],[17,"G_REGEX_ERROR_UNKNOWN_POSIX_CLASS_NAME","","",null,null],[17,"G_REGEX_ERROR_POSIX_COLLATING_ELEMENTS_NOT_SUPPORTED","","",null,null],[17,"G_REGEX_ERROR_HEX_CODE_TOO_LARGE","","",null,null],[17,"G_REGEX_ERROR_INVALID_CONDITION","","",null,null],[17,"G_REGEX_ERROR_SINGLE_BYTE_MATCH_IN_LOOKBEHIND","","",null,null],[17,"G_REGEX_ERROR_INFINITE_LOOP","","",null,null],[17,"G_REGEX_ERROR_MISSING_SUBPATTERN_NAME_TERMINATOR","","",null,null],[17,"G_REGEX_ERROR_DUPLICATE_SUBPATTERN_NAME","","",null,null],[17,"G_REGEX_ERROR_MALFORMED_PROPERTY","","",null,null],[17,"G_REGEX_ERROR_UNKNOWN_PROPERTY","","",null,null],[17,"G_REGEX_ERROR_SUBPATTERN_NAME_TOO_LONG","","",null,null],[17,"G_REGEX_ERROR_TOO_MANY_SUBPATTERNS","","",null,null],[17,"G_REGEX_ERROR_INVALID_OCTAL_VALUE","","",null,null],[17,"G_REGEX_ERROR_TOO_MANY_BRANCHES_IN_DEFINE","","",null,null],[17,"G_REGEX_ERROR_DEFINE_REPETION","","",null,null],[17,"G_REGEX_ERROR_INCONSISTENT_NEWLINE_OPTIONS","","",null,null],[17,"G_REGEX_ERROR_MISSING_BACK_REFERENCE","","",null,null],[17,"G_REGEX_ERROR_INVALID_RELATIVE_REFERENCE","","",null,null],[17,"G_REGEX_ERROR_BACKTRACKING_CONTROL_VERB_ARGUMENT_FORBIDDEN","","",null,null],[17,"G_REGEX_ERROR_UNKNOWN_BACKTRACKING_CONTROL_VERB","","",null,null],[17,"G_REGEX_ERROR_NUMBER_TOO_BIG","","",null,null],[17,"G_REGEX_ERROR_MISSING_SUBPATTERN_NAME","","",null,null],[17,"G_REGEX_ERROR_MISSING_DIGIT","","",null,null],[17,"G_REGEX_ERROR_INVALID_DATA_CHARACTER","","",null,null],[17,"G_REGEX_ERROR_EXTRA_SUBPATTERN_NAME","","",null,null],[17,"G_REGEX_ERROR_BACKTRACKING_CONTROL_VERB_ARGUMENT_REQUIRED","","",null,null],[17,"G_REGEX_ERROR_INVALID_CONTROL_CHAR","","",null,null],[17,"G_REGEX_ERROR_MISSING_NAME","","",null,null],[17,"G_REGEX_ERROR_NOT_SUPPORTED_IN_CLASS","","",null,null],[17,"G_REGEX_ERROR_TOO_MANY_FORWARD_REFERENCES","","",null,null],[17,"G_REGEX_ERROR_NAME_TOO_LONG","","",null,null],[17,"G_REGEX_ERROR_CHARACTER_VALUE_TOO_LARGE","","",null,null],[17,"G_SEEK_CUR","","",null,null],[17,"G_SEEK_SET","","",null,null],[17,"G_SEEK_END","","",null,null],[17,"G_SHELL_ERROR_BAD_QUOTING","","",null,null],[17,"G_SHELL_ERROR_EMPTY_STRING","","",null,null],[17,"G_SHELL_ERROR_FAILED","","",null,null],[17,"G_SLICE_CONFIG_ALWAYS_MALLOC","","",null,null],[17,"G_SLICE_CONFIG_BYPASS_MAGAZINES","","",null,null],[17,"G_SLICE_CONFIG_WORKING_SET_MSECS","","",null,null],[17,"G_SLICE_CONFIG_COLOR_INCREMENT","","",null,null],[17,"G_SLICE_CONFIG_CHUNK_SIZES","","",null,null],[17,"G_SLICE_CONFIG_CONTENTION_COUNTER","","",null,null],[17,"G_SPAWN_ERROR_FORK","","",null,null],[17,"G_SPAWN_ERROR_READ","","",null,null],[17,"G_SPAWN_ERROR_CHDIR","","",null,null],[17,"G_SPAWN_ERROR_ACCES","","",null,null],[17,"G_SPAWN_ERROR_PERM","","",null,null],[17,"G_SPAWN_ERROR_TOO_BIG","","",null,null],[17,"G_SPAWN_ERROR_2BIG","","",null,null],[17,"G_SPAWN_ERROR_NOEXEC","","",null,null],[17,"G_SPAWN_ERROR_NAMETOOLONG","","",null,null],[17,"G_SPAWN_ERROR_NOENT","","",null,null],[17,"G_SPAWN_ERROR_NOMEM","","",null,null],[17,"G_SPAWN_ERROR_NOTDIR","","",null,null],[17,"G_SPAWN_ERROR_LOOP","","",null,null],[17,"G_SPAWN_ERROR_TXTBUSY","","",null,null],[17,"G_SPAWN_ERROR_IO","","",null,null],[17,"G_SPAWN_ERROR_NFILE","","",null,null],[17,"G_SPAWN_ERROR_MFILE","","",null,null],[17,"G_SPAWN_ERROR_INVAL","","",null,null],[17,"G_SPAWN_ERROR_ISDIR","","",null,null],[17,"G_SPAWN_ERROR_LIBBAD","","",null,null],[17,"G_SPAWN_ERROR_FAILED","","",null,null],[17,"G_TEST_DIST","","",null,null],[17,"G_TEST_BUILT","","",null,null],[17,"G_TEST_LOG_NONE","","",null,null],[17,"G_TEST_LOG_ERROR","","",null,null],[17,"G_TEST_LOG_START_BINARY","","",null,null],[17,"G_TEST_LOG_LIST_CASE","","",null,null],[17,"G_TEST_LOG_SKIP_CASE","","",null,null],[17,"G_TEST_LOG_START_CASE","","",null,null],[17,"G_TEST_LOG_STOP_CASE","","",null,null],[17,"G_TEST_LOG_MIN_RESULT","","",null,null],[17,"G_TEST_LOG_MAX_RESULT","","",null,null],[17,"G_TEST_LOG_MESSAGE","","",null,null],[17,"G_TEST_LOG_START_SUITE","","",null,null],[17,"G_TEST_LOG_STOP_SUITE","","",null,null],[17,"G_THREAD_ERROR_AGAIN","","",null,null],[17,"G_TIME_TYPE_STANDARD","","",null,null],[17,"G_TIME_TYPE_DAYLIGHT","","",null,null],[17,"G_TIME_TYPE_UNIVERSAL","","",null,null],[17,"G_TOKEN_EOF","","",null,null],[17,"G_TOKEN_LEFT_PAREN","","",null,null],[17,"G_TOKEN_RIGHT_PAREN","","",null,null],[17,"G_TOKEN_LEFT_CURLY","","",null,null],[17,"G_TOKEN_RIGHT_CURLY","","",null,null],[17,"G_TOKEN_LEFT_BRACE","","",null,null],[17,"G_TOKEN_RIGHT_BRACE","","",null,null],[17,"G_TOKEN_EQUAL_SIGN","","",null,null],[17,"G_TOKEN_COMMA","","",null,null],[17,"G_TOKEN_NONE","","",null,null],[17,"G_TOKEN_ERROR","","",null,null],[17,"G_TOKEN_CHAR","","",null,null],[17,"G_TOKEN_BINARY","","",null,null],[17,"G_TOKEN_OCTAL","","",null,null],[17,"G_TOKEN_INT","","",null,null],[17,"G_TOKEN_HEX","","",null,null],[17,"G_TOKEN_FLOAT","","",null,null],[17,"G_TOKEN_STRING","","",null,null],[17,"G_TOKEN_SYMBOL","","",null,null],[17,"G_TOKEN_IDENTIFIER","","",null,null],[17,"G_TOKEN_IDENTIFIER_NULL","","",null,null],[17,"G_TOKEN_COMMENT_SINGLE","","",null,null],[17,"G_TOKEN_COMMENT_MULTI","","",null,null],[17,"G_IN_ORDER","","",null,null],[17,"G_PRE_ORDER","","",null,null],[17,"G_POST_ORDER","","",null,null],[17,"G_LEVEL_ORDER","","",null,null],[17,"G_UNICODE_BREAK_MANDATORY","","",null,null],[17,"G_UNICODE_BREAK_CARRIAGE_RETURN","","",null,null],[17,"G_UNICODE_BREAK_LINE_FEED","","",null,null],[17,"G_UNICODE_BREAK_COMBINING_MARK","","",null,null],[17,"G_UNICODE_BREAK_SURROGATE","","",null,null],[17,"G_UNICODE_BREAK_ZERO_WIDTH_SPACE","","",null,null],[17,"G_UNICODE_BREAK_INSEPARABLE","","",null,null],[17,"G_UNICODE_BREAK_NON_BREAKING_GLUE","","",null,null],[17,"G_UNICODE_BREAK_CONTINGENT","","",null,null],[17,"G_UNICODE_BREAK_SPACE","","",null,null],[17,"G_UNICODE_BREAK_AFTER","","",null,null],[17,"G_UNICODE_BREAK_BEFORE","","",null,null],[17,"G_UNICODE_BREAK_BEFORE_AND_AFTER","","",null,null],[17,"G_UNICODE_BREAK_HYPHEN","","",null,null],[17,"G_UNICODE_BREAK_NON_STARTER","","",null,null],[17,"G_UNICODE_BREAK_OPEN_PUNCTUATION","","",null,null],[17,"G_UNICODE_BREAK_CLOSE_PUNCTUATION","","",null,null],[17,"G_UNICODE_BREAK_QUOTATION","","",null,null],[17,"G_UNICODE_BREAK_EXCLAMATION","","",null,null],[17,"G_UNICODE_BREAK_IDEOGRAPHIC","","",null,null],[17,"G_UNICODE_BREAK_NUMERIC","","",null,null],[17,"G_UNICODE_BREAK_INFIX_SEPARATOR","","",null,null],[17,"G_UNICODE_BREAK_SYMBOL","","",null,null],[17,"G_UNICODE_BREAK_ALPHABETIC","","",null,null],[17,"G_UNICODE_BREAK_PREFIX","","",null,null],[17,"G_UNICODE_BREAK_POSTFIX","","",null,null],[17,"G_UNICODE_BREAK_COMPLEX_CONTEXT","","",null,null],[17,"G_UNICODE_BREAK_AMBIGUOUS","","",null,null],[17,"G_UNICODE_BREAK_UNKNOWN","","",null,null],[17,"G_UNICODE_BREAK_NEXT_LINE","","",null,null],[17,"G_UNICODE_BREAK_WORD_JOINER","","",null,null],[17,"G_UNICODE_BREAK_HANGUL_L_JAMO","","",null,null],[17,"G_UNICODE_BREAK_HANGUL_V_JAMO","","",null,null],[17,"G_UNICODE_BREAK_HANGUL_T_JAMO","","",null,null],[17,"G_UNICODE_BREAK_HANGUL_LV_SYLLABLE","","",null,null],[17,"G_UNICODE_BREAK_HANGUL_LVT_SYLLABLE","","",null,null],[17,"G_UNICODE_BREAK_CLOSE_PARANTHESIS","","",null,null],[17,"G_UNICODE_BREAK_CONDITIONAL_JAPANESE_STARTER","","",null,null],[17,"G_UNICODE_BREAK_HEBREW_LETTER","","",null,null],[17,"G_UNICODE_BREAK_REGIONAL_INDICATOR","","",null,null],[17,"G_UNICODE_SCRIPT_INVALID_CODE","","",null,null],[17,"G_UNICODE_SCRIPT_COMMON","","",null,null],[17,"G_UNICODE_SCRIPT_INHERITED","","",null,null],[17,"G_UNICODE_SCRIPT_ARABIC","","",null,null],[17,"G_UNICODE_SCRIPT_ARMENIAN","","",null,null],[17,"G_UNICODE_SCRIPT_BENGALI","","",null,null],[17,"G_UNICODE_SCRIPT_BOPOMOFO","","",null,null],[17,"G_UNICODE_SCRIPT_CHEROKEE","","",null,null],[17,"G_UNICODE_SCRIPT_COPTIC","","",null,null],[17,"G_UNICODE_SCRIPT_CYRILLIC","","",null,null],[17,"G_UNICODE_SCRIPT_DESERET","","",null,null],[17,"G_UNICODE_SCRIPT_DEVANAGARI","","",null,null],[17,"G_UNICODE_SCRIPT_ETHIOPIC","","",null,null],[17,"G_UNICODE_SCRIPT_GEORGIAN","","",null,null],[17,"G_UNICODE_SCRIPT_GOTHIC","","",null,null],[17,"G_UNICODE_SCRIPT_GREEK","","",null,null],[17,"G_UNICODE_SCRIPT_GUJARATI","","",null,null],[17,"G_UNICODE_SCRIPT_GURMUKHI","","",null,null],[17,"G_UNICODE_SCRIPT_HAN","","",null,null],[17,"G_UNICODE_SCRIPT_HANGUL","","",null,null],[17,"G_UNICODE_SCRIPT_HEBREW","","",null,null],[17,"G_UNICODE_SCRIPT_HIRAGANA","","",null,null],[17,"G_UNICODE_SCRIPT_KANNADA","","",null,null],[17,"G_UNICODE_SCRIPT_KATAKANA","","",null,null],[17,"G_UNICODE_SCRIPT_KHMER","","",null,null],[17,"G_UNICODE_SCRIPT_LAO","","",null,null],[17,"G_UNICODE_SCRIPT_LATIN","","",null,null],[17,"G_UNICODE_SCRIPT_MALAYALAM","","",null,null],[17,"G_UNICODE_SCRIPT_MONGOLIAN","","",null,null],[17,"G_UNICODE_SCRIPT_MYANMAR","","",null,null],[17,"G_UNICODE_SCRIPT_OGHAM","","",null,null],[17,"G_UNICODE_SCRIPT_OLD_ITALIC","","",null,null],[17,"G_UNICODE_SCRIPT_ORIYA","","",null,null],[17,"G_UNICODE_SCRIPT_RUNIC","","",null,null],[17,"G_UNICODE_SCRIPT_SINHALA","","",null,null],[17,"G_UNICODE_SCRIPT_SYRIAC","","",null,null],[17,"G_UNICODE_SCRIPT_TAMIL","","",null,null],[17,"G_UNICODE_SCRIPT_TELUGU","","",null,null],[17,"G_UNICODE_SCRIPT_THAANA","","",null,null],[17,"G_UNICODE_SCRIPT_THAI","","",null,null],[17,"G_UNICODE_SCRIPT_TIBETAN","","",null,null],[17,"G_UNICODE_SCRIPT_CANADIAN_ABORIGINAL","","",null,null],[17,"G_UNICODE_SCRIPT_YI","","",null,null],[17,"G_UNICODE_SCRIPT_TAGALOG","","",null,null],[17,"G_UNICODE_SCRIPT_HANUNOO","","",null,null],[17,"G_UNICODE_SCRIPT_BUHID","","",null,null],[17,"G_UNICODE_SCRIPT_TAGBANWA","","",null,null],[17,"G_UNICODE_SCRIPT_BRAILLE","","",null,null],[17,"G_UNICODE_SCRIPT_CYPRIOT","","",null,null],[17,"G_UNICODE_SCRIPT_LIMBU","","",null,null],[17,"G_UNICODE_SCRIPT_OSMANYA","","",null,null],[17,"G_UNICODE_SCRIPT_SHAVIAN","","",null,null],[17,"G_UNICODE_SCRIPT_LINEAR_B","","",null,null],[17,"G_UNICODE_SCRIPT_TAI_LE","","",null,null],[17,"G_UNICODE_SCRIPT_UGARITIC","","",null,null],[17,"G_UNICODE_SCRIPT_NEW_TAI_LUE","","",null,null],[17,"G_UNICODE_SCRIPT_BUGINESE","","",null,null],[17,"G_UNICODE_SCRIPT_GLAGOLITIC","","",null,null],[17,"G_UNICODE_SCRIPT_TIFINAGH","","",null,null],[17,"G_UNICODE_SCRIPT_SYLOTI_NAGRI","","",null,null],[17,"G_UNICODE_SCRIPT_OLD_PERSIAN","","",null,null],[17,"G_UNICODE_SCRIPT_KHAROSHTHI","","",null,null],[17,"G_UNICODE_SCRIPT_UNKNOWN","","",null,null],[17,"G_UNICODE_SCRIPT_BALINESE","","",null,null],[17,"G_UNICODE_SCRIPT_CUNEIFORM","","",null,null],[17,"G_UNICODE_SCRIPT_PHOENICIAN","","",null,null],[17,"G_UNICODE_SCRIPT_PHAGS_PA","","",null,null],[17,"G_UNICODE_SCRIPT_NKO","","",null,null],[17,"G_UNICODE_SCRIPT_KAYAH_LI","","",null,null],[17,"G_UNICODE_SCRIPT_LEPCHA","","",null,null],[17,"G_UNICODE_SCRIPT_REJANG","","",null,null],[17,"G_UNICODE_SCRIPT_SUNDANESE","","",null,null],[17,"G_UNICODE_SCRIPT_SAURASHTRA","","",null,null],[17,"G_UNICODE_SCRIPT_CHAM","","",null,null],[17,"G_UNICODE_SCRIPT_OL_CHIKI","","",null,null],[17,"G_UNICODE_SCRIPT_VAI","","",null,null],[17,"G_UNICODE_SCRIPT_CARIAN","","",null,null],[17,"G_UNICODE_SCRIPT_LYCIAN","","",null,null],[17,"G_UNICODE_SCRIPT_LYDIAN","","",null,null],[17,"G_UNICODE_SCRIPT_AVESTAN","","",null,null],[17,"G_UNICODE_SCRIPT_BAMUM","","",null,null],[17,"G_UNICODE_SCRIPT_EGYPTIAN_HIEROGLYPHS","","",null,null],[17,"G_UNICODE_SCRIPT_IMPERIAL_ARAMAIC","","",null,null],[17,"G_UNICODE_SCRIPT_INSCRIPTIONAL_PAHLAVI","","",null,null],[17,"G_UNICODE_SCRIPT_INSCRIPTIONAL_PARTHIAN","","",null,null],[17,"G_UNICODE_SCRIPT_JAVANESE","","",null,null],[17,"G_UNICODE_SCRIPT_KAITHI","","",null,null],[17,"G_UNICODE_SCRIPT_LISU","","",null,null],[17,"G_UNICODE_SCRIPT_MEETEI_MAYEK","","",null,null],[17,"G_UNICODE_SCRIPT_OLD_SOUTH_ARABIAN","","",null,null],[17,"G_UNICODE_SCRIPT_OLD_TURKIC","","",null,null],[17,"G_UNICODE_SCRIPT_SAMARITAN","","",null,null],[17,"G_UNICODE_SCRIPT_TAI_THAM","","",null,null],[17,"G_UNICODE_SCRIPT_TAI_VIET","","",null,null],[17,"G_UNICODE_SCRIPT_BATAK","","",null,null],[17,"G_UNICODE_SCRIPT_BRAHMI","","",null,null],[17,"G_UNICODE_SCRIPT_MANDAIC","","",null,null],[17,"G_UNICODE_SCRIPT_CHAKMA","","",null,null],[17,"G_UNICODE_SCRIPT_MEROITIC_CURSIVE","","",null,null],[17,"G_UNICODE_SCRIPT_MEROITIC_HIEROGLYPHS","","",null,null],[17,"G_UNICODE_SCRIPT_MIAO","","",null,null],[17,"G_UNICODE_SCRIPT_SHARADA","","",null,null],[17,"G_UNICODE_SCRIPT_SORA_SOMPENG","","",null,null],[17,"G_UNICODE_SCRIPT_TAKRI","","",null,null],[17,"G_UNICODE_SCRIPT_BASSA_VAH","","",null,null],[17,"G_UNICODE_SCRIPT_CAUCASIAN_ALBANIAN","","",null,null],[17,"G_UNICODE_SCRIPT_DUPLOYAN","","",null,null],[17,"G_UNICODE_SCRIPT_ELBASAN","","",null,null],[17,"G_UNICODE_SCRIPT_GRANTHA","","",null,null],[17,"G_UNICODE_SCRIPT_KHOJKI","","",null,null],[17,"G_UNICODE_SCRIPT_KHUDAWADI","","",null,null],[17,"G_UNICODE_SCRIPT_LINEAR_A","","",null,null],[17,"G_UNICODE_SCRIPT_MAHAJANI","","",null,null],[17,"G_UNICODE_SCRIPT_MANICHAEAN","","",null,null],[17,"G_UNICODE_SCRIPT_MENDE_KIKAKUI","","",null,null],[17,"G_UNICODE_SCRIPT_MODI","","",null,null],[17,"G_UNICODE_SCRIPT_MRO","","",null,null],[17,"G_UNICODE_SCRIPT_NABATAEAN","","",null,null],[17,"G_UNICODE_SCRIPT_OLD_NORTH_ARABIAN","","",null,null],[17,"G_UNICODE_SCRIPT_OLD_PERMIC","","",null,null],[17,"G_UNICODE_SCRIPT_PAHAWH_HMONG","","",null,null],[17,"G_UNICODE_SCRIPT_PALMYRENE","","",null,null],[17,"G_UNICODE_SCRIPT_PAU_CIN_HAU","","",null,null],[17,"G_UNICODE_SCRIPT_PSALTER_PAHLAVI","","",null,null],[17,"G_UNICODE_SCRIPT_SIDDHAM","","",null,null],[17,"G_UNICODE_SCRIPT_TIRHUTA","","",null,null],[17,"G_UNICODE_SCRIPT_WARANG_CITI","","",null,null],[17,"G_UNICODE_SCRIPT_AHOM","","",null,null],[17,"G_UNICODE_SCRIPT_ANATOLIAN_HIEROGLYPHS","","",null,null],[17,"G_UNICODE_SCRIPT_HATRAN","","",null,null],[17,"G_UNICODE_SCRIPT_MULTANI","","",null,null],[17,"G_UNICODE_SCRIPT_OLD_HUNGARIAN","","",null,null],[17,"G_UNICODE_SCRIPT_SIGNWRITING","","",null,null],[17,"G_UNICODE_CONTROL","","",null,null],[17,"G_UNICODE_FORMAT","","",null,null],[17,"G_UNICODE_UNASSIGNED","","",null,null],[17,"G_UNICODE_PRIVATE_USE","","",null,null],[17,"G_UNICODE_SURROGATE","","",null,null],[17,"G_UNICODE_LOWERCASE_LETTER","","",null,null],[17,"G_UNICODE_MODIFIER_LETTER","","",null,null],[17,"G_UNICODE_OTHER_LETTER","","",null,null],[17,"G_UNICODE_TITLECASE_LETTER","","",null,null],[17,"G_UNICODE_UPPERCASE_LETTER","","",null,null],[17,"G_UNICODE_SPACING_MARK","","",null,null],[17,"G_UNICODE_ENCLOSING_MARK","","",null,null],[17,"G_UNICODE_NON_SPACING_MARK","","",null,null],[17,"G_UNICODE_DECIMAL_NUMBER","","",null,null],[17,"G_UNICODE_LETTER_NUMBER","","",null,null],[17,"G_UNICODE_OTHER_NUMBER","","",null,null],[17,"G_UNICODE_CONNECT_PUNCTUATION","","",null,null],[17,"G_UNICODE_DASH_PUNCTUATION","","",null,null],[17,"G_UNICODE_CLOSE_PUNCTUATION","","",null,null],[17,"G_UNICODE_FINAL_PUNCTUATION","","",null,null],[17,"G_UNICODE_INITIAL_PUNCTUATION","","",null,null],[17,"G_UNICODE_OTHER_PUNCTUATION","","",null,null],[17,"G_UNICODE_OPEN_PUNCTUATION","","",null,null],[17,"G_UNICODE_CURRENCY_SYMBOL","","",null,null],[17,"G_UNICODE_MODIFIER_SYMBOL","","",null,null],[17,"G_UNICODE_MATH_SYMBOL","","",null,null],[17,"G_UNICODE_OTHER_SYMBOL","","",null,null],[17,"G_UNICODE_LINE_SEPARATOR","","",null,null],[17,"G_UNICODE_PARAGRAPH_SEPARATOR","","",null,null],[17,"G_UNICODE_SPACE_SEPARATOR","","",null,null],[17,"G_USER_DIRECTORY_DESKTOP","","",null,null],[17,"G_USER_DIRECTORY_DOCUMENTS","","",null,null],[17,"G_USER_DIRECTORY_DOWNLOAD","","",null,null],[17,"G_USER_DIRECTORY_MUSIC","","",null,null],[17,"G_USER_DIRECTORY_PICTURES","","",null,null],[17,"G_USER_DIRECTORY_PUBLIC_SHARE","","",null,null],[17,"G_USER_DIRECTORY_TEMPLATES","","",null,null],[17,"G_USER_DIRECTORY_VIDEOS","","",null,null],[17,"G_USER_N_DIRECTORIES","","",null,null],[17,"G_VARIANT_CLASS_BOOLEAN","","",null,null],[17,"G_VARIANT_CLASS_BYTE","","",null,null],[17,"G_VARIANT_CLASS_INT16","","",null,null],[17,"G_VARIANT_CLASS_UINT16","","",null,null],[17,"G_VARIANT_CLASS_INT32","","",null,null],[17,"G_VARIANT_CLASS_UINT32","","",null,null],[17,"G_VARIANT_CLASS_INT64","","",null,null],[17,"G_VARIANT_CLASS_UINT64","","",null,null],[17,"G_VARIANT_CLASS_HANDLE","","",null,null],[17,"G_VARIANT_CLASS_DOUBLE","","",null,null],[17,"G_VARIANT_CLASS_STRING","","",null,null],[17,"G_VARIANT_CLASS_OBJECT_PATH","","",null,null],[17,"G_VARIANT_CLASS_SIGNATURE","","",null,null],[17,"G_VARIANT_CLASS_VARIANT","","",null,null],[17,"G_VARIANT_CLASS_MAYBE","","",null,null],[17,"G_VARIANT_CLASS_ARRAY","","",null,null],[17,"G_VARIANT_CLASS_TUPLE","","",null,null],[17,"G_VARIANT_CLASS_DICT_ENTRY","","",null,null],[17,"G_VARIANT_PARSE_ERROR_FAILED","","",null,null],[17,"G_VARIANT_PARSE_ERROR_BASIC_TYPE_EXPECTED","","",null,null],[17,"G_VARIANT_PARSE_ERROR_CANNOT_INFER_TYPE","","",null,null],[17,"G_VARIANT_PARSE_ERROR_DEFINITE_TYPE_EXPECTED","","",null,null],[17,"G_VARIANT_PARSE_ERROR_INPUT_NOT_AT_END","","",null,null],[17,"G_VARIANT_PARSE_ERROR_INVALID_CHARACTER","","",null,null],[17,"G_VARIANT_PARSE_ERROR_INVALID_FORMAT_STRING","","",null,null],[17,"G_VARIANT_PARSE_ERROR_INVALID_OBJECT_PATH","","",null,null],[17,"G_VARIANT_PARSE_ERROR_INVALID_SIGNATURE","","",null,null],[17,"G_VARIANT_PARSE_ERROR_INVALID_TYPE_STRING","","",null,null],[17,"G_VARIANT_PARSE_ERROR_NO_COMMON_TYPE","","",null,null],[17,"G_VARIANT_PARSE_ERROR_NUMBER_OUT_OF_RANGE","","",null,null],[17,"G_VARIANT_PARSE_ERROR_NUMBER_TOO_BIG","","",null,null],[17,"G_VARIANT_PARSE_ERROR_TYPE_ERROR","","",null,null],[17,"G_VARIANT_PARSE_ERROR_UNEXPECTED_TOKEN","","",null,null],[17,"G_VARIANT_PARSE_ERROR_UNKNOWN_KEYWORD","","",null,null],[17,"G_VARIANT_PARSE_ERROR_UNTERMINATED_STRING_CONSTANT","","",null,null],[17,"G_VARIANT_PARSE_ERROR_VALUE_EXPECTED","","",null,null],[17,"G_ANALYZER_ANALYZING","","",null,null],[17,"G_ASCII_DTOSTR_BUF_SIZE","","",null,null],[17,"G_BIG_ENDIAN","","",null,null],[17,"G_CSET_A_2_Z","","",null,null],[17,"G_CSET_DIGITS","","",null,null],[17,"G_CSET_a_2_z","","",null,null],[17,"G_DATALIST_FLAGS_MASK","","",null,null],[17,"G_DATE_BAD_DAY","","",null,null],[17,"G_DATE_BAD_JULIAN","","",null,null],[17,"G_DATE_BAD_YEAR","","",null,null],[17,"G_DIR_SEPARATOR","","",null,null],[17,"G_DIR_SEPARATOR_S","","",null,null],[17,"G_E","","",null,null],[17,"G_GINT16_FORMAT","","",null,null],[17,"G_GINT16_MODIFIER","","",null,null],[17,"G_GINT32_FORMAT","","",null,null],[17,"G_GINT32_MODIFIER","","",null,null],[17,"G_GNUC_FUNCTION","","",null,null],[17,"G_GNUC_PRETTY_FUNCTION","","",null,null],[17,"G_GUINT16_FORMAT","","",null,null],[17,"G_GUINT32_FORMAT","","",null,null],[17,"G_HAVE_GINT64","","",null,null],[17,"G_HAVE_GNUC_VARARGS","","",null,null],[17,"G_HAVE_GNUC_VISIBILITY","","",null,null],[17,"G_HAVE_GROWING_STACK","","",null,null],[17,"G_HAVE_ISO_VARARGS","","",null,null],[17,"G_HOOK_FLAG_USER_SHIFT","","",null,null],[17,"G_IEEE754_DOUBLE_BIAS","","",null,null],[17,"G_IEEE754_FLOAT_BIAS","","",null,null],[17,"G_KEY_FILE_DESKTOP_GROUP","","",null,null],[17,"G_KEY_FILE_DESKTOP_KEY_ACTIONS","","",null,null],[17,"G_KEY_FILE_DESKTOP_KEY_CATEGORIES","","",null,null],[17,"G_KEY_FILE_DESKTOP_KEY_COMMENT","","",null,null],[17,"G_KEY_FILE_DESKTOP_KEY_DBUS_ACTIVATABLE","","",null,null],[17,"G_KEY_FILE_DESKTOP_KEY_EXEC","","",null,null],[17,"G_KEY_FILE_DESKTOP_KEY_FULLNAME","","",null,null],[17,"G_KEY_FILE_DESKTOP_KEY_GENERIC_NAME","","",null,null],[17,"G_KEY_FILE_DESKTOP_KEY_GETTEXT_DOMAIN","","",null,null],[17,"G_KEY_FILE_DESKTOP_KEY_HIDDEN","","",null,null],[17,"G_KEY_FILE_DESKTOP_KEY_ICON","","",null,null],[17,"G_KEY_FILE_DESKTOP_KEY_KEYWORDS","","",null,null],[17,"G_KEY_FILE_DESKTOP_KEY_MIME_TYPE","","",null,null],[17,"G_KEY_FILE_DESKTOP_KEY_NAME","","",null,null],[17,"G_KEY_FILE_DESKTOP_KEY_NOT_SHOW_IN","","",null,null],[17,"G_KEY_FILE_DESKTOP_KEY_NO_DISPLAY","","",null,null],[17,"G_KEY_FILE_DESKTOP_KEY_ONLY_SHOW_IN","","",null,null],[17,"G_KEY_FILE_DESKTOP_KEY_PATH","","",null,null],[17,"G_KEY_FILE_DESKTOP_KEY_STARTUP_NOTIFY","","",null,null],[17,"G_KEY_FILE_DESKTOP_KEY_STARTUP_WM_CLASS","","",null,null],[17,"G_KEY_FILE_DESKTOP_KEY_TERMINAL","","",null,null],[17,"G_KEY_FILE_DESKTOP_KEY_TRY_EXEC","","",null,null],[17,"G_KEY_FILE_DESKTOP_KEY_TYPE","","",null,null],[17,"G_KEY_FILE_DESKTOP_KEY_URL","","",null,null],[17,"G_KEY_FILE_DESKTOP_KEY_VERSION","","",null,null],[17,"G_KEY_FILE_DESKTOP_TYPE_APPLICATION","","",null,null],[17,"G_KEY_FILE_DESKTOP_TYPE_DIRECTORY","","",null,null],[17,"G_KEY_FILE_DESKTOP_TYPE_LINK","","",null,null],[17,"G_LITTLE_ENDIAN","","",null,null],[17,"G_LN10","","",null,null],[17,"G_LN2","","",null,null],[17,"G_LOG_2_BASE_10","","",null,null],[17,"G_LOG_DOMAIN","","",null,null],[17,"G_LOG_FATAL_MASK","","",null,null],[17,"G_LOG_LEVEL_USER_SHIFT","","",null,null],[17,"GLIB_MAJOR_VERSION","","",null,null],[17,"G_MAXINT16","","",null,null],[17,"G_MAXINT32","","",null,null],[17,"G_MAXINT64","","",null,null],[17,"G_MAXINT8","","",null,null],[17,"G_MAXUINT16","","",null,null],[17,"G_MAXUINT32","","",null,null],[17,"G_MAXUINT64","","",null,null],[17,"G_MAXUINT8","","",null,null],[17,"GLIB_MICRO_VERSION","","",null,null],[17,"G_MININT64","","",null,null],[17,"GLIB_MINOR_VERSION","","",null,null],[17,"G_MODULE_SUFFIX","","",null,null],[17,"G_OPTION_REMAINING","","",null,null],[17,"G_PDP_ENDIAN","","",null,null],[17,"G_PI","","",null,null],[17,"G_PID_FORMAT","","",null,null],[17,"G_PI_2","","",null,null],[17,"G_PI_4","","",null,null],[17,"G_POLLFD_FORMAT","","",null,null],[17,"G_PRIORITY_DEFAULT","","",null,null],[17,"G_PRIORITY_DEFAULT_IDLE","","",null,null],[17,"G_PRIORITY_HIGH","","",null,null],[17,"G_PRIORITY_HIGH_IDLE","","",null,null],[17,"G_PRIORITY_LOW","","",null,null],[17,"G_SEARCHPATH_SEPARATOR","","",null,null],[17,"G_SEARCHPATH_SEPARATOR_S","","",null,null],[17,"G_SOURCE_CONTINUE","","",null,null],[17,"G_SOURCE_REMOVE","","",null,null],[17,"G_SQRT2","","",null,null],[17,"G_STR_DELIMITERS","","",null,null],[17,"GLIB_SYSDEF_AF_INET","","",null,null],[17,"GLIB_SYSDEF_AF_INET6","","",null,null],[17,"GLIB_SYSDEF_AF_UNIX","","",null,null],[17,"GLIB_SYSDEF_MSG_DONTROUTE","","",null,null],[17,"GLIB_SYSDEF_MSG_OOB","","",null,null],[17,"GLIB_SYSDEF_MSG_PEEK","","",null,null],[17,"G_TIME_SPAN_DAY","","",null,null],[17,"G_TIME_SPAN_HOUR","","",null,null],[17,"G_TIME_SPAN_MILLISECOND","","",null,null],[17,"G_TIME_SPAN_MINUTE","","",null,null],[17,"G_TIME_SPAN_SECOND","","",null,null],[17,"G_UNICHAR_MAX_DECOMPOSITION_LENGTH","","",null,null],[17,"G_URI_RESERVED_CHARS_GENERIC_DELIMITERS","","",null,null],[17,"G_URI_RESERVED_CHARS_SUBCOMPONENT_DELIMITERS","","",null,null],[17,"G_USEC_PER_SEC","","",null,null],[17,"GLIB_VERSION_MIN_REQUIRED","","",null,null],[17,"G_WIN32_MSG_HANDLE","","",null,null],[17,"G_ASCII_ALNUM","","",null,null],[17,"G_ASCII_ALPHA","","",null,null],[17,"G_ASCII_CNTRL","","",null,null],[17,"G_ASCII_DIGIT","","",null,null],[17,"G_ASCII_GRAPH","","",null,null],[17,"G_ASCII_LOWER","","",null,null],[17,"G_ASCII_PRINT","","",null,null],[17,"G_ASCII_PUNCT","","",null,null],[17,"G_ASCII_SPACE","","",null,null],[17,"G_ASCII_UPPER","","",null,null],[17,"G_ASCII_XDIGIT","","",null,null],[17,"G_FILE_TEST_IS_REGULAR","","",null,null],[17,"G_FILE_TEST_IS_SYMLINK","","",null,null],[17,"G_FILE_TEST_IS_DIR","","",null,null],[17,"G_FILE_TEST_IS_EXECUTABLE","","",null,null],[17,"G_FILE_TEST_EXISTS","","",null,null],[17,"G_FORMAT_SIZE_DEFAULT","","",null,null],[17,"G_FORMAT_SIZE_LONG_FORMAT","","",null,null],[17,"G_FORMAT_SIZE_IEC_UNITS","","",null,null],[17,"G_HOOK_FLAG_ACTIVE","","",null,null],[17,"G_HOOK_FLAG_IN_CALL","","",null,null],[17,"G_HOOK_FLAG_MASK","","",null,null],[17,"G_IO_IN","","",null,null],[17,"G_IO_OUT","","",null,null],[17,"G_IO_PRI","","",null,null],[17,"G_IO_ERR","","",null,null],[17,"G_IO_HUP","","",null,null],[17,"G_IO_NVAL","","",null,null],[17,"G_IO_FLAG_APPEND","","",null,null],[17,"G_IO_FLAG_NONBLOCK","","",null,null],[17,"G_IO_FLAG_IS_READABLE","","",null,null],[17,"G_IO_FLAG_IS_WRITABLE","","",null,null],[17,"G_IO_FLAG_IS_WRITEABLE","","",null,null],[17,"G_IO_FLAG_IS_SEEKABLE","","",null,null],[17,"G_IO_FLAG_MASK","","",null,null],[17,"G_IO_FLAG_GET_MASK","","",null,null],[17,"G_IO_FLAG_SET_MASK","","",null,null],[17,"G_KEY_FILE_NONE","","",null,null],[17,"G_KEY_FILE_KEEP_COMMENTS","","",null,null],[17,"G_KEY_FILE_KEEP_TRANSLATIONS","","",null,null],[17,"G_LOG_FLAG_RECURSION","","",null,null],[17,"G_LOG_FLAG_FATAL","","",null,null],[17,"G_LOG_LEVEL_ERROR","","",null,null],[17,"G_LOG_LEVEL_CRITICAL","","",null,null],[17,"G_LOG_LEVEL_WARNING","","",null,null],[17,"G_LOG_LEVEL_MESSAGE","","",null,null],[17,"G_LOG_LEVEL_INFO","","",null,null],[17,"G_LOG_LEVEL_DEBUG","","",null,null],[17,"G_LOG_LEVEL_MASK","","",null,null],[17,"G_MARKUP_COLLECT_INVALID","","",null,null],[17,"G_MARKUP_COLLECT_STRING","","",null,null],[17,"G_MARKUP_COLLECT_STRDUP","","",null,null],[17,"G_MARKUP_COLLECT_BOOLEAN","","",null,null],[17,"G_MARKUP_COLLECT_TRISTATE","","",null,null],[17,"G_MARKUP_COLLECT_OPTIONAL","","",null,null],[17,"G_MARKUP_DO_NOT_USE_THIS_UNSUPPORTED_FLAG","","",null,null],[17,"G_MARKUP_TREAT_CDATA_AS_TEXT","","",null,null],[17,"G_MARKUP_PREFIX_ERROR_POSITION","","",null,null],[17,"G_MARKUP_IGNORE_QUALIFIED","","",null,null],[17,"G_OPTION_FLAG_NONE","","",null,null],[17,"G_OPTION_FLAG_HIDDEN","","",null,null],[17,"G_OPTION_FLAG_IN_MAIN","","",null,null],[17,"G_OPTION_FLAG_REVERSE","","",null,null],[17,"G_OPTION_FLAG_NO_ARG","","",null,null],[17,"G_OPTION_FLAG_FILENAME","","",null,null],[17,"G_OPTION_FLAG_OPTIONAL_ARG","","",null,null],[17,"G_OPTION_FLAG_NOALIAS","","",null,null],[17,"G_REGEX_CASELESS","","",null,null],[17,"G_REGEX_MULTILINE","","",null,null],[17,"G_REGEX_DOTALL","","",null,null],[17,"G_REGEX_EXTENDED","","",null,null],[17,"G_REGEX_ANCHORED","","",null,null],[17,"G_REGEX_DOLLAR_ENDONLY","","",null,null],[17,"G_REGEX_UNGREEDY","","",null,null],[17,"G_REGEX_RAW","","",null,null],[17,"G_REGEX_NO_AUTO_CAPTURE","","",null,null],[17,"G_REGEX_OPTIMIZE","","",null,null],[17,"G_REGEX_FIRSTLINE","","",null,null],[17,"G_REGEX_DUPNAMES","","",null,null],[17,"G_REGEX_NEWLINE_CR","","",null,null],[17,"G_REGEX_NEWLINE_LF","","",null,null],[17,"G_REGEX_NEWLINE_CRLF","","",null,null],[17,"G_REGEX_NEWLINE_ANYCRLF","","",null,null],[17,"G_REGEX_BSR_ANYCRLF","","",null,null],[17,"G_REGEX_JAVASCRIPT_COMPAT","","",null,null],[17,"G_REGEX_MATCH_ANCHORED","","",null,null],[17,"G_REGEX_MATCH_NOTBOL","","",null,null],[17,"G_REGEX_MATCH_NOTEOL","","",null,null],[17,"G_REGEX_MATCH_NOTEMPTY","","",null,null],[17,"G_REGEX_MATCH_PARTIAL","","",null,null],[17,"G_REGEX_MATCH_NEWLINE_CR","","",null,null],[17,"G_REGEX_MATCH_NEWLINE_LF","","",null,null],[17,"G_REGEX_MATCH_NEWLINE_CRLF","","",null,null],[17,"G_REGEX_MATCH_NEWLINE_ANY","","",null,null],[17,"G_REGEX_MATCH_NEWLINE_ANYCRLF","","",null,null],[17,"G_REGEX_MATCH_BSR_ANYCRLF","","",null,null],[17,"G_REGEX_MATCH_BSR_ANY","","",null,null],[17,"G_REGEX_MATCH_PARTIAL_SOFT","","",null,null],[17,"G_REGEX_MATCH_PARTIAL_HARD","","",null,null],[17,"G_REGEX_MATCH_NOTEMPTY_ATSTART","","",null,null],[17,"G_SPAWN_DEFAULT","","",null,null],[17,"G_SPAWN_LEAVE_DESCRIPTORS_OPEN","","",null,null],[17,"G_SPAWN_DO_NOT_REAP_CHILD","","",null,null],[17,"G_SPAWN_SEARCH_PATH","","",null,null],[17,"G_SPAWN_STDOUT_TO_DEV_NULL","","",null,null],[17,"G_SPAWN_STDERR_TO_DEV_NULL","","",null,null],[17,"G_SPAWN_CHILD_INHERITS_STDIN","","",null,null],[17,"G_SPAWN_FILE_AND_ARGV_ZERO","","",null,null],[17,"G_SPAWN_SEARCH_PATH_FROM_ENVP","","",null,null],[17,"G_SPAWN_CLOEXEC_PIPES","","",null,null],[17,"G_TEST_SUBPROCESS_INHERIT_STDIN","","",null,null],[17,"G_TEST_SUBPROCESS_INHERIT_STDOUT","","",null,null],[17,"G_TEST_SUBPROCESS_INHERIT_STDERR","","",null,null],[17,"G_TEST_TRAP_SILENCE_STDOUT","","",null,null],[17,"G_TEST_TRAP_SILENCE_STDERR","","",null,null],[17,"G_TEST_TRAP_INHERIT_STDIN","","",null,null],[17,"G_TRAVERSE_LEAVES","","",null,null],[17,"G_TRAVERSE_NON_LEAVES","","",null,null],[17,"G_TRAVERSE_ALL","","",null,null],[17,"G_TRAVERSE_MASK","","",null,null],[17,"G_TRAVERSE_LEAFS","","",null,null],[17,"G_TRAVERSE_NON_LEAFS","","",null,null],[11,"clone","","",37,{"inputs":[{"name":"self"}],"output":{"name":"gbookmarkfileerror"}}],[11,"fmt","","",37,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",37,{"inputs":[{"name":"self"},{"name":"gbookmarkfileerror"}],"output":{"name":"bool"}}],[11,"clone","","",38,{"inputs":[{"name":"self"}],"output":{"name":"gchecksumtype"}}],[11,"fmt","","",38,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",38,{"inputs":[{"name":"self"},{"name":"gchecksumtype"}],"output":{"name":"bool"}}],[11,"clone","","",39,{"inputs":[{"name":"self"}],"output":{"name":"gconverterror"}}],[11,"fmt","","",39,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",39,{"inputs":[{"name":"self"},{"name":"gconverterror"}],"output":{"name":"bool"}}],[11,"clone","","",40,{"inputs":[{"name":"self"}],"output":{"name":"gdatedmy"}}],[11,"fmt","","",40,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",40,{"inputs":[{"name":"self"},{"name":"gdatedmy"}],"output":{"name":"bool"}}],[11,"clone","","",41,{"inputs":[{"name":"self"}],"output":{"name":"gdatemonth"}}],[11,"fmt","","",41,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",41,{"inputs":[{"name":"self"},{"name":"gdatemonth"}],"output":{"name":"bool"}}],[11,"clone","","",42,{"inputs":[{"name":"self"}],"output":{"name":"gdateweekday"}}],[11,"fmt","","",42,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",42,{"inputs":[{"name":"self"},{"name":"gdateweekday"}],"output":{"name":"bool"}}],[11,"clone","","",43,{"inputs":[{"name":"self"}],"output":{"name":"gerrortype"}}],[11,"fmt","","",43,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",43,{"inputs":[{"name":"self"},{"name":"gerrortype"}],"output":{"name":"bool"}}],[11,"clone","","",44,{"inputs":[{"name":"self"}],"output":{"name":"gfileerror"}}],[11,"fmt","","",44,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",44,{"inputs":[{"name":"self"},{"name":"gfileerror"}],"output":{"name":"bool"}}],[11,"clone","","",45,{"inputs":[{"name":"self"}],"output":{"name":"giochannelerror"}}],[11,"fmt","","",45,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",45,{"inputs":[{"name":"self"},{"name":"giochannelerror"}],"output":{"name":"bool"}}],[11,"clone","","",46,{"inputs":[{"name":"self"}],"output":{"name":"gioerror"}}],[11,"fmt","","",46,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",46,{"inputs":[{"name":"self"},{"name":"gioerror"}],"output":{"name":"bool"}}],[11,"clone","","",47,{"inputs":[{"name":"self"}],"output":{"name":"giostatus"}}],[11,"fmt","","",47,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",47,{"inputs":[{"name":"self"},{"name":"giostatus"}],"output":{"name":"bool"}}],[11,"clone","","",48,{"inputs":[{"name":"self"}],"output":{"name":"gkeyfileerror"}}],[11,"fmt","","",48,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",48,{"inputs":[{"name":"self"},{"name":"gkeyfileerror"}],"output":{"name":"bool"}}],[11,"clone","","",49,{"inputs":[{"name":"self"}],"output":{"name":"glogwriteroutput"}}],[11,"fmt","","",49,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",49,{"inputs":[{"name":"self"},{"name":"glogwriteroutput"}],"output":{"name":"bool"}}],[11,"clone","","",50,{"inputs":[{"name":"self"}],"output":{"name":"gmarkuperror"}}],[11,"fmt","","",50,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",50,{"inputs":[{"name":"self"},{"name":"gmarkuperror"}],"output":{"name":"bool"}}],[11,"clone","","",51,{"inputs":[{"name":"self"}],"output":{"name":"gnormalizemode"}}],[11,"fmt","","",51,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",51,{"inputs":[{"name":"self"},{"name":"gnormalizemode"}],"output":{"name":"bool"}}],[11,"clone","","",52,{"inputs":[{"name":"self"}],"output":{"name":"goncestatus"}}],[11,"fmt","","",52,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",52,{"inputs":[{"name":"self"},{"name":"goncestatus"}],"output":{"name":"bool"}}],[11,"clone","","",53,{"inputs":[{"name":"self"}],"output":{"name":"goptionarg"}}],[11,"fmt","","",53,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",53,{"inputs":[{"name":"self"},{"name":"goptionarg"}],"output":{"name":"bool"}}],[11,"clone","","",54,{"inputs":[{"name":"self"}],"output":{"name":"goptionerror"}}],[11,"fmt","","",54,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",54,{"inputs":[{"name":"self"},{"name":"goptionerror"}],"output":{"name":"bool"}}],[11,"clone","","",55,{"inputs":[{"name":"self"}],"output":{"name":"gregexerror"}}],[11,"fmt","","",55,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",55,{"inputs":[{"name":"self"},{"name":"gregexerror"}],"output":{"name":"bool"}}],[11,"clone","","",56,{"inputs":[{"name":"self"}],"output":{"name":"gseektype"}}],[11,"fmt","","",56,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",56,{"inputs":[{"name":"self"},{"name":"gseektype"}],"output":{"name":"bool"}}],[11,"clone","","",57,{"inputs":[{"name":"self"}],"output":{"name":"gshellerror"}}],[11,"fmt","","",57,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",57,{"inputs":[{"name":"self"},{"name":"gshellerror"}],"output":{"name":"bool"}}],[11,"clone","","",58,{"inputs":[{"name":"self"}],"output":{"name":"gsliceconfig"}}],[11,"fmt","","",58,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",58,{"inputs":[{"name":"self"},{"name":"gsliceconfig"}],"output":{"name":"bool"}}],[11,"clone","","",59,{"inputs":[{"name":"self"}],"output":{"name":"gspawnerror"}}],[11,"fmt","","",59,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",59,{"inputs":[{"name":"self"},{"name":"gspawnerror"}],"output":{"name":"bool"}}],[11,"clone","","",60,{"inputs":[{"name":"self"}],"output":{"name":"gtestfiletype"}}],[11,"fmt","","",60,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",60,{"inputs":[{"name":"self"},{"name":"gtestfiletype"}],"output":{"name":"bool"}}],[11,"clone","","",61,{"inputs":[{"name":"self"}],"output":{"name":"gtestlogtype"}}],[11,"fmt","","",61,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",61,{"inputs":[{"name":"self"},{"name":"gtestlogtype"}],"output":{"name":"bool"}}],[11,"clone","","",62,{"inputs":[{"name":"self"}],"output":{"name":"gtimetype"}}],[11,"fmt","","",62,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",62,{"inputs":[{"name":"self"},{"name":"gtimetype"}],"output":{"name":"bool"}}],[11,"clone","","",63,{"inputs":[{"name":"self"}],"output":{"name":"gtokentype"}}],[11,"fmt","","",63,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",63,{"inputs":[{"name":"self"},{"name":"gtokentype"}],"output":{"name":"bool"}}],[11,"clone","","",64,{"inputs":[{"name":"self"}],"output":{"name":"gtraversetype"}}],[11,"fmt","","",64,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",64,{"inputs":[{"name":"self"},{"name":"gtraversetype"}],"output":{"name":"bool"}}],[11,"clone","","",65,{"inputs":[{"name":"self"}],"output":{"name":"gunicodebreaktype"}}],[11,"fmt","","",65,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",65,{"inputs":[{"name":"self"},{"name":"gunicodebreaktype"}],"output":{"name":"bool"}}],[11,"clone","","",66,{"inputs":[{"name":"self"}],"output":{"name":"gunicodescript"}}],[11,"fmt","","",66,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",66,{"inputs":[{"name":"self"},{"name":"gunicodescript"}],"output":{"name":"bool"}}],[11,"clone","","",67,{"inputs":[{"name":"self"}],"output":{"name":"gunicodetype"}}],[11,"fmt","","",67,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",67,{"inputs":[{"name":"self"},{"name":"gunicodetype"}],"output":{"name":"bool"}}],[11,"clone","","",68,{"inputs":[{"name":"self"}],"output":{"name":"guserdirectory"}}],[11,"fmt","","",68,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",68,{"inputs":[{"name":"self"},{"name":"guserdirectory"}],"output":{"name":"bool"}}],[11,"clone","","",69,{"inputs":[{"name":"self"}],"output":{"name":"gvariantclass"}}],[11,"fmt","","",69,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",69,{"inputs":[{"name":"self"},{"name":"gvariantclass"}],"output":{"name":"bool"}}],[11,"clone","","",70,{"inputs":[{"name":"self"}],"output":{"name":"gvariantparseerror"}}],[11,"fmt","","",70,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",70,{"inputs":[{"name":"self"},{"name":"gvariantparseerror"}],"output":{"name":"bool"}}],[11,"eq","","",71,{"inputs":[{"name":"self"},{"name":"gasciitype"}],"output":{"name":"bool"}}],[11,"ne","","",71,{"inputs":[{"name":"self"},{"name":"gasciitype"}],"output":{"name":"bool"}}],[11,"clone","","",71,{"inputs":[{"name":"self"}],"output":{"name":"gasciitype"}}],[11,"partial_cmp","","",71,{"inputs":[{"name":"self"},{"name":"gasciitype"}],"output":{"name":"option"}}],[11,"lt","","",71,{"inputs":[{"name":"self"},{"name":"gasciitype"}],"output":{"name":"bool"}}],[11,"le","","",71,{"inputs":[{"name":"self"},{"name":"gasciitype"}],"output":{"name":"bool"}}],[11,"gt","","",71,{"inputs":[{"name":"self"},{"name":"gasciitype"}],"output":{"name":"bool"}}],[11,"ge","","",71,{"inputs":[{"name":"self"},{"name":"gasciitype"}],"output":{"name":"bool"}}],[11,"cmp","","",71,{"inputs":[{"name":"self"},{"name":"gasciitype"}],"output":{"name":"ordering"}}],[11,"hash","","",71,null],[11,"fmt","","",71,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",71,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",71,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",71,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",71,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",71,{"inputs":[],"output":{"name":"gasciitype"}}],[11,"all","","Returns the set containing all flags.",71,{"inputs":[],"output":{"name":"gasciitype"}}],[11,"bits","","Returns the raw value of the flags currently stored.",71,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",71,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",71,{"inputs":[{"name":"c_uint"}],"output":{"name":"gasciitype"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",71,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",71,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",71,{"inputs":[{"name":"self"},{"name":"gasciitype"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",71,{"inputs":[{"name":"self"},{"name":"gasciitype"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",71,{"inputs":[{"name":"self"},{"name":"gasciitype"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",71,{"inputs":[{"name":"self"},{"name":"gasciitype"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",71,{"inputs":[{"name":"self"},{"name":"gasciitype"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",71,{"inputs":[{"name":"self"},{"name":"gasciitype"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",71,{"inputs":[{"name":"self"},{"name":"gasciitype"}],"output":{"name":"gasciitype"}}],[11,"bitor_assign","","Adds the set of flags.",71,{"inputs":[{"name":"self"},{"name":"gasciitype"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",71,{"inputs":[{"name":"self"},{"name":"gasciitype"}],"output":{"name":"gasciitype"}}],[11,"bitxor_assign","","Toggles the set of flags.",71,{"inputs":[{"name":"self"},{"name":"gasciitype"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",71,{"inputs":[{"name":"self"},{"name":"gasciitype"}],"output":{"name":"gasciitype"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",71,{"inputs":[{"name":"self"},{"name":"gasciitype"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",71,{"inputs":[{"name":"self"},{"name":"gasciitype"}],"output":{"name":"gasciitype"}}],[11,"sub_assign","","Disables all flags enabled in the set.",71,{"inputs":[{"name":"self"},{"name":"gasciitype"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",71,{"inputs":[{"name":"self"}],"output":{"name":"gasciitype"}}],[11,"extend","","",71,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",71,{"inputs":[{"name":"t"}],"output":{"name":"gasciitype"}}],[11,"eq","","",72,{"inputs":[{"name":"self"},{"name":"gfiletest"}],"output":{"name":"bool"}}],[11,"ne","","",72,{"inputs":[{"name":"self"},{"name":"gfiletest"}],"output":{"name":"bool"}}],[11,"clone","","",72,{"inputs":[{"name":"self"}],"output":{"name":"gfiletest"}}],[11,"partial_cmp","","",72,{"inputs":[{"name":"self"},{"name":"gfiletest"}],"output":{"name":"option"}}],[11,"lt","","",72,{"inputs":[{"name":"self"},{"name":"gfiletest"}],"output":{"name":"bool"}}],[11,"le","","",72,{"inputs":[{"name":"self"},{"name":"gfiletest"}],"output":{"name":"bool"}}],[11,"gt","","",72,{"inputs":[{"name":"self"},{"name":"gfiletest"}],"output":{"name":"bool"}}],[11,"ge","","",72,{"inputs":[{"name":"self"},{"name":"gfiletest"}],"output":{"name":"bool"}}],[11,"cmp","","",72,{"inputs":[{"name":"self"},{"name":"gfiletest"}],"output":{"name":"ordering"}}],[11,"hash","","",72,null],[11,"fmt","","",72,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",72,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",72,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",72,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",72,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",72,{"inputs":[],"output":{"name":"gfiletest"}}],[11,"all","","Returns the set containing all flags.",72,{"inputs":[],"output":{"name":"gfiletest"}}],[11,"bits","","Returns the raw value of the flags currently stored.",72,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",72,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",72,{"inputs":[{"name":"c_uint"}],"output":{"name":"gfiletest"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",72,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",72,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",72,{"inputs":[{"name":"self"},{"name":"gfiletest"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",72,{"inputs":[{"name":"self"},{"name":"gfiletest"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",72,{"inputs":[{"name":"self"},{"name":"gfiletest"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",72,{"inputs":[{"name":"self"},{"name":"gfiletest"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",72,{"inputs":[{"name":"self"},{"name":"gfiletest"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",72,{"inputs":[{"name":"self"},{"name":"gfiletest"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",72,{"inputs":[{"name":"self"},{"name":"gfiletest"}],"output":{"name":"gfiletest"}}],[11,"bitor_assign","","Adds the set of flags.",72,{"inputs":[{"name":"self"},{"name":"gfiletest"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",72,{"inputs":[{"name":"self"},{"name":"gfiletest"}],"output":{"name":"gfiletest"}}],[11,"bitxor_assign","","Toggles the set of flags.",72,{"inputs":[{"name":"self"},{"name":"gfiletest"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",72,{"inputs":[{"name":"self"},{"name":"gfiletest"}],"output":{"name":"gfiletest"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",72,{"inputs":[{"name":"self"},{"name":"gfiletest"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",72,{"inputs":[{"name":"self"},{"name":"gfiletest"}],"output":{"name":"gfiletest"}}],[11,"sub_assign","","Disables all flags enabled in the set.",72,{"inputs":[{"name":"self"},{"name":"gfiletest"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",72,{"inputs":[{"name":"self"}],"output":{"name":"gfiletest"}}],[11,"extend","","",72,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",72,{"inputs":[{"name":"t"}],"output":{"name":"gfiletest"}}],[11,"eq","","",73,{"inputs":[{"name":"self"},{"name":"gformatsizeflags"}],"output":{"name":"bool"}}],[11,"ne","","",73,{"inputs":[{"name":"self"},{"name":"gformatsizeflags"}],"output":{"name":"bool"}}],[11,"clone","","",73,{"inputs":[{"name":"self"}],"output":{"name":"gformatsizeflags"}}],[11,"partial_cmp","","",73,{"inputs":[{"name":"self"},{"name":"gformatsizeflags"}],"output":{"name":"option"}}],[11,"lt","","",73,{"inputs":[{"name":"self"},{"name":"gformatsizeflags"}],"output":{"name":"bool"}}],[11,"le","","",73,{"inputs":[{"name":"self"},{"name":"gformatsizeflags"}],"output":{"name":"bool"}}],[11,"gt","","",73,{"inputs":[{"name":"self"},{"name":"gformatsizeflags"}],"output":{"name":"bool"}}],[11,"ge","","",73,{"inputs":[{"name":"self"},{"name":"gformatsizeflags"}],"output":{"name":"bool"}}],[11,"cmp","","",73,{"inputs":[{"name":"self"},{"name":"gformatsizeflags"}],"output":{"name":"ordering"}}],[11,"hash","","",73,null],[11,"fmt","","",73,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",73,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",73,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",73,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",73,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",73,{"inputs":[],"output":{"name":"gformatsizeflags"}}],[11,"all","","Returns the set containing all flags.",73,{"inputs":[],"output":{"name":"gformatsizeflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",73,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",73,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",73,{"inputs":[{"name":"c_uint"}],"output":{"name":"gformatsizeflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",73,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",73,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",73,{"inputs":[{"name":"self"},{"name":"gformatsizeflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",73,{"inputs":[{"name":"self"},{"name":"gformatsizeflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",73,{"inputs":[{"name":"self"},{"name":"gformatsizeflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",73,{"inputs":[{"name":"self"},{"name":"gformatsizeflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",73,{"inputs":[{"name":"self"},{"name":"gformatsizeflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",73,{"inputs":[{"name":"self"},{"name":"gformatsizeflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",73,{"inputs":[{"name":"self"},{"name":"gformatsizeflags"}],"output":{"name":"gformatsizeflags"}}],[11,"bitor_assign","","Adds the set of flags.",73,{"inputs":[{"name":"self"},{"name":"gformatsizeflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",73,{"inputs":[{"name":"self"},{"name":"gformatsizeflags"}],"output":{"name":"gformatsizeflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",73,{"inputs":[{"name":"self"},{"name":"gformatsizeflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",73,{"inputs":[{"name":"self"},{"name":"gformatsizeflags"}],"output":{"name":"gformatsizeflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",73,{"inputs":[{"name":"self"},{"name":"gformatsizeflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",73,{"inputs":[{"name":"self"},{"name":"gformatsizeflags"}],"output":{"name":"gformatsizeflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",73,{"inputs":[{"name":"self"},{"name":"gformatsizeflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",73,{"inputs":[{"name":"self"}],"output":{"name":"gformatsizeflags"}}],[11,"extend","","",73,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",73,{"inputs":[{"name":"t"}],"output":{"name":"gformatsizeflags"}}],[11,"eq","","",74,{"inputs":[{"name":"self"},{"name":"ghookflagmask"}],"output":{"name":"bool"}}],[11,"ne","","",74,{"inputs":[{"name":"self"},{"name":"ghookflagmask"}],"output":{"name":"bool"}}],[11,"clone","","",74,{"inputs":[{"name":"self"}],"output":{"name":"ghookflagmask"}}],[11,"partial_cmp","","",74,{"inputs":[{"name":"self"},{"name":"ghookflagmask"}],"output":{"name":"option"}}],[11,"lt","","",74,{"inputs":[{"name":"self"},{"name":"ghookflagmask"}],"output":{"name":"bool"}}],[11,"le","","",74,{"inputs":[{"name":"self"},{"name":"ghookflagmask"}],"output":{"name":"bool"}}],[11,"gt","","",74,{"inputs":[{"name":"self"},{"name":"ghookflagmask"}],"output":{"name":"bool"}}],[11,"ge","","",74,{"inputs":[{"name":"self"},{"name":"ghookflagmask"}],"output":{"name":"bool"}}],[11,"cmp","","",74,{"inputs":[{"name":"self"},{"name":"ghookflagmask"}],"output":{"name":"ordering"}}],[11,"hash","","",74,null],[11,"fmt","","",74,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",74,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",74,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",74,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",74,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",74,{"inputs":[],"output":{"name":"ghookflagmask"}}],[11,"all","","Returns the set containing all flags.",74,{"inputs":[],"output":{"name":"ghookflagmask"}}],[11,"bits","","Returns the raw value of the flags currently stored.",74,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",74,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",74,{"inputs":[{"name":"c_uint"}],"output":{"name":"ghookflagmask"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",74,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",74,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",74,{"inputs":[{"name":"self"},{"name":"ghookflagmask"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",74,{"inputs":[{"name":"self"},{"name":"ghookflagmask"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",74,{"inputs":[{"name":"self"},{"name":"ghookflagmask"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",74,{"inputs":[{"name":"self"},{"name":"ghookflagmask"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",74,{"inputs":[{"name":"self"},{"name":"ghookflagmask"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",74,{"inputs":[{"name":"self"},{"name":"ghookflagmask"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",74,{"inputs":[{"name":"self"},{"name":"ghookflagmask"}],"output":{"name":"ghookflagmask"}}],[11,"bitor_assign","","Adds the set of flags.",74,{"inputs":[{"name":"self"},{"name":"ghookflagmask"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",74,{"inputs":[{"name":"self"},{"name":"ghookflagmask"}],"output":{"name":"ghookflagmask"}}],[11,"bitxor_assign","","Toggles the set of flags.",74,{"inputs":[{"name":"self"},{"name":"ghookflagmask"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",74,{"inputs":[{"name":"self"},{"name":"ghookflagmask"}],"output":{"name":"ghookflagmask"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",74,{"inputs":[{"name":"self"},{"name":"ghookflagmask"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",74,{"inputs":[{"name":"self"},{"name":"ghookflagmask"}],"output":{"name":"ghookflagmask"}}],[11,"sub_assign","","Disables all flags enabled in the set.",74,{"inputs":[{"name":"self"},{"name":"ghookflagmask"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",74,{"inputs":[{"name":"self"}],"output":{"name":"ghookflagmask"}}],[11,"extend","","",74,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",74,{"inputs":[{"name":"t"}],"output":{"name":"ghookflagmask"}}],[11,"eq","","",75,{"inputs":[{"name":"self"},{"name":"giocondition"}],"output":{"name":"bool"}}],[11,"ne","","",75,{"inputs":[{"name":"self"},{"name":"giocondition"}],"output":{"name":"bool"}}],[11,"clone","","",75,{"inputs":[{"name":"self"}],"output":{"name":"giocondition"}}],[11,"partial_cmp","","",75,{"inputs":[{"name":"self"},{"name":"giocondition"}],"output":{"name":"option"}}],[11,"lt","","",75,{"inputs":[{"name":"self"},{"name":"giocondition"}],"output":{"name":"bool"}}],[11,"le","","",75,{"inputs":[{"name":"self"},{"name":"giocondition"}],"output":{"name":"bool"}}],[11,"gt","","",75,{"inputs":[{"name":"self"},{"name":"giocondition"}],"output":{"name":"bool"}}],[11,"ge","","",75,{"inputs":[{"name":"self"},{"name":"giocondition"}],"output":{"name":"bool"}}],[11,"cmp","","",75,{"inputs":[{"name":"self"},{"name":"giocondition"}],"output":{"name":"ordering"}}],[11,"hash","","",75,null],[11,"fmt","","",75,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",75,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",75,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",75,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",75,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",75,{"inputs":[],"output":{"name":"giocondition"}}],[11,"all","","Returns the set containing all flags.",75,{"inputs":[],"output":{"name":"giocondition"}}],[11,"bits","","Returns the raw value of the flags currently stored.",75,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",75,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",75,{"inputs":[{"name":"c_uint"}],"output":{"name":"giocondition"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",75,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",75,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",75,{"inputs":[{"name":"self"},{"name":"giocondition"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",75,{"inputs":[{"name":"self"},{"name":"giocondition"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",75,{"inputs":[{"name":"self"},{"name":"giocondition"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",75,{"inputs":[{"name":"self"},{"name":"giocondition"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",75,{"inputs":[{"name":"self"},{"name":"giocondition"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",75,{"inputs":[{"name":"self"},{"name":"giocondition"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",75,{"inputs":[{"name":"self"},{"name":"giocondition"}],"output":{"name":"giocondition"}}],[11,"bitor_assign","","Adds the set of flags.",75,{"inputs":[{"name":"self"},{"name":"giocondition"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",75,{"inputs":[{"name":"self"},{"name":"giocondition"}],"output":{"name":"giocondition"}}],[11,"bitxor_assign","","Toggles the set of flags.",75,{"inputs":[{"name":"self"},{"name":"giocondition"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",75,{"inputs":[{"name":"self"},{"name":"giocondition"}],"output":{"name":"giocondition"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",75,{"inputs":[{"name":"self"},{"name":"giocondition"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",75,{"inputs":[{"name":"self"},{"name":"giocondition"}],"output":{"name":"giocondition"}}],[11,"sub_assign","","Disables all flags enabled in the set.",75,{"inputs":[{"name":"self"},{"name":"giocondition"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",75,{"inputs":[{"name":"self"}],"output":{"name":"giocondition"}}],[11,"extend","","",75,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",75,{"inputs":[{"name":"t"}],"output":{"name":"giocondition"}}],[11,"eq","","",76,{"inputs":[{"name":"self"},{"name":"gioflags"}],"output":{"name":"bool"}}],[11,"ne","","",76,{"inputs":[{"name":"self"},{"name":"gioflags"}],"output":{"name":"bool"}}],[11,"clone","","",76,{"inputs":[{"name":"self"}],"output":{"name":"gioflags"}}],[11,"partial_cmp","","",76,{"inputs":[{"name":"self"},{"name":"gioflags"}],"output":{"name":"option"}}],[11,"lt","","",76,{"inputs":[{"name":"self"},{"name":"gioflags"}],"output":{"name":"bool"}}],[11,"le","","",76,{"inputs":[{"name":"self"},{"name":"gioflags"}],"output":{"name":"bool"}}],[11,"gt","","",76,{"inputs":[{"name":"self"},{"name":"gioflags"}],"output":{"name":"bool"}}],[11,"ge","","",76,{"inputs":[{"name":"self"},{"name":"gioflags"}],"output":{"name":"bool"}}],[11,"cmp","","",76,{"inputs":[{"name":"self"},{"name":"gioflags"}],"output":{"name":"ordering"}}],[11,"hash","","",76,null],[11,"fmt","","",76,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",76,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",76,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",76,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",76,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",76,{"inputs":[],"output":{"name":"gioflags"}}],[11,"all","","Returns the set containing all flags.",76,{"inputs":[],"output":{"name":"gioflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",76,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",76,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",76,{"inputs":[{"name":"c_uint"}],"output":{"name":"gioflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",76,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",76,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",76,{"inputs":[{"name":"self"},{"name":"gioflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",76,{"inputs":[{"name":"self"},{"name":"gioflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",76,{"inputs":[{"name":"self"},{"name":"gioflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",76,{"inputs":[{"name":"self"},{"name":"gioflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",76,{"inputs":[{"name":"self"},{"name":"gioflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",76,{"inputs":[{"name":"self"},{"name":"gioflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",76,{"inputs":[{"name":"self"},{"name":"gioflags"}],"output":{"name":"gioflags"}}],[11,"bitor_assign","","Adds the set of flags.",76,{"inputs":[{"name":"self"},{"name":"gioflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",76,{"inputs":[{"name":"self"},{"name":"gioflags"}],"output":{"name":"gioflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",76,{"inputs":[{"name":"self"},{"name":"gioflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",76,{"inputs":[{"name":"self"},{"name":"gioflags"}],"output":{"name":"gioflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",76,{"inputs":[{"name":"self"},{"name":"gioflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",76,{"inputs":[{"name":"self"},{"name":"gioflags"}],"output":{"name":"gioflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",76,{"inputs":[{"name":"self"},{"name":"gioflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",76,{"inputs":[{"name":"self"}],"output":{"name":"gioflags"}}],[11,"extend","","",76,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",76,{"inputs":[{"name":"t"}],"output":{"name":"gioflags"}}],[11,"eq","","",77,{"inputs":[{"name":"self"},{"name":"gkeyfileflags"}],"output":{"name":"bool"}}],[11,"ne","","",77,{"inputs":[{"name":"self"},{"name":"gkeyfileflags"}],"output":{"name":"bool"}}],[11,"clone","","",77,{"inputs":[{"name":"self"}],"output":{"name":"gkeyfileflags"}}],[11,"partial_cmp","","",77,{"inputs":[{"name":"self"},{"name":"gkeyfileflags"}],"output":{"name":"option"}}],[11,"lt","","",77,{"inputs":[{"name":"self"},{"name":"gkeyfileflags"}],"output":{"name":"bool"}}],[11,"le","","",77,{"inputs":[{"name":"self"},{"name":"gkeyfileflags"}],"output":{"name":"bool"}}],[11,"gt","","",77,{"inputs":[{"name":"self"},{"name":"gkeyfileflags"}],"output":{"name":"bool"}}],[11,"ge","","",77,{"inputs":[{"name":"self"},{"name":"gkeyfileflags"}],"output":{"name":"bool"}}],[11,"cmp","","",77,{"inputs":[{"name":"self"},{"name":"gkeyfileflags"}],"output":{"name":"ordering"}}],[11,"hash","","",77,null],[11,"fmt","","",77,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",77,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",77,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",77,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",77,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",77,{"inputs":[],"output":{"name":"gkeyfileflags"}}],[11,"all","","Returns the set containing all flags.",77,{"inputs":[],"output":{"name":"gkeyfileflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",77,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",77,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",77,{"inputs":[{"name":"c_uint"}],"output":{"name":"gkeyfileflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",77,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",77,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",77,{"inputs":[{"name":"self"},{"name":"gkeyfileflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",77,{"inputs":[{"name":"self"},{"name":"gkeyfileflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",77,{"inputs":[{"name":"self"},{"name":"gkeyfileflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",77,{"inputs":[{"name":"self"},{"name":"gkeyfileflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",77,{"inputs":[{"name":"self"},{"name":"gkeyfileflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",77,{"inputs":[{"name":"self"},{"name":"gkeyfileflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",77,{"inputs":[{"name":"self"},{"name":"gkeyfileflags"}],"output":{"name":"gkeyfileflags"}}],[11,"bitor_assign","","Adds the set of flags.",77,{"inputs":[{"name":"self"},{"name":"gkeyfileflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",77,{"inputs":[{"name":"self"},{"name":"gkeyfileflags"}],"output":{"name":"gkeyfileflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",77,{"inputs":[{"name":"self"},{"name":"gkeyfileflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",77,{"inputs":[{"name":"self"},{"name":"gkeyfileflags"}],"output":{"name":"gkeyfileflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",77,{"inputs":[{"name":"self"},{"name":"gkeyfileflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",77,{"inputs":[{"name":"self"},{"name":"gkeyfileflags"}],"output":{"name":"gkeyfileflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",77,{"inputs":[{"name":"self"},{"name":"gkeyfileflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",77,{"inputs":[{"name":"self"}],"output":{"name":"gkeyfileflags"}}],[11,"extend","","",77,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",77,{"inputs":[{"name":"t"}],"output":{"name":"gkeyfileflags"}}],[11,"eq","","",78,{"inputs":[{"name":"self"},{"name":"gloglevelflags"}],"output":{"name":"bool"}}],[11,"ne","","",78,{"inputs":[{"name":"self"},{"name":"gloglevelflags"}],"output":{"name":"bool"}}],[11,"clone","","",78,{"inputs":[{"name":"self"}],"output":{"name":"gloglevelflags"}}],[11,"partial_cmp","","",78,{"inputs":[{"name":"self"},{"name":"gloglevelflags"}],"output":{"name":"option"}}],[11,"lt","","",78,{"inputs":[{"name":"self"},{"name":"gloglevelflags"}],"output":{"name":"bool"}}],[11,"le","","",78,{"inputs":[{"name":"self"},{"name":"gloglevelflags"}],"output":{"name":"bool"}}],[11,"gt","","",78,{"inputs":[{"name":"self"},{"name":"gloglevelflags"}],"output":{"name":"bool"}}],[11,"ge","","",78,{"inputs":[{"name":"self"},{"name":"gloglevelflags"}],"output":{"name":"bool"}}],[11,"cmp","","",78,{"inputs":[{"name":"self"},{"name":"gloglevelflags"}],"output":{"name":"ordering"}}],[11,"hash","","",78,null],[11,"fmt","","",78,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",78,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",78,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",78,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",78,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",78,{"inputs":[],"output":{"name":"gloglevelflags"}}],[11,"all","","Returns the set containing all flags.",78,{"inputs":[],"output":{"name":"gloglevelflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",78,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",78,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",78,{"inputs":[{"name":"c_uint"}],"output":{"name":"gloglevelflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",78,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",78,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",78,{"inputs":[{"name":"self"},{"name":"gloglevelflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",78,{"inputs":[{"name":"self"},{"name":"gloglevelflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",78,{"inputs":[{"name":"self"},{"name":"gloglevelflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",78,{"inputs":[{"name":"self"},{"name":"gloglevelflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",78,{"inputs":[{"name":"self"},{"name":"gloglevelflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",78,{"inputs":[{"name":"self"},{"name":"gloglevelflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",78,{"inputs":[{"name":"self"},{"name":"gloglevelflags"}],"output":{"name":"gloglevelflags"}}],[11,"bitor_assign","","Adds the set of flags.",78,{"inputs":[{"name":"self"},{"name":"gloglevelflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",78,{"inputs":[{"name":"self"},{"name":"gloglevelflags"}],"output":{"name":"gloglevelflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",78,{"inputs":[{"name":"self"},{"name":"gloglevelflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",78,{"inputs":[{"name":"self"},{"name":"gloglevelflags"}],"output":{"name":"gloglevelflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",78,{"inputs":[{"name":"self"},{"name":"gloglevelflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",78,{"inputs":[{"name":"self"},{"name":"gloglevelflags"}],"output":{"name":"gloglevelflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",78,{"inputs":[{"name":"self"},{"name":"gloglevelflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",78,{"inputs":[{"name":"self"}],"output":{"name":"gloglevelflags"}}],[11,"extend","","",78,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",78,{"inputs":[{"name":"t"}],"output":{"name":"gloglevelflags"}}],[11,"eq","","",79,{"inputs":[{"name":"self"},{"name":"gmarkupcollecttype"}],"output":{"name":"bool"}}],[11,"ne","","",79,{"inputs":[{"name":"self"},{"name":"gmarkupcollecttype"}],"output":{"name":"bool"}}],[11,"clone","","",79,{"inputs":[{"name":"self"}],"output":{"name":"gmarkupcollecttype"}}],[11,"partial_cmp","","",79,{"inputs":[{"name":"self"},{"name":"gmarkupcollecttype"}],"output":{"name":"option"}}],[11,"lt","","",79,{"inputs":[{"name":"self"},{"name":"gmarkupcollecttype"}],"output":{"name":"bool"}}],[11,"le","","",79,{"inputs":[{"name":"self"},{"name":"gmarkupcollecttype"}],"output":{"name":"bool"}}],[11,"gt","","",79,{"inputs":[{"name":"self"},{"name":"gmarkupcollecttype"}],"output":{"name":"bool"}}],[11,"ge","","",79,{"inputs":[{"name":"self"},{"name":"gmarkupcollecttype"}],"output":{"name":"bool"}}],[11,"cmp","","",79,{"inputs":[{"name":"self"},{"name":"gmarkupcollecttype"}],"output":{"name":"ordering"}}],[11,"hash","","",79,null],[11,"fmt","","",79,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",79,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",79,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",79,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",79,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",79,{"inputs":[],"output":{"name":"gmarkupcollecttype"}}],[11,"all","","Returns the set containing all flags.",79,{"inputs":[],"output":{"name":"gmarkupcollecttype"}}],[11,"bits","","Returns the raw value of the flags currently stored.",79,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",79,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",79,{"inputs":[{"name":"c_uint"}],"output":{"name":"gmarkupcollecttype"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",79,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",79,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",79,{"inputs":[{"name":"self"},{"name":"gmarkupcollecttype"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",79,{"inputs":[{"name":"self"},{"name":"gmarkupcollecttype"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",79,{"inputs":[{"name":"self"},{"name":"gmarkupcollecttype"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",79,{"inputs":[{"name":"self"},{"name":"gmarkupcollecttype"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",79,{"inputs":[{"name":"self"},{"name":"gmarkupcollecttype"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",79,{"inputs":[{"name":"self"},{"name":"gmarkupcollecttype"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",79,{"inputs":[{"name":"self"},{"name":"gmarkupcollecttype"}],"output":{"name":"gmarkupcollecttype"}}],[11,"bitor_assign","","Adds the set of flags.",79,{"inputs":[{"name":"self"},{"name":"gmarkupcollecttype"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",79,{"inputs":[{"name":"self"},{"name":"gmarkupcollecttype"}],"output":{"name":"gmarkupcollecttype"}}],[11,"bitxor_assign","","Toggles the set of flags.",79,{"inputs":[{"name":"self"},{"name":"gmarkupcollecttype"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",79,{"inputs":[{"name":"self"},{"name":"gmarkupcollecttype"}],"output":{"name":"gmarkupcollecttype"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",79,{"inputs":[{"name":"self"},{"name":"gmarkupcollecttype"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",79,{"inputs":[{"name":"self"},{"name":"gmarkupcollecttype"}],"output":{"name":"gmarkupcollecttype"}}],[11,"sub_assign","","Disables all flags enabled in the set.",79,{"inputs":[{"name":"self"},{"name":"gmarkupcollecttype"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",79,{"inputs":[{"name":"self"}],"output":{"name":"gmarkupcollecttype"}}],[11,"extend","","",79,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",79,{"inputs":[{"name":"t"}],"output":{"name":"gmarkupcollecttype"}}],[11,"eq","","",80,{"inputs":[{"name":"self"},{"name":"gmarkupparseflags"}],"output":{"name":"bool"}}],[11,"ne","","",80,{"inputs":[{"name":"self"},{"name":"gmarkupparseflags"}],"output":{"name":"bool"}}],[11,"clone","","",80,{"inputs":[{"name":"self"}],"output":{"name":"gmarkupparseflags"}}],[11,"partial_cmp","","",80,{"inputs":[{"name":"self"},{"name":"gmarkupparseflags"}],"output":{"name":"option"}}],[11,"lt","","",80,{"inputs":[{"name":"self"},{"name":"gmarkupparseflags"}],"output":{"name":"bool"}}],[11,"le","","",80,{"inputs":[{"name":"self"},{"name":"gmarkupparseflags"}],"output":{"name":"bool"}}],[11,"gt","","",80,{"inputs":[{"name":"self"},{"name":"gmarkupparseflags"}],"output":{"name":"bool"}}],[11,"ge","","",80,{"inputs":[{"name":"self"},{"name":"gmarkupparseflags"}],"output":{"name":"bool"}}],[11,"cmp","","",80,{"inputs":[{"name":"self"},{"name":"gmarkupparseflags"}],"output":{"name":"ordering"}}],[11,"hash","","",80,null],[11,"fmt","","",80,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",80,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",80,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",80,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",80,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",80,{"inputs":[],"output":{"name":"gmarkupparseflags"}}],[11,"all","","Returns the set containing all flags.",80,{"inputs":[],"output":{"name":"gmarkupparseflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",80,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",80,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",80,{"inputs":[{"name":"c_uint"}],"output":{"name":"gmarkupparseflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",80,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",80,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",80,{"inputs":[{"name":"self"},{"name":"gmarkupparseflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",80,{"inputs":[{"name":"self"},{"name":"gmarkupparseflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",80,{"inputs":[{"name":"self"},{"name":"gmarkupparseflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",80,{"inputs":[{"name":"self"},{"name":"gmarkupparseflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",80,{"inputs":[{"name":"self"},{"name":"gmarkupparseflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",80,{"inputs":[{"name":"self"},{"name":"gmarkupparseflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",80,{"inputs":[{"name":"self"},{"name":"gmarkupparseflags"}],"output":{"name":"gmarkupparseflags"}}],[11,"bitor_assign","","Adds the set of flags.",80,{"inputs":[{"name":"self"},{"name":"gmarkupparseflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",80,{"inputs":[{"name":"self"},{"name":"gmarkupparseflags"}],"output":{"name":"gmarkupparseflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",80,{"inputs":[{"name":"self"},{"name":"gmarkupparseflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",80,{"inputs":[{"name":"self"},{"name":"gmarkupparseflags"}],"output":{"name":"gmarkupparseflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",80,{"inputs":[{"name":"self"},{"name":"gmarkupparseflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",80,{"inputs":[{"name":"self"},{"name":"gmarkupparseflags"}],"output":{"name":"gmarkupparseflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",80,{"inputs":[{"name":"self"},{"name":"gmarkupparseflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",80,{"inputs":[{"name":"self"}],"output":{"name":"gmarkupparseflags"}}],[11,"extend","","",80,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",80,{"inputs":[{"name":"t"}],"output":{"name":"gmarkupparseflags"}}],[11,"eq","","",81,{"inputs":[{"name":"self"},{"name":"goptionflags"}],"output":{"name":"bool"}}],[11,"ne","","",81,{"inputs":[{"name":"self"},{"name":"goptionflags"}],"output":{"name":"bool"}}],[11,"clone","","",81,{"inputs":[{"name":"self"}],"output":{"name":"goptionflags"}}],[11,"partial_cmp","","",81,{"inputs":[{"name":"self"},{"name":"goptionflags"}],"output":{"name":"option"}}],[11,"lt","","",81,{"inputs":[{"name":"self"},{"name":"goptionflags"}],"output":{"name":"bool"}}],[11,"le","","",81,{"inputs":[{"name":"self"},{"name":"goptionflags"}],"output":{"name":"bool"}}],[11,"gt","","",81,{"inputs":[{"name":"self"},{"name":"goptionflags"}],"output":{"name":"bool"}}],[11,"ge","","",81,{"inputs":[{"name":"self"},{"name":"goptionflags"}],"output":{"name":"bool"}}],[11,"cmp","","",81,{"inputs":[{"name":"self"},{"name":"goptionflags"}],"output":{"name":"ordering"}}],[11,"hash","","",81,null],[11,"fmt","","",81,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",81,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",81,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",81,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",81,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",81,{"inputs":[],"output":{"name":"goptionflags"}}],[11,"all","","Returns the set containing all flags.",81,{"inputs":[],"output":{"name":"goptionflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",81,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",81,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",81,{"inputs":[{"name":"c_uint"}],"output":{"name":"goptionflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",81,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",81,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",81,{"inputs":[{"name":"self"},{"name":"goptionflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",81,{"inputs":[{"name":"self"},{"name":"goptionflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",81,{"inputs":[{"name":"self"},{"name":"goptionflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",81,{"inputs":[{"name":"self"},{"name":"goptionflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",81,{"inputs":[{"name":"self"},{"name":"goptionflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",81,{"inputs":[{"name":"self"},{"name":"goptionflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",81,{"inputs":[{"name":"self"},{"name":"goptionflags"}],"output":{"name":"goptionflags"}}],[11,"bitor_assign","","Adds the set of flags.",81,{"inputs":[{"name":"self"},{"name":"goptionflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",81,{"inputs":[{"name":"self"},{"name":"goptionflags"}],"output":{"name":"goptionflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",81,{"inputs":[{"name":"self"},{"name":"goptionflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",81,{"inputs":[{"name":"self"},{"name":"goptionflags"}],"output":{"name":"goptionflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",81,{"inputs":[{"name":"self"},{"name":"goptionflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",81,{"inputs":[{"name":"self"},{"name":"goptionflags"}],"output":{"name":"goptionflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",81,{"inputs":[{"name":"self"},{"name":"goptionflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",81,{"inputs":[{"name":"self"}],"output":{"name":"goptionflags"}}],[11,"extend","","",81,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",81,{"inputs":[{"name":"t"}],"output":{"name":"goptionflags"}}],[11,"eq","","",82,{"inputs":[{"name":"self"},{"name":"gregexcompileflags"}],"output":{"name":"bool"}}],[11,"ne","","",82,{"inputs":[{"name":"self"},{"name":"gregexcompileflags"}],"output":{"name":"bool"}}],[11,"clone","","",82,{"inputs":[{"name":"self"}],"output":{"name":"gregexcompileflags"}}],[11,"partial_cmp","","",82,{"inputs":[{"name":"self"},{"name":"gregexcompileflags"}],"output":{"name":"option"}}],[11,"lt","","",82,{"inputs":[{"name":"self"},{"name":"gregexcompileflags"}],"output":{"name":"bool"}}],[11,"le","","",82,{"inputs":[{"name":"self"},{"name":"gregexcompileflags"}],"output":{"name":"bool"}}],[11,"gt","","",82,{"inputs":[{"name":"self"},{"name":"gregexcompileflags"}],"output":{"name":"bool"}}],[11,"ge","","",82,{"inputs":[{"name":"self"},{"name":"gregexcompileflags"}],"output":{"name":"bool"}}],[11,"cmp","","",82,{"inputs":[{"name":"self"},{"name":"gregexcompileflags"}],"output":{"name":"ordering"}}],[11,"hash","","",82,null],[11,"fmt","","",82,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",82,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",82,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",82,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",82,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",82,{"inputs":[],"output":{"name":"gregexcompileflags"}}],[11,"all","","Returns the set containing all flags.",82,{"inputs":[],"output":{"name":"gregexcompileflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",82,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",82,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",82,{"inputs":[{"name":"c_uint"}],"output":{"name":"gregexcompileflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",82,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",82,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",82,{"inputs":[{"name":"self"},{"name":"gregexcompileflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",82,{"inputs":[{"name":"self"},{"name":"gregexcompileflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",82,{"inputs":[{"name":"self"},{"name":"gregexcompileflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",82,{"inputs":[{"name":"self"},{"name":"gregexcompileflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",82,{"inputs":[{"name":"self"},{"name":"gregexcompileflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",82,{"inputs":[{"name":"self"},{"name":"gregexcompileflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",82,{"inputs":[{"name":"self"},{"name":"gregexcompileflags"}],"output":{"name":"gregexcompileflags"}}],[11,"bitor_assign","","Adds the set of flags.",82,{"inputs":[{"name":"self"},{"name":"gregexcompileflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",82,{"inputs":[{"name":"self"},{"name":"gregexcompileflags"}],"output":{"name":"gregexcompileflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",82,{"inputs":[{"name":"self"},{"name":"gregexcompileflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",82,{"inputs":[{"name":"self"},{"name":"gregexcompileflags"}],"output":{"name":"gregexcompileflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",82,{"inputs":[{"name":"self"},{"name":"gregexcompileflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",82,{"inputs":[{"name":"self"},{"name":"gregexcompileflags"}],"output":{"name":"gregexcompileflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",82,{"inputs":[{"name":"self"},{"name":"gregexcompileflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",82,{"inputs":[{"name":"self"}],"output":{"name":"gregexcompileflags"}}],[11,"extend","","",82,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",82,{"inputs":[{"name":"t"}],"output":{"name":"gregexcompileflags"}}],[11,"eq","","",83,{"inputs":[{"name":"self"},{"name":"gregexmatchflags"}],"output":{"name":"bool"}}],[11,"ne","","",83,{"inputs":[{"name":"self"},{"name":"gregexmatchflags"}],"output":{"name":"bool"}}],[11,"clone","","",83,{"inputs":[{"name":"self"}],"output":{"name":"gregexmatchflags"}}],[11,"partial_cmp","","",83,{"inputs":[{"name":"self"},{"name":"gregexmatchflags"}],"output":{"name":"option"}}],[11,"lt","","",83,{"inputs":[{"name":"self"},{"name":"gregexmatchflags"}],"output":{"name":"bool"}}],[11,"le","","",83,{"inputs":[{"name":"self"},{"name":"gregexmatchflags"}],"output":{"name":"bool"}}],[11,"gt","","",83,{"inputs":[{"name":"self"},{"name":"gregexmatchflags"}],"output":{"name":"bool"}}],[11,"ge","","",83,{"inputs":[{"name":"self"},{"name":"gregexmatchflags"}],"output":{"name":"bool"}}],[11,"cmp","","",83,{"inputs":[{"name":"self"},{"name":"gregexmatchflags"}],"output":{"name":"ordering"}}],[11,"hash","","",83,null],[11,"fmt","","",83,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",83,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",83,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",83,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",83,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",83,{"inputs":[],"output":{"name":"gregexmatchflags"}}],[11,"all","","Returns the set containing all flags.",83,{"inputs":[],"output":{"name":"gregexmatchflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",83,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",83,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",83,{"inputs":[{"name":"c_uint"}],"output":{"name":"gregexmatchflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",83,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",83,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",83,{"inputs":[{"name":"self"},{"name":"gregexmatchflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",83,{"inputs":[{"name":"self"},{"name":"gregexmatchflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",83,{"inputs":[{"name":"self"},{"name":"gregexmatchflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",83,{"inputs":[{"name":"self"},{"name":"gregexmatchflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",83,{"inputs":[{"name":"self"},{"name":"gregexmatchflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",83,{"inputs":[{"name":"self"},{"name":"gregexmatchflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",83,{"inputs":[{"name":"self"},{"name":"gregexmatchflags"}],"output":{"name":"gregexmatchflags"}}],[11,"bitor_assign","","Adds the set of flags.",83,{"inputs":[{"name":"self"},{"name":"gregexmatchflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",83,{"inputs":[{"name":"self"},{"name":"gregexmatchflags"}],"output":{"name":"gregexmatchflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",83,{"inputs":[{"name":"self"},{"name":"gregexmatchflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",83,{"inputs":[{"name":"self"},{"name":"gregexmatchflags"}],"output":{"name":"gregexmatchflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",83,{"inputs":[{"name":"self"},{"name":"gregexmatchflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",83,{"inputs":[{"name":"self"},{"name":"gregexmatchflags"}],"output":{"name":"gregexmatchflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",83,{"inputs":[{"name":"self"},{"name":"gregexmatchflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",83,{"inputs":[{"name":"self"}],"output":{"name":"gregexmatchflags"}}],[11,"extend","","",83,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",83,{"inputs":[{"name":"t"}],"output":{"name":"gregexmatchflags"}}],[11,"eq","","",84,{"inputs":[{"name":"self"},{"name":"gspawnflags"}],"output":{"name":"bool"}}],[11,"ne","","",84,{"inputs":[{"name":"self"},{"name":"gspawnflags"}],"output":{"name":"bool"}}],[11,"clone","","",84,{"inputs":[{"name":"self"}],"output":{"name":"gspawnflags"}}],[11,"partial_cmp","","",84,{"inputs":[{"name":"self"},{"name":"gspawnflags"}],"output":{"name":"option"}}],[11,"lt","","",84,{"inputs":[{"name":"self"},{"name":"gspawnflags"}],"output":{"name":"bool"}}],[11,"le","","",84,{"inputs":[{"name":"self"},{"name":"gspawnflags"}],"output":{"name":"bool"}}],[11,"gt","","",84,{"inputs":[{"name":"self"},{"name":"gspawnflags"}],"output":{"name":"bool"}}],[11,"ge","","",84,{"inputs":[{"name":"self"},{"name":"gspawnflags"}],"output":{"name":"bool"}}],[11,"cmp","","",84,{"inputs":[{"name":"self"},{"name":"gspawnflags"}],"output":{"name":"ordering"}}],[11,"hash","","",84,null],[11,"fmt","","",84,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",84,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",84,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",84,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",84,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",84,{"inputs":[],"output":{"name":"gspawnflags"}}],[11,"all","","Returns the set containing all flags.",84,{"inputs":[],"output":{"name":"gspawnflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",84,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",84,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",84,{"inputs":[{"name":"c_uint"}],"output":{"name":"gspawnflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",84,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",84,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",84,{"inputs":[{"name":"self"},{"name":"gspawnflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",84,{"inputs":[{"name":"self"},{"name":"gspawnflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",84,{"inputs":[{"name":"self"},{"name":"gspawnflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",84,{"inputs":[{"name":"self"},{"name":"gspawnflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",84,{"inputs":[{"name":"self"},{"name":"gspawnflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",84,{"inputs":[{"name":"self"},{"name":"gspawnflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",84,{"inputs":[{"name":"self"},{"name":"gspawnflags"}],"output":{"name":"gspawnflags"}}],[11,"bitor_assign","","Adds the set of flags.",84,{"inputs":[{"name":"self"},{"name":"gspawnflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",84,{"inputs":[{"name":"self"},{"name":"gspawnflags"}],"output":{"name":"gspawnflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",84,{"inputs":[{"name":"self"},{"name":"gspawnflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",84,{"inputs":[{"name":"self"},{"name":"gspawnflags"}],"output":{"name":"gspawnflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",84,{"inputs":[{"name":"self"},{"name":"gspawnflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",84,{"inputs":[{"name":"self"},{"name":"gspawnflags"}],"output":{"name":"gspawnflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",84,{"inputs":[{"name":"self"},{"name":"gspawnflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",84,{"inputs":[{"name":"self"}],"output":{"name":"gspawnflags"}}],[11,"extend","","",84,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",84,{"inputs":[{"name":"t"}],"output":{"name":"gspawnflags"}}],[11,"eq","","",85,{"inputs":[{"name":"self"},{"name":"gtestsubprocessflags"}],"output":{"name":"bool"}}],[11,"ne","","",85,{"inputs":[{"name":"self"},{"name":"gtestsubprocessflags"}],"output":{"name":"bool"}}],[11,"clone","","",85,{"inputs":[{"name":"self"}],"output":{"name":"gtestsubprocessflags"}}],[11,"partial_cmp","","",85,{"inputs":[{"name":"self"},{"name":"gtestsubprocessflags"}],"output":{"name":"option"}}],[11,"lt","","",85,{"inputs":[{"name":"self"},{"name":"gtestsubprocessflags"}],"output":{"name":"bool"}}],[11,"le","","",85,{"inputs":[{"name":"self"},{"name":"gtestsubprocessflags"}],"output":{"name":"bool"}}],[11,"gt","","",85,{"inputs":[{"name":"self"},{"name":"gtestsubprocessflags"}],"output":{"name":"bool"}}],[11,"ge","","",85,{"inputs":[{"name":"self"},{"name":"gtestsubprocessflags"}],"output":{"name":"bool"}}],[11,"cmp","","",85,{"inputs":[{"name":"self"},{"name":"gtestsubprocessflags"}],"output":{"name":"ordering"}}],[11,"hash","","",85,null],[11,"fmt","","",85,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",85,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",85,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",85,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",85,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",85,{"inputs":[],"output":{"name":"gtestsubprocessflags"}}],[11,"all","","Returns the set containing all flags.",85,{"inputs":[],"output":{"name":"gtestsubprocessflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",85,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",85,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",85,{"inputs":[{"name":"c_uint"}],"output":{"name":"gtestsubprocessflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",85,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",85,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",85,{"inputs":[{"name":"self"},{"name":"gtestsubprocessflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",85,{"inputs":[{"name":"self"},{"name":"gtestsubprocessflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",85,{"inputs":[{"name":"self"},{"name":"gtestsubprocessflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",85,{"inputs":[{"name":"self"},{"name":"gtestsubprocessflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",85,{"inputs":[{"name":"self"},{"name":"gtestsubprocessflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",85,{"inputs":[{"name":"self"},{"name":"gtestsubprocessflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",85,{"inputs":[{"name":"self"},{"name":"gtestsubprocessflags"}],"output":{"name":"gtestsubprocessflags"}}],[11,"bitor_assign","","Adds the set of flags.",85,{"inputs":[{"name":"self"},{"name":"gtestsubprocessflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",85,{"inputs":[{"name":"self"},{"name":"gtestsubprocessflags"}],"output":{"name":"gtestsubprocessflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",85,{"inputs":[{"name":"self"},{"name":"gtestsubprocessflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",85,{"inputs":[{"name":"self"},{"name":"gtestsubprocessflags"}],"output":{"name":"gtestsubprocessflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",85,{"inputs":[{"name":"self"},{"name":"gtestsubprocessflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",85,{"inputs":[{"name":"self"},{"name":"gtestsubprocessflags"}],"output":{"name":"gtestsubprocessflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",85,{"inputs":[{"name":"self"},{"name":"gtestsubprocessflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",85,{"inputs":[{"name":"self"}],"output":{"name":"gtestsubprocessflags"}}],[11,"extend","","",85,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",85,{"inputs":[{"name":"t"}],"output":{"name":"gtestsubprocessflags"}}],[11,"eq","","",86,{"inputs":[{"name":"self"},{"name":"gtesttrapflags"}],"output":{"name":"bool"}}],[11,"ne","","",86,{"inputs":[{"name":"self"},{"name":"gtesttrapflags"}],"output":{"name":"bool"}}],[11,"clone","","",86,{"inputs":[{"name":"self"}],"output":{"name":"gtesttrapflags"}}],[11,"partial_cmp","","",86,{"inputs":[{"name":"self"},{"name":"gtesttrapflags"}],"output":{"name":"option"}}],[11,"lt","","",86,{"inputs":[{"name":"self"},{"name":"gtesttrapflags"}],"output":{"name":"bool"}}],[11,"le","","",86,{"inputs":[{"name":"self"},{"name":"gtesttrapflags"}],"output":{"name":"bool"}}],[11,"gt","","",86,{"inputs":[{"name":"self"},{"name":"gtesttrapflags"}],"output":{"name":"bool"}}],[11,"ge","","",86,{"inputs":[{"name":"self"},{"name":"gtesttrapflags"}],"output":{"name":"bool"}}],[11,"cmp","","",86,{"inputs":[{"name":"self"},{"name":"gtesttrapflags"}],"output":{"name":"ordering"}}],[11,"hash","","",86,null],[11,"fmt","","",86,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",86,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",86,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",86,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",86,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",86,{"inputs":[],"output":{"name":"gtesttrapflags"}}],[11,"all","","Returns the set containing all flags.",86,{"inputs":[],"output":{"name":"gtesttrapflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",86,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",86,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",86,{"inputs":[{"name":"c_uint"}],"output":{"name":"gtesttrapflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",86,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",86,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",86,{"inputs":[{"name":"self"},{"name":"gtesttrapflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",86,{"inputs":[{"name":"self"},{"name":"gtesttrapflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",86,{"inputs":[{"name":"self"},{"name":"gtesttrapflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",86,{"inputs":[{"name":"self"},{"name":"gtesttrapflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",86,{"inputs":[{"name":"self"},{"name":"gtesttrapflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",86,{"inputs":[{"name":"self"},{"name":"gtesttrapflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",86,{"inputs":[{"name":"self"},{"name":"gtesttrapflags"}],"output":{"name":"gtesttrapflags"}}],[11,"bitor_assign","","Adds the set of flags.",86,{"inputs":[{"name":"self"},{"name":"gtesttrapflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",86,{"inputs":[{"name":"self"},{"name":"gtesttrapflags"}],"output":{"name":"gtesttrapflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",86,{"inputs":[{"name":"self"},{"name":"gtesttrapflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",86,{"inputs":[{"name":"self"},{"name":"gtesttrapflags"}],"output":{"name":"gtesttrapflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",86,{"inputs":[{"name":"self"},{"name":"gtesttrapflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",86,{"inputs":[{"name":"self"},{"name":"gtesttrapflags"}],"output":{"name":"gtesttrapflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",86,{"inputs":[{"name":"self"},{"name":"gtesttrapflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",86,{"inputs":[{"name":"self"}],"output":{"name":"gtesttrapflags"}}],[11,"extend","","",86,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",86,{"inputs":[{"name":"t"}],"output":{"name":"gtesttrapflags"}}],[11,"eq","","",87,{"inputs":[{"name":"self"},{"name":"gtraverseflags"}],"output":{"name":"bool"}}],[11,"ne","","",87,{"inputs":[{"name":"self"},{"name":"gtraverseflags"}],"output":{"name":"bool"}}],[11,"clone","","",87,{"inputs":[{"name":"self"}],"output":{"name":"gtraverseflags"}}],[11,"partial_cmp","","",87,{"inputs":[{"name":"self"},{"name":"gtraverseflags"}],"output":{"name":"option"}}],[11,"lt","","",87,{"inputs":[{"name":"self"},{"name":"gtraverseflags"}],"output":{"name":"bool"}}],[11,"le","","",87,{"inputs":[{"name":"self"},{"name":"gtraverseflags"}],"output":{"name":"bool"}}],[11,"gt","","",87,{"inputs":[{"name":"self"},{"name":"gtraverseflags"}],"output":{"name":"bool"}}],[11,"ge","","",87,{"inputs":[{"name":"self"},{"name":"gtraverseflags"}],"output":{"name":"bool"}}],[11,"cmp","","",87,{"inputs":[{"name":"self"},{"name":"gtraverseflags"}],"output":{"name":"ordering"}}],[11,"hash","","",87,null],[11,"fmt","","",87,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",87,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",87,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",87,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",87,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",87,{"inputs":[],"output":{"name":"gtraverseflags"}}],[11,"all","","Returns the set containing all flags.",87,{"inputs":[],"output":{"name":"gtraverseflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",87,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",87,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",87,{"inputs":[{"name":"c_uint"}],"output":{"name":"gtraverseflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",87,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",87,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",87,{"inputs":[{"name":"self"},{"name":"gtraverseflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",87,{"inputs":[{"name":"self"},{"name":"gtraverseflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",87,{"inputs":[{"name":"self"},{"name":"gtraverseflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",87,{"inputs":[{"name":"self"},{"name":"gtraverseflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",87,{"inputs":[{"name":"self"},{"name":"gtraverseflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",87,{"inputs":[{"name":"self"},{"name":"gtraverseflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",87,{"inputs":[{"name":"self"},{"name":"gtraverseflags"}],"output":{"name":"gtraverseflags"}}],[11,"bitor_assign","","Adds the set of flags.",87,{"inputs":[{"name":"self"},{"name":"gtraverseflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",87,{"inputs":[{"name":"self"},{"name":"gtraverseflags"}],"output":{"name":"gtraverseflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",87,{"inputs":[{"name":"self"},{"name":"gtraverseflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",87,{"inputs":[{"name":"self"},{"name":"gtraverseflags"}],"output":{"name":"gtraverseflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",87,{"inputs":[{"name":"self"},{"name":"gtraverseflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",87,{"inputs":[{"name":"self"},{"name":"gtraverseflags"}],"output":{"name":"gtraverseflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",87,{"inputs":[{"name":"self"},{"name":"gtraverseflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",87,{"inputs":[{"name":"self"}],"output":{"name":"gtraverseflags"}}],[11,"extend","","",87,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",87,{"inputs":[{"name":"t"}],"output":{"name":"gtraverseflags"}}]],"paths":[[3,"GArray"],[3,"GByteArray"],[3,"GCond"],[3,"GDebugKey"],[3,"GError"],[3,"GHashTableIter"],[3,"GHook"],[3,"GHookList"],[3,"GIOChannel"],[3,"GIOFuncs"],[3,"GList"],[3,"GLogField"],[3,"GMarkupParser"],[3,"GMemVTable"],[3,"GNode"],[3,"GOnce"],[3,"GOptionEntry"],[3,"GPollFD"],[3,"GPrivate"],[3,"GPtrArray"],[3,"GQueue"],[3,"GRWLock"],[3,"GRecMutex"],[3,"GSList"],[3,"GScanner"],[3,"GScannerConfig"],[3,"GSource"],[3,"GSourceCallbackFuncs"],[3,"GSourceFuncs"],[3,"GString"],[3,"GTestConfig"],[3,"GTestLogBuffer"],[3,"GTestLogMsg"],[3,"GThreadPool"],[3,"GTimeVal"],[3,"GTrashStack"],[3,"GVariantIter"],[4,"GBookmarkFileError"],[4,"GChecksumType"],[4,"GConvertError"],[4,"GDateDMY"],[4,"GDateMonth"],[4,"GDateWeekday"],[4,"GErrorType"],[4,"GFileError"],[4,"GIOChannelError"],[4,"GIOError"],[4,"GIOStatus"],[4,"GKeyFileError"],[4,"GLogWriterOutput"],[4,"GMarkupError"],[4,"GNormalizeMode"],[4,"GOnceStatus"],[4,"GOptionArg"],[4,"GOptionError"],[4,"GRegexError"],[4,"GSeekType"],[4,"GShellError"],[4,"GSliceConfig"],[4,"GSpawnError"],[4,"GTestFileType"],[4,"GTestLogType"],[4,"GTimeType"],[4,"GTokenType"],[4,"GTraverseType"],[4,"GUnicodeBreakType"],[4,"GUnicodeScript"],[4,"GUnicodeType"],[4,"GUserDirectory"],[4,"GVariantClass"],[4,"GVariantParseError"],[3,"GAsciiType"],[3,"GFileTest"],[3,"GFormatSizeFlags"],[3,"GHookFlagMask"],[3,"GIOCondition"],[3,"GIOFlags"],[3,"GKeyFileFlags"],[3,"GLogLevelFlags"],[3,"GMarkupCollectType"],[3,"GMarkupParseFlags"],[3,"GOptionFlags"],[3,"GRegexCompileFlags"],[3,"GRegexMatchFlags"],[3,"GSpawnFlags"],[3,"GTestSubprocessFlags"],[3,"GTestTrapFlags"],[3,"GTraverseFlags"]]};
searchIndex["glob"] = {"doc":"Support for matching file paths against Unix shell style patterns.","items":[[3,"Paths","glob","An iterator that yields `Path`s from the filesystem that match a particular pattern.",null,null],[3,"GlobError","","A glob iteration error.",null,null],[3,"PatternError","","A pattern parsing error.",null,null],[12,"pos","","The approximate character index of where the error occurred.",0,null],[12,"msg","","A message describing the error.",0,null],[3,"Pattern","","A compiled Unix shell style pattern.",null,null],[3,"MatchOptions","","Configuration options to modify the behaviour of `Pattern::matches_with(..)`",null,null],[12,"case_sensitive","","Whether or not patterns should be matched in a case-sensitive manner. This currently only considers upper/lower case relationships between ASCII characters, but in future this might be extended to work with Unicode.",1,null],[12,"require_literal_separator","","If this is true then path-component separator characters (e.g. `/` on Posix) must be matched by a literal `/`, rather than by `*` or `?` or `[...]`",1,null],[12,"require_literal_leading_dot","","If this is true then paths that contain components that start with a `.` will not match unless the `.` appears literally in the pattern: `*`, `?`, `**`, or `[...]` will not match. This is useful because such files are conventionally considered hidden on Unix systems and it might be desirable to skip them when listing files.",1,null],[5,"glob","","Return an iterator that produces all the Paths that match the given pattern, which may be absolute or relative to the current working directory.",null,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[5,"glob_with","","Return an iterator that produces all the Paths that match the given pattern, which may be absolute or relative to the current working directory.",null,{"inputs":[{"name":"str"},{"name":"matchoptions"}],"output":{"name":"result"}}],[6,"GlobResult","","An alias for a glob iteration result.",null,null],[11,"fmt","","",2,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"path","","The Path that the error corresponds to.",2,{"inputs":[{"name":"self"}],"output":{"name":"path"}}],[11,"error","","The error in question.",2,{"inputs":[{"name":"self"}],"output":{"name":"error"}}],[11,"description","","",2,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"cause","","",2,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"fmt","","",2,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"next","","",3,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"fmt","","",0,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"description","","",0,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"fmt","","",0,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",4,{"inputs":[{"name":"self"}],"output":{"name":"pattern"}}],[11,"eq","","",4,{"inputs":[{"name":"self"},{"name":"pattern"}],"output":{"name":"bool"}}],[11,"ne","","",4,{"inputs":[{"name":"self"},{"name":"pattern"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",4,{"inputs":[{"name":"self"},{"name":"pattern"}],"output":{"name":"option"}}],[11,"lt","","",4,{"inputs":[{"name":"self"},{"name":"pattern"}],"output":{"name":"bool"}}],[11,"le","","",4,{"inputs":[{"name":"self"},{"name":"pattern"}],"output":{"name":"bool"}}],[11,"gt","","",4,{"inputs":[{"name":"self"},{"name":"pattern"}],"output":{"name":"bool"}}],[11,"ge","","",4,{"inputs":[{"name":"self"},{"name":"pattern"}],"output":{"name":"bool"}}],[11,"cmp","","",4,{"inputs":[{"name":"self"},{"name":"pattern"}],"output":{"name":"ordering"}}],[11,"hash","","",4,null],[11,"default","","",4,{"inputs":[],"output":{"name":"pattern"}}],[11,"fmt","","",4,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",4,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"from_str","","",4,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[11,"new","","This function compiles Unix shell style patterns.",4,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[11,"escape","","Escape metacharacters within the given string by surrounding them in brackets. The resulting string will, when compiled into a `Pattern`, match the input string and nothing else.",4,{"inputs":[{"name":"str"}],"output":{"name":"string"}}],[11,"matches","","Return if the given `str` matches this `Pattern` using the default match options (i.e. `MatchOptions::new()`).",4,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[11,"matches_path","","Return if the given `Path`, when converted to a `str`, matches this `Pattern` using the default match options (i.e. `MatchOptions::new()`).",4,{"inputs":[{"name":"self"},{"name":"path"}],"output":{"name":"bool"}}],[11,"matches_with","","Return if the given `str` matches this `Pattern` using the specified match options.",4,{"inputs":[{"name":"self"},{"name":"str"},{"name":"matchoptions"}],"output":{"name":"bool"}}],[11,"matches_path_with","","Return if the given `Path`, when converted to a `str`, matches this `Pattern` using the specified match options.",4,{"inputs":[{"name":"self"},{"name":"path"},{"name":"matchoptions"}],"output":{"name":"bool"}}],[11,"as_str","","Access the original glob pattern.",4,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"clone","","",1,{"inputs":[{"name":"self"}],"output":{"name":"matchoptions"}}],[11,"eq","","",1,{"inputs":[{"name":"self"},{"name":"matchoptions"}],"output":{"name":"bool"}}],[11,"ne","","",1,{"inputs":[{"name":"self"},{"name":"matchoptions"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",1,{"inputs":[{"name":"self"},{"name":"matchoptions"}],"output":{"name":"option"}}],[11,"lt","","",1,{"inputs":[{"name":"self"},{"name":"matchoptions"}],"output":{"name":"bool"}}],[11,"le","","",1,{"inputs":[{"name":"self"},{"name":"matchoptions"}],"output":{"name":"bool"}}],[11,"gt","","",1,{"inputs":[{"name":"self"},{"name":"matchoptions"}],"output":{"name":"bool"}}],[11,"ge","","",1,{"inputs":[{"name":"self"},{"name":"matchoptions"}],"output":{"name":"bool"}}],[11,"cmp","","",1,{"inputs":[{"name":"self"},{"name":"matchoptions"}],"output":{"name":"ordering"}}],[11,"hash","","",1,null],[11,"default","","",1,{"inputs":[],"output":{"name":"matchoptions"}}],[11,"new","","Constructs a new `MatchOptions` with default field values. This is used when calling functions that do not take an explicit `MatchOptions` parameter.",1,{"inputs":[],"output":{"name":"matchoptions"}}]],"paths":[[3,"PatternError"],[3,"MatchOptions"],[3,"GlobError"],[3,"Paths"],[3,"Pattern"]]};
searchIndex["gobject_sys"] = {"doc":"","items":[[3,"GBindingFlags","gobject_sys","",null,null],[3,"GConnectFlags","","",null,null],[3,"GParamFlags","","",null,null],[3,"GSignalFlags","","",null,null],[3,"GSignalMatchType","","",null,null],[3,"GTypeDebugFlags","","",null,null],[3,"GTypeFlags","","",null,null],[3,"GTypeFundamentalFlags","","",null,null],[3,"GCClosure","","",null,null],[12,"closure","","",0,null],[12,"callback","","",0,null],[3,"GClosure","","",null,null],[3,"GClosureNotifyData","","",null,null],[12,"data","","",1,null],[12,"notify","","",1,null],[3,"GEnumClass","","",null,null],[12,"g_type_class","","",2,null],[12,"minimum","","",2,null],[12,"maximum","","",2,null],[12,"n_values","","",2,null],[12,"values","","",2,null],[3,"GEnumValue","","",null,null],[12,"value","","",3,null],[12,"value_name","","",3,null],[12,"value_nick","","",3,null],[3,"GFlagsClass","","",null,null],[12,"g_type_class","","",4,null],[12,"mask","","",4,null],[12,"n_values","","",4,null],[12,"values","","",4,null],[3,"GFlagsValue","","",null,null],[12,"value","","",5,null],[12,"value_name","","",5,null],[12,"value_nick","","",5,null],[3,"GInitiallyUnownedClass","","",null,null],[12,"g_type_class","","",6,null],[12,"construct_properties","","",6,null],[12,"constructor","","",6,null],[12,"set_property","","",6,null],[12,"get_property","","",6,null],[12,"dispose","","",6,null],[12,"finalize","","",6,null],[12,"dispatch_properties_changed","","",6,null],[12,"notify","","",6,null],[12,"constructed","","",6,null],[12,"flags","","",6,null],[12,"pdummy","","",6,null],[3,"GInterfaceInfo","","",null,null],[12,"interface_init","","",7,null],[12,"interface_finalize","","",7,null],[12,"interface_data","","",7,null],[3,"GObjectClass","","",null,null],[12,"g_type_class","","",8,null],[12,"construct_properties","","",8,null],[12,"constructor","","",8,null],[12,"set_property","","",8,null],[12,"get_property","","",8,null],[12,"dispose","","",8,null],[12,"finalize","","",8,null],[12,"dispatch_properties_changed","","",8,null],[12,"notify","","",8,null],[12,"constructed","","",8,null],[12,"flags","","",8,null],[12,"pdummy","","",8,null],[3,"GObjectConstructParam","","",null,null],[12,"pspec","","",9,null],[12,"value","","",9,null],[3,"GParamSpecClass","","",null,null],[12,"g_type_class","","",10,null],[12,"value_type","","",10,null],[12,"finalize","","",10,null],[12,"value_set_default","","",10,null],[12,"value_validate","","",10,null],[12,"values_cmp","","",10,null],[12,"dummy","","",10,null],[3,"GParamSpecPool","","",null,null],[3,"GParamSpecTypeInfo","","",null,null],[12,"instance_size","","",11,null],[12,"n_preallocs","","",11,null],[12,"instance_init","","",11,null],[12,"value_type","","",11,null],[12,"finalize","","",11,null],[12,"value_set_default","","",11,null],[12,"value_validate","","",11,null],[12,"values_cmp","","",11,null],[3,"GParameter","","",null,null],[12,"name","","",12,null],[12,"value","","",12,null],[3,"GSignalInvocationHint","","",null,null],[12,"signal_id","","",13,null],[12,"detail","","",13,null],[12,"run_type","","",13,null],[3,"GSignalQuery","","",null,null],[12,"signal_id","","",14,null],[12,"signal_name","","",14,null],[12,"itype","","",14,null],[12,"signal_flags","","",14,null],[12,"return_type","","",14,null],[12,"n_params","","",14,null],[12,"param_types","","",14,null],[3,"GTypeClass","","",null,null],[12,"g_type","","",15,null],[3,"GTypeFundamentalInfo","","",null,null],[12,"type_flags","","",16,null],[3,"GTypeInfo","","",null,null],[12,"class_size","","",17,null],[12,"base_init","","",17,null],[12,"base_finalize","","",17,null],[12,"class_init","","",17,null],[12,"class_finalize","","",17,null],[12,"class_data","","",17,null],[12,"instance_size","","",17,null],[12,"n_preallocs","","",17,null],[12,"instance_init","","",17,null],[12,"value_table","","",17,null],[3,"GTypeInstance","","",null,null],[12,"g_class","","",18,null],[3,"GTypeInterface","","",null,null],[12,"g_type","","",19,null],[12,"g_instance_type","","",19,null],[3,"GTypeModuleClass","","",null,null],[12,"parent_class","","",20,null],[12,"load","","",20,null],[12,"unload","","",20,null],[12,"reserved1","","",20,null],[12,"reserved2","","",20,null],[12,"reserved3","","",20,null],[12,"reserved4","","",20,null],[3,"GTypePluginClass","","",null,null],[12,"base_iface","","",21,null],[12,"use_plugin","","",21,null],[12,"unuse_plugin","","",21,null],[12,"complete_type_info","","",21,null],[12,"complete_interface_info","","",21,null],[3,"GTypeQuery","","",null,null],[12,"type_","","",22,null],[12,"type_name","","",22,null],[12,"class_size","","",22,null],[12,"instance_size","","",22,null],[3,"GTypeValueTable","","",null,null],[12,"value_init","","",23,null],[12,"value_free","","",23,null],[12,"value_copy","","",23,null],[12,"value_peek_pointer","","",23,null],[12,"collect_format","","",23,null],[12,"collect_value","","",23,null],[12,"lcopy_format","","",23,null],[12,"lcopy_value","","",23,null],[3,"GValue","","",null,null],[12,"g_type","","",24,null],[12,"data","","",24,null],[3,"GValueArray","","",null,null],[12,"n_values","","",25,null],[12,"values","","",25,null],[12,"n_prealloced","","",25,null],[3,"GWeakRef","","",null,null],[12,"priv_","","",26,null],[3,"GBinding","","",null,null],[3,"GInitiallyUnowned","","",null,null],[12,"g_type_instance","","",27,null],[12,"ref_count","","",27,null],[12,"qdata","","",27,null],[3,"GObject","","",null,null],[12,"g_type_instance","","",28,null],[12,"ref_count","","",28,null],[12,"qdata","","",28,null],[3,"GParamSpec","","",null,null],[12,"g_type_instance","","",29,null],[12,"name","","",29,null],[12,"flags","","",29,null],[12,"value_type","","",29,null],[12,"owner_type","","",29,null],[12,"_nick","","",29,null],[12,"_blurb","","",29,null],[12,"qdata","","",29,null],[12,"ref_count","","",29,null],[12,"param_id","","",29,null],[3,"GParamSpecBoolean","","",null,null],[12,"parent_instance","","",30,null],[12,"default_value","","",30,null],[3,"GParamSpecBoxed","","",null,null],[12,"parent_instance","","",31,null],[3,"GParamSpecChar","","",null,null],[12,"parent_instance","","",32,null],[12,"minimum","","",32,null],[12,"maximum","","",32,null],[12,"default_value","","",32,null],[3,"GParamSpecDouble","","",null,null],[12,"parent_instance","","",33,null],[12,"minimum","","",33,null],[12,"maximum","","",33,null],[12,"default_value","","",33,null],[12,"epsilon","","",33,null],[3,"GParamSpecEnum","","",null,null],[12,"parent_instance","","",34,null],[12,"enum_class","","",34,null],[12,"default_value","","",34,null],[3,"GParamSpecFlags","","",null,null],[12,"parent_instance","","",35,null],[12,"flags_class","","",35,null],[12,"default_value","","",35,null],[3,"GParamSpecFloat","","",null,null],[12,"parent_instance","","",36,null],[12,"minimum","","",36,null],[12,"maximum","","",36,null],[12,"default_value","","",36,null],[12,"epsilon","","",36,null],[3,"GParamSpecGType","","",null,null],[12,"parent_instance","","",37,null],[12,"is_a_type","","",37,null],[3,"GParamSpecInt","","",null,null],[12,"parent_instance","","",38,null],[12,"minimum","","",38,null],[12,"maximum","","",38,null],[12,"default_value","","",38,null],[3,"GParamSpecInt64","","",null,null],[12,"parent_instance","","",39,null],[12,"minimum","","",39,null],[12,"maximum","","",39,null],[12,"default_value","","",39,null],[3,"GParamSpecLong","","",null,null],[12,"parent_instance","","",40,null],[12,"minimum","","",40,null],[12,"maximum","","",40,null],[12,"default_value","","",40,null],[3,"GParamSpecObject","","",null,null],[12,"parent_instance","","",41,null],[3,"GParamSpecOverride","","",null,null],[12,"parent_instance","","",42,null],[12,"overridden","","",42,null],[3,"GParamSpecParam","","",null,null],[12,"parent_instance","","",43,null],[3,"GParamSpecPointer","","",null,null],[12,"parent_instance","","",44,null],[3,"GParamSpecString","","",null,null],[12,"parent_instance","","",45,null],[12,"default_value","","",45,null],[12,"cset_first","","",45,null],[12,"cset_nth","","",45,null],[12,"substitutor","","",45,null],[3,"GParamSpecUChar","","",null,null],[12,"parent_instance","","",46,null],[12,"minimum","","",46,null],[12,"maximum","","",46,null],[12,"default_value","","",46,null],[3,"GParamSpecUInt","","",null,null],[12,"parent_instance","","",47,null],[12,"minimum","","",47,null],[12,"maximum","","",47,null],[12,"default_value","","",47,null],[3,"GParamSpecUInt64","","",null,null],[12,"parent_instance","","",48,null],[12,"minimum","","",48,null],[12,"maximum","","",48,null],[12,"default_value","","",48,null],[3,"GParamSpecULong","","",null,null],[12,"parent_instance","","",49,null],[12,"minimum","","",49,null],[12,"maximum","","",49,null],[12,"default_value","","",49,null],[3,"GParamSpecUnichar","","",null,null],[12,"parent_instance","","",50,null],[12,"default_value","","",50,null],[3,"GParamSpecValueArray","","",null,null],[12,"parent_instance","","",51,null],[12,"element_spec","","",51,null],[12,"fixed_n_elements","","",51,null],[3,"GParamSpecVariant","","",null,null],[12,"parent_instance","","",52,null],[12,"type_","","",52,null],[12,"default_value","","",52,null],[12,"padding","","",52,null],[3,"GTypeModule","","",null,null],[12,"parent_instance","","",53,null],[12,"use_count","","",53,null],[12,"type_infos","","",53,null],[12,"interface_infos","","",53,null],[12,"name","","",53,null],[3,"GTypePlugin","","",null,null],[5,"g_cclosure_marshal_BOOLEAN__BOXED_BOXED","","",null,null],[5,"g_cclosure_marshal_BOOLEAN__FLAGS","","",null,null],[5,"g_cclosure_marshal_STRING__OBJECT_POINTER","","",null,null],[5,"g_cclosure_marshal_VOID__BOOLEAN","","",null,null],[5,"g_cclosure_marshal_VOID__BOXED","","",null,null],[5,"g_cclosure_marshal_VOID__CHAR","","",null,null],[5,"g_cclosure_marshal_VOID__DOUBLE","","",null,null],[5,"g_cclosure_marshal_VOID__ENUM","","",null,null],[5,"g_cclosure_marshal_VOID__FLAGS","","",null,null],[5,"g_cclosure_marshal_VOID__FLOAT","","",null,null],[5,"g_cclosure_marshal_VOID__INT","","",null,null],[5,"g_cclosure_marshal_VOID__LONG","","",null,null],[5,"g_cclosure_marshal_VOID__OBJECT","","",null,null],[5,"g_cclosure_marshal_VOID__PARAM","","",null,null],[5,"g_cclosure_marshal_VOID__POINTER","","",null,null],[5,"g_cclosure_marshal_VOID__STRING","","",null,null],[5,"g_cclosure_marshal_VOID__UCHAR","","",null,null],[5,"g_cclosure_marshal_VOID__UINT","","",null,null],[5,"g_cclosure_marshal_VOID__UINT_POINTER","","",null,null],[5,"g_cclosure_marshal_VOID__ULONG","","",null,null],[5,"g_cclosure_marshal_VOID__VARIANT","","",null,null],[5,"g_cclosure_marshal_VOID__VOID","","",null,null],[5,"g_cclosure_marshal_generic","","",null,null],[5,"g_cclosure_new","","",null,null],[5,"g_cclosure_new_object","","",null,null],[5,"g_cclosure_new_object_swap","","",null,null],[5,"g_cclosure_new_swap","","",null,null],[5,"g_closure_get_type","","",null,null],[5,"g_closure_new_object","","",null,null],[5,"g_closure_new_simple","","",null,null],[5,"g_closure_add_finalize_notifier","","",null,null],[5,"g_closure_add_invalidate_notifier","","",null,null],[5,"g_closure_add_marshal_guards","","",null,null],[5,"g_closure_invalidate","","",null,null],[5,"g_closure_invoke","","",null,null],[5,"g_closure_ref","","",null,null],[5,"g_closure_remove_finalize_notifier","","",null,null],[5,"g_closure_remove_invalidate_notifier","","",null,null],[5,"g_closure_set_marshal","","",null,null],[5,"g_closure_set_meta_marshal","","",null,null],[5,"g_closure_sink","","",null,null],[5,"g_closure_unref","","",null,null],[5,"g_object_class_find_property","","",null,null],[5,"g_object_class_install_properties","","",null,null],[5,"g_object_class_install_property","","",null,null],[5,"g_object_class_list_properties","","",null,null],[5,"g_object_class_override_property","","",null,null],[5,"g_param_spec_pool_insert","","",null,null],[5,"g_param_spec_pool_list","","",null,null],[5,"g_param_spec_pool_list_owned","","",null,null],[5,"g_param_spec_pool_lookup","","",null,null],[5,"g_param_spec_pool_remove","","",null,null],[5,"g_param_spec_pool_new","","",null,null],[5,"g_type_class_add_private","","",null,null],[5,"g_type_class_get_private","","",null,null],[5,"g_type_class_peek_parent","","",null,null],[5,"g_type_class_unref","","",null,null],[5,"g_type_class_unref_uncached","","",null,null],[5,"g_type_class_adjust_private_offset","","",null,null],[5,"g_type_class_peek","","",null,null],[5,"g_type_class_peek_static","","",null,null],[5,"g_type_class_ref","","",null,null],[5,"g_type_instance_get_private","","",null,null],[5,"g_type_interface_peek_parent","","",null,null],[5,"g_type_interface_add_prerequisite","","",null,null],[5,"g_type_interface_get_plugin","","",null,null],[5,"g_type_interface_peek","","",null,null],[5,"g_type_interface_prerequisites","","",null,null],[5,"g_type_value_table_peek","","",null,null],[5,"g_value_get_type","","",null,null],[5,"g_value_copy","","",null,null],[5,"g_value_dup_boxed","","",null,null],[5,"g_value_dup_object","","",null,null],[5,"g_value_dup_param","","",null,null],[5,"g_value_dup_string","","",null,null],[5,"g_value_dup_variant","","",null,null],[5,"g_value_fits_pointer","","",null,null],[5,"g_value_get_boolean","","",null,null],[5,"g_value_get_boxed","","",null,null],[5,"g_value_get_char","","",null,null],[5,"g_value_get_double","","",null,null],[5,"g_value_get_enum","","",null,null],[5,"g_value_get_flags","","",null,null],[5,"g_value_get_float","","",null,null],[5,"g_value_get_gtype","","",null,null],[5,"g_value_get_int","","",null,null],[5,"g_value_get_int64","","",null,null],[5,"g_value_get_long","","",null,null],[5,"g_value_get_object","","",null,null],[5,"g_value_get_param","","",null,null],[5,"g_value_get_pointer","","",null,null],[5,"g_value_get_schar","","",null,null],[5,"g_value_get_string","","",null,null],[5,"g_value_get_uchar","","",null,null],[5,"g_value_get_uint","","",null,null],[5,"g_value_get_uint64","","",null,null],[5,"g_value_get_ulong","","",null,null],[5,"g_value_get_variant","","",null,null],[5,"g_value_init","","",null,null],[5,"g_value_peek_pointer","","",null,null],[5,"g_value_reset","","",null,null],[5,"g_value_set_boolean","","",null,null],[5,"g_value_set_boxed","","",null,null],[5,"g_value_set_boxed_take_ownership","","",null,null],[5,"g_value_set_char","","",null,null],[5,"g_value_set_double","","",null,null],[5,"g_value_set_enum","","",null,null],[5,"g_value_set_flags","","",null,null],[5,"g_value_set_float","","",null,null],[5,"g_value_set_gtype","","",null,null],[5,"g_value_set_instance","","",null,null],[5,"g_value_set_int","","",null,null],[5,"g_value_set_int64","","",null,null],[5,"g_value_set_long","","",null,null],[5,"g_value_set_object","","",null,null],[5,"g_value_set_object_take_ownership","","",null,null],[5,"g_value_set_param","","",null,null],[5,"g_value_set_param_take_ownership","","",null,null],[5,"g_value_set_pointer","","",null,null],[5,"g_value_set_schar","","",null,null],[5,"g_value_set_static_boxed","","",null,null],[5,"g_value_set_static_string","","",null,null],[5,"g_value_set_string","","",null,null],[5,"g_value_set_string_take_ownership","","",null,null],[5,"g_value_set_uchar","","",null,null],[5,"g_value_set_uint","","",null,null],[5,"g_value_set_uint64","","",null,null],[5,"g_value_set_ulong","","",null,null],[5,"g_value_set_variant","","",null,null],[5,"g_value_take_boxed","","",null,null],[5,"g_value_take_object","","",null,null],[5,"g_value_take_param","","",null,null],[5,"g_value_take_string","","",null,null],[5,"g_value_take_variant","","",null,null],[5,"g_value_transform","","",null,null],[5,"g_value_unset","","",null,null],[5,"g_value_register_transform_func","","",null,null],[5,"g_value_type_compatible","","",null,null],[5,"g_value_type_transformable","","",null,null],[5,"g_value_array_get_type","","",null,null],[5,"g_value_array_new","","",null,null],[5,"g_value_array_append","","",null,null],[5,"g_value_array_copy","","",null,null],[5,"g_value_array_free","","",null,null],[5,"g_value_array_get_nth","","",null,null],[5,"g_value_array_insert","","",null,null],[5,"g_value_array_prepend","","",null,null],[5,"g_value_array_remove","","",null,null],[5,"g_value_array_sort","","",null,null],[5,"g_value_array_sort_with_data","","",null,null],[5,"g_weak_ref_clear","","",null,null],[5,"g_weak_ref_get","","",null,null],[5,"g_weak_ref_init","","",null,null],[5,"g_weak_ref_set","","",null,null],[5,"g_binding_get_type","","",null,null],[5,"g_binding_get_flags","","",null,null],[5,"g_binding_get_source","","",null,null],[5,"g_binding_get_source_property","","",null,null],[5,"g_binding_get_target","","",null,null],[5,"g_binding_get_target_property","","",null,null],[5,"g_initially_unowned_get_type","","",null,null],[5,"g_object_get_type","","",null,null],[5,"g_object_new","","",null,null],[5,"g_object_newv","","",null,null],[5,"g_object_compat_control","","",null,null],[5,"g_object_interface_find_property","","",null,null],[5,"g_object_interface_install_property","","",null,null],[5,"g_object_interface_list_properties","","",null,null],[5,"g_object_add_toggle_ref","","",null,null],[5,"g_object_add_weak_pointer","","",null,null],[5,"g_object_bind_property","","",null,null],[5,"g_object_bind_property_full","","",null,null],[5,"g_object_bind_property_with_closures","","",null,null],[5,"g_object_connect","","",null,null],[5,"g_object_disconnect","","",null,null],[5,"g_object_force_floating","","",null,null],[5,"g_object_freeze_notify","","",null,null],[5,"g_object_get","","",null,null],[5,"g_object_get_data","","",null,null],[5,"g_object_get_property","","",null,null],[5,"g_object_get_qdata","","",null,null],[5,"g_object_is_floating","","",null,null],[5,"g_object_notify","","",null,null],[5,"g_object_notify_by_pspec","","",null,null],[5,"g_object_ref","","",null,null],[5,"g_object_ref_sink","","",null,null],[5,"g_object_remove_toggle_ref","","",null,null],[5,"g_object_remove_weak_pointer","","",null,null],[5,"g_object_run_dispose","","",null,null],[5,"g_object_set","","",null,null],[5,"g_object_set_data","","",null,null],[5,"g_object_set_data_full","","",null,null],[5,"g_object_set_property","","",null,null],[5,"g_object_set_qdata","","",null,null],[5,"g_object_set_qdata_full","","",null,null],[5,"g_object_steal_data","","",null,null],[5,"g_object_steal_qdata","","",null,null],[5,"g_object_thaw_notify","","",null,null],[5,"g_object_unref","","",null,null],[5,"g_object_watch_closure","","",null,null],[5,"g_object_weak_ref","","",null,null],[5,"g_object_weak_unref","","",null,null],[5,"g_param_spec_internal","","",null,null],[5,"g_param_spec_get_blurb","","",null,null],[5,"g_param_spec_get_name","","",null,null],[5,"g_param_spec_get_nick","","",null,null],[5,"g_param_spec_get_qdata","","",null,null],[5,"g_param_spec_get_redirect_target","","",null,null],[5,"g_param_spec_ref","","",null,null],[5,"g_param_spec_ref_sink","","",null,null],[5,"g_param_spec_set_qdata","","",null,null],[5,"g_param_spec_set_qdata_full","","",null,null],[5,"g_param_spec_sink","","",null,null],[5,"g_param_spec_steal_qdata","","",null,null],[5,"g_param_spec_unref","","",null,null],[5,"g_type_module_get_type","","",null,null],[5,"g_type_module_add_interface","","",null,null],[5,"g_type_module_register_enum","","",null,null],[5,"g_type_module_register_flags","","",null,null],[5,"g_type_module_register_type","","",null,null],[5,"g_type_module_set_name","","",null,null],[5,"g_type_module_unuse","","",null,null],[5,"g_type_module_use","","",null,null],[5,"g_type_plugin_get_type","","",null,null],[5,"g_type_plugin_complete_interface_info","","",null,null],[5,"g_type_plugin_complete_type_info","","",null,null],[5,"g_type_plugin_unuse","","",null,null],[5,"g_type_plugin_use","","",null,null],[5,"g_boxed_copy","","",null,null],[5,"g_boxed_free","","",null,null],[5,"g_boxed_type_register_static","","",null,null],[5,"g_clear_object","","",null,null],[5,"g_enum_complete_type_info","","",null,null],[5,"g_enum_get_value","","",null,null],[5,"g_enum_get_value_by_name","","",null,null],[5,"g_enum_get_value_by_nick","","",null,null],[5,"g_enum_register_static","","",null,null],[5,"g_flags_complete_type_info","","",null,null],[5,"g_flags_get_first_value","","",null,null],[5,"g_flags_get_value_by_name","","",null,null],[5,"g_flags_get_value_by_nick","","",null,null],[5,"g_flags_register_static","","",null,null],[5,"g_gtype_get_type","","",null,null],[5,"g_param_spec_boolean","","",null,null],[5,"g_param_spec_boxed","","",null,null],[5,"g_param_spec_char","","",null,null],[5,"g_param_spec_double","","",null,null],[5,"g_param_spec_enum","","",null,null],[5,"g_param_spec_flags","","",null,null],[5,"g_param_spec_float","","",null,null],[5,"g_param_spec_gtype","","",null,null],[5,"g_param_spec_int","","",null,null],[5,"g_param_spec_int64","","",null,null],[5,"g_param_spec_long","","",null,null],[5,"g_param_spec_object","","",null,null],[5,"g_param_spec_override","","",null,null],[5,"g_param_spec_param","","",null,null],[5,"g_param_spec_pointer","","",null,null],[5,"g_param_spec_string","","",null,null],[5,"g_param_spec_uchar","","",null,null],[5,"g_param_spec_uint","","",null,null],[5,"g_param_spec_uint64","","",null,null],[5,"g_param_spec_ulong","","",null,null],[5,"g_param_spec_unichar","","",null,null],[5,"g_param_spec_value_array","","",null,null],[5,"g_param_spec_variant","","",null,null],[5,"g_param_type_register_static","","",null,null],[5,"g_param_value_convert","","",null,null],[5,"g_param_value_defaults","","",null,null],[5,"g_param_value_set_default","","",null,null],[5,"g_param_value_validate","","",null,null],[5,"g_param_values_cmp","","",null,null],[5,"g_pointer_type_register_static","","",null,null],[5,"g_signal_accumulator_first_wins","","",null,null],[5,"g_signal_accumulator_true_handled","","",null,null],[5,"g_signal_add_emission_hook","","",null,null],[5,"g_signal_chain_from_overridden","","",null,null],[5,"g_signal_chain_from_overridden_handler","","",null,null],[5,"g_signal_connect_closure","","",null,null],[5,"g_signal_connect_closure_by_id","","",null,null],[5,"g_signal_connect_data","","",null,null],[5,"g_signal_connect_object","","",null,null],[5,"g_signal_emit","","",null,null],[5,"g_signal_emit_by_name","","",null,null],[5,"g_signal_emitv","","",null,null],[5,"g_signal_get_invocation_hint","","",null,null],[5,"g_signal_handler_block","","",null,null],[5,"g_signal_handler_disconnect","","",null,null],[5,"g_signal_handler_find","","",null,null],[5,"g_signal_handler_is_connected","","",null,null],[5,"g_signal_handler_unblock","","",null,null],[5,"g_signal_handlers_block_matched","","",null,null],[5,"g_signal_handlers_destroy","","",null,null],[5,"g_signal_handlers_disconnect_matched","","",null,null],[5,"g_signal_handlers_unblock_matched","","",null,null],[5,"g_signal_has_handler_pending","","",null,null],[5,"g_signal_list_ids","","",null,null],[5,"g_signal_lookup","","",null,null],[5,"g_signal_name","","",null,null],[5,"g_signal_new","","",null,null],[5,"g_signal_new_class_handler","","",null,null],[5,"g_signal_newv","","",null,null],[5,"g_signal_override_class_closure","","",null,null],[5,"g_signal_override_class_handler","","",null,null],[5,"g_signal_parse_name","","",null,null],[5,"g_signal_query","","",null,null],[5,"g_signal_remove_emission_hook","","",null,null],[5,"g_signal_stop_emission","","",null,null],[5,"g_signal_stop_emission_by_name","","",null,null],[5,"g_signal_type_cclosure_new","","",null,null],[5,"g_source_set_closure","","",null,null],[5,"g_source_set_dummy_callback","","",null,null],[5,"g_strdup_value_contents","","",null,null],[5,"g_type_add_class_cache_func","","",null,null],[5,"g_type_add_class_private","","",null,null],[5,"g_type_add_instance_private","","",null,null],[5,"g_type_add_interface_check","","",null,null],[5,"g_type_add_interface_dynamic","","",null,null],[5,"g_type_add_interface_static","","",null,null],[5,"g_type_check_class_cast","","",null,null],[5,"g_type_check_class_is_a","","",null,null],[5,"g_type_check_instance","","",null,null],[5,"g_type_check_instance_cast","","",null,null],[5,"g_type_check_instance_is_a","","",null,null],[5,"g_type_check_instance_is_fundamentally_a","","",null,null],[5,"g_type_check_is_value_type","","",null,null],[5,"g_type_check_value","","",null,null],[5,"g_type_check_value_holds","","",null,null],[5,"g_type_children","","",null,null],[5,"g_type_create_instance","","",null,null],[5,"g_type_default_interface_peek","","",null,null],[5,"g_type_default_interface_ref","","",null,null],[5,"g_type_default_interface_unref","","",null,null],[5,"g_type_depth","","",null,null],[5,"g_type_free_instance","","",null,null],[5,"g_type_from_name","","",null,null],[5,"g_type_fundamental","","",null,null],[5,"g_type_fundamental_next","","",null,null],[5,"g_type_get_plugin","","",null,null],[5,"g_type_get_qdata","","",null,null],[5,"g_type_init","","",null,null],[5,"g_type_init_with_debug_flags","","",null,null],[5,"g_type_interfaces","","",null,null],[5,"g_type_is_a","","",null,null],[5,"g_type_name","","",null,null],[5,"g_type_name_from_class","","",null,null],[5,"g_type_name_from_instance","","",null,null],[5,"g_type_next_base","","",null,null],[5,"g_type_parent","","",null,null],[5,"g_type_qname","","",null,null],[5,"g_type_query","","",null,null],[5,"g_type_register_dynamic","","",null,null],[5,"g_type_register_fundamental","","",null,null],[5,"g_type_register_static","","",null,null],[5,"g_type_register_static_simple","","",null,null],[5,"g_type_remove_class_cache_func","","",null,null],[5,"g_type_remove_interface_check","","",null,null],[5,"g_type_set_qdata","","",null,null],[5,"g_type_test_flags","","",null,null],[6,"GSignalCMarshaller","","",null,null],[6,"GTypeCValue","","",null,null],[6,"GBaseFinalizeFunc","","",null,null],[6,"GBaseInitFunc","","",null,null],[6,"GBindingTransformFunc","","",null,null],[6,"GBoxedCopyFunc","","",null,null],[6,"GBoxedFreeFunc","","",null,null],[6,"GCallback","","",null,null],[6,"GClassFinalizeFunc","","",null,null],[6,"GClassInitFunc","","",null,null],[6,"GClosureMarshal","","",null,null],[6,"GClosureNotify","","",null,null],[6,"GInstanceInitFunc","","",null,null],[6,"GInterfaceFinalizeFunc","","",null,null],[6,"GInterfaceInitFunc","","",null,null],[6,"GObjectFinalizeFunc","","",null,null],[6,"GObjectGetPropertyFunc","","",null,null],[6,"GObjectSetPropertyFunc","","",null,null],[6,"GSignalAccumulator","","",null,null],[6,"GSignalEmissionHook","","",null,null],[6,"GToggleNotify","","",null,null],[6,"GTypeClassCacheFunc","","",null,null],[6,"GTypeInterfaceCheckFunc","","",null,null],[6,"GTypePluginCompleteInterfaceInfo","","",null,null],[6,"GTypePluginCompleteTypeInfo","","",null,null],[6,"GTypePluginUnuse","","",null,null],[6,"GTypePluginUse","","",null,null],[6,"GValueTransform","","",null,null],[6,"GWeakNotify","","",null,null],[17,"G_TYPE_INVALID","","",null,null],[17,"G_TYPE_NONE","","",null,null],[17,"G_TYPE_INTERFACE","","",null,null],[17,"G_TYPE_CHAR","","",null,null],[17,"G_TYPE_UCHAR","","",null,null],[17,"G_TYPE_BOOLEAN","","",null,null],[17,"G_TYPE_INT","","",null,null],[17,"G_TYPE_UINT","","",null,null],[17,"G_TYPE_LONG","","",null,null],[17,"G_TYPE_ULONG","","",null,null],[17,"G_TYPE_INT64","","",null,null],[17,"G_TYPE_UINT64","","",null,null],[17,"G_TYPE_ENUM","","",null,null],[17,"G_TYPE_FLAGS","","",null,null],[17,"G_TYPE_FLOAT","","",null,null],[17,"G_TYPE_DOUBLE","","",null,null],[17,"G_TYPE_STRING","","",null,null],[17,"G_TYPE_POINTER","","",null,null],[17,"G_TYPE_BOXED","","",null,null],[17,"G_TYPE_PARAM","","",null,null],[17,"G_TYPE_OBJECT","","",null,null],[17,"G_TYPE_VARIANT","","",null,null],[17,"G_PARAM_MASK","","",null,null],[17,"G_PARAM_STATIC_STRINGS","","",null,null],[17,"G_PARAM_USER_SHIFT","","",null,null],[17,"G_SIGNAL_FLAGS_MASK","","",null,null],[17,"G_SIGNAL_MATCH_MASK","","",null,null],[17,"G_TYPE_FLAG_RESERVED_ID_BIT","","",null,null],[17,"G_TYPE_FUNDAMENTAL_MAX","","",null,null],[17,"G_TYPE_FUNDAMENTAL_SHIFT","","",null,null],[17,"G_TYPE_RESERVED_BSE_FIRST","","",null,null],[17,"G_TYPE_RESERVED_BSE_LAST","","",null,null],[17,"G_TYPE_RESERVED_GLIB_FIRST","","",null,null],[17,"G_TYPE_RESERVED_GLIB_LAST","","",null,null],[17,"G_TYPE_RESERVED_USER_FIRST","","",null,null],[17,"G_VALUE_COLLECT_FORMAT_MAX_LENGTH","","",null,null],[17,"G_VALUE_NOCOPY_CONTENTS","","",null,null],[17,"G_BINDING_DEFAULT","","",null,null],[17,"G_BINDING_BIDIRECTIONAL","","",null,null],[17,"G_BINDING_SYNC_CREATE","","",null,null],[17,"G_BINDING_INVERT_BOOLEAN","","",null,null],[17,"G_CONNECT_AFTER","","",null,null],[17,"G_CONNECT_SWAPPED","","",null,null],[17,"G_PARAM_READABLE","","",null,null],[17,"G_PARAM_WRITABLE","","",null,null],[17,"G_PARAM_READWRITE","","",null,null],[17,"G_PARAM_CONSTRUCT","","",null,null],[17,"G_PARAM_CONSTRUCT_ONLY","","",null,null],[17,"G_PARAM_LAX_VALIDATION","","",null,null],[17,"G_PARAM_STATIC_NAME","","",null,null],[17,"G_PARAM_PRIVATE","","",null,null],[17,"G_PARAM_STATIC_NICK","","",null,null],[17,"G_PARAM_STATIC_BLURB","","",null,null],[17,"G_PARAM_EXPLICIT_NOTIFY","","",null,null],[17,"G_PARAM_DEPRECATED","","",null,null],[17,"G_SIGNAL_RUN_FIRST","","",null,null],[17,"G_SIGNAL_RUN_LAST","","",null,null],[17,"G_SIGNAL_RUN_CLEANUP","","",null,null],[17,"G_SIGNAL_NO_RECURSE","","",null,null],[17,"G_SIGNAL_DETAILED","","",null,null],[17,"G_SIGNAL_ACTION","","",null,null],[17,"G_SIGNAL_NO_HOOKS","","",null,null],[17,"G_SIGNAL_MUST_COLLECT","","",null,null],[17,"G_SIGNAL_DEPRECATED","","",null,null],[17,"G_SIGNAL_MATCH_ID","","",null,null],[17,"G_SIGNAL_MATCH_DETAIL","","",null,null],[17,"G_SIGNAL_MATCH_CLOSURE","","",null,null],[17,"G_SIGNAL_MATCH_FUNC","","",null,null],[17,"G_SIGNAL_MATCH_DATA","","",null,null],[17,"G_SIGNAL_MATCH_UNBLOCKED","","",null,null],[17,"G_TYPE_DEBUG_NONE","","",null,null],[17,"G_TYPE_DEBUG_OBJECTS","","",null,null],[17,"G_TYPE_DEBUG_SIGNALS","","",null,null],[17,"G_TYPE_DEBUG_INSTANCE_COUNT","","",null,null],[17,"G_TYPE_DEBUG_MASK","","",null,null],[17,"G_TYPE_FLAG_ABSTRACT","","",null,null],[17,"G_TYPE_FLAG_VALUE_ABSTRACT","","",null,null],[17,"G_TYPE_FLAG_CLASSED","","",null,null],[17,"G_TYPE_FLAG_INSTANTIATABLE","","",null,null],[17,"G_TYPE_FLAG_DERIVABLE","","",null,null],[17,"G_TYPE_FLAG_DEEP_DERIVABLE","","",null,null],[11,"eq","","",54,{"inputs":[{"name":"self"},{"name":"gbindingflags"}],"output":{"name":"bool"}}],[11,"ne","","",54,{"inputs":[{"name":"self"},{"name":"gbindingflags"}],"output":{"name":"bool"}}],[11,"clone","","",54,{"inputs":[{"name":"self"}],"output":{"name":"gbindingflags"}}],[11,"partial_cmp","","",54,{"inputs":[{"name":"self"},{"name":"gbindingflags"}],"output":{"name":"option"}}],[11,"lt","","",54,{"inputs":[{"name":"self"},{"name":"gbindingflags"}],"output":{"name":"bool"}}],[11,"le","","",54,{"inputs":[{"name":"self"},{"name":"gbindingflags"}],"output":{"name":"bool"}}],[11,"gt","","",54,{"inputs":[{"name":"self"},{"name":"gbindingflags"}],"output":{"name":"bool"}}],[11,"ge","","",54,{"inputs":[{"name":"self"},{"name":"gbindingflags"}],"output":{"name":"bool"}}],[11,"cmp","","",54,{"inputs":[{"name":"self"},{"name":"gbindingflags"}],"output":{"name":"ordering"}}],[11,"hash","","",54,null],[11,"fmt","","",54,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",54,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",54,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",54,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",54,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",54,{"inputs":[],"output":{"name":"gbindingflags"}}],[11,"all","","Returns the set containing all flags.",54,{"inputs":[],"output":{"name":"gbindingflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",54,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",54,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",54,{"inputs":[{"name":"c_uint"}],"output":{"name":"gbindingflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",54,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",54,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",54,{"inputs":[{"name":"self"},{"name":"gbindingflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",54,{"inputs":[{"name":"self"},{"name":"gbindingflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",54,{"inputs":[{"name":"self"},{"name":"gbindingflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",54,{"inputs":[{"name":"self"},{"name":"gbindingflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",54,{"inputs":[{"name":"self"},{"name":"gbindingflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",54,{"inputs":[{"name":"self"},{"name":"gbindingflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",54,{"inputs":[{"name":"self"},{"name":"gbindingflags"}],"output":{"name":"gbindingflags"}}],[11,"bitor_assign","","Adds the set of flags.",54,{"inputs":[{"name":"self"},{"name":"gbindingflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",54,{"inputs":[{"name":"self"},{"name":"gbindingflags"}],"output":{"name":"gbindingflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",54,{"inputs":[{"name":"self"},{"name":"gbindingflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",54,{"inputs":[{"name":"self"},{"name":"gbindingflags"}],"output":{"name":"gbindingflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",54,{"inputs":[{"name":"self"},{"name":"gbindingflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",54,{"inputs":[{"name":"self"},{"name":"gbindingflags"}],"output":{"name":"gbindingflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",54,{"inputs":[{"name":"self"},{"name":"gbindingflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",54,{"inputs":[{"name":"self"}],"output":{"name":"gbindingflags"}}],[11,"extend","","",54,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",54,{"inputs":[{"name":"t"}],"output":{"name":"gbindingflags"}}],[11,"eq","","",55,{"inputs":[{"name":"self"},{"name":"gconnectflags"}],"output":{"name":"bool"}}],[11,"ne","","",55,{"inputs":[{"name":"self"},{"name":"gconnectflags"}],"output":{"name":"bool"}}],[11,"clone","","",55,{"inputs":[{"name":"self"}],"output":{"name":"gconnectflags"}}],[11,"partial_cmp","","",55,{"inputs":[{"name":"self"},{"name":"gconnectflags"}],"output":{"name":"option"}}],[11,"lt","","",55,{"inputs":[{"name":"self"},{"name":"gconnectflags"}],"output":{"name":"bool"}}],[11,"le","","",55,{"inputs":[{"name":"self"},{"name":"gconnectflags"}],"output":{"name":"bool"}}],[11,"gt","","",55,{"inputs":[{"name":"self"},{"name":"gconnectflags"}],"output":{"name":"bool"}}],[11,"ge","","",55,{"inputs":[{"name":"self"},{"name":"gconnectflags"}],"output":{"name":"bool"}}],[11,"cmp","","",55,{"inputs":[{"name":"self"},{"name":"gconnectflags"}],"output":{"name":"ordering"}}],[11,"hash","","",55,null],[11,"fmt","","",55,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",55,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",55,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",55,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",55,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",55,{"inputs":[],"output":{"name":"gconnectflags"}}],[11,"all","","Returns the set containing all flags.",55,{"inputs":[],"output":{"name":"gconnectflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",55,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",55,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",55,{"inputs":[{"name":"c_uint"}],"output":{"name":"gconnectflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",55,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",55,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",55,{"inputs":[{"name":"self"},{"name":"gconnectflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",55,{"inputs":[{"name":"self"},{"name":"gconnectflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",55,{"inputs":[{"name":"self"},{"name":"gconnectflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",55,{"inputs":[{"name":"self"},{"name":"gconnectflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",55,{"inputs":[{"name":"self"},{"name":"gconnectflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",55,{"inputs":[{"name":"self"},{"name":"gconnectflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",55,{"inputs":[{"name":"self"},{"name":"gconnectflags"}],"output":{"name":"gconnectflags"}}],[11,"bitor_assign","","Adds the set of flags.",55,{"inputs":[{"name":"self"},{"name":"gconnectflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",55,{"inputs":[{"name":"self"},{"name":"gconnectflags"}],"output":{"name":"gconnectflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",55,{"inputs":[{"name":"self"},{"name":"gconnectflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",55,{"inputs":[{"name":"self"},{"name":"gconnectflags"}],"output":{"name":"gconnectflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",55,{"inputs":[{"name":"self"},{"name":"gconnectflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",55,{"inputs":[{"name":"self"},{"name":"gconnectflags"}],"output":{"name":"gconnectflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",55,{"inputs":[{"name":"self"},{"name":"gconnectflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",55,{"inputs":[{"name":"self"}],"output":{"name":"gconnectflags"}}],[11,"extend","","",55,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",55,{"inputs":[{"name":"t"}],"output":{"name":"gconnectflags"}}],[11,"eq","","",56,{"inputs":[{"name":"self"},{"name":"gparamflags"}],"output":{"name":"bool"}}],[11,"ne","","",56,{"inputs":[{"name":"self"},{"name":"gparamflags"}],"output":{"name":"bool"}}],[11,"clone","","",56,{"inputs":[{"name":"self"}],"output":{"name":"gparamflags"}}],[11,"partial_cmp","","",56,{"inputs":[{"name":"self"},{"name":"gparamflags"}],"output":{"name":"option"}}],[11,"lt","","",56,{"inputs":[{"name":"self"},{"name":"gparamflags"}],"output":{"name":"bool"}}],[11,"le","","",56,{"inputs":[{"name":"self"},{"name":"gparamflags"}],"output":{"name":"bool"}}],[11,"gt","","",56,{"inputs":[{"name":"self"},{"name":"gparamflags"}],"output":{"name":"bool"}}],[11,"ge","","",56,{"inputs":[{"name":"self"},{"name":"gparamflags"}],"output":{"name":"bool"}}],[11,"cmp","","",56,{"inputs":[{"name":"self"},{"name":"gparamflags"}],"output":{"name":"ordering"}}],[11,"hash","","",56,null],[11,"fmt","","",56,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",56,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",56,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",56,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",56,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",56,{"inputs":[],"output":{"name":"gparamflags"}}],[11,"all","","Returns the set containing all flags.",56,{"inputs":[],"output":{"name":"gparamflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",56,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",56,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",56,{"inputs":[{"name":"c_uint"}],"output":{"name":"gparamflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",56,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",56,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",56,{"inputs":[{"name":"self"},{"name":"gparamflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",56,{"inputs":[{"name":"self"},{"name":"gparamflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",56,{"inputs":[{"name":"self"},{"name":"gparamflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",56,{"inputs":[{"name":"self"},{"name":"gparamflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",56,{"inputs":[{"name":"self"},{"name":"gparamflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",56,{"inputs":[{"name":"self"},{"name":"gparamflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",56,{"inputs":[{"name":"self"},{"name":"gparamflags"}],"output":{"name":"gparamflags"}}],[11,"bitor_assign","","Adds the set of flags.",56,{"inputs":[{"name":"self"},{"name":"gparamflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",56,{"inputs":[{"name":"self"},{"name":"gparamflags"}],"output":{"name":"gparamflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",56,{"inputs":[{"name":"self"},{"name":"gparamflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",56,{"inputs":[{"name":"self"},{"name":"gparamflags"}],"output":{"name":"gparamflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",56,{"inputs":[{"name":"self"},{"name":"gparamflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",56,{"inputs":[{"name":"self"},{"name":"gparamflags"}],"output":{"name":"gparamflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",56,{"inputs":[{"name":"self"},{"name":"gparamflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",56,{"inputs":[{"name":"self"}],"output":{"name":"gparamflags"}}],[11,"extend","","",56,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",56,{"inputs":[{"name":"t"}],"output":{"name":"gparamflags"}}],[11,"eq","","",57,{"inputs":[{"name":"self"},{"name":"gsignalflags"}],"output":{"name":"bool"}}],[11,"ne","","",57,{"inputs":[{"name":"self"},{"name":"gsignalflags"}],"output":{"name":"bool"}}],[11,"clone","","",57,{"inputs":[{"name":"self"}],"output":{"name":"gsignalflags"}}],[11,"partial_cmp","","",57,{"inputs":[{"name":"self"},{"name":"gsignalflags"}],"output":{"name":"option"}}],[11,"lt","","",57,{"inputs":[{"name":"self"},{"name":"gsignalflags"}],"output":{"name":"bool"}}],[11,"le","","",57,{"inputs":[{"name":"self"},{"name":"gsignalflags"}],"output":{"name":"bool"}}],[11,"gt","","",57,{"inputs":[{"name":"self"},{"name":"gsignalflags"}],"output":{"name":"bool"}}],[11,"ge","","",57,{"inputs":[{"name":"self"},{"name":"gsignalflags"}],"output":{"name":"bool"}}],[11,"cmp","","",57,{"inputs":[{"name":"self"},{"name":"gsignalflags"}],"output":{"name":"ordering"}}],[11,"hash","","",57,null],[11,"fmt","","",57,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",57,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",57,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",57,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",57,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",57,{"inputs":[],"output":{"name":"gsignalflags"}}],[11,"all","","Returns the set containing all flags.",57,{"inputs":[],"output":{"name":"gsignalflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",57,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",57,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",57,{"inputs":[{"name":"c_uint"}],"output":{"name":"gsignalflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",57,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",57,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",57,{"inputs":[{"name":"self"},{"name":"gsignalflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",57,{"inputs":[{"name":"self"},{"name":"gsignalflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",57,{"inputs":[{"name":"self"},{"name":"gsignalflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",57,{"inputs":[{"name":"self"},{"name":"gsignalflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",57,{"inputs":[{"name":"self"},{"name":"gsignalflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",57,{"inputs":[{"name":"self"},{"name":"gsignalflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",57,{"inputs":[{"name":"self"},{"name":"gsignalflags"}],"output":{"name":"gsignalflags"}}],[11,"bitor_assign","","Adds the set of flags.",57,{"inputs":[{"name":"self"},{"name":"gsignalflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",57,{"inputs":[{"name":"self"},{"name":"gsignalflags"}],"output":{"name":"gsignalflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",57,{"inputs":[{"name":"self"},{"name":"gsignalflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",57,{"inputs":[{"name":"self"},{"name":"gsignalflags"}],"output":{"name":"gsignalflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",57,{"inputs":[{"name":"self"},{"name":"gsignalflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",57,{"inputs":[{"name":"self"},{"name":"gsignalflags"}],"output":{"name":"gsignalflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",57,{"inputs":[{"name":"self"},{"name":"gsignalflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",57,{"inputs":[{"name":"self"}],"output":{"name":"gsignalflags"}}],[11,"extend","","",57,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",57,{"inputs":[{"name":"t"}],"output":{"name":"gsignalflags"}}],[11,"eq","","",58,{"inputs":[{"name":"self"},{"name":"gsignalmatchtype"}],"output":{"name":"bool"}}],[11,"ne","","",58,{"inputs":[{"name":"self"},{"name":"gsignalmatchtype"}],"output":{"name":"bool"}}],[11,"clone","","",58,{"inputs":[{"name":"self"}],"output":{"name":"gsignalmatchtype"}}],[11,"partial_cmp","","",58,{"inputs":[{"name":"self"},{"name":"gsignalmatchtype"}],"output":{"name":"option"}}],[11,"lt","","",58,{"inputs":[{"name":"self"},{"name":"gsignalmatchtype"}],"output":{"name":"bool"}}],[11,"le","","",58,{"inputs":[{"name":"self"},{"name":"gsignalmatchtype"}],"output":{"name":"bool"}}],[11,"gt","","",58,{"inputs":[{"name":"self"},{"name":"gsignalmatchtype"}],"output":{"name":"bool"}}],[11,"ge","","",58,{"inputs":[{"name":"self"},{"name":"gsignalmatchtype"}],"output":{"name":"bool"}}],[11,"cmp","","",58,{"inputs":[{"name":"self"},{"name":"gsignalmatchtype"}],"output":{"name":"ordering"}}],[11,"hash","","",58,null],[11,"fmt","","",58,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",58,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",58,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",58,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",58,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",58,{"inputs":[],"output":{"name":"gsignalmatchtype"}}],[11,"all","","Returns the set containing all flags.",58,{"inputs":[],"output":{"name":"gsignalmatchtype"}}],[11,"bits","","Returns the raw value of the flags currently stored.",58,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",58,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",58,{"inputs":[{"name":"c_uint"}],"output":{"name":"gsignalmatchtype"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",58,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",58,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",58,{"inputs":[{"name":"self"},{"name":"gsignalmatchtype"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",58,{"inputs":[{"name":"self"},{"name":"gsignalmatchtype"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",58,{"inputs":[{"name":"self"},{"name":"gsignalmatchtype"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",58,{"inputs":[{"name":"self"},{"name":"gsignalmatchtype"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",58,{"inputs":[{"name":"self"},{"name":"gsignalmatchtype"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",58,{"inputs":[{"name":"self"},{"name":"gsignalmatchtype"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",58,{"inputs":[{"name":"self"},{"name":"gsignalmatchtype"}],"output":{"name":"gsignalmatchtype"}}],[11,"bitor_assign","","Adds the set of flags.",58,{"inputs":[{"name":"self"},{"name":"gsignalmatchtype"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",58,{"inputs":[{"name":"self"},{"name":"gsignalmatchtype"}],"output":{"name":"gsignalmatchtype"}}],[11,"bitxor_assign","","Toggles the set of flags.",58,{"inputs":[{"name":"self"},{"name":"gsignalmatchtype"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",58,{"inputs":[{"name":"self"},{"name":"gsignalmatchtype"}],"output":{"name":"gsignalmatchtype"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",58,{"inputs":[{"name":"self"},{"name":"gsignalmatchtype"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",58,{"inputs":[{"name":"self"},{"name":"gsignalmatchtype"}],"output":{"name":"gsignalmatchtype"}}],[11,"sub_assign","","Disables all flags enabled in the set.",58,{"inputs":[{"name":"self"},{"name":"gsignalmatchtype"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",58,{"inputs":[{"name":"self"}],"output":{"name":"gsignalmatchtype"}}],[11,"extend","","",58,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",58,{"inputs":[{"name":"t"}],"output":{"name":"gsignalmatchtype"}}],[11,"eq","","",59,{"inputs":[{"name":"self"},{"name":"gtypedebugflags"}],"output":{"name":"bool"}}],[11,"ne","","",59,{"inputs":[{"name":"self"},{"name":"gtypedebugflags"}],"output":{"name":"bool"}}],[11,"clone","","",59,{"inputs":[{"name":"self"}],"output":{"name":"gtypedebugflags"}}],[11,"partial_cmp","","",59,{"inputs":[{"name":"self"},{"name":"gtypedebugflags"}],"output":{"name":"option"}}],[11,"lt","","",59,{"inputs":[{"name":"self"},{"name":"gtypedebugflags"}],"output":{"name":"bool"}}],[11,"le","","",59,{"inputs":[{"name":"self"},{"name":"gtypedebugflags"}],"output":{"name":"bool"}}],[11,"gt","","",59,{"inputs":[{"name":"self"},{"name":"gtypedebugflags"}],"output":{"name":"bool"}}],[11,"ge","","",59,{"inputs":[{"name":"self"},{"name":"gtypedebugflags"}],"output":{"name":"bool"}}],[11,"cmp","","",59,{"inputs":[{"name":"self"},{"name":"gtypedebugflags"}],"output":{"name":"ordering"}}],[11,"hash","","",59,null],[11,"fmt","","",59,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",59,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",59,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",59,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",59,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",59,{"inputs":[],"output":{"name":"gtypedebugflags"}}],[11,"all","","Returns the set containing all flags.",59,{"inputs":[],"output":{"name":"gtypedebugflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",59,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",59,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",59,{"inputs":[{"name":"c_uint"}],"output":{"name":"gtypedebugflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",59,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",59,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",59,{"inputs":[{"name":"self"},{"name":"gtypedebugflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",59,{"inputs":[{"name":"self"},{"name":"gtypedebugflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",59,{"inputs":[{"name":"self"},{"name":"gtypedebugflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",59,{"inputs":[{"name":"self"},{"name":"gtypedebugflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",59,{"inputs":[{"name":"self"},{"name":"gtypedebugflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",59,{"inputs":[{"name":"self"},{"name":"gtypedebugflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",59,{"inputs":[{"name":"self"},{"name":"gtypedebugflags"}],"output":{"name":"gtypedebugflags"}}],[11,"bitor_assign","","Adds the set of flags.",59,{"inputs":[{"name":"self"},{"name":"gtypedebugflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",59,{"inputs":[{"name":"self"},{"name":"gtypedebugflags"}],"output":{"name":"gtypedebugflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",59,{"inputs":[{"name":"self"},{"name":"gtypedebugflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",59,{"inputs":[{"name":"self"},{"name":"gtypedebugflags"}],"output":{"name":"gtypedebugflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",59,{"inputs":[{"name":"self"},{"name":"gtypedebugflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",59,{"inputs":[{"name":"self"},{"name":"gtypedebugflags"}],"output":{"name":"gtypedebugflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",59,{"inputs":[{"name":"self"},{"name":"gtypedebugflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",59,{"inputs":[{"name":"self"}],"output":{"name":"gtypedebugflags"}}],[11,"extend","","",59,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",59,{"inputs":[{"name":"t"}],"output":{"name":"gtypedebugflags"}}],[11,"eq","","",60,{"inputs":[{"name":"self"},{"name":"gtypeflags"}],"output":{"name":"bool"}}],[11,"ne","","",60,{"inputs":[{"name":"self"},{"name":"gtypeflags"}],"output":{"name":"bool"}}],[11,"clone","","",60,{"inputs":[{"name":"self"}],"output":{"name":"gtypeflags"}}],[11,"partial_cmp","","",60,{"inputs":[{"name":"self"},{"name":"gtypeflags"}],"output":{"name":"option"}}],[11,"lt","","",60,{"inputs":[{"name":"self"},{"name":"gtypeflags"}],"output":{"name":"bool"}}],[11,"le","","",60,{"inputs":[{"name":"self"},{"name":"gtypeflags"}],"output":{"name":"bool"}}],[11,"gt","","",60,{"inputs":[{"name":"self"},{"name":"gtypeflags"}],"output":{"name":"bool"}}],[11,"ge","","",60,{"inputs":[{"name":"self"},{"name":"gtypeflags"}],"output":{"name":"bool"}}],[11,"cmp","","",60,{"inputs":[{"name":"self"},{"name":"gtypeflags"}],"output":{"name":"ordering"}}],[11,"hash","","",60,null],[11,"fmt","","",60,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",60,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",60,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",60,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",60,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",60,{"inputs":[],"output":{"name":"gtypeflags"}}],[11,"all","","Returns the set containing all flags.",60,{"inputs":[],"output":{"name":"gtypeflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",60,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",60,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",60,{"inputs":[{"name":"c_uint"}],"output":{"name":"gtypeflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",60,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",60,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",60,{"inputs":[{"name":"self"},{"name":"gtypeflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",60,{"inputs":[{"name":"self"},{"name":"gtypeflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",60,{"inputs":[{"name":"self"},{"name":"gtypeflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",60,{"inputs":[{"name":"self"},{"name":"gtypeflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",60,{"inputs":[{"name":"self"},{"name":"gtypeflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",60,{"inputs":[{"name":"self"},{"name":"gtypeflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",60,{"inputs":[{"name":"self"},{"name":"gtypeflags"}],"output":{"name":"gtypeflags"}}],[11,"bitor_assign","","Adds the set of flags.",60,{"inputs":[{"name":"self"},{"name":"gtypeflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",60,{"inputs":[{"name":"self"},{"name":"gtypeflags"}],"output":{"name":"gtypeflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",60,{"inputs":[{"name":"self"},{"name":"gtypeflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",60,{"inputs":[{"name":"self"},{"name":"gtypeflags"}],"output":{"name":"gtypeflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",60,{"inputs":[{"name":"self"},{"name":"gtypeflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",60,{"inputs":[{"name":"self"},{"name":"gtypeflags"}],"output":{"name":"gtypeflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",60,{"inputs":[{"name":"self"},{"name":"gtypeflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",60,{"inputs":[{"name":"self"}],"output":{"name":"gtypeflags"}}],[11,"extend","","",60,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",60,{"inputs":[{"name":"t"}],"output":{"name":"gtypeflags"}}],[11,"eq","","",61,{"inputs":[{"name":"self"},{"name":"gtypefundamentalflags"}],"output":{"name":"bool"}}],[11,"ne","","",61,{"inputs":[{"name":"self"},{"name":"gtypefundamentalflags"}],"output":{"name":"bool"}}],[11,"clone","","",61,{"inputs":[{"name":"self"}],"output":{"name":"gtypefundamentalflags"}}],[11,"partial_cmp","","",61,{"inputs":[{"name":"self"},{"name":"gtypefundamentalflags"}],"output":{"name":"option"}}],[11,"lt","","",61,{"inputs":[{"name":"self"},{"name":"gtypefundamentalflags"}],"output":{"name":"bool"}}],[11,"le","","",61,{"inputs":[{"name":"self"},{"name":"gtypefundamentalflags"}],"output":{"name":"bool"}}],[11,"gt","","",61,{"inputs":[{"name":"self"},{"name":"gtypefundamentalflags"}],"output":{"name":"bool"}}],[11,"ge","","",61,{"inputs":[{"name":"self"},{"name":"gtypefundamentalflags"}],"output":{"name":"bool"}}],[11,"cmp","","",61,{"inputs":[{"name":"self"},{"name":"gtypefundamentalflags"}],"output":{"name":"ordering"}}],[11,"hash","","",61,null],[11,"fmt","","",61,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",61,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",61,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",61,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",61,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",61,{"inputs":[],"output":{"name":"gtypefundamentalflags"}}],[11,"all","","Returns the set containing all flags.",61,{"inputs":[],"output":{"name":"gtypefundamentalflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",61,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",61,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",61,{"inputs":[{"name":"c_uint"}],"output":{"name":"gtypefundamentalflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",61,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",61,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",61,{"inputs":[{"name":"self"},{"name":"gtypefundamentalflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",61,{"inputs":[{"name":"self"},{"name":"gtypefundamentalflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",61,{"inputs":[{"name":"self"},{"name":"gtypefundamentalflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",61,{"inputs":[{"name":"self"},{"name":"gtypefundamentalflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",61,{"inputs":[{"name":"self"},{"name":"gtypefundamentalflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",61,{"inputs":[{"name":"self"},{"name":"gtypefundamentalflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",61,{"inputs":[{"name":"self"},{"name":"gtypefundamentalflags"}],"output":{"name":"gtypefundamentalflags"}}],[11,"bitor_assign","","Adds the set of flags.",61,{"inputs":[{"name":"self"},{"name":"gtypefundamentalflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",61,{"inputs":[{"name":"self"},{"name":"gtypefundamentalflags"}],"output":{"name":"gtypefundamentalflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",61,{"inputs":[{"name":"self"},{"name":"gtypefundamentalflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",61,{"inputs":[{"name":"self"},{"name":"gtypefundamentalflags"}],"output":{"name":"gtypefundamentalflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",61,{"inputs":[{"name":"self"},{"name":"gtypefundamentalflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",61,{"inputs":[{"name":"self"},{"name":"gtypefundamentalflags"}],"output":{"name":"gtypefundamentalflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",61,{"inputs":[{"name":"self"},{"name":"gtypefundamentalflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",61,{"inputs":[{"name":"self"}],"output":{"name":"gtypefundamentalflags"}}],[11,"extend","","",61,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",61,{"inputs":[{"name":"t"}],"output":{"name":"gtypefundamentalflags"}}]],"paths":[[3,"GCClosure"],[3,"GClosureNotifyData"],[3,"GEnumClass"],[3,"GEnumValue"],[3,"GFlagsClass"],[3,"GFlagsValue"],[3,"GInitiallyUnownedClass"],[3,"GInterfaceInfo"],[3,"GObjectClass"],[3,"GObjectConstructParam"],[3,"GParamSpecClass"],[3,"GParamSpecTypeInfo"],[3,"GParameter"],[3,"GSignalInvocationHint"],[3,"GSignalQuery"],[3,"GTypeClass"],[3,"GTypeFundamentalInfo"],[3,"GTypeInfo"],[3,"GTypeInstance"],[3,"GTypeInterface"],[3,"GTypeModuleClass"],[3,"GTypePluginClass"],[3,"GTypeQuery"],[3,"GTypeValueTable"],[3,"GValue"],[3,"GValueArray"],[3,"GWeakRef"],[3,"GInitiallyUnowned"],[3,"GObject"],[3,"GParamSpec"],[3,"GParamSpecBoolean"],[3,"GParamSpecBoxed"],[3,"GParamSpecChar"],[3,"GParamSpecDouble"],[3,"GParamSpecEnum"],[3,"GParamSpecFlags"],[3,"GParamSpecFloat"],[3,"GParamSpecGType"],[3,"GParamSpecInt"],[3,"GParamSpecInt64"],[3,"GParamSpecLong"],[3,"GParamSpecObject"],[3,"GParamSpecOverride"],[3,"GParamSpecParam"],[3,"GParamSpecPointer"],[3,"GParamSpecString"],[3,"GParamSpecUChar"],[3,"GParamSpecUInt"],[3,"GParamSpecUInt64"],[3,"GParamSpecULong"],[3,"GParamSpecUnichar"],[3,"GParamSpecValueArray"],[3,"GParamSpecVariant"],[3,"GTypeModule"],[3,"GBindingFlags"],[3,"GConnectFlags"],[3,"GParamFlags"],[3,"GSignalFlags"],[3,"GSignalMatchType"],[3,"GTypeDebugFlags"],[3,"GTypeFlags"],[3,"GTypeFundamentalFlags"]]};
searchIndex["gtk"] = {"doc":"GTK+ 3 bindings","items":[[8,"Cast","gtk","Upcasting and downcasting support.",null,null],[11,"upcast","","Upcasts an object to a superclass or interface `T`.",0,{"inputs":[{"name":"self"}],"output":{"name":"t"}}],[11,"downcast","","Tries to downcast to a subclass or interface implementor `T`.",0,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"is","","Returns `true` if the object is an instance of (can be downcast to) `T`.",0,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[3,"Continue","","Continue calling the closure in the future iterations or drop it.",null,null],[12,"0","","",1,null],[3,"Error","","A generic error capable of representing various error domains (types).",null,null],[8,"IsA","","Declares the \"is a\" relationship.",null,null],[3,"Object","","The base class in the object hierarchy.",null,null],[8,"StaticType","","Types that are supported by GLib dynamic typing.",null,null],[10,"static_type","","Returns the type identifier of `Self`.",2,{"inputs":[],"output":{"name":"type"}}],[8,"ToValue","","Converts to `Value`.",null,null],[10,"to_value","","Returns a `Value` clone of `self`.",3,{"inputs":[{"name":"self"}],"output":{"name":"value"}}],[10,"to_value_type","","Returns the type identifer of `self`.",3,{"inputs":[{"name":"self"}],"output":{"name":"type"}}],[4,"Type","","A GLib or GLib-based library type",null,null],[13,"Invalid","","An invalid `Type` used as error return value in some functions",4,null],[13,"Unit","","The fundamental type corresponding to the unit type `()`",4,null],[13,"I8","","The fundamental type corresponding to `i8`",4,null],[13,"U8","","The fundamental type corresponding to `u8`",4,null],[13,"Bool","","The fundamental type corresponding to `bool`",4,null],[13,"I32","","The fundamental type corresponding to `i32`",4,null],[13,"U32","","The fundamental type corresponding to `u32`",4,null],[13,"ILong","","The fundamental type corresponding to C `long`",4,null],[13,"ULong","","The fundamental type corresponding to C `unsigned long`",4,null],[13,"I64","","The fundamental type corresponding to `i64`",4,null],[13,"U64","","The fundamental type corresponding to `u64`",4,null],[13,"F32","","The fundamental type corresponding to `f32`",4,null],[13,"F64","","The fundamental type corresponding to `f64`",4,null],[13,"String","","The fundamental type corresponding to `String`",4,null],[13,"Pointer","","The fundamental type corresponding to a pointer",4,null],[13,"Variant","","The fundamental type of GVariant",4,null],[13,"BaseInterface","","The fundamental type from which all interfaces are derived",4,null],[13,"BaseEnum","","The fundamental type from which all enumeration types are derived",4,null],[13,"BaseFlags","","The fundamental type from which all flags types are derived",4,null],[13,"BaseBoxed","","The fundamental type from which all boxed types are derived",4,null],[13,"BaseParamSpec","","The fundamental type from which all `GParamSpec` types are derived",4,null],[13,"BaseObject","","The fundamental type from which all objects are derived",4,null],[13,"Other","","A non-fundamental type identified by value of type `usize`",4,null],[3,"TypedValue","","A statically typed `Value`.",null,null],[3,"Value","","A generic value capable of carrying various types.",null,null],[3,"Inhibit","","Whether to propagate the signal to the default handler.",null,null],[12,"0","","",5,null],[3,"Allocation","","",null,null],[12,"x","","",6,null],[12,"y","","",6,null],[12,"width","","",6,null],[12,"height","","",6,null],[3,"Rectangle","","",null,null],[12,"x","","",6,null],[12,"y","","",6,null],[12,"width","","",6,null],[12,"height","","",6,null],[3,"AboutDialog","","",null,null],[3,"AccelGroup","","",null,null],[3,"ActionBar","","",null,null],[3,"Actionable","","",null,null],[3,"Adjustment","","",null,null],[3,"Alignment","","",null,null],[3,"AppChooserDialog","","",null,null],[3,"AppChooserWidget","","",null,null],[3,"Application","","",null,null],[3,"ApplicationWindow","","",null,null],[3,"Arrow","","",null,null],[3,"AspectFrame","","",null,null],[3,"Assistant","","",null,null],[3,"Bin","","",null,null],[3,"Box","","",null,null],[3,"Button","","",null,null],[3,"ButtonBox","","",null,null],[3,"Calendar","","",null,null],[3,"CellArea","","",null,null],[3,"CellAreaBox","","",null,null],[3,"CellAreaContext","","",null,null],[3,"CellEditable","","",null,null],[3,"CellLayout","","",null,null],[3,"CellRenderer","","",null,null],[3,"CellRendererAccel","","",null,null],[3,"CellRendererCombo","","",null,null],[3,"CellRendererPixbuf","","",null,null],[3,"CellRendererProgress","","",null,null],[3,"CellRendererSpin","","",null,null],[3,"CellRendererSpinner","","",null,null],[3,"CellRendererText","","",null,null],[3,"CellRendererToggle","","",null,null],[3,"CheckButton","","",null,null],[3,"CheckMenuItem","","",null,null],[3,"Clipboard","","",null,null],[3,"ColorButton","","",null,null],[3,"ColorChooser","","",null,null],[3,"ColorChooserDialog","","",null,null],[3,"ColorChooserWidget","","",null,null],[3,"ComboBox","","",null,null],[3,"ComboBoxText","","",null,null],[3,"Container","","",null,null],[3,"CssProvider","","",null,null],[3,"Dialog","","",null,null],[3,"DrawingArea","","",null,null],[3,"Editable","","",null,null],[3,"Entry","","",null,null],[3,"EntryCompletion","","",null,null],[3,"EventBox","","",null,null],[3,"EventController","","",null,null],[3,"Expander","","",null,null],[3,"FileChooser","","",null,null],[3,"FileChooserButton","","",null,null],[3,"FileChooserDialog","","",null,null],[3,"FileChooserWidget","","",null,null],[3,"FileFilter","","",null,null],[3,"Fixed","","",null,null],[3,"FlowBox","","",null,null],[3,"FlowBoxChild","","",null,null],[3,"FontButton","","",null,null],[3,"FontChooser","","",null,null],[3,"FontChooserDialog","","",null,null],[3,"FontChooserWidget","","",null,null],[3,"Frame","","",null,null],[3,"GLArea","","",null,null],[3,"Gesture","","",null,null],[3,"GestureDrag","","",null,null],[3,"GestureLongPress","","",null,null],[3,"GestureMultiPress","","",null,null],[3,"GesturePan","","",null,null],[3,"GestureRotate","","",null,null],[3,"GestureSingle","","",null,null],[3,"GestureSwipe","","",null,null],[3,"GestureZoom","","",null,null],[3,"Grid","","",null,null],[3,"HeaderBar","","",null,null],[3,"IMContext","","",null,null],[3,"IMMulticontext","","",null,null],[3,"IconFactory","","",null,null],[3,"IconInfo","","",null,null],[3,"IconTheme","","",null,null],[3,"IconView","","",null,null],[3,"Image","","",null,null],[3,"ImageMenuItem","","",null,null],[3,"InfoBar","","",null,null],[3,"Label","","",null,null],[3,"Layout","","",null,null],[3,"LevelBar","","",null,null],[3,"LinkButton","","",null,null],[3,"ListBox","","",null,null],[3,"ListBoxRow","","",null,null],[3,"ListStore","","",null,null],[3,"Menu","","",null,null],[3,"MenuBar","","",null,null],[3,"MenuButton","","",null,null],[3,"MenuItem","","",null,null],[3,"MenuShell","","",null,null],[3,"MenuToolButton","","",null,null],[3,"MessageDialog","","",null,null],[3,"Misc","","",null,null],[3,"ModelButton","","",null,null],[3,"Notebook","","",null,null],[3,"Orientable","","",null,null],[3,"Overlay","","",null,null],[3,"PageSetup","","",null,null],[3,"Paned","","",null,null],[3,"PlacesSidebar","","",null,null],[3,"Popover","","",null,null],[3,"PopoverMenu","","",null,null],[3,"PrintContext","","",null,null],[3,"PrintSettings","","",null,null],[3,"ProgressBar","","",null,null],[3,"RadioButton","","",null,null],[3,"RadioMenuItem","","",null,null],[3,"Range","","",null,null],[3,"RecentChooser","","",null,null],[3,"RecentChooserDialog","","",null,null],[3,"RecentChooserWidget","","",null,null],[3,"RecentFilter","","",null,null],[3,"RecentManager","","",null,null],[3,"Revealer","","",null,null],[3,"Scale","","",null,null],[3,"ScaleButton","","",null,null],[3,"Scrollable","","",null,null],[3,"Scrollbar","","",null,null],[3,"ScrolledWindow","","",null,null],[3,"SearchBar","","",null,null],[3,"SearchEntry","","",null,null],[3,"Separator","","",null,null],[3,"SeparatorMenuItem","","",null,null],[3,"SeparatorToolItem","","",null,null],[3,"Settings","","",null,null],[3,"ShortcutsWindow","","",null,null],[3,"SizeGroup","","",null,null],[3,"SpinButton","","",null,null],[3,"Spinner","","",null,null],[3,"Stack","","",null,null],[3,"StackSidebar","","",null,null],[3,"StackSwitcher","","",null,null],[3,"StatusIcon","","",null,null],[3,"Statusbar","","",null,null],[3,"StyleContext","","",null,null],[3,"StyleProperties","","",null,null],[3,"StyleProvider","","",null,null],[3,"Switch","","",null,null],[3,"TextBuffer","","",null,null],[3,"TextChildAnchor","","",null,null],[3,"TextMark","","",null,null],[3,"TextTag","","",null,null],[3,"TextTagTable","","",null,null],[3,"TextView","","",null,null],[3,"ToggleButton","","",null,null],[3,"ToggleToolButton","","",null,null],[3,"ToolButton","","",null,null],[3,"ToolItem","","",null,null],[3,"ToolItemGroup","","",null,null],[3,"ToolPalette","","",null,null],[3,"ToolShell","","",null,null],[3,"Toolbar","","",null,null],[3,"Tooltip","","",null,null],[3,"TreeModel","","",null,null],[3,"TreeModelFilter","","",null,null],[3,"TreeSelection","","",null,null],[3,"TreeSortable","","",null,null],[3,"TreeStore","","",null,null],[3,"TreeView","","",null,null],[3,"TreeViewColumn","","",null,null],[3,"Viewport","","",null,null],[3,"VolumeButton","","",null,null],[3,"Widget","","",null,null],[3,"Window","","",null,null],[3,"WindowGroup","","",null,null],[3,"CssSection","","",null,null],[3,"IconSet","","",null,null],[3,"IconSource","","",null,null],[3,"PaperSize","","",null,null],[3,"RecentInfo","","",null,null],[3,"SelectionData","","",null,null],[3,"SymbolicColor","","",null,null],[3,"TargetList","","",null,null],[3,"TextAttributes","","",null,null],[3,"TextIter","","",null,null],[3,"TreeIter","","",null,null],[3,"TreePath","","",null,null],[3,"AccelFlags","","",null,null],[3,"ApplicationInhibitFlags","","",null,null],[3,"CalendarDisplayOptions","","",null,null],[3,"CellRendererState","","",null,null],[3,"DestDefaults","","",null,null],[3,"DialogFlags","","",null,null],[3,"FileFilterFlags","","",null,null],[3,"IconLookupFlags","","",null,null],[3,"InputHints","","",null,null],[3,"JunctionSides","","",null,null],[3,"PlacesOpenFlags","","",null,null],[3,"RecentFilterFlags","","",null,null],[3,"RegionFlags","","",null,null],[3,"StateFlags","","",null,null],[3,"StyleContextPrintFlags","","",null,null],[3,"TargetFlags","","",null,null],[3,"TextSearchFlags","","",null,null],[3,"ToolPaletteDragTargets","","",null,null],[3,"TreeModelFlags","","",null,null],[3,"AppChooser","","",null,null],[3,"Builder","","",null,null],[3,"EntryBuffer","","",null,null],[3,"RecentData","","",null,null],[12,"display_name","","",7,null],[12,"description","","",7,null],[12,"mime_type","","",7,null],[12,"app_name","","",7,null],[12,"app_exec","","",7,null],[12,"groups","","",7,null],[12,"is_private","","",7,null],[3,"Requisition","","",null,null],[12,"width","","",8,null],[12,"height","","",8,null],[3,"Socket","","",null,null],[3,"TargetEntry","","",null,null],[4,"Align","","",null,null],[13,"Fill","","",9,null],[13,"Start","","",9,null],[13,"End","","",9,null],[13,"Center","","",9,null],[13,"Baseline","","",9,null],[4,"ArrowType","","",null,null],[13,"Up","","",10,null],[13,"Down","","",10,null],[13,"Left","","",10,null],[13,"Right","","",10,null],[13,"None","","",10,null],[4,"AssistantPageType","","",null,null],[13,"Content","","",11,null],[13,"Intro","","",11,null],[13,"Confirm","","",11,null],[13,"Summary","","",11,null],[13,"Progress","","",11,null],[13,"Custom","","",11,null],[4,"BaselinePosition","","",null,null],[13,"Top","","",12,null],[13,"Center","","",12,null],[13,"Bottom","","",12,null],[4,"BuilderError","","",null,null],[13,"InvalidTypeFunction","","",13,null],[13,"UnhandledTag","","",13,null],[13,"MissingAttribute","","",13,null],[13,"InvalidAttribute","","",13,null],[13,"InvalidTag","","",13,null],[13,"MissingPropertyValue","","",13,null],[13,"InvalidValue","","",13,null],[13,"VersionMismatch","","",13,null],[13,"DuplicateId","","",13,null],[13,"ObjectTypeRefused","","",13,null],[13,"TemplateMismatch","","",13,null],[13,"InvalidProperty","","",13,null],[13,"InvalidSignal","","",13,null],[13,"InvalidId","","",13,null],[4,"ButtonBoxStyle","","",null,null],[13,"Spread","","",14,null],[13,"Edge","","",14,null],[13,"Start","","",14,null],[13,"End","","",14,null],[13,"Center","","",14,null],[13,"Expand","","",14,null],[4,"ButtonRole","","",null,null],[13,"Normal","","",15,null],[13,"Check","","",15,null],[13,"Radio","","",15,null],[4,"ButtonsType","","",null,null],[13,"None","","",16,null],[13,"Ok","","",16,null],[13,"Close","","",16,null],[13,"Cancel","","",16,null],[13,"YesNo","","",16,null],[13,"OkCancel","","",16,null],[4,"CellRendererAccelMode","","",null,null],[13,"Gtk","","",17,null],[13,"Other","","",17,null],[13,"ModifierTap","","",17,null],[4,"CellRendererMode","","",null,null],[13,"Inert","","",18,null],[13,"Activatable","","",18,null],[13,"Editable","","",18,null],[4,"CornerType","","",null,null],[13,"TopLeft","","",19,null],[13,"BottomLeft","","",19,null],[13,"TopRight","","",19,null],[13,"BottomRight","","",19,null],[4,"CssProviderError","","",null,null],[13,"Failed","","",20,null],[13,"Syntax","","",20,null],[13,"Import","","",20,null],[13,"Name","","",20,null],[13,"Deprecated","","",20,null],[13,"UnknownValue","","",20,null],[4,"CssSectionType","","",null,null],[13,"Document","","",21,null],[13,"Import","","",21,null],[13,"ColorDefinition","","",21,null],[13,"BindingSet","","",21,null],[13,"Ruleset","","",21,null],[13,"Selector","","",21,null],[13,"Declaration","","",21,null],[13,"Value","","",21,null],[13,"Keyframes","","",21,null],[4,"DeleteType","","",null,null],[13,"Chars","","",22,null],[13,"WordEnds","","",22,null],[13,"Words","","",22,null],[13,"DisplayLines","","",22,null],[13,"DisplayLineEnds","","",22,null],[13,"ParagraphEnds","","",22,null],[13,"Paragraphs","","",22,null],[13,"Whitespace","","",22,null],[4,"DirectionType","","",null,null],[13,"TabForward","","",23,null],[13,"TabBackward","","",23,null],[13,"Up","","",23,null],[13,"Down","","",23,null],[13,"Left","","",23,null],[13,"Right","","",23,null],[4,"DragResult","","",null,null],[13,"Success","","",24,null],[13,"NoTarget","","",24,null],[13,"UserCancelled","","",24,null],[13,"TimeoutExpired","","",24,null],[13,"GrabBroken","","",24,null],[13,"Error","","",24,null],[4,"EntryIconPosition","","",null,null],[13,"Primary","","",25,null],[13,"Secondary","","",25,null],[4,"EventSequenceState","","",null,null],[13,"None","","",26,null],[13,"Claimed","","",26,null],[13,"Denied","","",26,null],[4,"FileChooserAction","","",null,null],[13,"Open","","",27,null],[13,"Save","","",27,null],[13,"SelectFolder","","",27,null],[13,"CreateFolder","","",27,null],[4,"FileChooserConfirmation","","",null,null],[13,"Confirm","","",28,null],[13,"AcceptFilename","","",28,null],[13,"SelectAgain","","",28,null],[4,"FileChooserError","","",null,null],[13,"Nonexistent","","",29,null],[13,"BadFilename","","",29,null],[13,"AlreadyExists","","",29,null],[13,"IncompleteHostname","","",29,null],[4,"IMPreeditStyle","","",null,null],[13,"Nothing","","",30,null],[13,"Callback","","",30,null],[13,"None","","",30,null],[4,"IMStatusStyle","","",null,null],[13,"Nothing","","",31,null],[13,"Callback","","",31,null],[13,"None","","",31,null],[4,"IconSize","","",null,null],[13,"Invalid","","",32,null],[13,"Menu","","",32,null],[13,"SmallToolbar","","",32,null],[13,"LargeToolbar","","",32,null],[13,"Button","","",32,null],[13,"Dnd","","",32,null],[13,"Dialog","","",32,null],[4,"IconThemeError","","",null,null],[13,"NotFound","","",33,null],[13,"Failed","","",33,null],[4,"IconViewDropPosition","","",null,null],[13,"NoDrop","","",34,null],[13,"DropInto","","",34,null],[13,"DropLeft","","",34,null],[13,"DropRight","","",34,null],[13,"DropAbove","","",34,null],[13,"DropBelow","","",34,null],[4,"ImageType","","",null,null],[13,"Empty","","",35,null],[13,"Pixbuf","","",35,null],[13,"Stock","","",35,null],[13,"IconSet","","",35,null],[13,"Animation","","",35,null],[13,"IconName","","",35,null],[13,"Gicon","","",35,null],[13,"Surface","","",35,null],[4,"InputPurpose","","",null,null],[13,"FreeForm","","",36,null],[13,"Alpha","","",36,null],[13,"Digits","","",36,null],[13,"Number","","",36,null],[13,"Phone","","",36,null],[13,"Url","","",36,null],[13,"Email","","",36,null],[13,"Name","","",36,null],[13,"Password","","",36,null],[13,"Pin","","",36,null],[4,"Justification","","",null,null],[13,"Left","","",37,null],[13,"Right","","",37,null],[13,"Center","","",37,null],[13,"Fill","","",37,null],[4,"LevelBarMode","","",null,null],[13,"Continuous","","",38,null],[13,"Discrete","","",38,null],[4,"License","","",null,null],[13,"Unknown","","",39,null],[13,"Custom","","",39,null],[13,"Gpl20","","",39,null],[13,"Gpl30","","",39,null],[13,"Lgpl21","","",39,null],[13,"Lgpl30","","",39,null],[13,"Bsd","","",39,null],[13,"MitX11","","",39,null],[13,"Artistic","","",39,null],[13,"Gpl20Only","","",39,null],[13,"Gpl30Only","","",39,null],[13,"Lgpl21Only","","",39,null],[13,"Lgpl30Only","","",39,null],[13,"Agpl30","","",39,null],[4,"MenuDirectionType","","",null,null],[13,"Parent","","",40,null],[13,"Child","","",40,null],[13,"Next","","",40,null],[13,"Prev","","",40,null],[4,"MessageType","","",null,null],[13,"Info","","",41,null],[13,"Warning","","",41,null],[13,"Question","","",41,null],[13,"Error","","",41,null],[13,"Other","","",41,null],[4,"MovementStep","","",null,null],[13,"LogicalPositions","","",42,null],[13,"VisualPositions","","",42,null],[13,"Words","","",42,null],[13,"DisplayLines","","",42,null],[13,"DisplayLineEnds","","",42,null],[13,"Paragraphs","","",42,null],[13,"ParagraphEnds","","",42,null],[13,"Pages","","",42,null],[13,"BufferEnds","","",42,null],[13,"HorizontalPages","","",42,null],[4,"NotebookTab","","",null,null],[13,"First","","",43,null],[13,"Last","","",43,null],[4,"NumberUpLayout","","",null,null],[13,"Lrtb","","",44,null],[13,"Lrbt","","",44,null],[13,"Rltb","","",44,null],[13,"Rlbt","","",44,null],[13,"Tblr","","",44,null],[13,"Tbrl","","",44,null],[13,"Btlr","","",44,null],[13,"Btrl","","",44,null],[4,"Orientation","","",null,null],[13,"Horizontal","","",45,null],[13,"Vertical","","",45,null],[4,"PackDirection","","",null,null],[13,"Ltr","","",46,null],[13,"Rtl","","",46,null],[13,"Ttb","","",46,null],[13,"Btt","","",46,null],[4,"PackType","","",null,null],[13,"Start","","",47,null],[13,"End","","",47,null],[4,"PageOrientation","","",null,null],[13,"Portrait","","",48,null],[13,"Landscape","","",48,null],[13,"ReversePortrait","","",48,null],[13,"ReverseLandscape","","",48,null],[4,"PageSet","","",null,null],[13,"All","","",49,null],[13,"Even","","",49,null],[13,"Odd","","",49,null],[4,"PanDirection","","",null,null],[13,"Left","","",50,null],[13,"Right","","",50,null],[13,"Up","","",50,null],[13,"Down","","",50,null],[4,"PolicyType","","",null,null],[13,"Always","","",51,null],[13,"Automatic","","",51,null],[13,"Never","","",51,null],[13,"External","","",51,null],[4,"PopoverConstraint","","",null,null],[13,"None","","",52,null],[13,"Window","","",52,null],[4,"PositionType","","",null,null],[13,"Left","","",53,null],[13,"Right","","",53,null],[13,"Top","","",53,null],[13,"Bottom","","",53,null],[4,"PrintDuplex","","",null,null],[13,"Simplex","","",54,null],[13,"Horizontal","","",54,null],[13,"Vertical","","",54,null],[4,"PrintError","","",null,null],[13,"General","","",55,null],[13,"InternalError","","",55,null],[13,"Nomem","","",55,null],[13,"InvalidFile","","",55,null],[4,"PrintPages","","",null,null],[13,"All","","",56,null],[13,"Current","","",56,null],[13,"Ranges","","",56,null],[13,"Selection","","",56,null],[4,"PrintQuality","","",null,null],[13,"Low","","",57,null],[13,"Normal","","",57,null],[13,"High","","",57,null],[13,"Draft","","",57,null],[4,"PropagationPhase","","",null,null],[13,"None","","",58,null],[13,"Capture","","",58,null],[13,"Bubble","","",58,null],[13,"Target","","",58,null],[4,"RecentChooserError","","",null,null],[13,"NotFound","","",59,null],[13,"InvalidUri","","",59,null],[4,"RecentManagerError","","",null,null],[13,"NotFound","","",60,null],[13,"InvalidUri","","",60,null],[13,"InvalidEncoding","","",60,null],[13,"NotRegistered","","",60,null],[13,"Read","","",60,null],[13,"Write","","",60,null],[13,"Unknown","","",60,null],[4,"RecentSortType","","",null,null],[13,"None","","",61,null],[13,"Mru","","",61,null],[13,"Lru","","",61,null],[13,"Custom","","",61,null],[4,"ReliefStyle","","",null,null],[13,"Normal","","",62,null],[13,"Half","","",62,null],[13,"None","","",62,null],[4,"ResizeMode","","",null,null],[13,"Parent","","",63,null],[13,"Queue","","",63,null],[13,"Immediate","","",63,null],[4,"ResponseType","","",null,null],[13,"None","","",64,null],[13,"Reject","","",64,null],[13,"Accept","","",64,null],[13,"DeleteEvent","","",64,null],[13,"Ok","","",64,null],[13,"Cancel","","",64,null],[13,"Close","","",64,null],[13,"Yes","","",64,null],[13,"No","","",64,null],[13,"Apply","","",64,null],[13,"Help","","",64,null],[4,"RevealerTransitionType","","",null,null],[13,"None","","",65,null],[13,"Crossfade","","",65,null],[13,"SlideRight","","",65,null],[13,"SlideLeft","","",65,null],[13,"SlideUp","","",65,null],[13,"SlideDown","","",65,null],[4,"ScrollStep","","",null,null],[13,"Steps","","",66,null],[13,"Pages","","",66,null],[13,"Ends","","",66,null],[13,"HorizontalSteps","","",66,null],[13,"HorizontalPages","","",66,null],[13,"HorizontalEnds","","",66,null],[4,"ScrollType","","",null,null],[13,"None","","",67,null],[13,"Jump","","",67,null],[13,"StepBackward","","",67,null],[13,"StepForward","","",67,null],[13,"PageBackward","","",67,null],[13,"PageForward","","",67,null],[13,"StepUp","","",67,null],[13,"StepDown","","",67,null],[13,"PageUp","","",67,null],[13,"PageDown","","",67,null],[13,"StepLeft","","",67,null],[13,"StepRight","","",67,null],[13,"PageLeft","","",67,null],[13,"PageRight","","",67,null],[13,"Start","","",67,null],[13,"End","","",67,null],[4,"ScrollablePolicy","","",null,null],[13,"Minimum","","",68,null],[13,"Natural","","",68,null],[4,"SelectionMode","","",null,null],[13,"None","","",69,null],[13,"Single","","",69,null],[13,"Browse","","",69,null],[13,"Multiple","","",69,null],[4,"SensitivityType","","",null,null],[13,"Auto","","",70,null],[13,"On","","",70,null],[13,"Off","","",70,null],[4,"ShadowType","","",null,null],[13,"None","","",71,null],[13,"In","","",71,null],[13,"Out","","",71,null],[13,"EtchedIn","","",71,null],[13,"EtchedOut","","",71,null],[4,"SizeGroupMode","","",null,null],[13,"None","","",72,null],[13,"Horizontal","","",72,null],[13,"Vertical","","",72,null],[13,"Both","","",72,null],[4,"SizeRequestMode","","",null,null],[13,"HeightForWidth","","",73,null],[13,"WidthForHeight","","",73,null],[13,"ConstantSize","","",73,null],[4,"SortType","","",null,null],[13,"Ascending","","",74,null],[13,"Descending","","",74,null],[4,"SpinButtonUpdatePolicy","","",null,null],[13,"Always","","",75,null],[13,"IfValid","","",75,null],[4,"SpinType","","",null,null],[13,"StepForward","","",76,null],[13,"StepBackward","","",76,null],[13,"PageForward","","",76,null],[13,"PageBackward","","",76,null],[13,"Home","","",76,null],[13,"End","","",76,null],[13,"UserDefined","","",76,null],[4,"StackTransitionType","","",null,null],[13,"None","","",77,null],[13,"Crossfade","","",77,null],[13,"SlideRight","","",77,null],[13,"SlideLeft","","",77,null],[13,"SlideUp","","",77,null],[13,"SlideDown","","",77,null],[13,"SlideLeftRight","","",77,null],[13,"SlideUpDown","","",77,null],[13,"OverUp","","",77,null],[13,"OverDown","","",77,null],[13,"OverLeft","","",77,null],[13,"OverRight","","",77,null],[13,"UnderUp","","",77,null],[13,"UnderDown","","",77,null],[13,"UnderLeft","","",77,null],[13,"UnderRight","","",77,null],[13,"OverUpDown","","",77,null],[13,"OverDownUp","","",77,null],[13,"OverLeftRight","","",77,null],[13,"OverRightLeft","","",77,null],[4,"StateType","","",null,null],[13,"Normal","","",78,null],[13,"Active","","",78,null],[13,"Prelight","","",78,null],[13,"Selected","","",78,null],[13,"Insensitive","","",78,null],[13,"Inconsistent","","",78,null],[13,"Focused","","",78,null],[4,"TextDirection","","",null,null],[13,"None","","",79,null],[13,"Ltr","","",79,null],[13,"Rtl","","",79,null],[4,"TextExtendSelection","","",null,null],[13,"Word","","",80,null],[13,"Line","","",80,null],[4,"TextWindowType","","",null,null],[13,"Private","","",81,null],[13,"Widget","","",81,null],[13,"Text","","",81,null],[13,"Left","","",81,null],[13,"Right","","",81,null],[13,"Top","","",81,null],[13,"Bottom","","",81,null],[4,"ToolbarStyle","","",null,null],[13,"Icons","","",82,null],[13,"Text","","",82,null],[13,"Both","","",82,null],[13,"BothHoriz","","",82,null],[4,"TreeViewColumnSizing","","",null,null],[13,"GrowOnly","","",83,null],[13,"Autosize","","",83,null],[13,"Fixed","","",83,null],[4,"TreeViewDropPosition","","",null,null],[13,"Before","","",84,null],[13,"After","","",84,null],[13,"IntoOrBefore","","",84,null],[13,"IntoOrAfter","","",84,null],[4,"TreeViewGridLines","","",null,null],[13,"None","","",85,null],[13,"Horizontal","","",85,null],[13,"Vertical","","",85,null],[13,"Both","","",85,null],[4,"Unit","","",null,null],[13,"None","","",86,null],[13,"Points","","",86,null],[13,"Inch","","",86,null],[13,"Mm","","",86,null],[4,"WidgetHelpType","","",null,null],[13,"Tooltip","","",87,null],[13,"WhatsThis","","",87,null],[4,"WindowPosition","","",null,null],[13,"None","","",88,null],[13,"Center","","",88,null],[13,"Mouse","","",88,null],[13,"CenterAlways","","",88,null],[13,"CenterOnParent","","",88,null],[4,"WindowType","","",null,null],[13,"Toplevel","","",89,null],[13,"Popup","","",89,null],[4,"WrapMode","","",null,null],[13,"None","","",90,null],[13,"Char","","",90,null],[13,"Word","","",90,null],[13,"WordChar","","",90,null],[4,"SortColumn","","",null,null],[13,"Default","","",91,null],[13,"Index","","",91,null],[5,"accel_groups_activate","","",null,{"inputs":[{"name":"p"},{"name":"u32"},{"name":"modifiertype"}],"output":{"name":"bool"}}],[5,"accel_groups_from_object","","",null,{"inputs":[{"name":"p"}],"output":{"name":"vec"}}],[5,"accelerator_get_default_mod_mask","","",null,{"inputs":[],"output":{"name":"modifiertype"}}],[5,"accelerator_get_label","","",null,{"inputs":[{"name":"u32"},{"name":"modifiertype"}],"output":{"name":"option"}}],[5,"accelerator_get_label_with_keycode","","",null,{"inputs":[{"name":"p"},{"name":"u32"},{"name":"u32"},{"name":"modifiertype"}],"output":{"name":"option"}}],[5,"accelerator_name","","",null,{"inputs":[{"name":"u32"},{"name":"modifiertype"}],"output":{"name":"option"}}],[5,"accelerator_name_with_keycode","","",null,{"inputs":[{"name":"p"},{"name":"u32"},{"name":"u32"},{"name":"modifiertype"}],"output":{"name":"option"}}],[5,"accelerator_parse","","",null,null],[5,"accelerator_set_default_mod_mask","","",null,{"inputs":[{"name":"modifiertype"}],"output":null}],[5,"accelerator_valid","","",null,{"inputs":[{"name":"u32"},{"name":"modifiertype"}],"output":{"name":"bool"}}],[5,"alternative_dialog_button_order","","",null,{"inputs":[{"name":"p"}],"output":{"name":"bool"}}],[5,"bindings_activate","","",null,{"inputs":[{"name":"p"},{"name":"u32"},{"name":"modifiertype"}],"output":{"name":"bool"}}],[5,"bindings_activate_event","","",null,{"inputs":[{"name":"p"},{"name":"eventkey"}],"output":{"name":"bool"}}],[5,"cairo_should_draw_window","","",null,{"inputs":[{"name":"context"},{"name":"window"}],"output":{"name":"bool"}}],[5,"cairo_transform_to_window","","",null,{"inputs":[{"name":"context"},{"name":"p"},{"name":"window"}],"output":null}],[5,"device_grab_add","","",null,{"inputs":[{"name":"p"},{"name":"q"},{"name":"bool"}],"output":null}],[5,"device_grab_remove","","",null,{"inputs":[{"name":"p"},{"name":"q"}],"output":null}],[5,"disable_setlocale","","",null,{"inputs":[],"output":null}],[5,"events_pending","","",null,{"inputs":[],"output":{"name":"bool"}}],[5,"false_","","",null,{"inputs":[],"output":{"name":"bool"}}],[5,"get_current_event","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"get_current_event_device","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"get_current_event_state","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"get_current_event_time","","",null,{"inputs":[],"output":{"name":"u32"}}],[5,"get_debug_flags","","",null,{"inputs":[],"output":{"name":"u32"}}],[5,"get_default_language","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"get_event_widget","","",null,{"inputs":[{"name":"event"}],"output":{"name":"option"}}],[5,"get_locale_direction","","",null,{"inputs":[],"output":{"name":"textdirection"}}],[5,"grab_get_current","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"main","","",null,{"inputs":[],"output":null}],[5,"main_do_event","","",null,{"inputs":[{"name":"event"}],"output":null}],[5,"main_iteration","","",null,{"inputs":[],"output":{"name":"bool"}}],[5,"main_iteration_do","","",null,{"inputs":[{"name":"bool"}],"output":{"name":"bool"}}],[5,"main_level","","",null,{"inputs":[],"output":{"name":"u32"}}],[5,"print_run_page_setup_dialog","","",null,{"inputs":[{"name":"q"},{"name":"r"},{"name":"printsettings"}],"output":{"name":"option"}}],[5,"propagate_event","","",null,{"inputs":[{"name":"p"},{"name":"event"}],"output":null}],[5,"render_activity","","",null,{"inputs":[{"name":"stylecontext"},{"name":"context"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[5,"render_arrow","","",null,{"inputs":[{"name":"stylecontext"},{"name":"context"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[5,"render_background","","",null,{"inputs":[{"name":"stylecontext"},{"name":"context"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[5,"render_background_get_clip","","",null,{"inputs":[{"name":"stylecontext"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":{"name":"rectangle"}}],[5,"render_check","","",null,{"inputs":[{"name":"stylecontext"},{"name":"context"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[5,"render_expander","","",null,{"inputs":[{"name":"stylecontext"},{"name":"context"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[5,"render_extension","","",null,{"inputs":[{"name":"stylecontext"},{"name":"context"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"positiontype"}],"output":null}],[5,"render_focus","","",null,{"inputs":[{"name":"stylecontext"},{"name":"context"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[5,"render_frame","","",null,{"inputs":[{"name":"stylecontext"},{"name":"context"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[5,"render_frame_gap","","",null,{"inputs":[{"name":"stylecontext"},{"name":"context"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"positiontype"},{"name":"f64"},{"name":"f64"}],"output":null}],[5,"render_handle","","",null,{"inputs":[{"name":"stylecontext"},{"name":"context"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[5,"render_icon","","",null,{"inputs":[{"name":"stylecontext"},{"name":"context"},{"name":"pixbuf"},{"name":"f64"},{"name":"f64"}],"output":null}],[5,"render_icon_pixbuf","","",null,{"inputs":[{"name":"stylecontext"},{"name":"iconsource"},{"name":"i32"}],"output":{"name":"option"}}],[5,"render_icon_surface","","",null,{"inputs":[{"name":"stylecontext"},{"name":"context"},{"name":"surface"},{"name":"f64"},{"name":"f64"}],"output":null}],[5,"render_insertion_cursor","","",null,{"inputs":[{"name":"stylecontext"},{"name":"context"},{"name":"f64"},{"name":"f64"},{"name":"layout"},{"name":"i32"},{"name":"direction"}],"output":null}],[5,"render_layout","","",null,{"inputs":[{"name":"stylecontext"},{"name":"context"},{"name":"f64"},{"name":"f64"},{"name":"layout"}],"output":null}],[5,"render_line","","",null,{"inputs":[{"name":"stylecontext"},{"name":"context"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[5,"render_option","","",null,{"inputs":[{"name":"stylecontext"},{"name":"context"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[5,"render_slider","","",null,{"inputs":[{"name":"stylecontext"},{"name":"context"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"orientation"}],"output":null}],[5,"rgb_to_hsv","","",null,null],[5,"selection_add_target","","",null,{"inputs":[{"name":"p"},{"name":"atom"},{"name":"atom"},{"name":"u32"}],"output":null}],[5,"selection_clear_targets","","",null,{"inputs":[{"name":"p"},{"name":"atom"}],"output":null}],[5,"selection_convert","","",null,{"inputs":[{"name":"p"},{"name":"atom"},{"name":"atom"},{"name":"u32"}],"output":{"name":"bool"}}],[5,"selection_owner_set","","",null,{"inputs":[{"name":"q"},{"name":"atom"},{"name":"u32"}],"output":{"name":"bool"}}],[5,"selection_owner_set_for_display","","",null,{"inputs":[{"name":"display"},{"name":"q"},{"name":"atom"},{"name":"u32"}],"output":{"name":"bool"}}],[5,"selection_remove_all","","",null,{"inputs":[{"name":"p"}],"output":null}],[5,"set_debug_flags","","",null,{"inputs":[{"name":"u32"}],"output":null}],[5,"show_uri","","",null,{"inputs":[{"name":"p"},{"name":"str"},{"name":"u32"}],"output":{"name":"result"}}],[5,"show_uri_on_window","","",null,{"inputs":[{"name":"q"},{"name":"str"},{"name":"u32"}],"output":{"name":"result"}}],[5,"stock_list_ids","","",null,{"inputs":[],"output":{"name":"vec"}}],[5,"targets_include_image","","",null,null],[5,"targets_include_rich_text","","",null,null],[5,"targets_include_text","","",null,null],[5,"targets_include_uri","","",null,null],[5,"test_create_simple_window","","",null,{"inputs":[{"name":"str"},{"name":"str"}],"output":{"name":"option"}}],[5,"test_find_label","","",null,{"inputs":[{"name":"p"},{"name":"str"}],"output":{"name":"option"}}],[5,"test_find_sibling","","",null,{"inputs":[{"name":"p"},{"name":"type"}],"output":{"name":"option"}}],[5,"test_find_widget","","",null,{"inputs":[{"name":"p"},{"name":"str"},{"name":"type"}],"output":{"name":"option"}}],[5,"test_register_all_types","","",null,{"inputs":[],"output":null}],[5,"test_slider_get_value","","",null,{"inputs":[{"name":"p"}],"output":{"name":"f64"}}],[5,"test_slider_set_perc","","",null,{"inputs":[{"name":"p"},{"name":"f64"}],"output":null}],[5,"test_spin_button_click","","",null,{"inputs":[{"name":"spinbutton"},{"name":"u32"},{"name":"bool"}],"output":{"name":"bool"}}],[5,"test_text_get","","",null,{"inputs":[{"name":"p"}],"output":{"name":"option"}}],[5,"test_text_set","","",null,{"inputs":[{"name":"p"},{"name":"str"}],"output":null}],[5,"test_widget_click","","",null,{"inputs":[{"name":"p"},{"name":"u32"},{"name":"modifiertype"}],"output":{"name":"bool"}}],[5,"test_widget_send_key","","",null,{"inputs":[{"name":"p"},{"name":"u32"},{"name":"modifiertype"}],"output":{"name":"bool"}}],[5,"test_widget_wait_for_draw","","",null,{"inputs":[{"name":"p"}],"output":null}],[5,"tree_get_row_drag_data","","",null,{"inputs":[{"name":"selectiondata"}],"output":{"name":"option"}}],[5,"tree_set_row_drag_data","","",null,{"inputs":[{"name":"selectiondata"},{"name":"p"},{"name":"treepath"}],"output":{"name":"bool"}}],[5,"true_","","",null,{"inputs":[],"output":{"name":"bool"}}],[5,"is_initialized","","Returns `true` if GTK has been initialized.",null,{"inputs":[],"output":{"name":"bool"}}],[5,"is_initialized_main_thread","","Returns `true` if GTK has been initialized and this is the main thread.",null,{"inputs":[],"output":{"name":"bool"}}],[5,"set_initialized","","Informs this crate that GTK has been initialized and the current thread is the main one.",null,{"inputs":[],"output":null}],[5,"init","","Tries to initialize GTK+.",null,{"inputs":[],"output":{"name":"result"}}],[5,"main_quit","","",null,{"inputs":[],"output":null}],[5,"get_major_version","","",null,{"inputs":[],"output":{"name":"u32"}}],[5,"get_minor_version","","",null,{"inputs":[],"output":{"name":"u32"}}],[5,"get_micro_version","","",null,{"inputs":[],"output":{"name":"u32"}}],[5,"get_binary_age","","",null,{"inputs":[],"output":{"name":"u32"}}],[5,"get_interface_age","","",null,{"inputs":[],"output":{"name":"u32"}}],[5,"check_version","","",null,{"inputs":[{"name":"u32"},{"name":"u32"},{"name":"u32"}],"output":{"name":"option"}}],[5,"idle_add","","Adds a closure to be called by the default main loop when it's idle.",null,{"inputs":[{"name":"f"}],"output":{"name":"sourceid"}}],[5,"timeout_add","","Adds a closure to be called by the default main loop at regular intervals with millisecond granularity.",null,{"inputs":[{"name":"u32"},{"name":"f"}],"output":{"name":"sourceid"}}],[5,"timeout_add_seconds","","Adds a closure to be called by the default main loop at regular intervals with second granularity.",null,{"inputs":[{"name":"u32"},{"name":"f"}],"output":{"name":"sourceid"}}],[11,"clone","","",92,{"inputs":[{"name":"self"}],"output":{"name":"aboutdialog"}}],[11,"fmt","","",92,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",92,null],[11,"static_type","","",92,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",92,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",92,{"inputs":[],"output":{"name":"aboutdialog"}}],[11,"clone","","",93,{"inputs":[{"name":"self"}],"output":{"name":"accelgroup"}}],[11,"fmt","","",93,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",93,null],[11,"static_type","","",93,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",93,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",93,{"inputs":[],"output":{"name":"accelgroup"}}],[11,"clone","","",94,{"inputs":[{"name":"self"}],"output":{"name":"actionbar"}}],[11,"fmt","","",94,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",94,null],[11,"static_type","","",94,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",94,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",94,{"inputs":[],"output":{"name":"actionbar"}}],[11,"clone","","",95,{"inputs":[{"name":"self"}],"output":{"name":"actionable"}}],[11,"fmt","","",95,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",95,null],[11,"static_type","","",95,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",95,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",96,{"inputs":[{"name":"self"}],"output":{"name":"adjustment"}}],[11,"fmt","","",96,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",96,null],[11,"static_type","","",96,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",96,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",96,{"inputs":[{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":{"name":"adjustment"}}],[11,"clone","","",97,{"inputs":[{"name":"self"}],"output":{"name":"alignment"}}],[11,"fmt","","",97,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",97,null],[11,"static_type","","",97,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",97,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",97,{"inputs":[{"name":"f32"},{"name":"f32"},{"name":"f32"},{"name":"f32"}],"output":{"name":"alignment"}}],[11,"clone","","",98,{"inputs":[{"name":"self"}],"output":{"name":"appchooserdialog"}}],[11,"fmt","","",98,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",98,null],[11,"static_type","","",98,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",98,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new_for_content_type","","",98,{"inputs":[{"name":"q"},{"name":"dialogflags"},{"name":"str"}],"output":{"name":"appchooserdialog"}}],[11,"clone","","",99,{"inputs":[{"name":"self"}],"output":{"name":"appchooserwidget"}}],[11,"fmt","","",99,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",99,null],[11,"static_type","","",99,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",99,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",99,{"inputs":[{"name":"str"}],"output":{"name":"appchooserwidget"}}],[11,"clone","","",100,{"inputs":[{"name":"self"}],"output":{"name":"application"}}],[11,"fmt","","",100,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",100,null],[11,"static_type","","",100,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",100,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",101,{"inputs":[{"name":"self"}],"output":{"name":"applicationwindow"}}],[11,"fmt","","",101,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",101,null],[11,"static_type","","",101,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",101,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",101,{"inputs":[{"name":"application"}],"output":{"name":"applicationwindow"}}],[11,"clone","","",102,{"inputs":[{"name":"self"}],"output":{"name":"arrow"}}],[11,"fmt","","",102,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",102,null],[11,"static_type","","",102,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",102,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",102,{"inputs":[{"name":"arrowtype"},{"name":"shadowtype"}],"output":{"name":"arrow"}}],[11,"clone","","",103,{"inputs":[{"name":"self"}],"output":{"name":"aspectframe"}}],[11,"fmt","","",103,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",103,null],[11,"static_type","","",103,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",103,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",103,{"inputs":[{"name":"p"},{"name":"f32"},{"name":"f32"},{"name":"f32"},{"name":"bool"}],"output":{"name":"aspectframe"}}],[11,"clone","","",104,{"inputs":[{"name":"self"}],"output":{"name":"assistant"}}],[11,"fmt","","",104,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",104,null],[11,"static_type","","",104,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",104,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",104,{"inputs":[],"output":{"name":"assistant"}}],[11,"clone","","",105,{"inputs":[{"name":"self"}],"output":{"name":"bin"}}],[11,"fmt","","",105,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",105,null],[11,"static_type","","",105,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",105,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",106,{"inputs":[{"name":"self"}],"output":{"name":"box"}}],[11,"fmt","","",106,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",106,null],[11,"static_type","","",106,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",106,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",106,{"inputs":[{"name":"orientation"},{"name":"i32"}],"output":{"name":"box"}}],[11,"clone","","",107,{"inputs":[{"name":"self"}],"output":{"name":"button"}}],[11,"fmt","","",107,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",107,null],[11,"static_type","","",107,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",107,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",107,{"inputs":[],"output":{"name":"button"}}],[11,"new_from_icon_name","","",107,{"inputs":[{"name":"str"},{"name":"i32"}],"output":{"name":"button"}}],[11,"new_from_stock","","",107,{"inputs":[{"name":"str"}],"output":{"name":"button"}}],[11,"new_with_label","","",107,{"inputs":[{"name":"str"}],"output":{"name":"button"}}],[11,"new_with_mnemonic","","",107,{"inputs":[{"name":"str"}],"output":{"name":"button"}}],[11,"clone","","",108,{"inputs":[{"name":"self"}],"output":{"name":"buttonbox"}}],[11,"fmt","","",108,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",108,null],[11,"static_type","","",108,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",108,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",108,{"inputs":[{"name":"orientation"}],"output":{"name":"buttonbox"}}],[11,"clone","","",109,{"inputs":[{"name":"self"}],"output":{"name":"calendar"}}],[11,"fmt","","",109,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",109,null],[11,"static_type","","",109,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",109,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",109,{"inputs":[],"output":{"name":"calendar"}}],[11,"clone","","",110,{"inputs":[{"name":"self"}],"output":{"name":"cellarea"}}],[11,"fmt","","",110,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",110,null],[11,"static_type","","",110,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",110,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",111,{"inputs":[{"name":"self"}],"output":{"name":"cellareabox"}}],[11,"fmt","","",111,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",111,null],[11,"static_type","","",111,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",111,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",111,{"inputs":[],"output":{"name":"cellareabox"}}],[11,"clone","","",112,{"inputs":[{"name":"self"}],"output":{"name":"cellareacontext"}}],[11,"fmt","","",112,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",112,null],[11,"static_type","","",112,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",112,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",113,{"inputs":[{"name":"self"}],"output":{"name":"celleditable"}}],[11,"fmt","","",113,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",113,null],[11,"static_type","","",113,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",113,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",114,{"inputs":[{"name":"self"}],"output":{"name":"celllayout"}}],[11,"fmt","","",114,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",114,null],[11,"static_type","","",114,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",114,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",115,{"inputs":[{"name":"self"}],"output":{"name":"cellrenderer"}}],[11,"fmt","","",115,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",115,null],[11,"static_type","","",115,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",115,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",116,{"inputs":[{"name":"self"}],"output":{"name":"cellrendereraccel"}}],[11,"fmt","","",116,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",116,null],[11,"static_type","","",116,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",116,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",116,{"inputs":[],"output":{"name":"cellrendereraccel"}}],[11,"clone","","",117,{"inputs":[{"name":"self"}],"output":{"name":"cellrenderercombo"}}],[11,"fmt","","",117,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",117,null],[11,"static_type","","",117,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",117,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",117,{"inputs":[],"output":{"name":"cellrenderercombo"}}],[11,"clone","","",118,{"inputs":[{"name":"self"}],"output":{"name":"cellrendererpixbuf"}}],[11,"fmt","","",118,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",118,null],[11,"static_type","","",118,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",118,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",118,{"inputs":[],"output":{"name":"cellrendererpixbuf"}}],[11,"clone","","",119,{"inputs":[{"name":"self"}],"output":{"name":"cellrendererprogress"}}],[11,"fmt","","",119,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",119,null],[11,"static_type","","",119,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",119,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",119,{"inputs":[],"output":{"name":"cellrendererprogress"}}],[11,"clone","","",120,{"inputs":[{"name":"self"}],"output":{"name":"cellrendererspin"}}],[11,"fmt","","",120,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",120,null],[11,"static_type","","",120,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",120,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",120,{"inputs":[],"output":{"name":"cellrendererspin"}}],[11,"clone","","",121,{"inputs":[{"name":"self"}],"output":{"name":"cellrendererspinner"}}],[11,"fmt","","",121,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",121,null],[11,"static_type","","",121,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",121,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",121,{"inputs":[],"output":{"name":"cellrendererspinner"}}],[11,"clone","","",122,{"inputs":[{"name":"self"}],"output":{"name":"cellrenderertext"}}],[11,"fmt","","",122,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",122,null],[11,"static_type","","",122,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",122,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",122,{"inputs":[],"output":{"name":"cellrenderertext"}}],[11,"clone","","",123,{"inputs":[{"name":"self"}],"output":{"name":"cellrenderertoggle"}}],[11,"fmt","","",123,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",123,null],[11,"static_type","","",123,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",123,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",123,{"inputs":[],"output":{"name":"cellrenderertoggle"}}],[11,"clone","","",124,{"inputs":[{"name":"self"}],"output":{"name":"checkbutton"}}],[11,"fmt","","",124,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",124,null],[11,"static_type","","",124,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",124,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",124,{"inputs":[],"output":{"name":"checkbutton"}}],[11,"new_with_label","","",124,{"inputs":[{"name":"str"}],"output":{"name":"checkbutton"}}],[11,"new_with_mnemonic","","",124,{"inputs":[{"name":"str"}],"output":{"name":"checkbutton"}}],[11,"clone","","",125,{"inputs":[{"name":"self"}],"output":{"name":"checkmenuitem"}}],[11,"fmt","","",125,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",125,null],[11,"static_type","","",125,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",125,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",125,{"inputs":[],"output":{"name":"checkmenuitem"}}],[11,"new_with_label","","",125,{"inputs":[{"name":"str"}],"output":{"name":"checkmenuitem"}}],[11,"new_with_mnemonic","","",125,{"inputs":[{"name":"str"}],"output":{"name":"checkmenuitem"}}],[11,"clone","","",126,{"inputs":[{"name":"self"}],"output":{"name":"clipboard"}}],[11,"fmt","","",126,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",126,null],[11,"static_type","","",126,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",126,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"get","","",126,{"inputs":[{"name":"atom"}],"output":{"name":"clipboard"}}],[11,"get_default","","",126,{"inputs":[{"name":"display"}],"output":{"name":"option"}}],[11,"get_for_display","","",126,{"inputs":[{"name":"display"},{"name":"atom"}],"output":{"name":"clipboard"}}],[11,"clone","","",127,{"inputs":[{"name":"self"}],"output":{"name":"colorbutton"}}],[11,"fmt","","",127,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",127,null],[11,"static_type","","",127,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",127,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",127,{"inputs":[],"output":{"name":"colorbutton"}}],[11,"new_with_rgba","","",127,{"inputs":[{"name":"rgba"}],"output":{"name":"colorbutton"}}],[11,"clone","","",128,{"inputs":[{"name":"self"}],"output":{"name":"colorchooser"}}],[11,"fmt","","",128,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",128,null],[11,"static_type","","",128,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",128,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",129,{"inputs":[{"name":"self"}],"output":{"name":"colorchooserdialog"}}],[11,"fmt","","",129,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",129,null],[11,"static_type","","",129,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",129,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",129,{"inputs":[{"name":"p"},{"name":"r"}],"output":{"name":"colorchooserdialog"}}],[11,"clone","","",130,{"inputs":[{"name":"self"}],"output":{"name":"colorchooserwidget"}}],[11,"fmt","","",130,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",130,null],[11,"static_type","","",130,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",130,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",130,{"inputs":[],"output":{"name":"colorchooserwidget"}}],[11,"clone","","",131,{"inputs":[{"name":"self"}],"output":{"name":"combobox"}}],[11,"fmt","","",131,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",131,null],[11,"static_type","","",131,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",131,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",131,{"inputs":[],"output":{"name":"combobox"}}],[11,"new_with_area","","",131,{"inputs":[{"name":"p"}],"output":{"name":"combobox"}}],[11,"new_with_area_and_entry","","",131,{"inputs":[{"name":"p"}],"output":{"name":"combobox"}}],[11,"new_with_entry","","",131,{"inputs":[],"output":{"name":"combobox"}}],[11,"new_with_model","","",131,{"inputs":[{"name":"p"}],"output":{"name":"combobox"}}],[11,"new_with_model_and_entry","","",131,{"inputs":[{"name":"p"}],"output":{"name":"combobox"}}],[11,"clone","","",132,{"inputs":[{"name":"self"}],"output":{"name":"comboboxtext"}}],[11,"fmt","","",132,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",132,null],[11,"static_type","","",132,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",132,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",132,{"inputs":[],"output":{"name":"comboboxtext"}}],[11,"new_with_entry","","",132,{"inputs":[],"output":{"name":"comboboxtext"}}],[11,"clone","","",133,{"inputs":[{"name":"self"}],"output":{"name":"container"}}],[11,"fmt","","",133,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",133,null],[11,"static_type","","",133,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",133,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",134,{"inputs":[{"name":"self"}],"output":{"name":"cssprovider"}}],[11,"fmt","","",134,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",134,null],[11,"static_type","","",134,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",134,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",134,{"inputs":[],"output":{"name":"cssprovider"}}],[11,"get_default","","",134,{"inputs":[],"output":{"name":"option"}}],[11,"get_named","","",134,{"inputs":[{"name":"str"},{"name":"p"}],"output":{"name":"option"}}],[11,"fmt","","",134,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",135,{"inputs":[{"name":"self"}],"output":{"name":"dialog"}}],[11,"fmt","","",135,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",135,null],[11,"static_type","","",135,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",135,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",135,{"inputs":[],"output":{"name":"dialog"}}],[11,"clone","","",136,{"inputs":[{"name":"self"}],"output":{"name":"drawingarea"}}],[11,"fmt","","",136,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",136,null],[11,"static_type","","",136,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",136,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",136,{"inputs":[],"output":{"name":"drawingarea"}}],[11,"clone","","",137,{"inputs":[{"name":"self"}],"output":{"name":"editable"}}],[11,"fmt","","",137,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",137,null],[11,"static_type","","",137,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",137,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",138,{"inputs":[{"name":"self"}],"output":{"name":"entry"}}],[11,"fmt","","",138,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",138,null],[11,"static_type","","",138,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",138,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",138,{"inputs":[],"output":{"name":"entry"}}],[11,"new_with_buffer","","",138,{"inputs":[{"name":"entrybuffer"}],"output":{"name":"entry"}}],[11,"clone","","",139,{"inputs":[{"name":"self"}],"output":{"name":"entrycompletion"}}],[11,"fmt","","",139,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",139,null],[11,"static_type","","",139,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",139,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",139,{"inputs":[],"output":{"name":"entrycompletion"}}],[11,"new_with_area","","",139,{"inputs":[{"name":"p"}],"output":{"name":"entrycompletion"}}],[11,"clone","","",140,{"inputs":[{"name":"self"}],"output":{"name":"eventbox"}}],[11,"fmt","","",140,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",140,null],[11,"static_type","","",140,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",140,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",140,{"inputs":[],"output":{"name":"eventbox"}}],[11,"clone","","",141,{"inputs":[{"name":"self"}],"output":{"name":"eventcontroller"}}],[11,"fmt","","",141,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",141,null],[11,"static_type","","",141,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",141,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",142,{"inputs":[{"name":"self"}],"output":{"name":"expander"}}],[11,"fmt","","",142,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",142,null],[11,"static_type","","",142,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",142,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",142,{"inputs":[{"name":"p"}],"output":{"name":"expander"}}],[11,"new_with_mnemonic","","",142,{"inputs":[{"name":"str"}],"output":{"name":"expander"}}],[11,"clone","","",143,{"inputs":[{"name":"self"}],"output":{"name":"filechooser"}}],[11,"fmt","","",143,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",143,null],[11,"static_type","","",143,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",143,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",144,{"inputs":[{"name":"self"}],"output":{"name":"filechooserbutton"}}],[11,"fmt","","",144,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",144,null],[11,"static_type","","",144,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",144,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",144,{"inputs":[{"name":"str"},{"name":"filechooseraction"}],"output":{"name":"filechooserbutton"}}],[11,"new_with_dialog","","",144,{"inputs":[{"name":"p"}],"output":{"name":"filechooserbutton"}}],[11,"clone","","",145,{"inputs":[{"name":"self"}],"output":{"name":"filechooserdialog"}}],[11,"fmt","","",145,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",145,null],[11,"static_type","","",145,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",145,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",146,{"inputs":[{"name":"self"}],"output":{"name":"filechooserwidget"}}],[11,"fmt","","",146,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",146,null],[11,"static_type","","",146,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",146,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",146,{"inputs":[{"name":"filechooseraction"}],"output":{"name":"filechooserwidget"}}],[11,"clone","","",147,{"inputs":[{"name":"self"}],"output":{"name":"filefilter"}}],[11,"fmt","","",147,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",147,null],[11,"static_type","","",147,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",147,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",147,{"inputs":[],"output":{"name":"filefilter"}}],[11,"new_from_gvariant","","",147,{"inputs":[{"name":"variant"}],"output":{"name":"filefilter"}}],[11,"clone","","",148,{"inputs":[{"name":"self"}],"output":{"name":"fixed"}}],[11,"fmt","","",148,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",148,null],[11,"static_type","","",148,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",148,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",148,{"inputs":[],"output":{"name":"fixed"}}],[11,"clone","","",149,{"inputs":[{"name":"self"}],"output":{"name":"flowbox"}}],[11,"fmt","","",149,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",149,null],[11,"static_type","","",149,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",149,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",149,{"inputs":[],"output":{"name":"flowbox"}}],[11,"clone","","",150,{"inputs":[{"name":"self"}],"output":{"name":"flowboxchild"}}],[11,"fmt","","",150,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",150,null],[11,"static_type","","",150,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",150,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",150,{"inputs":[],"output":{"name":"flowboxchild"}}],[11,"clone","","",151,{"inputs":[{"name":"self"}],"output":{"name":"fontbutton"}}],[11,"fmt","","",151,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",151,null],[11,"static_type","","",151,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",151,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",151,{"inputs":[],"output":{"name":"fontbutton"}}],[11,"new_with_font","","",151,{"inputs":[{"name":"str"}],"output":{"name":"fontbutton"}}],[11,"clone","","",152,{"inputs":[{"name":"self"}],"output":{"name":"fontchooser"}}],[11,"fmt","","",152,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",152,null],[11,"static_type","","",152,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",152,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",153,{"inputs":[{"name":"self"}],"output":{"name":"fontchooserdialog"}}],[11,"fmt","","",153,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",153,null],[11,"static_type","","",153,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",153,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",153,{"inputs":[{"name":"p"},{"name":"r"}],"output":{"name":"fontchooserdialog"}}],[11,"clone","","",154,{"inputs":[{"name":"self"}],"output":{"name":"fontchooserwidget"}}],[11,"fmt","","",154,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",154,null],[11,"static_type","","",154,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",154,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",154,{"inputs":[],"output":{"name":"fontchooserwidget"}}],[11,"clone","","",155,{"inputs":[{"name":"self"}],"output":{"name":"frame"}}],[11,"fmt","","",155,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",155,null],[11,"static_type","","",155,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",155,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",155,{"inputs":[{"name":"p"}],"output":{"name":"frame"}}],[11,"clone","","",156,{"inputs":[{"name":"self"}],"output":{"name":"glarea"}}],[11,"fmt","","",156,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",156,null],[11,"static_type","","",156,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",156,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",156,{"inputs":[],"output":{"name":"glarea"}}],[11,"clone","","",157,{"inputs":[{"name":"self"}],"output":{"name":"gesture"}}],[11,"fmt","","",157,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",157,null],[11,"static_type","","",157,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",157,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",158,{"inputs":[{"name":"self"}],"output":{"name":"gesturedrag"}}],[11,"fmt","","",158,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",158,null],[11,"static_type","","",158,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",158,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",158,{"inputs":[{"name":"p"}],"output":{"name":"gesturedrag"}}],[11,"clone","","",159,{"inputs":[{"name":"self"}],"output":{"name":"gesturelongpress"}}],[11,"fmt","","",159,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",159,null],[11,"static_type","","",159,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",159,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",159,{"inputs":[{"name":"p"}],"output":{"name":"gesturelongpress"}}],[11,"clone","","",160,{"inputs":[{"name":"self"}],"output":{"name":"gesturemultipress"}}],[11,"fmt","","",160,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",160,null],[11,"static_type","","",160,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",160,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",160,{"inputs":[{"name":"p"}],"output":{"name":"gesturemultipress"}}],[11,"clone","","",161,{"inputs":[{"name":"self"}],"output":{"name":"gesturepan"}}],[11,"fmt","","",161,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",161,null],[11,"static_type","","",161,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",161,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",161,{"inputs":[{"name":"p"},{"name":"orientation"}],"output":{"name":"gesturepan"}}],[11,"clone","","",162,{"inputs":[{"name":"self"}],"output":{"name":"gesturerotate"}}],[11,"fmt","","",162,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",162,null],[11,"static_type","","",162,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",162,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",162,{"inputs":[{"name":"p"}],"output":{"name":"gesturerotate"}}],[11,"clone","","",163,{"inputs":[{"name":"self"}],"output":{"name":"gesturesingle"}}],[11,"fmt","","",163,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",163,null],[11,"static_type","","",163,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",163,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",164,{"inputs":[{"name":"self"}],"output":{"name":"gestureswipe"}}],[11,"fmt","","",164,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",164,null],[11,"static_type","","",164,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",164,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",164,{"inputs":[{"name":"p"}],"output":{"name":"gestureswipe"}}],[11,"clone","","",165,{"inputs":[{"name":"self"}],"output":{"name":"gesturezoom"}}],[11,"fmt","","",165,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",165,null],[11,"static_type","","",165,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",165,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",165,{"inputs":[{"name":"p"}],"output":{"name":"gesturezoom"}}],[11,"clone","","",166,{"inputs":[{"name":"self"}],"output":{"name":"grid"}}],[11,"fmt","","",166,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",166,null],[11,"static_type","","",166,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",166,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",166,{"inputs":[],"output":{"name":"grid"}}],[11,"clone","","",167,{"inputs":[{"name":"self"}],"output":{"name":"headerbar"}}],[11,"fmt","","",167,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",167,null],[11,"static_type","","",167,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",167,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",167,{"inputs":[],"output":{"name":"headerbar"}}],[11,"clone","","",168,{"inputs":[{"name":"self"}],"output":{"name":"imcontext"}}],[11,"fmt","","",168,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",168,null],[11,"static_type","","",168,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",168,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",169,{"inputs":[{"name":"self"}],"output":{"name":"immulticontext"}}],[11,"fmt","","",169,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",169,null],[11,"static_type","","",169,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",169,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",169,{"inputs":[],"output":{"name":"immulticontext"}}],[11,"clone","","",170,{"inputs":[{"name":"self"}],"output":{"name":"iconfactory"}}],[11,"fmt","","",170,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",170,null],[11,"static_type","","",170,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",170,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",170,{"inputs":[],"output":{"name":"iconfactory"}}],[11,"lookup_default","","",170,{"inputs":[{"name":"str"}],"output":{"name":"option"}}],[11,"clone","","",171,{"inputs":[{"name":"self"}],"output":{"name":"iconinfo"}}],[11,"fmt","","",171,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",171,null],[11,"static_type","","",171,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",171,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new_for_pixbuf","","",171,{"inputs":[{"name":"icontheme"},{"name":"pixbuf"}],"output":{"name":"iconinfo"}}],[11,"clone","","",172,{"inputs":[{"name":"self"}],"output":{"name":"icontheme"}}],[11,"fmt","","",172,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",172,null],[11,"static_type","","",172,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",172,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",172,{"inputs":[],"output":{"name":"icontheme"}}],[11,"add_builtin_icon","","",172,{"inputs":[{"name":"str"},{"name":"i32"},{"name":"pixbuf"}],"output":null}],[11,"get_default","","",172,{"inputs":[],"output":{"name":"option"}}],[11,"get_for_screen","","",172,{"inputs":[{"name":"screen"}],"output":{"name":"option"}}],[11,"clone","","",173,{"inputs":[{"name":"self"}],"output":{"name":"iconview"}}],[11,"fmt","","",173,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",173,null],[11,"static_type","","",173,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",173,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",173,{"inputs":[],"output":{"name":"iconview"}}],[11,"new_with_area","","",173,{"inputs":[{"name":"p"}],"output":{"name":"iconview"}}],[11,"new_with_model","","",173,{"inputs":[{"name":"p"}],"output":{"name":"iconview"}}],[11,"clone","","",174,{"inputs":[{"name":"self"}],"output":{"name":"image"}}],[11,"fmt","","",174,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",174,null],[11,"static_type","","",174,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",174,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",174,{"inputs":[],"output":{"name":"image"}}],[11,"new_from_animation","","",174,{"inputs":[{"name":"p"}],"output":{"name":"image"}}],[11,"new_from_file","","",174,{"inputs":[{"name":"p"}],"output":{"name":"image"}}],[11,"new_from_gicon","","",174,{"inputs":[{"name":"p"},{"name":"i32"}],"output":{"name":"image"}}],[11,"new_from_icon_name","","",174,{"inputs":[{"name":"str"},{"name":"i32"}],"output":{"name":"image"}}],[11,"new_from_icon_set","","",174,{"inputs":[{"name":"iconset"},{"name":"i32"}],"output":{"name":"image"}}],[11,"new_from_pixbuf","","",174,{"inputs":[{"name":"p"}],"output":{"name":"image"}}],[11,"new_from_resource","","",174,{"inputs":[{"name":"str"}],"output":{"name":"image"}}],[11,"new_from_stock","","",174,{"inputs":[{"name":"str"},{"name":"i32"}],"output":{"name":"image"}}],[11,"new_from_surface","","",174,{"inputs":[{"name":"p"}],"output":{"name":"image"}}],[11,"clone","","",175,{"inputs":[{"name":"self"}],"output":{"name":"imagemenuitem"}}],[11,"fmt","","",175,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",175,null],[11,"static_type","","",175,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",175,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",175,{"inputs":[],"output":{"name":"imagemenuitem"}}],[11,"new_from_stock","","",175,{"inputs":[{"name":"str"},{"name":"p"}],"output":{"name":"imagemenuitem"}}],[11,"new_with_label","","",175,{"inputs":[{"name":"str"}],"output":{"name":"imagemenuitem"}}],[11,"new_with_mnemonic","","",175,{"inputs":[{"name":"str"}],"output":{"name":"imagemenuitem"}}],[11,"clone","","",176,{"inputs":[{"name":"self"}],"output":{"name":"infobar"}}],[11,"fmt","","",176,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",176,null],[11,"static_type","","",176,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",176,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",176,{"inputs":[],"output":{"name":"infobar"}}],[11,"clone","","",177,{"inputs":[{"name":"self"}],"output":{"name":"label"}}],[11,"fmt","","",177,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",177,null],[11,"static_type","","",177,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",177,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",177,{"inputs":[{"name":"p"}],"output":{"name":"label"}}],[11,"new_with_mnemonic","","",177,{"inputs":[{"name":"p"}],"output":{"name":"label"}}],[11,"clone","","",178,{"inputs":[{"name":"self"}],"output":{"name":"layout"}}],[11,"fmt","","",178,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",178,null],[11,"static_type","","",178,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",178,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",178,{"inputs":[{"name":"p"},{"name":"q"}],"output":{"name":"layout"}}],[11,"clone","","",179,{"inputs":[{"name":"self"}],"output":{"name":"levelbar"}}],[11,"fmt","","",179,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",179,null],[11,"static_type","","",179,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",179,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",179,{"inputs":[],"output":{"name":"levelbar"}}],[11,"new_for_interval","","",179,{"inputs":[{"name":"f64"},{"name":"f64"}],"output":{"name":"levelbar"}}],[11,"clone","","",180,{"inputs":[{"name":"self"}],"output":{"name":"linkbutton"}}],[11,"fmt","","",180,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",180,null],[11,"static_type","","",180,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",180,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",180,{"inputs":[{"name":"str"}],"output":{"name":"linkbutton"}}],[11,"new_with_label","","",180,{"inputs":[{"name":"str"},{"name":"p"}],"output":{"name":"linkbutton"}}],[11,"clone","","",181,{"inputs":[{"name":"self"}],"output":{"name":"listbox"}}],[11,"fmt","","",181,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",181,null],[11,"static_type","","",181,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",181,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",181,{"inputs":[],"output":{"name":"listbox"}}],[11,"clone","","",182,{"inputs":[{"name":"self"}],"output":{"name":"listboxrow"}}],[11,"fmt","","",182,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",182,null],[11,"static_type","","",182,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",182,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",182,{"inputs":[],"output":{"name":"listboxrow"}}],[11,"clone","","",183,{"inputs":[{"name":"self"}],"output":{"name":"liststore"}}],[11,"fmt","","",183,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",183,null],[11,"static_type","","",183,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",183,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",184,{"inputs":[{"name":"self"}],"output":{"name":"menu"}}],[11,"fmt","","",184,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",184,null],[11,"static_type","","",184,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",184,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",184,{"inputs":[],"output":{"name":"menu"}}],[11,"new_from_model","","",184,{"inputs":[{"name":"p"}],"output":{"name":"menu"}}],[11,"get_for_attach_widget","","",184,{"inputs":[{"name":"p"}],"output":{"name":"vec"}}],[11,"clone","","",185,{"inputs":[{"name":"self"}],"output":{"name":"menubar"}}],[11,"fmt","","",185,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",185,null],[11,"static_type","","",185,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",185,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",185,{"inputs":[],"output":{"name":"menubar"}}],[11,"new_from_model","","",185,{"inputs":[{"name":"p"}],"output":{"name":"menubar"}}],[11,"clone","","",186,{"inputs":[{"name":"self"}],"output":{"name":"menubutton"}}],[11,"fmt","","",186,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",186,null],[11,"static_type","","",186,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",186,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",186,{"inputs":[],"output":{"name":"menubutton"}}],[11,"clone","","",187,{"inputs":[{"name":"self"}],"output":{"name":"menuitem"}}],[11,"fmt","","",187,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",187,null],[11,"static_type","","",187,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",187,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",187,{"inputs":[],"output":{"name":"menuitem"}}],[11,"new_with_label","","",187,{"inputs":[{"name":"str"}],"output":{"name":"menuitem"}}],[11,"new_with_mnemonic","","",187,{"inputs":[{"name":"str"}],"output":{"name":"menuitem"}}],[11,"clone","","",188,{"inputs":[{"name":"self"}],"output":{"name":"menushell"}}],[11,"fmt","","",188,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",188,null],[11,"static_type","","",188,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",188,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",189,{"inputs":[{"name":"self"}],"output":{"name":"menutoolbutton"}}],[11,"fmt","","",189,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",189,null],[11,"static_type","","",189,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",189,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",189,{"inputs":[{"name":"q"},{"name":"r"}],"output":{"name":"menutoolbutton"}}],[11,"new_from_stock","","",189,{"inputs":[{"name":"str"}],"output":{"name":"menutoolbutton"}}],[11,"clone","","",190,{"inputs":[{"name":"self"}],"output":{"name":"messagedialog"}}],[11,"fmt","","",190,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",190,null],[11,"static_type","","",190,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",190,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",191,{"inputs":[{"name":"self"}],"output":{"name":"misc"}}],[11,"fmt","","",191,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",191,null],[11,"static_type","","",191,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",191,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",192,{"inputs":[{"name":"self"}],"output":{"name":"modelbutton"}}],[11,"fmt","","",192,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",192,null],[11,"static_type","","",192,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",192,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",192,{"inputs":[],"output":{"name":"modelbutton"}}],[11,"clone","","",193,{"inputs":[{"name":"self"}],"output":{"name":"notebook"}}],[11,"fmt","","",193,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",193,null],[11,"static_type","","",193,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",193,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",193,{"inputs":[],"output":{"name":"notebook"}}],[11,"clone","","",194,{"inputs":[{"name":"self"}],"output":{"name":"orientable"}}],[11,"fmt","","",194,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",194,null],[11,"static_type","","",194,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",194,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",195,{"inputs":[{"name":"self"}],"output":{"name":"overlay"}}],[11,"fmt","","",195,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",195,null],[11,"static_type","","",195,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",195,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",195,{"inputs":[],"output":{"name":"overlay"}}],[11,"clone","","",196,{"inputs":[{"name":"self"}],"output":{"name":"pagesetup"}}],[11,"fmt","","",196,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",196,null],[11,"static_type","","",196,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",196,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",196,{"inputs":[],"output":{"name":"pagesetup"}}],[11,"new_from_file","","",196,{"inputs":[{"name":"p"}],"output":{"name":"result"}}],[11,"new_from_gvariant","","",196,{"inputs":[{"name":"variant"}],"output":{"name":"pagesetup"}}],[11,"new_from_key_file","","",196,{"inputs":[{"name":"keyfile"},{"name":"p"}],"output":{"name":"result"}}],[11,"clone","","",197,{"inputs":[{"name":"self"}],"output":{"name":"paned"}}],[11,"fmt","","",197,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",197,null],[11,"static_type","","",197,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",197,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",197,{"inputs":[{"name":"orientation"}],"output":{"name":"paned"}}],[11,"clone","","",198,{"inputs":[{"name":"self"}],"output":{"name":"placessidebar"}}],[11,"fmt","","",198,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",198,null],[11,"static_type","","",198,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",198,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",198,{"inputs":[],"output":{"name":"placessidebar"}}],[11,"clone","","",199,{"inputs":[{"name":"self"}],"output":{"name":"popover"}}],[11,"fmt","","",199,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",199,null],[11,"static_type","","",199,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",199,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",199,{"inputs":[{"name":"q"}],"output":{"name":"popover"}}],[11,"new_from_model","","",199,{"inputs":[{"name":"q"},{"name":"r"}],"output":{"name":"popover"}}],[11,"clone","","",200,{"inputs":[{"name":"self"}],"output":{"name":"popovermenu"}}],[11,"fmt","","",200,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",200,null],[11,"static_type","","",200,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",200,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",200,{"inputs":[],"output":{"name":"popovermenu"}}],[11,"clone","","",201,{"inputs":[{"name":"self"}],"output":{"name":"printcontext"}}],[11,"fmt","","",201,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",201,null],[11,"static_type","","",201,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",201,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",202,{"inputs":[{"name":"self"}],"output":{"name":"printsettings"}}],[11,"fmt","","",202,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",202,null],[11,"static_type","","",202,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",202,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",202,{"inputs":[],"output":{"name":"printsettings"}}],[11,"new_from_file","","",202,{"inputs":[{"name":"p"}],"output":{"name":"result"}}],[11,"new_from_gvariant","","",202,{"inputs":[{"name":"variant"}],"output":{"name":"printsettings"}}],[11,"new_from_key_file","","",202,{"inputs":[{"name":"keyfile"},{"name":"p"}],"output":{"name":"result"}}],[11,"clone","","",203,{"inputs":[{"name":"self"}],"output":{"name":"progressbar"}}],[11,"fmt","","",203,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",203,null],[11,"static_type","","",203,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",203,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",203,{"inputs":[],"output":{"name":"progressbar"}}],[11,"clone","","",204,{"inputs":[{"name":"self"}],"output":{"name":"radiobutton"}}],[11,"fmt","","",204,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",204,null],[11,"static_type","","",204,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",204,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new_from_widget","","",204,{"inputs":[{"name":"radiobutton"}],"output":{"name":"radiobutton"}}],[11,"new_with_label_from_widget","","",204,{"inputs":[{"name":"radiobutton"},{"name":"str"}],"output":{"name":"radiobutton"}}],[11,"new_with_mnemonic_from_widget","","",204,{"inputs":[{"name":"radiobutton"},{"name":"str"}],"output":{"name":"radiobutton"}}],[11,"clone","","",205,{"inputs":[{"name":"self"}],"output":{"name":"radiomenuitem"}}],[11,"fmt","","",205,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",205,null],[11,"static_type","","",205,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",205,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new_from_widget","","",205,{"inputs":[{"name":"radiomenuitem"}],"output":{"name":"radiomenuitem"}}],[11,"new_with_label_from_widget","","",205,{"inputs":[{"name":"radiomenuitem"},{"name":"p"}],"output":{"name":"radiomenuitem"}}],[11,"new_with_mnemonic_from_widget","","",205,{"inputs":[{"name":"radiomenuitem"},{"name":"p"}],"output":{"name":"radiomenuitem"}}],[11,"clone","","",206,{"inputs":[{"name":"self"}],"output":{"name":"range"}}],[11,"fmt","","",206,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",206,null],[11,"static_type","","",206,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",206,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",207,{"inputs":[{"name":"self"}],"output":{"name":"recentchooser"}}],[11,"fmt","","",207,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",207,null],[11,"static_type","","",207,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",207,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",208,{"inputs":[{"name":"self"}],"output":{"name":"recentchooserdialog"}}],[11,"fmt","","",208,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",208,null],[11,"static_type","","",208,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",208,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",209,{"inputs":[{"name":"self"}],"output":{"name":"recentchooserwidget"}}],[11,"fmt","","",209,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",209,null],[11,"static_type","","",209,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",209,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",209,{"inputs":[],"output":{"name":"recentchooserwidget"}}],[11,"new_for_manager","","",209,{"inputs":[{"name":"recentmanager"}],"output":{"name":"recentchooserwidget"}}],[11,"clone","","",210,{"inputs":[{"name":"self"}],"output":{"name":"recentfilter"}}],[11,"fmt","","",210,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",210,null],[11,"static_type","","",210,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",210,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",210,{"inputs":[],"output":{"name":"recentfilter"}}],[11,"clone","","",211,{"inputs":[{"name":"self"}],"output":{"name":"recentmanager"}}],[11,"fmt","","",211,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",211,null],[11,"static_type","","",211,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",211,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",211,{"inputs":[],"output":{"name":"recentmanager"}}],[11,"get_default","","",211,{"inputs":[],"output":{"name":"option"}}],[11,"clone","","",212,{"inputs":[{"name":"self"}],"output":{"name":"revealer"}}],[11,"fmt","","",212,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",212,null],[11,"static_type","","",212,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",212,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",212,{"inputs":[],"output":{"name":"revealer"}}],[11,"clone","","",213,{"inputs":[{"name":"self"}],"output":{"name":"scale"}}],[11,"fmt","","",213,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",213,null],[11,"static_type","","",213,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",213,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",213,{"inputs":[{"name":"orientation"},{"name":"p"}],"output":{"name":"scale"}}],[11,"new_with_range","","",213,{"inputs":[{"name":"orientation"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":{"name":"scale"}}],[11,"clone","","",214,{"inputs":[{"name":"self"}],"output":{"name":"scalebutton"}}],[11,"fmt","","",214,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",214,null],[11,"static_type","","",214,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",214,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",214,null],[11,"clone","","",215,{"inputs":[{"name":"self"}],"output":{"name":"scrollable"}}],[11,"fmt","","",215,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",215,null],[11,"static_type","","",215,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",215,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",216,{"inputs":[{"name":"self"}],"output":{"name":"scrollbar"}}],[11,"fmt","","",216,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",216,null],[11,"static_type","","",216,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",216,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",216,{"inputs":[{"name":"orientation"},{"name":"p"}],"output":{"name":"scrollbar"}}],[11,"clone","","",217,{"inputs":[{"name":"self"}],"output":{"name":"scrolledwindow"}}],[11,"fmt","","",217,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",217,null],[11,"static_type","","",217,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",217,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",217,{"inputs":[{"name":"p"},{"name":"q"}],"output":{"name":"scrolledwindow"}}],[11,"clone","","",218,{"inputs":[{"name":"self"}],"output":{"name":"searchbar"}}],[11,"fmt","","",218,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",218,null],[11,"static_type","","",218,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",218,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",218,{"inputs":[],"output":{"name":"searchbar"}}],[11,"clone","","",219,{"inputs":[{"name":"self"}],"output":{"name":"searchentry"}}],[11,"fmt","","",219,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",219,null],[11,"static_type","","",219,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",219,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",219,{"inputs":[],"output":{"name":"searchentry"}}],[11,"clone","","",220,{"inputs":[{"name":"self"}],"output":{"name":"separator"}}],[11,"fmt","","",220,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",220,null],[11,"static_type","","",220,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",220,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",220,{"inputs":[{"name":"orientation"}],"output":{"name":"separator"}}],[11,"clone","","",221,{"inputs":[{"name":"self"}],"output":{"name":"separatormenuitem"}}],[11,"fmt","","",221,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",221,null],[11,"static_type","","",221,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",221,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",221,{"inputs":[],"output":{"name":"separatormenuitem"}}],[11,"clone","","",222,{"inputs":[{"name":"self"}],"output":{"name":"separatortoolitem"}}],[11,"fmt","","",222,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",222,null],[11,"static_type","","",222,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",222,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",222,{"inputs":[],"output":{"name":"separatortoolitem"}}],[11,"clone","","",223,{"inputs":[{"name":"self"}],"output":{"name":"settings"}}],[11,"fmt","","",223,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",223,null],[11,"static_type","","",223,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",223,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"get_default","","",223,{"inputs":[],"output":{"name":"option"}}],[11,"get_for_screen","","",223,{"inputs":[{"name":"screen"}],"output":{"name":"option"}}],[11,"clone","","",224,{"inputs":[{"name":"self"}],"output":{"name":"shortcutswindow"}}],[11,"fmt","","",224,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",224,null],[11,"static_type","","",224,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",224,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",225,{"inputs":[{"name":"self"}],"output":{"name":"sizegroup"}}],[11,"fmt","","",225,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",225,null],[11,"static_type","","",225,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",225,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",225,{"inputs":[{"name":"sizegroupmode"}],"output":{"name":"sizegroup"}}],[11,"clone","","",226,{"inputs":[{"name":"self"}],"output":{"name":"spinbutton"}}],[11,"fmt","","",226,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",226,null],[11,"static_type","","",226,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",226,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",226,{"inputs":[{"name":"p"},{"name":"f64"},{"name":"u32"}],"output":{"name":"spinbutton"}}],[11,"new_with_range","","",226,{"inputs":[{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":{"name":"spinbutton"}}],[11,"clone","","",227,{"inputs":[{"name":"self"}],"output":{"name":"spinner"}}],[11,"fmt","","",227,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",227,null],[11,"static_type","","",227,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",227,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",227,{"inputs":[],"output":{"name":"spinner"}}],[11,"clone","","",228,{"inputs":[{"name":"self"}],"output":{"name":"stack"}}],[11,"fmt","","",228,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",228,null],[11,"static_type","","",228,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",228,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",228,{"inputs":[],"output":{"name":"stack"}}],[11,"clone","","",229,{"inputs":[{"name":"self"}],"output":{"name":"stacksidebar"}}],[11,"fmt","","",229,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",229,null],[11,"static_type","","",229,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",229,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",229,{"inputs":[],"output":{"name":"stacksidebar"}}],[11,"clone","","",230,{"inputs":[{"name":"self"}],"output":{"name":"stackswitcher"}}],[11,"fmt","","",230,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",230,null],[11,"static_type","","",230,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",230,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",230,{"inputs":[],"output":{"name":"stackswitcher"}}],[11,"clone","","",231,{"inputs":[{"name":"self"}],"output":{"name":"statusicon"}}],[11,"fmt","","",231,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",231,null],[11,"static_type","","",231,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",231,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",231,{"inputs":[],"output":{"name":"statusicon"}}],[11,"new_from_file","","",231,{"inputs":[{"name":"p"}],"output":{"name":"statusicon"}}],[11,"new_from_gicon","","",231,{"inputs":[{"name":"p"}],"output":{"name":"statusicon"}}],[11,"new_from_icon_name","","",231,{"inputs":[{"name":"str"}],"output":{"name":"statusicon"}}],[11,"new_from_pixbuf","","",231,{"inputs":[{"name":"pixbuf"}],"output":{"name":"statusicon"}}],[11,"new_from_stock","","",231,{"inputs":[{"name":"str"}],"output":{"name":"statusicon"}}],[11,"position_menu","","",231,{"inputs":[{"name":"p"},{"name":"i32"},{"name":"i32"},{"name":"statusicon"}],"output":{"name":"bool"}}],[11,"clone","","",232,{"inputs":[{"name":"self"}],"output":{"name":"statusbar"}}],[11,"fmt","","",232,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",232,null],[11,"static_type","","",232,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",232,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",232,{"inputs":[],"output":{"name":"statusbar"}}],[11,"clone","","",233,{"inputs":[{"name":"self"}],"output":{"name":"stylecontext"}}],[11,"fmt","","",233,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",233,null],[11,"static_type","","",233,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",233,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",233,{"inputs":[],"output":{"name":"stylecontext"}}],[11,"add_provider_for_screen","","",233,{"inputs":[{"name":"screen"},{"name":"p"},{"name":"u32"}],"output":null}],[11,"remove_provider_for_screen","","",233,{"inputs":[{"name":"screen"},{"name":"p"}],"output":null}],[11,"reset_widgets","","",233,{"inputs":[{"name":"screen"}],"output":null}],[11,"clone","","",234,{"inputs":[{"name":"self"}],"output":{"name":"styleproperties"}}],[11,"fmt","","",234,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",234,null],[11,"static_type","","",234,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",234,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",234,{"inputs":[],"output":{"name":"styleproperties"}}],[11,"clone","","",235,{"inputs":[{"name":"self"}],"output":{"name":"styleprovider"}}],[11,"fmt","","",235,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",235,null],[11,"static_type","","",235,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",235,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",236,{"inputs":[{"name":"self"}],"output":{"name":"switch"}}],[11,"fmt","","",236,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",236,null],[11,"static_type","","",236,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",236,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",236,{"inputs":[],"output":{"name":"switch"}}],[11,"clone","","",237,{"inputs":[{"name":"self"}],"output":{"name":"textbuffer"}}],[11,"fmt","","",237,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",237,null],[11,"static_type","","",237,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",237,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",237,{"inputs":[{"name":"p"}],"output":{"name":"textbuffer"}}],[11,"clone","","",238,{"inputs":[{"name":"self"}],"output":{"name":"textchildanchor"}}],[11,"fmt","","",238,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",238,null],[11,"static_type","","",238,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",238,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",238,{"inputs":[],"output":{"name":"textchildanchor"}}],[11,"clone","","",239,{"inputs":[{"name":"self"}],"output":{"name":"textmark"}}],[11,"fmt","","",239,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",239,null],[11,"static_type","","",239,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",239,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",239,{"inputs":[{"name":"p"},{"name":"bool"}],"output":{"name":"textmark"}}],[11,"clone","","",240,{"inputs":[{"name":"self"}],"output":{"name":"texttag"}}],[11,"fmt","","",240,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",240,null],[11,"static_type","","",240,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",240,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",240,{"inputs":[{"name":"p"}],"output":{"name":"texttag"}}],[11,"clone","","",241,{"inputs":[{"name":"self"}],"output":{"name":"texttagtable"}}],[11,"fmt","","",241,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",241,null],[11,"static_type","","",241,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",241,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",241,{"inputs":[],"output":{"name":"texttagtable"}}],[11,"clone","","",242,{"inputs":[{"name":"self"}],"output":{"name":"textview"}}],[11,"fmt","","",242,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",242,null],[11,"static_type","","",242,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",242,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",242,{"inputs":[],"output":{"name":"textview"}}],[11,"new_with_buffer","","",242,{"inputs":[{"name":"textbuffer"}],"output":{"name":"textview"}}],[11,"clone","","",243,{"inputs":[{"name":"self"}],"output":{"name":"togglebutton"}}],[11,"fmt","","",243,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",243,null],[11,"static_type","","",243,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",243,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",243,{"inputs":[],"output":{"name":"togglebutton"}}],[11,"new_with_label","","",243,{"inputs":[{"name":"str"}],"output":{"name":"togglebutton"}}],[11,"new_with_mnemonic","","",243,{"inputs":[{"name":"str"}],"output":{"name":"togglebutton"}}],[11,"clone","","",244,{"inputs":[{"name":"self"}],"output":{"name":"toggletoolbutton"}}],[11,"fmt","","",244,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",244,null],[11,"static_type","","",244,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",244,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",244,{"inputs":[],"output":{"name":"toggletoolbutton"}}],[11,"new_from_stock","","",244,{"inputs":[{"name":"str"}],"output":{"name":"toggletoolbutton"}}],[11,"clone","","",245,{"inputs":[{"name":"self"}],"output":{"name":"toolbutton"}}],[11,"fmt","","",245,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",245,null],[11,"static_type","","",245,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",245,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",245,{"inputs":[{"name":"q"},{"name":"r"}],"output":{"name":"toolbutton"}}],[11,"new_from_stock","","",245,{"inputs":[{"name":"str"}],"output":{"name":"toolbutton"}}],[11,"clone","","",246,{"inputs":[{"name":"self"}],"output":{"name":"toolitem"}}],[11,"fmt","","",246,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",246,null],[11,"static_type","","",246,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",246,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",246,{"inputs":[],"output":{"name":"toolitem"}}],[11,"clone","","",247,{"inputs":[{"name":"self"}],"output":{"name":"toolitemgroup"}}],[11,"fmt","","",247,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",247,null],[11,"static_type","","",247,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",247,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",247,{"inputs":[{"name":"str"}],"output":{"name":"toolitemgroup"}}],[11,"clone","","",248,{"inputs":[{"name":"self"}],"output":{"name":"toolpalette"}}],[11,"fmt","","",248,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",248,null],[11,"static_type","","",248,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",248,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",248,{"inputs":[],"output":{"name":"toolpalette"}}],[11,"get_drag_target_group","","",248,{"inputs":[],"output":{"name":"option"}}],[11,"get_drag_target_item","","",248,{"inputs":[],"output":{"name":"option"}}],[11,"clone","","",249,{"inputs":[{"name":"self"}],"output":{"name":"toolshell"}}],[11,"fmt","","",249,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",249,null],[11,"static_type","","",249,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",249,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",250,{"inputs":[{"name":"self"}],"output":{"name":"toolbar"}}],[11,"fmt","","",250,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",250,null],[11,"static_type","","",250,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",250,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",250,{"inputs":[],"output":{"name":"toolbar"}}],[11,"clone","","",251,{"inputs":[{"name":"self"}],"output":{"name":"tooltip"}}],[11,"fmt","","",251,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",251,null],[11,"static_type","","",251,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",251,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"trigger_tooltip_query","","",251,{"inputs":[{"name":"display"}],"output":null}],[11,"clone","","",252,{"inputs":[{"name":"self"}],"output":{"name":"treemodel"}}],[11,"fmt","","",252,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",252,null],[11,"static_type","","",252,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",252,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",253,{"inputs":[{"name":"self"}],"output":{"name":"treemodelfilter"}}],[11,"fmt","","",253,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",253,null],[11,"static_type","","",253,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",253,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",254,{"inputs":[{"name":"self"}],"output":{"name":"treeselection"}}],[11,"fmt","","",254,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",254,null],[11,"static_type","","",254,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",254,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",255,{"inputs":[{"name":"self"}],"output":{"name":"treesortable"}}],[11,"fmt","","",255,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",255,null],[11,"static_type","","",255,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",255,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",256,{"inputs":[{"name":"self"}],"output":{"name":"treestore"}}],[11,"fmt","","",256,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",256,null],[11,"static_type","","",256,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",256,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",257,{"inputs":[{"name":"self"}],"output":{"name":"treeview"}}],[11,"fmt","","",257,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",257,null],[11,"static_type","","",257,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",257,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",257,{"inputs":[],"output":{"name":"treeview"}}],[11,"new_with_model","","",257,{"inputs":[{"name":"p"}],"output":{"name":"treeview"}}],[11,"clone","","",258,{"inputs":[{"name":"self"}],"output":{"name":"treeviewcolumn"}}],[11,"fmt","","",258,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",258,null],[11,"static_type","","",258,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",258,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",258,{"inputs":[],"output":{"name":"treeviewcolumn"}}],[11,"new_with_area","","",258,{"inputs":[{"name":"p"}],"output":{"name":"treeviewcolumn"}}],[11,"clone","","",259,{"inputs":[{"name":"self"}],"output":{"name":"viewport"}}],[11,"fmt","","",259,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",259,null],[11,"static_type","","",259,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",259,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",259,{"inputs":[{"name":"p"},{"name":"q"}],"output":{"name":"viewport"}}],[11,"clone","","",260,{"inputs":[{"name":"self"}],"output":{"name":"volumebutton"}}],[11,"fmt","","",260,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",260,null],[11,"static_type","","",260,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",260,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",260,{"inputs":[],"output":{"name":"volumebutton"}}],[11,"clone","","",261,{"inputs":[{"name":"self"}],"output":{"name":"widget"}}],[11,"fmt","","",261,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",261,null],[11,"static_type","","",261,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",261,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"get_default_direction","","",261,{"inputs":[],"output":{"name":"textdirection"}}],[11,"pop_composite_child","","",261,{"inputs":[],"output":null}],[11,"push_composite_child","","",261,{"inputs":[],"output":null}],[11,"set_default_direction","","",261,{"inputs":[{"name":"textdirection"}],"output":null}],[11,"clone","","",262,{"inputs":[{"name":"self"}],"output":{"name":"window"}}],[11,"fmt","","",262,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",262,null],[11,"static_type","","",262,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",262,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",262,{"inputs":[{"name":"windowtype"}],"output":{"name":"window"}}],[11,"get_default_icon_list","","",262,{"inputs":[],"output":{"name":"vec"}}],[11,"get_default_icon_name","","",262,{"inputs":[],"output":{"name":"option"}}],[11,"list_toplevels","","",262,{"inputs":[],"output":{"name":"vec"}}],[11,"set_auto_startup_notification","","",262,{"inputs":[{"name":"bool"}],"output":null}],[11,"set_default_icon","","",262,{"inputs":[{"name":"pixbuf"}],"output":null}],[11,"set_default_icon_from_file","","",262,{"inputs":[{"name":"p"}],"output":{"name":"result"}}],[11,"set_default_icon_list","","",262,null],[11,"set_default_icon_name","","",262,{"inputs":[{"name":"str"}],"output":null}],[11,"set_interactive_debugging","","",262,{"inputs":[{"name":"bool"}],"output":null}],[11,"clone","","",263,{"inputs":[{"name":"self"}],"output":{"name":"windowgroup"}}],[11,"fmt","","",263,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",263,null],[11,"static_type","","",263,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",263,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",263,{"inputs":[],"output":{"name":"windowgroup"}}],[11,"clone","","",264,{"inputs":[{"name":"self"}],"output":{"name":"csssection"}}],[11,"get_end_line","","",264,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"get_end_position","","",264,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"get_parent","","",264,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_section_type","","",264,{"inputs":[{"name":"self"}],"output":{"name":"csssectiontype"}}],[11,"get_start_line","","",264,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"get_start_position","","",264,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"clone","","",265,{"inputs":[{"name":"self"}],"output":{"name":"iconset"}}],[11,"new","","",265,{"inputs":[],"output":{"name":"iconset"}}],[11,"new_from_pixbuf","","",265,{"inputs":[{"name":"pixbuf"}],"output":{"name":"iconset"}}],[11,"add_source","","",265,{"inputs":[{"name":"self"},{"name":"iconsource"}],"output":null}],[11,"copy","","",265,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"render_icon_pixbuf","","",265,{"inputs":[{"name":"self"},{"name":"stylecontext"},{"name":"i32"}],"output":{"name":"option"}}],[11,"render_icon_surface","","",265,{"inputs":[{"name":"self"},{"name":"stylecontext"},{"name":"i32"},{"name":"i32"},{"name":"p"}],"output":{"name":"option"}}],[11,"clone","","",266,{"inputs":[{"name":"self"}],"output":{"name":"iconsource"}}],[11,"fmt","","",266,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"new","","",266,{"inputs":[],"output":{"name":"iconsource"}}],[11,"get_direction","","",266,{"inputs":[{"name":"self"}],"output":{"name":"textdirection"}}],[11,"get_direction_wildcarded","","",266,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"get_filename","","",266,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_icon_name","","",266,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_pixbuf","","",266,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_size","","",266,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_size_wildcarded","","",266,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"get_state","","",266,{"inputs":[{"name":"self"}],"output":{"name":"statetype"}}],[11,"get_state_wildcarded","","",266,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"set_direction","","",266,{"inputs":[{"name":"self"},{"name":"textdirection"}],"output":null}],[11,"set_direction_wildcarded","","",266,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[11,"set_filename","","",266,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[11,"set_icon_name","","",266,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[11,"set_pixbuf","","",266,{"inputs":[{"name":"self"},{"name":"pixbuf"}],"output":null}],[11,"set_size","","",266,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[11,"set_size_wildcarded","","",266,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[11,"set_state","","",266,{"inputs":[{"name":"self"},{"name":"statetype"}],"output":null}],[11,"set_state_wildcarded","","",266,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[11,"clone","","",267,{"inputs":[{"name":"self"}],"output":{"name":"papersize"}}],[11,"fmt","","",267,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"new","","",267,{"inputs":[{"name":"p"}],"output":{"name":"papersize"}}],[11,"new_custom","","",267,{"inputs":[{"name":"str"},{"name":"str"},{"name":"f64"},{"name":"f64"},{"name":"unit"}],"output":{"name":"papersize"}}],[11,"new_from_gvariant","","",267,{"inputs":[{"name":"variant"}],"output":{"name":"papersize"}}],[11,"new_from_ipp","","",267,{"inputs":[{"name":"str"},{"name":"f64"},{"name":"f64"}],"output":{"name":"papersize"}}],[11,"new_from_key_file","","",267,{"inputs":[{"name":"keyfile"},{"name":"str"}],"output":{"name":"result"}}],[11,"new_from_ppd","","",267,{"inputs":[{"name":"str"},{"name":"str"},{"name":"f64"},{"name":"f64"}],"output":{"name":"papersize"}}],[11,"get_default_bottom_margin","","",267,{"inputs":[{"name":"self"},{"name":"unit"}],"output":{"name":"f64"}}],[11,"get_default_left_margin","","",267,{"inputs":[{"name":"self"},{"name":"unit"}],"output":{"name":"f64"}}],[11,"get_default_right_margin","","",267,{"inputs":[{"name":"self"},{"name":"unit"}],"output":{"name":"f64"}}],[11,"get_default_top_margin","","",267,{"inputs":[{"name":"self"},{"name":"unit"}],"output":{"name":"f64"}}],[11,"get_display_name","","",267,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_height","","",267,{"inputs":[{"name":"self"},{"name":"unit"}],"output":{"name":"f64"}}],[11,"get_name","","",267,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_ppd_name","","",267,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_width","","",267,{"inputs":[{"name":"self"},{"name":"unit"}],"output":{"name":"f64"}}],[11,"is_custom","","",267,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_ipp","","",267,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"set_size","","",267,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"},{"name":"unit"}],"output":null}],[11,"to_gvariant","","",267,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"to_key_file","","",267,{"inputs":[{"name":"self"},{"name":"keyfile"},{"name":"str"}],"output":null}],[11,"get_default","","",267,{"inputs":[],"output":{"name":"option"}}],[11,"get_paper_sizes","","",267,{"inputs":[{"name":"bool"}],"output":{"name":"vec"}}],[11,"eq","","",267,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"bool"}}],[11,"clone","","",268,{"inputs":[{"name":"self"}],"output":{"name":"recentinfo"}}],[11,"create_app_info","","",268,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[11,"exists","","",268,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"get_added","","",268,{"inputs":[{"name":"self"}],"output":{"name":"c_long"}}],[11,"get_age","","",268,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_application_info","","",268,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[11,"get_applications","","",268,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[11,"get_description","","",268,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_display_name","","",268,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_gicon","","",268,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_groups","","",268,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[11,"get_icon","","",268,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"option"}}],[11,"get_mime_type","","",268,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_modified","","",268,{"inputs":[{"name":"self"}],"output":{"name":"c_long"}}],[11,"get_private_hint","","",268,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"get_short_name","","",268,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_uri","","",268,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_uri_display","","",268,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_visited","","",268,{"inputs":[{"name":"self"}],"output":{"name":"c_long"}}],[11,"has_application","","",268,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[11,"has_group","","",268,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[11,"is_local","","",268,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"last_application","","",268,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"match_","","",268,{"inputs":[{"name":"self"},{"name":"recentinfo"}],"output":{"name":"bool"}}],[11,"clone","","",269,{"inputs":[{"name":"self"}],"output":{"name":"selectiondata"}}],[11,"fmt","","",269,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"get_data_type","","",269,{"inputs":[{"name":"self"}],"output":{"name":"atom"}}],[11,"get_display","","",269,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_format","","",269,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_length","","",269,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_pixbuf","","",269,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_selection","","",269,{"inputs":[{"name":"self"}],"output":{"name":"atom"}}],[11,"get_target","","",269,{"inputs":[{"name":"self"}],"output":{"name":"atom"}}],[11,"get_text","","",269,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_uris","","",269,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[11,"set_pixbuf","","",269,{"inputs":[{"name":"self"},{"name":"pixbuf"}],"output":{"name":"bool"}}],[11,"set_text","","",269,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"}],"output":{"name":"bool"}}],[11,"set_uris","","",269,null],[11,"targets_include_image","","",269,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"bool"}}],[11,"targets_include_rich_text","","",269,{"inputs":[{"name":"self"},{"name":"textbuffer"}],"output":{"name":"bool"}}],[11,"targets_include_text","","",269,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"targets_include_uri","","",269,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"clone","","",270,{"inputs":[{"name":"self"}],"output":{"name":"symboliccolor"}}],[11,"new_alpha","","",270,{"inputs":[{"name":"symboliccolor"},{"name":"f64"}],"output":{"name":"symboliccolor"}}],[11,"new_literal","","",270,{"inputs":[{"name":"rgba"}],"output":{"name":"symboliccolor"}}],[11,"new_mix","","",270,{"inputs":[{"name":"symboliccolor"},{"name":"symboliccolor"},{"name":"f64"}],"output":{"name":"symboliccolor"}}],[11,"new_name","","",270,{"inputs":[{"name":"str"}],"output":{"name":"symboliccolor"}}],[11,"new_shade","","",270,{"inputs":[{"name":"symboliccolor"},{"name":"f64"}],"output":{"name":"symboliccolor"}}],[11,"new_win32","","",270,{"inputs":[{"name":"str"},{"name":"i32"}],"output":{"name":"symboliccolor"}}],[11,"resolve","","",270,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"option"}}],[11,"fmt","","",270,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",271,{"inputs":[{"name":"self"}],"output":{"name":"targetlist"}}],[11,"add","","",271,{"inputs":[{"name":"self"},{"name":"atom"},{"name":"u32"},{"name":"u32"}],"output":null}],[11,"add_image_targets","","",271,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"bool"}],"output":null}],[11,"add_rich_text_targets","","",271,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"bool"},{"name":"textbuffer"}],"output":null}],[11,"add_text_targets","","",271,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[11,"add_uri_targets","","",271,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[11,"find","","",271,{"inputs":[{"name":"self"},{"name":"atom"}],"output":{"name":"option"}}],[11,"remove","","",271,{"inputs":[{"name":"self"},{"name":"atom"}],"output":null}],[11,"clone","","",272,{"inputs":[{"name":"self"}],"output":{"name":"textattributes"}}],[11,"new","","",272,{"inputs":[],"output":{"name":"textattributes"}}],[11,"copy","","",272,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"copy_values","","",272,{"inputs":[{"name":"self"},{"name":"textattributes"}],"output":null}],[11,"clone","","",273,{"inputs":[{"name":"self"}],"output":{"name":"textiter"}}],[11,"fmt","","",273,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"assign","","",273,{"inputs":[{"name":"self"},{"name":"textiter"}],"output":null}],[11,"backward_char","","",273,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"backward_chars","","",273,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"bool"}}],[11,"backward_cursor_position","","",273,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"backward_cursor_positions","","",273,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"bool"}}],[11,"backward_line","","",273,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"backward_lines","","",273,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"bool"}}],[11,"backward_search","","",273,{"inputs":[{"name":"self"},{"name":"str"},{"name":"textsearchflags"},{"name":"p"}],"output":{"name":"option"}}],[11,"backward_sentence_start","","",273,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"backward_sentence_starts","","",273,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"bool"}}],[11,"backward_to_tag_toggle","","",273,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[11,"backward_visible_cursor_position","","",273,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"backward_visible_cursor_positions","","",273,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"bool"}}],[11,"backward_visible_line","","",273,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"backward_visible_lines","","",273,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"bool"}}],[11,"backward_visible_word_start","","",273,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"backward_visible_word_starts","","",273,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"bool"}}],[11,"backward_word_start","","",273,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"backward_word_starts","","",273,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"bool"}}],[11,"begins_tag","","",273,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[11,"can_insert","","",273,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"bool"}}],[11,"editable","","",273,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"bool"}}],[11,"ends_line","","",273,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"ends_sentence","","",273,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"ends_tag","","",273,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[11,"ends_word","","",273,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"forward_char","","",273,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"forward_chars","","",273,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"bool"}}],[11,"forward_cursor_position","","",273,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"forward_cursor_positions","","",273,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"bool"}}],[11,"forward_line","","",273,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"forward_lines","","",273,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"bool"}}],[11,"forward_search","","",273,{"inputs":[{"name":"self"},{"name":"str"},{"name":"textsearchflags"},{"name":"p"}],"output":{"name":"option"}}],[11,"forward_sentence_end","","",273,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"forward_sentence_ends","","",273,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"bool"}}],[11,"forward_to_end","","",273,{"inputs":[{"name":"self"}],"output":null}],[11,"forward_to_line_end","","",273,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"forward_to_tag_toggle","","",273,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[11,"forward_visible_cursor_position","","",273,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"forward_visible_cursor_positions","","",273,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"bool"}}],[11,"forward_visible_line","","",273,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"forward_visible_lines","","",273,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"bool"}}],[11,"forward_visible_word_end","","",273,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"forward_visible_word_ends","","",273,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"bool"}}],[11,"forward_word_end","","",273,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"forward_word_ends","","",273,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"bool"}}],[11,"get_buffer","","",273,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_bytes_in_line","","",273,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_char","","",273,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_chars_in_line","","",273,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_child_anchor","","",273,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_language","","",273,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_line","","",273,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_line_index","","",273,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_line_offset","","",273,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_marks","","",273,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[11,"get_offset","","",273,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_pixbuf","","",273,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_slice","","",273,{"inputs":[{"name":"self"},{"name":"textiter"}],"output":{"name":"option"}}],[11,"get_tags","","",273,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[11,"get_text","","",273,{"inputs":[{"name":"self"},{"name":"textiter"}],"output":{"name":"option"}}],[11,"get_toggled_tags","","",273,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"vec"}}],[11,"get_visible_line_index","","",273,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_visible_line_offset","","",273,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_visible_slice","","",273,{"inputs":[{"name":"self"},{"name":"textiter"}],"output":{"name":"option"}}],[11,"get_visible_text","","",273,{"inputs":[{"name":"self"},{"name":"textiter"}],"output":{"name":"option"}}],[11,"has_tag","","",273,{"inputs":[{"name":"self"},{"name":"texttag"}],"output":{"name":"bool"}}],[11,"in_range","","",273,{"inputs":[{"name":"self"},{"name":"textiter"},{"name":"textiter"}],"output":{"name":"bool"}}],[11,"inside_sentence","","",273,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"inside_word","","",273,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_cursor_position","","",273,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_end","","",273,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_start","","",273,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"order","","",273,{"inputs":[{"name":"self"},{"name":"textiter"}],"output":null}],[11,"set_line","","",273,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[11,"set_line_index","","",273,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[11,"set_line_offset","","",273,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[11,"set_offset","","",273,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[11,"set_visible_line_index","","",273,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[11,"set_visible_line_offset","","",273,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[11,"starts_line","","",273,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"starts_sentence","","",273,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"starts_tag","","",273,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[11,"starts_word","","",273,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"toggles_tag","","",273,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",273,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"option"}}],[11,"cmp","","",273,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"ordering"}}],[11,"eq","","",273,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"bool"}}],[11,"clone","","",274,{"inputs":[{"name":"self"}],"output":{"name":"treeiter"}}],[11,"fmt","","",274,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",275,{"inputs":[{"name":"self"}],"output":{"name":"treepath"}}],[11,"fmt","","",275,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"new","","",275,{"inputs":[],"output":{"name":"treepath"}}],[11,"new_first","","",275,{"inputs":[],"output":{"name":"treepath"}}],[11,"new_from_string","","",275,{"inputs":[{"name":"str"}],"output":{"name":"treepath"}}],[11,"append_index","","",275,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[11,"down","","",275,{"inputs":[{"name":"self"}],"output":null}],[11,"get_depth","","",275,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"is_ancestor","","",275,{"inputs":[{"name":"self"},{"name":"treepath"}],"output":{"name":"bool"}}],[11,"is_descendant","","",275,{"inputs":[{"name":"self"},{"name":"treepath"}],"output":{"name":"bool"}}],[11,"next","","",275,{"inputs":[{"name":"self"}],"output":null}],[11,"prepend_index","","",275,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[11,"prev","","",275,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"up","","",275,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"eq","","",275,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",275,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"option"}}],[11,"cmp","","",275,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"ordering"}}],[11,"fmt","","",275,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",9,{"inputs":[{"name":"self"}],"output":{"name":"align"}}],[11,"fmt","","",9,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",9,{"inputs":[{"name":"self"},{"name":"align"}],"output":{"name":"bool"}}],[11,"ne","","",9,{"inputs":[{"name":"self"},{"name":"align"}],"output":{"name":"bool"}}],[11,"hash","","",9,null],[11,"clone","","",10,{"inputs":[{"name":"self"}],"output":{"name":"arrowtype"}}],[11,"fmt","","",10,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",10,{"inputs":[{"name":"self"},{"name":"arrowtype"}],"output":{"name":"bool"}}],[11,"ne","","",10,{"inputs":[{"name":"self"},{"name":"arrowtype"}],"output":{"name":"bool"}}],[11,"hash","","",10,null],[11,"clone","","",11,{"inputs":[{"name":"self"}],"output":{"name":"assistantpagetype"}}],[11,"fmt","","",11,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",11,{"inputs":[{"name":"self"},{"name":"assistantpagetype"}],"output":{"name":"bool"}}],[11,"ne","","",11,{"inputs":[{"name":"self"},{"name":"assistantpagetype"}],"output":{"name":"bool"}}],[11,"hash","","",11,null],[11,"clone","","",12,{"inputs":[{"name":"self"}],"output":{"name":"baselineposition"}}],[11,"fmt","","",12,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",12,{"inputs":[{"name":"self"},{"name":"baselineposition"}],"output":{"name":"bool"}}],[11,"ne","","",12,{"inputs":[{"name":"self"},{"name":"baselineposition"}],"output":{"name":"bool"}}],[11,"hash","","",12,null],[11,"clone","","",13,{"inputs":[{"name":"self"}],"output":{"name":"buildererror"}}],[11,"fmt","","",13,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",13,{"inputs":[{"name":"self"},{"name":"buildererror"}],"output":{"name":"bool"}}],[11,"ne","","",13,{"inputs":[{"name":"self"},{"name":"buildererror"}],"output":{"name":"bool"}}],[11,"hash","","",13,null],[11,"domain","","",13,{"inputs":[],"output":{"name":"gquark"}}],[11,"code","","",13,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"from","","",13,{"inputs":[{"name":"i32"}],"output":{"name":"option"}}],[11,"clone","","",14,{"inputs":[{"name":"self"}],"output":{"name":"buttonboxstyle"}}],[11,"fmt","","",14,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",14,{"inputs":[{"name":"self"},{"name":"buttonboxstyle"}],"output":{"name":"bool"}}],[11,"ne","","",14,{"inputs":[{"name":"self"},{"name":"buttonboxstyle"}],"output":{"name":"bool"}}],[11,"hash","","",14,null],[11,"clone","","",15,{"inputs":[{"name":"self"}],"output":{"name":"buttonrole"}}],[11,"fmt","","",15,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",15,{"inputs":[{"name":"self"},{"name":"buttonrole"}],"output":{"name":"bool"}}],[11,"ne","","",15,{"inputs":[{"name":"self"},{"name":"buttonrole"}],"output":{"name":"bool"}}],[11,"hash","","",15,null],[11,"clone","","",16,{"inputs":[{"name":"self"}],"output":{"name":"buttonstype"}}],[11,"fmt","","",16,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",16,{"inputs":[{"name":"self"},{"name":"buttonstype"}],"output":{"name":"bool"}}],[11,"ne","","",16,{"inputs":[{"name":"self"},{"name":"buttonstype"}],"output":{"name":"bool"}}],[11,"hash","","",16,null],[11,"clone","","",17,{"inputs":[{"name":"self"}],"output":{"name":"cellrendereraccelmode"}}],[11,"fmt","","",17,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",17,{"inputs":[{"name":"self"},{"name":"cellrendereraccelmode"}],"output":{"name":"bool"}}],[11,"ne","","",17,{"inputs":[{"name":"self"},{"name":"cellrendereraccelmode"}],"output":{"name":"bool"}}],[11,"hash","","",17,null],[11,"clone","","",18,{"inputs":[{"name":"self"}],"output":{"name":"cellrenderermode"}}],[11,"fmt","","",18,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",18,{"inputs":[{"name":"self"},{"name":"cellrenderermode"}],"output":{"name":"bool"}}],[11,"ne","","",18,{"inputs":[{"name":"self"},{"name":"cellrenderermode"}],"output":{"name":"bool"}}],[11,"hash","","",18,null],[11,"clone","","",19,{"inputs":[{"name":"self"}],"output":{"name":"cornertype"}}],[11,"fmt","","",19,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",19,{"inputs":[{"name":"self"},{"name":"cornertype"}],"output":{"name":"bool"}}],[11,"ne","","",19,{"inputs":[{"name":"self"},{"name":"cornertype"}],"output":{"name":"bool"}}],[11,"hash","","",19,null],[11,"clone","","",20,{"inputs":[{"name":"self"}],"output":{"name":"cssprovidererror"}}],[11,"fmt","","",20,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",20,{"inputs":[{"name":"self"},{"name":"cssprovidererror"}],"output":{"name":"bool"}}],[11,"ne","","",20,{"inputs":[{"name":"self"},{"name":"cssprovidererror"}],"output":{"name":"bool"}}],[11,"hash","","",20,null],[11,"domain","","",20,{"inputs":[],"output":{"name":"gquark"}}],[11,"code","","",20,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"from","","",20,{"inputs":[{"name":"i32"}],"output":{"name":"option"}}],[11,"clone","","",21,{"inputs":[{"name":"self"}],"output":{"name":"csssectiontype"}}],[11,"fmt","","",21,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",21,{"inputs":[{"name":"self"},{"name":"csssectiontype"}],"output":{"name":"bool"}}],[11,"ne","","",21,{"inputs":[{"name":"self"},{"name":"csssectiontype"}],"output":{"name":"bool"}}],[11,"hash","","",21,null],[11,"clone","","",22,{"inputs":[{"name":"self"}],"output":{"name":"deletetype"}}],[11,"fmt","","",22,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",22,{"inputs":[{"name":"self"},{"name":"deletetype"}],"output":{"name":"bool"}}],[11,"ne","","",22,{"inputs":[{"name":"self"},{"name":"deletetype"}],"output":{"name":"bool"}}],[11,"hash","","",22,null],[11,"clone","","",23,{"inputs":[{"name":"self"}],"output":{"name":"directiontype"}}],[11,"fmt","","",23,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",23,{"inputs":[{"name":"self"},{"name":"directiontype"}],"output":{"name":"bool"}}],[11,"ne","","",23,{"inputs":[{"name":"self"},{"name":"directiontype"}],"output":{"name":"bool"}}],[11,"hash","","",23,null],[11,"clone","","",24,{"inputs":[{"name":"self"}],"output":{"name":"dragresult"}}],[11,"fmt","","",24,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",24,{"inputs":[{"name":"self"},{"name":"dragresult"}],"output":{"name":"bool"}}],[11,"ne","","",24,{"inputs":[{"name":"self"},{"name":"dragresult"}],"output":{"name":"bool"}}],[11,"hash","","",24,null],[11,"clone","","",25,{"inputs":[{"name":"self"}],"output":{"name":"entryiconposition"}}],[11,"fmt","","",25,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",25,{"inputs":[{"name":"self"},{"name":"entryiconposition"}],"output":{"name":"bool"}}],[11,"ne","","",25,{"inputs":[{"name":"self"},{"name":"entryiconposition"}],"output":{"name":"bool"}}],[11,"hash","","",25,null],[11,"clone","","",26,{"inputs":[{"name":"self"}],"output":{"name":"eventsequencestate"}}],[11,"fmt","","",26,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",26,{"inputs":[{"name":"self"},{"name":"eventsequencestate"}],"output":{"name":"bool"}}],[11,"ne","","",26,{"inputs":[{"name":"self"},{"name":"eventsequencestate"}],"output":{"name":"bool"}}],[11,"hash","","",26,null],[11,"clone","","",27,{"inputs":[{"name":"self"}],"output":{"name":"filechooseraction"}}],[11,"fmt","","",27,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",27,{"inputs":[{"name":"self"},{"name":"filechooseraction"}],"output":{"name":"bool"}}],[11,"ne","","",27,{"inputs":[{"name":"self"},{"name":"filechooseraction"}],"output":{"name":"bool"}}],[11,"hash","","",27,null],[11,"clone","","",28,{"inputs":[{"name":"self"}],"output":{"name":"filechooserconfirmation"}}],[11,"fmt","","",28,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",28,{"inputs":[{"name":"self"},{"name":"filechooserconfirmation"}],"output":{"name":"bool"}}],[11,"ne","","",28,{"inputs":[{"name":"self"},{"name":"filechooserconfirmation"}],"output":{"name":"bool"}}],[11,"hash","","",28,null],[11,"clone","","",29,{"inputs":[{"name":"self"}],"output":{"name":"filechoosererror"}}],[11,"fmt","","",29,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",29,{"inputs":[{"name":"self"},{"name":"filechoosererror"}],"output":{"name":"bool"}}],[11,"ne","","",29,{"inputs":[{"name":"self"},{"name":"filechoosererror"}],"output":{"name":"bool"}}],[11,"hash","","",29,null],[11,"domain","","",29,{"inputs":[],"output":{"name":"gquark"}}],[11,"code","","",29,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"from","","",29,{"inputs":[{"name":"i32"}],"output":{"name":"option"}}],[11,"clone","","",30,{"inputs":[{"name":"self"}],"output":{"name":"impreeditstyle"}}],[11,"fmt","","",30,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",30,{"inputs":[{"name":"self"},{"name":"impreeditstyle"}],"output":{"name":"bool"}}],[11,"ne","","",30,{"inputs":[{"name":"self"},{"name":"impreeditstyle"}],"output":{"name":"bool"}}],[11,"hash","","",30,null],[11,"clone","","",31,{"inputs":[{"name":"self"}],"output":{"name":"imstatusstyle"}}],[11,"fmt","","",31,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",31,{"inputs":[{"name":"self"},{"name":"imstatusstyle"}],"output":{"name":"bool"}}],[11,"ne","","",31,{"inputs":[{"name":"self"},{"name":"imstatusstyle"}],"output":{"name":"bool"}}],[11,"hash","","",31,null],[11,"clone","","",32,{"inputs":[{"name":"self"}],"output":{"name":"iconsize"}}],[11,"fmt","","",32,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",32,{"inputs":[{"name":"self"},{"name":"iconsize"}],"output":{"name":"bool"}}],[11,"ne","","",32,{"inputs":[{"name":"self"},{"name":"iconsize"}],"output":{"name":"bool"}}],[11,"hash","","",32,null],[11,"clone","","",33,{"inputs":[{"name":"self"}],"output":{"name":"iconthemeerror"}}],[11,"fmt","","",33,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",33,{"inputs":[{"name":"self"},{"name":"iconthemeerror"}],"output":{"name":"bool"}}],[11,"ne","","",33,{"inputs":[{"name":"self"},{"name":"iconthemeerror"}],"output":{"name":"bool"}}],[11,"hash","","",33,null],[11,"domain","","",33,{"inputs":[],"output":{"name":"gquark"}}],[11,"code","","",33,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"from","","",33,{"inputs":[{"name":"i32"}],"output":{"name":"option"}}],[11,"clone","","",34,{"inputs":[{"name":"self"}],"output":{"name":"iconviewdropposition"}}],[11,"fmt","","",34,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",34,{"inputs":[{"name":"self"},{"name":"iconviewdropposition"}],"output":{"name":"bool"}}],[11,"ne","","",34,{"inputs":[{"name":"self"},{"name":"iconviewdropposition"}],"output":{"name":"bool"}}],[11,"hash","","",34,null],[11,"clone","","",35,{"inputs":[{"name":"self"}],"output":{"name":"imagetype"}}],[11,"fmt","","",35,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",35,{"inputs":[{"name":"self"},{"name":"imagetype"}],"output":{"name":"bool"}}],[11,"ne","","",35,{"inputs":[{"name":"self"},{"name":"imagetype"}],"output":{"name":"bool"}}],[11,"hash","","",35,null],[11,"clone","","",36,{"inputs":[{"name":"self"}],"output":{"name":"inputpurpose"}}],[11,"fmt","","",36,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",36,{"inputs":[{"name":"self"},{"name":"inputpurpose"}],"output":{"name":"bool"}}],[11,"ne","","",36,{"inputs":[{"name":"self"},{"name":"inputpurpose"}],"output":{"name":"bool"}}],[11,"hash","","",36,null],[11,"clone","","",37,{"inputs":[{"name":"self"}],"output":{"name":"justification"}}],[11,"fmt","","",37,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",37,{"inputs":[{"name":"self"},{"name":"justification"}],"output":{"name":"bool"}}],[11,"ne","","",37,{"inputs":[{"name":"self"},{"name":"justification"}],"output":{"name":"bool"}}],[11,"hash","","",37,null],[11,"clone","","",38,{"inputs":[{"name":"self"}],"output":{"name":"levelbarmode"}}],[11,"fmt","","",38,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",38,{"inputs":[{"name":"self"},{"name":"levelbarmode"}],"output":{"name":"bool"}}],[11,"ne","","",38,{"inputs":[{"name":"self"},{"name":"levelbarmode"}],"output":{"name":"bool"}}],[11,"hash","","",38,null],[11,"clone","","",39,{"inputs":[{"name":"self"}],"output":{"name":"license"}}],[11,"fmt","","",39,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",39,{"inputs":[{"name":"self"},{"name":"license"}],"output":{"name":"bool"}}],[11,"ne","","",39,{"inputs":[{"name":"self"},{"name":"license"}],"output":{"name":"bool"}}],[11,"hash","","",39,null],[11,"clone","","",40,{"inputs":[{"name":"self"}],"output":{"name":"menudirectiontype"}}],[11,"fmt","","",40,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",40,{"inputs":[{"name":"self"},{"name":"menudirectiontype"}],"output":{"name":"bool"}}],[11,"ne","","",40,{"inputs":[{"name":"self"},{"name":"menudirectiontype"}],"output":{"name":"bool"}}],[11,"hash","","",40,null],[11,"clone","","",41,{"inputs":[{"name":"self"}],"output":{"name":"messagetype"}}],[11,"fmt","","",41,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",41,{"inputs":[{"name":"self"},{"name":"messagetype"}],"output":{"name":"bool"}}],[11,"ne","","",41,{"inputs":[{"name":"self"},{"name":"messagetype"}],"output":{"name":"bool"}}],[11,"hash","","",41,null],[11,"clone","","",42,{"inputs":[{"name":"self"}],"output":{"name":"movementstep"}}],[11,"fmt","","",42,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",42,{"inputs":[{"name":"self"},{"name":"movementstep"}],"output":{"name":"bool"}}],[11,"ne","","",42,{"inputs":[{"name":"self"},{"name":"movementstep"}],"output":{"name":"bool"}}],[11,"hash","","",42,null],[11,"clone","","",43,{"inputs":[{"name":"self"}],"output":{"name":"notebooktab"}}],[11,"fmt","","",43,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",43,{"inputs":[{"name":"self"},{"name":"notebooktab"}],"output":{"name":"bool"}}],[11,"ne","","",43,{"inputs":[{"name":"self"},{"name":"notebooktab"}],"output":{"name":"bool"}}],[11,"hash","","",43,null],[11,"clone","","",44,{"inputs":[{"name":"self"}],"output":{"name":"numberuplayout"}}],[11,"fmt","","",44,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",44,{"inputs":[{"name":"self"},{"name":"numberuplayout"}],"output":{"name":"bool"}}],[11,"ne","","",44,{"inputs":[{"name":"self"},{"name":"numberuplayout"}],"output":{"name":"bool"}}],[11,"hash","","",44,null],[11,"clone","","",45,{"inputs":[{"name":"self"}],"output":{"name":"orientation"}}],[11,"fmt","","",45,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",45,{"inputs":[{"name":"self"},{"name":"orientation"}],"output":{"name":"bool"}}],[11,"ne","","",45,{"inputs":[{"name":"self"},{"name":"orientation"}],"output":{"name":"bool"}}],[11,"hash","","",45,null],[11,"clone","","",46,{"inputs":[{"name":"self"}],"output":{"name":"packdirection"}}],[11,"fmt","","",46,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",46,{"inputs":[{"name":"self"},{"name":"packdirection"}],"output":{"name":"bool"}}],[11,"ne","","",46,{"inputs":[{"name":"self"},{"name":"packdirection"}],"output":{"name":"bool"}}],[11,"hash","","",46,null],[11,"clone","","",47,{"inputs":[{"name":"self"}],"output":{"name":"packtype"}}],[11,"fmt","","",47,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",47,{"inputs":[{"name":"self"},{"name":"packtype"}],"output":{"name":"bool"}}],[11,"ne","","",47,{"inputs":[{"name":"self"},{"name":"packtype"}],"output":{"name":"bool"}}],[11,"hash","","",47,null],[11,"clone","","",48,{"inputs":[{"name":"self"}],"output":{"name":"pageorientation"}}],[11,"fmt","","",48,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",48,{"inputs":[{"name":"self"},{"name":"pageorientation"}],"output":{"name":"bool"}}],[11,"ne","","",48,{"inputs":[{"name":"self"},{"name":"pageorientation"}],"output":{"name":"bool"}}],[11,"hash","","",48,null],[11,"clone","","",49,{"inputs":[{"name":"self"}],"output":{"name":"pageset"}}],[11,"fmt","","",49,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",49,{"inputs":[{"name":"self"},{"name":"pageset"}],"output":{"name":"bool"}}],[11,"ne","","",49,{"inputs":[{"name":"self"},{"name":"pageset"}],"output":{"name":"bool"}}],[11,"hash","","",49,null],[11,"clone","","",50,{"inputs":[{"name":"self"}],"output":{"name":"pandirection"}}],[11,"fmt","","",50,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",50,{"inputs":[{"name":"self"},{"name":"pandirection"}],"output":{"name":"bool"}}],[11,"ne","","",50,{"inputs":[{"name":"self"},{"name":"pandirection"}],"output":{"name":"bool"}}],[11,"hash","","",50,null],[11,"clone","","",51,{"inputs":[{"name":"self"}],"output":{"name":"policytype"}}],[11,"fmt","","",51,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",51,{"inputs":[{"name":"self"},{"name":"policytype"}],"output":{"name":"bool"}}],[11,"ne","","",51,{"inputs":[{"name":"self"},{"name":"policytype"}],"output":{"name":"bool"}}],[11,"hash","","",51,null],[11,"clone","","",52,{"inputs":[{"name":"self"}],"output":{"name":"popoverconstraint"}}],[11,"fmt","","",52,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",52,{"inputs":[{"name":"self"},{"name":"popoverconstraint"}],"output":{"name":"bool"}}],[11,"ne","","",52,{"inputs":[{"name":"self"},{"name":"popoverconstraint"}],"output":{"name":"bool"}}],[11,"hash","","",52,null],[11,"clone","","",53,{"inputs":[{"name":"self"}],"output":{"name":"positiontype"}}],[11,"fmt","","",53,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",53,{"inputs":[{"name":"self"},{"name":"positiontype"}],"output":{"name":"bool"}}],[11,"ne","","",53,{"inputs":[{"name":"self"},{"name":"positiontype"}],"output":{"name":"bool"}}],[11,"hash","","",53,null],[11,"clone","","",54,{"inputs":[{"name":"self"}],"output":{"name":"printduplex"}}],[11,"fmt","","",54,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",54,{"inputs":[{"name":"self"},{"name":"printduplex"}],"output":{"name":"bool"}}],[11,"ne","","",54,{"inputs":[{"name":"self"},{"name":"printduplex"}],"output":{"name":"bool"}}],[11,"hash","","",54,null],[11,"clone","","",55,{"inputs":[{"name":"self"}],"output":{"name":"printerror"}}],[11,"fmt","","",55,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",55,{"inputs":[{"name":"self"},{"name":"printerror"}],"output":{"name":"bool"}}],[11,"ne","","",55,{"inputs":[{"name":"self"},{"name":"printerror"}],"output":{"name":"bool"}}],[11,"hash","","",55,null],[11,"domain","","",55,{"inputs":[],"output":{"name":"gquark"}}],[11,"code","","",55,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"from","","",55,{"inputs":[{"name":"i32"}],"output":{"name":"option"}}],[11,"clone","","",56,{"inputs":[{"name":"self"}],"output":{"name":"printpages"}}],[11,"fmt","","",56,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",56,{"inputs":[{"name":"self"},{"name":"printpages"}],"output":{"name":"bool"}}],[11,"ne","","",56,{"inputs":[{"name":"self"},{"name":"printpages"}],"output":{"name":"bool"}}],[11,"hash","","",56,null],[11,"clone","","",57,{"inputs":[{"name":"self"}],"output":{"name":"printquality"}}],[11,"fmt","","",57,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",57,{"inputs":[{"name":"self"},{"name":"printquality"}],"output":{"name":"bool"}}],[11,"ne","","",57,{"inputs":[{"name":"self"},{"name":"printquality"}],"output":{"name":"bool"}}],[11,"hash","","",57,null],[11,"clone","","",58,{"inputs":[{"name":"self"}],"output":{"name":"propagationphase"}}],[11,"fmt","","",58,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",58,{"inputs":[{"name":"self"},{"name":"propagationphase"}],"output":{"name":"bool"}}],[11,"ne","","",58,{"inputs":[{"name":"self"},{"name":"propagationphase"}],"output":{"name":"bool"}}],[11,"hash","","",58,null],[11,"clone","","",59,{"inputs":[{"name":"self"}],"output":{"name":"recentchoosererror"}}],[11,"fmt","","",59,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",59,{"inputs":[{"name":"self"},{"name":"recentchoosererror"}],"output":{"name":"bool"}}],[11,"ne","","",59,{"inputs":[{"name":"self"},{"name":"recentchoosererror"}],"output":{"name":"bool"}}],[11,"hash","","",59,null],[11,"domain","","",59,{"inputs":[],"output":{"name":"gquark"}}],[11,"code","","",59,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"from","","",59,{"inputs":[{"name":"i32"}],"output":{"name":"option"}}],[11,"clone","","",60,{"inputs":[{"name":"self"}],"output":{"name":"recentmanagererror"}}],[11,"fmt","","",60,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",60,{"inputs":[{"name":"self"},{"name":"recentmanagererror"}],"output":{"name":"bool"}}],[11,"ne","","",60,{"inputs":[{"name":"self"},{"name":"recentmanagererror"}],"output":{"name":"bool"}}],[11,"hash","","",60,null],[11,"domain","","",60,{"inputs":[],"output":{"name":"gquark"}}],[11,"code","","",60,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"from","","",60,{"inputs":[{"name":"i32"}],"output":{"name":"option"}}],[11,"clone","","",61,{"inputs":[{"name":"self"}],"output":{"name":"recentsorttype"}}],[11,"fmt","","",61,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",61,{"inputs":[{"name":"self"},{"name":"recentsorttype"}],"output":{"name":"bool"}}],[11,"ne","","",61,{"inputs":[{"name":"self"},{"name":"recentsorttype"}],"output":{"name":"bool"}}],[11,"hash","","",61,null],[11,"clone","","",62,{"inputs":[{"name":"self"}],"output":{"name":"reliefstyle"}}],[11,"fmt","","",62,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",62,{"inputs":[{"name":"self"},{"name":"reliefstyle"}],"output":{"name":"bool"}}],[11,"ne","","",62,{"inputs":[{"name":"self"},{"name":"reliefstyle"}],"output":{"name":"bool"}}],[11,"hash","","",62,null],[11,"clone","","",63,{"inputs":[{"name":"self"}],"output":{"name":"resizemode"}}],[11,"fmt","","",63,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",63,{"inputs":[{"name":"self"},{"name":"resizemode"}],"output":{"name":"bool"}}],[11,"ne","","",63,{"inputs":[{"name":"self"},{"name":"resizemode"}],"output":{"name":"bool"}}],[11,"hash","","",63,null],[11,"clone","","",64,{"inputs":[{"name":"self"}],"output":{"name":"responsetype"}}],[11,"fmt","","",64,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",64,{"inputs":[{"name":"self"},{"name":"responsetype"}],"output":{"name":"bool"}}],[11,"ne","","",64,{"inputs":[{"name":"self"},{"name":"responsetype"}],"output":{"name":"bool"}}],[11,"hash","","",64,null],[11,"clone","","",65,{"inputs":[{"name":"self"}],"output":{"name":"revealertransitiontype"}}],[11,"fmt","","",65,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",65,{"inputs":[{"name":"self"},{"name":"revealertransitiontype"}],"output":{"name":"bool"}}],[11,"ne","","",65,{"inputs":[{"name":"self"},{"name":"revealertransitiontype"}],"output":{"name":"bool"}}],[11,"hash","","",65,null],[11,"clone","","",66,{"inputs":[{"name":"self"}],"output":{"name":"scrollstep"}}],[11,"fmt","","",66,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",66,{"inputs":[{"name":"self"},{"name":"scrollstep"}],"output":{"name":"bool"}}],[11,"ne","","",66,{"inputs":[{"name":"self"},{"name":"scrollstep"}],"output":{"name":"bool"}}],[11,"hash","","",66,null],[11,"clone","","",67,{"inputs":[{"name":"self"}],"output":{"name":"scrolltype"}}],[11,"fmt","","",67,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",67,{"inputs":[{"name":"self"},{"name":"scrolltype"}],"output":{"name":"bool"}}],[11,"ne","","",67,{"inputs":[{"name":"self"},{"name":"scrolltype"}],"output":{"name":"bool"}}],[11,"hash","","",67,null],[11,"clone","","",68,{"inputs":[{"name":"self"}],"output":{"name":"scrollablepolicy"}}],[11,"fmt","","",68,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",68,{"inputs":[{"name":"self"},{"name":"scrollablepolicy"}],"output":{"name":"bool"}}],[11,"ne","","",68,{"inputs":[{"name":"self"},{"name":"scrollablepolicy"}],"output":{"name":"bool"}}],[11,"hash","","",68,null],[11,"clone","","",69,{"inputs":[{"name":"self"}],"output":{"name":"selectionmode"}}],[11,"fmt","","",69,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",69,{"inputs":[{"name":"self"},{"name":"selectionmode"}],"output":{"name":"bool"}}],[11,"ne","","",69,{"inputs":[{"name":"self"},{"name":"selectionmode"}],"output":{"name":"bool"}}],[11,"hash","","",69,null],[11,"clone","","",70,{"inputs":[{"name":"self"}],"output":{"name":"sensitivitytype"}}],[11,"fmt","","",70,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",70,{"inputs":[{"name":"self"},{"name":"sensitivitytype"}],"output":{"name":"bool"}}],[11,"ne","","",70,{"inputs":[{"name":"self"},{"name":"sensitivitytype"}],"output":{"name":"bool"}}],[11,"hash","","",70,null],[11,"clone","","",71,{"inputs":[{"name":"self"}],"output":{"name":"shadowtype"}}],[11,"fmt","","",71,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",71,{"inputs":[{"name":"self"},{"name":"shadowtype"}],"output":{"name":"bool"}}],[11,"ne","","",71,{"inputs":[{"name":"self"},{"name":"shadowtype"}],"output":{"name":"bool"}}],[11,"hash","","",71,null],[11,"clone","","",72,{"inputs":[{"name":"self"}],"output":{"name":"sizegroupmode"}}],[11,"fmt","","",72,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",72,{"inputs":[{"name":"self"},{"name":"sizegroupmode"}],"output":{"name":"bool"}}],[11,"ne","","",72,{"inputs":[{"name":"self"},{"name":"sizegroupmode"}],"output":{"name":"bool"}}],[11,"hash","","",72,null],[11,"clone","","",73,{"inputs":[{"name":"self"}],"output":{"name":"sizerequestmode"}}],[11,"fmt","","",73,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",73,{"inputs":[{"name":"self"},{"name":"sizerequestmode"}],"output":{"name":"bool"}}],[11,"ne","","",73,{"inputs":[{"name":"self"},{"name":"sizerequestmode"}],"output":{"name":"bool"}}],[11,"hash","","",73,null],[11,"clone","","",74,{"inputs":[{"name":"self"}],"output":{"name":"sorttype"}}],[11,"fmt","","",74,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",74,{"inputs":[{"name":"self"},{"name":"sorttype"}],"output":{"name":"bool"}}],[11,"ne","","",74,{"inputs":[{"name":"self"},{"name":"sorttype"}],"output":{"name":"bool"}}],[11,"hash","","",74,null],[11,"clone","","",75,{"inputs":[{"name":"self"}],"output":{"name":"spinbuttonupdatepolicy"}}],[11,"fmt","","",75,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",75,{"inputs":[{"name":"self"},{"name":"spinbuttonupdatepolicy"}],"output":{"name":"bool"}}],[11,"ne","","",75,{"inputs":[{"name":"self"},{"name":"spinbuttonupdatepolicy"}],"output":{"name":"bool"}}],[11,"hash","","",75,null],[11,"clone","","",76,{"inputs":[{"name":"self"}],"output":{"name":"spintype"}}],[11,"fmt","","",76,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",76,{"inputs":[{"name":"self"},{"name":"spintype"}],"output":{"name":"bool"}}],[11,"ne","","",76,{"inputs":[{"name":"self"},{"name":"spintype"}],"output":{"name":"bool"}}],[11,"hash","","",76,null],[11,"clone","","",77,{"inputs":[{"name":"self"}],"output":{"name":"stacktransitiontype"}}],[11,"fmt","","",77,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",77,{"inputs":[{"name":"self"},{"name":"stacktransitiontype"}],"output":{"name":"bool"}}],[11,"ne","","",77,{"inputs":[{"name":"self"},{"name":"stacktransitiontype"}],"output":{"name":"bool"}}],[11,"hash","","",77,null],[11,"clone","","",78,{"inputs":[{"name":"self"}],"output":{"name":"statetype"}}],[11,"fmt","","",78,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",78,{"inputs":[{"name":"self"},{"name":"statetype"}],"output":{"name":"bool"}}],[11,"ne","","",78,{"inputs":[{"name":"self"},{"name":"statetype"}],"output":{"name":"bool"}}],[11,"hash","","",78,null],[11,"clone","","",79,{"inputs":[{"name":"self"}],"output":{"name":"textdirection"}}],[11,"fmt","","",79,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",79,{"inputs":[{"name":"self"},{"name":"textdirection"}],"output":{"name":"bool"}}],[11,"ne","","",79,{"inputs":[{"name":"self"},{"name":"textdirection"}],"output":{"name":"bool"}}],[11,"hash","","",79,null],[11,"clone","","",80,{"inputs":[{"name":"self"}],"output":{"name":"textextendselection"}}],[11,"fmt","","",80,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",80,{"inputs":[{"name":"self"},{"name":"textextendselection"}],"output":{"name":"bool"}}],[11,"ne","","",80,{"inputs":[{"name":"self"},{"name":"textextendselection"}],"output":{"name":"bool"}}],[11,"hash","","",80,null],[11,"clone","","",81,{"inputs":[{"name":"self"}],"output":{"name":"textwindowtype"}}],[11,"fmt","","",81,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",81,{"inputs":[{"name":"self"},{"name":"textwindowtype"}],"output":{"name":"bool"}}],[11,"ne","","",81,{"inputs":[{"name":"self"},{"name":"textwindowtype"}],"output":{"name":"bool"}}],[11,"hash","","",81,null],[11,"clone","","",82,{"inputs":[{"name":"self"}],"output":{"name":"toolbarstyle"}}],[11,"fmt","","",82,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",82,{"inputs":[{"name":"self"},{"name":"toolbarstyle"}],"output":{"name":"bool"}}],[11,"ne","","",82,{"inputs":[{"name":"self"},{"name":"toolbarstyle"}],"output":{"name":"bool"}}],[11,"hash","","",82,null],[11,"clone","","",83,{"inputs":[{"name":"self"}],"output":{"name":"treeviewcolumnsizing"}}],[11,"fmt","","",83,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",83,{"inputs":[{"name":"self"},{"name":"treeviewcolumnsizing"}],"output":{"name":"bool"}}],[11,"ne","","",83,{"inputs":[{"name":"self"},{"name":"treeviewcolumnsizing"}],"output":{"name":"bool"}}],[11,"hash","","",83,null],[11,"clone","","",84,{"inputs":[{"name":"self"}],"output":{"name":"treeviewdropposition"}}],[11,"fmt","","",84,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",84,{"inputs":[{"name":"self"},{"name":"treeviewdropposition"}],"output":{"name":"bool"}}],[11,"ne","","",84,{"inputs":[{"name":"self"},{"name":"treeviewdropposition"}],"output":{"name":"bool"}}],[11,"hash","","",84,null],[11,"clone","","",85,{"inputs":[{"name":"self"}],"output":{"name":"treeviewgridlines"}}],[11,"fmt","","",85,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",85,{"inputs":[{"name":"self"},{"name":"treeviewgridlines"}],"output":{"name":"bool"}}],[11,"ne","","",85,{"inputs":[{"name":"self"},{"name":"treeviewgridlines"}],"output":{"name":"bool"}}],[11,"hash","","",85,null],[11,"clone","","",86,{"inputs":[{"name":"self"}],"output":{"name":"unit"}}],[11,"fmt","","",86,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",86,{"inputs":[{"name":"self"},{"name":"unit"}],"output":{"name":"bool"}}],[11,"ne","","",86,{"inputs":[{"name":"self"},{"name":"unit"}],"output":{"name":"bool"}}],[11,"hash","","",86,null],[11,"clone","","",87,{"inputs":[{"name":"self"}],"output":{"name":"widgethelptype"}}],[11,"fmt","","",87,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",87,{"inputs":[{"name":"self"},{"name":"widgethelptype"}],"output":{"name":"bool"}}],[11,"ne","","",87,{"inputs":[{"name":"self"},{"name":"widgethelptype"}],"output":{"name":"bool"}}],[11,"hash","","",87,null],[11,"clone","","",88,{"inputs":[{"name":"self"}],"output":{"name":"windowposition"}}],[11,"fmt","","",88,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",88,{"inputs":[{"name":"self"},{"name":"windowposition"}],"output":{"name":"bool"}}],[11,"ne","","",88,{"inputs":[{"name":"self"},{"name":"windowposition"}],"output":{"name":"bool"}}],[11,"hash","","",88,null],[11,"clone","","",89,{"inputs":[{"name":"self"}],"output":{"name":"windowtype"}}],[11,"fmt","","",89,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",89,{"inputs":[{"name":"self"},{"name":"windowtype"}],"output":{"name":"bool"}}],[11,"ne","","",89,{"inputs":[{"name":"self"},{"name":"windowtype"}],"output":{"name":"bool"}}],[11,"hash","","",89,null],[11,"clone","","",90,{"inputs":[{"name":"self"}],"output":{"name":"wrapmode"}}],[11,"fmt","","",90,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",90,{"inputs":[{"name":"self"},{"name":"wrapmode"}],"output":{"name":"bool"}}],[11,"ne","","",90,{"inputs":[{"name":"self"},{"name":"wrapmode"}],"output":{"name":"bool"}}],[11,"hash","","",90,null],[11,"eq","","",276,{"inputs":[{"name":"self"},{"name":"accelflags"}],"output":{"name":"bool"}}],[11,"ne","","",276,{"inputs":[{"name":"self"},{"name":"accelflags"}],"output":{"name":"bool"}}],[11,"clone","","",276,{"inputs":[{"name":"self"}],"output":{"name":"accelflags"}}],[11,"partial_cmp","","",276,{"inputs":[{"name":"self"},{"name":"accelflags"}],"output":{"name":"option"}}],[11,"lt","","",276,{"inputs":[{"name":"self"},{"name":"accelflags"}],"output":{"name":"bool"}}],[11,"le","","",276,{"inputs":[{"name":"self"},{"name":"accelflags"}],"output":{"name":"bool"}}],[11,"gt","","",276,{"inputs":[{"name":"self"},{"name":"accelflags"}],"output":{"name":"bool"}}],[11,"ge","","",276,{"inputs":[{"name":"self"},{"name":"accelflags"}],"output":{"name":"bool"}}],[11,"cmp","","",276,{"inputs":[{"name":"self"},{"name":"accelflags"}],"output":{"name":"ordering"}}],[11,"hash","","",276,null],[11,"fmt","","",276,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",276,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",276,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",276,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",276,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",276,{"inputs":[],"output":{"name":"accelflags"}}],[11,"all","","Returns the set containing all flags.",276,{"inputs":[],"output":{"name":"accelflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",276,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",276,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",276,{"inputs":[{"name":"u32"}],"output":{"name":"accelflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",276,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",276,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",276,{"inputs":[{"name":"self"},{"name":"accelflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",276,{"inputs":[{"name":"self"},{"name":"accelflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",276,{"inputs":[{"name":"self"},{"name":"accelflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",276,{"inputs":[{"name":"self"},{"name":"accelflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",276,{"inputs":[{"name":"self"},{"name":"accelflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",276,{"inputs":[{"name":"self"},{"name":"accelflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",276,{"inputs":[{"name":"self"},{"name":"accelflags"}],"output":{"name":"accelflags"}}],[11,"bitor_assign","","Adds the set of flags.",276,{"inputs":[{"name":"self"},{"name":"accelflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",276,{"inputs":[{"name":"self"},{"name":"accelflags"}],"output":{"name":"accelflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",276,{"inputs":[{"name":"self"},{"name":"accelflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",276,{"inputs":[{"name":"self"},{"name":"accelflags"}],"output":{"name":"accelflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",276,{"inputs":[{"name":"self"},{"name":"accelflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",276,{"inputs":[{"name":"self"},{"name":"accelflags"}],"output":{"name":"accelflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",276,{"inputs":[{"name":"self"},{"name":"accelflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",276,{"inputs":[{"name":"self"}],"output":{"name":"accelflags"}}],[11,"extend","","",276,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",276,{"inputs":[{"name":"t"}],"output":{"name":"accelflags"}}],[11,"eq","","",277,{"inputs":[{"name":"self"},{"name":"applicationinhibitflags"}],"output":{"name":"bool"}}],[11,"ne","","",277,{"inputs":[{"name":"self"},{"name":"applicationinhibitflags"}],"output":{"name":"bool"}}],[11,"clone","","",277,{"inputs":[{"name":"self"}],"output":{"name":"applicationinhibitflags"}}],[11,"partial_cmp","","",277,{"inputs":[{"name":"self"},{"name":"applicationinhibitflags"}],"output":{"name":"option"}}],[11,"lt","","",277,{"inputs":[{"name":"self"},{"name":"applicationinhibitflags"}],"output":{"name":"bool"}}],[11,"le","","",277,{"inputs":[{"name":"self"},{"name":"applicationinhibitflags"}],"output":{"name":"bool"}}],[11,"gt","","",277,{"inputs":[{"name":"self"},{"name":"applicationinhibitflags"}],"output":{"name":"bool"}}],[11,"ge","","",277,{"inputs":[{"name":"self"},{"name":"applicationinhibitflags"}],"output":{"name":"bool"}}],[11,"cmp","","",277,{"inputs":[{"name":"self"},{"name":"applicationinhibitflags"}],"output":{"name":"ordering"}}],[11,"hash","","",277,null],[11,"fmt","","",277,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",277,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",277,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",277,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",277,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",277,{"inputs":[],"output":{"name":"applicationinhibitflags"}}],[11,"all","","Returns the set containing all flags.",277,{"inputs":[],"output":{"name":"applicationinhibitflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",277,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",277,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",277,{"inputs":[{"name":"u32"}],"output":{"name":"applicationinhibitflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",277,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",277,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",277,{"inputs":[{"name":"self"},{"name":"applicationinhibitflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",277,{"inputs":[{"name":"self"},{"name":"applicationinhibitflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",277,{"inputs":[{"name":"self"},{"name":"applicationinhibitflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",277,{"inputs":[{"name":"self"},{"name":"applicationinhibitflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",277,{"inputs":[{"name":"self"},{"name":"applicationinhibitflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",277,{"inputs":[{"name":"self"},{"name":"applicationinhibitflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",277,{"inputs":[{"name":"self"},{"name":"applicationinhibitflags"}],"output":{"name":"applicationinhibitflags"}}],[11,"bitor_assign","","Adds the set of flags.",277,{"inputs":[{"name":"self"},{"name":"applicationinhibitflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",277,{"inputs":[{"name":"self"},{"name":"applicationinhibitflags"}],"output":{"name":"applicationinhibitflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",277,{"inputs":[{"name":"self"},{"name":"applicationinhibitflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",277,{"inputs":[{"name":"self"},{"name":"applicationinhibitflags"}],"output":{"name":"applicationinhibitflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",277,{"inputs":[{"name":"self"},{"name":"applicationinhibitflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",277,{"inputs":[{"name":"self"},{"name":"applicationinhibitflags"}],"output":{"name":"applicationinhibitflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",277,{"inputs":[{"name":"self"},{"name":"applicationinhibitflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",277,{"inputs":[{"name":"self"}],"output":{"name":"applicationinhibitflags"}}],[11,"extend","","",277,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",277,{"inputs":[{"name":"t"}],"output":{"name":"applicationinhibitflags"}}],[11,"eq","","",278,{"inputs":[{"name":"self"},{"name":"calendardisplayoptions"}],"output":{"name":"bool"}}],[11,"ne","","",278,{"inputs":[{"name":"self"},{"name":"calendardisplayoptions"}],"output":{"name":"bool"}}],[11,"clone","","",278,{"inputs":[{"name":"self"}],"output":{"name":"calendardisplayoptions"}}],[11,"partial_cmp","","",278,{"inputs":[{"name":"self"},{"name":"calendardisplayoptions"}],"output":{"name":"option"}}],[11,"lt","","",278,{"inputs":[{"name":"self"},{"name":"calendardisplayoptions"}],"output":{"name":"bool"}}],[11,"le","","",278,{"inputs":[{"name":"self"},{"name":"calendardisplayoptions"}],"output":{"name":"bool"}}],[11,"gt","","",278,{"inputs":[{"name":"self"},{"name":"calendardisplayoptions"}],"output":{"name":"bool"}}],[11,"ge","","",278,{"inputs":[{"name":"self"},{"name":"calendardisplayoptions"}],"output":{"name":"bool"}}],[11,"cmp","","",278,{"inputs":[{"name":"self"},{"name":"calendardisplayoptions"}],"output":{"name":"ordering"}}],[11,"hash","","",278,null],[11,"fmt","","",278,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",278,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",278,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",278,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",278,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",278,{"inputs":[],"output":{"name":"calendardisplayoptions"}}],[11,"all","","Returns the set containing all flags.",278,{"inputs":[],"output":{"name":"calendardisplayoptions"}}],[11,"bits","","Returns the raw value of the flags currently stored.",278,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",278,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",278,{"inputs":[{"name":"u32"}],"output":{"name":"calendardisplayoptions"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",278,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",278,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",278,{"inputs":[{"name":"self"},{"name":"calendardisplayoptions"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",278,{"inputs":[{"name":"self"},{"name":"calendardisplayoptions"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",278,{"inputs":[{"name":"self"},{"name":"calendardisplayoptions"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",278,{"inputs":[{"name":"self"},{"name":"calendardisplayoptions"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",278,{"inputs":[{"name":"self"},{"name":"calendardisplayoptions"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",278,{"inputs":[{"name":"self"},{"name":"calendardisplayoptions"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",278,{"inputs":[{"name":"self"},{"name":"calendardisplayoptions"}],"output":{"name":"calendardisplayoptions"}}],[11,"bitor_assign","","Adds the set of flags.",278,{"inputs":[{"name":"self"},{"name":"calendardisplayoptions"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",278,{"inputs":[{"name":"self"},{"name":"calendardisplayoptions"}],"output":{"name":"calendardisplayoptions"}}],[11,"bitxor_assign","","Toggles the set of flags.",278,{"inputs":[{"name":"self"},{"name":"calendardisplayoptions"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",278,{"inputs":[{"name":"self"},{"name":"calendardisplayoptions"}],"output":{"name":"calendardisplayoptions"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",278,{"inputs":[{"name":"self"},{"name":"calendardisplayoptions"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",278,{"inputs":[{"name":"self"},{"name":"calendardisplayoptions"}],"output":{"name":"calendardisplayoptions"}}],[11,"sub_assign","","Disables all flags enabled in the set.",278,{"inputs":[{"name":"self"},{"name":"calendardisplayoptions"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",278,{"inputs":[{"name":"self"}],"output":{"name":"calendardisplayoptions"}}],[11,"extend","","",278,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",278,{"inputs":[{"name":"t"}],"output":{"name":"calendardisplayoptions"}}],[11,"eq","","",279,{"inputs":[{"name":"self"},{"name":"cellrendererstate"}],"output":{"name":"bool"}}],[11,"ne","","",279,{"inputs":[{"name":"self"},{"name":"cellrendererstate"}],"output":{"name":"bool"}}],[11,"clone","","",279,{"inputs":[{"name":"self"}],"output":{"name":"cellrendererstate"}}],[11,"partial_cmp","","",279,{"inputs":[{"name":"self"},{"name":"cellrendererstate"}],"output":{"name":"option"}}],[11,"lt","","",279,{"inputs":[{"name":"self"},{"name":"cellrendererstate"}],"output":{"name":"bool"}}],[11,"le","","",279,{"inputs":[{"name":"self"},{"name":"cellrendererstate"}],"output":{"name":"bool"}}],[11,"gt","","",279,{"inputs":[{"name":"self"},{"name":"cellrendererstate"}],"output":{"name":"bool"}}],[11,"ge","","",279,{"inputs":[{"name":"self"},{"name":"cellrendererstate"}],"output":{"name":"bool"}}],[11,"cmp","","",279,{"inputs":[{"name":"self"},{"name":"cellrendererstate"}],"output":{"name":"ordering"}}],[11,"hash","","",279,null],[11,"fmt","","",279,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",279,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",279,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",279,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",279,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",279,{"inputs":[],"output":{"name":"cellrendererstate"}}],[11,"all","","Returns the set containing all flags.",279,{"inputs":[],"output":{"name":"cellrendererstate"}}],[11,"bits","","Returns the raw value of the flags currently stored.",279,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",279,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",279,{"inputs":[{"name":"u32"}],"output":{"name":"cellrendererstate"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",279,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",279,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",279,{"inputs":[{"name":"self"},{"name":"cellrendererstate"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",279,{"inputs":[{"name":"self"},{"name":"cellrendererstate"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",279,{"inputs":[{"name":"self"},{"name":"cellrendererstate"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",279,{"inputs":[{"name":"self"},{"name":"cellrendererstate"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",279,{"inputs":[{"name":"self"},{"name":"cellrendererstate"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",279,{"inputs":[{"name":"self"},{"name":"cellrendererstate"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",279,{"inputs":[{"name":"self"},{"name":"cellrendererstate"}],"output":{"name":"cellrendererstate"}}],[11,"bitor_assign","","Adds the set of flags.",279,{"inputs":[{"name":"self"},{"name":"cellrendererstate"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",279,{"inputs":[{"name":"self"},{"name":"cellrendererstate"}],"output":{"name":"cellrendererstate"}}],[11,"bitxor_assign","","Toggles the set of flags.",279,{"inputs":[{"name":"self"},{"name":"cellrendererstate"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",279,{"inputs":[{"name":"self"},{"name":"cellrendererstate"}],"output":{"name":"cellrendererstate"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",279,{"inputs":[{"name":"self"},{"name":"cellrendererstate"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",279,{"inputs":[{"name":"self"},{"name":"cellrendererstate"}],"output":{"name":"cellrendererstate"}}],[11,"sub_assign","","Disables all flags enabled in the set.",279,{"inputs":[{"name":"self"},{"name":"cellrendererstate"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",279,{"inputs":[{"name":"self"}],"output":{"name":"cellrendererstate"}}],[11,"extend","","",279,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",279,{"inputs":[{"name":"t"}],"output":{"name":"cellrendererstate"}}],[11,"eq","","",280,{"inputs":[{"name":"self"},{"name":"destdefaults"}],"output":{"name":"bool"}}],[11,"ne","","",280,{"inputs":[{"name":"self"},{"name":"destdefaults"}],"output":{"name":"bool"}}],[11,"clone","","",280,{"inputs":[{"name":"self"}],"output":{"name":"destdefaults"}}],[11,"partial_cmp","","",280,{"inputs":[{"name":"self"},{"name":"destdefaults"}],"output":{"name":"option"}}],[11,"lt","","",280,{"inputs":[{"name":"self"},{"name":"destdefaults"}],"output":{"name":"bool"}}],[11,"le","","",280,{"inputs":[{"name":"self"},{"name":"destdefaults"}],"output":{"name":"bool"}}],[11,"gt","","",280,{"inputs":[{"name":"self"},{"name":"destdefaults"}],"output":{"name":"bool"}}],[11,"ge","","",280,{"inputs":[{"name":"self"},{"name":"destdefaults"}],"output":{"name":"bool"}}],[11,"cmp","","",280,{"inputs":[{"name":"self"},{"name":"destdefaults"}],"output":{"name":"ordering"}}],[11,"hash","","",280,null],[11,"fmt","","",280,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",280,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",280,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",280,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",280,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",280,{"inputs":[],"output":{"name":"destdefaults"}}],[11,"all","","Returns the set containing all flags.",280,{"inputs":[],"output":{"name":"destdefaults"}}],[11,"bits","","Returns the raw value of the flags currently stored.",280,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",280,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",280,{"inputs":[{"name":"u32"}],"output":{"name":"destdefaults"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",280,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",280,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",280,{"inputs":[{"name":"self"},{"name":"destdefaults"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",280,{"inputs":[{"name":"self"},{"name":"destdefaults"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",280,{"inputs":[{"name":"self"},{"name":"destdefaults"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",280,{"inputs":[{"name":"self"},{"name":"destdefaults"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",280,{"inputs":[{"name":"self"},{"name":"destdefaults"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",280,{"inputs":[{"name":"self"},{"name":"destdefaults"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",280,{"inputs":[{"name":"self"},{"name":"destdefaults"}],"output":{"name":"destdefaults"}}],[11,"bitor_assign","","Adds the set of flags.",280,{"inputs":[{"name":"self"},{"name":"destdefaults"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",280,{"inputs":[{"name":"self"},{"name":"destdefaults"}],"output":{"name":"destdefaults"}}],[11,"bitxor_assign","","Toggles the set of flags.",280,{"inputs":[{"name":"self"},{"name":"destdefaults"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",280,{"inputs":[{"name":"self"},{"name":"destdefaults"}],"output":{"name":"destdefaults"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",280,{"inputs":[{"name":"self"},{"name":"destdefaults"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",280,{"inputs":[{"name":"self"},{"name":"destdefaults"}],"output":{"name":"destdefaults"}}],[11,"sub_assign","","Disables all flags enabled in the set.",280,{"inputs":[{"name":"self"},{"name":"destdefaults"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",280,{"inputs":[{"name":"self"}],"output":{"name":"destdefaults"}}],[11,"extend","","",280,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",280,{"inputs":[{"name":"t"}],"output":{"name":"destdefaults"}}],[11,"eq","","",281,{"inputs":[{"name":"self"},{"name":"dialogflags"}],"output":{"name":"bool"}}],[11,"ne","","",281,{"inputs":[{"name":"self"},{"name":"dialogflags"}],"output":{"name":"bool"}}],[11,"clone","","",281,{"inputs":[{"name":"self"}],"output":{"name":"dialogflags"}}],[11,"partial_cmp","","",281,{"inputs":[{"name":"self"},{"name":"dialogflags"}],"output":{"name":"option"}}],[11,"lt","","",281,{"inputs":[{"name":"self"},{"name":"dialogflags"}],"output":{"name":"bool"}}],[11,"le","","",281,{"inputs":[{"name":"self"},{"name":"dialogflags"}],"output":{"name":"bool"}}],[11,"gt","","",281,{"inputs":[{"name":"self"},{"name":"dialogflags"}],"output":{"name":"bool"}}],[11,"ge","","",281,{"inputs":[{"name":"self"},{"name":"dialogflags"}],"output":{"name":"bool"}}],[11,"cmp","","",281,{"inputs":[{"name":"self"},{"name":"dialogflags"}],"output":{"name":"ordering"}}],[11,"hash","","",281,null],[11,"fmt","","",281,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",281,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",281,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",281,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",281,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",281,{"inputs":[],"output":{"name":"dialogflags"}}],[11,"all","","Returns the set containing all flags.",281,{"inputs":[],"output":{"name":"dialogflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",281,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",281,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",281,{"inputs":[{"name":"u32"}],"output":{"name":"dialogflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",281,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",281,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",281,{"inputs":[{"name":"self"},{"name":"dialogflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",281,{"inputs":[{"name":"self"},{"name":"dialogflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",281,{"inputs":[{"name":"self"},{"name":"dialogflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",281,{"inputs":[{"name":"self"},{"name":"dialogflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",281,{"inputs":[{"name":"self"},{"name":"dialogflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",281,{"inputs":[{"name":"self"},{"name":"dialogflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",281,{"inputs":[{"name":"self"},{"name":"dialogflags"}],"output":{"name":"dialogflags"}}],[11,"bitor_assign","","Adds the set of flags.",281,{"inputs":[{"name":"self"},{"name":"dialogflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",281,{"inputs":[{"name":"self"},{"name":"dialogflags"}],"output":{"name":"dialogflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",281,{"inputs":[{"name":"self"},{"name":"dialogflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",281,{"inputs":[{"name":"self"},{"name":"dialogflags"}],"output":{"name":"dialogflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",281,{"inputs":[{"name":"self"},{"name":"dialogflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",281,{"inputs":[{"name":"self"},{"name":"dialogflags"}],"output":{"name":"dialogflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",281,{"inputs":[{"name":"self"},{"name":"dialogflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",281,{"inputs":[{"name":"self"}],"output":{"name":"dialogflags"}}],[11,"extend","","",281,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",281,{"inputs":[{"name":"t"}],"output":{"name":"dialogflags"}}],[11,"eq","","",282,{"inputs":[{"name":"self"},{"name":"filefilterflags"}],"output":{"name":"bool"}}],[11,"ne","","",282,{"inputs":[{"name":"self"},{"name":"filefilterflags"}],"output":{"name":"bool"}}],[11,"clone","","",282,{"inputs":[{"name":"self"}],"output":{"name":"filefilterflags"}}],[11,"partial_cmp","","",282,{"inputs":[{"name":"self"},{"name":"filefilterflags"}],"output":{"name":"option"}}],[11,"lt","","",282,{"inputs":[{"name":"self"},{"name":"filefilterflags"}],"output":{"name":"bool"}}],[11,"le","","",282,{"inputs":[{"name":"self"},{"name":"filefilterflags"}],"output":{"name":"bool"}}],[11,"gt","","",282,{"inputs":[{"name":"self"},{"name":"filefilterflags"}],"output":{"name":"bool"}}],[11,"ge","","",282,{"inputs":[{"name":"self"},{"name":"filefilterflags"}],"output":{"name":"bool"}}],[11,"cmp","","",282,{"inputs":[{"name":"self"},{"name":"filefilterflags"}],"output":{"name":"ordering"}}],[11,"hash","","",282,null],[11,"fmt","","",282,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",282,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",282,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",282,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",282,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",282,{"inputs":[],"output":{"name":"filefilterflags"}}],[11,"all","","Returns the set containing all flags.",282,{"inputs":[],"output":{"name":"filefilterflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",282,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",282,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",282,{"inputs":[{"name":"u32"}],"output":{"name":"filefilterflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",282,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",282,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",282,{"inputs":[{"name":"self"},{"name":"filefilterflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",282,{"inputs":[{"name":"self"},{"name":"filefilterflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",282,{"inputs":[{"name":"self"},{"name":"filefilterflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",282,{"inputs":[{"name":"self"},{"name":"filefilterflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",282,{"inputs":[{"name":"self"},{"name":"filefilterflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",282,{"inputs":[{"name":"self"},{"name":"filefilterflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",282,{"inputs":[{"name":"self"},{"name":"filefilterflags"}],"output":{"name":"filefilterflags"}}],[11,"bitor_assign","","Adds the set of flags.",282,{"inputs":[{"name":"self"},{"name":"filefilterflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",282,{"inputs":[{"name":"self"},{"name":"filefilterflags"}],"output":{"name":"filefilterflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",282,{"inputs":[{"name":"self"},{"name":"filefilterflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",282,{"inputs":[{"name":"self"},{"name":"filefilterflags"}],"output":{"name":"filefilterflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",282,{"inputs":[{"name":"self"},{"name":"filefilterflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",282,{"inputs":[{"name":"self"},{"name":"filefilterflags"}],"output":{"name":"filefilterflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",282,{"inputs":[{"name":"self"},{"name":"filefilterflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",282,{"inputs":[{"name":"self"}],"output":{"name":"filefilterflags"}}],[11,"extend","","",282,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",282,{"inputs":[{"name":"t"}],"output":{"name":"filefilterflags"}}],[11,"eq","","",283,{"inputs":[{"name":"self"},{"name":"iconlookupflags"}],"output":{"name":"bool"}}],[11,"ne","","",283,{"inputs":[{"name":"self"},{"name":"iconlookupflags"}],"output":{"name":"bool"}}],[11,"clone","","",283,{"inputs":[{"name":"self"}],"output":{"name":"iconlookupflags"}}],[11,"partial_cmp","","",283,{"inputs":[{"name":"self"},{"name":"iconlookupflags"}],"output":{"name":"option"}}],[11,"lt","","",283,{"inputs":[{"name":"self"},{"name":"iconlookupflags"}],"output":{"name":"bool"}}],[11,"le","","",283,{"inputs":[{"name":"self"},{"name":"iconlookupflags"}],"output":{"name":"bool"}}],[11,"gt","","",283,{"inputs":[{"name":"self"},{"name":"iconlookupflags"}],"output":{"name":"bool"}}],[11,"ge","","",283,{"inputs":[{"name":"self"},{"name":"iconlookupflags"}],"output":{"name":"bool"}}],[11,"cmp","","",283,{"inputs":[{"name":"self"},{"name":"iconlookupflags"}],"output":{"name":"ordering"}}],[11,"hash","","",283,null],[11,"fmt","","",283,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",283,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",283,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",283,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",283,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",283,{"inputs":[],"output":{"name":"iconlookupflags"}}],[11,"all","","Returns the set containing all flags.",283,{"inputs":[],"output":{"name":"iconlookupflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",283,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",283,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",283,{"inputs":[{"name":"u32"}],"output":{"name":"iconlookupflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",283,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",283,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",283,{"inputs":[{"name":"self"},{"name":"iconlookupflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",283,{"inputs":[{"name":"self"},{"name":"iconlookupflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",283,{"inputs":[{"name":"self"},{"name":"iconlookupflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",283,{"inputs":[{"name":"self"},{"name":"iconlookupflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",283,{"inputs":[{"name":"self"},{"name":"iconlookupflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",283,{"inputs":[{"name":"self"},{"name":"iconlookupflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",283,{"inputs":[{"name":"self"},{"name":"iconlookupflags"}],"output":{"name":"iconlookupflags"}}],[11,"bitor_assign","","Adds the set of flags.",283,{"inputs":[{"name":"self"},{"name":"iconlookupflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",283,{"inputs":[{"name":"self"},{"name":"iconlookupflags"}],"output":{"name":"iconlookupflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",283,{"inputs":[{"name":"self"},{"name":"iconlookupflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",283,{"inputs":[{"name":"self"},{"name":"iconlookupflags"}],"output":{"name":"iconlookupflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",283,{"inputs":[{"name":"self"},{"name":"iconlookupflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",283,{"inputs":[{"name":"self"},{"name":"iconlookupflags"}],"output":{"name":"iconlookupflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",283,{"inputs":[{"name":"self"},{"name":"iconlookupflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",283,{"inputs":[{"name":"self"}],"output":{"name":"iconlookupflags"}}],[11,"extend","","",283,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",283,{"inputs":[{"name":"t"}],"output":{"name":"iconlookupflags"}}],[11,"eq","","",284,{"inputs":[{"name":"self"},{"name":"inputhints"}],"output":{"name":"bool"}}],[11,"ne","","",284,{"inputs":[{"name":"self"},{"name":"inputhints"}],"output":{"name":"bool"}}],[11,"clone","","",284,{"inputs":[{"name":"self"}],"output":{"name":"inputhints"}}],[11,"partial_cmp","","",284,{"inputs":[{"name":"self"},{"name":"inputhints"}],"output":{"name":"option"}}],[11,"lt","","",284,{"inputs":[{"name":"self"},{"name":"inputhints"}],"output":{"name":"bool"}}],[11,"le","","",284,{"inputs":[{"name":"self"},{"name":"inputhints"}],"output":{"name":"bool"}}],[11,"gt","","",284,{"inputs":[{"name":"self"},{"name":"inputhints"}],"output":{"name":"bool"}}],[11,"ge","","",284,{"inputs":[{"name":"self"},{"name":"inputhints"}],"output":{"name":"bool"}}],[11,"cmp","","",284,{"inputs":[{"name":"self"},{"name":"inputhints"}],"output":{"name":"ordering"}}],[11,"hash","","",284,null],[11,"fmt","","",284,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",284,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",284,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",284,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",284,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",284,{"inputs":[],"output":{"name":"inputhints"}}],[11,"all","","Returns the set containing all flags.",284,{"inputs":[],"output":{"name":"inputhints"}}],[11,"bits","","Returns the raw value of the flags currently stored.",284,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",284,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",284,{"inputs":[{"name":"u32"}],"output":{"name":"inputhints"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",284,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",284,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",284,{"inputs":[{"name":"self"},{"name":"inputhints"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",284,{"inputs":[{"name":"self"},{"name":"inputhints"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",284,{"inputs":[{"name":"self"},{"name":"inputhints"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",284,{"inputs":[{"name":"self"},{"name":"inputhints"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",284,{"inputs":[{"name":"self"},{"name":"inputhints"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",284,{"inputs":[{"name":"self"},{"name":"inputhints"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",284,{"inputs":[{"name":"self"},{"name":"inputhints"}],"output":{"name":"inputhints"}}],[11,"bitor_assign","","Adds the set of flags.",284,{"inputs":[{"name":"self"},{"name":"inputhints"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",284,{"inputs":[{"name":"self"},{"name":"inputhints"}],"output":{"name":"inputhints"}}],[11,"bitxor_assign","","Toggles the set of flags.",284,{"inputs":[{"name":"self"},{"name":"inputhints"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",284,{"inputs":[{"name":"self"},{"name":"inputhints"}],"output":{"name":"inputhints"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",284,{"inputs":[{"name":"self"},{"name":"inputhints"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",284,{"inputs":[{"name":"self"},{"name":"inputhints"}],"output":{"name":"inputhints"}}],[11,"sub_assign","","Disables all flags enabled in the set.",284,{"inputs":[{"name":"self"},{"name":"inputhints"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",284,{"inputs":[{"name":"self"}],"output":{"name":"inputhints"}}],[11,"extend","","",284,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",284,{"inputs":[{"name":"t"}],"output":{"name":"inputhints"}}],[11,"eq","","",285,{"inputs":[{"name":"self"},{"name":"junctionsides"}],"output":{"name":"bool"}}],[11,"ne","","",285,{"inputs":[{"name":"self"},{"name":"junctionsides"}],"output":{"name":"bool"}}],[11,"clone","","",285,{"inputs":[{"name":"self"}],"output":{"name":"junctionsides"}}],[11,"partial_cmp","","",285,{"inputs":[{"name":"self"},{"name":"junctionsides"}],"output":{"name":"option"}}],[11,"lt","","",285,{"inputs":[{"name":"self"},{"name":"junctionsides"}],"output":{"name":"bool"}}],[11,"le","","",285,{"inputs":[{"name":"self"},{"name":"junctionsides"}],"output":{"name":"bool"}}],[11,"gt","","",285,{"inputs":[{"name":"self"},{"name":"junctionsides"}],"output":{"name":"bool"}}],[11,"ge","","",285,{"inputs":[{"name":"self"},{"name":"junctionsides"}],"output":{"name":"bool"}}],[11,"cmp","","",285,{"inputs":[{"name":"self"},{"name":"junctionsides"}],"output":{"name":"ordering"}}],[11,"hash","","",285,null],[11,"fmt","","",285,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",285,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",285,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",285,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",285,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",285,{"inputs":[],"output":{"name":"junctionsides"}}],[11,"all","","Returns the set containing all flags.",285,{"inputs":[],"output":{"name":"junctionsides"}}],[11,"bits","","Returns the raw value of the flags currently stored.",285,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",285,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",285,{"inputs":[{"name":"u32"}],"output":{"name":"junctionsides"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",285,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",285,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",285,{"inputs":[{"name":"self"},{"name":"junctionsides"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",285,{"inputs":[{"name":"self"},{"name":"junctionsides"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",285,{"inputs":[{"name":"self"},{"name":"junctionsides"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",285,{"inputs":[{"name":"self"},{"name":"junctionsides"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",285,{"inputs":[{"name":"self"},{"name":"junctionsides"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",285,{"inputs":[{"name":"self"},{"name":"junctionsides"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",285,{"inputs":[{"name":"self"},{"name":"junctionsides"}],"output":{"name":"junctionsides"}}],[11,"bitor_assign","","Adds the set of flags.",285,{"inputs":[{"name":"self"},{"name":"junctionsides"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",285,{"inputs":[{"name":"self"},{"name":"junctionsides"}],"output":{"name":"junctionsides"}}],[11,"bitxor_assign","","Toggles the set of flags.",285,{"inputs":[{"name":"self"},{"name":"junctionsides"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",285,{"inputs":[{"name":"self"},{"name":"junctionsides"}],"output":{"name":"junctionsides"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",285,{"inputs":[{"name":"self"},{"name":"junctionsides"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",285,{"inputs":[{"name":"self"},{"name":"junctionsides"}],"output":{"name":"junctionsides"}}],[11,"sub_assign","","Disables all flags enabled in the set.",285,{"inputs":[{"name":"self"},{"name":"junctionsides"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",285,{"inputs":[{"name":"self"}],"output":{"name":"junctionsides"}}],[11,"extend","","",285,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",285,{"inputs":[{"name":"t"}],"output":{"name":"junctionsides"}}],[11,"eq","","",286,{"inputs":[{"name":"self"},{"name":"placesopenflags"}],"output":{"name":"bool"}}],[11,"ne","","",286,{"inputs":[{"name":"self"},{"name":"placesopenflags"}],"output":{"name":"bool"}}],[11,"clone","","",286,{"inputs":[{"name":"self"}],"output":{"name":"placesopenflags"}}],[11,"partial_cmp","","",286,{"inputs":[{"name":"self"},{"name":"placesopenflags"}],"output":{"name":"option"}}],[11,"lt","","",286,{"inputs":[{"name":"self"},{"name":"placesopenflags"}],"output":{"name":"bool"}}],[11,"le","","",286,{"inputs":[{"name":"self"},{"name":"placesopenflags"}],"output":{"name":"bool"}}],[11,"gt","","",286,{"inputs":[{"name":"self"},{"name":"placesopenflags"}],"output":{"name":"bool"}}],[11,"ge","","",286,{"inputs":[{"name":"self"},{"name":"placesopenflags"}],"output":{"name":"bool"}}],[11,"cmp","","",286,{"inputs":[{"name":"self"},{"name":"placesopenflags"}],"output":{"name":"ordering"}}],[11,"hash","","",286,null],[11,"fmt","","",286,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",286,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",286,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",286,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",286,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",286,{"inputs":[],"output":{"name":"placesopenflags"}}],[11,"all","","Returns the set containing all flags.",286,{"inputs":[],"output":{"name":"placesopenflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",286,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",286,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",286,{"inputs":[{"name":"u32"}],"output":{"name":"placesopenflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",286,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",286,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",286,{"inputs":[{"name":"self"},{"name":"placesopenflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",286,{"inputs":[{"name":"self"},{"name":"placesopenflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",286,{"inputs":[{"name":"self"},{"name":"placesopenflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",286,{"inputs":[{"name":"self"},{"name":"placesopenflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",286,{"inputs":[{"name":"self"},{"name":"placesopenflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",286,{"inputs":[{"name":"self"},{"name":"placesopenflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",286,{"inputs":[{"name":"self"},{"name":"placesopenflags"}],"output":{"name":"placesopenflags"}}],[11,"bitor_assign","","Adds the set of flags.",286,{"inputs":[{"name":"self"},{"name":"placesopenflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",286,{"inputs":[{"name":"self"},{"name":"placesopenflags"}],"output":{"name":"placesopenflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",286,{"inputs":[{"name":"self"},{"name":"placesopenflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",286,{"inputs":[{"name":"self"},{"name":"placesopenflags"}],"output":{"name":"placesopenflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",286,{"inputs":[{"name":"self"},{"name":"placesopenflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",286,{"inputs":[{"name":"self"},{"name":"placesopenflags"}],"output":{"name":"placesopenflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",286,{"inputs":[{"name":"self"},{"name":"placesopenflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",286,{"inputs":[{"name":"self"}],"output":{"name":"placesopenflags"}}],[11,"extend","","",286,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",286,{"inputs":[{"name":"t"}],"output":{"name":"placesopenflags"}}],[11,"eq","","",287,{"inputs":[{"name":"self"},{"name":"recentfilterflags"}],"output":{"name":"bool"}}],[11,"ne","","",287,{"inputs":[{"name":"self"},{"name":"recentfilterflags"}],"output":{"name":"bool"}}],[11,"clone","","",287,{"inputs":[{"name":"self"}],"output":{"name":"recentfilterflags"}}],[11,"partial_cmp","","",287,{"inputs":[{"name":"self"},{"name":"recentfilterflags"}],"output":{"name":"option"}}],[11,"lt","","",287,{"inputs":[{"name":"self"},{"name":"recentfilterflags"}],"output":{"name":"bool"}}],[11,"le","","",287,{"inputs":[{"name":"self"},{"name":"recentfilterflags"}],"output":{"name":"bool"}}],[11,"gt","","",287,{"inputs":[{"name":"self"},{"name":"recentfilterflags"}],"output":{"name":"bool"}}],[11,"ge","","",287,{"inputs":[{"name":"self"},{"name":"recentfilterflags"}],"output":{"name":"bool"}}],[11,"cmp","","",287,{"inputs":[{"name":"self"},{"name":"recentfilterflags"}],"output":{"name":"ordering"}}],[11,"hash","","",287,null],[11,"fmt","","",287,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",287,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",287,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",287,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",287,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",287,{"inputs":[],"output":{"name":"recentfilterflags"}}],[11,"all","","Returns the set containing all flags.",287,{"inputs":[],"output":{"name":"recentfilterflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",287,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",287,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",287,{"inputs":[{"name":"u32"}],"output":{"name":"recentfilterflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",287,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",287,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",287,{"inputs":[{"name":"self"},{"name":"recentfilterflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",287,{"inputs":[{"name":"self"},{"name":"recentfilterflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",287,{"inputs":[{"name":"self"},{"name":"recentfilterflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",287,{"inputs":[{"name":"self"},{"name":"recentfilterflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",287,{"inputs":[{"name":"self"},{"name":"recentfilterflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",287,{"inputs":[{"name":"self"},{"name":"recentfilterflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",287,{"inputs":[{"name":"self"},{"name":"recentfilterflags"}],"output":{"name":"recentfilterflags"}}],[11,"bitor_assign","","Adds the set of flags.",287,{"inputs":[{"name":"self"},{"name":"recentfilterflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",287,{"inputs":[{"name":"self"},{"name":"recentfilterflags"}],"output":{"name":"recentfilterflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",287,{"inputs":[{"name":"self"},{"name":"recentfilterflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",287,{"inputs":[{"name":"self"},{"name":"recentfilterflags"}],"output":{"name":"recentfilterflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",287,{"inputs":[{"name":"self"},{"name":"recentfilterflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",287,{"inputs":[{"name":"self"},{"name":"recentfilterflags"}],"output":{"name":"recentfilterflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",287,{"inputs":[{"name":"self"},{"name":"recentfilterflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",287,{"inputs":[{"name":"self"}],"output":{"name":"recentfilterflags"}}],[11,"extend","","",287,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",287,{"inputs":[{"name":"t"}],"output":{"name":"recentfilterflags"}}],[11,"eq","","",288,{"inputs":[{"name":"self"},{"name":"regionflags"}],"output":{"name":"bool"}}],[11,"ne","","",288,{"inputs":[{"name":"self"},{"name":"regionflags"}],"output":{"name":"bool"}}],[11,"clone","","",288,{"inputs":[{"name":"self"}],"output":{"name":"regionflags"}}],[11,"partial_cmp","","",288,{"inputs":[{"name":"self"},{"name":"regionflags"}],"output":{"name":"option"}}],[11,"lt","","",288,{"inputs":[{"name":"self"},{"name":"regionflags"}],"output":{"name":"bool"}}],[11,"le","","",288,{"inputs":[{"name":"self"},{"name":"regionflags"}],"output":{"name":"bool"}}],[11,"gt","","",288,{"inputs":[{"name":"self"},{"name":"regionflags"}],"output":{"name":"bool"}}],[11,"ge","","",288,{"inputs":[{"name":"self"},{"name":"regionflags"}],"output":{"name":"bool"}}],[11,"cmp","","",288,{"inputs":[{"name":"self"},{"name":"regionflags"}],"output":{"name":"ordering"}}],[11,"hash","","",288,null],[11,"fmt","","",288,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",288,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",288,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",288,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",288,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",288,{"inputs":[],"output":{"name":"regionflags"}}],[11,"all","","Returns the set containing all flags.",288,{"inputs":[],"output":{"name":"regionflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",288,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",288,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",288,{"inputs":[{"name":"u32"}],"output":{"name":"regionflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",288,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",288,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",288,{"inputs":[{"name":"self"},{"name":"regionflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",288,{"inputs":[{"name":"self"},{"name":"regionflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",288,{"inputs":[{"name":"self"},{"name":"regionflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",288,{"inputs":[{"name":"self"},{"name":"regionflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",288,{"inputs":[{"name":"self"},{"name":"regionflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",288,{"inputs":[{"name":"self"},{"name":"regionflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",288,{"inputs":[{"name":"self"},{"name":"regionflags"}],"output":{"name":"regionflags"}}],[11,"bitor_assign","","Adds the set of flags.",288,{"inputs":[{"name":"self"},{"name":"regionflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",288,{"inputs":[{"name":"self"},{"name":"regionflags"}],"output":{"name":"regionflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",288,{"inputs":[{"name":"self"},{"name":"regionflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",288,{"inputs":[{"name":"self"},{"name":"regionflags"}],"output":{"name":"regionflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",288,{"inputs":[{"name":"self"},{"name":"regionflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",288,{"inputs":[{"name":"self"},{"name":"regionflags"}],"output":{"name":"regionflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",288,{"inputs":[{"name":"self"},{"name":"regionflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",288,{"inputs":[{"name":"self"}],"output":{"name":"regionflags"}}],[11,"extend","","",288,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",288,{"inputs":[{"name":"t"}],"output":{"name":"regionflags"}}],[11,"eq","","",289,{"inputs":[{"name":"self"},{"name":"stateflags"}],"output":{"name":"bool"}}],[11,"ne","","",289,{"inputs":[{"name":"self"},{"name":"stateflags"}],"output":{"name":"bool"}}],[11,"clone","","",289,{"inputs":[{"name":"self"}],"output":{"name":"stateflags"}}],[11,"partial_cmp","","",289,{"inputs":[{"name":"self"},{"name":"stateflags"}],"output":{"name":"option"}}],[11,"lt","","",289,{"inputs":[{"name":"self"},{"name":"stateflags"}],"output":{"name":"bool"}}],[11,"le","","",289,{"inputs":[{"name":"self"},{"name":"stateflags"}],"output":{"name":"bool"}}],[11,"gt","","",289,{"inputs":[{"name":"self"},{"name":"stateflags"}],"output":{"name":"bool"}}],[11,"ge","","",289,{"inputs":[{"name":"self"},{"name":"stateflags"}],"output":{"name":"bool"}}],[11,"cmp","","",289,{"inputs":[{"name":"self"},{"name":"stateflags"}],"output":{"name":"ordering"}}],[11,"hash","","",289,null],[11,"fmt","","",289,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",289,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",289,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",289,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",289,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",289,{"inputs":[],"output":{"name":"stateflags"}}],[11,"all","","Returns the set containing all flags.",289,{"inputs":[],"output":{"name":"stateflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",289,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",289,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",289,{"inputs":[{"name":"u32"}],"output":{"name":"stateflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",289,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",289,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",289,{"inputs":[{"name":"self"},{"name":"stateflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",289,{"inputs":[{"name":"self"},{"name":"stateflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",289,{"inputs":[{"name":"self"},{"name":"stateflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",289,{"inputs":[{"name":"self"},{"name":"stateflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",289,{"inputs":[{"name":"self"},{"name":"stateflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",289,{"inputs":[{"name":"self"},{"name":"stateflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",289,{"inputs":[{"name":"self"},{"name":"stateflags"}],"output":{"name":"stateflags"}}],[11,"bitor_assign","","Adds the set of flags.",289,{"inputs":[{"name":"self"},{"name":"stateflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",289,{"inputs":[{"name":"self"},{"name":"stateflags"}],"output":{"name":"stateflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",289,{"inputs":[{"name":"self"},{"name":"stateflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",289,{"inputs":[{"name":"self"},{"name":"stateflags"}],"output":{"name":"stateflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",289,{"inputs":[{"name":"self"},{"name":"stateflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",289,{"inputs":[{"name":"self"},{"name":"stateflags"}],"output":{"name":"stateflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",289,{"inputs":[{"name":"self"},{"name":"stateflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",289,{"inputs":[{"name":"self"}],"output":{"name":"stateflags"}}],[11,"extend","","",289,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",289,{"inputs":[{"name":"t"}],"output":{"name":"stateflags"}}],[11,"eq","","",290,{"inputs":[{"name":"self"},{"name":"stylecontextprintflags"}],"output":{"name":"bool"}}],[11,"ne","","",290,{"inputs":[{"name":"self"},{"name":"stylecontextprintflags"}],"output":{"name":"bool"}}],[11,"clone","","",290,{"inputs":[{"name":"self"}],"output":{"name":"stylecontextprintflags"}}],[11,"partial_cmp","","",290,{"inputs":[{"name":"self"},{"name":"stylecontextprintflags"}],"output":{"name":"option"}}],[11,"lt","","",290,{"inputs":[{"name":"self"},{"name":"stylecontextprintflags"}],"output":{"name":"bool"}}],[11,"le","","",290,{"inputs":[{"name":"self"},{"name":"stylecontextprintflags"}],"output":{"name":"bool"}}],[11,"gt","","",290,{"inputs":[{"name":"self"},{"name":"stylecontextprintflags"}],"output":{"name":"bool"}}],[11,"ge","","",290,{"inputs":[{"name":"self"},{"name":"stylecontextprintflags"}],"output":{"name":"bool"}}],[11,"cmp","","",290,{"inputs":[{"name":"self"},{"name":"stylecontextprintflags"}],"output":{"name":"ordering"}}],[11,"hash","","",290,null],[11,"fmt","","",290,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",290,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",290,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",290,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",290,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",290,{"inputs":[],"output":{"name":"stylecontextprintflags"}}],[11,"all","","Returns the set containing all flags.",290,{"inputs":[],"output":{"name":"stylecontextprintflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",290,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",290,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",290,{"inputs":[{"name":"u32"}],"output":{"name":"stylecontextprintflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",290,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",290,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",290,{"inputs":[{"name":"self"},{"name":"stylecontextprintflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",290,{"inputs":[{"name":"self"},{"name":"stylecontextprintflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",290,{"inputs":[{"name":"self"},{"name":"stylecontextprintflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",290,{"inputs":[{"name":"self"},{"name":"stylecontextprintflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",290,{"inputs":[{"name":"self"},{"name":"stylecontextprintflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",290,{"inputs":[{"name":"self"},{"name":"stylecontextprintflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",290,{"inputs":[{"name":"self"},{"name":"stylecontextprintflags"}],"output":{"name":"stylecontextprintflags"}}],[11,"bitor_assign","","Adds the set of flags.",290,{"inputs":[{"name":"self"},{"name":"stylecontextprintflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",290,{"inputs":[{"name":"self"},{"name":"stylecontextprintflags"}],"output":{"name":"stylecontextprintflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",290,{"inputs":[{"name":"self"},{"name":"stylecontextprintflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",290,{"inputs":[{"name":"self"},{"name":"stylecontextprintflags"}],"output":{"name":"stylecontextprintflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",290,{"inputs":[{"name":"self"},{"name":"stylecontextprintflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",290,{"inputs":[{"name":"self"},{"name":"stylecontextprintflags"}],"output":{"name":"stylecontextprintflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",290,{"inputs":[{"name":"self"},{"name":"stylecontextprintflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",290,{"inputs":[{"name":"self"}],"output":{"name":"stylecontextprintflags"}}],[11,"extend","","",290,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",290,{"inputs":[{"name":"t"}],"output":{"name":"stylecontextprintflags"}}],[11,"eq","","",291,{"inputs":[{"name":"self"},{"name":"targetflags"}],"output":{"name":"bool"}}],[11,"ne","","",291,{"inputs":[{"name":"self"},{"name":"targetflags"}],"output":{"name":"bool"}}],[11,"clone","","",291,{"inputs":[{"name":"self"}],"output":{"name":"targetflags"}}],[11,"partial_cmp","","",291,{"inputs":[{"name":"self"},{"name":"targetflags"}],"output":{"name":"option"}}],[11,"lt","","",291,{"inputs":[{"name":"self"},{"name":"targetflags"}],"output":{"name":"bool"}}],[11,"le","","",291,{"inputs":[{"name":"self"},{"name":"targetflags"}],"output":{"name":"bool"}}],[11,"gt","","",291,{"inputs":[{"name":"self"},{"name":"targetflags"}],"output":{"name":"bool"}}],[11,"ge","","",291,{"inputs":[{"name":"self"},{"name":"targetflags"}],"output":{"name":"bool"}}],[11,"cmp","","",291,{"inputs":[{"name":"self"},{"name":"targetflags"}],"output":{"name":"ordering"}}],[11,"hash","","",291,null],[11,"fmt","","",291,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",291,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",291,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",291,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",291,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",291,{"inputs":[],"output":{"name":"targetflags"}}],[11,"all","","Returns the set containing all flags.",291,{"inputs":[],"output":{"name":"targetflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",291,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",291,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",291,{"inputs":[{"name":"u32"}],"output":{"name":"targetflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",291,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",291,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",291,{"inputs":[{"name":"self"},{"name":"targetflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",291,{"inputs":[{"name":"self"},{"name":"targetflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",291,{"inputs":[{"name":"self"},{"name":"targetflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",291,{"inputs":[{"name":"self"},{"name":"targetflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",291,{"inputs":[{"name":"self"},{"name":"targetflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",291,{"inputs":[{"name":"self"},{"name":"targetflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",291,{"inputs":[{"name":"self"},{"name":"targetflags"}],"output":{"name":"targetflags"}}],[11,"bitor_assign","","Adds the set of flags.",291,{"inputs":[{"name":"self"},{"name":"targetflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",291,{"inputs":[{"name":"self"},{"name":"targetflags"}],"output":{"name":"targetflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",291,{"inputs":[{"name":"self"},{"name":"targetflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",291,{"inputs":[{"name":"self"},{"name":"targetflags"}],"output":{"name":"targetflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",291,{"inputs":[{"name":"self"},{"name":"targetflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",291,{"inputs":[{"name":"self"},{"name":"targetflags"}],"output":{"name":"targetflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",291,{"inputs":[{"name":"self"},{"name":"targetflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",291,{"inputs":[{"name":"self"}],"output":{"name":"targetflags"}}],[11,"extend","","",291,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",291,{"inputs":[{"name":"t"}],"output":{"name":"targetflags"}}],[11,"eq","","",292,{"inputs":[{"name":"self"},{"name":"textsearchflags"}],"output":{"name":"bool"}}],[11,"ne","","",292,{"inputs":[{"name":"self"},{"name":"textsearchflags"}],"output":{"name":"bool"}}],[11,"clone","","",292,{"inputs":[{"name":"self"}],"output":{"name":"textsearchflags"}}],[11,"partial_cmp","","",292,{"inputs":[{"name":"self"},{"name":"textsearchflags"}],"output":{"name":"option"}}],[11,"lt","","",292,{"inputs":[{"name":"self"},{"name":"textsearchflags"}],"output":{"name":"bool"}}],[11,"le","","",292,{"inputs":[{"name":"self"},{"name":"textsearchflags"}],"output":{"name":"bool"}}],[11,"gt","","",292,{"inputs":[{"name":"self"},{"name":"textsearchflags"}],"output":{"name":"bool"}}],[11,"ge","","",292,{"inputs":[{"name":"self"},{"name":"textsearchflags"}],"output":{"name":"bool"}}],[11,"cmp","","",292,{"inputs":[{"name":"self"},{"name":"textsearchflags"}],"output":{"name":"ordering"}}],[11,"hash","","",292,null],[11,"fmt","","",292,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",292,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",292,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",292,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",292,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",292,{"inputs":[],"output":{"name":"textsearchflags"}}],[11,"all","","Returns the set containing all flags.",292,{"inputs":[],"output":{"name":"textsearchflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",292,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",292,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",292,{"inputs":[{"name":"u32"}],"output":{"name":"textsearchflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",292,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",292,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",292,{"inputs":[{"name":"self"},{"name":"textsearchflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",292,{"inputs":[{"name":"self"},{"name":"textsearchflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",292,{"inputs":[{"name":"self"},{"name":"textsearchflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",292,{"inputs":[{"name":"self"},{"name":"textsearchflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",292,{"inputs":[{"name":"self"},{"name":"textsearchflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",292,{"inputs":[{"name":"self"},{"name":"textsearchflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",292,{"inputs":[{"name":"self"},{"name":"textsearchflags"}],"output":{"name":"textsearchflags"}}],[11,"bitor_assign","","Adds the set of flags.",292,{"inputs":[{"name":"self"},{"name":"textsearchflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",292,{"inputs":[{"name":"self"},{"name":"textsearchflags"}],"output":{"name":"textsearchflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",292,{"inputs":[{"name":"self"},{"name":"textsearchflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",292,{"inputs":[{"name":"self"},{"name":"textsearchflags"}],"output":{"name":"textsearchflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",292,{"inputs":[{"name":"self"},{"name":"textsearchflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",292,{"inputs":[{"name":"self"},{"name":"textsearchflags"}],"output":{"name":"textsearchflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",292,{"inputs":[{"name":"self"},{"name":"textsearchflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",292,{"inputs":[{"name":"self"}],"output":{"name":"textsearchflags"}}],[11,"extend","","",292,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",292,{"inputs":[{"name":"t"}],"output":{"name":"textsearchflags"}}],[11,"eq","","",293,{"inputs":[{"name":"self"},{"name":"toolpalettedragtargets"}],"output":{"name":"bool"}}],[11,"ne","","",293,{"inputs":[{"name":"self"},{"name":"toolpalettedragtargets"}],"output":{"name":"bool"}}],[11,"clone","","",293,{"inputs":[{"name":"self"}],"output":{"name":"toolpalettedragtargets"}}],[11,"partial_cmp","","",293,{"inputs":[{"name":"self"},{"name":"toolpalettedragtargets"}],"output":{"name":"option"}}],[11,"lt","","",293,{"inputs":[{"name":"self"},{"name":"toolpalettedragtargets"}],"output":{"name":"bool"}}],[11,"le","","",293,{"inputs":[{"name":"self"},{"name":"toolpalettedragtargets"}],"output":{"name":"bool"}}],[11,"gt","","",293,{"inputs":[{"name":"self"},{"name":"toolpalettedragtargets"}],"output":{"name":"bool"}}],[11,"ge","","",293,{"inputs":[{"name":"self"},{"name":"toolpalettedragtargets"}],"output":{"name":"bool"}}],[11,"cmp","","",293,{"inputs":[{"name":"self"},{"name":"toolpalettedragtargets"}],"output":{"name":"ordering"}}],[11,"hash","","",293,null],[11,"fmt","","",293,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",293,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",293,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",293,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",293,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",293,{"inputs":[],"output":{"name":"toolpalettedragtargets"}}],[11,"all","","Returns the set containing all flags.",293,{"inputs":[],"output":{"name":"toolpalettedragtargets"}}],[11,"bits","","Returns the raw value of the flags currently stored.",293,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",293,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",293,{"inputs":[{"name":"u32"}],"output":{"name":"toolpalettedragtargets"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",293,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",293,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",293,{"inputs":[{"name":"self"},{"name":"toolpalettedragtargets"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",293,{"inputs":[{"name":"self"},{"name":"toolpalettedragtargets"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",293,{"inputs":[{"name":"self"},{"name":"toolpalettedragtargets"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",293,{"inputs":[{"name":"self"},{"name":"toolpalettedragtargets"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",293,{"inputs":[{"name":"self"},{"name":"toolpalettedragtargets"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",293,{"inputs":[{"name":"self"},{"name":"toolpalettedragtargets"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",293,{"inputs":[{"name":"self"},{"name":"toolpalettedragtargets"}],"output":{"name":"toolpalettedragtargets"}}],[11,"bitor_assign","","Adds the set of flags.",293,{"inputs":[{"name":"self"},{"name":"toolpalettedragtargets"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",293,{"inputs":[{"name":"self"},{"name":"toolpalettedragtargets"}],"output":{"name":"toolpalettedragtargets"}}],[11,"bitxor_assign","","Toggles the set of flags.",293,{"inputs":[{"name":"self"},{"name":"toolpalettedragtargets"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",293,{"inputs":[{"name":"self"},{"name":"toolpalettedragtargets"}],"output":{"name":"toolpalettedragtargets"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",293,{"inputs":[{"name":"self"},{"name":"toolpalettedragtargets"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",293,{"inputs":[{"name":"self"},{"name":"toolpalettedragtargets"}],"output":{"name":"toolpalettedragtargets"}}],[11,"sub_assign","","Disables all flags enabled in the set.",293,{"inputs":[{"name":"self"},{"name":"toolpalettedragtargets"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",293,{"inputs":[{"name":"self"}],"output":{"name":"toolpalettedragtargets"}}],[11,"extend","","",293,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",293,{"inputs":[{"name":"t"}],"output":{"name":"toolpalettedragtargets"}}],[11,"eq","","",294,{"inputs":[{"name":"self"},{"name":"treemodelflags"}],"output":{"name":"bool"}}],[11,"ne","","",294,{"inputs":[{"name":"self"},{"name":"treemodelflags"}],"output":{"name":"bool"}}],[11,"clone","","",294,{"inputs":[{"name":"self"}],"output":{"name":"treemodelflags"}}],[11,"partial_cmp","","",294,{"inputs":[{"name":"self"},{"name":"treemodelflags"}],"output":{"name":"option"}}],[11,"lt","","",294,{"inputs":[{"name":"self"},{"name":"treemodelflags"}],"output":{"name":"bool"}}],[11,"le","","",294,{"inputs":[{"name":"self"},{"name":"treemodelflags"}],"output":{"name":"bool"}}],[11,"gt","","",294,{"inputs":[{"name":"self"},{"name":"treemodelflags"}],"output":{"name":"bool"}}],[11,"ge","","",294,{"inputs":[{"name":"self"},{"name":"treemodelflags"}],"output":{"name":"bool"}}],[11,"cmp","","",294,{"inputs":[{"name":"self"},{"name":"treemodelflags"}],"output":{"name":"ordering"}}],[11,"hash","","",294,null],[11,"fmt","","",294,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",294,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",294,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",294,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",294,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",294,{"inputs":[],"output":{"name":"treemodelflags"}}],[11,"all","","Returns the set containing all flags.",294,{"inputs":[],"output":{"name":"treemodelflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",294,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",294,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",294,{"inputs":[{"name":"u32"}],"output":{"name":"treemodelflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",294,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",294,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",294,{"inputs":[{"name":"self"},{"name":"treemodelflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",294,{"inputs":[{"name":"self"},{"name":"treemodelflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",294,{"inputs":[{"name":"self"},{"name":"treemodelflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",294,{"inputs":[{"name":"self"},{"name":"treemodelflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",294,{"inputs":[{"name":"self"},{"name":"treemodelflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",294,{"inputs":[{"name":"self"},{"name":"treemodelflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",294,{"inputs":[{"name":"self"},{"name":"treemodelflags"}],"output":{"name":"treemodelflags"}}],[11,"bitor_assign","","Adds the set of flags.",294,{"inputs":[{"name":"self"},{"name":"treemodelflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",294,{"inputs":[{"name":"self"},{"name":"treemodelflags"}],"output":{"name":"treemodelflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",294,{"inputs":[{"name":"self"},{"name":"treemodelflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",294,{"inputs":[{"name":"self"},{"name":"treemodelflags"}],"output":{"name":"treemodelflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",294,{"inputs":[{"name":"self"},{"name":"treemodelflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",294,{"inputs":[{"name":"self"},{"name":"treemodelflags"}],"output":{"name":"treemodelflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",294,{"inputs":[{"name":"self"},{"name":"treemodelflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",294,{"inputs":[{"name":"self"}],"output":{"name":"treemodelflags"}}],[11,"extend","","",294,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",294,{"inputs":[{"name":"t"}],"output":{"name":"treemodelflags"}}],[11,"clone","","",295,{"inputs":[{"name":"self"}],"output":{"name":"appchooser"}}],[11,"fmt","","",295,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",295,null],[11,"static_type","","",295,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",295,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",100,{"inputs":[{"name":"i"},{"name":"applicationflags"}],"output":{"name":"result"}}],[11,"clone","","",296,{"inputs":[{"name":"self"}],"output":{"name":"builder"}}],[11,"fmt","","",296,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",296,null],[11,"static_type","","",296,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",296,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",296,{"inputs":[],"output":{"name":"builder"}}],[11,"new_from_file","","",296,{"inputs":[{"name":"t"}],"output":{"name":"builder"}}],[11,"new_from_resource","","",296,{"inputs":[{"name":"str"}],"output":{"name":"builder"}}],[11,"new_from_string","","",296,{"inputs":[{"name":"str"}],"output":{"name":"builder"}}],[11,"get_object","","",296,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[11,"add_from_file","","",296,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"result"}}],[11,"add_from_resource","","",296,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"result"}}],[11,"add_from_string","","",296,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"result"}}],[11,"set_translation_domain","","",296,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[11,"get_translation_domain","","",296,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"new_with_buttons","","",135,null],[11,"clone","","",297,{"inputs":[{"name":"self"}],"output":{"name":"entrybuffer"}}],[11,"fmt","","",297,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",297,null],[11,"static_type","","",297,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",297,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",297,{"inputs":[{"name":"option"}],"output":{"name":"entrybuffer"}}],[11,"delete_text","","",297,{"inputs":[{"name":"self"},{"name":"u16"},{"name":"option"}],"output":{"name":"u16"}}],[11,"get_bytes","","",297,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"get_length","","",297,{"inputs":[{"name":"self"}],"output":{"name":"u16"}}],[11,"get_max_length","","",297,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_text","","",297,{"inputs":[{"name":"self"}],"output":{"name":"string"}}],[11,"insert_text","","",297,{"inputs":[{"name":"self"},{"name":"u16"},{"name":"str"}],"output":{"name":"u16"}}],[11,"set_max_length","","",297,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[11,"set_text","","",297,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[11,"into","","",32,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"into","","",64,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"new","","",145,{"inputs":[{"name":"option"},{"name":"option"},{"name":"filechooseraction"}],"output":{"name":"filechooserdialog"}}],[11,"new","","",183,null],[11,"new","","",190,{"inputs":[{"name":"option"},{"name":"dialogflags"},{"name":"messagetype"},{"name":"buttonstype"},{"name":"str"}],"output":{"name":"messagedialog"}}],[11,"new","","",204,{"inputs":[],"output":{"name":"radiobutton"}}],[11,"new_with_label","","",204,{"inputs":[{"name":"str"}],"output":{"name":"radiobutton"}}],[11,"new_with_mnemonic","","",204,{"inputs":[{"name":"str"}],"output":{"name":"radiobutton"}}],[11,"new","","",205,{"inputs":[],"output":{"name":"radiomenuitem"}}],[11,"new_with_label","","",205,{"inputs":[{"name":"str"}],"output":{"name":"radiomenuitem"}}],[11,"new_with_mnemonic","","",205,{"inputs":[{"name":"str"}],"output":{"name":"radiomenuitem"}}],[11,"new","","",208,{"inputs":[{"name":"option"},{"name":"option"}],"output":{"name":"recentchooserdialog"}}],[11,"new_for_manager","","",208,{"inputs":[{"name":"option"},{"name":"option"},{"name":"recentmanager"}],"output":{"name":"recentchooserdialog"}}],[11,"connect_change_value","","",226,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[11,"connect_input","","",226,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[11,"connect_output","","",226,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[11,"connect_value_changed","","",226,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[11,"connect_wrapped","","",226,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[11,"clone","","",298,{"inputs":[{"name":"self"}],"output":{"name":"socket"}}],[11,"fmt","","",298,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",298,null],[11,"static_type","","",298,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",298,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",298,{"inputs":[],"output":{"name":"socket"}}],[11,"clone","","",299,{"inputs":[{"name":"self"}],"output":{"name":"targetentry"}}],[11,"fmt","","",299,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"new","","",299,{"inputs":[{"name":"str"},{"name":"targetflags"},{"name":"u32"}],"output":{"name":"targetentry"}}],[11,"get_target","","",299,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"get_flags","","",299,{"inputs":[{"name":"self"}],"output":{"name":"targetflags"}}],[11,"get_info","","",299,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"static_type","","",299,{"inputs":[],"output":{"name":"type"}}],[11,"new","","",271,null],[11,"get_attributes","","",273,{"inputs":[{"name":"self"},{"name":"textattributes"}],"output":{"name":"bool"}}],[11,"new","","",253,{"inputs":[{"name":"t"},{"name":"option"}],"output":{"name":"treemodelfilter"}}],[11,"get_indices","","",275,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[11,"new","","",256,null],[0,"prelude","","Traits and essential types inteded for blanket imports.",null,null],[3,"Inhibit","gtk::prelude","Whether to propagate the signal to the default handler.",null,null],[12,"0","","",5,null],[5,"idle_add","","Adds a closure to be called by the default main loop when it's idle.",null,{"inputs":[{"name":"f"}],"output":{"name":"sourceid"}}],[5,"timeout_add","","Adds a closure to be called by the default main loop at regular intervals with millisecond granularity.",null,{"inputs":[{"name":"u32"},{"name":"f"}],"output":{"name":"sourceid"}}],[5,"timeout_add_seconds","","Adds a closure to be called by the default main loop at regular intervals with second granularity.",null,{"inputs":[{"name":"u32"},{"name":"f"}],"output":{"name":"sourceid"}}],[8,"AboutDialogExt","","",null,null],[10,"add_credit_section","","",300,null],[10,"get_artists","","",300,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"get_authors","","",300,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"get_comments","","",300,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_copyright","","",300,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_documenters","","",300,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"get_license","","",300,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_license_type","","",300,{"inputs":[{"name":"self"}],"output":{"name":"license"}}],[10,"get_logo","","",300,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_logo_icon_name","","",300,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_program_name","","",300,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_translator_credits","","",300,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_version","","",300,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_website","","",300,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_website_label","","",300,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_wrap_license","","",300,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_artists","","",300,null],[10,"set_authors","","",300,null],[10,"set_comments","","",300,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_copyright","","",300,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_documenters","","",300,null],[10,"set_license","","",300,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_license_type","","",300,{"inputs":[{"name":"self"},{"name":"license"}],"output":null}],[10,"set_logo","","",300,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_logo_icon_name","","",300,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_program_name","","",300,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_translator_credits","","",300,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_version","","",300,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_website","","",300,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_website_label","","",300,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_wrap_license","","",300,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_activate_link","","",300,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"AccelGroupExt","","",null,null],[10,"disconnect_key","","",301,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"modifiertype"}],"output":{"name":"bool"}}],[10,"get_is_locked","","",301,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_modifier_mask","","",301,{"inputs":[{"name":"self"}],"output":{"name":"modifiertype"}}],[10,"lock","","",301,{"inputs":[{"name":"self"}],"output":null}],[10,"unlock","","",301,{"inputs":[{"name":"self"}],"output":null}],[10,"connect_accel_activate","","",301,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ActionBarExt","","",null,null],[10,"get_center_widget","","",302,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"pack_end","","",302,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"pack_start","","",302,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_center_widget","","",302,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"get_child_pack_type","","",302,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"packtype"}}],[10,"set_child_pack_type","","",302,{"inputs":[{"name":"self"},{"name":"t"},{"name":"packtype"}],"output":null}],[10,"get_child_position","","",302,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"i32"}}],[10,"set_child_position","","",302,{"inputs":[{"name":"self"},{"name":"t"},{"name":"i32"}],"output":null}],[8,"ActionableExt","","",null,null],[10,"get_action_name","","",303,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_action_target_value","","",303,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_action_name","","",303,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_action_target_value","","",303,{"inputs":[{"name":"self"},{"name":"variant"}],"output":null}],[10,"set_detailed_action_name","","",303,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[8,"AdjustmentExt","","",null,null],[10,"changed","","",304,{"inputs":[{"name":"self"}],"output":null}],[10,"clamp_page","","",304,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"}],"output":null}],[10,"configure","","",304,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[10,"get_lower","","",304,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_minimum_increment","","",304,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_page_increment","","",304,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_page_size","","",304,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_step_increment","","",304,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_upper","","",304,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_value","","",304,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"set_lower","","",304,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"set_page_increment","","",304,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"set_page_size","","",304,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"set_step_increment","","",304,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"set_upper","","",304,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"set_value","","",304,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"value_changed","","",304,{"inputs":[{"name":"self"}],"output":null}],[10,"connect_changed","","",304,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_value_changed","","",304,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"AlignmentExt","","",null,null],[10,"get_padding","","",305,null],[10,"set","","",305,{"inputs":[{"name":"self"},{"name":"f32"},{"name":"f32"},{"name":"f32"},{"name":"f32"}],"output":null}],[10,"set_padding","","",305,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"u32"},{"name":"u32"},{"name":"u32"}],"output":null}],[10,"get_property_bottom_padding","","",305,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_bottom_padding","","",305,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_left_padding","","",305,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_left_padding","","",305,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_right_padding","","",305,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_right_padding","","",305,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_top_padding","","",305,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_top_padding","","",305,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_xalign","","",305,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"set_property_xalign","","",305,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[10,"get_property_xscale","","",305,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"set_property_xscale","","",305,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[10,"get_property_yalign","","",305,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"set_property_yalign","","",305,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[10,"get_property_yscale","","",305,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"set_property_yscale","","",305,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[8,"AppChooserDialogExt","","",null,null],[10,"get_heading","","",306,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_widget","","",306,{"inputs":[{"name":"self"}],"output":{"name":"widget"}}],[10,"set_heading","","",306,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[8,"AppChooserWidgetExt","","",null,null],[10,"get_default_text","","",307,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_show_all","","",307,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_show_default","","",307,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_show_fallback","","",307,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_show_other","","",307,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_show_recommended","","",307,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_default_text","","",307,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_show_all","","",307,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_show_default","","",307,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_show_fallback","","",307,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_show_other","","",307,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_show_recommended","","",307,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_application_activated","","",307,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_application_selected","","",307,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_populate_popup","","",307,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ApplicationExt","","",null,null],[10,"add_accelerator","","",308,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"},{"name":"p"}],"output":null}],[10,"add_window","","",308,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"get_accels_for_action","","",308,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"vec"}}],[10,"get_actions_for_accel","","",308,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"vec"}}],[10,"get_active_window","","",308,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_app_menu","","",308,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_menu_by_id","","",308,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_menubar","","",308,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_window_by_id","","",308,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[10,"get_windows","","",308,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"inhibit","","",308,{"inputs":[{"name":"self"},{"name":"q"},{"name":"applicationinhibitflags"},{"name":"r"}],"output":{"name":"u32"}}],[10,"is_inhibited","","",308,{"inputs":[{"name":"self"},{"name":"applicationinhibitflags"}],"output":{"name":"bool"}}],[10,"list_action_descriptions","","",308,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"prefers_app_menu","","",308,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"remove_accelerator","","",308,{"inputs":[{"name":"self"},{"name":"str"},{"name":"p"}],"output":null}],[10,"remove_window","","",308,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_accels_for_action","","",308,null],[10,"set_app_menu","","",308,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_menubar","","",308,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"uninhibit","","",308,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_active_window","","",308,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_property_register_session","","",308,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_register_session","","",308,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_window_added","","",308,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_window_removed","","",308,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ApplicationWindowExt","","",null,null],[10,"get_help_overlay","","",309,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_id","","",309,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"get_show_menubar","","",309,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_help_overlay","","",309,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_show_menubar","","",309,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[8,"ArrowExt","","",null,null],[10,"set","","",310,{"inputs":[{"name":"self"},{"name":"arrowtype"},{"name":"shadowtype"}],"output":null}],[10,"get_property_arrow_type","","",310,{"inputs":[{"name":"self"}],"output":{"name":"arrowtype"}}],[10,"set_property_arrow_type","","",310,{"inputs":[{"name":"self"},{"name":"arrowtype"}],"output":null}],[10,"get_property_shadow_type","","",310,{"inputs":[{"name":"self"}],"output":{"name":"shadowtype"}}],[10,"set_property_shadow_type","","",310,{"inputs":[{"name":"self"},{"name":"shadowtype"}],"output":null}],[8,"AspectFrameExt","","",null,null],[10,"set","","",311,{"inputs":[{"name":"self"},{"name":"f32"},{"name":"f32"},{"name":"f32"},{"name":"bool"}],"output":null}],[10,"get_property_obey_child","","",311,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_obey_child","","",311,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_ratio","","",311,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"set_property_ratio","","",311,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[10,"get_property_xalign","","",311,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"set_property_xalign","","",311,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[10,"get_property_yalign","","",311,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"set_property_yalign","","",311,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[8,"AssistantExt","","",null,null],[10,"add_action_widget","","",312,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"append_page","","",312,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"i32"}}],[10,"commit","","",312,{"inputs":[{"name":"self"}],"output":null}],[10,"get_current_page","","",312,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_n_pages","","",312,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_nth_page","","",312,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_page_complete","","",312,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"get_page_has_padding","","",312,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"get_page_title","","",312,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"option"}}],[10,"get_page_type","","",312,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"assistantpagetype"}}],[10,"insert_page","","",312,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"}],"output":{"name":"i32"}}],[10,"next_page","","",312,{"inputs":[{"name":"self"}],"output":null}],[10,"prepend_page","","",312,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"i32"}}],[10,"previous_page","","",312,{"inputs":[{"name":"self"}],"output":null}],[10,"remove_action_widget","","",312,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"remove_page","","",312,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_current_page","","",312,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_page_complete","","",312,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"}],"output":null}],[10,"set_page_has_padding","","",312,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"}],"output":null}],[10,"set_page_title","","",312,{"inputs":[{"name":"self"},{"name":"p"},{"name":"str"}],"output":null}],[10,"set_page_type","","",312,{"inputs":[{"name":"self"},{"name":"p"},{"name":"assistantpagetype"}],"output":null}],[10,"update_buttons_state","","",312,{"inputs":[{"name":"self"}],"output":null}],[10,"get_property_use_header_bar","","",312,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_child_complete","","",312,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[10,"set_child_complete","","",312,{"inputs":[{"name":"self"},{"name":"t"},{"name":"bool"}],"output":null}],[10,"get_child_has_padding","","",312,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[10,"set_child_has_padding","","",312,{"inputs":[{"name":"self"},{"name":"t"},{"name":"bool"}],"output":null}],[10,"get_child_page_type","","",312,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"assistantpagetype"}}],[10,"set_child_page_type","","",312,{"inputs":[{"name":"self"},{"name":"t"},{"name":"assistantpagetype"}],"output":null}],[10,"get_child_title","","",312,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"option"}}],[10,"set_child_title","","",312,{"inputs":[{"name":"self"},{"name":"t"},{"name":"p"}],"output":null}],[10,"connect_apply","","",312,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_cancel","","",312,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_close","","",312,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_escape","","",312,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_prepare","","",312,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"BinExt","","",null,null],[10,"get_child","","",313,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[8,"BoxExt","","",null,null],[10,"get_baseline_position","","",314,{"inputs":[{"name":"self"}],"output":{"name":"baselineposition"}}],[10,"get_center_widget","","",314,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_homogeneous","","",314,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_spacing","","",314,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"pack_end","","",314,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"},{"name":"bool"},{"name":"u32"}],"output":null}],[10,"pack_start","","",314,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"},{"name":"bool"},{"name":"u32"}],"output":null}],[10,"query_child_packing","","",314,null],[10,"reorder_child","","",314,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"}],"output":null}],[10,"set_baseline_position","","",314,{"inputs":[{"name":"self"},{"name":"baselineposition"}],"output":null}],[10,"set_center_widget","","",314,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_child_packing","","",314,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"},{"name":"bool"},{"name":"u32"},{"name":"packtype"}],"output":null}],[10,"set_homogeneous","","",314,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_spacing","","",314,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_child_position","","",314,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"i32"}}],[10,"set_child_position","","",314,{"inputs":[{"name":"self"},{"name":"t"},{"name":"i32"}],"output":null}],[8,"ButtonExt","","",null,null],[10,"clicked","","",315,{"inputs":[{"name":"self"}],"output":null}],[10,"get_alignment","","",315,null],[10,"get_always_show_image","","",315,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_event_window","","",315,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_image","","",315,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_image_position","","",315,{"inputs":[{"name":"self"}],"output":{"name":"positiontype"}}],[10,"get_label","","",315,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_relief","","",315,{"inputs":[{"name":"self"}],"output":{"name":"reliefstyle"}}],[10,"get_use_stock","","",315,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_use_underline","","",315,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_alignment","","",315,{"inputs":[{"name":"self"},{"name":"f32"},{"name":"f32"}],"output":null}],[10,"set_always_show_image","","",315,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_image","","",315,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_image_position","","",315,{"inputs":[{"name":"self"},{"name":"positiontype"}],"output":null}],[10,"set_label","","",315,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_relief","","",315,{"inputs":[{"name":"self"},{"name":"reliefstyle"}],"output":null}],[10,"set_use_stock","","",315,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_use_underline","","",315,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_xalign","","",315,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"set_property_xalign","","",315,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[10,"get_property_yalign","","",315,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"set_property_yalign","","",315,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[10,"connect_activate","","",315,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_clicked","","",315,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ButtonBoxExt","","",null,null],[10,"get_child_non_homogeneous","","",316,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"get_child_secondary","","",316,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"get_layout","","",316,{"inputs":[{"name":"self"}],"output":{"name":"buttonboxstyle"}}],[10,"set_child_non_homogeneous","","",316,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"}],"output":null}],[10,"set_child_secondary","","",316,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"}],"output":null}],[10,"set_layout","","",316,{"inputs":[{"name":"self"},{"name":"buttonboxstyle"}],"output":null}],[10,"get_property_layout_style","","",316,{"inputs":[{"name":"self"}],"output":{"name":"buttonboxstyle"}}],[10,"set_property_layout_style","","",316,{"inputs":[{"name":"self"},{"name":"buttonboxstyle"}],"output":null}],[8,"CalendarExt","","",null,null],[10,"clear_marks","","",317,{"inputs":[{"name":"self"}],"output":null}],[10,"get_date","","",317,null],[10,"get_day_is_marked","","",317,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"bool"}}],[10,"get_detail_height_rows","","",317,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_detail_width_chars","","",317,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_display_options","","",317,{"inputs":[{"name":"self"}],"output":{"name":"calendardisplayoptions"}}],[10,"mark_day","","",317,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"select_day","","",317,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"select_month","","",317,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"u32"}],"output":null}],[10,"set_detail_height_rows","","",317,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_detail_width_chars","","",317,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_display_options","","",317,{"inputs":[{"name":"self"},{"name":"calendardisplayoptions"}],"output":null}],[10,"unmark_day","","",317,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_day","","",317,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_day","","",317,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_month","","",317,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_month","","",317,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_no_month_change","","",317,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_no_month_change","","",317,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_show_day_names","","",317,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_show_day_names","","",317,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_show_details","","",317,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_show_details","","",317,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_show_heading","","",317,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_show_heading","","",317,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_show_week_numbers","","",317,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_show_week_numbers","","",317,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_year","","",317,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_year","","",317,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"connect_day_selected","","",317,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_day_selected_double_click","","",317,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_month_changed","","",317,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_next_month","","",317,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_next_year","","",317,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_prev_month","","",317,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_prev_year","","",317,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"CellAreaExt","","",null,null],[10,"activate","","",318,{"inputs":[{"name":"self"},{"name":"cellareacontext"},{"name":"p"},{"name":"rectangle"},{"name":"cellrendererstate"},{"name":"bool"}],"output":{"name":"bool"}}],[10,"activate_cell","","",318,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"},{"name":"event"},{"name":"rectangle"},{"name":"cellrendererstate"}],"output":{"name":"bool"}}],[10,"add","","",318,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"add_focus_sibling","","",318,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"}],"output":null}],[10,"apply_attributes","","",318,{"inputs":[{"name":"self"},{"name":"p"},{"name":"treeiter"},{"name":"bool"},{"name":"bool"}],"output":null}],[10,"attribute_connect","","",318,{"inputs":[{"name":"self"},{"name":"p"},{"name":"str"},{"name":"i32"}],"output":null}],[10,"attribute_disconnect","","",318,{"inputs":[{"name":"self"},{"name":"p"},{"name":"str"}],"output":null}],[10,"attribute_get_column","","",318,{"inputs":[{"name":"self"},{"name":"p"},{"name":"str"}],"output":{"name":"i32"}}],[10,"copy_context","","",318,{"inputs":[{"name":"self"},{"name":"cellareacontext"}],"output":{"name":"option"}}],[10,"create_context","","",318,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"event","","",318,{"inputs":[{"name":"self"},{"name":"cellareacontext"},{"name":"p"},{"name":"event"},{"name":"rectangle"},{"name":"cellrendererstate"}],"output":{"name":"i32"}}],[10,"focus","","",318,{"inputs":[{"name":"self"},{"name":"directiontype"}],"output":{"name":"bool"}}],[10,"get_cell_allocation","","",318,{"inputs":[{"name":"self"},{"name":"cellareacontext"},{"name":"p"},{"name":"q"},{"name":"rectangle"}],"output":{"name":"rectangle"}}],[10,"get_cell_at_position","","",318,null],[10,"get_current_path_string","","",318,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_edit_widget","","",318,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_edited_cell","","",318,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_focus_cell","","",318,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_focus_from_sibling","","",318,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"option"}}],[10,"get_focus_siblings","","",318,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"vec"}}],[10,"get_preferred_height","","",318,null],[10,"get_preferred_height_for_width","","",318,null],[10,"get_preferred_width","","",318,null],[10,"get_preferred_width_for_height","","",318,null],[10,"get_request_mode","","",318,{"inputs":[{"name":"self"}],"output":{"name":"sizerequestmode"}}],[10,"has_renderer","","",318,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"inner_cell_area","","",318,{"inputs":[{"name":"self"},{"name":"p"},{"name":"rectangle"}],"output":{"name":"rectangle"}}],[10,"is_activatable","","",318,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_focus_sibling","","",318,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"}],"output":{"name":"bool"}}],[10,"remove","","",318,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"remove_focus_sibling","","",318,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"}],"output":null}],[10,"render","","",318,{"inputs":[{"name":"self"},{"name":"cellareacontext"},{"name":"p"},{"name":"context"},{"name":"rectangle"},{"name":"rectangle"},{"name":"cellrendererstate"},{"name":"bool"}],"output":null}],[10,"request_renderer","","",318,null],[10,"set_focus_cell","","",318,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"stop_editing","","",318,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_add_editable","","",318,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_apply_attributes","","",318,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_focus_changed","","",318,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_remove_editable","","",318,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"CellAreaBoxExt","","",null,null],[10,"get_spacing","","",319,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"pack_end","","",319,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"},{"name":"bool"},{"name":"bool"}],"output":null}],[10,"pack_start","","",319,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"},{"name":"bool"},{"name":"bool"}],"output":null}],[10,"set_spacing","","",319,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[8,"CellAreaContextExt","","",null,null],[10,"allocate","","",320,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"get_allocation","","",320,null],[10,"get_area","","",320,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_preferred_height","","",320,null],[10,"get_preferred_height_for_width","","",320,null],[10,"get_preferred_width","","",320,null],[10,"get_preferred_width_for_height","","",320,null],[10,"push_preferred_height","","",320,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"push_preferred_width","","",320,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"reset","","",320,{"inputs":[{"name":"self"}],"output":null}],[10,"get_property_minimum_height","","",320,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_property_minimum_width","","",320,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_property_natural_height","","",320,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_property_natural_width","","",320,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[8,"CellEditableExt","","",null,null],[10,"editing_done","","",321,{"inputs":[{"name":"self"}],"output":null}],[10,"remove_widget","","",321,{"inputs":[{"name":"self"}],"output":null}],[10,"start_editing","","",321,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"get_property_editing_canceled","","",321,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_editing_canceled","","",321,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_editing_done","","",321,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_remove_widget","","",321,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"CellLayoutExt","","",null,null],[10,"add_attribute","","",322,{"inputs":[{"name":"self"},{"name":"p"},{"name":"str"},{"name":"i32"}],"output":null}],[10,"clear","","",322,{"inputs":[{"name":"self"}],"output":null}],[10,"clear_attributes","","",322,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"get_area","","",322,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_cells","","",322,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"pack_end","","",322,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"}],"output":null}],[10,"pack_start","","",322,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"}],"output":null}],[10,"reorder","","",322,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"}],"output":null}],[8,"CellRendererExt","","",null,null],[10,"activate","","",323,{"inputs":[{"name":"self"},{"name":"event"},{"name":"p"},{"name":"str"},{"name":"rectangle"},{"name":"rectangle"},{"name":"cellrendererstate"}],"output":{"name":"bool"}}],[10,"get_aligned_area","","",323,{"inputs":[{"name":"self"},{"name":"p"},{"name":"cellrendererstate"},{"name":"rectangle"}],"output":{"name":"rectangle"}}],[10,"get_alignment","","",323,null],[10,"get_fixed_size","","",323,null],[10,"get_padding","","",323,null],[10,"get_preferred_height","","",323,null],[10,"get_preferred_height_for_width","","",323,null],[10,"get_preferred_size","","",323,null],[10,"get_preferred_width","","",323,null],[10,"get_preferred_width_for_height","","",323,null],[10,"get_request_mode","","",323,{"inputs":[{"name":"self"}],"output":{"name":"sizerequestmode"}}],[10,"get_sensitive","","",323,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_state","","",323,{"inputs":[{"name":"self"},{"name":"q"},{"name":"cellrendererstate"}],"output":{"name":"stateflags"}}],[10,"get_visible","","",323,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_activatable","","",323,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"render","","",323,{"inputs":[{"name":"self"},{"name":"context"},{"name":"p"},{"name":"rectangle"},{"name":"rectangle"},{"name":"cellrendererstate"}],"output":null}],[10,"set_alignment","","",323,{"inputs":[{"name":"self"},{"name":"f32"},{"name":"f32"}],"output":null}],[10,"set_fixed_size","","",323,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"set_padding","","",323,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"set_sensitive","","",323,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_visible","","",323,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"start_editing","","",323,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"},{"name":"str"},{"name":"rectangle"},{"name":"rectangle"},{"name":"cellrendererstate"}],"output":{"name":"option"}}],[10,"stop_editing","","",323,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_property_cell_background","","",323,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_cell_background_rgba","","",323,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_cell_background_rgba","","",323,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_cell_background_set","","",323,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_cell_background_set","","",323,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_editing","","",323,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_property_height","","",323,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_height","","",323,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_is_expanded","","",323,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_is_expanded","","",323,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_is_expander","","",323,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_is_expander","","",323,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_mode","","",323,{"inputs":[{"name":"self"}],"output":{"name":"cellrenderermode"}}],[10,"set_property_mode","","",323,{"inputs":[{"name":"self"},{"name":"cellrenderermode"}],"output":null}],[10,"get_property_width","","",323,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_width","","",323,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_xalign","","",323,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"set_property_xalign","","",323,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[10,"get_property_xpad","","",323,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_xpad","","",323,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_yalign","","",323,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"set_property_yalign","","",323,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[10,"get_property_ypad","","",323,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_ypad","","",323,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"connect_editing_canceled","","",323,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_editing_started","","",323,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"CellRendererAccelExt","","",null,null],[10,"get_property_accel_key","","",324,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_accel_key","","",324,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_accel_mode","","",324,{"inputs":[{"name":"self"}],"output":{"name":"cellrendereraccelmode"}}],[10,"set_property_accel_mode","","",324,{"inputs":[{"name":"self"},{"name":"cellrendereraccelmode"}],"output":null}],[10,"get_property_accel_mods","","",324,{"inputs":[{"name":"self"}],"output":{"name":"modifiertype"}}],[10,"set_property_accel_mods","","",324,{"inputs":[{"name":"self"},{"name":"modifiertype"}],"output":null}],[10,"get_property_keycode","","",324,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_keycode","","",324,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"connect_accel_cleared","","",324,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_accel_edited","","",324,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"CellRendererComboExt","","",null,null],[10,"get_property_has_entry","","",325,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_has_entry","","",325,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_model","","",325,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_model","","",325,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_text_column","","",325,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_text_column","","",325,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"connect_changed","","",325,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"CellRendererPixbufExt","","",null,null],[10,"get_property_follow_state","","",326,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_follow_state","","",326,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gicon","","",326,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gicon","","",326,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_icon_name","","",326,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_icon_name","","",326,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_pixbuf","","",326,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_pixbuf","","",326,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_pixbuf_expander_closed","","",326,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_pixbuf_expander_closed","","",326,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_pixbuf_expander_open","","",326,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_pixbuf_expander_open","","",326,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_stock_detail","","",326,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_stock_detail","","",326,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_stock_id","","",326,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_stock_id","","",326,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_stock_size","","",326,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_stock_size","","",326,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[8,"CellRendererProgressExt","","",null,null],[10,"get_property_inverted","","",327,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_inverted","","",327,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_pulse","","",327,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_pulse","","",327,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_text","","",327,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_text","","",327,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_text_xalign","","",327,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"set_property_text_xalign","","",327,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[10,"get_property_text_yalign","","",327,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"set_property_text_yalign","","",327,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[10,"get_property_value","","",327,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_value","","",327,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[8,"CellRendererSpinExt","","",null,null],[10,"get_property_adjustment","","",328,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_adjustment","","",328,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_climb_rate","","",328,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"set_property_climb_rate","","",328,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"get_property_digits","","",328,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_digits","","",328,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[8,"CellRendererSpinnerExt","","",null,null],[10,"get_property_active","","",329,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_active","","",329,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_pulse","","",329,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_pulse","","",329,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_size","","",329,{"inputs":[{"name":"self"}],"output":{"name":"iconsize"}}],[10,"set_property_size","","",329,{"inputs":[{"name":"self"},{"name":"iconsize"}],"output":null}],[8,"CellRendererTextExt","","",null,null],[10,"set_fixed_height_from_font","","",330,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_align_set","","",330,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_align_set","","",330,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_property_background","","",330,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_background_rgba","","",330,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_background_rgba","","",330,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_background_set","","",330,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_background_set","","",330,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_editable","","",330,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_editable","","",330,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_editable_set","","",330,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_editable_set","","",330,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_ellipsize","","",330,{"inputs":[{"name":"self"}],"output":{"name":"ellipsizemode"}}],[10,"set_property_ellipsize","","",330,{"inputs":[{"name":"self"},{"name":"ellipsizemode"}],"output":null}],[10,"get_property_ellipsize_set","","",330,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_ellipsize_set","","",330,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_family","","",330,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_family","","",330,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_family_set","","",330,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_family_set","","",330,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_font","","",330,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_font","","",330,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"set_property_foreground","","",330,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_foreground_rgba","","",330,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_foreground_rgba","","",330,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_foreground_set","","",330,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_foreground_set","","",330,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_language","","",330,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_language","","",330,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_language_set","","",330,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_language_set","","",330,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_property_markup","","",330,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_max_width_chars","","",330,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_max_width_chars","","",330,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_placeholder_text","","",330,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_placeholder_text","","",330,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_rise","","",330,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_rise","","",330,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_rise_set","","",330,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_rise_set","","",330,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_scale","","",330,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"set_property_scale","","",330,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"get_property_scale_set","","",330,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_scale_set","","",330,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_single_paragraph_mode","","",330,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_single_paragraph_mode","","",330,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_size","","",330,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_size","","",330,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_size_points","","",330,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"set_property_size_points","","",330,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"get_property_size_set","","",330,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_size_set","","",330,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_stretch","","",330,{"inputs":[{"name":"self"}],"output":{"name":"stretch"}}],[10,"set_property_stretch","","",330,{"inputs":[{"name":"self"},{"name":"stretch"}],"output":null}],[10,"get_property_stretch_set","","",330,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_stretch_set","","",330,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_strikethrough","","",330,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_strikethrough","","",330,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_strikethrough_set","","",330,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_strikethrough_set","","",330,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_style","","",330,{"inputs":[{"name":"self"}],"output":{"name":"style"}}],[10,"set_property_style","","",330,{"inputs":[{"name":"self"},{"name":"style"}],"output":null}],[10,"get_property_style_set","","",330,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_style_set","","",330,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_text","","",330,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_text","","",330,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_underline","","",330,{"inputs":[{"name":"self"}],"output":{"name":"underline"}}],[10,"set_property_underline","","",330,{"inputs":[{"name":"self"},{"name":"underline"}],"output":null}],[10,"get_property_underline_set","","",330,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_underline_set","","",330,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_variant","","",330,{"inputs":[{"name":"self"}],"output":{"name":"variant"}}],[10,"set_property_variant","","",330,{"inputs":[{"name":"self"},{"name":"variant"}],"output":null}],[10,"get_property_variant_set","","",330,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_variant_set","","",330,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_weight","","",330,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_weight","","",330,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_weight_set","","",330,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_weight_set","","",330,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_width_chars","","",330,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_width_chars","","",330,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_wrap_mode","","",330,{"inputs":[{"name":"self"}],"output":{"name":"wrapmode"}}],[10,"set_property_wrap_mode","","",330,{"inputs":[{"name":"self"},{"name":"wrapmode"}],"output":null}],[10,"get_property_wrap_width","","",330,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_wrap_width","","",330,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"connect_edited","","",330,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"CellRendererToggleExt","","",null,null],[10,"get_activatable","","",331,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_active","","",331,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_radio","","",331,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_activatable","","",331,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_active","","",331,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_radio","","",331,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_inconsistent","","",331,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_inconsistent","","",331,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_indicator_size","","",331,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_indicator_size","","",331,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"connect_toggled","","",331,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"CheckMenuItemExt","","",null,null],[10,"get_active","","",332,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_draw_as_radio","","",332,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_inconsistent","","",332,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_active","","",332,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_draw_as_radio","","",332,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_inconsistent","","",332,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"toggled","","",332,{"inputs":[{"name":"self"}],"output":null}],[10,"connect_toggled","","",332,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ClipboardExt","","",null,null],[10,"clear","","",333,{"inputs":[{"name":"self"}],"output":null}],[10,"get_display","","",333,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_owner","","",333,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_selection","","",333,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_image","","",333,{"inputs":[{"name":"self"},{"name":"pixbuf"}],"output":null}],[10,"store","","",333,{"inputs":[{"name":"self"}],"output":null}],[10,"wait_for_contents","","",333,{"inputs":[{"name":"self"},{"name":"atom"}],"output":{"name":"option"}}],[10,"wait_for_image","","",333,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"wait_for_text","","",333,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"wait_for_uris","","",333,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"wait_is_image_available","","",333,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"wait_is_rich_text_available","","",333,{"inputs":[{"name":"self"},{"name":"textbuffer"}],"output":{"name":"bool"}}],[10,"wait_is_target_available","","",333,{"inputs":[{"name":"self"},{"name":"atom"}],"output":{"name":"bool"}}],[10,"wait_is_text_available","","",333,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"wait_is_uris_available","","",333,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[8,"ColorButtonExt","","",null,null],[10,"get_title","","",334,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_title","","",334,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"get_property_alpha","","",334,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_alpha","","",334,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_show_editor","","",334,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_show_editor","","",334,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_color_set","","",334,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ColorChooserExt","","",null,null],[10,"get_rgba","","",335,{"inputs":[{"name":"self"}],"output":{"name":"rgba"}}],[10,"get_use_alpha","","",335,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_rgba","","",335,{"inputs":[{"name":"self"},{"name":"rgba"}],"output":null}],[10,"set_use_alpha","","",335,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_color_activated","","",335,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ColorChooserDialogExt","","",null,null],[10,"get_property_show_editor","","",336,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_show_editor","","",336,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[8,"ColorChooserWidgetExt","","",null,null],[10,"get_property_show_editor","","",337,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_show_editor","","",337,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[8,"ComboBoxExt","","",null,null],[10,"get_active","","",338,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_active_id","","",338,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_active_iter","","",338,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_add_tearoffs","","",338,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_button_sensitivity","","",338,{"inputs":[{"name":"self"}],"output":{"name":"sensitivitytype"}}],[10,"get_column_span_column","","",338,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_entry_text_column","","",338,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_has_entry","","",338,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_id_column","","",338,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_model","","",338,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_popup_fixed_width","","",338,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_row_span_column","","",338,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_title","","",338,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_wrap_width","","",338,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"popdown","","",338,{"inputs":[{"name":"self"}],"output":null}],[10,"popup","","",338,{"inputs":[{"name":"self"}],"output":null}],[10,"popup_for_device","","",338,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_active","","",338,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_active_id","","",338,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"set_active_iter","","",338,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_add_tearoffs","","",338,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_button_sensitivity","","",338,{"inputs":[{"name":"self"},{"name":"sensitivitytype"}],"output":null}],[10,"set_column_span_column","","",338,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_entry_text_column","","",338,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_id_column","","",338,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_model","","",338,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_popup_fixed_width","","",338,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_row_span_column","","",338,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_title","","",338,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_wrap_width","","",338,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_cell_area","","",338,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_property_has_frame","","",338,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_has_frame","","",338,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_popup_shown","","",338,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_property_tearoff_title","","",338,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_tearoff_title","","",338,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"connect_changed","","",338,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_format_entry_text","","",338,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_move_active","","",338,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_popdown","","",338,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_popup","","",338,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ComboBoxTextExt","","",null,null],[10,"append","","",339,{"inputs":[{"name":"self"},{"name":"p"},{"name":"str"}],"output":null}],[10,"append_text","","",339,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"get_active_text","","",339,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"insert","","",339,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"p"},{"name":"str"}],"output":null}],[10,"insert_text","","",339,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"str"}],"output":null}],[10,"prepend","","",339,{"inputs":[{"name":"self"},{"name":"p"},{"name":"str"}],"output":null}],[10,"prepend_text","","",339,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"remove","","",339,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"remove_all","","",339,{"inputs":[{"name":"self"}],"output":null}],[8,"ContainerExt","","",null,null],[10,"add","","",340,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"check_resize","","",340,{"inputs":[{"name":"self"}],"output":null}],[10,"child_notify","","",340,{"inputs":[{"name":"self"},{"name":"p"},{"name":"str"}],"output":null}],[10,"child_type","","",340,{"inputs":[{"name":"self"}],"output":{"name":"type"}}],[10,"get_border_width","","",340,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"get_children","","",340,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"get_focus_child","","",340,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_focus_hadjustment","","",340,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_focus_vadjustment","","",340,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_resize_mode","","",340,{"inputs":[{"name":"self"}],"output":{"name":"resizemode"}}],[10,"propagate_draw","","",340,{"inputs":[{"name":"self"},{"name":"p"},{"name":"context"}],"output":null}],[10,"remove","","",340,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"resize_children","","",340,{"inputs":[{"name":"self"}],"output":null}],[10,"set_border_width","","",340,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"set_focus_chain","","",340,null],[10,"set_focus_child","","",340,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_focus_hadjustment","","",340,{"inputs":[{"name":"self"},{"name":"adjustment"}],"output":null}],[10,"set_focus_vadjustment","","",340,{"inputs":[{"name":"self"},{"name":"adjustment"}],"output":null}],[10,"set_reallocate_redraws","","",340,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_resize_mode","","",340,{"inputs":[{"name":"self"},{"name":"resizemode"}],"output":null}],[10,"unset_focus_chain","","",340,{"inputs":[{"name":"self"}],"output":null}],[10,"set_property_child","","",340,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"connect_add","","",340,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_check_resize","","",340,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_remove","","",340,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_set_focus_child","","",340,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"CssProviderExt","","",null,null],[10,"load_from_path","","",341,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"result"}}],[10,"load_from_resource","","",341,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"to_string","","",341,{"inputs":[{"name":"self"}],"output":{"name":"string"}}],[10,"connect_parsing_error","","",341,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"DialogExt","","",null,null],[10,"add_action_widget","","",342,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"}],"output":null}],[10,"add_button","","",342,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"}],"output":{"name":"widget"}}],[10,"get_action_area","","",342,{"inputs":[{"name":"self"}],"output":{"name":"widget"}}],[10,"get_content_area","","",342,{"inputs":[{"name":"self"}],"output":{"name":"box"}}],[10,"get_header_bar","","",342,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_response_for_widget","","",342,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"i32"}}],[10,"get_widget_for_response","","",342,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"option"}}],[10,"response","","",342,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"run","","",342,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_default_response","","",342,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_response_sensitive","","",342,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"bool"}],"output":null}],[10,"get_property_use_header_bar","","",342,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"connect_close","","",342,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_response","","",342,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"EditableExt","","",null,null],[10,"copy_clipboard","","",343,{"inputs":[{"name":"self"}],"output":null}],[10,"cut_clipboard","","",343,{"inputs":[{"name":"self"}],"output":null}],[10,"delete_selection","","",343,{"inputs":[{"name":"self"}],"output":null}],[10,"delete_text","","",343,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"get_chars","","",343,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_editable","","",343,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_position","","",343,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_selection_bounds","","",343,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"insert_text","","",343,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"paste_clipboard","","",343,{"inputs":[{"name":"self"}],"output":null}],[10,"select_region","","",343,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"set_editable","","",343,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_position","","",343,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[8,"EntryExt","","",null,null],[10,"get_activates_default","","",344,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_alignment","","",344,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"get_attributes","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_buffer","","",344,{"inputs":[{"name":"self"}],"output":{"name":"entrybuffer"}}],[10,"get_completion","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_current_icon_drag_source","","",344,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_cursor_hadjustment","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_has_frame","","",344,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_icon_activatable","","",344,{"inputs":[{"name":"self"},{"name":"entryiconposition"}],"output":{"name":"bool"}}],[10,"get_icon_area","","",344,{"inputs":[{"name":"self"},{"name":"entryiconposition"}],"output":{"name":"rectangle"}}],[10,"get_icon_at_pos","","",344,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"i32"}}],[10,"get_icon_gicon","","",344,{"inputs":[{"name":"self"},{"name":"entryiconposition"}],"output":{"name":"option"}}],[10,"get_icon_name","","",344,{"inputs":[{"name":"self"},{"name":"entryiconposition"}],"output":{"name":"option"}}],[10,"get_icon_pixbuf","","",344,{"inputs":[{"name":"self"},{"name":"entryiconposition"}],"output":{"name":"option"}}],[10,"get_icon_sensitive","","",344,{"inputs":[{"name":"self"},{"name":"entryiconposition"}],"output":{"name":"bool"}}],[10,"get_icon_stock","","",344,{"inputs":[{"name":"self"},{"name":"entryiconposition"}],"output":{"name":"option"}}],[10,"get_icon_storage_type","","",344,{"inputs":[{"name":"self"},{"name":"entryiconposition"}],"output":{"name":"imagetype"}}],[10,"get_icon_tooltip_markup","","",344,{"inputs":[{"name":"self"},{"name":"entryiconposition"}],"output":{"name":"option"}}],[10,"get_icon_tooltip_text","","",344,{"inputs":[{"name":"self"},{"name":"entryiconposition"}],"output":{"name":"option"}}],[10,"get_input_hints","","",344,{"inputs":[{"name":"self"}],"output":{"name":"inputhints"}}],[10,"get_input_purpose","","",344,{"inputs":[{"name":"self"}],"output":{"name":"inputpurpose"}}],[10,"get_invisible_char","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_layout","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_layout_offsets","","",344,null],[10,"get_max_length","","",344,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_max_width_chars","","",344,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_overwrite_mode","","",344,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_placeholder_text","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_progress_fraction","","",344,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_progress_pulse_step","","",344,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_tabs","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_text","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_text_area","","",344,{"inputs":[{"name":"self"}],"output":{"name":"rectangle"}}],[10,"get_text_length","","",344,{"inputs":[{"name":"self"}],"output":{"name":"u16"}}],[10,"get_visibility","","",344,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_width_chars","","",344,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"grab_focus_without_selecting","","",344,{"inputs":[{"name":"self"}],"output":null}],[10,"im_context_filter_keypress","","",344,{"inputs":[{"name":"self"},{"name":"eventkey"}],"output":{"name":"bool"}}],[10,"layout_index_to_text_index","","",344,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"i32"}}],[10,"progress_pulse","","",344,{"inputs":[{"name":"self"}],"output":null}],[10,"reset_im_context","","",344,{"inputs":[{"name":"self"}],"output":null}],[10,"set_activates_default","","",344,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_alignment","","",344,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[10,"set_attributes","","",344,{"inputs":[{"name":"self"},{"name":"attrlist"}],"output":null}],[10,"set_buffer","","",344,{"inputs":[{"name":"self"},{"name":"entrybuffer"}],"output":null}],[10,"set_completion","","",344,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_cursor_hadjustment","","",344,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_has_frame","","",344,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_icon_activatable","","",344,{"inputs":[{"name":"self"},{"name":"entryiconposition"},{"name":"bool"}],"output":null}],[10,"set_icon_drag_source","","",344,{"inputs":[{"name":"self"},{"name":"entryiconposition"},{"name":"targetlist"},{"name":"dragaction"}],"output":null}],[10,"set_icon_from_gicon","","",344,{"inputs":[{"name":"self"},{"name":"entryiconposition"},{"name":"q"}],"output":null}],[10,"set_icon_from_icon_name","","",344,{"inputs":[{"name":"self"},{"name":"entryiconposition"},{"name":"p"}],"output":null}],[10,"set_icon_from_pixbuf","","",344,{"inputs":[{"name":"self"},{"name":"entryiconposition"},{"name":"p"}],"output":null}],[10,"set_icon_from_stock","","",344,{"inputs":[{"name":"self"},{"name":"entryiconposition"},{"name":"p"}],"output":null}],[10,"set_icon_sensitive","","",344,{"inputs":[{"name":"self"},{"name":"entryiconposition"},{"name":"bool"}],"output":null}],[10,"set_icon_tooltip_markup","","",344,{"inputs":[{"name":"self"},{"name":"entryiconposition"},{"name":"p"}],"output":null}],[10,"set_icon_tooltip_text","","",344,{"inputs":[{"name":"self"},{"name":"entryiconposition"},{"name":"p"}],"output":null}],[10,"set_input_hints","","",344,{"inputs":[{"name":"self"},{"name":"inputhints"}],"output":null}],[10,"set_input_purpose","","",344,{"inputs":[{"name":"self"},{"name":"inputpurpose"}],"output":null}],[10,"set_invisible_char","","",344,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_max_length","","",344,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_max_width_chars","","",344,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_overwrite_mode","","",344,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_placeholder_text","","",344,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_progress_fraction","","",344,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"set_progress_pulse_step","","",344,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"set_tabs","","",344,{"inputs":[{"name":"self"},{"name":"tabarray"}],"output":null}],[10,"set_text","","",344,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_visibility","","",344,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_width_chars","","",344,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"text_index_to_layout_index","","",344,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"i32"}}],[10,"unset_invisible_char","","",344,{"inputs":[{"name":"self"}],"output":null}],[10,"get_property_caps_lock_warning","","",344,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_caps_lock_warning","","",344,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_cursor_position","","",344,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_property_im_module","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_im_module","","",344,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_invisible_char_set","","",344,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_invisible_char_set","","",344,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_populate_all","","",344,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_populate_all","","",344,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_primary_icon_activatable","","",344,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_primary_icon_activatable","","",344,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_primary_icon_gicon","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_primary_icon_gicon","","",344,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_primary_icon_name","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_primary_icon_name","","",344,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_primary_icon_pixbuf","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_primary_icon_pixbuf","","",344,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_primary_icon_sensitive","","",344,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_primary_icon_sensitive","","",344,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_primary_icon_stock","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_primary_icon_stock","","",344,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_primary_icon_storage_type","","",344,{"inputs":[{"name":"self"}],"output":{"name":"imagetype"}}],[10,"get_property_primary_icon_tooltip_markup","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_primary_icon_tooltip_markup","","",344,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_primary_icon_tooltip_text","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_primary_icon_tooltip_text","","",344,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_scroll_offset","","",344,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_property_secondary_icon_activatable","","",344,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_secondary_icon_activatable","","",344,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_secondary_icon_gicon","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_secondary_icon_gicon","","",344,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_secondary_icon_name","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_secondary_icon_name","","",344,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_secondary_icon_pixbuf","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_secondary_icon_pixbuf","","",344,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_secondary_icon_sensitive","","",344,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_secondary_icon_sensitive","","",344,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_secondary_icon_stock","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_secondary_icon_stock","","",344,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_secondary_icon_storage_type","","",344,{"inputs":[{"name":"self"}],"output":{"name":"imagetype"}}],[10,"get_property_secondary_icon_tooltip_markup","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_secondary_icon_tooltip_markup","","",344,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_secondary_icon_tooltip_text","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_secondary_icon_tooltip_text","","",344,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_selection_bound","","",344,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_property_shadow_type","","",344,{"inputs":[{"name":"self"}],"output":{"name":"shadowtype"}}],[10,"set_property_shadow_type","","",344,{"inputs":[{"name":"self"},{"name":"shadowtype"}],"output":null}],[10,"get_property_truncate_multiline","","",344,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_truncate_multiline","","",344,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_xalign","","",344,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"set_property_xalign","","",344,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[10,"connect_activate","","",344,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_backspace","","",344,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_copy_clipboard","","",344,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_cut_clipboard","","",344,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_delete_from_cursor","","",344,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_icon_press","","",344,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_icon_release","","",344,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_insert_at_cursor","","",344,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_move_cursor","","",344,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_paste_clipboard","","",344,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_populate_popup","","",344,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_preedit_changed","","",344,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_toggle_overwrite","","",344,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"EntryCompletionExt","","",null,null],[10,"complete","","",345,{"inputs":[{"name":"self"}],"output":null}],[10,"compute_prefix","","",345,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"delete_action","","",345,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_completion_prefix","","",345,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_entry","","",345,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_inline_completion","","",345,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_inline_selection","","",345,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_minimum_key_length","","",345,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_model","","",345,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_popup_completion","","",345,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_popup_set_width","","",345,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_popup_single_match","","",345,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_text_column","","",345,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"insert_action_markup","","",345,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"str"}],"output":null}],[10,"insert_action_text","","",345,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"str"}],"output":null}],[10,"insert_prefix","","",345,{"inputs":[{"name":"self"}],"output":null}],[10,"set_inline_completion","","",345,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_inline_selection","","",345,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_minimum_key_length","","",345,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_model","","",345,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_popup_completion","","",345,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_popup_set_width","","",345,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_popup_single_match","","",345,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_text_column","","",345,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_cell_area","","",345,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"connect_action_activated","","",345,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_cursor_on_match","","",345,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_insert_prefix","","",345,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_match_selected","","",345,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_no_matches","","",345,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"EventBoxExt","","",null,null],[10,"get_above_child","","",346,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_visible_window","","",346,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_above_child","","",346,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_visible_window","","",346,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[8,"EventControllerExt","","",null,null],[10,"get_propagation_phase","","",347,{"inputs":[{"name":"self"}],"output":{"name":"propagationphase"}}],[10,"get_widget","","",347,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"handle_event","","",347,{"inputs":[{"name":"self"},{"name":"event"}],"output":{"name":"bool"}}],[10,"reset","","",347,{"inputs":[{"name":"self"}],"output":null}],[10,"set_propagation_phase","","",347,{"inputs":[{"name":"self"},{"name":"propagationphase"}],"output":null}],[8,"ExpanderExt","","",null,null],[10,"get_expanded","","",348,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_label","","",348,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_label_fill","","",348,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_label_widget","","",348,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_resize_toplevel","","",348,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_spacing","","",348,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_use_markup","","",348,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_use_underline","","",348,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_expanded","","",348,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_label","","",348,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_label_fill","","",348,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_label_widget","","",348,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_resize_toplevel","","",348,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_spacing","","",348,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_use_markup","","",348,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_use_underline","","",348,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_activate","","",348,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"FileChooserExt","","",null,null],[10,"add_filter","","",349,{"inputs":[{"name":"self"},{"name":"filefilter"}],"output":null}],[10,"add_shortcut_folder","","",349,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[10,"add_shortcut_folder_uri","","",349,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"result"}}],[10,"get_action","","",349,{"inputs":[{"name":"self"}],"output":{"name":"filechooseraction"}}],[10,"get_choice","","",349,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_create_folders","","",349,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_current_folder","","",349,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_current_folder_uri","","",349,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_current_name","","",349,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_do_overwrite_confirmation","","",349,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_extra_widget","","",349,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_filename","","",349,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_filenames","","",349,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"get_filter","","",349,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_local_only","","",349,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_preview_filename","","",349,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_preview_uri","","",349,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_preview_widget","","",349,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_preview_widget_active","","",349,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_select_multiple","","",349,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_show_hidden","","",349,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_uri","","",349,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_uris","","",349,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"get_use_preview_label","","",349,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"list_filters","","",349,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"list_shortcut_folder_uris","","",349,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"list_shortcut_folders","","",349,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"remove_choice","","",349,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"remove_filter","","",349,{"inputs":[{"name":"self"},{"name":"filefilter"}],"output":null}],[10,"remove_shortcut_folder","","",349,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[10,"remove_shortcut_folder_uri","","",349,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"result"}}],[10,"select_all","","",349,{"inputs":[{"name":"self"}],"output":null}],[10,"select_filename","","",349,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"select_uri","","",349,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[10,"set_action","","",349,{"inputs":[{"name":"self"},{"name":"filechooseraction"}],"output":null}],[10,"set_choice","","",349,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"}],"output":null}],[10,"set_create_folders","","",349,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_current_folder","","",349,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"set_current_folder_uri","","",349,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[10,"set_current_name","","",349,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_do_overwrite_confirmation","","",349,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_extra_widget","","",349,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_filename","","",349,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"set_filter","","",349,{"inputs":[{"name":"self"},{"name":"filefilter"}],"output":null}],[10,"set_local_only","","",349,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_preview_widget","","",349,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_preview_widget_active","","",349,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_select_multiple","","",349,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_show_hidden","","",349,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_uri","","",349,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[10,"set_use_preview_label","","",349,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"unselect_all","","",349,{"inputs":[{"name":"self"}],"output":null}],[10,"unselect_filename","","",349,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"unselect_uri","","",349,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"connect_confirm_overwrite","","",349,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_current_folder_changed","","",349,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_file_activated","","",349,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_selection_changed","","",349,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_update_preview","","",349,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"FileChooserButtonExt","","",null,null],[10,"get_title","","",350,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_width_chars","","",350,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_title","","",350,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_width_chars","","",350,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"connect_file_set","","",350,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"FileChooserWidgetExt","","",null,null],[10,"get_property_search_mode","","",351,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_search_mode","","",351,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_subtitle","","",351,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"connect_desktop_folder","","",351,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_down_folder","","",351,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_home_folder","","",351,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_location_popup","","",351,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_location_popup_on_paste","","",351,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_location_toggle_popup","","",351,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_places_shortcut","","",351,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_quick_bookmark","","",351,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_recent_shortcut","","",351,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_search_shortcut","","",351,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_show_hidden","","",351,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_up_folder","","",351,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"FileFilterExt","","",null,null],[10,"add_mime_type","","",352,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"add_pattern","","",352,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"add_pixbuf_formats","","",352,{"inputs":[{"name":"self"}],"output":null}],[10,"get_name","","",352,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_needed","","",352,{"inputs":[{"name":"self"}],"output":{"name":"filefilterflags"}}],[10,"set_name","","",352,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"to_gvariant","","",352,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[8,"FixedExt","","",null,null],[10,"move_","","",353,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"put","","",353,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"get_child_x","","",353,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"i32"}}],[10,"set_child_x","","",353,{"inputs":[{"name":"self"},{"name":"t"},{"name":"i32"}],"output":null}],[10,"get_child_y","","",353,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"i32"}}],[10,"set_child_y","","",353,{"inputs":[{"name":"self"},{"name":"t"},{"name":"i32"}],"output":null}],[8,"FlowBoxExt","","",null,null],[10,"get_activate_on_single_click","","",354,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_child_at_index","","",354,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_column_spacing","","",354,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"get_homogeneous","","",354,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_max_children_per_line","","",354,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"get_min_children_per_line","","",354,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"get_row_spacing","","",354,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"get_selected_children","","",354,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"get_selection_mode","","",354,{"inputs":[{"name":"self"}],"output":{"name":"selectionmode"}}],[10,"insert","","",354,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"}],"output":null}],[10,"invalidate_filter","","",354,{"inputs":[{"name":"self"}],"output":null}],[10,"invalidate_sort","","",354,{"inputs":[{"name":"self"}],"output":null}],[10,"select_all","","",354,{"inputs":[{"name":"self"}],"output":null}],[10,"select_child","","",354,{"inputs":[{"name":"self"},{"name":"flowboxchild"}],"output":null}],[10,"set_activate_on_single_click","","",354,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_column_spacing","","",354,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"set_hadjustment","","",354,{"inputs":[{"name":"self"},{"name":"adjustment"}],"output":null}],[10,"set_homogeneous","","",354,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_max_children_per_line","","",354,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"set_min_children_per_line","","",354,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"set_row_spacing","","",354,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"set_selection_mode","","",354,{"inputs":[{"name":"self"},{"name":"selectionmode"}],"output":null}],[10,"set_vadjustment","","",354,{"inputs":[{"name":"self"},{"name":"adjustment"}],"output":null}],[10,"unselect_all","","",354,{"inputs":[{"name":"self"}],"output":null}],[10,"unselect_child","","",354,{"inputs":[{"name":"self"},{"name":"flowboxchild"}],"output":null}],[10,"get_property_activate_on_single_click","","",354,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_activate_on_single_click","","",354,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_column_spacing","","",354,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_column_spacing","","",354,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_homogeneous","","",354,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_homogeneous","","",354,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_max_children_per_line","","",354,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_max_children_per_line","","",354,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_min_children_per_line","","",354,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_min_children_per_line","","",354,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_row_spacing","","",354,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_row_spacing","","",354,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_selection_mode","","",354,{"inputs":[{"name":"self"}],"output":{"name":"selectionmode"}}],[10,"set_property_selection_mode","","",354,{"inputs":[{"name":"self"},{"name":"selectionmode"}],"output":null}],[10,"connect_activate_cursor_child","","",354,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_child_activated","","",354,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_move_cursor","","",354,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_select_all","","",354,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_selected_children_changed","","",354,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_toggle_cursor_child","","",354,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_unselect_all","","",354,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"FlowBoxChildExt","","",null,null],[10,"changed","","",355,{"inputs":[{"name":"self"}],"output":null}],[10,"get_index","","",355,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"is_selected","","",355,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"connect_activate","","",355,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"FontButtonExt","","",null,null],[10,"get_font_name","","",356,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_show_size","","",356,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_show_style","","",356,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_title","","",356,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_use_font","","",356,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_use_size","","",356,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_font_name","","",356,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[10,"set_show_size","","",356,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_show_style","","",356,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_title","","",356,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_use_font","","",356,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_use_size","","",356,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_font_set","","",356,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"FontChooserExt","","",null,null],[10,"get_font","","",357,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_font_desc","","",357,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_font_face","","",357,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_font_family","","",357,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_font_map","","",357,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_font_size","","",357,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_preview_text","","",357,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_show_preview_entry","","",357,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_font","","",357,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_font_desc","","",357,{"inputs":[{"name":"self"},{"name":"fontdescription"}],"output":null}],[10,"set_font_map","","",357,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_preview_text","","",357,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_show_preview_entry","","",357,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_font_activated","","",357,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"FrameExt","","",null,null],[10,"get_label","","",358,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_label_align","","",358,null],[10,"get_label_widget","","",358,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_shadow_type","","",358,{"inputs":[{"name":"self"}],"output":{"name":"shadowtype"}}],[10,"set_label","","",358,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_label_align","","",358,{"inputs":[{"name":"self"},{"name":"f32"},{"name":"f32"}],"output":null}],[10,"set_label_widget","","",358,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_shadow_type","","",358,{"inputs":[{"name":"self"},{"name":"shadowtype"}],"output":null}],[10,"get_property_label_xalign","","",358,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"set_property_label_xalign","","",358,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[10,"get_property_label_yalign","","",358,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"set_property_label_yalign","","",358,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[8,"GLAreaExt","","",null,null],[10,"attach_buffers","","",359,{"inputs":[{"name":"self"}],"output":null}],[10,"get_auto_render","","",359,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_context","","",359,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_error","","",359,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_has_alpha","","",359,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_has_depth_buffer","","",359,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_has_stencil_buffer","","",359,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_required_version","","",359,null],[10,"get_use_es","","",359,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"make_current","","",359,{"inputs":[{"name":"self"}],"output":null}],[10,"queue_render","","",359,{"inputs":[{"name":"self"}],"output":null}],[10,"set_auto_render","","",359,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_error","","",359,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_has_alpha","","",359,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_has_depth_buffer","","",359,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_has_stencil_buffer","","",359,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_required_version","","",359,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"set_use_es","","",359,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_create_context","","",359,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_render","","",359,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_resize","","",359,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"GestureExt","","",null,null],[10,"get_bounding_box","","",360,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_bounding_box_center","","",360,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_device","","",360,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_group","","",360,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"get_window","","",360,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"group","","",360,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"is_active","","",360,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_grouped_with","","",360,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"is_recognized","","",360,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_state","","",360,{"inputs":[{"name":"self"},{"name":"eventsequencestate"}],"output":{"name":"bool"}}],[10,"set_window","","",360,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"ungroup","","",360,{"inputs":[{"name":"self"}],"output":null}],[10,"get_property_n_points","","",360,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[8,"GestureDragExt","","",null,null],[10,"get_offset","","",361,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_start_point","","",361,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"connect_drag_begin","","",361,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_drag_end","","",361,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_drag_update","","",361,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"GestureLongPressExt","","",null,null],[10,"get_property_delay_factor","","",362,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"set_property_delay_factor","","",362,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"connect_cancelled","","",362,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_pressed","","",362,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"GestureMultiPressExt","","",null,null],[10,"get_area","","",363,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_area","","",363,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"connect_pressed","","",363,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_released","","",363,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_stopped","","",363,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"GesturePanExt","","",null,null],[10,"get_orientation","","",364,{"inputs":[{"name":"self"}],"output":{"name":"orientation"}}],[10,"set_orientation","","",364,{"inputs":[{"name":"self"},{"name":"orientation"}],"output":null}],[10,"connect_pan","","",364,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"GestureRotateExt","","",null,null],[10,"get_angle_delta","","",365,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"connect_angle_changed","","",365,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"GestureSingleExt","","",null,null],[10,"get_button","","",366,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"get_current_button","","",366,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"get_exclusive","","",366,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_touch_only","","",366,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_button","","",366,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"set_exclusive","","",366,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_touch_only","","",366,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[8,"GestureSwipeExt","","",null,null],[10,"get_velocity","","",367,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"connect_swipe","","",367,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"GestureZoomExt","","",null,null],[10,"get_scale_delta","","",368,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"connect_scale_changed","","",368,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"GridExt","","",null,null],[10,"attach","","",369,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"attach_next_to","","",369,{"inputs":[{"name":"self"},{"name":"p"},{"name":"r"},{"name":"positiontype"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"get_baseline_row","","",369,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_child_at","","",369,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_column_homogeneous","","",369,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_column_spacing","","",369,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"get_row_baseline_position","","",369,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"baselineposition"}}],[10,"get_row_homogeneous","","",369,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_row_spacing","","",369,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"insert_column","","",369,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"insert_next_to","","",369,{"inputs":[{"name":"self"},{"name":"p"},{"name":"positiontype"}],"output":null}],[10,"insert_row","","",369,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"remove_column","","",369,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"remove_row","","",369,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_baseline_row","","",369,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_column_homogeneous","","",369,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_column_spacing","","",369,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"set_row_baseline_position","","",369,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"baselineposition"}],"output":null}],[10,"set_row_homogeneous","","",369,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_row_spacing","","",369,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_baseline_row","","",369,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_baseline_row","","",369,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_cell_height","","",369,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"i32"}}],[10,"set_cell_height","","",369,{"inputs":[{"name":"self"},{"name":"t"},{"name":"i32"}],"output":null}],[10,"get_cell_width","","",369,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"i32"}}],[10,"set_cell_width","","",369,{"inputs":[{"name":"self"},{"name":"t"},{"name":"i32"}],"output":null}],[10,"get_cell_left_attach","","",369,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"i32"}}],[10,"set_cell_left_attach","","",369,{"inputs":[{"name":"self"},{"name":"t"},{"name":"i32"}],"output":null}],[10,"get_cell_top_attach","","",369,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"i32"}}],[10,"set_cell_top_attach","","",369,{"inputs":[{"name":"self"},{"name":"t"},{"name":"i32"}],"output":null}],[8,"HeaderBarExt","","",null,null],[10,"get_custom_title","","",370,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_decoration_layout","","",370,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_has_subtitle","","",370,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_show_close_button","","",370,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_subtitle","","",370,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_title","","",370,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"pack_end","","",370,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"pack_start","","",370,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_custom_title","","",370,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_decoration_layout","","",370,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_has_subtitle","","",370,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_show_close_button","","",370,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_subtitle","","",370,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_title","","",370,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"get_property_custom_title","","",370,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_custom_title","","",370,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_decoration_layout_set","","",370,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_decoration_layout_set","","",370,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_show_close_button","","",370,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_show_close_button","","",370,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_spacing","","",370,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_spacing","","",370,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_subtitle","","",370,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_subtitle","","",370,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_title","","",370,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_title","","",370,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_child_pack_type","","",370,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"packtype"}}],[10,"set_child_pack_type","","",370,{"inputs":[{"name":"self"},{"name":"t"},{"name":"packtype"}],"output":null}],[10,"get_child_position","","",370,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"i32"}}],[10,"set_child_position","","",370,{"inputs":[{"name":"self"},{"name":"t"},{"name":"i32"}],"output":null}],[8,"IMContextExt","","",null,null],[10,"delete_surrounding","","",371,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"bool"}}],[10,"filter_keypress","","",371,{"inputs":[{"name":"self"},{"name":"eventkey"}],"output":{"name":"bool"}}],[10,"focus_in","","",371,{"inputs":[{"name":"self"}],"output":null}],[10,"focus_out","","",371,{"inputs":[{"name":"self"}],"output":null}],[10,"get_preedit_string","","",371,null],[10,"get_surrounding","","",371,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"reset","","",371,{"inputs":[{"name":"self"}],"output":null}],[10,"set_client_window","","",371,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_cursor_location","","",371,{"inputs":[{"name":"self"},{"name":"rectangle"}],"output":null}],[10,"set_surrounding","","",371,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"set_use_preedit","","",371,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_input_hints","","",371,{"inputs":[{"name":"self"}],"output":{"name":"inputhints"}}],[10,"set_property_input_hints","","",371,{"inputs":[{"name":"self"},{"name":"inputhints"}],"output":null}],[10,"get_property_input_purpose","","",371,{"inputs":[{"name":"self"}],"output":{"name":"inputpurpose"}}],[10,"set_property_input_purpose","","",371,{"inputs":[{"name":"self"},{"name":"inputpurpose"}],"output":null}],[10,"connect_commit","","",371,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_delete_surrounding","","",371,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_preedit_changed","","",371,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_preedit_end","","",371,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_preedit_start","","",371,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_retrieve_surrounding","","",371,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"IMMulticontextExt","","",null,null],[10,"append_menuitems","","",372,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"get_context_id","","",372,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_context_id","","",372,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[8,"IconFactoryExt","","",null,null],[10,"add","","",373,{"inputs":[{"name":"self"},{"name":"str"},{"name":"iconset"}],"output":null}],[10,"add_default","","",373,{"inputs":[{"name":"self"}],"output":null}],[10,"lookup","","",373,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"remove_default","","",373,{"inputs":[{"name":"self"}],"output":null}],[8,"IconInfoExt","","",null,null],[10,"copy","","",374,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_base_scale","","",374,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_base_size","","",374,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_builtin_pixbuf","","",374,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_display_name","","",374,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_embedded_rect","","",374,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_filename","","",374,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"is_symbolic","","",374,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"load_icon","","",374,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[10,"load_surface","","",374,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[10,"load_symbolic","","",374,{"inputs":[{"name":"self"},{"name":"rgba"},{"name":"p"},{"name":"q"},{"name":"r"}],"output":{"name":"result"}}],[10,"load_symbolic_for_context","","",374,{"inputs":[{"name":"self"},{"name":"stylecontext"}],"output":{"name":"result"}}],[10,"set_raw_coordinates","","",374,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[8,"IconThemeExt","","",null,null],[10,"add_resource_path","","",375,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"append_search_path","","",375,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"get_example_icon_name","","",375,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"has_icon","","",375,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[10,"list_contexts","","",375,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"list_icons","","",375,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"vec"}}],[10,"load_icon","","",375,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"},{"name":"iconlookupflags"}],"output":{"name":"result"}}],[10,"load_icon_for_scale","","",375,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"},{"name":"i32"},{"name":"iconlookupflags"}],"output":{"name":"result"}}],[10,"load_surface","","",375,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"},{"name":"i32"},{"name":"p"},{"name":"iconlookupflags"}],"output":{"name":"result"}}],[10,"lookup_by_gicon","","",375,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"},{"name":"iconlookupflags"}],"output":{"name":"option"}}],[10,"lookup_by_gicon_for_scale","","",375,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"},{"name":"i32"},{"name":"iconlookupflags"}],"output":{"name":"option"}}],[10,"lookup_icon","","",375,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"},{"name":"iconlookupflags"}],"output":{"name":"option"}}],[10,"lookup_icon_for_scale","","",375,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"},{"name":"i32"},{"name":"iconlookupflags"}],"output":{"name":"option"}}],[10,"prepend_search_path","","",375,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"rescan_if_needed","","",375,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_custom_theme","","",375,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_screen","","",375,{"inputs":[{"name":"self"},{"name":"screen"}],"output":null}],[10,"connect_changed","","",375,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"IconViewExt","","",null,null],[10,"convert_widget_to_bin_window_coords","","",376,null],[10,"create_drag_icon","","",376,{"inputs":[{"name":"self"},{"name":"treepath"}],"output":{"name":"option"}}],[10,"get_activate_on_single_click","","",376,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_cell_rect","","",376,{"inputs":[{"name":"self"},{"name":"treepath"},{"name":"q"}],"output":{"name":"option"}}],[10,"get_column_spacing","","",376,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_columns","","",376,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_cursor","","",376,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_dest_item_at_pos","","",376,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_drag_dest_item","","",376,null],[10,"get_item_at_pos","","",376,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_item_column","","",376,{"inputs":[{"name":"self"},{"name":"treepath"}],"output":{"name":"i32"}}],[10,"get_item_orientation","","",376,{"inputs":[{"name":"self"}],"output":{"name":"orientation"}}],[10,"get_item_padding","","",376,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_item_row","","",376,{"inputs":[{"name":"self"},{"name":"treepath"}],"output":{"name":"i32"}}],[10,"get_item_width","","",376,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_margin","","",376,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_markup_column","","",376,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_model","","",376,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_path_at_pos","","",376,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_pixbuf_column","","",376,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_reorderable","","",376,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_row_spacing","","",376,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_selected_items","","",376,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"get_selection_mode","","",376,{"inputs":[{"name":"self"}],"output":{"name":"selectionmode"}}],[10,"get_spacing","","",376,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_text_column","","",376,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_tooltip_column","","",376,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_tooltip_context","","",376,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"},{"name":"bool"}],"output":{"name":"option"}}],[10,"get_visible_range","","",376,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"item_activated","","",376,{"inputs":[{"name":"self"},{"name":"treepath"}],"output":null}],[10,"path_is_selected","","",376,{"inputs":[{"name":"self"},{"name":"treepath"}],"output":{"name":"bool"}}],[10,"scroll_to_path","","",376,{"inputs":[{"name":"self"},{"name":"treepath"},{"name":"bool"},{"name":"f32"},{"name":"f32"}],"output":null}],[10,"select_all","","",376,{"inputs":[{"name":"self"}],"output":null}],[10,"select_path","","",376,{"inputs":[{"name":"self"},{"name":"treepath"}],"output":null}],[10,"set_activate_on_single_click","","",376,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_column_spacing","","",376,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_columns","","",376,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_cursor","","",376,{"inputs":[{"name":"self"},{"name":"treepath"},{"name":"q"},{"name":"bool"}],"output":null}],[10,"set_drag_dest_item","","",376,{"inputs":[{"name":"self"},{"name":"p"},{"name":"iconviewdropposition"}],"output":null}],[10,"set_item_orientation","","",376,{"inputs":[{"name":"self"},{"name":"orientation"}],"output":null}],[10,"set_item_padding","","",376,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_item_width","","",376,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_margin","","",376,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_markup_column","","",376,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_model","","",376,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_pixbuf_column","","",376,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_reorderable","","",376,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_row_spacing","","",376,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_selection_mode","","",376,{"inputs":[{"name":"self"},{"name":"selectionmode"}],"output":null}],[10,"set_spacing","","",376,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_text_column","","",376,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_tooltip_cell","","",376,{"inputs":[{"name":"self"},{"name":"tooltip"},{"name":"treepath"},{"name":"q"}],"output":null}],[10,"set_tooltip_column","","",376,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_tooltip_item","","",376,{"inputs":[{"name":"self"},{"name":"tooltip"},{"name":"treepath"}],"output":null}],[10,"unselect_all","","",376,{"inputs":[{"name":"self"}],"output":null}],[10,"unselect_path","","",376,{"inputs":[{"name":"self"},{"name":"treepath"}],"output":null}],[10,"unset_model_drag_dest","","",376,{"inputs":[{"name":"self"}],"output":null}],[10,"unset_model_drag_source","","",376,{"inputs":[{"name":"self"}],"output":null}],[10,"get_property_cell_area","","",376,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"connect_activate_cursor_item","","",376,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_item_activated","","",376,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_move_cursor","","",376,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_select_all","","",376,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_select_cursor_item","","",376,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_selection_changed","","",376,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_toggle_cursor_item","","",376,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_unselect_all","","",376,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ImageExt","","",null,null],[10,"clear","","",377,{"inputs":[{"name":"self"}],"output":null}],[10,"get_animation","","",377,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_gicon","","",377,null],[10,"get_icon_name","","",377,null],[10,"get_icon_set","","",377,null],[10,"get_pixbuf","","",377,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_pixel_size","","",377,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_storage_type","","",377,{"inputs":[{"name":"self"}],"output":{"name":"imagetype"}}],[10,"set_from_animation","","",377,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_from_file","","",377,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_from_gicon","","",377,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"}],"output":null}],[10,"set_from_icon_name","","",377,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"}],"output":null}],[10,"set_from_icon_set","","",377,{"inputs":[{"name":"self"},{"name":"iconset"},{"name":"i32"}],"output":null}],[10,"set_from_pixbuf","","",377,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_from_resource","","",377,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_from_stock","","",377,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"}],"output":null}],[10,"set_from_surface","","",377,{"inputs":[{"name":"self"},{"name":"surface"}],"output":null}],[10,"set_pixel_size","","",377,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_file","","",377,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_file","","",377,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"set_property_gicon","","",377,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"set_property_icon_name","","",377,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_icon_size","","",377,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_icon_size","","",377,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_property_pixbuf","","",377,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_pixbuf_animation","","",377,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_pixbuf_animation","","",377,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_resource","","",377,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_resource","","",377,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_stock","","",377,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_stock","","",377,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_use_fallback","","",377,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_use_fallback","","",377,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[8,"ImageMenuItemExt","","",null,null],[10,"get_always_show_image","","",378,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_image","","",378,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_use_stock","","",378,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_accel_group","","",378,{"inputs":[{"name":"self"},{"name":"accelgroup"}],"output":null}],[10,"set_always_show_image","","",378,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_image","","",378,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_use_stock","","",378,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[8,"InfoBarExt","","",null,null],[10,"add_action_widget","","",379,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"}],"output":null}],[10,"add_button","","",379,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_action_area","","",379,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_content_area","","",379,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_message_type","","",379,{"inputs":[{"name":"self"}],"output":{"name":"messagetype"}}],[10,"get_show_close_button","","",379,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"response","","",379,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_default_response","","",379,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_message_type","","",379,{"inputs":[{"name":"self"},{"name":"messagetype"}],"output":null}],[10,"set_response_sensitive","","",379,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"bool"}],"output":null}],[10,"set_show_close_button","","",379,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_close","","",379,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_response","","",379,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"LabelExt","","",null,null],[10,"get_angle","","",380,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_attributes","","",380,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_current_uri","","",380,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_ellipsize","","",380,{"inputs":[{"name":"self"}],"output":{"name":"ellipsizemode"}}],[10,"get_justify","","",380,{"inputs":[{"name":"self"}],"output":{"name":"justification"}}],[10,"get_label","","",380,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_layout","","",380,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_layout_offsets","","",380,null],[10,"get_line_wrap","","",380,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_line_wrap_mode","","",380,{"inputs":[{"name":"self"}],"output":{"name":"wrapmode"}}],[10,"get_lines","","",380,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_max_width_chars","","",380,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_mnemonic_keyval","","",380,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"get_mnemonic_widget","","",380,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_selectable","","",380,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_selection_bounds","","",380,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_single_line_mode","","",380,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_text","","",380,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_track_visited_links","","",380,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_use_markup","","",380,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_use_underline","","",380,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_width_chars","","",380,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_xalign","","",380,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"get_yalign","","",380,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"select_region","","",380,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"set_angle","","",380,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"set_attributes","","",380,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_ellipsize","","",380,{"inputs":[{"name":"self"},{"name":"ellipsizemode"}],"output":null}],[10,"set_justify","","",380,{"inputs":[{"name":"self"},{"name":"justification"}],"output":null}],[10,"set_label","","",380,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_line_wrap","","",380,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_line_wrap_mode","","",380,{"inputs":[{"name":"self"},{"name":"wrapmode"}],"output":null}],[10,"set_lines","","",380,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_markup","","",380,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_markup_with_mnemonic","","",380,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_max_width_chars","","",380,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_mnemonic_widget","","",380,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_pattern","","",380,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_selectable","","",380,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_single_line_mode","","",380,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_text","","",380,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_text_with_mnemonic","","",380,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_track_visited_links","","",380,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_use_markup","","",380,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_use_underline","","",380,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_width_chars","","",380,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_xalign","","",380,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[10,"set_yalign","","",380,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[10,"get_property_cursor_position","","",380,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_property_selection_bound","","",380,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_property_wrap","","",380,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_wrap","","",380,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_wrap_mode","","",380,{"inputs":[{"name":"self"}],"output":{"name":"wrapmode"}}],[10,"set_property_wrap_mode","","",380,{"inputs":[{"name":"self"},{"name":"wrapmode"}],"output":null}],[10,"connect_activate_current_link","","",380,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_activate_link","","",380,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_copy_clipboard","","",380,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_move_cursor","","",380,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_populate_popup","","",380,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"LayoutExt","","",null,null],[10,"get_bin_window","","",381,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_size","","",381,null],[10,"move_","","",381,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"put","","",381,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"set_size","","",381,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"u32"}],"output":null}],[10,"get_property_height","","",381,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_height","","",381,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_width","","",381,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_width","","",381,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_child_x","","",381,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"i32"}}],[10,"set_child_x","","",381,{"inputs":[{"name":"self"},{"name":"t"},{"name":"i32"}],"output":null}],[10,"get_child_y","","",381,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"i32"}}],[10,"set_child_y","","",381,{"inputs":[{"name":"self"},{"name":"t"},{"name":"i32"}],"output":null}],[8,"LevelBarExt","","",null,null],[10,"add_offset_value","","",382,{"inputs":[{"name":"self"},{"name":"str"},{"name":"f64"}],"output":null}],[10,"get_inverted","","",382,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_max_value","","",382,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_min_value","","",382,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_mode","","",382,{"inputs":[{"name":"self"}],"output":{"name":"levelbarmode"}}],[10,"get_offset_value","","",382,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"option"}}],[10,"get_value","","",382,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"remove_offset_value","","",382,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_inverted","","",382,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_max_value","","",382,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"set_min_value","","",382,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"set_mode","","",382,{"inputs":[{"name":"self"},{"name":"levelbarmode"}],"output":null}],[10,"set_value","","",382,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"connect_offset_changed","","",382,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"LinkButtonExt","","",null,null],[10,"get_uri","","",383,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_visited","","",383,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_uri","","",383,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_visited","","",383,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_activate_link","","",383,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ListBoxExt","","",null,null],[10,"drag_highlight_row","","",384,{"inputs":[{"name":"self"},{"name":"listboxrow"}],"output":null}],[10,"drag_unhighlight_row","","",384,{"inputs":[{"name":"self"}],"output":null}],[10,"get_activate_on_single_click","","",384,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_adjustment","","",384,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_row_at_index","","",384,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_row_at_y","","",384,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_selected_row","","",384,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_selected_rows","","",384,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"get_selection_mode","","",384,{"inputs":[{"name":"self"}],"output":{"name":"selectionmode"}}],[10,"insert","","",384,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"}],"output":null}],[10,"invalidate_filter","","",384,{"inputs":[{"name":"self"}],"output":null}],[10,"invalidate_headers","","",384,{"inputs":[{"name":"self"}],"output":null}],[10,"invalidate_sort","","",384,{"inputs":[{"name":"self"}],"output":null}],[10,"prepend","","",384,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"select_all","","",384,{"inputs":[{"name":"self"}],"output":null}],[10,"select_row","","",384,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_activate_on_single_click","","",384,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_adjustment","","",384,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_placeholder","","",384,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_selection_mode","","",384,{"inputs":[{"name":"self"},{"name":"selectionmode"}],"output":null}],[10,"unselect_all","","",384,{"inputs":[{"name":"self"}],"output":null}],[10,"unselect_row","","",384,{"inputs":[{"name":"self"},{"name":"listboxrow"}],"output":null}],[10,"get_property_activate_on_single_click","","",384,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_activate_on_single_click","","",384,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_selection_mode","","",384,{"inputs":[{"name":"self"}],"output":{"name":"selectionmode"}}],[10,"set_property_selection_mode","","",384,{"inputs":[{"name":"self"},{"name":"selectionmode"}],"output":null}],[10,"connect_activate_cursor_row","","",384,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_move_cursor","","",384,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_row_activated","","",384,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_row_selected","","",384,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_select_all","","",384,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_selected_rows_changed","","",384,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_toggle_cursor_row","","",384,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_unselect_all","","",384,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ListBoxRowExt","","",null,null],[10,"changed","","",385,{"inputs":[{"name":"self"}],"output":null}],[10,"get_activatable","","",385,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_header","","",385,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_index","","",385,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_selectable","","",385,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_selected","","",385,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_activatable","","",385,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_header","","",385,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_selectable","","",385,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_activate","","",385,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ListStoreExt","","",null,null],[10,"append","","",386,{"inputs":[{"name":"self"}],"output":{"name":"treeiter"}}],[10,"clear","","",386,{"inputs":[{"name":"self"}],"output":null}],[10,"insert","","",386,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"treeiter"}}],[10,"insert_after","","",386,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"treeiter"}}],[10,"insert_before","","",386,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"treeiter"}}],[10,"iter_is_valid","","",386,{"inputs":[{"name":"self"},{"name":"treeiter"}],"output":{"name":"bool"}}],[10,"move_after","","",386,{"inputs":[{"name":"self"},{"name":"treeiter"},{"name":"p"}],"output":null}],[10,"move_before","","",386,{"inputs":[{"name":"self"},{"name":"treeiter"},{"name":"p"}],"output":null}],[10,"prepend","","",386,{"inputs":[{"name":"self"}],"output":{"name":"treeiter"}}],[10,"remove","","",386,{"inputs":[{"name":"self"},{"name":"treeiter"}],"output":{"name":"bool"}}],[10,"swap","","",386,{"inputs":[{"name":"self"},{"name":"treeiter"},{"name":"treeiter"}],"output":null}],[8,"MenuExt","","",null,null],[10,"attach","","",387,{"inputs":[{"name":"self"},{"name":"p"},{"name":"u32"},{"name":"u32"},{"name":"u32"},{"name":"u32"}],"output":null}],[10,"detach","","",387,{"inputs":[{"name":"self"}],"output":null}],[10,"get_accel_group","","",387,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_accel_path","","",387,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_active","","",387,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_attach_widget","","",387,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_monitor","","",387,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_reserve_toggle_size","","",387,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_tearoff_state","","",387,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_title","","",387,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"place_on_monitor","","",387,{"inputs":[{"name":"self"},{"name":"monitor"}],"output":null}],[10,"popdown","","",387,{"inputs":[{"name":"self"}],"output":null}],[10,"popup_at_pointer","","",387,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"popup_at_rect","","",387,{"inputs":[{"name":"self"},{"name":"window"},{"name":"rectangle"},{"name":"gravity"},{"name":"gravity"},{"name":"p"}],"output":null}],[10,"popup_at_widget","","",387,{"inputs":[{"name":"self"},{"name":"p"},{"name":"gravity"},{"name":"gravity"},{"name":"q"}],"output":null}],[10,"reorder_child","","",387,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"}],"output":null}],[10,"reposition","","",387,{"inputs":[{"name":"self"}],"output":null}],[10,"set_accel_group","","",387,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_accel_path","","",387,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_active","","",387,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"set_monitor","","",387,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_reserve_toggle_size","","",387,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_screen","","",387,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_tearoff_state","","",387,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_title","","",387,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"get_property_anchor_hints","","",387,{"inputs":[{"name":"self"}],"output":{"name":"anchorhints"}}],[10,"set_property_anchor_hints","","",387,{"inputs":[{"name":"self"},{"name":"anchorhints"}],"output":null}],[10,"set_property_attach_widget","","",387,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_menu_type_hint","","",387,{"inputs":[{"name":"self"}],"output":{"name":"windowtypehint"}}],[10,"set_property_menu_type_hint","","",387,{"inputs":[{"name":"self"},{"name":"windowtypehint"}],"output":null}],[10,"get_property_rect_anchor_dx","","",387,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_rect_anchor_dx","","",387,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_rect_anchor_dy","","",387,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_rect_anchor_dy","","",387,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_tearoff_title","","",387,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_tearoff_title","","",387,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_item_bottom_attach","","",387,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"i32"}}],[10,"set_item_bottom_attach","","",387,{"inputs":[{"name":"self"},{"name":"t"},{"name":"i32"}],"output":null}],[10,"get_item_left_attach","","",387,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"i32"}}],[10,"set_item_left_attach","","",387,{"inputs":[{"name":"self"},{"name":"t"},{"name":"i32"}],"output":null}],[10,"get_item_right_attach","","",387,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"i32"}}],[10,"set_item_right_attach","","",387,{"inputs":[{"name":"self"},{"name":"t"},{"name":"i32"}],"output":null}],[10,"get_item_top_attach","","",387,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"i32"}}],[10,"set_item_top_attach","","",387,{"inputs":[{"name":"self"},{"name":"t"},{"name":"i32"}],"output":null}],[10,"connect_move_scroll","","",387,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"MenuBarExt","","",null,null],[10,"get_child_pack_direction","","",388,{"inputs":[{"name":"self"}],"output":{"name":"packdirection"}}],[10,"get_pack_direction","","",388,{"inputs":[{"name":"self"}],"output":{"name":"packdirection"}}],[10,"set_child_pack_direction","","",388,{"inputs":[{"name":"self"},{"name":"packdirection"}],"output":null}],[10,"set_pack_direction","","",388,{"inputs":[{"name":"self"},{"name":"packdirection"}],"output":null}],[8,"MenuButtonExt","","",null,null],[10,"get_align_widget","","",389,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_direction","","",389,{"inputs":[{"name":"self"}],"output":{"name":"arrowtype"}}],[10,"get_menu_model","","",389,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_popover","","",389,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_popup","","",389,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_use_popover","","",389,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_align_widget","","",389,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_direction","","",389,{"inputs":[{"name":"self"},{"name":"arrowtype"}],"output":null}],[10,"set_menu_model","","",389,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_popover","","",389,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_popup","","",389,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_use_popover","","",389,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[8,"MenuItemExt","","",null,null],[10,"deselect","","",390,{"inputs":[{"name":"self"}],"output":null}],[10,"get_accel_path","","",390,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_label","","",390,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_reserve_indicator","","",390,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_submenu","","",390,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_use_underline","","",390,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"select","","",390,{"inputs":[{"name":"self"}],"output":null}],[10,"set_accel_path","","",390,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_label","","",390,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_reserve_indicator","","",390,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_submenu","","",390,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_use_underline","","",390,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"toggle_size_allocate","","",390,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"toggle_size_request","","",390,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_right_justified","","",390,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_right_justified","","",390,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_activate","","",390,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_activate_item","","",390,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_deselect","","",390,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_select","","",390,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_toggle_size_allocate","","",390,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"MenuShellExt","","",null,null],[10,"activate_item","","",391,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"}],"output":null}],[10,"append","","",391,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"bind_model","","",391,{"inputs":[{"name":"self"},{"name":"q"},{"name":"r"},{"name":"bool"}],"output":null}],[10,"cancel","","",391,{"inputs":[{"name":"self"}],"output":null}],[10,"deactivate","","",391,{"inputs":[{"name":"self"}],"output":null}],[10,"deselect","","",391,{"inputs":[{"name":"self"}],"output":null}],[10,"get_parent_shell","","",391,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_selected_item","","",391,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_take_focus","","",391,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"insert","","",391,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"}],"output":null}],[10,"prepend","","",391,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"select_first","","",391,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"select_item","","",391,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_take_focus","","",391,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_activate_current","","",391,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_cancel","","",391,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_cycle_focus","","",391,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_deactivate","","",391,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_insert","","",391,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_move_current","","",391,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_move_selected","","",391,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_selection_done","","",391,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"MenuToolButtonExt","","",null,null],[10,"get_menu","","",392,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_arrow_tooltip_markup","","",392,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_arrow_tooltip_text","","",392,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_menu","","",392,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"connect_show_menu","","",392,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"MessageDialogExt","","",null,null],[10,"get_image","","",393,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_message_area","","",393,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_image","","",393,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_markup","","",393,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"get_property_message_type","","",393,{"inputs":[{"name":"self"}],"output":{"name":"messagetype"}}],[10,"set_property_message_type","","",393,{"inputs":[{"name":"self"},{"name":"messagetype"}],"output":null}],[10,"get_property_secondary_text","","",393,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_secondary_text","","",393,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_secondary_use_markup","","",393,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_secondary_use_markup","","",393,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_text","","",393,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_text","","",393,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_use_markup","","",393,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_use_markup","","",393,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[8,"MiscExt","","",null,null],[10,"get_alignment","","",394,null],[10,"get_padding","","",394,null],[10,"set_alignment","","",394,{"inputs":[{"name":"self"},{"name":"f32"},{"name":"f32"}],"output":null}],[10,"set_padding","","",394,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"get_property_xalign","","",394,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"set_property_xalign","","",394,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[10,"get_property_xpad","","",394,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_xpad","","",394,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_yalign","","",394,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"set_property_yalign","","",394,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[10,"get_property_ypad","","",394,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_ypad","","",394,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[8,"ModelButtonExt","","",null,null],[10,"get_property_active","","",395,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_active","","",395,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_centered","","",395,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_centered","","",395,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_icon","","",395,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_icon","","",395,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_iconic","","",395,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_iconic","","",395,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_inverted","","",395,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_inverted","","",395,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_menu_name","","",395,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_menu_name","","",395,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_role","","",395,{"inputs":[{"name":"self"}],"output":{"name":"buttonrole"}}],[10,"set_property_role","","",395,{"inputs":[{"name":"self"},{"name":"buttonrole"}],"output":null}],[10,"get_property_text","","",395,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_text","","",395,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[8,"NotebookExt","","",null,null],[10,"detach_tab","","",396,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"get_action_widget","","",396,{"inputs":[{"name":"self"},{"name":"packtype"}],"output":{"name":"option"}}],[10,"get_group_name","","",396,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_menu_label","","",396,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"option"}}],[10,"get_menu_label_text","","",396,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"option"}}],[10,"get_scrollable","","",396,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_show_border","","",396,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_show_tabs","","",396,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_tab_detachable","","",396,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"get_tab_label","","",396,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"option"}}],[10,"get_tab_label_text","","",396,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"option"}}],[10,"get_tab_pos","","",396,{"inputs":[{"name":"self"}],"output":{"name":"positiontype"}}],[10,"get_tab_reorderable","","",396,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"next_page","","",396,{"inputs":[{"name":"self"}],"output":null}],[10,"popup_disable","","",396,{"inputs":[{"name":"self"}],"output":null}],[10,"popup_enable","","",396,{"inputs":[{"name":"self"}],"output":null}],[10,"prev_page","","",396,{"inputs":[{"name":"self"}],"output":null}],[10,"set_action_widget","","",396,{"inputs":[{"name":"self"},{"name":"p"},{"name":"packtype"}],"output":null}],[10,"set_group_name","","",396,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_menu_label","","",396,{"inputs":[{"name":"self"},{"name":"p"},{"name":"r"}],"output":null}],[10,"set_menu_label_text","","",396,{"inputs":[{"name":"self"},{"name":"p"},{"name":"str"}],"output":null}],[10,"set_scrollable","","",396,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_show_border","","",396,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_show_tabs","","",396,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_tab_detachable","","",396,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"}],"output":null}],[10,"set_tab_label","","",396,{"inputs":[{"name":"self"},{"name":"p"},{"name":"r"}],"output":null}],[10,"set_tab_label_text","","",396,{"inputs":[{"name":"self"},{"name":"p"},{"name":"str"}],"output":null}],[10,"set_tab_pos","","",396,{"inputs":[{"name":"self"},{"name":"positiontype"}],"output":null}],[10,"set_tab_reorderable","","",396,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"}],"output":null}],[10,"get_property_enable_popup","","",396,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_enable_popup","","",396,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_page","","",396,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_page","","",396,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"connect_change_current_page","","",396,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_create_window","","",396,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_focus_tab","","",396,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_move_focus_out","","",396,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_page_added","","",396,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_page_removed","","",396,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_page_reordered","","",396,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_reorder_tab","","",396,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_select_page","","",396,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_switch_page","","",396,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"OrientableExt","","",null,null],[10,"get_orientation","","",397,{"inputs":[{"name":"self"}],"output":{"name":"orientation"}}],[10,"set_orientation","","",397,{"inputs":[{"name":"self"},{"name":"orientation"}],"output":null}],[8,"OverlayExt","","",null,null],[10,"add_overlay","","",398,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"get_overlay_pass_through","","",398,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"reorder_overlay","","",398,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"}],"output":null}],[10,"set_overlay_pass_through","","",398,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"}],"output":null}],[10,"get_child_index","","",398,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"i32"}}],[10,"set_child_index","","",398,{"inputs":[{"name":"self"},{"name":"t"},{"name":"i32"}],"output":null}],[8,"PageSetupExt","","",null,null],[10,"copy","","",399,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_bottom_margin","","",399,{"inputs":[{"name":"self"},{"name":"unit"}],"output":{"name":"f64"}}],[10,"get_left_margin","","",399,{"inputs":[{"name":"self"},{"name":"unit"}],"output":{"name":"f64"}}],[10,"get_orientation","","",399,{"inputs":[{"name":"self"}],"output":{"name":"pageorientation"}}],[10,"get_page_height","","",399,{"inputs":[{"name":"self"},{"name":"unit"}],"output":{"name":"f64"}}],[10,"get_page_width","","",399,{"inputs":[{"name":"self"},{"name":"unit"}],"output":{"name":"f64"}}],[10,"get_paper_height","","",399,{"inputs":[{"name":"self"},{"name":"unit"}],"output":{"name":"f64"}}],[10,"get_paper_size","","",399,{"inputs":[{"name":"self"}],"output":{"name":"papersize"}}],[10,"get_paper_width","","",399,{"inputs":[{"name":"self"},{"name":"unit"}],"output":{"name":"f64"}}],[10,"get_right_margin","","",399,{"inputs":[{"name":"self"},{"name":"unit"}],"output":{"name":"f64"}}],[10,"get_top_margin","","",399,{"inputs":[{"name":"self"},{"name":"unit"}],"output":{"name":"f64"}}],[10,"load_file","","",399,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[10,"load_key_file","","",399,{"inputs":[{"name":"self"},{"name":"keyfile"},{"name":"p"}],"output":{"name":"result"}}],[10,"set_bottom_margin","","",399,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"unit"}],"output":null}],[10,"set_left_margin","","",399,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"unit"}],"output":null}],[10,"set_orientation","","",399,{"inputs":[{"name":"self"},{"name":"pageorientation"}],"output":null}],[10,"set_paper_size","","",399,{"inputs":[{"name":"self"},{"name":"papersize"}],"output":null}],[10,"set_paper_size_and_default_margins","","",399,{"inputs":[{"name":"self"},{"name":"papersize"}],"output":null}],[10,"set_right_margin","","",399,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"unit"}],"output":null}],[10,"set_top_margin","","",399,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"unit"}],"output":null}],[10,"to_file","","",399,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[10,"to_gvariant","","",399,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"to_key_file","","",399,{"inputs":[{"name":"self"},{"name":"keyfile"},{"name":"str"}],"output":null}],[8,"PanedExt","","",null,null],[10,"add1","","",400,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"add2","","",400,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"get_child1","","",400,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_child2","","",400,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_handle_window","","",400,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_position","","",400,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_wide_handle","","",400,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"pack1","","",400,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"},{"name":"bool"}],"output":null}],[10,"pack2","","",400,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"},{"name":"bool"}],"output":null}],[10,"set_position","","",400,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_wide_handle","","",400,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_max_position","","",400,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_property_min_position","","",400,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_property_position_set","","",400,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_position_set","","",400,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_child_resize","","",400,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[10,"set_child_resize","","",400,{"inputs":[{"name":"self"},{"name":"t"},{"name":"bool"}],"output":null}],[10,"get_child_shrink","","",400,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[10,"set_child_shrink","","",400,{"inputs":[{"name":"self"},{"name":"t"},{"name":"bool"}],"output":null}],[10,"connect_accept_position","","",400,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_cancel_position","","",400,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_cycle_child_focus","","",400,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_cycle_handle_focus","","",400,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_move_handle","","",400,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_toggle_handle_focus","","",400,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"PlacesSidebarExt","","",null,null],[10,"get_local_only","","",401,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_open_flags","","",401,{"inputs":[{"name":"self"}],"output":{"name":"placesopenflags"}}],[10,"get_show_connect_to_server","","",401,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_show_desktop","","",401,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_show_enter_location","","",401,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_show_other_locations","","",401,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_show_recent","","",401,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_show_trash","","",401,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_drop_targets_visible","","",401,{"inputs":[{"name":"self"},{"name":"bool"},{"name":"dragcontext"}],"output":null}],[10,"set_local_only","","",401,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_open_flags","","",401,{"inputs":[{"name":"self"},{"name":"placesopenflags"}],"output":null}],[10,"set_show_connect_to_server","","",401,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_show_desktop","","",401,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_show_enter_location","","",401,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_show_other_locations","","",401,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_show_recent","","",401,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_show_trash","","",401,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_local_only","","",401,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_local_only","","",401,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_open_flags","","",401,{"inputs":[{"name":"self"}],"output":{"name":"placesopenflags"}}],[10,"set_property_open_flags","","",401,{"inputs":[{"name":"self"},{"name":"placesopenflags"}],"output":null}],[10,"get_property_populate_all","","",401,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_populate_all","","",401,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_property_show_connect_to_server","","",401,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_show_desktop","","",401,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_show_desktop","","",401,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_show_enter_location","","",401,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_show_enter_location","","",401,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_show_other_locations","","",401,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_show_other_locations","","",401,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_show_recent","","",401,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_show_recent","","",401,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_show_trash","","",401,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_show_trash","","",401,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_drag_action_ask","","",401,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_show_connect_to_server","","",401,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_show_enter_location","","",401,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_show_error_message","","",401,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_show_other_locations","","",401,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_show_other_locations_with_flags","","",401,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"PopoverExt","","",null,null],[10,"bind_model","","",402,{"inputs":[{"name":"self"},{"name":"q"},{"name":"r"}],"output":null}],[10,"get_constrain_to","","",402,{"inputs":[{"name":"self"}],"output":{"name":"popoverconstraint"}}],[10,"get_default_widget","","",402,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_modal","","",402,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_pointing_to","","",402,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_position","","",402,{"inputs":[{"name":"self"}],"output":{"name":"positiontype"}}],[10,"get_relative_to","","",402,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_transitions_enabled","","",402,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"popdown","","",402,{"inputs":[{"name":"self"}],"output":null}],[10,"popup","","",402,{"inputs":[{"name":"self"}],"output":null}],[10,"set_constrain_to","","",402,{"inputs":[{"name":"self"},{"name":"popoverconstraint"}],"output":null}],[10,"set_default_widget","","",402,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_modal","","",402,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_pointing_to","","",402,{"inputs":[{"name":"self"},{"name":"rectangle"}],"output":null}],[10,"set_position","","",402,{"inputs":[{"name":"self"},{"name":"positiontype"}],"output":null}],[10,"set_relative_to","","",402,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_transitions_enabled","","",402,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_closed","","",402,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"PopoverMenuExt","","",null,null],[10,"open_submenu","","",403,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"get_property_visible_submenu","","",403,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_visible_submenu","","",403,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_child_position","","",403,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"i32"}}],[10,"set_child_position","","",403,{"inputs":[{"name":"self"},{"name":"t"},{"name":"i32"}],"output":null}],[10,"get_child_submenu","","",403,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"option"}}],[10,"set_child_submenu","","",403,{"inputs":[{"name":"self"},{"name":"t"},{"name":"p"}],"output":null}],[8,"PrintContextExt","","",null,null],[10,"create_pango_context","","",404,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"create_pango_layout","","",404,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_cairo_context","","",404,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_dpi_x","","",404,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_dpi_y","","",404,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_hard_margins","","",404,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_height","","",404,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_page_setup","","",404,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_pango_fontmap","","",404,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_width","","",404,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"set_cairo_context","","",404,{"inputs":[{"name":"self"},{"name":"context"},{"name":"f64"},{"name":"f64"}],"output":null}],[8,"PrintSettingsExt","","",null,null],[10,"copy","","",405,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get","","",405,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_bool","","",405,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[10,"get_collate","","",405,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_default_source","","",405,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_dither","","",405,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_double","","",405,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"f64"}}],[10,"get_double_with_default","","",405,{"inputs":[{"name":"self"},{"name":"str"},{"name":"f64"}],"output":{"name":"f64"}}],[10,"get_duplex","","",405,{"inputs":[{"name":"self"}],"output":{"name":"printduplex"}}],[10,"get_finishings","","",405,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_int","","",405,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"i32"}}],[10,"get_int_with_default","","",405,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"}],"output":{"name":"i32"}}],[10,"get_length","","",405,{"inputs":[{"name":"self"},{"name":"str"},{"name":"unit"}],"output":{"name":"f64"}}],[10,"get_media_type","","",405,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_n_copies","","",405,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_number_up","","",405,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_number_up_layout","","",405,{"inputs":[{"name":"self"}],"output":{"name":"numberuplayout"}}],[10,"get_orientation","","",405,{"inputs":[{"name":"self"}],"output":{"name":"pageorientation"}}],[10,"get_output_bin","","",405,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_page_set","","",405,{"inputs":[{"name":"self"}],"output":{"name":"pageset"}}],[10,"get_paper_height","","",405,{"inputs":[{"name":"self"},{"name":"unit"}],"output":{"name":"f64"}}],[10,"get_paper_size","","",405,{"inputs":[{"name":"self"}],"output":{"name":"papersize"}}],[10,"get_paper_width","","",405,{"inputs":[{"name":"self"},{"name":"unit"}],"output":{"name":"f64"}}],[10,"get_print_pages","","",405,{"inputs":[{"name":"self"}],"output":{"name":"printpages"}}],[10,"get_printer","","",405,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_printer_lpi","","",405,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_quality","","",405,{"inputs":[{"name":"self"}],"output":{"name":"printquality"}}],[10,"get_resolution","","",405,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_resolution_x","","",405,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_resolution_y","","",405,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_reverse","","",405,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_scale","","",405,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_use_color","","",405,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"has_key","","",405,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[10,"load_file","","",405,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[10,"load_key_file","","",405,{"inputs":[{"name":"self"},{"name":"keyfile"},{"name":"p"}],"output":{"name":"result"}}],[10,"set","","",405,{"inputs":[{"name":"self"},{"name":"str"},{"name":"p"}],"output":null}],[10,"set_bool","","",405,{"inputs":[{"name":"self"},{"name":"str"},{"name":"bool"}],"output":null}],[10,"set_collate","","",405,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_default_source","","",405,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_dither","","",405,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_double","","",405,{"inputs":[{"name":"self"},{"name":"str"},{"name":"f64"}],"output":null}],[10,"set_duplex","","",405,{"inputs":[{"name":"self"},{"name":"printduplex"}],"output":null}],[10,"set_finishings","","",405,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_int","","",405,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"}],"output":null}],[10,"set_length","","",405,{"inputs":[{"name":"self"},{"name":"str"},{"name":"f64"},{"name":"unit"}],"output":null}],[10,"set_media_type","","",405,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_n_copies","","",405,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_number_up","","",405,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_number_up_layout","","",405,{"inputs":[{"name":"self"},{"name":"numberuplayout"}],"output":null}],[10,"set_orientation","","",405,{"inputs":[{"name":"self"},{"name":"pageorientation"}],"output":null}],[10,"set_output_bin","","",405,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_page_set","","",405,{"inputs":[{"name":"self"},{"name":"pageset"}],"output":null}],[10,"set_paper_height","","",405,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"unit"}],"output":null}],[10,"set_paper_size","","",405,{"inputs":[{"name":"self"},{"name":"papersize"}],"output":null}],[10,"set_paper_width","","",405,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"unit"}],"output":null}],[10,"set_print_pages","","",405,{"inputs":[{"name":"self"},{"name":"printpages"}],"output":null}],[10,"set_printer","","",405,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_printer_lpi","","",405,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"set_quality","","",405,{"inputs":[{"name":"self"},{"name":"printquality"}],"output":null}],[10,"set_resolution","","",405,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_resolution_xy","","",405,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"set_reverse","","",405,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_scale","","",405,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"set_use_color","","",405,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"to_file","","",405,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[10,"to_gvariant","","",405,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"to_key_file","","",405,{"inputs":[{"name":"self"},{"name":"keyfile"},{"name":"str"}],"output":null}],[10,"unset","","",405,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[8,"ProgressBarExt","","",null,null],[10,"get_ellipsize","","",406,{"inputs":[{"name":"self"}],"output":{"name":"ellipsizemode"}}],[10,"get_fraction","","",406,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_inverted","","",406,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_pulse_step","","",406,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_show_text","","",406,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_text","","",406,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"pulse","","",406,{"inputs":[{"name":"self"}],"output":null}],[10,"set_ellipsize","","",406,{"inputs":[{"name":"self"},{"name":"ellipsizemode"}],"output":null}],[10,"set_fraction","","",406,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"set_inverted","","",406,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_pulse_step","","",406,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"set_show_text","","",406,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_text","","",406,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[8,"RadioButtonExt","","",null,null],[10,"get_group","","",407,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"join_group","","",407,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"connect_group_changed","","",407,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"RadioMenuItemExt","","",null,null],[10,"get_group","","",408,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"join_group","","",408,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"connect_group_changed","","",408,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"RangeExt","","",null,null],[10,"get_adjustment","","",409,{"inputs":[{"name":"self"}],"output":{"name":"adjustment"}}],[10,"get_fill_level","","",409,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_flippable","","",409,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_inverted","","",409,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_lower_stepper_sensitivity","","",409,{"inputs":[{"name":"self"}],"output":{"name":"sensitivitytype"}}],[10,"get_min_slider_size","","",409,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_range_rect","","",409,{"inputs":[{"name":"self"}],"output":{"name":"rectangle"}}],[10,"get_restrict_to_fill_level","","",409,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_round_digits","","",409,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_show_fill_level","","",409,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_slider_range","","",409,null],[10,"get_slider_size_fixed","","",409,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_upper_stepper_sensitivity","","",409,{"inputs":[{"name":"self"}],"output":{"name":"sensitivitytype"}}],[10,"get_value","","",409,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"set_adjustment","","",409,{"inputs":[{"name":"self"},{"name":"adjustment"}],"output":null}],[10,"set_fill_level","","",409,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"set_flippable","","",409,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_increments","","",409,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"}],"output":null}],[10,"set_inverted","","",409,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_lower_stepper_sensitivity","","",409,{"inputs":[{"name":"self"},{"name":"sensitivitytype"}],"output":null}],[10,"set_min_slider_size","","",409,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_range","","",409,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"}],"output":null}],[10,"set_restrict_to_fill_level","","",409,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_round_digits","","",409,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_show_fill_level","","",409,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_slider_size_fixed","","",409,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_upper_stepper_sensitivity","","",409,{"inputs":[{"name":"self"},{"name":"sensitivitytype"}],"output":null}],[10,"set_value","","",409,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"connect_adjust_bounds","","",409,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_change_value","","",409,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_move_slider","","",409,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_value_changed","","",409,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"RecentChooserExt","","",null,null],[10,"add_filter","","",410,{"inputs":[{"name":"self"},{"name":"recentfilter"}],"output":null}],[10,"get_current_item","","",410,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_current_uri","","",410,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_filter","","",410,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_items","","",410,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"get_limit","","",410,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_local_only","","",410,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_select_multiple","","",410,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_show_icons","","",410,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_show_not_found","","",410,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_show_private","","",410,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_show_tips","","",410,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_sort_type","","",410,{"inputs":[{"name":"self"}],"output":{"name":"recentsorttype"}}],[10,"get_uris","","",410,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"list_filters","","",410,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"remove_filter","","",410,{"inputs":[{"name":"self"},{"name":"recentfilter"}],"output":null}],[10,"select_all","","",410,{"inputs":[{"name":"self"}],"output":null}],[10,"select_uri","","",410,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"result"}}],[10,"set_current_uri","","",410,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"result"}}],[10,"set_filter","","",410,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_limit","","",410,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_local_only","","",410,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_select_multiple","","",410,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_show_icons","","",410,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_show_not_found","","",410,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_show_private","","",410,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_show_tips","","",410,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_sort_type","","",410,{"inputs":[{"name":"self"},{"name":"recentsorttype"}],"output":null}],[10,"unselect_all","","",410,{"inputs":[{"name":"self"}],"output":null}],[10,"unselect_uri","","",410,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"connect_item_activated","","",410,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_selection_changed","","",410,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"RecentFilterExt","","",null,null],[10,"add_age","","",411,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"add_application","","",411,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"add_group","","",411,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"add_mime_type","","",411,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"add_pattern","","",411,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"add_pixbuf_formats","","",411,{"inputs":[{"name":"self"}],"output":null}],[10,"get_name","","",411,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_needed","","",411,{"inputs":[{"name":"self"}],"output":{"name":"recentfilterflags"}}],[10,"set_name","","",411,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[8,"RecentManagerExt","","",null,null],[10,"add_full","","",412,{"inputs":[{"name":"self"},{"name":"str"},{"name":"recentdata"}],"output":{"name":"bool"}}],[10,"add_item","","",412,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[10,"get_items","","",412,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"has_item","","",412,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[10,"lookup_item","","",412,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"result"}}],[10,"move_item","","",412,{"inputs":[{"name":"self"},{"name":"str"},{"name":"p"}],"output":{"name":"result"}}],[10,"purge_items","","",412,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[10,"remove_item","","",412,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"result"}}],[10,"get_property_filename","","",412,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_property_size","","",412,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"connect_changed","","",412,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"RevealerExt","","",null,null],[10,"get_child_revealed","","",413,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_reveal_child","","",413,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_transition_duration","","",413,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"get_transition_type","","",413,{"inputs":[{"name":"self"}],"output":{"name":"revealertransitiontype"}}],[10,"set_reveal_child","","",413,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_transition_duration","","",413,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"set_transition_type","","",413,{"inputs":[{"name":"self"},{"name":"revealertransitiontype"}],"output":null}],[10,"get_property_child_revealed","","",413,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_property_reveal_child","","",413,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_reveal_child","","",413,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_transition_duration","","",413,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_transition_duration","","",413,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_transition_type","","",413,{"inputs":[{"name":"self"}],"output":{"name":"revealertransitiontype"}}],[10,"set_property_transition_type","","",413,{"inputs":[{"name":"self"},{"name":"revealertransitiontype"}],"output":null}],[8,"ScaleExt","","",null,null],[10,"add_mark","","",414,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"positiontype"},{"name":"p"}],"output":null}],[10,"clear_marks","","",414,{"inputs":[{"name":"self"}],"output":null}],[10,"get_digits","","",414,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_draw_value","","",414,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_has_origin","","",414,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_layout","","",414,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_layout_offsets","","",414,null],[10,"get_value_pos","","",414,{"inputs":[{"name":"self"}],"output":{"name":"positiontype"}}],[10,"set_digits","","",414,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_draw_value","","",414,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_has_origin","","",414,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_value_pos","","",414,{"inputs":[{"name":"self"},{"name":"positiontype"}],"output":null}],[10,"connect_format_value","","",414,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ScaleButtonExt","","",null,null],[10,"get_adjustment","","",415,{"inputs":[{"name":"self"}],"output":{"name":"adjustment"}}],[10,"get_minus_button","","",415,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_plus_button","","",415,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_popup","","",415,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_value","","",415,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"set_adjustment","","",415,{"inputs":[{"name":"self"},{"name":"adjustment"}],"output":null}],[10,"set_icons","","",415,null],[10,"set_value","","",415,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"get_property_size","","",415,{"inputs":[{"name":"self"}],"output":{"name":"iconsize"}}],[10,"set_property_size","","",415,{"inputs":[{"name":"self"},{"name":"iconsize"}],"output":null}],[10,"connect_popdown","","",415,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_popup","","",415,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_value_changed","","",415,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ScrollableExt","","",null,null],[10,"get_hadjustment","","",416,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_hscroll_policy","","",416,{"inputs":[{"name":"self"}],"output":{"name":"scrollablepolicy"}}],[10,"get_vadjustment","","",416,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_vscroll_policy","","",416,{"inputs":[{"name":"self"}],"output":{"name":"scrollablepolicy"}}],[10,"set_hadjustment","","",416,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_hscroll_policy","","",416,{"inputs":[{"name":"self"},{"name":"scrollablepolicy"}],"output":null}],[10,"set_vadjustment","","",416,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_vscroll_policy","","",416,{"inputs":[{"name":"self"},{"name":"scrollablepolicy"}],"output":null}],[8,"ScrolledWindowExt","","",null,null],[10,"add_with_viewport","","",417,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"get_capture_button_press","","",417,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_hadjustment","","",417,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_hscrollbar","","",417,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_kinetic_scrolling","","",417,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_max_content_height","","",417,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_max_content_width","","",417,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_min_content_height","","",417,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_min_content_width","","",417,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_overlay_scrolling","","",417,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_placement","","",417,{"inputs":[{"name":"self"}],"output":{"name":"cornertype"}}],[10,"get_policy","","",417,null],[10,"get_propagate_natural_height","","",417,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_propagate_natural_width","","",417,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_shadow_type","","",417,{"inputs":[{"name":"self"}],"output":{"name":"shadowtype"}}],[10,"get_vadjustment","","",417,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_vscrollbar","","",417,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_capture_button_press","","",417,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_hadjustment","","",417,{"inputs":[{"name":"self"},{"name":"adjustment"}],"output":null}],[10,"set_kinetic_scrolling","","",417,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_max_content_height","","",417,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_max_content_width","","",417,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_min_content_height","","",417,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_min_content_width","","",417,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_overlay_scrolling","","",417,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_placement","","",417,{"inputs":[{"name":"self"},{"name":"cornertype"}],"output":null}],[10,"set_policy","","",417,{"inputs":[{"name":"self"},{"name":"policytype"},{"name":"policytype"}],"output":null}],[10,"set_propagate_natural_height","","",417,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_propagate_natural_width","","",417,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_shadow_type","","",417,{"inputs":[{"name":"self"},{"name":"shadowtype"}],"output":null}],[10,"set_vadjustment","","",417,{"inputs":[{"name":"self"},{"name":"adjustment"}],"output":null}],[10,"unset_placement","","",417,{"inputs":[{"name":"self"}],"output":null}],[10,"get_property_hscrollbar_policy","","",417,{"inputs":[{"name":"self"}],"output":{"name":"policytype"}}],[10,"set_property_hscrollbar_policy","","",417,{"inputs":[{"name":"self"},{"name":"policytype"}],"output":null}],[10,"get_property_vscrollbar_policy","","",417,{"inputs":[{"name":"self"}],"output":{"name":"policytype"}}],[10,"set_property_vscrollbar_policy","","",417,{"inputs":[{"name":"self"},{"name":"policytype"}],"output":null}],[10,"get_property_window_placement","","",417,{"inputs":[{"name":"self"}],"output":{"name":"cornertype"}}],[10,"set_property_window_placement","","",417,{"inputs":[{"name":"self"},{"name":"cornertype"}],"output":null}],[10,"get_property_window_placement_set","","",417,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_window_placement_set","","",417,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_edge_overshot","","",417,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_edge_reached","","",417,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_move_focus_out","","",417,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_scroll_child","","",417,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"SearchBarExt","","",null,null],[10,"connect_entry","","",418,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"get_search_mode","","",418,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_show_close_button","","",418,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"handle_event","","",418,{"inputs":[{"name":"self"},{"name":"event"}],"output":{"name":"bool"}}],[10,"set_search_mode","","",418,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_show_close_button","","",418,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_search_mode_enabled","","",418,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_search_mode_enabled","","",418,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_show_close_button","","",418,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_show_close_button","","",418,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[8,"SearchEntryExt","","",null,null],[10,"handle_event","","",419,{"inputs":[{"name":"self"},{"name":"event"}],"output":{"name":"bool"}}],[10,"connect_next_match","","",419,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_previous_match","","",419,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_search_changed","","",419,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_stop_search","","",419,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"SeparatorToolItemExt","","",null,null],[10,"get_draw","","",420,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_draw","","",420,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[8,"SettingsExt","","",null,null],[10,"reset_property","","",421,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_double_property","","",421,{"inputs":[{"name":"self"},{"name":"str"},{"name":"f64"},{"name":"str"}],"output":null}],[10,"set_long_property","","",421,{"inputs":[{"name":"self"},{"name":"str"},{"name":"c_long"},{"name":"str"}],"output":null}],[10,"set_string_property","","",421,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"},{"name":"str"}],"output":null}],[10,"get_property_gtk_alternative_button_order","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_alternative_button_order","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_alternative_sort_arrows","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_alternative_sort_arrows","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_application_prefer_dark_theme","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_application_prefer_dark_theme","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_auto_mnemonics","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_auto_mnemonics","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_button_images","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_button_images","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_can_change_accels","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_can_change_accels","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_color_palette","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_color_palette","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_color_scheme","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_color_scheme","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_cursor_blink","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_cursor_blink","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_cursor_blink_time","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_cursor_blink_time","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_cursor_blink_timeout","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_cursor_blink_timeout","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_cursor_theme_name","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_cursor_theme_name","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_cursor_theme_size","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_cursor_theme_size","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_decoration_layout","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_decoration_layout","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_dialogs_use_header","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_dialogs_use_header","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_dnd_drag_threshold","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_dnd_drag_threshold","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_double_click_distance","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_double_click_distance","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_double_click_time","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_double_click_time","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_enable_accels","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_enable_accels","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_enable_animations","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_enable_animations","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_enable_event_sounds","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_enable_event_sounds","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_enable_input_feedback_sounds","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_enable_input_feedback_sounds","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_enable_mnemonics","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_enable_mnemonics","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_enable_primary_paste","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_enable_primary_paste","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_enable_tooltips","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_enable_tooltips","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_entry_password_hint_timeout","","",421,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_gtk_entry_password_hint_timeout","","",421,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_gtk_entry_select_on_focus","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_entry_select_on_focus","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_error_bell","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_error_bell","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_fallback_icon_theme","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_fallback_icon_theme","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_file_chooser_backend","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_file_chooser_backend","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_font_name","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_font_name","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_fontconfig_timestamp","","",421,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_gtk_fontconfig_timestamp","","",421,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_gtk_icon_sizes","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_icon_sizes","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_icon_theme_name","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_icon_theme_name","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_im_module","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_im_module","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_im_preedit_style","","",421,{"inputs":[{"name":"self"}],"output":{"name":"impreeditstyle"}}],[10,"set_property_gtk_im_preedit_style","","",421,{"inputs":[{"name":"self"},{"name":"impreeditstyle"}],"output":null}],[10,"get_property_gtk_im_status_style","","",421,{"inputs":[{"name":"self"}],"output":{"name":"imstatusstyle"}}],[10,"set_property_gtk_im_status_style","","",421,{"inputs":[{"name":"self"},{"name":"imstatusstyle"}],"output":null}],[10,"get_property_gtk_key_theme_name","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_key_theme_name","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_keynav_cursor_only","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_keynav_cursor_only","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_keynav_use_caret","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_keynav_use_caret","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_keynav_wrap_around","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_keynav_wrap_around","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_label_select_on_focus","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_label_select_on_focus","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_long_press_time","","",421,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_gtk_long_press_time","","",421,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_gtk_menu_bar_accel","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_menu_bar_accel","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_menu_bar_popup_delay","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_menu_bar_popup_delay","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_menu_images","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_menu_images","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_menu_popdown_delay","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_menu_popdown_delay","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_menu_popup_delay","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_menu_popup_delay","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_modules","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_modules","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_primary_button_warps_slider","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_primary_button_warps_slider","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_print_backends","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_print_backends","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_print_preview_command","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_print_preview_command","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_recent_files_enabled","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_recent_files_enabled","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_recent_files_limit","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_recent_files_limit","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_recent_files_max_age","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_recent_files_max_age","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_scrolled_window_placement","","",421,{"inputs":[{"name":"self"}],"output":{"name":"cornertype"}}],[10,"set_property_gtk_scrolled_window_placement","","",421,{"inputs":[{"name":"self"},{"name":"cornertype"}],"output":null}],[10,"get_property_gtk_shell_shows_app_menu","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_shell_shows_app_menu","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_shell_shows_desktop","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_shell_shows_desktop","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_shell_shows_menubar","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_shell_shows_menubar","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_show_input_method_menu","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_show_input_method_menu","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_show_unicode_menu","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_show_unicode_menu","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_sound_theme_name","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_sound_theme_name","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_split_cursor","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_split_cursor","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_theme_name","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_theme_name","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_timeout_expand","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_timeout_expand","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_timeout_initial","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_timeout_initial","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_timeout_repeat","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_timeout_repeat","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_titlebar_double_click","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_titlebar_double_click","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_titlebar_middle_click","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_titlebar_middle_click","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_titlebar_right_click","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_titlebar_right_click","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_toolbar_icon_size","","",421,{"inputs":[{"name":"self"}],"output":{"name":"iconsize"}}],[10,"set_property_gtk_toolbar_icon_size","","",421,{"inputs":[{"name":"self"},{"name":"iconsize"}],"output":null}],[10,"get_property_gtk_toolbar_style","","",421,{"inputs":[{"name":"self"}],"output":{"name":"toolbarstyle"}}],[10,"set_property_gtk_toolbar_style","","",421,{"inputs":[{"name":"self"},{"name":"toolbarstyle"}],"output":null}],[10,"get_property_gtk_tooltip_browse_mode_timeout","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_tooltip_browse_mode_timeout","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_tooltip_browse_timeout","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_tooltip_browse_timeout","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_tooltip_timeout","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_tooltip_timeout","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_visible_focus","","",421,{"inputs":[{"name":"self"}],"output":{"name":"policytype"}}],[10,"set_property_gtk_visible_focus","","",421,{"inputs":[{"name":"self"},{"name":"policytype"}],"output":null}],[10,"get_property_gtk_xft_antialias","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_xft_antialias","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_xft_dpi","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_xft_dpi","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_xft_hinting","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_xft_hinting","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_xft_hintstyle","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_xft_hintstyle","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_xft_rgba","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_xft_rgba","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[8,"ShortcutsWindowExt","","",null,null],[10,"get_property_section_name","","",422,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_section_name","","",422,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_view_name","","",422,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_view_name","","",422,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"connect_close","","",422,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_search","","",422,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"SizeGroupExt","","",null,null],[10,"add_widget","","",423,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"get_ignore_hidden","","",423,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_mode","","",423,{"inputs":[{"name":"self"}],"output":{"name":"sizegroupmode"}}],[10,"get_widgets","","",423,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"remove_widget","","",423,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_ignore_hidden","","",423,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_mode","","",423,{"inputs":[{"name":"self"},{"name":"sizegroupmode"}],"output":null}],[8,"SpinButtonExt","","",null,null],[10,"configure","","",424,{"inputs":[{"name":"self"},{"name":"p"},{"name":"f64"},{"name":"u32"}],"output":null}],[10,"get_adjustment","","",424,{"inputs":[{"name":"self"}],"output":{"name":"adjustment"}}],[10,"get_digits","","",424,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"get_increments","","",424,null],[10,"get_numeric","","",424,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_range","","",424,null],[10,"get_snap_to_ticks","","",424,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_update_policy","","",424,{"inputs":[{"name":"self"}],"output":{"name":"spinbuttonupdatepolicy"}}],[10,"get_value","","",424,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_value_as_int","","",424,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_wrap","","",424,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_adjustment","","",424,{"inputs":[{"name":"self"},{"name":"adjustment"}],"output":null}],[10,"set_digits","","",424,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"set_increments","","",424,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"}],"output":null}],[10,"set_numeric","","",424,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_range","","",424,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"}],"output":null}],[10,"set_snap_to_ticks","","",424,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_update_policy","","",424,{"inputs":[{"name":"self"},{"name":"spinbuttonupdatepolicy"}],"output":null}],[10,"set_value","","",424,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"set_wrap","","",424,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"spin","","",424,{"inputs":[{"name":"self"},{"name":"spintype"},{"name":"f64"}],"output":null}],[10,"update","","",424,{"inputs":[{"name":"self"}],"output":null}],[10,"get_property_climb_rate","","",424,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"set_property_climb_rate","","",424,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[8,"SpinnerExt","","",null,null],[10,"start","","",425,{"inputs":[{"name":"self"}],"output":null}],[10,"stop","","",425,{"inputs":[{"name":"self"}],"output":null}],[10,"get_property_active","","",425,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_active","","",425,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[8,"StackExt","","",null,null],[10,"add_named","","",426,{"inputs":[{"name":"self"},{"name":"p"},{"name":"str"}],"output":null}],[10,"add_titled","","",426,{"inputs":[{"name":"self"},{"name":"p"},{"name":"str"},{"name":"str"}],"output":null}],[10,"get_child_by_name","","",426,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_hhomogeneous","","",426,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_homogeneous","","",426,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_interpolate_size","","",426,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_transition_duration","","",426,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"get_transition_running","","",426,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_transition_type","","",426,{"inputs":[{"name":"self"}],"output":{"name":"stacktransitiontype"}}],[10,"get_vhomogeneous","","",426,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_visible_child","","",426,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_visible_child_name","","",426,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_hhomogeneous","","",426,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_homogeneous","","",426,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_interpolate_size","","",426,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_transition_duration","","",426,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"set_transition_type","","",426,{"inputs":[{"name":"self"},{"name":"stacktransitiontype"}],"output":null}],[10,"set_vhomogeneous","","",426,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_visible_child","","",426,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_visible_child_full","","",426,{"inputs":[{"name":"self"},{"name":"str"},{"name":"stacktransitiontype"}],"output":null}],[10,"set_visible_child_name","","",426,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"get_property_homogeneous","","",426,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_homogeneous","","",426,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_interpolate_size","","",426,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_interpolate_size","","",426,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_transition_duration","","",426,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_transition_duration","","",426,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_transition_running","","",426,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_property_transition_type","","",426,{"inputs":[{"name":"self"}],"output":{"name":"stacktransitiontype"}}],[10,"set_property_transition_type","","",426,{"inputs":[{"name":"self"},{"name":"stacktransitiontype"}],"output":null}],[10,"get_property_visible_child","","",426,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_visible_child","","",426,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_visible_child_name","","",426,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_visible_child_name","","",426,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_child_icon_name","","",426,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"option"}}],[10,"set_child_icon_name","","",426,{"inputs":[{"name":"self"},{"name":"t"},{"name":"p"}],"output":null}],[10,"get_child_name","","",426,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"option"}}],[10,"set_child_name","","",426,{"inputs":[{"name":"self"},{"name":"t"},{"name":"p"}],"output":null}],[10,"get_child_needs_attention","","",426,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[10,"set_child_needs_attention","","",426,{"inputs":[{"name":"self"},{"name":"t"},{"name":"bool"}],"output":null}],[10,"get_child_position","","",426,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"i32"}}],[10,"set_child_position","","",426,{"inputs":[{"name":"self"},{"name":"t"},{"name":"i32"}],"output":null}],[10,"get_child_title","","",426,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"option"}}],[10,"set_child_title","","",426,{"inputs":[{"name":"self"},{"name":"t"},{"name":"p"}],"output":null}],[8,"StackSidebarExt","","",null,null],[10,"get_stack","","",427,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_stack","","",427,{"inputs":[{"name":"self"},{"name":"stack"}],"output":null}],[10,"get_property_stack","","",427,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_stack","","",427,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[8,"StackSwitcherExt","","",null,null],[10,"get_stack","","",428,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_stack","","",428,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"get_property_icon_size","","",428,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_icon_size","","",428,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_stack","","",428,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_stack","","",428,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[8,"StatusIconExt","","",null,null],[10,"get_geometry","","",429,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_gicon","","",429,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_has_tooltip","","",429,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_icon_name","","",429,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_pixbuf","","",429,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_screen","","",429,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_size","","",429,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_stock","","",429,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_storage_type","","",429,{"inputs":[{"name":"self"}],"output":{"name":"imagetype"}}],[10,"get_title","","",429,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_tooltip_markup","","",429,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_tooltip_text","","",429,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_visible","","",429,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_x11_window_id","","",429,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"is_embedded","","",429,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_from_file","","",429,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_from_gicon","","",429,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_from_icon_name","","",429,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_from_pixbuf","","",429,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_from_stock","","",429,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_has_tooltip","","",429,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_name","","",429,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_screen","","",429,{"inputs":[{"name":"self"},{"name":"screen"}],"output":null}],[10,"set_title","","",429,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_tooltip_markup","","",429,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_tooltip_text","","",429,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_visible","","",429,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_embedded","","",429,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_file","","",429,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"set_property_gicon","","",429,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"set_property_icon_name","","",429,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_orientation","","",429,{"inputs":[{"name":"self"}],"output":{"name":"orientation"}}],[10,"set_property_pixbuf","","",429,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"set_property_stock","","",429,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"connect_activate","","",429,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_button_press_event","","",429,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_button_release_event","","",429,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_popup_menu","","",429,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_query_tooltip","","",429,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_scroll_event","","",429,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_size_changed","","",429,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"StatusbarExt","","",null,null],[10,"get_context_id","","",430,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"u32"}}],[10,"get_message_area","","",430,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"pop","","",430,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"push","","",430,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"str"}],"output":{"name":"u32"}}],[10,"remove","","",430,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"u32"}],"output":null}],[10,"remove_all","","",430,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"connect_text_popped","","",430,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_text_pushed","","",430,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"StyleContextExt","","",null,null],[10,"add_class","","",431,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"add_provider","","",431,{"inputs":[{"name":"self"},{"name":"p"},{"name":"u32"}],"output":null}],[10,"add_region","","",431,{"inputs":[{"name":"self"},{"name":"str"},{"name":"regionflags"}],"output":null}],[10,"get_background_color","","",431,{"inputs":[{"name":"self"},{"name":"stateflags"}],"output":{"name":"rgba"}}],[10,"get_border_color","","",431,{"inputs":[{"name":"self"},{"name":"stateflags"}],"output":{"name":"rgba"}}],[10,"get_color","","",431,{"inputs":[{"name":"self"},{"name":"stateflags"}],"output":{"name":"rgba"}}],[10,"get_direction","","",431,{"inputs":[{"name":"self"}],"output":{"name":"textdirection"}}],[10,"get_frame_clock","","",431,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_junction_sides","","",431,{"inputs":[{"name":"self"}],"output":{"name":"junctionsides"}}],[10,"get_parent","","",431,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_scale","","",431,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_screen","","",431,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_section","","",431,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_state","","",431,{"inputs":[{"name":"self"}],"output":{"name":"stateflags"}}],[10,"has_class","","",431,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[10,"has_region","","",431,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"invalidate","","",431,{"inputs":[{"name":"self"}],"output":null}],[10,"list_classes","","",431,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"list_regions","","",431,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"lookup_color","","",431,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"lookup_icon_set","","",431,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"pop_animatable_region","","",431,{"inputs":[{"name":"self"}],"output":null}],[10,"remove_class","","",431,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"remove_provider","","",431,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"remove_region","","",431,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"restore","","",431,{"inputs":[{"name":"self"}],"output":null}],[10,"save","","",431,{"inputs":[{"name":"self"}],"output":null}],[10,"scroll_animations","","",431,{"inputs":[{"name":"self"},{"name":"window"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"set_background","","",431,{"inputs":[{"name":"self"},{"name":"window"}],"output":null}],[10,"set_direction","","",431,{"inputs":[{"name":"self"},{"name":"textdirection"}],"output":null}],[10,"set_frame_clock","","",431,{"inputs":[{"name":"self"},{"name":"frameclock"}],"output":null}],[10,"set_junction_sides","","",431,{"inputs":[{"name":"self"},{"name":"junctionsides"}],"output":null}],[10,"set_parent","","",431,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_scale","","",431,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_screen","","",431,{"inputs":[{"name":"self"},{"name":"screen"}],"output":null}],[10,"set_state","","",431,{"inputs":[{"name":"self"},{"name":"stateflags"}],"output":null}],[10,"state_is_running","","",431,{"inputs":[{"name":"self"},{"name":"statetype"}],"output":{"name":"option"}}],[10,"to_string","","",431,{"inputs":[{"name":"self"},{"name":"stylecontextprintflags"}],"output":{"name":"string"}}],[10,"get_property_paint_clock","","",431,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_paint_clock","","",431,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"connect_changed","","",431,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"StylePropertiesExt","","",null,null],[10,"clear","","",432,{"inputs":[{"name":"self"}],"output":null}],[10,"get_property","","",432,{"inputs":[{"name":"self"},{"name":"str"},{"name":"stateflags"}],"output":{"name":"option"}}],[10,"lookup_color","","",432,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"map_color","","",432,{"inputs":[{"name":"self"},{"name":"str"},{"name":"symboliccolor"}],"output":null}],[10,"merge","","",432,{"inputs":[{"name":"self"},{"name":"styleproperties"},{"name":"bool"}],"output":null}],[10,"set_property","","",432,{"inputs":[{"name":"self"},{"name":"str"},{"name":"stateflags"},{"name":"value"}],"output":null}],[10,"unset_property","","",432,{"inputs":[{"name":"self"},{"name":"str"},{"name":"stateflags"}],"output":null}],[8,"StyleProviderExt","","",null,null],[8,"SwitchExt","","",null,null],[10,"get_active","","",433,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_state","","",433,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_active","","",433,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_state","","",433,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_activate","","",433,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_state_set","","",433,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"TextBufferExt","","",null,null],[10,"add_mark","","",434,{"inputs":[{"name":"self"},{"name":"textmark"},{"name":"textiter"}],"output":null}],[10,"add_selection_clipboard","","",434,{"inputs":[{"name":"self"},{"name":"clipboard"}],"output":null}],[10,"apply_tag","","",434,{"inputs":[{"name":"self"},{"name":"texttag"},{"name":"textiter"},{"name":"textiter"}],"output":null}],[10,"apply_tag_by_name","","",434,{"inputs":[{"name":"self"},{"name":"str"},{"name":"textiter"},{"name":"textiter"}],"output":null}],[10,"backspace","","",434,{"inputs":[{"name":"self"},{"name":"textiter"},{"name":"bool"},{"name":"bool"}],"output":{"name":"bool"}}],[10,"begin_user_action","","",434,{"inputs":[{"name":"self"}],"output":null}],[10,"copy_clipboard","","",434,{"inputs":[{"name":"self"},{"name":"clipboard"}],"output":null}],[10,"create_child_anchor","","",434,{"inputs":[{"name":"self"},{"name":"textiter"}],"output":{"name":"option"}}],[10,"create_mark","","",434,{"inputs":[{"name":"self"},{"name":"p"},{"name":"textiter"},{"name":"bool"}],"output":{"name":"option"}}],[10,"cut_clipboard","","",434,{"inputs":[{"name":"self"},{"name":"clipboard"},{"name":"bool"}],"output":null}],[10,"delete","","",434,{"inputs":[{"name":"self"},{"name":"textiter"},{"name":"textiter"}],"output":null}],[10,"delete_interactive","","",434,{"inputs":[{"name":"self"},{"name":"textiter"},{"name":"textiter"},{"name":"bool"}],"output":{"name":"bool"}}],[10,"delete_mark","","",434,{"inputs":[{"name":"self"},{"name":"textmark"}],"output":null}],[10,"delete_mark_by_name","","",434,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"delete_selection","","",434,{"inputs":[{"name":"self"},{"name":"bool"},{"name":"bool"}],"output":{"name":"bool"}}],[10,"deserialize_get_can_create_tags","","",434,{"inputs":[{"name":"self"},{"name":"atom"}],"output":{"name":"bool"}}],[10,"deserialize_set_can_create_tags","","",434,{"inputs":[{"name":"self"},{"name":"atom"},{"name":"bool"}],"output":null}],[10,"end_user_action","","",434,{"inputs":[{"name":"self"}],"output":null}],[10,"get_bounds","","",434,null],[10,"get_char_count","","",434,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_copy_target_list","","",434,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_end_iter","","",434,{"inputs":[{"name":"self"}],"output":{"name":"textiter"}}],[10,"get_has_selection","","",434,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_insert","","",434,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_iter_at_child_anchor","","",434,{"inputs":[{"name":"self"},{"name":"textchildanchor"}],"output":{"name":"textiter"}}],[10,"get_iter_at_line","","",434,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"textiter"}}],[10,"get_iter_at_line_index","","",434,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"textiter"}}],[10,"get_iter_at_line_offset","","",434,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"textiter"}}],[10,"get_iter_at_mark","","",434,{"inputs":[{"name":"self"},{"name":"textmark"}],"output":{"name":"textiter"}}],[10,"get_iter_at_offset","","",434,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"textiter"}}],[10,"get_line_count","","",434,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_mark","","",434,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_modified","","",434,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_paste_target_list","","",434,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_selection_bound","","",434,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_selection_bounds","","",434,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_slice","","",434,{"inputs":[{"name":"self"},{"name":"textiter"},{"name":"textiter"},{"name":"bool"}],"output":{"name":"option"}}],[10,"get_start_iter","","",434,{"inputs":[{"name":"self"}],"output":{"name":"textiter"}}],[10,"get_tag_table","","",434,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_text","","",434,{"inputs":[{"name":"self"},{"name":"textiter"},{"name":"textiter"},{"name":"bool"}],"output":{"name":"option"}}],[10,"insert_child_anchor","","",434,{"inputs":[{"name":"self"},{"name":"textiter"},{"name":"textchildanchor"}],"output":null}],[10,"insert_pixbuf","","",434,{"inputs":[{"name":"self"},{"name":"textiter"},{"name":"pixbuf"}],"output":null}],[10,"insert_range","","",434,{"inputs":[{"name":"self"},{"name":"textiter"},{"name":"textiter"},{"name":"textiter"}],"output":null}],[10,"insert_range_interactive","","",434,{"inputs":[{"name":"self"},{"name":"textiter"},{"name":"textiter"},{"name":"textiter"},{"name":"bool"}],"output":{"name":"bool"}}],[10,"move_mark","","",434,{"inputs":[{"name":"self"},{"name":"textmark"},{"name":"textiter"}],"output":null}],[10,"move_mark_by_name","","",434,{"inputs":[{"name":"self"},{"name":"str"},{"name":"textiter"}],"output":null}],[10,"paste_clipboard","","",434,{"inputs":[{"name":"self"},{"name":"clipboard"},{"name":"p"},{"name":"bool"}],"output":null}],[10,"place_cursor","","",434,{"inputs":[{"name":"self"},{"name":"textiter"}],"output":null}],[10,"register_deserialize_tagset","","",434,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"atom"}}],[10,"register_serialize_tagset","","",434,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"atom"}}],[10,"remove_all_tags","","",434,{"inputs":[{"name":"self"},{"name":"textiter"},{"name":"textiter"}],"output":null}],[10,"remove_selection_clipboard","","",434,{"inputs":[{"name":"self"},{"name":"clipboard"}],"output":null}],[10,"remove_tag","","",434,{"inputs":[{"name":"self"},{"name":"texttag"},{"name":"textiter"},{"name":"textiter"}],"output":null}],[10,"remove_tag_by_name","","",434,{"inputs":[{"name":"self"},{"name":"str"},{"name":"textiter"},{"name":"textiter"}],"output":null}],[10,"select_range","","",434,{"inputs":[{"name":"self"},{"name":"textiter"},{"name":"textiter"}],"output":null}],[10,"set_modified","","",434,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"unregister_deserialize_format","","",434,{"inputs":[{"name":"self"},{"name":"atom"}],"output":null}],[10,"unregister_serialize_format","","",434,{"inputs":[{"name":"self"},{"name":"atom"}],"output":null}],[10,"get_property_cursor_position","","",434,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_text","","",434,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"connect_apply_tag","","",434,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_begin_user_action","","",434,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_changed","","",434,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_delete_range","","",434,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_end_user_action","","",434,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_insert_child_anchor","","",434,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_insert_pixbuf","","",434,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_mark_deleted","","",434,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_mark_set","","",434,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_modified_changed","","",434,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_paste_done","","",434,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_remove_tag","","",434,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"TextChildAnchorExt","","",null,null],[10,"get_deleted","","",435,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_widgets","","",435,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[8,"TextMarkExt","","",null,null],[10,"get_buffer","","",436,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_deleted","","",436,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_left_gravity","","",436,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_name","","",436,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_visible","","",436,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_visible","","",436,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[8,"TextTagExt","","",null,null],[10,"changed","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"event","","",437,{"inputs":[{"name":"self"},{"name":"p"},{"name":"event"},{"name":"textiter"}],"output":{"name":"bool"}}],[10,"get_priority","","",437,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_priority","","",437,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_accumulative_margin","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_accumulative_margin","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_property_background","","",437,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_background_full_height","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_background_full_height","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_background_full_height_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_background_full_height_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_background_rgba","","",437,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_background_rgba","","",437,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_background_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_background_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_direction","","",437,{"inputs":[{"name":"self"}],"output":{"name":"textdirection"}}],[10,"set_property_direction","","",437,{"inputs":[{"name":"self"},{"name":"textdirection"}],"output":null}],[10,"get_property_editable","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_editable","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_editable_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_editable_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_fallback","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_fallback","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_fallback_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_fallback_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_family","","",437,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_family","","",437,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_family_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_family_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_font","","",437,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_font","","",437,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_font_features","","",437,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_font_features","","",437,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_font_features_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_font_features_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_property_foreground","","",437,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_foreground_rgba","","",437,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_foreground_rgba","","",437,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_foreground_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_foreground_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_indent","","",437,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_indent","","",437,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_indent_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_indent_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_invisible","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_invisible","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_invisible_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_invisible_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_justification","","",437,{"inputs":[{"name":"self"}],"output":{"name":"justification"}}],[10,"set_property_justification","","",437,{"inputs":[{"name":"self"},{"name":"justification"}],"output":null}],[10,"get_property_justification_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_justification_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_language","","",437,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_language","","",437,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_language_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_language_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_left_margin","","",437,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_left_margin","","",437,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_left_margin_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_left_margin_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_letter_spacing","","",437,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_letter_spacing","","",437,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_letter_spacing_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_letter_spacing_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_name","","",437,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_paragraph_background","","",437,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_paragraph_background_rgba","","",437,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_paragraph_background_rgba","","",437,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_paragraph_background_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_paragraph_background_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_pixels_above_lines","","",437,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_pixels_above_lines","","",437,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_pixels_above_lines_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_pixels_above_lines_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_pixels_below_lines","","",437,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_pixels_below_lines","","",437,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_pixels_below_lines_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_pixels_below_lines_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_pixels_inside_wrap","","",437,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_pixels_inside_wrap","","",437,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_pixels_inside_wrap_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_pixels_inside_wrap_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_right_margin","","",437,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_right_margin","","",437,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_right_margin_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_right_margin_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_rise","","",437,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_rise","","",437,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_rise_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_rise_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_scale","","",437,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"set_property_scale","","",437,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"get_property_scale_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_scale_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_size","","",437,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_size","","",437,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_size_points","","",437,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"set_property_size_points","","",437,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"get_property_size_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_size_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_stretch","","",437,{"inputs":[{"name":"self"}],"output":{"name":"stretch"}}],[10,"set_property_stretch","","",437,{"inputs":[{"name":"self"},{"name":"stretch"}],"output":null}],[10,"get_property_stretch_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_stretch_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_strikethrough","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_strikethrough","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_strikethrough_rgba","","",437,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_strikethrough_rgba","","",437,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_strikethrough_rgba_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_strikethrough_rgba_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_strikethrough_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_strikethrough_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_style","","",437,{"inputs":[{"name":"self"}],"output":{"name":"style"}}],[10,"set_property_style","","",437,{"inputs":[{"name":"self"},{"name":"style"}],"output":null}],[10,"get_property_style_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_style_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_tabs_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_tabs_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_underline","","",437,{"inputs":[{"name":"self"}],"output":{"name":"underline"}}],[10,"set_property_underline","","",437,{"inputs":[{"name":"self"},{"name":"underline"}],"output":null}],[10,"get_property_underline_rgba","","",437,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_underline_rgba","","",437,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_underline_rgba_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_underline_rgba_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_underline_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_underline_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_variant","","",437,{"inputs":[{"name":"self"}],"output":{"name":"variant"}}],[10,"set_property_variant","","",437,{"inputs":[{"name":"self"},{"name":"variant"}],"output":null}],[10,"get_property_variant_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_variant_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_weight","","",437,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_weight","","",437,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_weight_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_weight_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_wrap_mode","","",437,{"inputs":[{"name":"self"}],"output":{"name":"wrapmode"}}],[10,"set_property_wrap_mode","","",437,{"inputs":[{"name":"self"},{"name":"wrapmode"}],"output":null}],[10,"get_property_wrap_mode_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_wrap_mode_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_event","","",437,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"TextTagTableExt","","",null,null],[10,"add","","",438,{"inputs":[{"name":"self"},{"name":"texttag"}],"output":{"name":"bool"}}],[10,"get_size","","",438,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"lookup","","",438,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"remove","","",438,{"inputs":[{"name":"self"},{"name":"texttag"}],"output":null}],[10,"connect_tag_added","","",438,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_tag_changed","","",438,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_tag_removed","","",438,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"TextViewExt","","",null,null],[10,"add_child_at_anchor","","",439,{"inputs":[{"name":"self"},{"name":"p"},{"name":"textchildanchor"}],"output":null}],[10,"add_child_in_window","","",439,{"inputs":[{"name":"self"},{"name":"p"},{"name":"textwindowtype"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"backward_display_line","","",439,{"inputs":[{"name":"self"},{"name":"textiter"}],"output":{"name":"bool"}}],[10,"backward_display_line_start","","",439,{"inputs":[{"name":"self"},{"name":"textiter"}],"output":{"name":"bool"}}],[10,"buffer_to_window_coords","","",439,null],[10,"forward_display_line","","",439,{"inputs":[{"name":"self"},{"name":"textiter"}],"output":{"name":"bool"}}],[10,"forward_display_line_end","","",439,{"inputs":[{"name":"self"},{"name":"textiter"}],"output":{"name":"bool"}}],[10,"get_accepts_tab","","",439,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_border_window_size","","",439,{"inputs":[{"name":"self"},{"name":"textwindowtype"}],"output":{"name":"i32"}}],[10,"get_bottom_margin","","",439,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_buffer","","",439,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_cursor_locations","","",439,null],[10,"get_cursor_visible","","",439,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_default_attributes","","",439,{"inputs":[{"name":"self"}],"output":{"name":"textattributes"}}],[10,"get_editable","","",439,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_indent","","",439,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_input_hints","","",439,{"inputs":[{"name":"self"}],"output":{"name":"inputhints"}}],[10,"get_input_purpose","","",439,{"inputs":[{"name":"self"}],"output":{"name":"inputpurpose"}}],[10,"get_iter_at_location","","",439,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_iter_at_position","","",439,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_iter_location","","",439,{"inputs":[{"name":"self"},{"name":"textiter"}],"output":{"name":"rectangle"}}],[10,"get_justification","","",439,{"inputs":[{"name":"self"}],"output":{"name":"justification"}}],[10,"get_left_margin","","",439,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_line_at_y","","",439,null],[10,"get_line_yrange","","",439,null],[10,"get_monospace","","",439,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_overwrite","","",439,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_pixels_above_lines","","",439,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_pixels_below_lines","","",439,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_pixels_inside_wrap","","",439,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_right_margin","","",439,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_tabs","","",439,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_top_margin","","",439,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_visible_rect","","",439,{"inputs":[{"name":"self"}],"output":{"name":"rectangle"}}],[10,"get_window","","",439,{"inputs":[{"name":"self"},{"name":"textwindowtype"}],"output":{"name":"option"}}],[10,"get_window_type","","",439,{"inputs":[{"name":"self"},{"name":"window"}],"output":{"name":"textwindowtype"}}],[10,"get_wrap_mode","","",439,{"inputs":[{"name":"self"}],"output":{"name":"wrapmode"}}],[10,"im_context_filter_keypress","","",439,{"inputs":[{"name":"self"},{"name":"eventkey"}],"output":{"name":"bool"}}],[10,"move_child","","",439,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"move_mark_onscreen","","",439,{"inputs":[{"name":"self"},{"name":"textmark"}],"output":{"name":"bool"}}],[10,"move_visually","","",439,{"inputs":[{"name":"self"},{"name":"textiter"},{"name":"i32"}],"output":{"name":"bool"}}],[10,"place_cursor_onscreen","","",439,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"reset_cursor_blink","","",439,{"inputs":[{"name":"self"}],"output":null}],[10,"reset_im_context","","",439,{"inputs":[{"name":"self"}],"output":null}],[10,"scroll_mark_onscreen","","",439,{"inputs":[{"name":"self"},{"name":"textmark"}],"output":null}],[10,"scroll_to_iter","","",439,{"inputs":[{"name":"self"},{"name":"textiter"},{"name":"f64"},{"name":"bool"},{"name":"f64"},{"name":"f64"}],"output":{"name":"bool"}}],[10,"scroll_to_mark","","",439,{"inputs":[{"name":"self"},{"name":"textmark"},{"name":"f64"},{"name":"bool"},{"name":"f64"},{"name":"f64"}],"output":null}],[10,"set_accepts_tab","","",439,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_border_window_size","","",439,{"inputs":[{"name":"self"},{"name":"textwindowtype"},{"name":"i32"}],"output":null}],[10,"set_bottom_margin","","",439,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_buffer","","",439,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_cursor_visible","","",439,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_editable","","",439,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_indent","","",439,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_input_hints","","",439,{"inputs":[{"name":"self"},{"name":"inputhints"}],"output":null}],[10,"set_input_purpose","","",439,{"inputs":[{"name":"self"},{"name":"inputpurpose"}],"output":null}],[10,"set_justification","","",439,{"inputs":[{"name":"self"},{"name":"justification"}],"output":null}],[10,"set_left_margin","","",439,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_monospace","","",439,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_overwrite","","",439,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_pixels_above_lines","","",439,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_pixels_below_lines","","",439,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_pixels_inside_wrap","","",439,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_right_margin","","",439,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_tabs","","",439,{"inputs":[{"name":"self"},{"name":"tabarray"}],"output":null}],[10,"set_top_margin","","",439,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_wrap_mode","","",439,{"inputs":[{"name":"self"},{"name":"wrapmode"}],"output":null}],[10,"starts_display_line","","",439,{"inputs":[{"name":"self"},{"name":"textiter"}],"output":{"name":"bool"}}],[10,"window_to_buffer_coords","","",439,null],[10,"get_property_im_module","","",439,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_im_module","","",439,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_monospace","","",439,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_monospace","","",439,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_populate_all","","",439,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_populate_all","","",439,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_backspace","","",439,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_copy_clipboard","","",439,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_cut_clipboard","","",439,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_delete_from_cursor","","",439,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_extend_selection","","",439,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_insert_at_cursor","","",439,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_move_cursor","","",439,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_move_viewport","","",439,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_paste_clipboard","","",439,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_populate_popup","","",439,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_preedit_changed","","",439,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_select_all","","",439,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_set_anchor","","",439,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_toggle_cursor_visible","","",439,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_toggle_overwrite","","",439,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ToggleButtonExt","","",null,null],[10,"get_active","","",440,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_inconsistent","","",440,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_mode","","",440,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_active","","",440,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_inconsistent","","",440,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_mode","","",440,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"toggled","","",440,{"inputs":[{"name":"self"}],"output":null}],[10,"get_property_draw_indicator","","",440,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_draw_indicator","","",440,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_toggled","","",440,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ToggleToolButtonExt","","",null,null],[10,"get_active","","",441,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_active","","",441,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_toggled","","",441,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ToolButtonExt","","",null,null],[10,"get_icon_name","","",442,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_icon_widget","","",442,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_label","","",442,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_label_widget","","",442,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_stock_id","","",442,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_use_underline","","",442,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_icon_name","","",442,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_icon_widget","","",442,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_label","","",442,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_label_widget","","",442,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_stock_id","","",442,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_use_underline","","",442,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_clicked","","",442,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ToolItemExt","","",null,null],[10,"get_ellipsize_mode","","",443,{"inputs":[{"name":"self"}],"output":{"name":"ellipsizemode"}}],[10,"get_expand","","",443,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_homogeneous","","",443,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_icon_size","","",443,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_is_important","","",443,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_orientation","","",443,{"inputs":[{"name":"self"}],"output":{"name":"orientation"}}],[10,"get_proxy_menu_item","","",443,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_relief_style","","",443,{"inputs":[{"name":"self"}],"output":{"name":"reliefstyle"}}],[10,"get_text_alignment","","",443,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"get_text_orientation","","",443,{"inputs":[{"name":"self"}],"output":{"name":"orientation"}}],[10,"get_text_size_group","","",443,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_toolbar_style","","",443,{"inputs":[{"name":"self"}],"output":{"name":"toolbarstyle"}}],[10,"get_use_drag_window","","",443,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_visible_horizontal","","",443,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_visible_vertical","","",443,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"rebuild_menu","","",443,{"inputs":[{"name":"self"}],"output":null}],[10,"retrieve_proxy_menu_item","","",443,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_expand","","",443,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_homogeneous","","",443,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_is_important","","",443,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_proxy_menu_item","","",443,{"inputs":[{"name":"self"},{"name":"str"},{"name":"p"}],"output":null}],[10,"set_use_drag_window","","",443,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_visible_horizontal","","",443,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_visible_vertical","","",443,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"toolbar_reconfigured","","",443,{"inputs":[{"name":"self"}],"output":null}],[10,"connect_create_menu_proxy","","",443,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_toolbar_reconfigured","","",443,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ToolItemGroupExt","","",null,null],[10,"get_collapsed","","",444,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_drop_item","","",444,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_ellipsize","","",444,{"inputs":[{"name":"self"}],"output":{"name":"ellipsizemode"}}],[10,"get_header_relief","","",444,{"inputs":[{"name":"self"}],"output":{"name":"reliefstyle"}}],[10,"get_item_position","","",444,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"i32"}}],[10,"get_label","","",444,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_label_widget","","",444,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_n_items","","",444,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"get_nth_item","","",444,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[10,"insert","","",444,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"}],"output":null}],[10,"set_collapsed","","",444,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_ellipsize","","",444,{"inputs":[{"name":"self"},{"name":"ellipsizemode"}],"output":null}],[10,"set_header_relief","","",444,{"inputs":[{"name":"self"},{"name":"reliefstyle"}],"output":null}],[10,"set_item_position","","",444,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"}],"output":null}],[10,"set_label","","",444,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_label_widget","","",444,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"get_item_expand","","",444,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[10,"set_item_expand","","",444,{"inputs":[{"name":"self"},{"name":"t"},{"name":"bool"}],"output":null}],[10,"get_item_fill","","",444,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[10,"set_item_fill","","",444,{"inputs":[{"name":"self"},{"name":"t"},{"name":"bool"}],"output":null}],[10,"get_item_homogeneous","","",444,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[10,"set_item_homogeneous","","",444,{"inputs":[{"name":"self"},{"name":"t"},{"name":"bool"}],"output":null}],[10,"get_item_new_row","","",444,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[10,"set_item_new_row","","",444,{"inputs":[{"name":"self"},{"name":"t"},{"name":"bool"}],"output":null}],[8,"ToolPaletteExt","","",null,null],[10,"add_drag_dest","","",445,{"inputs":[{"name":"self"},{"name":"p"},{"name":"destdefaults"},{"name":"toolpalettedragtargets"},{"name":"dragaction"}],"output":null}],[10,"get_drag_item","","",445,{"inputs":[{"name":"self"},{"name":"selectiondata"}],"output":{"name":"option"}}],[10,"get_drop_group","","",445,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_drop_item","","",445,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_exclusive","","",445,{"inputs":[{"name":"self"},{"name":"toolitemgroup"}],"output":{"name":"bool"}}],[10,"get_expand","","",445,{"inputs":[{"name":"self"},{"name":"toolitemgroup"}],"output":{"name":"bool"}}],[10,"get_group_position","","",445,{"inputs":[{"name":"self"},{"name":"toolitemgroup"}],"output":{"name":"i32"}}],[10,"get_icon_size","","",445,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_style","","",445,{"inputs":[{"name":"self"}],"output":{"name":"toolbarstyle"}}],[10,"set_drag_source","","",445,{"inputs":[{"name":"self"},{"name":"toolpalettedragtargets"}],"output":null}],[10,"set_exclusive","","",445,{"inputs":[{"name":"self"},{"name":"toolitemgroup"},{"name":"bool"}],"output":null}],[10,"set_expand","","",445,{"inputs":[{"name":"self"},{"name":"toolitemgroup"},{"name":"bool"}],"output":null}],[10,"set_group_position","","",445,{"inputs":[{"name":"self"},{"name":"toolitemgroup"},{"name":"i32"}],"output":null}],[10,"set_icon_size","","",445,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_style","","",445,{"inputs":[{"name":"self"},{"name":"toolbarstyle"}],"output":null}],[10,"unset_icon_size","","",445,{"inputs":[{"name":"self"}],"output":null}],[10,"unset_style","","",445,{"inputs":[{"name":"self"}],"output":null}],[10,"get_property_icon_size_set","","",445,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_icon_size_set","","",445,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_toolbar_style","","",445,{"inputs":[{"name":"self"}],"output":{"name":"toolbarstyle"}}],[10,"set_property_toolbar_style","","",445,{"inputs":[{"name":"self"},{"name":"toolbarstyle"}],"output":null}],[8,"ToolShellExt","","",null,null],[10,"get_ellipsize_mode","","",446,{"inputs":[{"name":"self"}],"output":{"name":"ellipsizemode"}}],[10,"get_icon_size","","",446,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_orientation","","",446,{"inputs":[{"name":"self"}],"output":{"name":"orientation"}}],[10,"get_relief_style","","",446,{"inputs":[{"name":"self"}],"output":{"name":"reliefstyle"}}],[10,"get_style","","",446,{"inputs":[{"name":"self"}],"output":{"name":"toolbarstyle"}}],[10,"get_text_alignment","","",446,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"get_text_orientation","","",446,{"inputs":[{"name":"self"}],"output":{"name":"orientation"}}],[10,"get_text_size_group","","",446,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"rebuild_menu","","",446,{"inputs":[{"name":"self"}],"output":null}],[8,"ToolbarExt","","",null,null],[10,"get_drop_index","","",447,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"i32"}}],[10,"get_icon_size","","",447,{"inputs":[{"name":"self"}],"output":{"name":"iconsize"}}],[10,"get_item_index","","",447,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"i32"}}],[10,"get_n_items","","",447,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_nth_item","","",447,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_show_arrow","","",447,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"insert","","",447,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"}],"output":null}],[10,"set_drop_highlight_item","","",447,{"inputs":[{"name":"self"},{"name":"q"},{"name":"i32"}],"output":null}],[10,"set_icon_size","","",447,{"inputs":[{"name":"self"},{"name":"iconsize"}],"output":null}],[10,"set_show_arrow","","",447,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_style","","",447,{"inputs":[{"name":"self"},{"name":"toolbarstyle"}],"output":null}],[10,"unset_icon_size","","",447,{"inputs":[{"name":"self"}],"output":null}],[10,"unset_style","","",447,{"inputs":[{"name":"self"}],"output":null}],[10,"get_property_icon_size_set","","",447,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_icon_size_set","","",447,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_toolbar_style","","",447,{"inputs":[{"name":"self"}],"output":{"name":"toolbarstyle"}}],[10,"set_property_toolbar_style","","",447,{"inputs":[{"name":"self"},{"name":"toolbarstyle"}],"output":null}],[10,"get_item_expand","","",447,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[10,"set_item_expand","","",447,{"inputs":[{"name":"self"},{"name":"t"},{"name":"bool"}],"output":null}],[10,"get_item_homogeneous","","",447,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[10,"set_item_homogeneous","","",447,{"inputs":[{"name":"self"},{"name":"t"},{"name":"bool"}],"output":null}],[10,"connect_focus_home_or_end","","",447,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_orientation_changed","","",447,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_popup_context_menu","","",447,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_style_changed","","",447,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"TooltipExt","","",null,null],[10,"set_custom","","",448,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_icon","","",448,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_icon_from_gicon","","",448,{"inputs":[{"name":"self"},{"name":"q"},{"name":"i32"}],"output":null}],[10,"set_icon_from_icon_name","","",448,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"}],"output":null}],[10,"set_icon_from_stock","","",448,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"}],"output":null}],[10,"set_markup","","",448,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_text","","",448,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_tip_area","","",448,{"inputs":[{"name":"self"},{"name":"rectangle"}],"output":null}],[8,"TreeModelExt","","",null,null],[10,"get_column_type","","",449,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"type"}}],[10,"get_flags","","",449,{"inputs":[{"name":"self"}],"output":{"name":"treemodelflags"}}],[10,"get_iter","","",449,{"inputs":[{"name":"self"},{"name":"treepath"}],"output":{"name":"option"}}],[10,"get_iter_first","","",449,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_iter_from_string","","",449,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_n_columns","","",449,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_path","","",449,{"inputs":[{"name":"self"},{"name":"treeiter"}],"output":{"name":"option"}}],[10,"get_string_from_iter","","",449,{"inputs":[{"name":"self"},{"name":"treeiter"}],"output":{"name":"option"}}],[10,"get_value","","",449,{"inputs":[{"name":"self"},{"name":"treeiter"},{"name":"i32"}],"output":{"name":"value"}}],[10,"iter_children","","",449,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"option"}}],[10,"iter_has_child","","",449,{"inputs":[{"name":"self"},{"name":"treeiter"}],"output":{"name":"bool"}}],[10,"iter_n_children","","",449,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"i32"}}],[10,"iter_next","","",449,{"inputs":[{"name":"self"},{"name":"treeiter"}],"output":{"name":"bool"}}],[10,"iter_nth_child","","",449,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"}],"output":{"name":"option"}}],[10,"iter_parent","","",449,{"inputs":[{"name":"self"},{"name":"treeiter"}],"output":{"name":"option"}}],[10,"iter_previous","","",449,{"inputs":[{"name":"self"},{"name":"treeiter"}],"output":{"name":"bool"}}],[10,"row_changed","","",449,{"inputs":[{"name":"self"},{"name":"treepath"},{"name":"treeiter"}],"output":null}],[10,"row_deleted","","",449,{"inputs":[{"name":"self"},{"name":"treepath"}],"output":null}],[10,"row_has_child_toggled","","",449,{"inputs":[{"name":"self"},{"name":"treepath"},{"name":"treeiter"}],"output":null}],[10,"row_inserted","","",449,{"inputs":[{"name":"self"},{"name":"treepath"},{"name":"treeiter"}],"output":null}],[10,"sort_new_with_model","","",449,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"connect_row_changed","","",449,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_row_deleted","","",449,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_row_has_child_toggled","","",449,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_row_inserted","","",449,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"TreeModelFilterExt","","",null,null],[10,"clear_cache","","",450,{"inputs":[{"name":"self"}],"output":null}],[10,"convert_child_iter_to_iter","","",450,{"inputs":[{"name":"self"},{"name":"treeiter"}],"output":{"name":"option"}}],[10,"convert_child_path_to_path","","",450,{"inputs":[{"name":"self"},{"name":"treepath"}],"output":{"name":"option"}}],[10,"convert_iter_to_child_iter","","",450,{"inputs":[{"name":"self"},{"name":"treeiter"}],"output":{"name":"treeiter"}}],[10,"convert_path_to_child_path","","",450,{"inputs":[{"name":"self"},{"name":"treepath"}],"output":{"name":"option"}}],[10,"get_model","","",450,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"refilter","","",450,{"inputs":[{"name":"self"}],"output":null}],[10,"set_visible_column","","",450,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_child_model","","",450,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[8,"TreeSelectionExt","","",null,null],[10,"count_selected_rows","","",451,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_mode","","",451,{"inputs":[{"name":"self"}],"output":{"name":"selectionmode"}}],[10,"get_selected","","",451,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_selected_rows","","",451,null],[10,"get_tree_view","","",451,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"iter_is_selected","","",451,{"inputs":[{"name":"self"},{"name":"treeiter"}],"output":{"name":"bool"}}],[10,"path_is_selected","","",451,{"inputs":[{"name":"self"},{"name":"treepath"}],"output":{"name":"bool"}}],[10,"select_all","","",451,{"inputs":[{"name":"self"}],"output":null}],[10,"select_iter","","",451,{"inputs":[{"name":"self"},{"name":"treeiter"}],"output":null}],[10,"select_path","","",451,{"inputs":[{"name":"self"},{"name":"treepath"}],"output":null}],[10,"select_range","","",451,{"inputs":[{"name":"self"},{"name":"treepath"},{"name":"treepath"}],"output":null}],[10,"set_mode","","",451,{"inputs":[{"name":"self"},{"name":"selectionmode"}],"output":null}],[10,"unselect_all","","",451,{"inputs":[{"name":"self"}],"output":null}],[10,"unselect_iter","","",451,{"inputs":[{"name":"self"},{"name":"treeiter"}],"output":null}],[10,"unselect_path","","",451,{"inputs":[{"name":"self"},{"name":"treepath"}],"output":null}],[10,"unselect_range","","",451,{"inputs":[{"name":"self"},{"name":"treepath"},{"name":"treepath"}],"output":null}],[10,"connect_changed","","",451,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"TreeSortableExt","","",null,null],[10,"has_default_sort_func","","",452,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"sort_column_changed","","",452,{"inputs":[{"name":"self"}],"output":null}],[10,"connect_sort_column_changed","","",452,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"TreeStoreExt","","",null,null],[10,"append","","",453,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"treeiter"}}],[10,"clear","","",453,{"inputs":[{"name":"self"}],"output":null}],[10,"insert","","",453,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"}],"output":{"name":"treeiter"}}],[10,"insert_after","","",453,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"}],"output":{"name":"treeiter"}}],[10,"insert_before","","",453,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"}],"output":{"name":"treeiter"}}],[10,"is_ancestor","","",453,{"inputs":[{"name":"self"},{"name":"treeiter"},{"name":"treeiter"}],"output":{"name":"bool"}}],[10,"iter_depth","","",453,{"inputs":[{"name":"self"},{"name":"treeiter"}],"output":{"name":"i32"}}],[10,"iter_is_valid","","",453,{"inputs":[{"name":"self"},{"name":"treeiter"}],"output":{"name":"bool"}}],[10,"move_after","","",453,{"inputs":[{"name":"self"},{"name":"treeiter"},{"name":"p"}],"output":null}],[10,"move_before","","",453,{"inputs":[{"name":"self"},{"name":"treeiter"},{"name":"p"}],"output":null}],[10,"prepend","","",453,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"treeiter"}}],[10,"remove","","",453,{"inputs":[{"name":"self"},{"name":"treeiter"}],"output":{"name":"bool"}}],[10,"swap","","",453,{"inputs":[{"name":"self"},{"name":"treeiter"},{"name":"treeiter"}],"output":null}],[8,"TreeViewExt","","",null,null],[10,"append_column","","",454,{"inputs":[{"name":"self"},{"name":"treeviewcolumn"}],"output":{"name":"i32"}}],[10,"collapse_all","","",454,{"inputs":[{"name":"self"}],"output":null}],[10,"collapse_row","","",454,{"inputs":[{"name":"self"},{"name":"treepath"}],"output":{"name":"bool"}}],[10,"columns_autosize","","",454,{"inputs":[{"name":"self"}],"output":null}],[10,"convert_bin_window_to_tree_coords","","",454,null],[10,"convert_bin_window_to_widget_coords","","",454,null],[10,"convert_tree_to_bin_window_coords","","",454,null],[10,"convert_tree_to_widget_coords","","",454,null],[10,"convert_widget_to_bin_window_coords","","",454,null],[10,"convert_widget_to_tree_coords","","",454,null],[10,"create_row_drag_icon","","",454,{"inputs":[{"name":"self"},{"name":"treepath"}],"output":{"name":"option"}}],[10,"expand_all","","",454,{"inputs":[{"name":"self"}],"output":null}],[10,"expand_row","","",454,{"inputs":[{"name":"self"},{"name":"treepath"},{"name":"bool"}],"output":{"name":"bool"}}],[10,"expand_to_path","","",454,{"inputs":[{"name":"self"},{"name":"treepath"}],"output":null}],[10,"get_activate_on_single_click","","",454,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_background_area","","",454,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"}],"output":{"name":"rectangle"}}],[10,"get_bin_window","","",454,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_cell_area","","",454,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"}],"output":{"name":"rectangle"}}],[10,"get_column","","",454,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_columns","","",454,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"get_cursor","","",454,null],[10,"get_dest_row_at_pos","","",454,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_drag_dest_row","","",454,null],[10,"get_enable_search","","",454,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_enable_tree_lines","","",454,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_expander_column","","",454,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_fixed_height_mode","","",454,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_grid_lines","","",454,{"inputs":[{"name":"self"}],"output":{"name":"treeviewgridlines"}}],[10,"get_headers_clickable","","",454,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_headers_visible","","",454,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_hover_expand","","",454,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_hover_selection","","",454,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_level_indentation","","",454,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_model","","",454,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_n_columns","","",454,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"get_path_at_pos","","",454,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_reorderable","","",454,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_rubber_banding","","",454,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_rules_hint","","",454,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_search_column","","",454,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_search_entry","","",454,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_selection","","",454,{"inputs":[{"name":"self"}],"output":{"name":"treeselection"}}],[10,"get_show_expanders","","",454,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_tooltip_column","","",454,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_tooltip_context","","",454,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"},{"name":"bool"}],"output":{"name":"option"}}],[10,"get_visible_range","","",454,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_visible_rect","","",454,{"inputs":[{"name":"self"}],"output":{"name":"rectangle"}}],[10,"insert_column","","",454,{"inputs":[{"name":"self"},{"name":"treeviewcolumn"},{"name":"i32"}],"output":{"name":"i32"}}],[10,"is_blank_at_pos","","",454,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[10,"is_rubber_banding_active","","",454,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"move_column_after","","",454,{"inputs":[{"name":"self"},{"name":"treeviewcolumn"},{"name":"p"}],"output":null}],[10,"remove_column","","",454,{"inputs":[{"name":"self"},{"name":"treeviewcolumn"}],"output":{"name":"i32"}}],[10,"row_activated","","",454,{"inputs":[{"name":"self"},{"name":"treepath"},{"name":"treeviewcolumn"}],"output":null}],[10,"row_expanded","","",454,{"inputs":[{"name":"self"},{"name":"treepath"}],"output":{"name":"bool"}}],[10,"scroll_to_cell","","",454,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"},{"name":"bool"},{"name":"f32"},{"name":"f32"}],"output":null}],[10,"scroll_to_point","","",454,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"set_activate_on_single_click","","",454,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_cursor","","",454,{"inputs":[{"name":"self"},{"name":"treepath"},{"name":"p"},{"name":"bool"}],"output":null}],[10,"set_cursor_on_cell","","",454,{"inputs":[{"name":"self"},{"name":"treepath"},{"name":"p"},{"name":"r"},{"name":"bool"}],"output":null}],[10,"set_drag_dest_row","","",454,{"inputs":[{"name":"self"},{"name":"p"},{"name":"treeviewdropposition"}],"output":null}],[10,"set_enable_search","","",454,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_enable_tree_lines","","",454,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_expander_column","","",454,{"inputs":[{"name":"self"},{"name":"treeviewcolumn"}],"output":null}],[10,"set_fixed_height_mode","","",454,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_grid_lines","","",454,{"inputs":[{"name":"self"},{"name":"treeviewgridlines"}],"output":null}],[10,"set_headers_clickable","","",454,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_headers_visible","","",454,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_hover_expand","","",454,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_hover_selection","","",454,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_level_indentation","","",454,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_model","","",454,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_reorderable","","",454,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_rubber_banding","","",454,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_rules_hint","","",454,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_search_column","","",454,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_search_entry","","",454,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_show_expanders","","",454,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_tooltip_cell","","",454,{"inputs":[{"name":"self"},{"name":"tooltip"},{"name":"p"},{"name":"q"},{"name":"s"}],"output":null}],[10,"set_tooltip_column","","",454,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_tooltip_row","","",454,{"inputs":[{"name":"self"},{"name":"tooltip"},{"name":"treepath"}],"output":null}],[10,"unset_rows_drag_dest","","",454,{"inputs":[{"name":"self"}],"output":null}],[10,"unset_rows_drag_source","","",454,{"inputs":[{"name":"self"}],"output":null}],[10,"get_property_enable_grid_lines","","",454,{"inputs":[{"name":"self"}],"output":{"name":"treeviewgridlines"}}],[10,"set_property_enable_grid_lines","","",454,{"inputs":[{"name":"self"},{"name":"treeviewgridlines"}],"output":null}],[10,"set_property_ubuntu_almost_fixed_height_mode","","",454,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_columns_changed","","",454,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_cursor_changed","","",454,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_expand_collapse_cursor_row","","",454,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_move_cursor","","",454,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_row_activated","","",454,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_row_collapsed","","",454,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_row_expanded","","",454,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_select_all","","",454,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_select_cursor_parent","","",454,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_select_cursor_row","","",454,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_start_interactive_search","","",454,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_test_collapse_row","","",454,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_test_expand_row","","",454,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_toggle_cursor_row","","",454,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_unselect_all","","",454,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"TreeViewColumnExt","","",null,null],[10,"cell_get_position","","",455,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"option"}}],[10,"cell_get_size","","",455,null],[10,"cell_is_visible","","",455,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"cell_set_cell_data","","",455,{"inputs":[{"name":"self"},{"name":"p"},{"name":"treeiter"},{"name":"bool"},{"name":"bool"}],"output":null}],[10,"clicked","","",455,{"inputs":[{"name":"self"}],"output":null}],[10,"focus_cell","","",455,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"get_alignment","","",455,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"get_button","","",455,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_clickable","","",455,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_expand","","",455,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_fixed_width","","",455,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_max_width","","",455,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_min_width","","",455,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_reorderable","","",455,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_resizable","","",455,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_sizing","","",455,{"inputs":[{"name":"self"}],"output":{"name":"treeviewcolumnsizing"}}],[10,"get_sort_column_id","","",455,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_sort_indicator","","",455,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_sort_order","","",455,{"inputs":[{"name":"self"}],"output":{"name":"sorttype"}}],[10,"get_spacing","","",455,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_title","","",455,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_tree_view","","",455,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_visible","","",455,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_widget","","",455,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_width","","",455,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_x_offset","","",455,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"queue_resize","","",455,{"inputs":[{"name":"self"}],"output":null}],[10,"set_alignment","","",455,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[10,"set_clickable","","",455,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_expand","","",455,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_fixed_width","","",455,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_max_width","","",455,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_min_width","","",455,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_reorderable","","",455,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_resizable","","",455,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_sizing","","",455,{"inputs":[{"name":"self"},{"name":"treeviewcolumnsizing"}],"output":null}],[10,"set_sort_column_id","","",455,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_sort_indicator","","",455,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_sort_order","","",455,{"inputs":[{"name":"self"},{"name":"sorttype"}],"output":null}],[10,"set_spacing","","",455,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_title","","",455,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_visible","","",455,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_widget","","",455,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"get_property_cell_area","","",455,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"connect_clicked","","",455,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ViewportExt","","",null,null],[10,"get_bin_window","","",456,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_shadow_type","","",456,{"inputs":[{"name":"self"}],"output":{"name":"shadowtype"}}],[10,"get_view_window","","",456,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_shadow_type","","",456,{"inputs":[{"name":"self"},{"name":"shadowtype"}],"output":null}],[8,"VolumeButtonExt","","",null,null],[10,"get_property_use_symbolic","","",457,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_use_symbolic","","",457,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[8,"WidgetExt","","",null,null],[10,"activate","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"add_accelerator","","",458,{"inputs":[{"name":"self"},{"name":"str"},{"name":"accelgroup"},{"name":"u32"},{"name":"modifiertype"},{"name":"accelflags"}],"output":null}],[10,"add_device_events","","",458,{"inputs":[{"name":"self"},{"name":"p"},{"name":"eventmask"}],"output":null}],[10,"add_events","","",458,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"add_mnemonic_label","","",458,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"can_activate_accel","","",458,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"bool"}}],[10,"child_focus","","",458,{"inputs":[{"name":"self"},{"name":"directiontype"}],"output":{"name":"bool"}}],[10,"child_notify","","",458,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"compute_expand","","",458,{"inputs":[{"name":"self"},{"name":"orientation"}],"output":{"name":"bool"}}],[10,"create_pango_context","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"create_pango_layout","","",458,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"option"}}],[10,"destroy","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"device_is_shadowed","","",458,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"drag_begin","","",458,{"inputs":[{"name":"self"},{"name":"targetlist"},{"name":"dragaction"},{"name":"i32"},{"name":"p"}],"output":{"name":"option"}}],[10,"drag_begin_with_coordinates","","",458,{"inputs":[{"name":"self"},{"name":"targetlist"},{"name":"dragaction"},{"name":"i32"},{"name":"p"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[10,"drag_check_threshold","","",458,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"i32"}],"output":{"name":"bool"}}],[10,"drag_dest_add_image_targets","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"drag_dest_add_text_targets","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"drag_dest_add_uri_targets","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"drag_dest_find_target","","",458,{"inputs":[{"name":"self"},{"name":"dragcontext"},{"name":"p"}],"output":{"name":"option"}}],[10,"drag_dest_get_target_list","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"drag_dest_get_track_motion","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"drag_dest_set_proxy","","",458,{"inputs":[{"name":"self"},{"name":"window"},{"name":"dragprotocol"},{"name":"bool"}],"output":null}],[10,"drag_dest_set_target_list","","",458,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"drag_dest_set_track_motion","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"drag_dest_unset","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"drag_get_data","","",458,{"inputs":[{"name":"self"},{"name":"dragcontext"},{"name":"atom"},{"name":"u32"}],"output":null}],[10,"drag_highlight","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"drag_source_add_image_targets","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"drag_source_add_text_targets","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"drag_source_add_uri_targets","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"drag_source_get_target_list","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"drag_source_set_icon_gicon","","",458,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"drag_source_set_icon_name","","",458,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"drag_source_set_icon_pixbuf","","",458,{"inputs":[{"name":"self"},{"name":"pixbuf"}],"output":null}],[10,"drag_source_set_icon_stock","","",458,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"drag_source_set_target_list","","",458,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"drag_source_unset","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"drag_unhighlight","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"draw","","",458,{"inputs":[{"name":"self"},{"name":"context"}],"output":null}],[10,"error_bell","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"event","","",458,{"inputs":[{"name":"self"},{"name":"event"}],"output":{"name":"bool"}}],[10,"freeze_child_notify","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"get_action_group","","",458,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_allocated_baseline","","",458,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_allocated_height","","",458,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_allocated_size","","",458,null],[10,"get_allocated_width","","",458,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_allocation","","",458,{"inputs":[{"name":"self"}],"output":{"name":"allocation"}}],[10,"get_ancestor","","",458,{"inputs":[{"name":"self"},{"name":"type"}],"output":{"name":"option"}}],[10,"get_app_paintable","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_can_default","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_can_focus","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_child_visible","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_clip","","",458,{"inputs":[{"name":"self"}],"output":{"name":"allocation"}}],[10,"get_clipboard","","",458,{"inputs":[{"name":"self"},{"name":"atom"}],"output":{"name":"clipboard"}}],[10,"get_composite_name","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_device_enabled","","",458,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"get_device_events","","",458,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"eventmask"}}],[10,"get_direction","","",458,{"inputs":[{"name":"self"}],"output":{"name":"textdirection"}}],[10,"get_display","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_double_buffered","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_events","","",458,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_focus_on_click","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_font_map","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_frame_clock","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_halign","","",458,{"inputs":[{"name":"self"}],"output":{"name":"align"}}],[10,"get_has_tooltip","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_has_window","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_hexpand","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_hexpand_set","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_mapped","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_margin_bottom","","",458,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_margin_end","","",458,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_margin_left","","",458,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_margin_right","","",458,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_margin_start","","",458,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_margin_top","","",458,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_modifier_mask","","",458,{"inputs":[{"name":"self"},{"name":"modifierintent"}],"output":{"name":"modifiertype"}}],[10,"get_name","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_no_show_all","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_opacity","","",458,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_pango_context","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_parent","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_parent_window","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_preferred_height","","",458,null],[10,"get_preferred_height_and_baseline_for_width","","",458,null],[10,"get_preferred_height_for_width","","",458,null],[10,"get_preferred_size","","",458,null],[10,"get_preferred_width","","",458,null],[10,"get_preferred_width_for_height","","",458,null],[10,"get_realized","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_receives_default","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_request_mode","","",458,{"inputs":[{"name":"self"}],"output":{"name":"sizerequestmode"}}],[10,"get_root_window","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_scale_factor","","",458,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_screen","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_sensitive","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_settings","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_size_request","","",458,null],[10,"get_state_flags","","",458,{"inputs":[{"name":"self"}],"output":{"name":"stateflags"}}],[10,"get_style_context","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_support_multidevice","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_template_child","","",458,{"inputs":[{"name":"self"},{"name":"type"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_tooltip_markup","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_tooltip_text","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_tooltip_window","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_toplevel","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_valign","","",458,{"inputs":[{"name":"self"}],"output":{"name":"align"}}],[10,"get_valign_with_baseline","","",458,{"inputs":[{"name":"self"}],"output":{"name":"align"}}],[10,"get_vexpand","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_vexpand_set","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_visible","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_visual","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_window","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"grab_add","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"grab_default","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"grab_focus","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"grab_remove","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"has_default","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"has_focus","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"has_grab","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"has_screen","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"has_visible_focus","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"hide","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"hide_on_delete","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"in_destruction","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"init_template","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"input_shape_combine_region","","",458,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"insert_action_group","","",458,{"inputs":[{"name":"self"},{"name":"str"},{"name":"q"}],"output":null}],[10,"is_ancestor","","",458,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"is_composited","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_drawable","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_focus","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_sensitive","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_toplevel","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_visible","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"keynav_failed","","",458,{"inputs":[{"name":"self"},{"name":"directiontype"}],"output":{"name":"bool"}}],[10,"list_action_prefixes","","",458,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"list_mnemonic_labels","","",458,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"map","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"mnemonic_activate","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"bool"}}],[10,"override_background_color","","",458,{"inputs":[{"name":"self"},{"name":"stateflags"},{"name":"p"}],"output":null}],[10,"override_color","","",458,{"inputs":[{"name":"self"},{"name":"stateflags"},{"name":"p"}],"output":null}],[10,"override_cursor","","",458,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"}],"output":null}],[10,"override_font","","",458,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"override_symbolic_color","","",458,{"inputs":[{"name":"self"},{"name":"str"},{"name":"p"}],"output":null}],[10,"queue_allocate","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"queue_compute_expand","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"queue_draw","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"queue_draw_area","","",458,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"queue_draw_region","","",458,{"inputs":[{"name":"self"},{"name":"region"}],"output":null}],[10,"queue_resize","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"queue_resize_no_redraw","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"realize","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"region_intersect","","",458,{"inputs":[{"name":"self"},{"name":"region"}],"output":{"name":"option"}}],[10,"register_window","","",458,{"inputs":[{"name":"self"},{"name":"window"}],"output":null}],[10,"remove_accelerator","","",458,{"inputs":[{"name":"self"},{"name":"accelgroup"},{"name":"u32"},{"name":"modifiertype"}],"output":{"name":"bool"}}],[10,"remove_mnemonic_label","","",458,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"remove_tick_callback","","",458,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"render_icon_pixbuf","","",458,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"}],"output":{"name":"option"}}],[10,"reparent","","",458,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"reset_style","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"send_expose","","",458,{"inputs":[{"name":"self"},{"name":"event"}],"output":{"name":"i32"}}],[10,"send_focus_change","","",458,{"inputs":[{"name":"self"},{"name":"event"}],"output":{"name":"bool"}}],[10,"set_accel_path","","",458,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"}],"output":null}],[10,"set_allocation","","",458,{"inputs":[{"name":"self"},{"name":"allocation"}],"output":null}],[10,"set_app_paintable","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_can_default","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_can_focus","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_child_visible","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_clip","","",458,{"inputs":[{"name":"self"},{"name":"allocation"}],"output":null}],[10,"set_composite_name","","",458,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_device_enabled","","",458,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"}],"output":null}],[10,"set_device_events","","",458,{"inputs":[{"name":"self"},{"name":"p"},{"name":"eventmask"}],"output":null}],[10,"set_direction","","",458,{"inputs":[{"name":"self"},{"name":"textdirection"}],"output":null}],[10,"set_double_buffered","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_events","","",458,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_focus_on_click","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_font_map","","",458,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_halign","","",458,{"inputs":[{"name":"self"},{"name":"align"}],"output":null}],[10,"set_has_tooltip","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_has_window","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_hexpand","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_hexpand_set","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_mapped","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_margin_bottom","","",458,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_margin_end","","",458,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_margin_left","","",458,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_margin_right","","",458,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_margin_start","","",458,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_margin_top","","",458,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_name","","",458,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_no_show_all","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_opacity","","",458,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"set_parent","","",458,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_parent_window","","",458,{"inputs":[{"name":"self"},{"name":"window"}],"output":null}],[10,"set_realized","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_receives_default","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_redraw_on_allocate","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_sensitive","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_size_request","","",458,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"set_state_flags","","",458,{"inputs":[{"name":"self"},{"name":"stateflags"},{"name":"bool"}],"output":null}],[10,"set_support_multidevice","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_tooltip_markup","","",458,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_tooltip_text","","",458,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_tooltip_window","","",458,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_valign","","",458,{"inputs":[{"name":"self"},{"name":"align"}],"output":null}],[10,"set_vexpand","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_vexpand_set","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_visible","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_visual","","",458,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_window","","",458,{"inputs":[{"name":"self"},{"name":"window"}],"output":null}],[10,"shape_combine_region","","",458,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"show","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"show_all","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"show_now","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"size_allocate","","",458,{"inputs":[{"name":"self"},{"name":"allocation"}],"output":null}],[10,"size_allocate_with_baseline","","",458,{"inputs":[{"name":"self"},{"name":"allocation"},{"name":"i32"}],"output":null}],[10,"thaw_child_notify","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"translate_coordinates","","",458,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[10,"trigger_tooltip_query","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"unmap","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"unparent","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"unrealize","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"unregister_window","","",458,{"inputs":[{"name":"self"},{"name":"window"}],"output":null}],[10,"unset_state_flags","","",458,{"inputs":[{"name":"self"},{"name":"stateflags"}],"output":null}],[10,"get_property_composite_child","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_property_expand","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_expand","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_has_default","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_has_default","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_has_focus","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_has_focus","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_height_request","","",458,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_height_request","","",458,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_is_focus","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_is_focus","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_margin","","",458,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_margin","","",458,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_width_request","","",458,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_width_request","","",458,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"connect_accel_closures_changed","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_button_press_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_button_release_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_can_activate_accel","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_composited_changed","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_configure_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_damage_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_delete_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_destroy","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_destroy_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_direction_changed","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_drag_begin","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_drag_data_delete","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_drag_data_get","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_drag_data_received","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_drag_drop","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_drag_end","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_drag_failed","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_drag_leave","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_drag_motion","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_draw","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_enter_notify_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_event_after","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_focus","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_focus_in_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_focus_out_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_grab_broken_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_grab_focus","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_grab_notify","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_hide","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_hierarchy_changed","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_key_press_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_key_release_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_keynav_failed","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_leave_notify_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_map","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_mnemonic_activate","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_motion_notify_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_move_focus","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_parent_set","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_popup_menu","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_property_notify_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_proximity_in_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_proximity_out_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_query_tooltip","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_realize","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_screen_changed","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_scroll_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_selection_clear_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_selection_get","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_selection_notify_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_selection_received","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_selection_request_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_show","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_show_help","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_size_allocate","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_state_flags_changed","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_style_updated","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_touch_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_unmap","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_unrealize","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_visibility_notify_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_window_state_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"WindowExt","","",null,null],[10,"activate_default","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"activate_focus","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"activate_key","","",459,{"inputs":[{"name":"self"},{"name":"eventkey"}],"output":{"name":"bool"}}],[10,"add_accel_group","","",459,{"inputs":[{"name":"self"},{"name":"accelgroup"}],"output":null}],[10,"add_mnemonic","","",459,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"p"}],"output":null}],[10,"begin_move_drag","","",459,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"u32"}],"output":null}],[10,"begin_resize_drag","","",459,{"inputs":[{"name":"self"},{"name":"windowedge"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"u32"}],"output":null}],[10,"close","","",459,{"inputs":[{"name":"self"}],"output":null}],[10,"deiconify","","",459,{"inputs":[{"name":"self"}],"output":null}],[10,"fullscreen","","",459,{"inputs":[{"name":"self"}],"output":null}],[10,"fullscreen_on_monitor","","",459,{"inputs":[{"name":"self"},{"name":"screen"},{"name":"i32"}],"output":null}],[10,"get_accept_focus","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_application","","",459,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_attached_to","","",459,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_decorated","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_default_size","","",459,null],[10,"get_default_widget","","",459,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_deletable","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_destroy_with_parent","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_focus","","",459,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_focus_on_map","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_focus_visible","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_gravity","","",459,{"inputs":[{"name":"self"}],"output":{"name":"gravity"}}],[10,"get_group","","",459,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_has_resize_grip","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_hide_titlebar_when_maximized","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_icon","","",459,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_icon_list","","",459,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"get_icon_name","","",459,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_mnemonic_modifier","","",459,{"inputs":[{"name":"self"}],"output":{"name":"modifiertype"}}],[10,"get_mnemonics_visible","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_modal","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_position","","",459,null],[10,"get_resizable","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_resize_grip_area","","",459,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_role","","",459,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_size","","",459,null],[10,"get_skip_pager_hint","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_skip_taskbar_hint","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_title","","",459,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_titlebar","","",459,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_transient_for","","",459,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_type_hint","","",459,{"inputs":[{"name":"self"}],"output":{"name":"windowtypehint"}}],[10,"get_urgency_hint","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_window_type","","",459,{"inputs":[{"name":"self"}],"output":{"name":"windowtype"}}],[10,"has_group","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"has_toplevel_focus","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"iconify","","",459,{"inputs":[{"name":"self"}],"output":null}],[10,"is_active","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_maximized","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"maximize","","",459,{"inputs":[{"name":"self"}],"output":null}],[10,"mnemonic_activate","","",459,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"modifiertype"}],"output":{"name":"bool"}}],[10,"move_","","",459,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"parse_geometry","","",459,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[10,"present","","",459,{"inputs":[{"name":"self"}],"output":null}],[10,"present_with_time","","",459,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"propagate_key_event","","",459,{"inputs":[{"name":"self"},{"name":"eventkey"}],"output":{"name":"bool"}}],[10,"remove_accel_group","","",459,{"inputs":[{"name":"self"},{"name":"accelgroup"}],"output":null}],[10,"remove_mnemonic","","",459,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"p"}],"output":null}],[10,"reshow_with_initial_size","","",459,{"inputs":[{"name":"self"}],"output":null}],[10,"resize","","",459,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"resize_grip_is_visible","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"resize_to_geometry","","",459,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"set_accept_focus","","",459,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_application","","",459,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_attached_to","","",459,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_decorated","","",459,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_default","","",459,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_default_geometry","","",459,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"set_default_size","","",459,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"set_deletable","","",459,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_destroy_with_parent","","",459,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_focus","","",459,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_focus_on_map","","",459,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_focus_visible","","",459,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_gravity","","",459,{"inputs":[{"name":"self"},{"name":"gravity"}],"output":null}],[10,"set_has_resize_grip","","",459,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_has_user_ref_count","","",459,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_hide_titlebar_when_maximized","","",459,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_icon","","",459,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_icon_from_file","","",459,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[10,"set_icon_list","","",459,null],[10,"set_icon_name","","",459,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_keep_above","","",459,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_keep_below","","",459,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_mnemonic_modifier","","",459,{"inputs":[{"name":"self"},{"name":"modifiertype"}],"output":null}],[10,"set_mnemonics_visible","","",459,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_modal","","",459,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_position","","",459,{"inputs":[{"name":"self"},{"name":"windowposition"}],"output":null}],[10,"set_resizable","","",459,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_role","","",459,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_screen","","",459,{"inputs":[{"name":"self"},{"name":"screen"}],"output":null}],[10,"set_skip_pager_hint","","",459,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_skip_taskbar_hint","","",459,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_startup_id","","",459,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_title","","",459,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_titlebar","","",459,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_transient_for","","",459,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_type_hint","","",459,{"inputs":[{"name":"self"},{"name":"windowtypehint"}],"output":null}],[10,"set_urgency_hint","","",459,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_wmclass","","",459,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"}],"output":null}],[10,"stick","","",459,{"inputs":[{"name":"self"}],"output":null}],[10,"unfullscreen","","",459,{"inputs":[{"name":"self"}],"output":null}],[10,"unmaximize","","",459,{"inputs":[{"name":"self"}],"output":null}],[10,"unstick","","",459,{"inputs":[{"name":"self"}],"output":null}],[10,"get_property_default_height","","",459,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_default_height","","",459,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_default_width","","",459,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_default_width","","",459,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_has_toplevel_focus","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_property_is_active","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_property_is_maximized","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_property_resize_grip_visible","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_property_type","","",459,{"inputs":[{"name":"self"}],"output":{"name":"windowtype"}}],[10,"get_property_window_position","","",459,{"inputs":[{"name":"self"}],"output":{"name":"windowposition"}}],[10,"set_property_window_position","","",459,{"inputs":[{"name":"self"},{"name":"windowposition"}],"output":null}],[10,"connect_activate_default","","",459,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_activate_focus","","",459,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_enable_debugging","","",459,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_keys_changed","","",459,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_set_focus","","",459,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"WindowGroupExt","","",null,null],[10,"add_window","","",460,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"get_current_device_grab","","",460,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"option"}}],[10,"get_current_grab","","",460,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"list_windows","","",460,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"remove_window","","",460,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[8,"AppChooserExt","","",null,null],[10,"get_app_info","","",461,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_content_type","","",461,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"refresh","","",461,{"inputs":[{"name":"self"}],"output":null}],[8,"AssistantExtManual","","",null,null],[10,"set_forward_page_func","","",462,{"inputs":[{"name":"self"},{"name":"f"}],"output":null}],[8,"ClipboardExtManual","","",null,null],[10,"set_text","","",463,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[8,"ColorButtonExtManual","","",null,null],[10,"new_with_color","","",464,{"inputs":[{"name":"color"}],"output":{"name":"colorbutton"}}],[10,"get_color","","",464,{"inputs":[{"name":"self"}],"output":{"name":"color"}}],[10,"set_color","","",464,{"inputs":[{"name":"self"},{"name":"color"}],"output":null}],[8,"ColorChooserExtManual","","",null,null],[10,"add_palette","","",465,null],[8,"CssProviderExtManual","","",null,null],[10,"load_from_data","","",466,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"result"}}],[8,"DialogExtManual","","",null,null],[10,"add_buttons","","",467,null],[8,"DragContextExtManual","","",null,null],[10,"drag_finish","","",468,{"inputs":[{"name":"self"},{"name":"bool"},{"name":"bool"},{"name":"u32"}],"output":null}],[10,"drag_cancel","","",468,{"inputs":[{"name":"self"}],"output":null}],[10,"drag_get_source_widget","","",468,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"drag_set_icon_default","","",468,{"inputs":[{"name":"self"}],"output":null}],[10,"drag_set_icon_gicon","","",468,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"drag_set_icon_name","","",468,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"drag_set_icon_pixbuf","","",468,{"inputs":[{"name":"self"},{"name":"pixbuf"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"drag_set_icon_stock","","",468,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"drag_set_icon_surface","","",468,{"inputs":[{"name":"self"},{"name":"surface"}],"output":null}],[10,"drag_set_icon_widget","","",468,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"},{"name":"i32"}],"output":null}],[8,"ListStoreExtManual","","",null,null],[10,"insert_with_values","","",469,null],[10,"reorder","","",469,null],[10,"set","","",469,null],[10,"set_value","","",469,{"inputs":[{"name":"self"},{"name":"treeiter"},{"name":"u32"},{"name":"value"}],"output":null}],[8,"MenuExtManual","","",null,null],[10,"popup","","",470,{"inputs":[{"name":"self"},{"name":"option"},{"name":"option"},{"name":"f"},{"name":"u32"},{"name":"u32"}],"output":null}],[10,"popup_easy","","",470,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"u32"}],"output":null}],[8,"NotebookExtManual","","",null,null],[10,"append_page","","",471,{"inputs":[{"name":"self"},{"name":"t"},{"name":"option"}],"output":{"name":"u32"}}],[10,"append_page_menu","","",471,{"inputs":[{"name":"self"},{"name":"t"},{"name":"option"},{"name":"option"}],"output":{"name":"u32"}}],[10,"get_current_page","","",471,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_n_pages","","",471,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"get_nth_page","","",471,{"inputs":[{"name":"self"},{"name":"option"}],"output":{"name":"option"}}],[10,"insert_page","","",471,{"inputs":[{"name":"self"},{"name":"t"},{"name":"option"},{"name":"option"}],"output":{"name":"u32"}}],[10,"insert_page_menu","","",471,{"inputs":[{"name":"self"},{"name":"t"},{"name":"option"},{"name":"option"},{"name":"option"}],"output":{"name":"u32"}}],[10,"page_num","","",471,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"option"}}],[10,"prepend_page","","",471,{"inputs":[{"name":"self"},{"name":"t"},{"name":"option"}],"output":{"name":"u32"}}],[10,"prepend_page_menu","","",471,{"inputs":[{"name":"self"},{"name":"t"},{"name":"option"},{"name":"option"}],"output":{"name":"u32"}}],[10,"remove_page","","",471,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"reorder_child","","",471,{"inputs":[{"name":"self"},{"name":"t"},{"name":"option"}],"output":null}],[10,"set_current_page","","",471,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[8,"SwitchExtManual","","",null,null],[10,"connect_changed_active","","",472,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"TextBufferExtManual","","",null,null],[10,"get_deserialize_formats","","",473,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"get_serialize_formats","","",473,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"insert","","",473,{"inputs":[{"name":"self"},{"name":"textiter"},{"name":"str"}],"output":null}],[10,"insert_at_cursor","","",473,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"insert_interactive","","",473,{"inputs":[{"name":"self"},{"name":"textiter"},{"name":"str"},{"name":"bool"}],"output":{"name":"bool"}}],[10,"insert_interactive_at_cursor","","",473,{"inputs":[{"name":"self"},{"name":"str"},{"name":"bool"}],"output":{"name":"bool"}}],[10,"insert_markup","","",473,{"inputs":[{"name":"self"},{"name":"textiter"},{"name":"str"}],"output":null}],[10,"set_text","","",473,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"connect_insert_text","","",473,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"TreeModelFilterExtManual","","",null,null],[10,"set_visible_func","","",474,{"inputs":[{"name":"self"},{"name":"f"}],"output":null}],[8,"TreeSortableExtManual","","",null,null],[10,"set_default_sort_func","","",475,{"inputs":[{"name":"self"},{"name":"f"}],"output":null}],[10,"set_sort_func","","",475,{"inputs":[{"name":"self"},{"name":"sortcolumn"},{"name":"f"}],"output":null}],[10,"get_sort_column_id","","",475,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_sort_column_id","","",475,{"inputs":[{"name":"self"},{"name":"sortcolumn"},{"name":"sorttype"}],"output":null}],[10,"set_unsorted","","",475,{"inputs":[{"name":"self"}],"output":null}],[8,"TreeStoreExtManual","","",null,null],[10,"insert_with_values","","",476,null],[10,"reorder","","",476,null],[10,"set","","",476,null],[10,"set_value","","",476,{"inputs":[{"name":"self"},{"name":"treeiter"},{"name":"u32"},{"name":"value"}],"output":null}],[8,"WidgetExtManual","","",null,null],[10,"drag_dest_set","","",477,null],[10,"drag_source_set","","",477,null],[10,"intersect","","",477,{"inputs":[{"name":"self"},{"name":"rectangle"},{"name":"option"}],"output":{"name":"bool"}}],[10,"override_font","","",477,{"inputs":[{"name":"self"},{"name":"fontdescription"}],"output":null}],[10,"connect_map_event","","",477,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_unmap_event","","",477,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"EditableSignals","","",null,null],[10,"connect_changed","","",478,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_delete_text","","",478,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_insert_text","","",478,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"SpinButtonSignals","","",null,null],[10,"connect_change_value","","",479,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_input","","",479,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_output","","",479,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_value_changed","","",479,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_wrapped","","",479,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[0,"functions","gtk","",null,null],[5,"accel_groups_activate","gtk::functions","",null,{"inputs":[{"name":"p"},{"name":"u32"},{"name":"modifiertype"}],"output":{"name":"bool"}}],[5,"accel_groups_from_object","","",null,{"inputs":[{"name":"p"}],"output":{"name":"vec"}}],[5,"accelerator_get_default_mod_mask","","",null,{"inputs":[],"output":{"name":"modifiertype"}}],[5,"accelerator_get_label","","",null,{"inputs":[{"name":"u32"},{"name":"modifiertype"}],"output":{"name":"option"}}],[5,"accelerator_get_label_with_keycode","","",null,{"inputs":[{"name":"p"},{"name":"u32"},{"name":"u32"},{"name":"modifiertype"}],"output":{"name":"option"}}],[5,"accelerator_name","","",null,{"inputs":[{"name":"u32"},{"name":"modifiertype"}],"output":{"name":"option"}}],[5,"accelerator_name_with_keycode","","",null,{"inputs":[{"name":"p"},{"name":"u32"},{"name":"u32"},{"name":"modifiertype"}],"output":{"name":"option"}}],[5,"accelerator_parse","","",null,null],[5,"accelerator_set_default_mod_mask","","",null,{"inputs":[{"name":"modifiertype"}],"output":null}],[5,"accelerator_valid","","",null,{"inputs":[{"name":"u32"},{"name":"modifiertype"}],"output":{"name":"bool"}}],[5,"alternative_dialog_button_order","","",null,{"inputs":[{"name":"p"}],"output":{"name":"bool"}}],[5,"bindings_activate","","",null,{"inputs":[{"name":"p"},{"name":"u32"},{"name":"modifiertype"}],"output":{"name":"bool"}}],[5,"bindings_activate_event","","",null,{"inputs":[{"name":"p"},{"name":"eventkey"}],"output":{"name":"bool"}}],[5,"cairo_should_draw_window","","",null,{"inputs":[{"name":"context"},{"name":"window"}],"output":{"name":"bool"}}],[5,"cairo_transform_to_window","","",null,{"inputs":[{"name":"context"},{"name":"p"},{"name":"window"}],"output":null}],[5,"device_grab_add","","",null,{"inputs":[{"name":"p"},{"name":"q"},{"name":"bool"}],"output":null}],[5,"device_grab_remove","","",null,{"inputs":[{"name":"p"},{"name":"q"}],"output":null}],[5,"disable_setlocale","","",null,{"inputs":[],"output":null}],[5,"events_pending","","",null,{"inputs":[],"output":{"name":"bool"}}],[5,"false_","","",null,{"inputs":[],"output":{"name":"bool"}}],[5,"get_current_event","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"get_current_event_device","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"get_current_event_state","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"get_current_event_time","","",null,{"inputs":[],"output":{"name":"u32"}}],[5,"get_debug_flags","","",null,{"inputs":[],"output":{"name":"u32"}}],[5,"get_default_language","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"get_event_widget","","",null,{"inputs":[{"name":"event"}],"output":{"name":"option"}}],[5,"get_locale_direction","","",null,{"inputs":[],"output":{"name":"textdirection"}}],[5,"grab_get_current","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"main","","",null,{"inputs":[],"output":null}],[5,"main_do_event","","",null,{"inputs":[{"name":"event"}],"output":null}],[5,"main_iteration","","",null,{"inputs":[],"output":{"name":"bool"}}],[5,"main_iteration_do","","",null,{"inputs":[{"name":"bool"}],"output":{"name":"bool"}}],[5,"main_level","","",null,{"inputs":[],"output":{"name":"u32"}}],[5,"print_run_page_setup_dialog","","",null,{"inputs":[{"name":"q"},{"name":"r"},{"name":"printsettings"}],"output":{"name":"option"}}],[5,"propagate_event","","",null,{"inputs":[{"name":"p"},{"name":"event"}],"output":null}],[5,"render_activity","","",null,{"inputs":[{"name":"stylecontext"},{"name":"context"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[5,"render_arrow","","",null,{"inputs":[{"name":"stylecontext"},{"name":"context"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[5,"render_background","","",null,{"inputs":[{"name":"stylecontext"},{"name":"context"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[5,"render_background_get_clip","","",null,{"inputs":[{"name":"stylecontext"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":{"name":"rectangle"}}],[5,"render_check","","",null,{"inputs":[{"name":"stylecontext"},{"name":"context"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[5,"render_expander","","",null,{"inputs":[{"name":"stylecontext"},{"name":"context"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[5,"render_extension","","",null,{"inputs":[{"name":"stylecontext"},{"name":"context"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"positiontype"}],"output":null}],[5,"render_focus","","",null,{"inputs":[{"name":"stylecontext"},{"name":"context"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[5,"render_frame","","",null,{"inputs":[{"name":"stylecontext"},{"name":"context"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[5,"render_frame_gap","","",null,{"inputs":[{"name":"stylecontext"},{"name":"context"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"positiontype"},{"name":"f64"},{"name":"f64"}],"output":null}],[5,"render_handle","","",null,{"inputs":[{"name":"stylecontext"},{"name":"context"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[5,"render_icon","","",null,{"inputs":[{"name":"stylecontext"},{"name":"context"},{"name":"pixbuf"},{"name":"f64"},{"name":"f64"}],"output":null}],[5,"render_icon_pixbuf","","",null,{"inputs":[{"name":"stylecontext"},{"name":"iconsource"},{"name":"i32"}],"output":{"name":"option"}}],[5,"render_icon_surface","","",null,{"inputs":[{"name":"stylecontext"},{"name":"context"},{"name":"surface"},{"name":"f64"},{"name":"f64"}],"output":null}],[5,"render_insertion_cursor","","",null,{"inputs":[{"name":"stylecontext"},{"name":"context"},{"name":"f64"},{"name":"f64"},{"name":"layout"},{"name":"i32"},{"name":"direction"}],"output":null}],[5,"render_layout","","",null,{"inputs":[{"name":"stylecontext"},{"name":"context"},{"name":"f64"},{"name":"f64"},{"name":"layout"}],"output":null}],[5,"render_line","","",null,{"inputs":[{"name":"stylecontext"},{"name":"context"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[5,"render_option","","",null,{"inputs":[{"name":"stylecontext"},{"name":"context"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[5,"render_slider","","",null,{"inputs":[{"name":"stylecontext"},{"name":"context"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"orientation"}],"output":null}],[5,"rgb_to_hsv","","",null,null],[5,"selection_add_target","","",null,{"inputs":[{"name":"p"},{"name":"atom"},{"name":"atom"},{"name":"u32"}],"output":null}],[5,"selection_clear_targets","","",null,{"inputs":[{"name":"p"},{"name":"atom"}],"output":null}],[5,"selection_convert","","",null,{"inputs":[{"name":"p"},{"name":"atom"},{"name":"atom"},{"name":"u32"}],"output":{"name":"bool"}}],[5,"selection_owner_set","","",null,{"inputs":[{"name":"q"},{"name":"atom"},{"name":"u32"}],"output":{"name":"bool"}}],[5,"selection_owner_set_for_display","","",null,{"inputs":[{"name":"display"},{"name":"q"},{"name":"atom"},{"name":"u32"}],"output":{"name":"bool"}}],[5,"selection_remove_all","","",null,{"inputs":[{"name":"p"}],"output":null}],[5,"set_debug_flags","","",null,{"inputs":[{"name":"u32"}],"output":null}],[5,"show_uri","","",null,{"inputs":[{"name":"p"},{"name":"str"},{"name":"u32"}],"output":{"name":"result"}}],[5,"show_uri_on_window","","",null,{"inputs":[{"name":"q"},{"name":"str"},{"name":"u32"}],"output":{"name":"result"}}],[5,"stock_list_ids","","",null,{"inputs":[],"output":{"name":"vec"}}],[5,"targets_include_image","","",null,null],[5,"targets_include_rich_text","","",null,null],[5,"targets_include_text","","",null,null],[5,"targets_include_uri","","",null,null],[5,"test_create_simple_window","","",null,{"inputs":[{"name":"str"},{"name":"str"}],"output":{"name":"option"}}],[5,"test_find_label","","",null,{"inputs":[{"name":"p"},{"name":"str"}],"output":{"name":"option"}}],[5,"test_find_sibling","","",null,{"inputs":[{"name":"p"},{"name":"type"}],"output":{"name":"option"}}],[5,"test_find_widget","","",null,{"inputs":[{"name":"p"},{"name":"str"},{"name":"type"}],"output":{"name":"option"}}],[5,"test_register_all_types","","",null,{"inputs":[],"output":null}],[5,"test_slider_get_value","","",null,{"inputs":[{"name":"p"}],"output":{"name":"f64"}}],[5,"test_slider_set_perc","","",null,{"inputs":[{"name":"p"},{"name":"f64"}],"output":null}],[5,"test_spin_button_click","","",null,{"inputs":[{"name":"spinbutton"},{"name":"u32"},{"name":"bool"}],"output":{"name":"bool"}}],[5,"test_text_get","","",null,{"inputs":[{"name":"p"}],"output":{"name":"option"}}],[5,"test_text_set","","",null,{"inputs":[{"name":"p"},{"name":"str"}],"output":null}],[5,"test_widget_click","","",null,{"inputs":[{"name":"p"},{"name":"u32"},{"name":"modifiertype"}],"output":{"name":"bool"}}],[5,"test_widget_send_key","","",null,{"inputs":[{"name":"p"},{"name":"u32"},{"name":"modifiertype"}],"output":{"name":"bool"}}],[5,"test_widget_wait_for_draw","","",null,{"inputs":[{"name":"p"}],"output":null}],[5,"tree_get_row_drag_data","","",null,{"inputs":[{"name":"selectiondata"}],"output":{"name":"option"}}],[5,"tree_set_row_drag_data","","",null,{"inputs":[{"name":"selectiondata"},{"name":"p"},{"name":"treepath"}],"output":{"name":"bool"}}],[5,"true_","","",null,{"inputs":[],"output":{"name":"bool"}}],[17,"STYLE_PROVIDER_PRIORITY_FALLBACK","gtk","",null,null],[17,"STYLE_PROVIDER_PRIORITY_THEME","","",null,null],[17,"STYLE_PROVIDER_PRIORITY_SETTINGS","","",null,null],[17,"STYLE_PROVIDER_PRIORITY_APPLICATION","","",null,null],[17,"STYLE_PROVIDER_PRIORITY_USER","","",null,null],[17,"ACCEL_VISIBLE","","",null,null],[17,"ACCEL_LOCKED","","",null,null],[17,"ACCEL_MASK","","",null,null],[17,"APPLICATION_INHIBIT_LOGOUT","","",null,null],[17,"APPLICATION_INHIBIT_SWITCH","","",null,null],[17,"APPLICATION_INHIBIT_SUSPEND","","",null,null],[17,"APPLICATION_INHIBIT_IDLE","","",null,null],[17,"CALENDAR_SHOW_HEADING","","",null,null],[17,"CALENDAR_SHOW_DAY_NAMES","","",null,null],[17,"CALENDAR_NO_MONTH_CHANGE","","",null,null],[17,"CALENDAR_SHOW_WEEK_NUMBERS","","",null,null],[17,"CALENDAR_SHOW_DETAILS","","",null,null],[17,"CELL_RENDERER_SELECTED","","",null,null],[17,"CELL_RENDERER_PRELIT","","",null,null],[17,"CELL_RENDERER_INSENSITIVE","","",null,null],[17,"CELL_RENDERER_SORTED","","",null,null],[17,"CELL_RENDERER_FOCUSED","","",null,null],[17,"CELL_RENDERER_EXPANDABLE","","",null,null],[17,"CELL_RENDERER_EXPANDED","","",null,null],[17,"DEST_DEFAULT_MOTION","","",null,null],[17,"DEST_DEFAULT_HIGHLIGHT","","",null,null],[17,"DEST_DEFAULT_DROP","","",null,null],[17,"DEST_DEFAULT_ALL","","",null,null],[17,"DIALOG_MODAL","","",null,null],[17,"DIALOG_DESTROY_WITH_PARENT","","",null,null],[17,"DIALOG_USE_HEADER_BAR","","",null,null],[17,"FILE_FILTER_FILENAME","","",null,null],[17,"FILE_FILTER_URI","","",null,null],[17,"FILE_FILTER_DISPLAY_NAME","","",null,null],[17,"FILE_FILTER_MIME_TYPE","","",null,null],[17,"ICON_LOOKUP_NO_SVG","","",null,null],[17,"ICON_LOOKUP_FORCE_SVG","","",null,null],[17,"ICON_LOOKUP_USE_BUILTIN","","",null,null],[17,"ICON_LOOKUP_GENERIC_FALLBACK","","",null,null],[17,"ICON_LOOKUP_FORCE_SIZE","","",null,null],[17,"ICON_LOOKUP_FORCE_REGULAR","","",null,null],[17,"ICON_LOOKUP_FORCE_SYMBOLIC","","",null,null],[17,"ICON_LOOKUP_DIR_LTR","","",null,null],[17,"ICON_LOOKUP_DIR_RTL","","",null,null],[17,"INPUT_HINT_NONE","","",null,null],[17,"INPUT_HINT_SPELLCHECK","","",null,null],[17,"INPUT_HINT_NO_SPELLCHECK","","",null,null],[17,"INPUT_HINT_WORD_COMPLETION","","",null,null],[17,"INPUT_HINT_LOWERCASE","","",null,null],[17,"INPUT_HINT_UPPERCASE_CHARS","","",null,null],[17,"INPUT_HINT_UPPERCASE_WORDS","","",null,null],[17,"INPUT_HINT_UPPERCASE_SENTENCES","","",null,null],[17,"INPUT_HINT_INHIBIT_OSK","","",null,null],[17,"INPUT_HINT_VERTICAL_WRITING","","",null,null],[17,"JUNCTION_NONE","","",null,null],[17,"JUNCTION_CORNER_TOPLEFT","","",null,null],[17,"JUNCTION_CORNER_TOPRIGHT","","",null,null],[17,"JUNCTION_CORNER_BOTTOMLEFT","","",null,null],[17,"JUNCTION_CORNER_BOTTOMRIGHT","","",null,null],[17,"JUNCTION_TOP","","",null,null],[17,"JUNCTION_BOTTOM","","",null,null],[17,"JUNCTION_LEFT","","",null,null],[17,"JUNCTION_RIGHT","","",null,null],[17,"PLACES_OPEN_NORMAL","","",null,null],[17,"PLACES_OPEN_NEW_TAB","","",null,null],[17,"PLACES_OPEN_NEW_WINDOW","","",null,null],[17,"RECENT_FILTER_URI","","",null,null],[17,"RECENT_FILTER_DISPLAY_NAME","","",null,null],[17,"RECENT_FILTER_MIME_TYPE","","",null,null],[17,"RECENT_FILTER_APPLICATION","","",null,null],[17,"RECENT_FILTER_GROUP","","",null,null],[17,"RECENT_FILTER_AGE","","",null,null],[17,"REGION_EVEN","","",null,null],[17,"REGION_ODD","","",null,null],[17,"REGION_FIRST","","",null,null],[17,"REGION_LAST","","",null,null],[17,"REGION_ONLY","","",null,null],[17,"REGION_SORTED","","",null,null],[17,"STATE_FLAG_NORMAL","","",null,null],[17,"STATE_FLAG_ACTIVE","","",null,null],[17,"STATE_FLAG_PRELIGHT","","",null,null],[17,"STATE_FLAG_SELECTED","","",null,null],[17,"STATE_FLAG_INSENSITIVE","","",null,null],[17,"STATE_FLAG_INCONSISTENT","","",null,null],[17,"STATE_FLAG_FOCUSED","","",null,null],[17,"STATE_FLAG_BACKDROP","","",null,null],[17,"STATE_FLAG_DIR_LTR","","",null,null],[17,"STATE_FLAG_DIR_RTL","","",null,null],[17,"STATE_FLAG_LINK","","",null,null],[17,"STATE_FLAG_VISITED","","",null,null],[17,"STATE_FLAG_CHECKED","","",null,null],[17,"STATE_FLAG_DROP_ACTIVE","","",null,null],[17,"STYLE_CONTEXT_PRINT_NONE","","",null,null],[17,"STYLE_CONTEXT_PRINT_RECURSE","","",null,null],[17,"STYLE_CONTEXT_PRINT_SHOW_STYLE","","",null,null],[17,"TARGET_SAME_APP","","",null,null],[17,"TARGET_SAME_WIDGET","","",null,null],[17,"TARGET_OTHER_APP","","",null,null],[17,"TARGET_OTHER_WIDGET","","",null,null],[17,"TEXT_SEARCH_VISIBLE_ONLY","","",null,null],[17,"TEXT_SEARCH_TEXT_ONLY","","",null,null],[17,"TEXT_SEARCH_CASE_INSENSITIVE","","",null,null],[17,"TOOL_PALETTE_DRAG_ITEMS","","",null,null],[17,"TOOL_PALETTE_DRAG_GROUPS","","",null,null],[17,"TREE_MODEL_ITERS_PERSIST","","",null,null],[17,"TREE_MODEL_LIST_ONLY","","",null,null],[8,"AboutDialogExt","","",null,null],[10,"add_credit_section","","",300,null],[10,"get_artists","","",300,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"get_authors","","",300,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"get_comments","","",300,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_copyright","","",300,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_documenters","","",300,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"get_license","","",300,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_license_type","","",300,{"inputs":[{"name":"self"}],"output":{"name":"license"}}],[10,"get_logo","","",300,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_logo_icon_name","","",300,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_program_name","","",300,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_translator_credits","","",300,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_version","","",300,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_website","","",300,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_website_label","","",300,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_wrap_license","","",300,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_artists","","",300,null],[10,"set_authors","","",300,null],[10,"set_comments","","",300,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_copyright","","",300,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_documenters","","",300,null],[10,"set_license","","",300,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_license_type","","",300,{"inputs":[{"name":"self"},{"name":"license"}],"output":null}],[10,"set_logo","","",300,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_logo_icon_name","","",300,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_program_name","","",300,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_translator_credits","","",300,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_version","","",300,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_website","","",300,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_website_label","","",300,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_wrap_license","","",300,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_activate_link","","",300,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"AccelGroupExt","","",null,null],[10,"disconnect_key","","",301,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"modifiertype"}],"output":{"name":"bool"}}],[10,"get_is_locked","","",301,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_modifier_mask","","",301,{"inputs":[{"name":"self"}],"output":{"name":"modifiertype"}}],[10,"lock","","",301,{"inputs":[{"name":"self"}],"output":null}],[10,"unlock","","",301,{"inputs":[{"name":"self"}],"output":null}],[10,"connect_accel_activate","","",301,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ActionBarExt","","",null,null],[10,"get_center_widget","","",302,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"pack_end","","",302,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"pack_start","","",302,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_center_widget","","",302,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"get_child_pack_type","","",302,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"packtype"}}],[10,"set_child_pack_type","","",302,{"inputs":[{"name":"self"},{"name":"t"},{"name":"packtype"}],"output":null}],[10,"get_child_position","","",302,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"i32"}}],[10,"set_child_position","","",302,{"inputs":[{"name":"self"},{"name":"t"},{"name":"i32"}],"output":null}],[8,"ActionableExt","","",null,null],[10,"get_action_name","","",303,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_action_target_value","","",303,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_action_name","","",303,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_action_target_value","","",303,{"inputs":[{"name":"self"},{"name":"variant"}],"output":null}],[10,"set_detailed_action_name","","",303,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[8,"AdjustmentExt","","",null,null],[10,"changed","","",304,{"inputs":[{"name":"self"}],"output":null}],[10,"clamp_page","","",304,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"}],"output":null}],[10,"configure","","",304,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[10,"get_lower","","",304,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_minimum_increment","","",304,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_page_increment","","",304,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_page_size","","",304,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_step_increment","","",304,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_upper","","",304,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_value","","",304,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"set_lower","","",304,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"set_page_increment","","",304,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"set_page_size","","",304,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"set_step_increment","","",304,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"set_upper","","",304,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"set_value","","",304,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"value_changed","","",304,{"inputs":[{"name":"self"}],"output":null}],[10,"connect_changed","","",304,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_value_changed","","",304,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"AlignmentExt","","",null,null],[10,"get_padding","","",305,null],[10,"set","","",305,{"inputs":[{"name":"self"},{"name":"f32"},{"name":"f32"},{"name":"f32"},{"name":"f32"}],"output":null}],[10,"set_padding","","",305,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"u32"},{"name":"u32"},{"name":"u32"}],"output":null}],[10,"get_property_bottom_padding","","",305,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_bottom_padding","","",305,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_left_padding","","",305,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_left_padding","","",305,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_right_padding","","",305,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_right_padding","","",305,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_top_padding","","",305,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_top_padding","","",305,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_xalign","","",305,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"set_property_xalign","","",305,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[10,"get_property_xscale","","",305,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"set_property_xscale","","",305,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[10,"get_property_yalign","","",305,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"set_property_yalign","","",305,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[10,"get_property_yscale","","",305,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"set_property_yscale","","",305,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[8,"AppChooserDialogExt","","",null,null],[10,"get_heading","","",306,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_widget","","",306,{"inputs":[{"name":"self"}],"output":{"name":"widget"}}],[10,"set_heading","","",306,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[8,"AppChooserWidgetExt","","",null,null],[10,"get_default_text","","",307,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_show_all","","",307,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_show_default","","",307,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_show_fallback","","",307,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_show_other","","",307,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_show_recommended","","",307,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_default_text","","",307,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_show_all","","",307,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_show_default","","",307,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_show_fallback","","",307,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_show_other","","",307,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_show_recommended","","",307,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_application_activated","","",307,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_application_selected","","",307,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_populate_popup","","",307,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ApplicationExt","","",null,null],[10,"add_accelerator","","",308,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"},{"name":"p"}],"output":null}],[10,"add_window","","",308,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"get_accels_for_action","","",308,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"vec"}}],[10,"get_actions_for_accel","","",308,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"vec"}}],[10,"get_active_window","","",308,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_app_menu","","",308,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_menu_by_id","","",308,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_menubar","","",308,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_window_by_id","","",308,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[10,"get_windows","","",308,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"inhibit","","",308,{"inputs":[{"name":"self"},{"name":"q"},{"name":"applicationinhibitflags"},{"name":"r"}],"output":{"name":"u32"}}],[10,"is_inhibited","","",308,{"inputs":[{"name":"self"},{"name":"applicationinhibitflags"}],"output":{"name":"bool"}}],[10,"list_action_descriptions","","",308,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"prefers_app_menu","","",308,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"remove_accelerator","","",308,{"inputs":[{"name":"self"},{"name":"str"},{"name":"p"}],"output":null}],[10,"remove_window","","",308,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_accels_for_action","","",308,null],[10,"set_app_menu","","",308,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_menubar","","",308,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"uninhibit","","",308,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_active_window","","",308,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_property_register_session","","",308,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_register_session","","",308,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_window_added","","",308,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_window_removed","","",308,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ApplicationWindowExt","","",null,null],[10,"get_help_overlay","","",309,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_id","","",309,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"get_show_menubar","","",309,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_help_overlay","","",309,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_show_menubar","","",309,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[8,"ArrowExt","","",null,null],[10,"set","","",310,{"inputs":[{"name":"self"},{"name":"arrowtype"},{"name":"shadowtype"}],"output":null}],[10,"get_property_arrow_type","","",310,{"inputs":[{"name":"self"}],"output":{"name":"arrowtype"}}],[10,"set_property_arrow_type","","",310,{"inputs":[{"name":"self"},{"name":"arrowtype"}],"output":null}],[10,"get_property_shadow_type","","",310,{"inputs":[{"name":"self"}],"output":{"name":"shadowtype"}}],[10,"set_property_shadow_type","","",310,{"inputs":[{"name":"self"},{"name":"shadowtype"}],"output":null}],[8,"AspectFrameExt","","",null,null],[10,"set","","",311,{"inputs":[{"name":"self"},{"name":"f32"},{"name":"f32"},{"name":"f32"},{"name":"bool"}],"output":null}],[10,"get_property_obey_child","","",311,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_obey_child","","",311,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_ratio","","",311,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"set_property_ratio","","",311,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[10,"get_property_xalign","","",311,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"set_property_xalign","","",311,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[10,"get_property_yalign","","",311,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"set_property_yalign","","",311,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[8,"AssistantExt","","",null,null],[10,"add_action_widget","","",312,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"append_page","","",312,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"i32"}}],[10,"commit","","",312,{"inputs":[{"name":"self"}],"output":null}],[10,"get_current_page","","",312,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_n_pages","","",312,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_nth_page","","",312,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_page_complete","","",312,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"get_page_has_padding","","",312,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"get_page_title","","",312,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"option"}}],[10,"get_page_type","","",312,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"assistantpagetype"}}],[10,"insert_page","","",312,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"}],"output":{"name":"i32"}}],[10,"next_page","","",312,{"inputs":[{"name":"self"}],"output":null}],[10,"prepend_page","","",312,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"i32"}}],[10,"previous_page","","",312,{"inputs":[{"name":"self"}],"output":null}],[10,"remove_action_widget","","",312,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"remove_page","","",312,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_current_page","","",312,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_page_complete","","",312,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"}],"output":null}],[10,"set_page_has_padding","","",312,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"}],"output":null}],[10,"set_page_title","","",312,{"inputs":[{"name":"self"},{"name":"p"},{"name":"str"}],"output":null}],[10,"set_page_type","","",312,{"inputs":[{"name":"self"},{"name":"p"},{"name":"assistantpagetype"}],"output":null}],[10,"update_buttons_state","","",312,{"inputs":[{"name":"self"}],"output":null}],[10,"get_property_use_header_bar","","",312,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_child_complete","","",312,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[10,"set_child_complete","","",312,{"inputs":[{"name":"self"},{"name":"t"},{"name":"bool"}],"output":null}],[10,"get_child_has_padding","","",312,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[10,"set_child_has_padding","","",312,{"inputs":[{"name":"self"},{"name":"t"},{"name":"bool"}],"output":null}],[10,"get_child_page_type","","",312,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"assistantpagetype"}}],[10,"set_child_page_type","","",312,{"inputs":[{"name":"self"},{"name":"t"},{"name":"assistantpagetype"}],"output":null}],[10,"get_child_title","","",312,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"option"}}],[10,"set_child_title","","",312,{"inputs":[{"name":"self"},{"name":"t"},{"name":"p"}],"output":null}],[10,"connect_apply","","",312,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_cancel","","",312,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_close","","",312,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_escape","","",312,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_prepare","","",312,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"BinExt","","",null,null],[10,"get_child","","",313,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[8,"BoxExt","","",null,null],[10,"get_baseline_position","","",314,{"inputs":[{"name":"self"}],"output":{"name":"baselineposition"}}],[10,"get_center_widget","","",314,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_homogeneous","","",314,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_spacing","","",314,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"pack_end","","",314,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"},{"name":"bool"},{"name":"u32"}],"output":null}],[10,"pack_start","","",314,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"},{"name":"bool"},{"name":"u32"}],"output":null}],[10,"query_child_packing","","",314,null],[10,"reorder_child","","",314,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"}],"output":null}],[10,"set_baseline_position","","",314,{"inputs":[{"name":"self"},{"name":"baselineposition"}],"output":null}],[10,"set_center_widget","","",314,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_child_packing","","",314,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"},{"name":"bool"},{"name":"u32"},{"name":"packtype"}],"output":null}],[10,"set_homogeneous","","",314,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_spacing","","",314,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_child_position","","",314,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"i32"}}],[10,"set_child_position","","",314,{"inputs":[{"name":"self"},{"name":"t"},{"name":"i32"}],"output":null}],[8,"ButtonExt","","",null,null],[10,"clicked","","",315,{"inputs":[{"name":"self"}],"output":null}],[10,"get_alignment","","",315,null],[10,"get_always_show_image","","",315,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_event_window","","",315,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_image","","",315,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_image_position","","",315,{"inputs":[{"name":"self"}],"output":{"name":"positiontype"}}],[10,"get_label","","",315,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_relief","","",315,{"inputs":[{"name":"self"}],"output":{"name":"reliefstyle"}}],[10,"get_use_stock","","",315,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_use_underline","","",315,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_alignment","","",315,{"inputs":[{"name":"self"},{"name":"f32"},{"name":"f32"}],"output":null}],[10,"set_always_show_image","","",315,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_image","","",315,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_image_position","","",315,{"inputs":[{"name":"self"},{"name":"positiontype"}],"output":null}],[10,"set_label","","",315,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_relief","","",315,{"inputs":[{"name":"self"},{"name":"reliefstyle"}],"output":null}],[10,"set_use_stock","","",315,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_use_underline","","",315,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_xalign","","",315,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"set_property_xalign","","",315,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[10,"get_property_yalign","","",315,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"set_property_yalign","","",315,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[10,"connect_activate","","",315,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_clicked","","",315,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ButtonBoxExt","","",null,null],[10,"get_child_non_homogeneous","","",316,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"get_child_secondary","","",316,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"get_layout","","",316,{"inputs":[{"name":"self"}],"output":{"name":"buttonboxstyle"}}],[10,"set_child_non_homogeneous","","",316,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"}],"output":null}],[10,"set_child_secondary","","",316,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"}],"output":null}],[10,"set_layout","","",316,{"inputs":[{"name":"self"},{"name":"buttonboxstyle"}],"output":null}],[10,"get_property_layout_style","","",316,{"inputs":[{"name":"self"}],"output":{"name":"buttonboxstyle"}}],[10,"set_property_layout_style","","",316,{"inputs":[{"name":"self"},{"name":"buttonboxstyle"}],"output":null}],[8,"CalendarExt","","",null,null],[10,"clear_marks","","",317,{"inputs":[{"name":"self"}],"output":null}],[10,"get_date","","",317,null],[10,"get_day_is_marked","","",317,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"bool"}}],[10,"get_detail_height_rows","","",317,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_detail_width_chars","","",317,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_display_options","","",317,{"inputs":[{"name":"self"}],"output":{"name":"calendardisplayoptions"}}],[10,"mark_day","","",317,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"select_day","","",317,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"select_month","","",317,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"u32"}],"output":null}],[10,"set_detail_height_rows","","",317,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_detail_width_chars","","",317,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_display_options","","",317,{"inputs":[{"name":"self"},{"name":"calendardisplayoptions"}],"output":null}],[10,"unmark_day","","",317,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_day","","",317,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_day","","",317,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_month","","",317,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_month","","",317,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_no_month_change","","",317,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_no_month_change","","",317,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_show_day_names","","",317,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_show_day_names","","",317,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_show_details","","",317,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_show_details","","",317,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_show_heading","","",317,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_show_heading","","",317,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_show_week_numbers","","",317,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_show_week_numbers","","",317,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_year","","",317,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_year","","",317,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"connect_day_selected","","",317,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_day_selected_double_click","","",317,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_month_changed","","",317,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_next_month","","",317,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_next_year","","",317,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_prev_month","","",317,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_prev_year","","",317,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"CellAreaExt","","",null,null],[10,"activate","","",318,{"inputs":[{"name":"self"},{"name":"cellareacontext"},{"name":"p"},{"name":"rectangle"},{"name":"cellrendererstate"},{"name":"bool"}],"output":{"name":"bool"}}],[10,"activate_cell","","",318,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"},{"name":"event"},{"name":"rectangle"},{"name":"cellrendererstate"}],"output":{"name":"bool"}}],[10,"add","","",318,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"add_focus_sibling","","",318,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"}],"output":null}],[10,"apply_attributes","","",318,{"inputs":[{"name":"self"},{"name":"p"},{"name":"treeiter"},{"name":"bool"},{"name":"bool"}],"output":null}],[10,"attribute_connect","","",318,{"inputs":[{"name":"self"},{"name":"p"},{"name":"str"},{"name":"i32"}],"output":null}],[10,"attribute_disconnect","","",318,{"inputs":[{"name":"self"},{"name":"p"},{"name":"str"}],"output":null}],[10,"attribute_get_column","","",318,{"inputs":[{"name":"self"},{"name":"p"},{"name":"str"}],"output":{"name":"i32"}}],[10,"copy_context","","",318,{"inputs":[{"name":"self"},{"name":"cellareacontext"}],"output":{"name":"option"}}],[10,"create_context","","",318,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"event","","",318,{"inputs":[{"name":"self"},{"name":"cellareacontext"},{"name":"p"},{"name":"event"},{"name":"rectangle"},{"name":"cellrendererstate"}],"output":{"name":"i32"}}],[10,"focus","","",318,{"inputs":[{"name":"self"},{"name":"directiontype"}],"output":{"name":"bool"}}],[10,"get_cell_allocation","","",318,{"inputs":[{"name":"self"},{"name":"cellareacontext"},{"name":"p"},{"name":"q"},{"name":"rectangle"}],"output":{"name":"rectangle"}}],[10,"get_cell_at_position","","",318,null],[10,"get_current_path_string","","",318,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_edit_widget","","",318,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_edited_cell","","",318,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_focus_cell","","",318,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_focus_from_sibling","","",318,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"option"}}],[10,"get_focus_siblings","","",318,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"vec"}}],[10,"get_preferred_height","","",318,null],[10,"get_preferred_height_for_width","","",318,null],[10,"get_preferred_width","","",318,null],[10,"get_preferred_width_for_height","","",318,null],[10,"get_request_mode","","",318,{"inputs":[{"name":"self"}],"output":{"name":"sizerequestmode"}}],[10,"has_renderer","","",318,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"inner_cell_area","","",318,{"inputs":[{"name":"self"},{"name":"p"},{"name":"rectangle"}],"output":{"name":"rectangle"}}],[10,"is_activatable","","",318,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_focus_sibling","","",318,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"}],"output":{"name":"bool"}}],[10,"remove","","",318,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"remove_focus_sibling","","",318,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"}],"output":null}],[10,"render","","",318,{"inputs":[{"name":"self"},{"name":"cellareacontext"},{"name":"p"},{"name":"context"},{"name":"rectangle"},{"name":"rectangle"},{"name":"cellrendererstate"},{"name":"bool"}],"output":null}],[10,"request_renderer","","",318,null],[10,"set_focus_cell","","",318,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"stop_editing","","",318,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_add_editable","","",318,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_apply_attributes","","",318,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_focus_changed","","",318,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_remove_editable","","",318,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"CellAreaBoxExt","","",null,null],[10,"get_spacing","","",319,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"pack_end","","",319,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"},{"name":"bool"},{"name":"bool"}],"output":null}],[10,"pack_start","","",319,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"},{"name":"bool"},{"name":"bool"}],"output":null}],[10,"set_spacing","","",319,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[8,"CellAreaContextExt","","",null,null],[10,"allocate","","",320,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"get_allocation","","",320,null],[10,"get_area","","",320,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_preferred_height","","",320,null],[10,"get_preferred_height_for_width","","",320,null],[10,"get_preferred_width","","",320,null],[10,"get_preferred_width_for_height","","",320,null],[10,"push_preferred_height","","",320,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"push_preferred_width","","",320,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"reset","","",320,{"inputs":[{"name":"self"}],"output":null}],[10,"get_property_minimum_height","","",320,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_property_minimum_width","","",320,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_property_natural_height","","",320,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_property_natural_width","","",320,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[8,"CellEditableExt","","",null,null],[10,"editing_done","","",321,{"inputs":[{"name":"self"}],"output":null}],[10,"remove_widget","","",321,{"inputs":[{"name":"self"}],"output":null}],[10,"start_editing","","",321,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"get_property_editing_canceled","","",321,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_editing_canceled","","",321,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_editing_done","","",321,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_remove_widget","","",321,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"CellLayoutExt","","",null,null],[10,"add_attribute","","",322,{"inputs":[{"name":"self"},{"name":"p"},{"name":"str"},{"name":"i32"}],"output":null}],[10,"clear","","",322,{"inputs":[{"name":"self"}],"output":null}],[10,"clear_attributes","","",322,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"get_area","","",322,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_cells","","",322,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"pack_end","","",322,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"}],"output":null}],[10,"pack_start","","",322,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"}],"output":null}],[10,"reorder","","",322,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"}],"output":null}],[8,"CellRendererExt","","",null,null],[10,"activate","","",323,{"inputs":[{"name":"self"},{"name":"event"},{"name":"p"},{"name":"str"},{"name":"rectangle"},{"name":"rectangle"},{"name":"cellrendererstate"}],"output":{"name":"bool"}}],[10,"get_aligned_area","","",323,{"inputs":[{"name":"self"},{"name":"p"},{"name":"cellrendererstate"},{"name":"rectangle"}],"output":{"name":"rectangle"}}],[10,"get_alignment","","",323,null],[10,"get_fixed_size","","",323,null],[10,"get_padding","","",323,null],[10,"get_preferred_height","","",323,null],[10,"get_preferred_height_for_width","","",323,null],[10,"get_preferred_size","","",323,null],[10,"get_preferred_width","","",323,null],[10,"get_preferred_width_for_height","","",323,null],[10,"get_request_mode","","",323,{"inputs":[{"name":"self"}],"output":{"name":"sizerequestmode"}}],[10,"get_sensitive","","",323,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_state","","",323,{"inputs":[{"name":"self"},{"name":"q"},{"name":"cellrendererstate"}],"output":{"name":"stateflags"}}],[10,"get_visible","","",323,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_activatable","","",323,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"render","","",323,{"inputs":[{"name":"self"},{"name":"context"},{"name":"p"},{"name":"rectangle"},{"name":"rectangle"},{"name":"cellrendererstate"}],"output":null}],[10,"set_alignment","","",323,{"inputs":[{"name":"self"},{"name":"f32"},{"name":"f32"}],"output":null}],[10,"set_fixed_size","","",323,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"set_padding","","",323,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"set_sensitive","","",323,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_visible","","",323,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"start_editing","","",323,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"},{"name":"str"},{"name":"rectangle"},{"name":"rectangle"},{"name":"cellrendererstate"}],"output":{"name":"option"}}],[10,"stop_editing","","",323,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_property_cell_background","","",323,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_cell_background_rgba","","",323,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_cell_background_rgba","","",323,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_cell_background_set","","",323,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_cell_background_set","","",323,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_editing","","",323,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_property_height","","",323,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_height","","",323,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_is_expanded","","",323,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_is_expanded","","",323,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_is_expander","","",323,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_is_expander","","",323,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_mode","","",323,{"inputs":[{"name":"self"}],"output":{"name":"cellrenderermode"}}],[10,"set_property_mode","","",323,{"inputs":[{"name":"self"},{"name":"cellrenderermode"}],"output":null}],[10,"get_property_width","","",323,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_width","","",323,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_xalign","","",323,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"set_property_xalign","","",323,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[10,"get_property_xpad","","",323,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_xpad","","",323,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_yalign","","",323,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"set_property_yalign","","",323,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[10,"get_property_ypad","","",323,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_ypad","","",323,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"connect_editing_canceled","","",323,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_editing_started","","",323,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"CellRendererAccelExt","","",null,null],[10,"get_property_accel_key","","",324,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_accel_key","","",324,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_accel_mode","","",324,{"inputs":[{"name":"self"}],"output":{"name":"cellrendereraccelmode"}}],[10,"set_property_accel_mode","","",324,{"inputs":[{"name":"self"},{"name":"cellrendereraccelmode"}],"output":null}],[10,"get_property_accel_mods","","",324,{"inputs":[{"name":"self"}],"output":{"name":"modifiertype"}}],[10,"set_property_accel_mods","","",324,{"inputs":[{"name":"self"},{"name":"modifiertype"}],"output":null}],[10,"get_property_keycode","","",324,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_keycode","","",324,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"connect_accel_cleared","","",324,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_accel_edited","","",324,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"CellRendererComboExt","","",null,null],[10,"get_property_has_entry","","",325,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_has_entry","","",325,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_model","","",325,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_model","","",325,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_text_column","","",325,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_text_column","","",325,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"connect_changed","","",325,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"CellRendererPixbufExt","","",null,null],[10,"get_property_follow_state","","",326,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_follow_state","","",326,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gicon","","",326,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gicon","","",326,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_icon_name","","",326,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_icon_name","","",326,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_pixbuf","","",326,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_pixbuf","","",326,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_pixbuf_expander_closed","","",326,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_pixbuf_expander_closed","","",326,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_pixbuf_expander_open","","",326,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_pixbuf_expander_open","","",326,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_stock_detail","","",326,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_stock_detail","","",326,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_stock_id","","",326,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_stock_id","","",326,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_stock_size","","",326,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_stock_size","","",326,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[8,"CellRendererProgressExt","","",null,null],[10,"get_property_inverted","","",327,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_inverted","","",327,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_pulse","","",327,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_pulse","","",327,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_text","","",327,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_text","","",327,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_text_xalign","","",327,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"set_property_text_xalign","","",327,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[10,"get_property_text_yalign","","",327,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"set_property_text_yalign","","",327,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[10,"get_property_value","","",327,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_value","","",327,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[8,"CellRendererSpinExt","","",null,null],[10,"get_property_adjustment","","",328,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_adjustment","","",328,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_climb_rate","","",328,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"set_property_climb_rate","","",328,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"get_property_digits","","",328,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_digits","","",328,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[8,"CellRendererSpinnerExt","","",null,null],[10,"get_property_active","","",329,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_active","","",329,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_pulse","","",329,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_pulse","","",329,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_size","","",329,{"inputs":[{"name":"self"}],"output":{"name":"iconsize"}}],[10,"set_property_size","","",329,{"inputs":[{"name":"self"},{"name":"iconsize"}],"output":null}],[8,"CellRendererTextExt","","",null,null],[10,"set_fixed_height_from_font","","",330,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_align_set","","",330,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_align_set","","",330,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_property_background","","",330,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_background_rgba","","",330,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_background_rgba","","",330,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_background_set","","",330,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_background_set","","",330,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_editable","","",330,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_editable","","",330,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_editable_set","","",330,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_editable_set","","",330,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_ellipsize","","",330,{"inputs":[{"name":"self"}],"output":{"name":"ellipsizemode"}}],[10,"set_property_ellipsize","","",330,{"inputs":[{"name":"self"},{"name":"ellipsizemode"}],"output":null}],[10,"get_property_ellipsize_set","","",330,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_ellipsize_set","","",330,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_family","","",330,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_family","","",330,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_family_set","","",330,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_family_set","","",330,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_font","","",330,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_font","","",330,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"set_property_foreground","","",330,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_foreground_rgba","","",330,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_foreground_rgba","","",330,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_foreground_set","","",330,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_foreground_set","","",330,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_language","","",330,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_language","","",330,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_language_set","","",330,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_language_set","","",330,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_property_markup","","",330,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_max_width_chars","","",330,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_max_width_chars","","",330,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_placeholder_text","","",330,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_placeholder_text","","",330,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_rise","","",330,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_rise","","",330,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_rise_set","","",330,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_rise_set","","",330,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_scale","","",330,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"set_property_scale","","",330,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"get_property_scale_set","","",330,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_scale_set","","",330,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_single_paragraph_mode","","",330,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_single_paragraph_mode","","",330,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_size","","",330,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_size","","",330,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_size_points","","",330,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"set_property_size_points","","",330,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"get_property_size_set","","",330,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_size_set","","",330,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_stretch","","",330,{"inputs":[{"name":"self"}],"output":{"name":"stretch"}}],[10,"set_property_stretch","","",330,{"inputs":[{"name":"self"},{"name":"stretch"}],"output":null}],[10,"get_property_stretch_set","","",330,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_stretch_set","","",330,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_strikethrough","","",330,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_strikethrough","","",330,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_strikethrough_set","","",330,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_strikethrough_set","","",330,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_style","","",330,{"inputs":[{"name":"self"}],"output":{"name":"style"}}],[10,"set_property_style","","",330,{"inputs":[{"name":"self"},{"name":"style"}],"output":null}],[10,"get_property_style_set","","",330,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_style_set","","",330,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_text","","",330,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_text","","",330,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_underline","","",330,{"inputs":[{"name":"self"}],"output":{"name":"underline"}}],[10,"set_property_underline","","",330,{"inputs":[{"name":"self"},{"name":"underline"}],"output":null}],[10,"get_property_underline_set","","",330,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_underline_set","","",330,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_variant","","",330,{"inputs":[{"name":"self"}],"output":{"name":"variant"}}],[10,"set_property_variant","","",330,{"inputs":[{"name":"self"},{"name":"variant"}],"output":null}],[10,"get_property_variant_set","","",330,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_variant_set","","",330,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_weight","","",330,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_weight","","",330,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_weight_set","","",330,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_weight_set","","",330,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_width_chars","","",330,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_width_chars","","",330,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_wrap_mode","","",330,{"inputs":[{"name":"self"}],"output":{"name":"wrapmode"}}],[10,"set_property_wrap_mode","","",330,{"inputs":[{"name":"self"},{"name":"wrapmode"}],"output":null}],[10,"get_property_wrap_width","","",330,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_wrap_width","","",330,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"connect_edited","","",330,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"CellRendererToggleExt","","",null,null],[10,"get_activatable","","",331,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_active","","",331,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_radio","","",331,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_activatable","","",331,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_active","","",331,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_radio","","",331,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_inconsistent","","",331,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_inconsistent","","",331,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_indicator_size","","",331,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_indicator_size","","",331,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"connect_toggled","","",331,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"CheckMenuItemExt","","",null,null],[10,"get_active","","",332,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_draw_as_radio","","",332,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_inconsistent","","",332,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_active","","",332,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_draw_as_radio","","",332,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_inconsistent","","",332,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"toggled","","",332,{"inputs":[{"name":"self"}],"output":null}],[10,"connect_toggled","","",332,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ClipboardExt","","",null,null],[10,"clear","","",333,{"inputs":[{"name":"self"}],"output":null}],[10,"get_display","","",333,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_owner","","",333,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_selection","","",333,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_image","","",333,{"inputs":[{"name":"self"},{"name":"pixbuf"}],"output":null}],[10,"store","","",333,{"inputs":[{"name":"self"}],"output":null}],[10,"wait_for_contents","","",333,{"inputs":[{"name":"self"},{"name":"atom"}],"output":{"name":"option"}}],[10,"wait_for_image","","",333,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"wait_for_text","","",333,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"wait_for_uris","","",333,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"wait_is_image_available","","",333,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"wait_is_rich_text_available","","",333,{"inputs":[{"name":"self"},{"name":"textbuffer"}],"output":{"name":"bool"}}],[10,"wait_is_target_available","","",333,{"inputs":[{"name":"self"},{"name":"atom"}],"output":{"name":"bool"}}],[10,"wait_is_text_available","","",333,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"wait_is_uris_available","","",333,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[8,"ColorButtonExt","","",null,null],[10,"get_title","","",334,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_title","","",334,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"get_property_alpha","","",334,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_alpha","","",334,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_show_editor","","",334,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_show_editor","","",334,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_color_set","","",334,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ColorChooserExt","","",null,null],[10,"get_rgba","","",335,{"inputs":[{"name":"self"}],"output":{"name":"rgba"}}],[10,"get_use_alpha","","",335,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_rgba","","",335,{"inputs":[{"name":"self"},{"name":"rgba"}],"output":null}],[10,"set_use_alpha","","",335,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_color_activated","","",335,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ColorChooserDialogExt","","",null,null],[10,"get_property_show_editor","","",336,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_show_editor","","",336,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[8,"ColorChooserWidgetExt","","",null,null],[10,"get_property_show_editor","","",337,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_show_editor","","",337,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[8,"ComboBoxExt","","",null,null],[10,"get_active","","",338,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_active_id","","",338,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_active_iter","","",338,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_add_tearoffs","","",338,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_button_sensitivity","","",338,{"inputs":[{"name":"self"}],"output":{"name":"sensitivitytype"}}],[10,"get_column_span_column","","",338,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_entry_text_column","","",338,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_has_entry","","",338,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_id_column","","",338,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_model","","",338,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_popup_fixed_width","","",338,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_row_span_column","","",338,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_title","","",338,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_wrap_width","","",338,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"popdown","","",338,{"inputs":[{"name":"self"}],"output":null}],[10,"popup","","",338,{"inputs":[{"name":"self"}],"output":null}],[10,"popup_for_device","","",338,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_active","","",338,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_active_id","","",338,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"set_active_iter","","",338,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_add_tearoffs","","",338,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_button_sensitivity","","",338,{"inputs":[{"name":"self"},{"name":"sensitivitytype"}],"output":null}],[10,"set_column_span_column","","",338,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_entry_text_column","","",338,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_id_column","","",338,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_model","","",338,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_popup_fixed_width","","",338,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_row_span_column","","",338,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_title","","",338,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_wrap_width","","",338,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_cell_area","","",338,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_property_has_frame","","",338,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_has_frame","","",338,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_popup_shown","","",338,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_property_tearoff_title","","",338,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_tearoff_title","","",338,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"connect_changed","","",338,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_format_entry_text","","",338,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_move_active","","",338,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_popdown","","",338,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_popup","","",338,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ComboBoxTextExt","","",null,null],[10,"append","","",339,{"inputs":[{"name":"self"},{"name":"p"},{"name":"str"}],"output":null}],[10,"append_text","","",339,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"get_active_text","","",339,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"insert","","",339,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"p"},{"name":"str"}],"output":null}],[10,"insert_text","","",339,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"str"}],"output":null}],[10,"prepend","","",339,{"inputs":[{"name":"self"},{"name":"p"},{"name":"str"}],"output":null}],[10,"prepend_text","","",339,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"remove","","",339,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"remove_all","","",339,{"inputs":[{"name":"self"}],"output":null}],[8,"ContainerExt","","",null,null],[10,"add","","",340,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"check_resize","","",340,{"inputs":[{"name":"self"}],"output":null}],[10,"child_notify","","",340,{"inputs":[{"name":"self"},{"name":"p"},{"name":"str"}],"output":null}],[10,"child_type","","",340,{"inputs":[{"name":"self"}],"output":{"name":"type"}}],[10,"get_border_width","","",340,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"get_children","","",340,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"get_focus_child","","",340,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_focus_hadjustment","","",340,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_focus_vadjustment","","",340,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_resize_mode","","",340,{"inputs":[{"name":"self"}],"output":{"name":"resizemode"}}],[10,"propagate_draw","","",340,{"inputs":[{"name":"self"},{"name":"p"},{"name":"context"}],"output":null}],[10,"remove","","",340,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"resize_children","","",340,{"inputs":[{"name":"self"}],"output":null}],[10,"set_border_width","","",340,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"set_focus_chain","","",340,null],[10,"set_focus_child","","",340,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_focus_hadjustment","","",340,{"inputs":[{"name":"self"},{"name":"adjustment"}],"output":null}],[10,"set_focus_vadjustment","","",340,{"inputs":[{"name":"self"},{"name":"adjustment"}],"output":null}],[10,"set_reallocate_redraws","","",340,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_resize_mode","","",340,{"inputs":[{"name":"self"},{"name":"resizemode"}],"output":null}],[10,"unset_focus_chain","","",340,{"inputs":[{"name":"self"}],"output":null}],[10,"set_property_child","","",340,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"connect_add","","",340,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_check_resize","","",340,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_remove","","",340,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_set_focus_child","","",340,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"CssProviderExt","","",null,null],[10,"load_from_path","","",341,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"result"}}],[10,"load_from_resource","","",341,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"to_string","","",341,{"inputs":[{"name":"self"}],"output":{"name":"string"}}],[10,"connect_parsing_error","","",341,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"DialogExt","","",null,null],[10,"add_action_widget","","",342,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"}],"output":null}],[10,"add_button","","",342,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"}],"output":{"name":"widget"}}],[10,"get_action_area","","",342,{"inputs":[{"name":"self"}],"output":{"name":"widget"}}],[10,"get_content_area","","",342,{"inputs":[{"name":"self"}],"output":{"name":"box"}}],[10,"get_header_bar","","",342,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_response_for_widget","","",342,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"i32"}}],[10,"get_widget_for_response","","",342,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"option"}}],[10,"response","","",342,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"run","","",342,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_default_response","","",342,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_response_sensitive","","",342,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"bool"}],"output":null}],[10,"get_property_use_header_bar","","",342,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"connect_close","","",342,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_response","","",342,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"EditableExt","","",null,null],[10,"copy_clipboard","","",343,{"inputs":[{"name":"self"}],"output":null}],[10,"cut_clipboard","","",343,{"inputs":[{"name":"self"}],"output":null}],[10,"delete_selection","","",343,{"inputs":[{"name":"self"}],"output":null}],[10,"delete_text","","",343,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"get_chars","","",343,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_editable","","",343,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_position","","",343,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_selection_bounds","","",343,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"insert_text","","",343,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"paste_clipboard","","",343,{"inputs":[{"name":"self"}],"output":null}],[10,"select_region","","",343,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"set_editable","","",343,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_position","","",343,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[8,"EntryExt","","",null,null],[10,"get_activates_default","","",344,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_alignment","","",344,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"get_attributes","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_buffer","","",344,{"inputs":[{"name":"self"}],"output":{"name":"entrybuffer"}}],[10,"get_completion","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_current_icon_drag_source","","",344,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_cursor_hadjustment","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_has_frame","","",344,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_icon_activatable","","",344,{"inputs":[{"name":"self"},{"name":"entryiconposition"}],"output":{"name":"bool"}}],[10,"get_icon_area","","",344,{"inputs":[{"name":"self"},{"name":"entryiconposition"}],"output":{"name":"rectangle"}}],[10,"get_icon_at_pos","","",344,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"i32"}}],[10,"get_icon_gicon","","",344,{"inputs":[{"name":"self"},{"name":"entryiconposition"}],"output":{"name":"option"}}],[10,"get_icon_name","","",344,{"inputs":[{"name":"self"},{"name":"entryiconposition"}],"output":{"name":"option"}}],[10,"get_icon_pixbuf","","",344,{"inputs":[{"name":"self"},{"name":"entryiconposition"}],"output":{"name":"option"}}],[10,"get_icon_sensitive","","",344,{"inputs":[{"name":"self"},{"name":"entryiconposition"}],"output":{"name":"bool"}}],[10,"get_icon_stock","","",344,{"inputs":[{"name":"self"},{"name":"entryiconposition"}],"output":{"name":"option"}}],[10,"get_icon_storage_type","","",344,{"inputs":[{"name":"self"},{"name":"entryiconposition"}],"output":{"name":"imagetype"}}],[10,"get_icon_tooltip_markup","","",344,{"inputs":[{"name":"self"},{"name":"entryiconposition"}],"output":{"name":"option"}}],[10,"get_icon_tooltip_text","","",344,{"inputs":[{"name":"self"},{"name":"entryiconposition"}],"output":{"name":"option"}}],[10,"get_input_hints","","",344,{"inputs":[{"name":"self"}],"output":{"name":"inputhints"}}],[10,"get_input_purpose","","",344,{"inputs":[{"name":"self"}],"output":{"name":"inputpurpose"}}],[10,"get_invisible_char","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_layout","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_layout_offsets","","",344,null],[10,"get_max_length","","",344,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_max_width_chars","","",344,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_overwrite_mode","","",344,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_placeholder_text","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_progress_fraction","","",344,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_progress_pulse_step","","",344,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_tabs","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_text","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_text_area","","",344,{"inputs":[{"name":"self"}],"output":{"name":"rectangle"}}],[10,"get_text_length","","",344,{"inputs":[{"name":"self"}],"output":{"name":"u16"}}],[10,"get_visibility","","",344,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_width_chars","","",344,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"grab_focus_without_selecting","","",344,{"inputs":[{"name":"self"}],"output":null}],[10,"im_context_filter_keypress","","",344,{"inputs":[{"name":"self"},{"name":"eventkey"}],"output":{"name":"bool"}}],[10,"layout_index_to_text_index","","",344,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"i32"}}],[10,"progress_pulse","","",344,{"inputs":[{"name":"self"}],"output":null}],[10,"reset_im_context","","",344,{"inputs":[{"name":"self"}],"output":null}],[10,"set_activates_default","","",344,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_alignment","","",344,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[10,"set_attributes","","",344,{"inputs":[{"name":"self"},{"name":"attrlist"}],"output":null}],[10,"set_buffer","","",344,{"inputs":[{"name":"self"},{"name":"entrybuffer"}],"output":null}],[10,"set_completion","","",344,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_cursor_hadjustment","","",344,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_has_frame","","",344,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_icon_activatable","","",344,{"inputs":[{"name":"self"},{"name":"entryiconposition"},{"name":"bool"}],"output":null}],[10,"set_icon_drag_source","","",344,{"inputs":[{"name":"self"},{"name":"entryiconposition"},{"name":"targetlist"},{"name":"dragaction"}],"output":null}],[10,"set_icon_from_gicon","","",344,{"inputs":[{"name":"self"},{"name":"entryiconposition"},{"name":"q"}],"output":null}],[10,"set_icon_from_icon_name","","",344,{"inputs":[{"name":"self"},{"name":"entryiconposition"},{"name":"p"}],"output":null}],[10,"set_icon_from_pixbuf","","",344,{"inputs":[{"name":"self"},{"name":"entryiconposition"},{"name":"p"}],"output":null}],[10,"set_icon_from_stock","","",344,{"inputs":[{"name":"self"},{"name":"entryiconposition"},{"name":"p"}],"output":null}],[10,"set_icon_sensitive","","",344,{"inputs":[{"name":"self"},{"name":"entryiconposition"},{"name":"bool"}],"output":null}],[10,"set_icon_tooltip_markup","","",344,{"inputs":[{"name":"self"},{"name":"entryiconposition"},{"name":"p"}],"output":null}],[10,"set_icon_tooltip_text","","",344,{"inputs":[{"name":"self"},{"name":"entryiconposition"},{"name":"p"}],"output":null}],[10,"set_input_hints","","",344,{"inputs":[{"name":"self"},{"name":"inputhints"}],"output":null}],[10,"set_input_purpose","","",344,{"inputs":[{"name":"self"},{"name":"inputpurpose"}],"output":null}],[10,"set_invisible_char","","",344,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_max_length","","",344,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_max_width_chars","","",344,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_overwrite_mode","","",344,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_placeholder_text","","",344,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_progress_fraction","","",344,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"set_progress_pulse_step","","",344,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"set_tabs","","",344,{"inputs":[{"name":"self"},{"name":"tabarray"}],"output":null}],[10,"set_text","","",344,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_visibility","","",344,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_width_chars","","",344,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"text_index_to_layout_index","","",344,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"i32"}}],[10,"unset_invisible_char","","",344,{"inputs":[{"name":"self"}],"output":null}],[10,"get_property_caps_lock_warning","","",344,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_caps_lock_warning","","",344,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_cursor_position","","",344,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_property_im_module","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_im_module","","",344,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_invisible_char_set","","",344,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_invisible_char_set","","",344,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_populate_all","","",344,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_populate_all","","",344,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_primary_icon_activatable","","",344,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_primary_icon_activatable","","",344,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_primary_icon_gicon","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_primary_icon_gicon","","",344,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_primary_icon_name","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_primary_icon_name","","",344,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_primary_icon_pixbuf","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_primary_icon_pixbuf","","",344,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_primary_icon_sensitive","","",344,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_primary_icon_sensitive","","",344,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_primary_icon_stock","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_primary_icon_stock","","",344,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_primary_icon_storage_type","","",344,{"inputs":[{"name":"self"}],"output":{"name":"imagetype"}}],[10,"get_property_primary_icon_tooltip_markup","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_primary_icon_tooltip_markup","","",344,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_primary_icon_tooltip_text","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_primary_icon_tooltip_text","","",344,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_scroll_offset","","",344,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_property_secondary_icon_activatable","","",344,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_secondary_icon_activatable","","",344,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_secondary_icon_gicon","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_secondary_icon_gicon","","",344,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_secondary_icon_name","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_secondary_icon_name","","",344,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_secondary_icon_pixbuf","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_secondary_icon_pixbuf","","",344,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_secondary_icon_sensitive","","",344,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_secondary_icon_sensitive","","",344,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_secondary_icon_stock","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_secondary_icon_stock","","",344,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_secondary_icon_storage_type","","",344,{"inputs":[{"name":"self"}],"output":{"name":"imagetype"}}],[10,"get_property_secondary_icon_tooltip_markup","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_secondary_icon_tooltip_markup","","",344,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_secondary_icon_tooltip_text","","",344,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_secondary_icon_tooltip_text","","",344,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_selection_bound","","",344,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_property_shadow_type","","",344,{"inputs":[{"name":"self"}],"output":{"name":"shadowtype"}}],[10,"set_property_shadow_type","","",344,{"inputs":[{"name":"self"},{"name":"shadowtype"}],"output":null}],[10,"get_property_truncate_multiline","","",344,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_truncate_multiline","","",344,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_xalign","","",344,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"set_property_xalign","","",344,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[10,"connect_activate","","",344,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_backspace","","",344,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_copy_clipboard","","",344,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_cut_clipboard","","",344,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_delete_from_cursor","","",344,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_icon_press","","",344,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_icon_release","","",344,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_insert_at_cursor","","",344,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_move_cursor","","",344,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_paste_clipboard","","",344,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_populate_popup","","",344,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_preedit_changed","","",344,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_toggle_overwrite","","",344,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"EntryCompletionExt","","",null,null],[10,"complete","","",345,{"inputs":[{"name":"self"}],"output":null}],[10,"compute_prefix","","",345,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"delete_action","","",345,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_completion_prefix","","",345,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_entry","","",345,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_inline_completion","","",345,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_inline_selection","","",345,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_minimum_key_length","","",345,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_model","","",345,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_popup_completion","","",345,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_popup_set_width","","",345,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_popup_single_match","","",345,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_text_column","","",345,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"insert_action_markup","","",345,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"str"}],"output":null}],[10,"insert_action_text","","",345,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"str"}],"output":null}],[10,"insert_prefix","","",345,{"inputs":[{"name":"self"}],"output":null}],[10,"set_inline_completion","","",345,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_inline_selection","","",345,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_minimum_key_length","","",345,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_model","","",345,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_popup_completion","","",345,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_popup_set_width","","",345,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_popup_single_match","","",345,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_text_column","","",345,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_cell_area","","",345,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"connect_action_activated","","",345,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_cursor_on_match","","",345,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_insert_prefix","","",345,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_match_selected","","",345,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_no_matches","","",345,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"EventBoxExt","","",null,null],[10,"get_above_child","","",346,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_visible_window","","",346,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_above_child","","",346,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_visible_window","","",346,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[8,"EventControllerExt","","",null,null],[10,"get_propagation_phase","","",347,{"inputs":[{"name":"self"}],"output":{"name":"propagationphase"}}],[10,"get_widget","","",347,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"handle_event","","",347,{"inputs":[{"name":"self"},{"name":"event"}],"output":{"name":"bool"}}],[10,"reset","","",347,{"inputs":[{"name":"self"}],"output":null}],[10,"set_propagation_phase","","",347,{"inputs":[{"name":"self"},{"name":"propagationphase"}],"output":null}],[8,"ExpanderExt","","",null,null],[10,"get_expanded","","",348,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_label","","",348,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_label_fill","","",348,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_label_widget","","",348,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_resize_toplevel","","",348,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_spacing","","",348,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_use_markup","","",348,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_use_underline","","",348,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_expanded","","",348,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_label","","",348,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_label_fill","","",348,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_label_widget","","",348,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_resize_toplevel","","",348,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_spacing","","",348,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_use_markup","","",348,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_use_underline","","",348,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_activate","","",348,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"FileChooserExt","","",null,null],[10,"add_filter","","",349,{"inputs":[{"name":"self"},{"name":"filefilter"}],"output":null}],[10,"add_shortcut_folder","","",349,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[10,"add_shortcut_folder_uri","","",349,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"result"}}],[10,"get_action","","",349,{"inputs":[{"name":"self"}],"output":{"name":"filechooseraction"}}],[10,"get_choice","","",349,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_create_folders","","",349,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_current_folder","","",349,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_current_folder_uri","","",349,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_current_name","","",349,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_do_overwrite_confirmation","","",349,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_extra_widget","","",349,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_filename","","",349,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_filenames","","",349,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"get_filter","","",349,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_local_only","","",349,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_preview_filename","","",349,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_preview_uri","","",349,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_preview_widget","","",349,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_preview_widget_active","","",349,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_select_multiple","","",349,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_show_hidden","","",349,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_uri","","",349,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_uris","","",349,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"get_use_preview_label","","",349,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"list_filters","","",349,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"list_shortcut_folder_uris","","",349,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"list_shortcut_folders","","",349,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"remove_choice","","",349,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"remove_filter","","",349,{"inputs":[{"name":"self"},{"name":"filefilter"}],"output":null}],[10,"remove_shortcut_folder","","",349,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[10,"remove_shortcut_folder_uri","","",349,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"result"}}],[10,"select_all","","",349,{"inputs":[{"name":"self"}],"output":null}],[10,"select_filename","","",349,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"select_uri","","",349,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[10,"set_action","","",349,{"inputs":[{"name":"self"},{"name":"filechooseraction"}],"output":null}],[10,"set_choice","","",349,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"}],"output":null}],[10,"set_create_folders","","",349,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_current_folder","","",349,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"set_current_folder_uri","","",349,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[10,"set_current_name","","",349,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_do_overwrite_confirmation","","",349,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_extra_widget","","",349,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_filename","","",349,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"set_filter","","",349,{"inputs":[{"name":"self"},{"name":"filefilter"}],"output":null}],[10,"set_local_only","","",349,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_preview_widget","","",349,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_preview_widget_active","","",349,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_select_multiple","","",349,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_show_hidden","","",349,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_uri","","",349,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[10,"set_use_preview_label","","",349,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"unselect_all","","",349,{"inputs":[{"name":"self"}],"output":null}],[10,"unselect_filename","","",349,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"unselect_uri","","",349,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"connect_confirm_overwrite","","",349,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_current_folder_changed","","",349,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_file_activated","","",349,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_selection_changed","","",349,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_update_preview","","",349,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"FileChooserButtonExt","","",null,null],[10,"get_title","","",350,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_width_chars","","",350,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_title","","",350,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_width_chars","","",350,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"connect_file_set","","",350,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"FileChooserWidgetExt","","",null,null],[10,"get_property_search_mode","","",351,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_search_mode","","",351,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_subtitle","","",351,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"connect_desktop_folder","","",351,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_down_folder","","",351,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_home_folder","","",351,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_location_popup","","",351,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_location_popup_on_paste","","",351,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_location_toggle_popup","","",351,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_places_shortcut","","",351,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_quick_bookmark","","",351,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_recent_shortcut","","",351,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_search_shortcut","","",351,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_show_hidden","","",351,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_up_folder","","",351,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"FileFilterExt","","",null,null],[10,"add_mime_type","","",352,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"add_pattern","","",352,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"add_pixbuf_formats","","",352,{"inputs":[{"name":"self"}],"output":null}],[10,"get_name","","",352,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_needed","","",352,{"inputs":[{"name":"self"}],"output":{"name":"filefilterflags"}}],[10,"set_name","","",352,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"to_gvariant","","",352,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[8,"FixedExt","","",null,null],[10,"move_","","",353,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"put","","",353,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"get_child_x","","",353,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"i32"}}],[10,"set_child_x","","",353,{"inputs":[{"name":"self"},{"name":"t"},{"name":"i32"}],"output":null}],[10,"get_child_y","","",353,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"i32"}}],[10,"set_child_y","","",353,{"inputs":[{"name":"self"},{"name":"t"},{"name":"i32"}],"output":null}],[8,"FlowBoxExt","","",null,null],[10,"get_activate_on_single_click","","",354,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_child_at_index","","",354,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_column_spacing","","",354,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"get_homogeneous","","",354,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_max_children_per_line","","",354,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"get_min_children_per_line","","",354,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"get_row_spacing","","",354,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"get_selected_children","","",354,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"get_selection_mode","","",354,{"inputs":[{"name":"self"}],"output":{"name":"selectionmode"}}],[10,"insert","","",354,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"}],"output":null}],[10,"invalidate_filter","","",354,{"inputs":[{"name":"self"}],"output":null}],[10,"invalidate_sort","","",354,{"inputs":[{"name":"self"}],"output":null}],[10,"select_all","","",354,{"inputs":[{"name":"self"}],"output":null}],[10,"select_child","","",354,{"inputs":[{"name":"self"},{"name":"flowboxchild"}],"output":null}],[10,"set_activate_on_single_click","","",354,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_column_spacing","","",354,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"set_hadjustment","","",354,{"inputs":[{"name":"self"},{"name":"adjustment"}],"output":null}],[10,"set_homogeneous","","",354,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_max_children_per_line","","",354,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"set_min_children_per_line","","",354,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"set_row_spacing","","",354,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"set_selection_mode","","",354,{"inputs":[{"name":"self"},{"name":"selectionmode"}],"output":null}],[10,"set_vadjustment","","",354,{"inputs":[{"name":"self"},{"name":"adjustment"}],"output":null}],[10,"unselect_all","","",354,{"inputs":[{"name":"self"}],"output":null}],[10,"unselect_child","","",354,{"inputs":[{"name":"self"},{"name":"flowboxchild"}],"output":null}],[10,"get_property_activate_on_single_click","","",354,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_activate_on_single_click","","",354,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_column_spacing","","",354,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_column_spacing","","",354,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_homogeneous","","",354,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_homogeneous","","",354,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_max_children_per_line","","",354,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_max_children_per_line","","",354,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_min_children_per_line","","",354,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_min_children_per_line","","",354,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_row_spacing","","",354,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_row_spacing","","",354,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_selection_mode","","",354,{"inputs":[{"name":"self"}],"output":{"name":"selectionmode"}}],[10,"set_property_selection_mode","","",354,{"inputs":[{"name":"self"},{"name":"selectionmode"}],"output":null}],[10,"connect_activate_cursor_child","","",354,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_child_activated","","",354,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_move_cursor","","",354,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_select_all","","",354,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_selected_children_changed","","",354,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_toggle_cursor_child","","",354,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_unselect_all","","",354,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"FlowBoxChildExt","","",null,null],[10,"changed","","",355,{"inputs":[{"name":"self"}],"output":null}],[10,"get_index","","",355,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"is_selected","","",355,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"connect_activate","","",355,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"FontButtonExt","","",null,null],[10,"get_font_name","","",356,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_show_size","","",356,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_show_style","","",356,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_title","","",356,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_use_font","","",356,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_use_size","","",356,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_font_name","","",356,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[10,"set_show_size","","",356,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_show_style","","",356,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_title","","",356,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_use_font","","",356,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_use_size","","",356,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_font_set","","",356,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"FontChooserExt","","",null,null],[10,"get_font","","",357,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_font_desc","","",357,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_font_face","","",357,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_font_family","","",357,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_font_map","","",357,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_font_size","","",357,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_preview_text","","",357,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_show_preview_entry","","",357,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_font","","",357,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_font_desc","","",357,{"inputs":[{"name":"self"},{"name":"fontdescription"}],"output":null}],[10,"set_font_map","","",357,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_preview_text","","",357,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_show_preview_entry","","",357,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_font_activated","","",357,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"FrameExt","","",null,null],[10,"get_label","","",358,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_label_align","","",358,null],[10,"get_label_widget","","",358,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_shadow_type","","",358,{"inputs":[{"name":"self"}],"output":{"name":"shadowtype"}}],[10,"set_label","","",358,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_label_align","","",358,{"inputs":[{"name":"self"},{"name":"f32"},{"name":"f32"}],"output":null}],[10,"set_label_widget","","",358,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_shadow_type","","",358,{"inputs":[{"name":"self"},{"name":"shadowtype"}],"output":null}],[10,"get_property_label_xalign","","",358,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"set_property_label_xalign","","",358,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[10,"get_property_label_yalign","","",358,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"set_property_label_yalign","","",358,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[8,"GLAreaExt","","",null,null],[10,"attach_buffers","","",359,{"inputs":[{"name":"self"}],"output":null}],[10,"get_auto_render","","",359,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_context","","",359,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_error","","",359,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_has_alpha","","",359,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_has_depth_buffer","","",359,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_has_stencil_buffer","","",359,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_required_version","","",359,null],[10,"get_use_es","","",359,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"make_current","","",359,{"inputs":[{"name":"self"}],"output":null}],[10,"queue_render","","",359,{"inputs":[{"name":"self"}],"output":null}],[10,"set_auto_render","","",359,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_error","","",359,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_has_alpha","","",359,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_has_depth_buffer","","",359,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_has_stencil_buffer","","",359,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_required_version","","",359,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"set_use_es","","",359,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_create_context","","",359,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_render","","",359,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_resize","","",359,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"GestureExt","","",null,null],[10,"get_bounding_box","","",360,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_bounding_box_center","","",360,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_device","","",360,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_group","","",360,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"get_window","","",360,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"group","","",360,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"is_active","","",360,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_grouped_with","","",360,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"is_recognized","","",360,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_state","","",360,{"inputs":[{"name":"self"},{"name":"eventsequencestate"}],"output":{"name":"bool"}}],[10,"set_window","","",360,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"ungroup","","",360,{"inputs":[{"name":"self"}],"output":null}],[10,"get_property_n_points","","",360,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[8,"GestureDragExt","","",null,null],[10,"get_offset","","",361,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_start_point","","",361,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"connect_drag_begin","","",361,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_drag_end","","",361,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_drag_update","","",361,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"GestureLongPressExt","","",null,null],[10,"get_property_delay_factor","","",362,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"set_property_delay_factor","","",362,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"connect_cancelled","","",362,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_pressed","","",362,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"GestureMultiPressExt","","",null,null],[10,"get_area","","",363,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_area","","",363,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"connect_pressed","","",363,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_released","","",363,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_stopped","","",363,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"GesturePanExt","","",null,null],[10,"get_orientation","","",364,{"inputs":[{"name":"self"}],"output":{"name":"orientation"}}],[10,"set_orientation","","",364,{"inputs":[{"name":"self"},{"name":"orientation"}],"output":null}],[10,"connect_pan","","",364,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"GestureRotateExt","","",null,null],[10,"get_angle_delta","","",365,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"connect_angle_changed","","",365,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"GestureSingleExt","","",null,null],[10,"get_button","","",366,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"get_current_button","","",366,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"get_exclusive","","",366,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_touch_only","","",366,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_button","","",366,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"set_exclusive","","",366,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_touch_only","","",366,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[8,"GestureSwipeExt","","",null,null],[10,"get_velocity","","",367,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"connect_swipe","","",367,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"GestureZoomExt","","",null,null],[10,"get_scale_delta","","",368,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"connect_scale_changed","","",368,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"GridExt","","",null,null],[10,"attach","","",369,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"attach_next_to","","",369,{"inputs":[{"name":"self"},{"name":"p"},{"name":"r"},{"name":"positiontype"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"get_baseline_row","","",369,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_child_at","","",369,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_column_homogeneous","","",369,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_column_spacing","","",369,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"get_row_baseline_position","","",369,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"baselineposition"}}],[10,"get_row_homogeneous","","",369,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_row_spacing","","",369,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"insert_column","","",369,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"insert_next_to","","",369,{"inputs":[{"name":"self"},{"name":"p"},{"name":"positiontype"}],"output":null}],[10,"insert_row","","",369,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"remove_column","","",369,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"remove_row","","",369,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_baseline_row","","",369,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_column_homogeneous","","",369,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_column_spacing","","",369,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"set_row_baseline_position","","",369,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"baselineposition"}],"output":null}],[10,"set_row_homogeneous","","",369,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_row_spacing","","",369,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_baseline_row","","",369,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_baseline_row","","",369,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_cell_height","","",369,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"i32"}}],[10,"set_cell_height","","",369,{"inputs":[{"name":"self"},{"name":"t"},{"name":"i32"}],"output":null}],[10,"get_cell_width","","",369,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"i32"}}],[10,"set_cell_width","","",369,{"inputs":[{"name":"self"},{"name":"t"},{"name":"i32"}],"output":null}],[10,"get_cell_left_attach","","",369,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"i32"}}],[10,"set_cell_left_attach","","",369,{"inputs":[{"name":"self"},{"name":"t"},{"name":"i32"}],"output":null}],[10,"get_cell_top_attach","","",369,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"i32"}}],[10,"set_cell_top_attach","","",369,{"inputs":[{"name":"self"},{"name":"t"},{"name":"i32"}],"output":null}],[8,"HeaderBarExt","","",null,null],[10,"get_custom_title","","",370,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_decoration_layout","","",370,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_has_subtitle","","",370,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_show_close_button","","",370,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_subtitle","","",370,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_title","","",370,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"pack_end","","",370,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"pack_start","","",370,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_custom_title","","",370,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_decoration_layout","","",370,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_has_subtitle","","",370,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_show_close_button","","",370,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_subtitle","","",370,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_title","","",370,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"get_property_custom_title","","",370,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_custom_title","","",370,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_decoration_layout_set","","",370,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_decoration_layout_set","","",370,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_show_close_button","","",370,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_show_close_button","","",370,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_spacing","","",370,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_spacing","","",370,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_subtitle","","",370,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_subtitle","","",370,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_title","","",370,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_title","","",370,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_child_pack_type","","",370,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"packtype"}}],[10,"set_child_pack_type","","",370,{"inputs":[{"name":"self"},{"name":"t"},{"name":"packtype"}],"output":null}],[10,"get_child_position","","",370,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"i32"}}],[10,"set_child_position","","",370,{"inputs":[{"name":"self"},{"name":"t"},{"name":"i32"}],"output":null}],[8,"IMContextExt","","",null,null],[10,"delete_surrounding","","",371,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"bool"}}],[10,"filter_keypress","","",371,{"inputs":[{"name":"self"},{"name":"eventkey"}],"output":{"name":"bool"}}],[10,"focus_in","","",371,{"inputs":[{"name":"self"}],"output":null}],[10,"focus_out","","",371,{"inputs":[{"name":"self"}],"output":null}],[10,"get_preedit_string","","",371,null],[10,"get_surrounding","","",371,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"reset","","",371,{"inputs":[{"name":"self"}],"output":null}],[10,"set_client_window","","",371,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_cursor_location","","",371,{"inputs":[{"name":"self"},{"name":"rectangle"}],"output":null}],[10,"set_surrounding","","",371,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"set_use_preedit","","",371,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_input_hints","","",371,{"inputs":[{"name":"self"}],"output":{"name":"inputhints"}}],[10,"set_property_input_hints","","",371,{"inputs":[{"name":"self"},{"name":"inputhints"}],"output":null}],[10,"get_property_input_purpose","","",371,{"inputs":[{"name":"self"}],"output":{"name":"inputpurpose"}}],[10,"set_property_input_purpose","","",371,{"inputs":[{"name":"self"},{"name":"inputpurpose"}],"output":null}],[10,"connect_commit","","",371,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_delete_surrounding","","",371,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_preedit_changed","","",371,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_preedit_end","","",371,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_preedit_start","","",371,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_retrieve_surrounding","","",371,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"IMMulticontextExt","","",null,null],[10,"append_menuitems","","",372,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"get_context_id","","",372,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_context_id","","",372,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[8,"IconFactoryExt","","",null,null],[10,"add","","",373,{"inputs":[{"name":"self"},{"name":"str"},{"name":"iconset"}],"output":null}],[10,"add_default","","",373,{"inputs":[{"name":"self"}],"output":null}],[10,"lookup","","",373,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"remove_default","","",373,{"inputs":[{"name":"self"}],"output":null}],[8,"IconInfoExt","","",null,null],[10,"copy","","",374,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_base_scale","","",374,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_base_size","","",374,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_builtin_pixbuf","","",374,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_display_name","","",374,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_embedded_rect","","",374,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_filename","","",374,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"is_symbolic","","",374,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"load_icon","","",374,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[10,"load_surface","","",374,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[10,"load_symbolic","","",374,{"inputs":[{"name":"self"},{"name":"rgba"},{"name":"p"},{"name":"q"},{"name":"r"}],"output":{"name":"result"}}],[10,"load_symbolic_for_context","","",374,{"inputs":[{"name":"self"},{"name":"stylecontext"}],"output":{"name":"result"}}],[10,"set_raw_coordinates","","",374,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[8,"IconThemeExt","","",null,null],[10,"add_resource_path","","",375,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"append_search_path","","",375,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"get_example_icon_name","","",375,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"has_icon","","",375,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[10,"list_contexts","","",375,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"list_icons","","",375,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"vec"}}],[10,"load_icon","","",375,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"},{"name":"iconlookupflags"}],"output":{"name":"result"}}],[10,"load_icon_for_scale","","",375,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"},{"name":"i32"},{"name":"iconlookupflags"}],"output":{"name":"result"}}],[10,"load_surface","","",375,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"},{"name":"i32"},{"name":"p"},{"name":"iconlookupflags"}],"output":{"name":"result"}}],[10,"lookup_by_gicon","","",375,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"},{"name":"iconlookupflags"}],"output":{"name":"option"}}],[10,"lookup_by_gicon_for_scale","","",375,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"},{"name":"i32"},{"name":"iconlookupflags"}],"output":{"name":"option"}}],[10,"lookup_icon","","",375,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"},{"name":"iconlookupflags"}],"output":{"name":"option"}}],[10,"lookup_icon_for_scale","","",375,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"},{"name":"i32"},{"name":"iconlookupflags"}],"output":{"name":"option"}}],[10,"prepend_search_path","","",375,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"rescan_if_needed","","",375,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_custom_theme","","",375,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_screen","","",375,{"inputs":[{"name":"self"},{"name":"screen"}],"output":null}],[10,"connect_changed","","",375,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"IconViewExt","","",null,null],[10,"convert_widget_to_bin_window_coords","","",376,null],[10,"create_drag_icon","","",376,{"inputs":[{"name":"self"},{"name":"treepath"}],"output":{"name":"option"}}],[10,"get_activate_on_single_click","","",376,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_cell_rect","","",376,{"inputs":[{"name":"self"},{"name":"treepath"},{"name":"q"}],"output":{"name":"option"}}],[10,"get_column_spacing","","",376,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_columns","","",376,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_cursor","","",376,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_dest_item_at_pos","","",376,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_drag_dest_item","","",376,null],[10,"get_item_at_pos","","",376,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_item_column","","",376,{"inputs":[{"name":"self"},{"name":"treepath"}],"output":{"name":"i32"}}],[10,"get_item_orientation","","",376,{"inputs":[{"name":"self"}],"output":{"name":"orientation"}}],[10,"get_item_padding","","",376,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_item_row","","",376,{"inputs":[{"name":"self"},{"name":"treepath"}],"output":{"name":"i32"}}],[10,"get_item_width","","",376,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_margin","","",376,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_markup_column","","",376,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_model","","",376,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_path_at_pos","","",376,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_pixbuf_column","","",376,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_reorderable","","",376,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_row_spacing","","",376,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_selected_items","","",376,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"get_selection_mode","","",376,{"inputs":[{"name":"self"}],"output":{"name":"selectionmode"}}],[10,"get_spacing","","",376,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_text_column","","",376,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_tooltip_column","","",376,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_tooltip_context","","",376,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"},{"name":"bool"}],"output":{"name":"option"}}],[10,"get_visible_range","","",376,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"item_activated","","",376,{"inputs":[{"name":"self"},{"name":"treepath"}],"output":null}],[10,"path_is_selected","","",376,{"inputs":[{"name":"self"},{"name":"treepath"}],"output":{"name":"bool"}}],[10,"scroll_to_path","","",376,{"inputs":[{"name":"self"},{"name":"treepath"},{"name":"bool"},{"name":"f32"},{"name":"f32"}],"output":null}],[10,"select_all","","",376,{"inputs":[{"name":"self"}],"output":null}],[10,"select_path","","",376,{"inputs":[{"name":"self"},{"name":"treepath"}],"output":null}],[10,"set_activate_on_single_click","","",376,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_column_spacing","","",376,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_columns","","",376,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_cursor","","",376,{"inputs":[{"name":"self"},{"name":"treepath"},{"name":"q"},{"name":"bool"}],"output":null}],[10,"set_drag_dest_item","","",376,{"inputs":[{"name":"self"},{"name":"p"},{"name":"iconviewdropposition"}],"output":null}],[10,"set_item_orientation","","",376,{"inputs":[{"name":"self"},{"name":"orientation"}],"output":null}],[10,"set_item_padding","","",376,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_item_width","","",376,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_margin","","",376,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_markup_column","","",376,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_model","","",376,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_pixbuf_column","","",376,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_reorderable","","",376,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_row_spacing","","",376,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_selection_mode","","",376,{"inputs":[{"name":"self"},{"name":"selectionmode"}],"output":null}],[10,"set_spacing","","",376,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_text_column","","",376,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_tooltip_cell","","",376,{"inputs":[{"name":"self"},{"name":"tooltip"},{"name":"treepath"},{"name":"q"}],"output":null}],[10,"set_tooltip_column","","",376,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_tooltip_item","","",376,{"inputs":[{"name":"self"},{"name":"tooltip"},{"name":"treepath"}],"output":null}],[10,"unselect_all","","",376,{"inputs":[{"name":"self"}],"output":null}],[10,"unselect_path","","",376,{"inputs":[{"name":"self"},{"name":"treepath"}],"output":null}],[10,"unset_model_drag_dest","","",376,{"inputs":[{"name":"self"}],"output":null}],[10,"unset_model_drag_source","","",376,{"inputs":[{"name":"self"}],"output":null}],[10,"get_property_cell_area","","",376,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"connect_activate_cursor_item","","",376,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_item_activated","","",376,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_move_cursor","","",376,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_select_all","","",376,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_select_cursor_item","","",376,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_selection_changed","","",376,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_toggle_cursor_item","","",376,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_unselect_all","","",376,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ImageExt","","",null,null],[10,"clear","","",377,{"inputs":[{"name":"self"}],"output":null}],[10,"get_animation","","",377,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_gicon","","",377,null],[10,"get_icon_name","","",377,null],[10,"get_icon_set","","",377,null],[10,"get_pixbuf","","",377,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_pixel_size","","",377,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_storage_type","","",377,{"inputs":[{"name":"self"}],"output":{"name":"imagetype"}}],[10,"set_from_animation","","",377,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_from_file","","",377,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_from_gicon","","",377,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"}],"output":null}],[10,"set_from_icon_name","","",377,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"}],"output":null}],[10,"set_from_icon_set","","",377,{"inputs":[{"name":"self"},{"name":"iconset"},{"name":"i32"}],"output":null}],[10,"set_from_pixbuf","","",377,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_from_resource","","",377,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_from_stock","","",377,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"}],"output":null}],[10,"set_from_surface","","",377,{"inputs":[{"name":"self"},{"name":"surface"}],"output":null}],[10,"set_pixel_size","","",377,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_file","","",377,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_file","","",377,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"set_property_gicon","","",377,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"set_property_icon_name","","",377,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_icon_size","","",377,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_icon_size","","",377,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_property_pixbuf","","",377,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_pixbuf_animation","","",377,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_pixbuf_animation","","",377,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_resource","","",377,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_resource","","",377,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_stock","","",377,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_stock","","",377,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_use_fallback","","",377,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_use_fallback","","",377,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[8,"ImageMenuItemExt","","",null,null],[10,"get_always_show_image","","",378,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_image","","",378,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_use_stock","","",378,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_accel_group","","",378,{"inputs":[{"name":"self"},{"name":"accelgroup"}],"output":null}],[10,"set_always_show_image","","",378,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_image","","",378,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_use_stock","","",378,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[8,"InfoBarExt","","",null,null],[10,"add_action_widget","","",379,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"}],"output":null}],[10,"add_button","","",379,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_action_area","","",379,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_content_area","","",379,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_message_type","","",379,{"inputs":[{"name":"self"}],"output":{"name":"messagetype"}}],[10,"get_show_close_button","","",379,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"response","","",379,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_default_response","","",379,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_message_type","","",379,{"inputs":[{"name":"self"},{"name":"messagetype"}],"output":null}],[10,"set_response_sensitive","","",379,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"bool"}],"output":null}],[10,"set_show_close_button","","",379,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_close","","",379,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_response","","",379,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"LabelExt","","",null,null],[10,"get_angle","","",380,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_attributes","","",380,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_current_uri","","",380,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_ellipsize","","",380,{"inputs":[{"name":"self"}],"output":{"name":"ellipsizemode"}}],[10,"get_justify","","",380,{"inputs":[{"name":"self"}],"output":{"name":"justification"}}],[10,"get_label","","",380,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_layout","","",380,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_layout_offsets","","",380,null],[10,"get_line_wrap","","",380,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_line_wrap_mode","","",380,{"inputs":[{"name":"self"}],"output":{"name":"wrapmode"}}],[10,"get_lines","","",380,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_max_width_chars","","",380,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_mnemonic_keyval","","",380,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"get_mnemonic_widget","","",380,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_selectable","","",380,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_selection_bounds","","",380,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_single_line_mode","","",380,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_text","","",380,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_track_visited_links","","",380,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_use_markup","","",380,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_use_underline","","",380,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_width_chars","","",380,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_xalign","","",380,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"get_yalign","","",380,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"select_region","","",380,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"set_angle","","",380,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"set_attributes","","",380,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_ellipsize","","",380,{"inputs":[{"name":"self"},{"name":"ellipsizemode"}],"output":null}],[10,"set_justify","","",380,{"inputs":[{"name":"self"},{"name":"justification"}],"output":null}],[10,"set_label","","",380,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_line_wrap","","",380,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_line_wrap_mode","","",380,{"inputs":[{"name":"self"},{"name":"wrapmode"}],"output":null}],[10,"set_lines","","",380,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_markup","","",380,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_markup_with_mnemonic","","",380,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_max_width_chars","","",380,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_mnemonic_widget","","",380,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_pattern","","",380,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_selectable","","",380,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_single_line_mode","","",380,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_text","","",380,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_text_with_mnemonic","","",380,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_track_visited_links","","",380,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_use_markup","","",380,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_use_underline","","",380,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_width_chars","","",380,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_xalign","","",380,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[10,"set_yalign","","",380,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[10,"get_property_cursor_position","","",380,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_property_selection_bound","","",380,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_property_wrap","","",380,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_wrap","","",380,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_wrap_mode","","",380,{"inputs":[{"name":"self"}],"output":{"name":"wrapmode"}}],[10,"set_property_wrap_mode","","",380,{"inputs":[{"name":"self"},{"name":"wrapmode"}],"output":null}],[10,"connect_activate_current_link","","",380,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_activate_link","","",380,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_copy_clipboard","","",380,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_move_cursor","","",380,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_populate_popup","","",380,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"LayoutExt","","",null,null],[10,"get_bin_window","","",381,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_size","","",381,null],[10,"move_","","",381,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"put","","",381,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"set_size","","",381,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"u32"}],"output":null}],[10,"get_property_height","","",381,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_height","","",381,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_width","","",381,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_width","","",381,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_child_x","","",381,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"i32"}}],[10,"set_child_x","","",381,{"inputs":[{"name":"self"},{"name":"t"},{"name":"i32"}],"output":null}],[10,"get_child_y","","",381,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"i32"}}],[10,"set_child_y","","",381,{"inputs":[{"name":"self"},{"name":"t"},{"name":"i32"}],"output":null}],[8,"LevelBarExt","","",null,null],[10,"add_offset_value","","",382,{"inputs":[{"name":"self"},{"name":"str"},{"name":"f64"}],"output":null}],[10,"get_inverted","","",382,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_max_value","","",382,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_min_value","","",382,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_mode","","",382,{"inputs":[{"name":"self"}],"output":{"name":"levelbarmode"}}],[10,"get_offset_value","","",382,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"option"}}],[10,"get_value","","",382,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"remove_offset_value","","",382,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_inverted","","",382,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_max_value","","",382,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"set_min_value","","",382,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"set_mode","","",382,{"inputs":[{"name":"self"},{"name":"levelbarmode"}],"output":null}],[10,"set_value","","",382,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"connect_offset_changed","","",382,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"LinkButtonExt","","",null,null],[10,"get_uri","","",383,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_visited","","",383,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_uri","","",383,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_visited","","",383,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_activate_link","","",383,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ListBoxExt","","",null,null],[10,"drag_highlight_row","","",384,{"inputs":[{"name":"self"},{"name":"listboxrow"}],"output":null}],[10,"drag_unhighlight_row","","",384,{"inputs":[{"name":"self"}],"output":null}],[10,"get_activate_on_single_click","","",384,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_adjustment","","",384,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_row_at_index","","",384,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_row_at_y","","",384,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_selected_row","","",384,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_selected_rows","","",384,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"get_selection_mode","","",384,{"inputs":[{"name":"self"}],"output":{"name":"selectionmode"}}],[10,"insert","","",384,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"}],"output":null}],[10,"invalidate_filter","","",384,{"inputs":[{"name":"self"}],"output":null}],[10,"invalidate_headers","","",384,{"inputs":[{"name":"self"}],"output":null}],[10,"invalidate_sort","","",384,{"inputs":[{"name":"self"}],"output":null}],[10,"prepend","","",384,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"select_all","","",384,{"inputs":[{"name":"self"}],"output":null}],[10,"select_row","","",384,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_activate_on_single_click","","",384,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_adjustment","","",384,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_placeholder","","",384,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_selection_mode","","",384,{"inputs":[{"name":"self"},{"name":"selectionmode"}],"output":null}],[10,"unselect_all","","",384,{"inputs":[{"name":"self"}],"output":null}],[10,"unselect_row","","",384,{"inputs":[{"name":"self"},{"name":"listboxrow"}],"output":null}],[10,"get_property_activate_on_single_click","","",384,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_activate_on_single_click","","",384,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_selection_mode","","",384,{"inputs":[{"name":"self"}],"output":{"name":"selectionmode"}}],[10,"set_property_selection_mode","","",384,{"inputs":[{"name":"self"},{"name":"selectionmode"}],"output":null}],[10,"connect_activate_cursor_row","","",384,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_move_cursor","","",384,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_row_activated","","",384,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_row_selected","","",384,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_select_all","","",384,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_selected_rows_changed","","",384,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_toggle_cursor_row","","",384,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_unselect_all","","",384,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ListBoxRowExt","","",null,null],[10,"changed","","",385,{"inputs":[{"name":"self"}],"output":null}],[10,"get_activatable","","",385,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_header","","",385,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_index","","",385,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_selectable","","",385,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_selected","","",385,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_activatable","","",385,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_header","","",385,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_selectable","","",385,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_activate","","",385,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ListStoreExt","","",null,null],[10,"append","","",386,{"inputs":[{"name":"self"}],"output":{"name":"treeiter"}}],[10,"clear","","",386,{"inputs":[{"name":"self"}],"output":null}],[10,"insert","","",386,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"treeiter"}}],[10,"insert_after","","",386,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"treeiter"}}],[10,"insert_before","","",386,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"treeiter"}}],[10,"iter_is_valid","","",386,{"inputs":[{"name":"self"},{"name":"treeiter"}],"output":{"name":"bool"}}],[10,"move_after","","",386,{"inputs":[{"name":"self"},{"name":"treeiter"},{"name":"p"}],"output":null}],[10,"move_before","","",386,{"inputs":[{"name":"self"},{"name":"treeiter"},{"name":"p"}],"output":null}],[10,"prepend","","",386,{"inputs":[{"name":"self"}],"output":{"name":"treeiter"}}],[10,"remove","","",386,{"inputs":[{"name":"self"},{"name":"treeiter"}],"output":{"name":"bool"}}],[10,"swap","","",386,{"inputs":[{"name":"self"},{"name":"treeiter"},{"name":"treeiter"}],"output":null}],[8,"MenuExt","","",null,null],[10,"attach","","",387,{"inputs":[{"name":"self"},{"name":"p"},{"name":"u32"},{"name":"u32"},{"name":"u32"},{"name":"u32"}],"output":null}],[10,"detach","","",387,{"inputs":[{"name":"self"}],"output":null}],[10,"get_accel_group","","",387,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_accel_path","","",387,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_active","","",387,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_attach_widget","","",387,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_monitor","","",387,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_reserve_toggle_size","","",387,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_tearoff_state","","",387,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_title","","",387,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"place_on_monitor","","",387,{"inputs":[{"name":"self"},{"name":"monitor"}],"output":null}],[10,"popdown","","",387,{"inputs":[{"name":"self"}],"output":null}],[10,"popup_at_pointer","","",387,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"popup_at_rect","","",387,{"inputs":[{"name":"self"},{"name":"window"},{"name":"rectangle"},{"name":"gravity"},{"name":"gravity"},{"name":"p"}],"output":null}],[10,"popup_at_widget","","",387,{"inputs":[{"name":"self"},{"name":"p"},{"name":"gravity"},{"name":"gravity"},{"name":"q"}],"output":null}],[10,"reorder_child","","",387,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"}],"output":null}],[10,"reposition","","",387,{"inputs":[{"name":"self"}],"output":null}],[10,"set_accel_group","","",387,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_accel_path","","",387,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_active","","",387,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"set_monitor","","",387,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_reserve_toggle_size","","",387,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_screen","","",387,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_tearoff_state","","",387,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_title","","",387,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"get_property_anchor_hints","","",387,{"inputs":[{"name":"self"}],"output":{"name":"anchorhints"}}],[10,"set_property_anchor_hints","","",387,{"inputs":[{"name":"self"},{"name":"anchorhints"}],"output":null}],[10,"set_property_attach_widget","","",387,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_menu_type_hint","","",387,{"inputs":[{"name":"self"}],"output":{"name":"windowtypehint"}}],[10,"set_property_menu_type_hint","","",387,{"inputs":[{"name":"self"},{"name":"windowtypehint"}],"output":null}],[10,"get_property_rect_anchor_dx","","",387,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_rect_anchor_dx","","",387,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_rect_anchor_dy","","",387,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_rect_anchor_dy","","",387,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_tearoff_title","","",387,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_tearoff_title","","",387,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_item_bottom_attach","","",387,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"i32"}}],[10,"set_item_bottom_attach","","",387,{"inputs":[{"name":"self"},{"name":"t"},{"name":"i32"}],"output":null}],[10,"get_item_left_attach","","",387,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"i32"}}],[10,"set_item_left_attach","","",387,{"inputs":[{"name":"self"},{"name":"t"},{"name":"i32"}],"output":null}],[10,"get_item_right_attach","","",387,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"i32"}}],[10,"set_item_right_attach","","",387,{"inputs":[{"name":"self"},{"name":"t"},{"name":"i32"}],"output":null}],[10,"get_item_top_attach","","",387,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"i32"}}],[10,"set_item_top_attach","","",387,{"inputs":[{"name":"self"},{"name":"t"},{"name":"i32"}],"output":null}],[10,"connect_move_scroll","","",387,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"MenuBarExt","","",null,null],[10,"get_child_pack_direction","","",388,{"inputs":[{"name":"self"}],"output":{"name":"packdirection"}}],[10,"get_pack_direction","","",388,{"inputs":[{"name":"self"}],"output":{"name":"packdirection"}}],[10,"set_child_pack_direction","","",388,{"inputs":[{"name":"self"},{"name":"packdirection"}],"output":null}],[10,"set_pack_direction","","",388,{"inputs":[{"name":"self"},{"name":"packdirection"}],"output":null}],[8,"MenuButtonExt","","",null,null],[10,"get_align_widget","","",389,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_direction","","",389,{"inputs":[{"name":"self"}],"output":{"name":"arrowtype"}}],[10,"get_menu_model","","",389,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_popover","","",389,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_popup","","",389,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_use_popover","","",389,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_align_widget","","",389,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_direction","","",389,{"inputs":[{"name":"self"},{"name":"arrowtype"}],"output":null}],[10,"set_menu_model","","",389,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_popover","","",389,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_popup","","",389,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_use_popover","","",389,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[8,"MenuItemExt","","",null,null],[10,"deselect","","",390,{"inputs":[{"name":"self"}],"output":null}],[10,"get_accel_path","","",390,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_label","","",390,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_reserve_indicator","","",390,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_submenu","","",390,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_use_underline","","",390,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"select","","",390,{"inputs":[{"name":"self"}],"output":null}],[10,"set_accel_path","","",390,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_label","","",390,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_reserve_indicator","","",390,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_submenu","","",390,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_use_underline","","",390,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"toggle_size_allocate","","",390,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"toggle_size_request","","",390,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_right_justified","","",390,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_right_justified","","",390,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_activate","","",390,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_activate_item","","",390,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_deselect","","",390,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_select","","",390,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_toggle_size_allocate","","",390,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"MenuShellExt","","",null,null],[10,"activate_item","","",391,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"}],"output":null}],[10,"append","","",391,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"bind_model","","",391,{"inputs":[{"name":"self"},{"name":"q"},{"name":"r"},{"name":"bool"}],"output":null}],[10,"cancel","","",391,{"inputs":[{"name":"self"}],"output":null}],[10,"deactivate","","",391,{"inputs":[{"name":"self"}],"output":null}],[10,"deselect","","",391,{"inputs":[{"name":"self"}],"output":null}],[10,"get_parent_shell","","",391,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_selected_item","","",391,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_take_focus","","",391,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"insert","","",391,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"}],"output":null}],[10,"prepend","","",391,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"select_first","","",391,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"select_item","","",391,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_take_focus","","",391,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_activate_current","","",391,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_cancel","","",391,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_cycle_focus","","",391,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_deactivate","","",391,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_insert","","",391,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_move_current","","",391,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_move_selected","","",391,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_selection_done","","",391,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"MenuToolButtonExt","","",null,null],[10,"get_menu","","",392,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_arrow_tooltip_markup","","",392,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_arrow_tooltip_text","","",392,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_menu","","",392,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"connect_show_menu","","",392,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"MessageDialogExt","","",null,null],[10,"get_image","","",393,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_message_area","","",393,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_image","","",393,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_markup","","",393,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"get_property_message_type","","",393,{"inputs":[{"name":"self"}],"output":{"name":"messagetype"}}],[10,"set_property_message_type","","",393,{"inputs":[{"name":"self"},{"name":"messagetype"}],"output":null}],[10,"get_property_secondary_text","","",393,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_secondary_text","","",393,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_secondary_use_markup","","",393,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_secondary_use_markup","","",393,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_text","","",393,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_text","","",393,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_use_markup","","",393,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_use_markup","","",393,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[8,"MiscExt","","",null,null],[10,"get_alignment","","",394,null],[10,"get_padding","","",394,null],[10,"set_alignment","","",394,{"inputs":[{"name":"self"},{"name":"f32"},{"name":"f32"}],"output":null}],[10,"set_padding","","",394,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"get_property_xalign","","",394,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"set_property_xalign","","",394,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[10,"get_property_xpad","","",394,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_xpad","","",394,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_yalign","","",394,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"set_property_yalign","","",394,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[10,"get_property_ypad","","",394,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_ypad","","",394,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[8,"ModelButtonExt","","",null,null],[10,"get_property_active","","",395,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_active","","",395,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_centered","","",395,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_centered","","",395,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_icon","","",395,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_icon","","",395,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_iconic","","",395,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_iconic","","",395,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_inverted","","",395,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_inverted","","",395,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_menu_name","","",395,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_menu_name","","",395,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_role","","",395,{"inputs":[{"name":"self"}],"output":{"name":"buttonrole"}}],[10,"set_property_role","","",395,{"inputs":[{"name":"self"},{"name":"buttonrole"}],"output":null}],[10,"get_property_text","","",395,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_text","","",395,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[8,"NotebookExt","","",null,null],[10,"detach_tab","","",396,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"get_action_widget","","",396,{"inputs":[{"name":"self"},{"name":"packtype"}],"output":{"name":"option"}}],[10,"get_group_name","","",396,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_menu_label","","",396,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"option"}}],[10,"get_menu_label_text","","",396,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"option"}}],[10,"get_scrollable","","",396,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_show_border","","",396,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_show_tabs","","",396,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_tab_detachable","","",396,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"get_tab_label","","",396,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"option"}}],[10,"get_tab_label_text","","",396,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"option"}}],[10,"get_tab_pos","","",396,{"inputs":[{"name":"self"}],"output":{"name":"positiontype"}}],[10,"get_tab_reorderable","","",396,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"next_page","","",396,{"inputs":[{"name":"self"}],"output":null}],[10,"popup_disable","","",396,{"inputs":[{"name":"self"}],"output":null}],[10,"popup_enable","","",396,{"inputs":[{"name":"self"}],"output":null}],[10,"prev_page","","",396,{"inputs":[{"name":"self"}],"output":null}],[10,"set_action_widget","","",396,{"inputs":[{"name":"self"},{"name":"p"},{"name":"packtype"}],"output":null}],[10,"set_group_name","","",396,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_menu_label","","",396,{"inputs":[{"name":"self"},{"name":"p"},{"name":"r"}],"output":null}],[10,"set_menu_label_text","","",396,{"inputs":[{"name":"self"},{"name":"p"},{"name":"str"}],"output":null}],[10,"set_scrollable","","",396,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_show_border","","",396,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_show_tabs","","",396,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_tab_detachable","","",396,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"}],"output":null}],[10,"set_tab_label","","",396,{"inputs":[{"name":"self"},{"name":"p"},{"name":"r"}],"output":null}],[10,"set_tab_label_text","","",396,{"inputs":[{"name":"self"},{"name":"p"},{"name":"str"}],"output":null}],[10,"set_tab_pos","","",396,{"inputs":[{"name":"self"},{"name":"positiontype"}],"output":null}],[10,"set_tab_reorderable","","",396,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"}],"output":null}],[10,"get_property_enable_popup","","",396,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_enable_popup","","",396,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_page","","",396,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_page","","",396,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"connect_change_current_page","","",396,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_create_window","","",396,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_focus_tab","","",396,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_move_focus_out","","",396,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_page_added","","",396,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_page_removed","","",396,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_page_reordered","","",396,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_reorder_tab","","",396,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_select_page","","",396,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_switch_page","","",396,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"OrientableExt","","",null,null],[10,"get_orientation","","",397,{"inputs":[{"name":"self"}],"output":{"name":"orientation"}}],[10,"set_orientation","","",397,{"inputs":[{"name":"self"},{"name":"orientation"}],"output":null}],[8,"OverlayExt","","",null,null],[10,"add_overlay","","",398,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"get_overlay_pass_through","","",398,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"reorder_overlay","","",398,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"}],"output":null}],[10,"set_overlay_pass_through","","",398,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"}],"output":null}],[10,"get_child_index","","",398,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"i32"}}],[10,"set_child_index","","",398,{"inputs":[{"name":"self"},{"name":"t"},{"name":"i32"}],"output":null}],[8,"PageSetupExt","","",null,null],[10,"copy","","",399,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_bottom_margin","","",399,{"inputs":[{"name":"self"},{"name":"unit"}],"output":{"name":"f64"}}],[10,"get_left_margin","","",399,{"inputs":[{"name":"self"},{"name":"unit"}],"output":{"name":"f64"}}],[10,"get_orientation","","",399,{"inputs":[{"name":"self"}],"output":{"name":"pageorientation"}}],[10,"get_page_height","","",399,{"inputs":[{"name":"self"},{"name":"unit"}],"output":{"name":"f64"}}],[10,"get_page_width","","",399,{"inputs":[{"name":"self"},{"name":"unit"}],"output":{"name":"f64"}}],[10,"get_paper_height","","",399,{"inputs":[{"name":"self"},{"name":"unit"}],"output":{"name":"f64"}}],[10,"get_paper_size","","",399,{"inputs":[{"name":"self"}],"output":{"name":"papersize"}}],[10,"get_paper_width","","",399,{"inputs":[{"name":"self"},{"name":"unit"}],"output":{"name":"f64"}}],[10,"get_right_margin","","",399,{"inputs":[{"name":"self"},{"name":"unit"}],"output":{"name":"f64"}}],[10,"get_top_margin","","",399,{"inputs":[{"name":"self"},{"name":"unit"}],"output":{"name":"f64"}}],[10,"load_file","","",399,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[10,"load_key_file","","",399,{"inputs":[{"name":"self"},{"name":"keyfile"},{"name":"p"}],"output":{"name":"result"}}],[10,"set_bottom_margin","","",399,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"unit"}],"output":null}],[10,"set_left_margin","","",399,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"unit"}],"output":null}],[10,"set_orientation","","",399,{"inputs":[{"name":"self"},{"name":"pageorientation"}],"output":null}],[10,"set_paper_size","","",399,{"inputs":[{"name":"self"},{"name":"papersize"}],"output":null}],[10,"set_paper_size_and_default_margins","","",399,{"inputs":[{"name":"self"},{"name":"papersize"}],"output":null}],[10,"set_right_margin","","",399,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"unit"}],"output":null}],[10,"set_top_margin","","",399,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"unit"}],"output":null}],[10,"to_file","","",399,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[10,"to_gvariant","","",399,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"to_key_file","","",399,{"inputs":[{"name":"self"},{"name":"keyfile"},{"name":"str"}],"output":null}],[8,"PanedExt","","",null,null],[10,"add1","","",400,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"add2","","",400,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"get_child1","","",400,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_child2","","",400,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_handle_window","","",400,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_position","","",400,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_wide_handle","","",400,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"pack1","","",400,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"},{"name":"bool"}],"output":null}],[10,"pack2","","",400,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"},{"name":"bool"}],"output":null}],[10,"set_position","","",400,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_wide_handle","","",400,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_max_position","","",400,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_property_min_position","","",400,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_property_position_set","","",400,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_position_set","","",400,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_child_resize","","",400,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[10,"set_child_resize","","",400,{"inputs":[{"name":"self"},{"name":"t"},{"name":"bool"}],"output":null}],[10,"get_child_shrink","","",400,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[10,"set_child_shrink","","",400,{"inputs":[{"name":"self"},{"name":"t"},{"name":"bool"}],"output":null}],[10,"connect_accept_position","","",400,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_cancel_position","","",400,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_cycle_child_focus","","",400,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_cycle_handle_focus","","",400,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_move_handle","","",400,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_toggle_handle_focus","","",400,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"PlacesSidebarExt","","",null,null],[10,"get_local_only","","",401,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_open_flags","","",401,{"inputs":[{"name":"self"}],"output":{"name":"placesopenflags"}}],[10,"get_show_connect_to_server","","",401,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_show_desktop","","",401,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_show_enter_location","","",401,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_show_other_locations","","",401,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_show_recent","","",401,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_show_trash","","",401,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_drop_targets_visible","","",401,{"inputs":[{"name":"self"},{"name":"bool"},{"name":"dragcontext"}],"output":null}],[10,"set_local_only","","",401,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_open_flags","","",401,{"inputs":[{"name":"self"},{"name":"placesopenflags"}],"output":null}],[10,"set_show_connect_to_server","","",401,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_show_desktop","","",401,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_show_enter_location","","",401,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_show_other_locations","","",401,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_show_recent","","",401,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_show_trash","","",401,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_local_only","","",401,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_local_only","","",401,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_open_flags","","",401,{"inputs":[{"name":"self"}],"output":{"name":"placesopenflags"}}],[10,"set_property_open_flags","","",401,{"inputs":[{"name":"self"},{"name":"placesopenflags"}],"output":null}],[10,"get_property_populate_all","","",401,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_populate_all","","",401,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_property_show_connect_to_server","","",401,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_show_desktop","","",401,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_show_desktop","","",401,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_show_enter_location","","",401,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_show_enter_location","","",401,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_show_other_locations","","",401,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_show_other_locations","","",401,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_show_recent","","",401,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_show_recent","","",401,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_show_trash","","",401,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_show_trash","","",401,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_drag_action_ask","","",401,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_show_connect_to_server","","",401,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_show_enter_location","","",401,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_show_error_message","","",401,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_show_other_locations","","",401,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_show_other_locations_with_flags","","",401,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"PopoverExt","","",null,null],[10,"bind_model","","",402,{"inputs":[{"name":"self"},{"name":"q"},{"name":"r"}],"output":null}],[10,"get_constrain_to","","",402,{"inputs":[{"name":"self"}],"output":{"name":"popoverconstraint"}}],[10,"get_default_widget","","",402,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_modal","","",402,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_pointing_to","","",402,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_position","","",402,{"inputs":[{"name":"self"}],"output":{"name":"positiontype"}}],[10,"get_relative_to","","",402,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_transitions_enabled","","",402,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"popdown","","",402,{"inputs":[{"name":"self"}],"output":null}],[10,"popup","","",402,{"inputs":[{"name":"self"}],"output":null}],[10,"set_constrain_to","","",402,{"inputs":[{"name":"self"},{"name":"popoverconstraint"}],"output":null}],[10,"set_default_widget","","",402,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_modal","","",402,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_pointing_to","","",402,{"inputs":[{"name":"self"},{"name":"rectangle"}],"output":null}],[10,"set_position","","",402,{"inputs":[{"name":"self"},{"name":"positiontype"}],"output":null}],[10,"set_relative_to","","",402,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_transitions_enabled","","",402,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_closed","","",402,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"PopoverMenuExt","","",null,null],[10,"open_submenu","","",403,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"get_property_visible_submenu","","",403,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_visible_submenu","","",403,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_child_position","","",403,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"i32"}}],[10,"set_child_position","","",403,{"inputs":[{"name":"self"},{"name":"t"},{"name":"i32"}],"output":null}],[10,"get_child_submenu","","",403,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"option"}}],[10,"set_child_submenu","","",403,{"inputs":[{"name":"self"},{"name":"t"},{"name":"p"}],"output":null}],[8,"PrintContextExt","","",null,null],[10,"create_pango_context","","",404,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"create_pango_layout","","",404,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_cairo_context","","",404,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_dpi_x","","",404,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_dpi_y","","",404,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_hard_margins","","",404,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_height","","",404,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_page_setup","","",404,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_pango_fontmap","","",404,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_width","","",404,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"set_cairo_context","","",404,{"inputs":[{"name":"self"},{"name":"context"},{"name":"f64"},{"name":"f64"}],"output":null}],[8,"PrintSettingsExt","","",null,null],[10,"copy","","",405,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get","","",405,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_bool","","",405,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[10,"get_collate","","",405,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_default_source","","",405,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_dither","","",405,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_double","","",405,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"f64"}}],[10,"get_double_with_default","","",405,{"inputs":[{"name":"self"},{"name":"str"},{"name":"f64"}],"output":{"name":"f64"}}],[10,"get_duplex","","",405,{"inputs":[{"name":"self"}],"output":{"name":"printduplex"}}],[10,"get_finishings","","",405,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_int","","",405,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"i32"}}],[10,"get_int_with_default","","",405,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"}],"output":{"name":"i32"}}],[10,"get_length","","",405,{"inputs":[{"name":"self"},{"name":"str"},{"name":"unit"}],"output":{"name":"f64"}}],[10,"get_media_type","","",405,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_n_copies","","",405,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_number_up","","",405,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_number_up_layout","","",405,{"inputs":[{"name":"self"}],"output":{"name":"numberuplayout"}}],[10,"get_orientation","","",405,{"inputs":[{"name":"self"}],"output":{"name":"pageorientation"}}],[10,"get_output_bin","","",405,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_page_set","","",405,{"inputs":[{"name":"self"}],"output":{"name":"pageset"}}],[10,"get_paper_height","","",405,{"inputs":[{"name":"self"},{"name":"unit"}],"output":{"name":"f64"}}],[10,"get_paper_size","","",405,{"inputs":[{"name":"self"}],"output":{"name":"papersize"}}],[10,"get_paper_width","","",405,{"inputs":[{"name":"self"},{"name":"unit"}],"output":{"name":"f64"}}],[10,"get_print_pages","","",405,{"inputs":[{"name":"self"}],"output":{"name":"printpages"}}],[10,"get_printer","","",405,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_printer_lpi","","",405,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_quality","","",405,{"inputs":[{"name":"self"}],"output":{"name":"printquality"}}],[10,"get_resolution","","",405,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_resolution_x","","",405,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_resolution_y","","",405,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_reverse","","",405,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_scale","","",405,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_use_color","","",405,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"has_key","","",405,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[10,"load_file","","",405,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[10,"load_key_file","","",405,{"inputs":[{"name":"self"},{"name":"keyfile"},{"name":"p"}],"output":{"name":"result"}}],[10,"set","","",405,{"inputs":[{"name":"self"},{"name":"str"},{"name":"p"}],"output":null}],[10,"set_bool","","",405,{"inputs":[{"name":"self"},{"name":"str"},{"name":"bool"}],"output":null}],[10,"set_collate","","",405,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_default_source","","",405,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_dither","","",405,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_double","","",405,{"inputs":[{"name":"self"},{"name":"str"},{"name":"f64"}],"output":null}],[10,"set_duplex","","",405,{"inputs":[{"name":"self"},{"name":"printduplex"}],"output":null}],[10,"set_finishings","","",405,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_int","","",405,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"}],"output":null}],[10,"set_length","","",405,{"inputs":[{"name":"self"},{"name":"str"},{"name":"f64"},{"name":"unit"}],"output":null}],[10,"set_media_type","","",405,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_n_copies","","",405,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_number_up","","",405,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_number_up_layout","","",405,{"inputs":[{"name":"self"},{"name":"numberuplayout"}],"output":null}],[10,"set_orientation","","",405,{"inputs":[{"name":"self"},{"name":"pageorientation"}],"output":null}],[10,"set_output_bin","","",405,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_page_set","","",405,{"inputs":[{"name":"self"},{"name":"pageset"}],"output":null}],[10,"set_paper_height","","",405,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"unit"}],"output":null}],[10,"set_paper_size","","",405,{"inputs":[{"name":"self"},{"name":"papersize"}],"output":null}],[10,"set_paper_width","","",405,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"unit"}],"output":null}],[10,"set_print_pages","","",405,{"inputs":[{"name":"self"},{"name":"printpages"}],"output":null}],[10,"set_printer","","",405,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_printer_lpi","","",405,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"set_quality","","",405,{"inputs":[{"name":"self"},{"name":"printquality"}],"output":null}],[10,"set_resolution","","",405,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_resolution_xy","","",405,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"set_reverse","","",405,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_scale","","",405,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"set_use_color","","",405,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"to_file","","",405,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[10,"to_gvariant","","",405,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"to_key_file","","",405,{"inputs":[{"name":"self"},{"name":"keyfile"},{"name":"str"}],"output":null}],[10,"unset","","",405,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[8,"ProgressBarExt","","",null,null],[10,"get_ellipsize","","",406,{"inputs":[{"name":"self"}],"output":{"name":"ellipsizemode"}}],[10,"get_fraction","","",406,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_inverted","","",406,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_pulse_step","","",406,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_show_text","","",406,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_text","","",406,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"pulse","","",406,{"inputs":[{"name":"self"}],"output":null}],[10,"set_ellipsize","","",406,{"inputs":[{"name":"self"},{"name":"ellipsizemode"}],"output":null}],[10,"set_fraction","","",406,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"set_inverted","","",406,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_pulse_step","","",406,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"set_show_text","","",406,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_text","","",406,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[8,"RadioButtonExt","","",null,null],[10,"get_group","","",407,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"join_group","","",407,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"connect_group_changed","","",407,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"RadioMenuItemExt","","",null,null],[10,"get_group","","",408,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"join_group","","",408,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"connect_group_changed","","",408,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"RangeExt","","",null,null],[10,"get_adjustment","","",409,{"inputs":[{"name":"self"}],"output":{"name":"adjustment"}}],[10,"get_fill_level","","",409,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_flippable","","",409,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_inverted","","",409,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_lower_stepper_sensitivity","","",409,{"inputs":[{"name":"self"}],"output":{"name":"sensitivitytype"}}],[10,"get_min_slider_size","","",409,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_range_rect","","",409,{"inputs":[{"name":"self"}],"output":{"name":"rectangle"}}],[10,"get_restrict_to_fill_level","","",409,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_round_digits","","",409,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_show_fill_level","","",409,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_slider_range","","",409,null],[10,"get_slider_size_fixed","","",409,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_upper_stepper_sensitivity","","",409,{"inputs":[{"name":"self"}],"output":{"name":"sensitivitytype"}}],[10,"get_value","","",409,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"set_adjustment","","",409,{"inputs":[{"name":"self"},{"name":"adjustment"}],"output":null}],[10,"set_fill_level","","",409,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"set_flippable","","",409,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_increments","","",409,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"}],"output":null}],[10,"set_inverted","","",409,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_lower_stepper_sensitivity","","",409,{"inputs":[{"name":"self"},{"name":"sensitivitytype"}],"output":null}],[10,"set_min_slider_size","","",409,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_range","","",409,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"}],"output":null}],[10,"set_restrict_to_fill_level","","",409,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_round_digits","","",409,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_show_fill_level","","",409,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_slider_size_fixed","","",409,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_upper_stepper_sensitivity","","",409,{"inputs":[{"name":"self"},{"name":"sensitivitytype"}],"output":null}],[10,"set_value","","",409,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"connect_adjust_bounds","","",409,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_change_value","","",409,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_move_slider","","",409,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_value_changed","","",409,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"RecentChooserExt","","",null,null],[10,"add_filter","","",410,{"inputs":[{"name":"self"},{"name":"recentfilter"}],"output":null}],[10,"get_current_item","","",410,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_current_uri","","",410,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_filter","","",410,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_items","","",410,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"get_limit","","",410,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_local_only","","",410,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_select_multiple","","",410,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_show_icons","","",410,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_show_not_found","","",410,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_show_private","","",410,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_show_tips","","",410,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_sort_type","","",410,{"inputs":[{"name":"self"}],"output":{"name":"recentsorttype"}}],[10,"get_uris","","",410,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"list_filters","","",410,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"remove_filter","","",410,{"inputs":[{"name":"self"},{"name":"recentfilter"}],"output":null}],[10,"select_all","","",410,{"inputs":[{"name":"self"}],"output":null}],[10,"select_uri","","",410,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"result"}}],[10,"set_current_uri","","",410,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"result"}}],[10,"set_filter","","",410,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_limit","","",410,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_local_only","","",410,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_select_multiple","","",410,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_show_icons","","",410,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_show_not_found","","",410,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_show_private","","",410,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_show_tips","","",410,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_sort_type","","",410,{"inputs":[{"name":"self"},{"name":"recentsorttype"}],"output":null}],[10,"unselect_all","","",410,{"inputs":[{"name":"self"}],"output":null}],[10,"unselect_uri","","",410,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"connect_item_activated","","",410,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_selection_changed","","",410,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"RecentFilterExt","","",null,null],[10,"add_age","","",411,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"add_application","","",411,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"add_group","","",411,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"add_mime_type","","",411,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"add_pattern","","",411,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"add_pixbuf_formats","","",411,{"inputs":[{"name":"self"}],"output":null}],[10,"get_name","","",411,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_needed","","",411,{"inputs":[{"name":"self"}],"output":{"name":"recentfilterflags"}}],[10,"set_name","","",411,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[8,"RecentManagerExt","","",null,null],[10,"add_full","","",412,{"inputs":[{"name":"self"},{"name":"str"},{"name":"recentdata"}],"output":{"name":"bool"}}],[10,"add_item","","",412,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[10,"get_items","","",412,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"has_item","","",412,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[10,"lookup_item","","",412,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"result"}}],[10,"move_item","","",412,{"inputs":[{"name":"self"},{"name":"str"},{"name":"p"}],"output":{"name":"result"}}],[10,"purge_items","","",412,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[10,"remove_item","","",412,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"result"}}],[10,"get_property_filename","","",412,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_property_size","","",412,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"connect_changed","","",412,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"RevealerExt","","",null,null],[10,"get_child_revealed","","",413,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_reveal_child","","",413,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_transition_duration","","",413,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"get_transition_type","","",413,{"inputs":[{"name":"self"}],"output":{"name":"revealertransitiontype"}}],[10,"set_reveal_child","","",413,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_transition_duration","","",413,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"set_transition_type","","",413,{"inputs":[{"name":"self"},{"name":"revealertransitiontype"}],"output":null}],[10,"get_property_child_revealed","","",413,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_property_reveal_child","","",413,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_reveal_child","","",413,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_transition_duration","","",413,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_transition_duration","","",413,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_transition_type","","",413,{"inputs":[{"name":"self"}],"output":{"name":"revealertransitiontype"}}],[10,"set_property_transition_type","","",413,{"inputs":[{"name":"self"},{"name":"revealertransitiontype"}],"output":null}],[8,"ScaleExt","","",null,null],[10,"add_mark","","",414,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"positiontype"},{"name":"p"}],"output":null}],[10,"clear_marks","","",414,{"inputs":[{"name":"self"}],"output":null}],[10,"get_digits","","",414,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_draw_value","","",414,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_has_origin","","",414,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_layout","","",414,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_layout_offsets","","",414,null],[10,"get_value_pos","","",414,{"inputs":[{"name":"self"}],"output":{"name":"positiontype"}}],[10,"set_digits","","",414,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_draw_value","","",414,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_has_origin","","",414,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_value_pos","","",414,{"inputs":[{"name":"self"},{"name":"positiontype"}],"output":null}],[10,"connect_format_value","","",414,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ScaleButtonExt","","",null,null],[10,"get_adjustment","","",415,{"inputs":[{"name":"self"}],"output":{"name":"adjustment"}}],[10,"get_minus_button","","",415,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_plus_button","","",415,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_popup","","",415,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_value","","",415,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"set_adjustment","","",415,{"inputs":[{"name":"self"},{"name":"adjustment"}],"output":null}],[10,"set_icons","","",415,null],[10,"set_value","","",415,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"get_property_size","","",415,{"inputs":[{"name":"self"}],"output":{"name":"iconsize"}}],[10,"set_property_size","","",415,{"inputs":[{"name":"self"},{"name":"iconsize"}],"output":null}],[10,"connect_popdown","","",415,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_popup","","",415,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_value_changed","","",415,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ScrollableExt","","",null,null],[10,"get_hadjustment","","",416,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_hscroll_policy","","",416,{"inputs":[{"name":"self"}],"output":{"name":"scrollablepolicy"}}],[10,"get_vadjustment","","",416,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_vscroll_policy","","",416,{"inputs":[{"name":"self"}],"output":{"name":"scrollablepolicy"}}],[10,"set_hadjustment","","",416,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_hscroll_policy","","",416,{"inputs":[{"name":"self"},{"name":"scrollablepolicy"}],"output":null}],[10,"set_vadjustment","","",416,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_vscroll_policy","","",416,{"inputs":[{"name":"self"},{"name":"scrollablepolicy"}],"output":null}],[8,"ScrolledWindowExt","","",null,null],[10,"add_with_viewport","","",417,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"get_capture_button_press","","",417,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_hadjustment","","",417,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_hscrollbar","","",417,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_kinetic_scrolling","","",417,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_max_content_height","","",417,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_max_content_width","","",417,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_min_content_height","","",417,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_min_content_width","","",417,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_overlay_scrolling","","",417,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_placement","","",417,{"inputs":[{"name":"self"}],"output":{"name":"cornertype"}}],[10,"get_policy","","",417,null],[10,"get_propagate_natural_height","","",417,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_propagate_natural_width","","",417,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_shadow_type","","",417,{"inputs":[{"name":"self"}],"output":{"name":"shadowtype"}}],[10,"get_vadjustment","","",417,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_vscrollbar","","",417,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_capture_button_press","","",417,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_hadjustment","","",417,{"inputs":[{"name":"self"},{"name":"adjustment"}],"output":null}],[10,"set_kinetic_scrolling","","",417,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_max_content_height","","",417,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_max_content_width","","",417,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_min_content_height","","",417,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_min_content_width","","",417,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_overlay_scrolling","","",417,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_placement","","",417,{"inputs":[{"name":"self"},{"name":"cornertype"}],"output":null}],[10,"set_policy","","",417,{"inputs":[{"name":"self"},{"name":"policytype"},{"name":"policytype"}],"output":null}],[10,"set_propagate_natural_height","","",417,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_propagate_natural_width","","",417,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_shadow_type","","",417,{"inputs":[{"name":"self"},{"name":"shadowtype"}],"output":null}],[10,"set_vadjustment","","",417,{"inputs":[{"name":"self"},{"name":"adjustment"}],"output":null}],[10,"unset_placement","","",417,{"inputs":[{"name":"self"}],"output":null}],[10,"get_property_hscrollbar_policy","","",417,{"inputs":[{"name":"self"}],"output":{"name":"policytype"}}],[10,"set_property_hscrollbar_policy","","",417,{"inputs":[{"name":"self"},{"name":"policytype"}],"output":null}],[10,"get_property_vscrollbar_policy","","",417,{"inputs":[{"name":"self"}],"output":{"name":"policytype"}}],[10,"set_property_vscrollbar_policy","","",417,{"inputs":[{"name":"self"},{"name":"policytype"}],"output":null}],[10,"get_property_window_placement","","",417,{"inputs":[{"name":"self"}],"output":{"name":"cornertype"}}],[10,"set_property_window_placement","","",417,{"inputs":[{"name":"self"},{"name":"cornertype"}],"output":null}],[10,"get_property_window_placement_set","","",417,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_window_placement_set","","",417,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_edge_overshot","","",417,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_edge_reached","","",417,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_move_focus_out","","",417,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_scroll_child","","",417,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"SearchBarExt","","",null,null],[10,"connect_entry","","",418,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"get_search_mode","","",418,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_show_close_button","","",418,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"handle_event","","",418,{"inputs":[{"name":"self"},{"name":"event"}],"output":{"name":"bool"}}],[10,"set_search_mode","","",418,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_show_close_button","","",418,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_search_mode_enabled","","",418,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_search_mode_enabled","","",418,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_show_close_button","","",418,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_show_close_button","","",418,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[8,"SearchEntryExt","","",null,null],[10,"handle_event","","",419,{"inputs":[{"name":"self"},{"name":"event"}],"output":{"name":"bool"}}],[10,"connect_next_match","","",419,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_previous_match","","",419,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_search_changed","","",419,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_stop_search","","",419,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"SeparatorToolItemExt","","",null,null],[10,"get_draw","","",420,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_draw","","",420,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[8,"SettingsExt","","",null,null],[10,"reset_property","","",421,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_double_property","","",421,{"inputs":[{"name":"self"},{"name":"str"},{"name":"f64"},{"name":"str"}],"output":null}],[10,"set_long_property","","",421,{"inputs":[{"name":"self"},{"name":"str"},{"name":"c_long"},{"name":"str"}],"output":null}],[10,"set_string_property","","",421,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"},{"name":"str"}],"output":null}],[10,"get_property_gtk_alternative_button_order","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_alternative_button_order","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_alternative_sort_arrows","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_alternative_sort_arrows","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_application_prefer_dark_theme","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_application_prefer_dark_theme","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_auto_mnemonics","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_auto_mnemonics","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_button_images","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_button_images","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_can_change_accels","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_can_change_accels","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_color_palette","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_color_palette","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_color_scheme","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_color_scheme","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_cursor_blink","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_cursor_blink","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_cursor_blink_time","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_cursor_blink_time","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_cursor_blink_timeout","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_cursor_blink_timeout","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_cursor_theme_name","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_cursor_theme_name","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_cursor_theme_size","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_cursor_theme_size","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_decoration_layout","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_decoration_layout","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_dialogs_use_header","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_dialogs_use_header","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_dnd_drag_threshold","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_dnd_drag_threshold","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_double_click_distance","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_double_click_distance","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_double_click_time","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_double_click_time","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_enable_accels","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_enable_accels","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_enable_animations","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_enable_animations","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_enable_event_sounds","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_enable_event_sounds","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_enable_input_feedback_sounds","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_enable_input_feedback_sounds","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_enable_mnemonics","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_enable_mnemonics","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_enable_primary_paste","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_enable_primary_paste","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_enable_tooltips","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_enable_tooltips","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_entry_password_hint_timeout","","",421,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_gtk_entry_password_hint_timeout","","",421,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_gtk_entry_select_on_focus","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_entry_select_on_focus","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_error_bell","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_error_bell","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_fallback_icon_theme","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_fallback_icon_theme","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_file_chooser_backend","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_file_chooser_backend","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_font_name","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_font_name","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_fontconfig_timestamp","","",421,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_gtk_fontconfig_timestamp","","",421,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_gtk_icon_sizes","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_icon_sizes","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_icon_theme_name","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_icon_theme_name","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_im_module","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_im_module","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_im_preedit_style","","",421,{"inputs":[{"name":"self"}],"output":{"name":"impreeditstyle"}}],[10,"set_property_gtk_im_preedit_style","","",421,{"inputs":[{"name":"self"},{"name":"impreeditstyle"}],"output":null}],[10,"get_property_gtk_im_status_style","","",421,{"inputs":[{"name":"self"}],"output":{"name":"imstatusstyle"}}],[10,"set_property_gtk_im_status_style","","",421,{"inputs":[{"name":"self"},{"name":"imstatusstyle"}],"output":null}],[10,"get_property_gtk_key_theme_name","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_key_theme_name","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_keynav_cursor_only","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_keynav_cursor_only","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_keynav_use_caret","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_keynav_use_caret","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_keynav_wrap_around","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_keynav_wrap_around","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_label_select_on_focus","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_label_select_on_focus","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_long_press_time","","",421,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_gtk_long_press_time","","",421,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_gtk_menu_bar_accel","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_menu_bar_accel","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_menu_bar_popup_delay","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_menu_bar_popup_delay","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_menu_images","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_menu_images","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_menu_popdown_delay","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_menu_popdown_delay","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_menu_popup_delay","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_menu_popup_delay","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_modules","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_modules","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_primary_button_warps_slider","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_primary_button_warps_slider","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_print_backends","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_print_backends","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_print_preview_command","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_print_preview_command","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_recent_files_enabled","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_recent_files_enabled","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_recent_files_limit","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_recent_files_limit","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_recent_files_max_age","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_recent_files_max_age","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_scrolled_window_placement","","",421,{"inputs":[{"name":"self"}],"output":{"name":"cornertype"}}],[10,"set_property_gtk_scrolled_window_placement","","",421,{"inputs":[{"name":"self"},{"name":"cornertype"}],"output":null}],[10,"get_property_gtk_shell_shows_app_menu","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_shell_shows_app_menu","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_shell_shows_desktop","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_shell_shows_desktop","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_shell_shows_menubar","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_shell_shows_menubar","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_show_input_method_menu","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_show_input_method_menu","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_show_unicode_menu","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_show_unicode_menu","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_sound_theme_name","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_sound_theme_name","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_split_cursor","","",421,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_gtk_split_cursor","","",421,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_gtk_theme_name","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_theme_name","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_timeout_expand","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_timeout_expand","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_timeout_initial","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_timeout_initial","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_timeout_repeat","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_timeout_repeat","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_titlebar_double_click","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_titlebar_double_click","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_titlebar_middle_click","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_titlebar_middle_click","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_titlebar_right_click","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_titlebar_right_click","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_toolbar_icon_size","","",421,{"inputs":[{"name":"self"}],"output":{"name":"iconsize"}}],[10,"set_property_gtk_toolbar_icon_size","","",421,{"inputs":[{"name":"self"},{"name":"iconsize"}],"output":null}],[10,"get_property_gtk_toolbar_style","","",421,{"inputs":[{"name":"self"}],"output":{"name":"toolbarstyle"}}],[10,"set_property_gtk_toolbar_style","","",421,{"inputs":[{"name":"self"},{"name":"toolbarstyle"}],"output":null}],[10,"get_property_gtk_tooltip_browse_mode_timeout","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_tooltip_browse_mode_timeout","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_tooltip_browse_timeout","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_tooltip_browse_timeout","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_tooltip_timeout","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_tooltip_timeout","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_visible_focus","","",421,{"inputs":[{"name":"self"}],"output":{"name":"policytype"}}],[10,"set_property_gtk_visible_focus","","",421,{"inputs":[{"name":"self"},{"name":"policytype"}],"output":null}],[10,"get_property_gtk_xft_antialias","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_xft_antialias","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_xft_dpi","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_xft_dpi","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_xft_hinting","","",421,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_gtk_xft_hinting","","",421,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_gtk_xft_hintstyle","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_xft_hintstyle","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_gtk_xft_rgba","","",421,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_gtk_xft_rgba","","",421,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[8,"ShortcutsWindowExt","","",null,null],[10,"get_property_section_name","","",422,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_section_name","","",422,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_view_name","","",422,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_view_name","","",422,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"connect_close","","",422,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_search","","",422,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"SizeGroupExt","","",null,null],[10,"add_widget","","",423,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"get_ignore_hidden","","",423,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_mode","","",423,{"inputs":[{"name":"self"}],"output":{"name":"sizegroupmode"}}],[10,"get_widgets","","",423,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"remove_widget","","",423,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_ignore_hidden","","",423,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_mode","","",423,{"inputs":[{"name":"self"},{"name":"sizegroupmode"}],"output":null}],[8,"SpinButtonExt","","",null,null],[10,"configure","","",424,{"inputs":[{"name":"self"},{"name":"p"},{"name":"f64"},{"name":"u32"}],"output":null}],[10,"get_adjustment","","",424,{"inputs":[{"name":"self"}],"output":{"name":"adjustment"}}],[10,"get_digits","","",424,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"get_increments","","",424,null],[10,"get_numeric","","",424,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_range","","",424,null],[10,"get_snap_to_ticks","","",424,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_update_policy","","",424,{"inputs":[{"name":"self"}],"output":{"name":"spinbuttonupdatepolicy"}}],[10,"get_value","","",424,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_value_as_int","","",424,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_wrap","","",424,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_adjustment","","",424,{"inputs":[{"name":"self"},{"name":"adjustment"}],"output":null}],[10,"set_digits","","",424,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"set_increments","","",424,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"}],"output":null}],[10,"set_numeric","","",424,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_range","","",424,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"}],"output":null}],[10,"set_snap_to_ticks","","",424,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_update_policy","","",424,{"inputs":[{"name":"self"},{"name":"spinbuttonupdatepolicy"}],"output":null}],[10,"set_value","","",424,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"set_wrap","","",424,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"spin","","",424,{"inputs":[{"name":"self"},{"name":"spintype"},{"name":"f64"}],"output":null}],[10,"update","","",424,{"inputs":[{"name":"self"}],"output":null}],[10,"get_property_climb_rate","","",424,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"set_property_climb_rate","","",424,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[8,"SpinnerExt","","",null,null],[10,"start","","",425,{"inputs":[{"name":"self"}],"output":null}],[10,"stop","","",425,{"inputs":[{"name":"self"}],"output":null}],[10,"get_property_active","","",425,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_active","","",425,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[8,"StackExt","","",null,null],[10,"add_named","","",426,{"inputs":[{"name":"self"},{"name":"p"},{"name":"str"}],"output":null}],[10,"add_titled","","",426,{"inputs":[{"name":"self"},{"name":"p"},{"name":"str"},{"name":"str"}],"output":null}],[10,"get_child_by_name","","",426,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_hhomogeneous","","",426,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_homogeneous","","",426,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_interpolate_size","","",426,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_transition_duration","","",426,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"get_transition_running","","",426,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_transition_type","","",426,{"inputs":[{"name":"self"}],"output":{"name":"stacktransitiontype"}}],[10,"get_vhomogeneous","","",426,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_visible_child","","",426,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_visible_child_name","","",426,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_hhomogeneous","","",426,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_homogeneous","","",426,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_interpolate_size","","",426,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_transition_duration","","",426,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"set_transition_type","","",426,{"inputs":[{"name":"self"},{"name":"stacktransitiontype"}],"output":null}],[10,"set_vhomogeneous","","",426,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_visible_child","","",426,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_visible_child_full","","",426,{"inputs":[{"name":"self"},{"name":"str"},{"name":"stacktransitiontype"}],"output":null}],[10,"set_visible_child_name","","",426,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"get_property_homogeneous","","",426,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_homogeneous","","",426,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_interpolate_size","","",426,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_interpolate_size","","",426,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_transition_duration","","",426,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"set_property_transition_duration","","",426,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"get_property_transition_running","","",426,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_property_transition_type","","",426,{"inputs":[{"name":"self"}],"output":{"name":"stacktransitiontype"}}],[10,"set_property_transition_type","","",426,{"inputs":[{"name":"self"},{"name":"stacktransitiontype"}],"output":null}],[10,"get_property_visible_child","","",426,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_visible_child","","",426,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_visible_child_name","","",426,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_visible_child_name","","",426,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_child_icon_name","","",426,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"option"}}],[10,"set_child_icon_name","","",426,{"inputs":[{"name":"self"},{"name":"t"},{"name":"p"}],"output":null}],[10,"get_child_name","","",426,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"option"}}],[10,"set_child_name","","",426,{"inputs":[{"name":"self"},{"name":"t"},{"name":"p"}],"output":null}],[10,"get_child_needs_attention","","",426,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[10,"set_child_needs_attention","","",426,{"inputs":[{"name":"self"},{"name":"t"},{"name":"bool"}],"output":null}],[10,"get_child_position","","",426,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"i32"}}],[10,"set_child_position","","",426,{"inputs":[{"name":"self"},{"name":"t"},{"name":"i32"}],"output":null}],[10,"get_child_title","","",426,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"option"}}],[10,"set_child_title","","",426,{"inputs":[{"name":"self"},{"name":"t"},{"name":"p"}],"output":null}],[8,"StackSidebarExt","","",null,null],[10,"get_stack","","",427,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_stack","","",427,{"inputs":[{"name":"self"},{"name":"stack"}],"output":null}],[10,"get_property_stack","","",427,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_stack","","",427,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[8,"StackSwitcherExt","","",null,null],[10,"get_stack","","",428,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_stack","","",428,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"get_property_icon_size","","",428,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_icon_size","","",428,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_stack","","",428,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_stack","","",428,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[8,"StatusIconExt","","",null,null],[10,"get_geometry","","",429,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_gicon","","",429,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_has_tooltip","","",429,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_icon_name","","",429,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_pixbuf","","",429,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_screen","","",429,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_size","","",429,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_stock","","",429,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_storage_type","","",429,{"inputs":[{"name":"self"}],"output":{"name":"imagetype"}}],[10,"get_title","","",429,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_tooltip_markup","","",429,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_tooltip_text","","",429,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_visible","","",429,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_x11_window_id","","",429,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"is_embedded","","",429,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_from_file","","",429,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_from_gicon","","",429,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_from_icon_name","","",429,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_from_pixbuf","","",429,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_from_stock","","",429,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_has_tooltip","","",429,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_name","","",429,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_screen","","",429,{"inputs":[{"name":"self"},{"name":"screen"}],"output":null}],[10,"set_title","","",429,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_tooltip_markup","","",429,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_tooltip_text","","",429,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_visible","","",429,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_embedded","","",429,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_file","","",429,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"set_property_gicon","","",429,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"set_property_icon_name","","",429,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_orientation","","",429,{"inputs":[{"name":"self"}],"output":{"name":"orientation"}}],[10,"set_property_pixbuf","","",429,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"set_property_stock","","",429,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"connect_activate","","",429,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_button_press_event","","",429,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_button_release_event","","",429,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_popup_menu","","",429,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_query_tooltip","","",429,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_scroll_event","","",429,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_size_changed","","",429,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"StatusbarExt","","",null,null],[10,"get_context_id","","",430,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"u32"}}],[10,"get_message_area","","",430,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"pop","","",430,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"push","","",430,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"str"}],"output":{"name":"u32"}}],[10,"remove","","",430,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"u32"}],"output":null}],[10,"remove_all","","",430,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"connect_text_popped","","",430,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_text_pushed","","",430,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"StyleContextExt","","",null,null],[10,"add_class","","",431,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"add_provider","","",431,{"inputs":[{"name":"self"},{"name":"p"},{"name":"u32"}],"output":null}],[10,"add_region","","",431,{"inputs":[{"name":"self"},{"name":"str"},{"name":"regionflags"}],"output":null}],[10,"get_background_color","","",431,{"inputs":[{"name":"self"},{"name":"stateflags"}],"output":{"name":"rgba"}}],[10,"get_border_color","","",431,{"inputs":[{"name":"self"},{"name":"stateflags"}],"output":{"name":"rgba"}}],[10,"get_color","","",431,{"inputs":[{"name":"self"},{"name":"stateflags"}],"output":{"name":"rgba"}}],[10,"get_direction","","",431,{"inputs":[{"name":"self"}],"output":{"name":"textdirection"}}],[10,"get_frame_clock","","",431,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_junction_sides","","",431,{"inputs":[{"name":"self"}],"output":{"name":"junctionsides"}}],[10,"get_parent","","",431,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_scale","","",431,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_screen","","",431,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_section","","",431,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_state","","",431,{"inputs":[{"name":"self"}],"output":{"name":"stateflags"}}],[10,"has_class","","",431,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[10,"has_region","","",431,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"invalidate","","",431,{"inputs":[{"name":"self"}],"output":null}],[10,"list_classes","","",431,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"list_regions","","",431,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"lookup_color","","",431,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"lookup_icon_set","","",431,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"pop_animatable_region","","",431,{"inputs":[{"name":"self"}],"output":null}],[10,"remove_class","","",431,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"remove_provider","","",431,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"remove_region","","",431,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"restore","","",431,{"inputs":[{"name":"self"}],"output":null}],[10,"save","","",431,{"inputs":[{"name":"self"}],"output":null}],[10,"scroll_animations","","",431,{"inputs":[{"name":"self"},{"name":"window"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"set_background","","",431,{"inputs":[{"name":"self"},{"name":"window"}],"output":null}],[10,"set_direction","","",431,{"inputs":[{"name":"self"},{"name":"textdirection"}],"output":null}],[10,"set_frame_clock","","",431,{"inputs":[{"name":"self"},{"name":"frameclock"}],"output":null}],[10,"set_junction_sides","","",431,{"inputs":[{"name":"self"},{"name":"junctionsides"}],"output":null}],[10,"set_parent","","",431,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_scale","","",431,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_screen","","",431,{"inputs":[{"name":"self"},{"name":"screen"}],"output":null}],[10,"set_state","","",431,{"inputs":[{"name":"self"},{"name":"stateflags"}],"output":null}],[10,"state_is_running","","",431,{"inputs":[{"name":"self"},{"name":"statetype"}],"output":{"name":"option"}}],[10,"to_string","","",431,{"inputs":[{"name":"self"},{"name":"stylecontextprintflags"}],"output":{"name":"string"}}],[10,"get_property_paint_clock","","",431,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_paint_clock","","",431,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"connect_changed","","",431,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"StylePropertiesExt","","",null,null],[10,"clear","","",432,{"inputs":[{"name":"self"}],"output":null}],[10,"get_property","","",432,{"inputs":[{"name":"self"},{"name":"str"},{"name":"stateflags"}],"output":{"name":"option"}}],[10,"lookup_color","","",432,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"map_color","","",432,{"inputs":[{"name":"self"},{"name":"str"},{"name":"symboliccolor"}],"output":null}],[10,"merge","","",432,{"inputs":[{"name":"self"},{"name":"styleproperties"},{"name":"bool"}],"output":null}],[10,"set_property","","",432,{"inputs":[{"name":"self"},{"name":"str"},{"name":"stateflags"},{"name":"value"}],"output":null}],[10,"unset_property","","",432,{"inputs":[{"name":"self"},{"name":"str"},{"name":"stateflags"}],"output":null}],[8,"StyleProviderExt","","",null,null],[8,"SwitchExt","","",null,null],[10,"get_active","","",433,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_state","","",433,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_active","","",433,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_state","","",433,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_activate","","",433,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_state_set","","",433,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"TextBufferExt","","",null,null],[10,"add_mark","","",434,{"inputs":[{"name":"self"},{"name":"textmark"},{"name":"textiter"}],"output":null}],[10,"add_selection_clipboard","","",434,{"inputs":[{"name":"self"},{"name":"clipboard"}],"output":null}],[10,"apply_tag","","",434,{"inputs":[{"name":"self"},{"name":"texttag"},{"name":"textiter"},{"name":"textiter"}],"output":null}],[10,"apply_tag_by_name","","",434,{"inputs":[{"name":"self"},{"name":"str"},{"name":"textiter"},{"name":"textiter"}],"output":null}],[10,"backspace","","",434,{"inputs":[{"name":"self"},{"name":"textiter"},{"name":"bool"},{"name":"bool"}],"output":{"name":"bool"}}],[10,"begin_user_action","","",434,{"inputs":[{"name":"self"}],"output":null}],[10,"copy_clipboard","","",434,{"inputs":[{"name":"self"},{"name":"clipboard"}],"output":null}],[10,"create_child_anchor","","",434,{"inputs":[{"name":"self"},{"name":"textiter"}],"output":{"name":"option"}}],[10,"create_mark","","",434,{"inputs":[{"name":"self"},{"name":"p"},{"name":"textiter"},{"name":"bool"}],"output":{"name":"option"}}],[10,"cut_clipboard","","",434,{"inputs":[{"name":"self"},{"name":"clipboard"},{"name":"bool"}],"output":null}],[10,"delete","","",434,{"inputs":[{"name":"self"},{"name":"textiter"},{"name":"textiter"}],"output":null}],[10,"delete_interactive","","",434,{"inputs":[{"name":"self"},{"name":"textiter"},{"name":"textiter"},{"name":"bool"}],"output":{"name":"bool"}}],[10,"delete_mark","","",434,{"inputs":[{"name":"self"},{"name":"textmark"}],"output":null}],[10,"delete_mark_by_name","","",434,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"delete_selection","","",434,{"inputs":[{"name":"self"},{"name":"bool"},{"name":"bool"}],"output":{"name":"bool"}}],[10,"deserialize_get_can_create_tags","","",434,{"inputs":[{"name":"self"},{"name":"atom"}],"output":{"name":"bool"}}],[10,"deserialize_set_can_create_tags","","",434,{"inputs":[{"name":"self"},{"name":"atom"},{"name":"bool"}],"output":null}],[10,"end_user_action","","",434,{"inputs":[{"name":"self"}],"output":null}],[10,"get_bounds","","",434,null],[10,"get_char_count","","",434,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_copy_target_list","","",434,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_end_iter","","",434,{"inputs":[{"name":"self"}],"output":{"name":"textiter"}}],[10,"get_has_selection","","",434,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_insert","","",434,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_iter_at_child_anchor","","",434,{"inputs":[{"name":"self"},{"name":"textchildanchor"}],"output":{"name":"textiter"}}],[10,"get_iter_at_line","","",434,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"textiter"}}],[10,"get_iter_at_line_index","","",434,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"textiter"}}],[10,"get_iter_at_line_offset","","",434,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"textiter"}}],[10,"get_iter_at_mark","","",434,{"inputs":[{"name":"self"},{"name":"textmark"}],"output":{"name":"textiter"}}],[10,"get_iter_at_offset","","",434,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"textiter"}}],[10,"get_line_count","","",434,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_mark","","",434,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_modified","","",434,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_paste_target_list","","",434,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_selection_bound","","",434,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_selection_bounds","","",434,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_slice","","",434,{"inputs":[{"name":"self"},{"name":"textiter"},{"name":"textiter"},{"name":"bool"}],"output":{"name":"option"}}],[10,"get_start_iter","","",434,{"inputs":[{"name":"self"}],"output":{"name":"textiter"}}],[10,"get_tag_table","","",434,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_text","","",434,{"inputs":[{"name":"self"},{"name":"textiter"},{"name":"textiter"},{"name":"bool"}],"output":{"name":"option"}}],[10,"insert_child_anchor","","",434,{"inputs":[{"name":"self"},{"name":"textiter"},{"name":"textchildanchor"}],"output":null}],[10,"insert_pixbuf","","",434,{"inputs":[{"name":"self"},{"name":"textiter"},{"name":"pixbuf"}],"output":null}],[10,"insert_range","","",434,{"inputs":[{"name":"self"},{"name":"textiter"},{"name":"textiter"},{"name":"textiter"}],"output":null}],[10,"insert_range_interactive","","",434,{"inputs":[{"name":"self"},{"name":"textiter"},{"name":"textiter"},{"name":"textiter"},{"name":"bool"}],"output":{"name":"bool"}}],[10,"move_mark","","",434,{"inputs":[{"name":"self"},{"name":"textmark"},{"name":"textiter"}],"output":null}],[10,"move_mark_by_name","","",434,{"inputs":[{"name":"self"},{"name":"str"},{"name":"textiter"}],"output":null}],[10,"paste_clipboard","","",434,{"inputs":[{"name":"self"},{"name":"clipboard"},{"name":"p"},{"name":"bool"}],"output":null}],[10,"place_cursor","","",434,{"inputs":[{"name":"self"},{"name":"textiter"}],"output":null}],[10,"register_deserialize_tagset","","",434,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"atom"}}],[10,"register_serialize_tagset","","",434,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"atom"}}],[10,"remove_all_tags","","",434,{"inputs":[{"name":"self"},{"name":"textiter"},{"name":"textiter"}],"output":null}],[10,"remove_selection_clipboard","","",434,{"inputs":[{"name":"self"},{"name":"clipboard"}],"output":null}],[10,"remove_tag","","",434,{"inputs":[{"name":"self"},{"name":"texttag"},{"name":"textiter"},{"name":"textiter"}],"output":null}],[10,"remove_tag_by_name","","",434,{"inputs":[{"name":"self"},{"name":"str"},{"name":"textiter"},{"name":"textiter"}],"output":null}],[10,"select_range","","",434,{"inputs":[{"name":"self"},{"name":"textiter"},{"name":"textiter"}],"output":null}],[10,"set_modified","","",434,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"unregister_deserialize_format","","",434,{"inputs":[{"name":"self"},{"name":"atom"}],"output":null}],[10,"unregister_serialize_format","","",434,{"inputs":[{"name":"self"},{"name":"atom"}],"output":null}],[10,"get_property_cursor_position","","",434,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_text","","",434,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"connect_apply_tag","","",434,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_begin_user_action","","",434,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_changed","","",434,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_delete_range","","",434,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_end_user_action","","",434,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_insert_child_anchor","","",434,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_insert_pixbuf","","",434,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_mark_deleted","","",434,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_mark_set","","",434,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_modified_changed","","",434,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_paste_done","","",434,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_remove_tag","","",434,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"TextChildAnchorExt","","",null,null],[10,"get_deleted","","",435,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_widgets","","",435,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[8,"TextMarkExt","","",null,null],[10,"get_buffer","","",436,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_deleted","","",436,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_left_gravity","","",436,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_name","","",436,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_visible","","",436,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_visible","","",436,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[8,"TextTagExt","","",null,null],[10,"changed","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"event","","",437,{"inputs":[{"name":"self"},{"name":"p"},{"name":"event"},{"name":"textiter"}],"output":{"name":"bool"}}],[10,"get_priority","","",437,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_priority","","",437,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_accumulative_margin","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_accumulative_margin","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_property_background","","",437,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_background_full_height","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_background_full_height","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_background_full_height_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_background_full_height_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_background_rgba","","",437,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_background_rgba","","",437,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_background_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_background_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_direction","","",437,{"inputs":[{"name":"self"}],"output":{"name":"textdirection"}}],[10,"set_property_direction","","",437,{"inputs":[{"name":"self"},{"name":"textdirection"}],"output":null}],[10,"get_property_editable","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_editable","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_editable_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_editable_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_fallback","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_fallback","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_fallback_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_fallback_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_family","","",437,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_family","","",437,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_family_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_family_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_font","","",437,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_font","","",437,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_font_features","","",437,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_font_features","","",437,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_font_features_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_font_features_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_property_foreground","","",437,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_foreground_rgba","","",437,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_foreground_rgba","","",437,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_foreground_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_foreground_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_indent","","",437,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_indent","","",437,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_indent_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_indent_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_invisible","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_invisible","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_invisible_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_invisible_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_justification","","",437,{"inputs":[{"name":"self"}],"output":{"name":"justification"}}],[10,"set_property_justification","","",437,{"inputs":[{"name":"self"},{"name":"justification"}],"output":null}],[10,"get_property_justification_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_justification_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_language","","",437,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_language","","",437,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_language_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_language_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_left_margin","","",437,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_left_margin","","",437,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_left_margin_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_left_margin_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_letter_spacing","","",437,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_letter_spacing","","",437,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_letter_spacing_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_letter_spacing_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_name","","",437,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_paragraph_background","","",437,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_paragraph_background_rgba","","",437,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_paragraph_background_rgba","","",437,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_paragraph_background_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_paragraph_background_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_pixels_above_lines","","",437,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_pixels_above_lines","","",437,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_pixels_above_lines_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_pixels_above_lines_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_pixels_below_lines","","",437,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_pixels_below_lines","","",437,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_pixels_below_lines_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_pixels_below_lines_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_pixels_inside_wrap","","",437,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_pixels_inside_wrap","","",437,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_pixels_inside_wrap_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_pixels_inside_wrap_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_right_margin","","",437,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_right_margin","","",437,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_right_margin_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_right_margin_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_rise","","",437,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_rise","","",437,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_rise_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_rise_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_scale","","",437,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"set_property_scale","","",437,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"get_property_scale_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_scale_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_size","","",437,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_size","","",437,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_size_points","","",437,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"set_property_size_points","","",437,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"get_property_size_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_size_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_stretch","","",437,{"inputs":[{"name":"self"}],"output":{"name":"stretch"}}],[10,"set_property_stretch","","",437,{"inputs":[{"name":"self"},{"name":"stretch"}],"output":null}],[10,"get_property_stretch_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_stretch_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_strikethrough","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_strikethrough","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_strikethrough_rgba","","",437,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_strikethrough_rgba","","",437,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_strikethrough_rgba_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_strikethrough_rgba_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_strikethrough_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_strikethrough_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_style","","",437,{"inputs":[{"name":"self"}],"output":{"name":"style"}}],[10,"set_property_style","","",437,{"inputs":[{"name":"self"},{"name":"style"}],"output":null}],[10,"get_property_style_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_style_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_tabs_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_tabs_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_underline","","",437,{"inputs":[{"name":"self"}],"output":{"name":"underline"}}],[10,"set_property_underline","","",437,{"inputs":[{"name":"self"},{"name":"underline"}],"output":null}],[10,"get_property_underline_rgba","","",437,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_underline_rgba","","",437,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_underline_rgba_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_underline_rgba_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_underline_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_underline_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_variant","","",437,{"inputs":[{"name":"self"}],"output":{"name":"variant"}}],[10,"set_property_variant","","",437,{"inputs":[{"name":"self"},{"name":"variant"}],"output":null}],[10,"get_property_variant_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_variant_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_weight","","",437,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_weight","","",437,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_weight_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_weight_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_wrap_mode","","",437,{"inputs":[{"name":"self"}],"output":{"name":"wrapmode"}}],[10,"set_property_wrap_mode","","",437,{"inputs":[{"name":"self"},{"name":"wrapmode"}],"output":null}],[10,"get_property_wrap_mode_set","","",437,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_wrap_mode_set","","",437,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_event","","",437,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"TextTagTableExt","","",null,null],[10,"add","","",438,{"inputs":[{"name":"self"},{"name":"texttag"}],"output":{"name":"bool"}}],[10,"get_size","","",438,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"lookup","","",438,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"remove","","",438,{"inputs":[{"name":"self"},{"name":"texttag"}],"output":null}],[10,"connect_tag_added","","",438,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_tag_changed","","",438,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_tag_removed","","",438,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"TextViewExt","","",null,null],[10,"add_child_at_anchor","","",439,{"inputs":[{"name":"self"},{"name":"p"},{"name":"textchildanchor"}],"output":null}],[10,"add_child_in_window","","",439,{"inputs":[{"name":"self"},{"name":"p"},{"name":"textwindowtype"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"backward_display_line","","",439,{"inputs":[{"name":"self"},{"name":"textiter"}],"output":{"name":"bool"}}],[10,"backward_display_line_start","","",439,{"inputs":[{"name":"self"},{"name":"textiter"}],"output":{"name":"bool"}}],[10,"buffer_to_window_coords","","",439,null],[10,"forward_display_line","","",439,{"inputs":[{"name":"self"},{"name":"textiter"}],"output":{"name":"bool"}}],[10,"forward_display_line_end","","",439,{"inputs":[{"name":"self"},{"name":"textiter"}],"output":{"name":"bool"}}],[10,"get_accepts_tab","","",439,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_border_window_size","","",439,{"inputs":[{"name":"self"},{"name":"textwindowtype"}],"output":{"name":"i32"}}],[10,"get_bottom_margin","","",439,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_buffer","","",439,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_cursor_locations","","",439,null],[10,"get_cursor_visible","","",439,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_default_attributes","","",439,{"inputs":[{"name":"self"}],"output":{"name":"textattributes"}}],[10,"get_editable","","",439,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_indent","","",439,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_input_hints","","",439,{"inputs":[{"name":"self"}],"output":{"name":"inputhints"}}],[10,"get_input_purpose","","",439,{"inputs":[{"name":"self"}],"output":{"name":"inputpurpose"}}],[10,"get_iter_at_location","","",439,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_iter_at_position","","",439,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_iter_location","","",439,{"inputs":[{"name":"self"},{"name":"textiter"}],"output":{"name":"rectangle"}}],[10,"get_justification","","",439,{"inputs":[{"name":"self"}],"output":{"name":"justification"}}],[10,"get_left_margin","","",439,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_line_at_y","","",439,null],[10,"get_line_yrange","","",439,null],[10,"get_monospace","","",439,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_overwrite","","",439,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_pixels_above_lines","","",439,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_pixels_below_lines","","",439,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_pixels_inside_wrap","","",439,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_right_margin","","",439,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_tabs","","",439,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_top_margin","","",439,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_visible_rect","","",439,{"inputs":[{"name":"self"}],"output":{"name":"rectangle"}}],[10,"get_window","","",439,{"inputs":[{"name":"self"},{"name":"textwindowtype"}],"output":{"name":"option"}}],[10,"get_window_type","","",439,{"inputs":[{"name":"self"},{"name":"window"}],"output":{"name":"textwindowtype"}}],[10,"get_wrap_mode","","",439,{"inputs":[{"name":"self"}],"output":{"name":"wrapmode"}}],[10,"im_context_filter_keypress","","",439,{"inputs":[{"name":"self"},{"name":"eventkey"}],"output":{"name":"bool"}}],[10,"move_child","","",439,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"move_mark_onscreen","","",439,{"inputs":[{"name":"self"},{"name":"textmark"}],"output":{"name":"bool"}}],[10,"move_visually","","",439,{"inputs":[{"name":"self"},{"name":"textiter"},{"name":"i32"}],"output":{"name":"bool"}}],[10,"place_cursor_onscreen","","",439,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"reset_cursor_blink","","",439,{"inputs":[{"name":"self"}],"output":null}],[10,"reset_im_context","","",439,{"inputs":[{"name":"self"}],"output":null}],[10,"scroll_mark_onscreen","","",439,{"inputs":[{"name":"self"},{"name":"textmark"}],"output":null}],[10,"scroll_to_iter","","",439,{"inputs":[{"name":"self"},{"name":"textiter"},{"name":"f64"},{"name":"bool"},{"name":"f64"},{"name":"f64"}],"output":{"name":"bool"}}],[10,"scroll_to_mark","","",439,{"inputs":[{"name":"self"},{"name":"textmark"},{"name":"f64"},{"name":"bool"},{"name":"f64"},{"name":"f64"}],"output":null}],[10,"set_accepts_tab","","",439,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_border_window_size","","",439,{"inputs":[{"name":"self"},{"name":"textwindowtype"},{"name":"i32"}],"output":null}],[10,"set_bottom_margin","","",439,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_buffer","","",439,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_cursor_visible","","",439,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_editable","","",439,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_indent","","",439,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_input_hints","","",439,{"inputs":[{"name":"self"},{"name":"inputhints"}],"output":null}],[10,"set_input_purpose","","",439,{"inputs":[{"name":"self"},{"name":"inputpurpose"}],"output":null}],[10,"set_justification","","",439,{"inputs":[{"name":"self"},{"name":"justification"}],"output":null}],[10,"set_left_margin","","",439,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_monospace","","",439,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_overwrite","","",439,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_pixels_above_lines","","",439,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_pixels_below_lines","","",439,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_pixels_inside_wrap","","",439,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_right_margin","","",439,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_tabs","","",439,{"inputs":[{"name":"self"},{"name":"tabarray"}],"output":null}],[10,"set_top_margin","","",439,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_wrap_mode","","",439,{"inputs":[{"name":"self"},{"name":"wrapmode"}],"output":null}],[10,"starts_display_line","","",439,{"inputs":[{"name":"self"},{"name":"textiter"}],"output":{"name":"bool"}}],[10,"window_to_buffer_coords","","",439,null],[10,"get_property_im_module","","",439,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_property_im_module","","",439,{"inputs":[{"name":"self"},{"name":"option"}],"output":null}],[10,"get_property_monospace","","",439,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_monospace","","",439,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_populate_all","","",439,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_populate_all","","",439,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_backspace","","",439,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_copy_clipboard","","",439,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_cut_clipboard","","",439,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_delete_from_cursor","","",439,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_extend_selection","","",439,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_insert_at_cursor","","",439,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_move_cursor","","",439,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_move_viewport","","",439,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_paste_clipboard","","",439,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_populate_popup","","",439,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_preedit_changed","","",439,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_select_all","","",439,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_set_anchor","","",439,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_toggle_cursor_visible","","",439,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_toggle_overwrite","","",439,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ToggleButtonExt","","",null,null],[10,"get_active","","",440,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_inconsistent","","",440,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_mode","","",440,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_active","","",440,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_inconsistent","","",440,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_mode","","",440,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"toggled","","",440,{"inputs":[{"name":"self"}],"output":null}],[10,"get_property_draw_indicator","","",440,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_draw_indicator","","",440,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_toggled","","",440,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ToggleToolButtonExt","","",null,null],[10,"get_active","","",441,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_active","","",441,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_toggled","","",441,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ToolButtonExt","","",null,null],[10,"get_icon_name","","",442,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_icon_widget","","",442,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_label","","",442,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_label_widget","","",442,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_stock_id","","",442,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_use_underline","","",442,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_icon_name","","",442,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_icon_widget","","",442,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_label","","",442,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_label_widget","","",442,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_stock_id","","",442,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_use_underline","","",442,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_clicked","","",442,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ToolItemExt","","",null,null],[10,"get_ellipsize_mode","","",443,{"inputs":[{"name":"self"}],"output":{"name":"ellipsizemode"}}],[10,"get_expand","","",443,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_homogeneous","","",443,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_icon_size","","",443,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_is_important","","",443,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_orientation","","",443,{"inputs":[{"name":"self"}],"output":{"name":"orientation"}}],[10,"get_proxy_menu_item","","",443,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_relief_style","","",443,{"inputs":[{"name":"self"}],"output":{"name":"reliefstyle"}}],[10,"get_text_alignment","","",443,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"get_text_orientation","","",443,{"inputs":[{"name":"self"}],"output":{"name":"orientation"}}],[10,"get_text_size_group","","",443,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_toolbar_style","","",443,{"inputs":[{"name":"self"}],"output":{"name":"toolbarstyle"}}],[10,"get_use_drag_window","","",443,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_visible_horizontal","","",443,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_visible_vertical","","",443,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"rebuild_menu","","",443,{"inputs":[{"name":"self"}],"output":null}],[10,"retrieve_proxy_menu_item","","",443,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_expand","","",443,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_homogeneous","","",443,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_is_important","","",443,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_proxy_menu_item","","",443,{"inputs":[{"name":"self"},{"name":"str"},{"name":"p"}],"output":null}],[10,"set_use_drag_window","","",443,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_visible_horizontal","","",443,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_visible_vertical","","",443,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"toolbar_reconfigured","","",443,{"inputs":[{"name":"self"}],"output":null}],[10,"connect_create_menu_proxy","","",443,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_toolbar_reconfigured","","",443,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ToolItemGroupExt","","",null,null],[10,"get_collapsed","","",444,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_drop_item","","",444,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_ellipsize","","",444,{"inputs":[{"name":"self"}],"output":{"name":"ellipsizemode"}}],[10,"get_header_relief","","",444,{"inputs":[{"name":"self"}],"output":{"name":"reliefstyle"}}],[10,"get_item_position","","",444,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"i32"}}],[10,"get_label","","",444,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_label_widget","","",444,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_n_items","","",444,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"get_nth_item","","",444,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[10,"insert","","",444,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"}],"output":null}],[10,"set_collapsed","","",444,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_ellipsize","","",444,{"inputs":[{"name":"self"},{"name":"ellipsizemode"}],"output":null}],[10,"set_header_relief","","",444,{"inputs":[{"name":"self"},{"name":"reliefstyle"}],"output":null}],[10,"set_item_position","","",444,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"}],"output":null}],[10,"set_label","","",444,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_label_widget","","",444,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"get_item_expand","","",444,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[10,"set_item_expand","","",444,{"inputs":[{"name":"self"},{"name":"t"},{"name":"bool"}],"output":null}],[10,"get_item_fill","","",444,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[10,"set_item_fill","","",444,{"inputs":[{"name":"self"},{"name":"t"},{"name":"bool"}],"output":null}],[10,"get_item_homogeneous","","",444,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[10,"set_item_homogeneous","","",444,{"inputs":[{"name":"self"},{"name":"t"},{"name":"bool"}],"output":null}],[10,"get_item_new_row","","",444,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[10,"set_item_new_row","","",444,{"inputs":[{"name":"self"},{"name":"t"},{"name":"bool"}],"output":null}],[8,"ToolPaletteExt","","",null,null],[10,"add_drag_dest","","",445,{"inputs":[{"name":"self"},{"name":"p"},{"name":"destdefaults"},{"name":"toolpalettedragtargets"},{"name":"dragaction"}],"output":null}],[10,"get_drag_item","","",445,{"inputs":[{"name":"self"},{"name":"selectiondata"}],"output":{"name":"option"}}],[10,"get_drop_group","","",445,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_drop_item","","",445,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_exclusive","","",445,{"inputs":[{"name":"self"},{"name":"toolitemgroup"}],"output":{"name":"bool"}}],[10,"get_expand","","",445,{"inputs":[{"name":"self"},{"name":"toolitemgroup"}],"output":{"name":"bool"}}],[10,"get_group_position","","",445,{"inputs":[{"name":"self"},{"name":"toolitemgroup"}],"output":{"name":"i32"}}],[10,"get_icon_size","","",445,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_style","","",445,{"inputs":[{"name":"self"}],"output":{"name":"toolbarstyle"}}],[10,"set_drag_source","","",445,{"inputs":[{"name":"self"},{"name":"toolpalettedragtargets"}],"output":null}],[10,"set_exclusive","","",445,{"inputs":[{"name":"self"},{"name":"toolitemgroup"},{"name":"bool"}],"output":null}],[10,"set_expand","","",445,{"inputs":[{"name":"self"},{"name":"toolitemgroup"},{"name":"bool"}],"output":null}],[10,"set_group_position","","",445,{"inputs":[{"name":"self"},{"name":"toolitemgroup"},{"name":"i32"}],"output":null}],[10,"set_icon_size","","",445,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_style","","",445,{"inputs":[{"name":"self"},{"name":"toolbarstyle"}],"output":null}],[10,"unset_icon_size","","",445,{"inputs":[{"name":"self"}],"output":null}],[10,"unset_style","","",445,{"inputs":[{"name":"self"}],"output":null}],[10,"get_property_icon_size_set","","",445,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_icon_size_set","","",445,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_toolbar_style","","",445,{"inputs":[{"name":"self"}],"output":{"name":"toolbarstyle"}}],[10,"set_property_toolbar_style","","",445,{"inputs":[{"name":"self"},{"name":"toolbarstyle"}],"output":null}],[8,"ToolShellExt","","",null,null],[10,"get_ellipsize_mode","","",446,{"inputs":[{"name":"self"}],"output":{"name":"ellipsizemode"}}],[10,"get_icon_size","","",446,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_orientation","","",446,{"inputs":[{"name":"self"}],"output":{"name":"orientation"}}],[10,"get_relief_style","","",446,{"inputs":[{"name":"self"}],"output":{"name":"reliefstyle"}}],[10,"get_style","","",446,{"inputs":[{"name":"self"}],"output":{"name":"toolbarstyle"}}],[10,"get_text_alignment","","",446,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"get_text_orientation","","",446,{"inputs":[{"name":"self"}],"output":{"name":"orientation"}}],[10,"get_text_size_group","","",446,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"rebuild_menu","","",446,{"inputs":[{"name":"self"}],"output":null}],[8,"ToolbarExt","","",null,null],[10,"get_drop_index","","",447,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"i32"}}],[10,"get_icon_size","","",447,{"inputs":[{"name":"self"}],"output":{"name":"iconsize"}}],[10,"get_item_index","","",447,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"i32"}}],[10,"get_n_items","","",447,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_nth_item","","",447,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_show_arrow","","",447,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"insert","","",447,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"}],"output":null}],[10,"set_drop_highlight_item","","",447,{"inputs":[{"name":"self"},{"name":"q"},{"name":"i32"}],"output":null}],[10,"set_icon_size","","",447,{"inputs":[{"name":"self"},{"name":"iconsize"}],"output":null}],[10,"set_show_arrow","","",447,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_style","","",447,{"inputs":[{"name":"self"},{"name":"toolbarstyle"}],"output":null}],[10,"unset_icon_size","","",447,{"inputs":[{"name":"self"}],"output":null}],[10,"unset_style","","",447,{"inputs":[{"name":"self"}],"output":null}],[10,"get_property_icon_size_set","","",447,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_icon_size_set","","",447,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_toolbar_style","","",447,{"inputs":[{"name":"self"}],"output":{"name":"toolbarstyle"}}],[10,"set_property_toolbar_style","","",447,{"inputs":[{"name":"self"},{"name":"toolbarstyle"}],"output":null}],[10,"get_item_expand","","",447,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[10,"set_item_expand","","",447,{"inputs":[{"name":"self"},{"name":"t"},{"name":"bool"}],"output":null}],[10,"get_item_homogeneous","","",447,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[10,"set_item_homogeneous","","",447,{"inputs":[{"name":"self"},{"name":"t"},{"name":"bool"}],"output":null}],[10,"connect_focus_home_or_end","","",447,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_orientation_changed","","",447,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_popup_context_menu","","",447,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_style_changed","","",447,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"TooltipExt","","",null,null],[10,"set_custom","","",448,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_icon","","",448,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_icon_from_gicon","","",448,{"inputs":[{"name":"self"},{"name":"q"},{"name":"i32"}],"output":null}],[10,"set_icon_from_icon_name","","",448,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"}],"output":null}],[10,"set_icon_from_stock","","",448,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"}],"output":null}],[10,"set_markup","","",448,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_text","","",448,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_tip_area","","",448,{"inputs":[{"name":"self"},{"name":"rectangle"}],"output":null}],[8,"TreeModelExt","","",null,null],[10,"get_column_type","","",449,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"type"}}],[10,"get_flags","","",449,{"inputs":[{"name":"self"}],"output":{"name":"treemodelflags"}}],[10,"get_iter","","",449,{"inputs":[{"name":"self"},{"name":"treepath"}],"output":{"name":"option"}}],[10,"get_iter_first","","",449,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_iter_from_string","","",449,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_n_columns","","",449,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_path","","",449,{"inputs":[{"name":"self"},{"name":"treeiter"}],"output":{"name":"option"}}],[10,"get_string_from_iter","","",449,{"inputs":[{"name":"self"},{"name":"treeiter"}],"output":{"name":"option"}}],[10,"get_value","","",449,{"inputs":[{"name":"self"},{"name":"treeiter"},{"name":"i32"}],"output":{"name":"value"}}],[10,"iter_children","","",449,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"option"}}],[10,"iter_has_child","","",449,{"inputs":[{"name":"self"},{"name":"treeiter"}],"output":{"name":"bool"}}],[10,"iter_n_children","","",449,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"i32"}}],[10,"iter_next","","",449,{"inputs":[{"name":"self"},{"name":"treeiter"}],"output":{"name":"bool"}}],[10,"iter_nth_child","","",449,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"}],"output":{"name":"option"}}],[10,"iter_parent","","",449,{"inputs":[{"name":"self"},{"name":"treeiter"}],"output":{"name":"option"}}],[10,"iter_previous","","",449,{"inputs":[{"name":"self"},{"name":"treeiter"}],"output":{"name":"bool"}}],[10,"row_changed","","",449,{"inputs":[{"name":"self"},{"name":"treepath"},{"name":"treeiter"}],"output":null}],[10,"row_deleted","","",449,{"inputs":[{"name":"self"},{"name":"treepath"}],"output":null}],[10,"row_has_child_toggled","","",449,{"inputs":[{"name":"self"},{"name":"treepath"},{"name":"treeiter"}],"output":null}],[10,"row_inserted","","",449,{"inputs":[{"name":"self"},{"name":"treepath"},{"name":"treeiter"}],"output":null}],[10,"sort_new_with_model","","",449,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"connect_row_changed","","",449,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_row_deleted","","",449,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_row_has_child_toggled","","",449,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_row_inserted","","",449,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"TreeModelFilterExt","","",null,null],[10,"clear_cache","","",450,{"inputs":[{"name":"self"}],"output":null}],[10,"convert_child_iter_to_iter","","",450,{"inputs":[{"name":"self"},{"name":"treeiter"}],"output":{"name":"option"}}],[10,"convert_child_path_to_path","","",450,{"inputs":[{"name":"self"},{"name":"treepath"}],"output":{"name":"option"}}],[10,"convert_iter_to_child_iter","","",450,{"inputs":[{"name":"self"},{"name":"treeiter"}],"output":{"name":"treeiter"}}],[10,"convert_path_to_child_path","","",450,{"inputs":[{"name":"self"},{"name":"treepath"}],"output":{"name":"option"}}],[10,"get_model","","",450,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"refilter","","",450,{"inputs":[{"name":"self"}],"output":null}],[10,"set_visible_column","","",450,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_child_model","","",450,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[8,"TreeSelectionExt","","",null,null],[10,"count_selected_rows","","",451,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_mode","","",451,{"inputs":[{"name":"self"}],"output":{"name":"selectionmode"}}],[10,"get_selected","","",451,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_selected_rows","","",451,null],[10,"get_tree_view","","",451,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"iter_is_selected","","",451,{"inputs":[{"name":"self"},{"name":"treeiter"}],"output":{"name":"bool"}}],[10,"path_is_selected","","",451,{"inputs":[{"name":"self"},{"name":"treepath"}],"output":{"name":"bool"}}],[10,"select_all","","",451,{"inputs":[{"name":"self"}],"output":null}],[10,"select_iter","","",451,{"inputs":[{"name":"self"},{"name":"treeiter"}],"output":null}],[10,"select_path","","",451,{"inputs":[{"name":"self"},{"name":"treepath"}],"output":null}],[10,"select_range","","",451,{"inputs":[{"name":"self"},{"name":"treepath"},{"name":"treepath"}],"output":null}],[10,"set_mode","","",451,{"inputs":[{"name":"self"},{"name":"selectionmode"}],"output":null}],[10,"unselect_all","","",451,{"inputs":[{"name":"self"}],"output":null}],[10,"unselect_iter","","",451,{"inputs":[{"name":"self"},{"name":"treeiter"}],"output":null}],[10,"unselect_path","","",451,{"inputs":[{"name":"self"},{"name":"treepath"}],"output":null}],[10,"unselect_range","","",451,{"inputs":[{"name":"self"},{"name":"treepath"},{"name":"treepath"}],"output":null}],[10,"connect_changed","","",451,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"TreeSortableExt","","",null,null],[10,"has_default_sort_func","","",452,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"sort_column_changed","","",452,{"inputs":[{"name":"self"}],"output":null}],[10,"connect_sort_column_changed","","",452,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"TreeStoreExt","","",null,null],[10,"append","","",453,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"treeiter"}}],[10,"clear","","",453,{"inputs":[{"name":"self"}],"output":null}],[10,"insert","","",453,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"}],"output":{"name":"treeiter"}}],[10,"insert_after","","",453,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"}],"output":{"name":"treeiter"}}],[10,"insert_before","","",453,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"}],"output":{"name":"treeiter"}}],[10,"is_ancestor","","",453,{"inputs":[{"name":"self"},{"name":"treeiter"},{"name":"treeiter"}],"output":{"name":"bool"}}],[10,"iter_depth","","",453,{"inputs":[{"name":"self"},{"name":"treeiter"}],"output":{"name":"i32"}}],[10,"iter_is_valid","","",453,{"inputs":[{"name":"self"},{"name":"treeiter"}],"output":{"name":"bool"}}],[10,"move_after","","",453,{"inputs":[{"name":"self"},{"name":"treeiter"},{"name":"p"}],"output":null}],[10,"move_before","","",453,{"inputs":[{"name":"self"},{"name":"treeiter"},{"name":"p"}],"output":null}],[10,"prepend","","",453,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"treeiter"}}],[10,"remove","","",453,{"inputs":[{"name":"self"},{"name":"treeiter"}],"output":{"name":"bool"}}],[10,"swap","","",453,{"inputs":[{"name":"self"},{"name":"treeiter"},{"name":"treeiter"}],"output":null}],[8,"TreeViewExt","","",null,null],[10,"append_column","","",454,{"inputs":[{"name":"self"},{"name":"treeviewcolumn"}],"output":{"name":"i32"}}],[10,"collapse_all","","",454,{"inputs":[{"name":"self"}],"output":null}],[10,"collapse_row","","",454,{"inputs":[{"name":"self"},{"name":"treepath"}],"output":{"name":"bool"}}],[10,"columns_autosize","","",454,{"inputs":[{"name":"self"}],"output":null}],[10,"convert_bin_window_to_tree_coords","","",454,null],[10,"convert_bin_window_to_widget_coords","","",454,null],[10,"convert_tree_to_bin_window_coords","","",454,null],[10,"convert_tree_to_widget_coords","","",454,null],[10,"convert_widget_to_bin_window_coords","","",454,null],[10,"convert_widget_to_tree_coords","","",454,null],[10,"create_row_drag_icon","","",454,{"inputs":[{"name":"self"},{"name":"treepath"}],"output":{"name":"option"}}],[10,"expand_all","","",454,{"inputs":[{"name":"self"}],"output":null}],[10,"expand_row","","",454,{"inputs":[{"name":"self"},{"name":"treepath"},{"name":"bool"}],"output":{"name":"bool"}}],[10,"expand_to_path","","",454,{"inputs":[{"name":"self"},{"name":"treepath"}],"output":null}],[10,"get_activate_on_single_click","","",454,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_background_area","","",454,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"}],"output":{"name":"rectangle"}}],[10,"get_bin_window","","",454,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_cell_area","","",454,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"}],"output":{"name":"rectangle"}}],[10,"get_column","","",454,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_columns","","",454,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"get_cursor","","",454,null],[10,"get_dest_row_at_pos","","",454,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_drag_dest_row","","",454,null],[10,"get_enable_search","","",454,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_enable_tree_lines","","",454,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_expander_column","","",454,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_fixed_height_mode","","",454,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_grid_lines","","",454,{"inputs":[{"name":"self"}],"output":{"name":"treeviewgridlines"}}],[10,"get_headers_clickable","","",454,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_headers_visible","","",454,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_hover_expand","","",454,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_hover_selection","","",454,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_level_indentation","","",454,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_model","","",454,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_n_columns","","",454,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"get_path_at_pos","","",454,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_reorderable","","",454,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_rubber_banding","","",454,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_rules_hint","","",454,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_search_column","","",454,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_search_entry","","",454,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_selection","","",454,{"inputs":[{"name":"self"}],"output":{"name":"treeselection"}}],[10,"get_show_expanders","","",454,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_tooltip_column","","",454,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_tooltip_context","","",454,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"},{"name":"bool"}],"output":{"name":"option"}}],[10,"get_visible_range","","",454,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_visible_rect","","",454,{"inputs":[{"name":"self"}],"output":{"name":"rectangle"}}],[10,"insert_column","","",454,{"inputs":[{"name":"self"},{"name":"treeviewcolumn"},{"name":"i32"}],"output":{"name":"i32"}}],[10,"is_blank_at_pos","","",454,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[10,"is_rubber_banding_active","","",454,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"move_column_after","","",454,{"inputs":[{"name":"self"},{"name":"treeviewcolumn"},{"name":"p"}],"output":null}],[10,"remove_column","","",454,{"inputs":[{"name":"self"},{"name":"treeviewcolumn"}],"output":{"name":"i32"}}],[10,"row_activated","","",454,{"inputs":[{"name":"self"},{"name":"treepath"},{"name":"treeviewcolumn"}],"output":null}],[10,"row_expanded","","",454,{"inputs":[{"name":"self"},{"name":"treepath"}],"output":{"name":"bool"}}],[10,"scroll_to_cell","","",454,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"},{"name":"bool"},{"name":"f32"},{"name":"f32"}],"output":null}],[10,"scroll_to_point","","",454,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"set_activate_on_single_click","","",454,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_cursor","","",454,{"inputs":[{"name":"self"},{"name":"treepath"},{"name":"p"},{"name":"bool"}],"output":null}],[10,"set_cursor_on_cell","","",454,{"inputs":[{"name":"self"},{"name":"treepath"},{"name":"p"},{"name":"r"},{"name":"bool"}],"output":null}],[10,"set_drag_dest_row","","",454,{"inputs":[{"name":"self"},{"name":"p"},{"name":"treeviewdropposition"}],"output":null}],[10,"set_enable_search","","",454,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_enable_tree_lines","","",454,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_expander_column","","",454,{"inputs":[{"name":"self"},{"name":"treeviewcolumn"}],"output":null}],[10,"set_fixed_height_mode","","",454,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_grid_lines","","",454,{"inputs":[{"name":"self"},{"name":"treeviewgridlines"}],"output":null}],[10,"set_headers_clickable","","",454,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_headers_visible","","",454,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_hover_expand","","",454,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_hover_selection","","",454,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_level_indentation","","",454,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_model","","",454,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_reorderable","","",454,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_rubber_banding","","",454,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_rules_hint","","",454,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_search_column","","",454,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_search_entry","","",454,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_show_expanders","","",454,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_tooltip_cell","","",454,{"inputs":[{"name":"self"},{"name":"tooltip"},{"name":"p"},{"name":"q"},{"name":"s"}],"output":null}],[10,"set_tooltip_column","","",454,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_tooltip_row","","",454,{"inputs":[{"name":"self"},{"name":"tooltip"},{"name":"treepath"}],"output":null}],[10,"unset_rows_drag_dest","","",454,{"inputs":[{"name":"self"}],"output":null}],[10,"unset_rows_drag_source","","",454,{"inputs":[{"name":"self"}],"output":null}],[10,"get_property_enable_grid_lines","","",454,{"inputs":[{"name":"self"}],"output":{"name":"treeviewgridlines"}}],[10,"set_property_enable_grid_lines","","",454,{"inputs":[{"name":"self"},{"name":"treeviewgridlines"}],"output":null}],[10,"set_property_ubuntu_almost_fixed_height_mode","","",454,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"connect_columns_changed","","",454,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_cursor_changed","","",454,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_expand_collapse_cursor_row","","",454,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_move_cursor","","",454,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_row_activated","","",454,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_row_collapsed","","",454,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_row_expanded","","",454,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_select_all","","",454,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_select_cursor_parent","","",454,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_select_cursor_row","","",454,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_start_interactive_search","","",454,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_test_collapse_row","","",454,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_test_expand_row","","",454,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_toggle_cursor_row","","",454,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_unselect_all","","",454,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"TreeViewColumnExt","","",null,null],[10,"cell_get_position","","",455,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"option"}}],[10,"cell_get_size","","",455,null],[10,"cell_is_visible","","",455,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"cell_set_cell_data","","",455,{"inputs":[{"name":"self"},{"name":"p"},{"name":"treeiter"},{"name":"bool"},{"name":"bool"}],"output":null}],[10,"clicked","","",455,{"inputs":[{"name":"self"}],"output":null}],[10,"focus_cell","","",455,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"get_alignment","","",455,{"inputs":[{"name":"self"}],"output":{"name":"f32"}}],[10,"get_button","","",455,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_clickable","","",455,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_expand","","",455,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_fixed_width","","",455,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_max_width","","",455,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_min_width","","",455,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_reorderable","","",455,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_resizable","","",455,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_sizing","","",455,{"inputs":[{"name":"self"}],"output":{"name":"treeviewcolumnsizing"}}],[10,"get_sort_column_id","","",455,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_sort_indicator","","",455,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_sort_order","","",455,{"inputs":[{"name":"self"}],"output":{"name":"sorttype"}}],[10,"get_spacing","","",455,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_title","","",455,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_tree_view","","",455,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_visible","","",455,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_widget","","",455,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_width","","",455,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_x_offset","","",455,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"queue_resize","","",455,{"inputs":[{"name":"self"}],"output":null}],[10,"set_alignment","","",455,{"inputs":[{"name":"self"},{"name":"f32"}],"output":null}],[10,"set_clickable","","",455,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_expand","","",455,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_fixed_width","","",455,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_max_width","","",455,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_min_width","","",455,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_reorderable","","",455,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_resizable","","",455,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_sizing","","",455,{"inputs":[{"name":"self"},{"name":"treeviewcolumnsizing"}],"output":null}],[10,"set_sort_column_id","","",455,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_sort_indicator","","",455,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_sort_order","","",455,{"inputs":[{"name":"self"},{"name":"sorttype"}],"output":null}],[10,"set_spacing","","",455,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_title","","",455,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_visible","","",455,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_widget","","",455,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"get_property_cell_area","","",455,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"connect_clicked","","",455,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"ViewportExt","","",null,null],[10,"get_bin_window","","",456,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_shadow_type","","",456,{"inputs":[{"name":"self"}],"output":{"name":"shadowtype"}}],[10,"get_view_window","","",456,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"set_shadow_type","","",456,{"inputs":[{"name":"self"},{"name":"shadowtype"}],"output":null}],[8,"VolumeButtonExt","","",null,null],[10,"get_property_use_symbolic","","",457,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_use_symbolic","","",457,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[8,"WidgetExt","","",null,null],[10,"activate","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"add_accelerator","","",458,{"inputs":[{"name":"self"},{"name":"str"},{"name":"accelgroup"},{"name":"u32"},{"name":"modifiertype"},{"name":"accelflags"}],"output":null}],[10,"add_device_events","","",458,{"inputs":[{"name":"self"},{"name":"p"},{"name":"eventmask"}],"output":null}],[10,"add_events","","",458,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"add_mnemonic_label","","",458,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"can_activate_accel","","",458,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"bool"}}],[10,"child_focus","","",458,{"inputs":[{"name":"self"},{"name":"directiontype"}],"output":{"name":"bool"}}],[10,"child_notify","","",458,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"compute_expand","","",458,{"inputs":[{"name":"self"},{"name":"orientation"}],"output":{"name":"bool"}}],[10,"create_pango_context","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"create_pango_layout","","",458,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"option"}}],[10,"destroy","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"device_is_shadowed","","",458,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"drag_begin","","",458,{"inputs":[{"name":"self"},{"name":"targetlist"},{"name":"dragaction"},{"name":"i32"},{"name":"p"}],"output":{"name":"option"}}],[10,"drag_begin_with_coordinates","","",458,{"inputs":[{"name":"self"},{"name":"targetlist"},{"name":"dragaction"},{"name":"i32"},{"name":"p"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[10,"drag_check_threshold","","",458,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"i32"}],"output":{"name":"bool"}}],[10,"drag_dest_add_image_targets","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"drag_dest_add_text_targets","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"drag_dest_add_uri_targets","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"drag_dest_find_target","","",458,{"inputs":[{"name":"self"},{"name":"dragcontext"},{"name":"p"}],"output":{"name":"option"}}],[10,"drag_dest_get_target_list","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"drag_dest_get_track_motion","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"drag_dest_set_proxy","","",458,{"inputs":[{"name":"self"},{"name":"window"},{"name":"dragprotocol"},{"name":"bool"}],"output":null}],[10,"drag_dest_set_target_list","","",458,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"drag_dest_set_track_motion","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"drag_dest_unset","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"drag_get_data","","",458,{"inputs":[{"name":"self"},{"name":"dragcontext"},{"name":"atom"},{"name":"u32"}],"output":null}],[10,"drag_highlight","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"drag_source_add_image_targets","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"drag_source_add_text_targets","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"drag_source_add_uri_targets","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"drag_source_get_target_list","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"drag_source_set_icon_gicon","","",458,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"drag_source_set_icon_name","","",458,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"drag_source_set_icon_pixbuf","","",458,{"inputs":[{"name":"self"},{"name":"pixbuf"}],"output":null}],[10,"drag_source_set_icon_stock","","",458,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"drag_source_set_target_list","","",458,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"drag_source_unset","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"drag_unhighlight","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"draw","","",458,{"inputs":[{"name":"self"},{"name":"context"}],"output":null}],[10,"error_bell","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"event","","",458,{"inputs":[{"name":"self"},{"name":"event"}],"output":{"name":"bool"}}],[10,"freeze_child_notify","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"get_action_group","","",458,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_allocated_baseline","","",458,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_allocated_height","","",458,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_allocated_size","","",458,null],[10,"get_allocated_width","","",458,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_allocation","","",458,{"inputs":[{"name":"self"}],"output":{"name":"allocation"}}],[10,"get_ancestor","","",458,{"inputs":[{"name":"self"},{"name":"type"}],"output":{"name":"option"}}],[10,"get_app_paintable","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_can_default","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_can_focus","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_child_visible","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_clip","","",458,{"inputs":[{"name":"self"}],"output":{"name":"allocation"}}],[10,"get_clipboard","","",458,{"inputs":[{"name":"self"},{"name":"atom"}],"output":{"name":"clipboard"}}],[10,"get_composite_name","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_device_enabled","","",458,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"get_device_events","","",458,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"eventmask"}}],[10,"get_direction","","",458,{"inputs":[{"name":"self"}],"output":{"name":"textdirection"}}],[10,"get_display","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_double_buffered","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_events","","",458,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_focus_on_click","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_font_map","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_frame_clock","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_halign","","",458,{"inputs":[{"name":"self"}],"output":{"name":"align"}}],[10,"get_has_tooltip","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_has_window","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_hexpand","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_hexpand_set","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_mapped","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_margin_bottom","","",458,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_margin_end","","",458,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_margin_left","","",458,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_margin_right","","",458,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_margin_start","","",458,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_margin_top","","",458,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_modifier_mask","","",458,{"inputs":[{"name":"self"},{"name":"modifierintent"}],"output":{"name":"modifiertype"}}],[10,"get_name","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_no_show_all","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_opacity","","",458,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[10,"get_pango_context","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_parent","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_parent_window","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_preferred_height","","",458,null],[10,"get_preferred_height_and_baseline_for_width","","",458,null],[10,"get_preferred_height_for_width","","",458,null],[10,"get_preferred_size","","",458,null],[10,"get_preferred_width","","",458,null],[10,"get_preferred_width_for_height","","",458,null],[10,"get_realized","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_receives_default","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_request_mode","","",458,{"inputs":[{"name":"self"}],"output":{"name":"sizerequestmode"}}],[10,"get_root_window","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_scale_factor","","",458,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_screen","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_sensitive","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_settings","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_size_request","","",458,null],[10,"get_state_flags","","",458,{"inputs":[{"name":"self"}],"output":{"name":"stateflags"}}],[10,"get_style_context","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_support_multidevice","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_template_child","","",458,{"inputs":[{"name":"self"},{"name":"type"},{"name":"str"}],"output":{"name":"option"}}],[10,"get_tooltip_markup","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_tooltip_text","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_tooltip_window","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_toplevel","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_valign","","",458,{"inputs":[{"name":"self"}],"output":{"name":"align"}}],[10,"get_valign_with_baseline","","",458,{"inputs":[{"name":"self"}],"output":{"name":"align"}}],[10,"get_vexpand","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_vexpand_set","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_visible","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_visual","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_window","","",458,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"grab_add","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"grab_default","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"grab_focus","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"grab_remove","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"has_default","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"has_focus","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"has_grab","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"has_screen","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"has_visible_focus","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"hide","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"hide_on_delete","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"in_destruction","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"init_template","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"input_shape_combine_region","","",458,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"insert_action_group","","",458,{"inputs":[{"name":"self"},{"name":"str"},{"name":"q"}],"output":null}],[10,"is_ancestor","","",458,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"bool"}}],[10,"is_composited","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_drawable","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_focus","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_sensitive","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_toplevel","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_visible","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"keynav_failed","","",458,{"inputs":[{"name":"self"},{"name":"directiontype"}],"output":{"name":"bool"}}],[10,"list_action_prefixes","","",458,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"list_mnemonic_labels","","",458,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"map","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"mnemonic_activate","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"bool"}}],[10,"override_background_color","","",458,{"inputs":[{"name":"self"},{"name":"stateflags"},{"name":"p"}],"output":null}],[10,"override_color","","",458,{"inputs":[{"name":"self"},{"name":"stateflags"},{"name":"p"}],"output":null}],[10,"override_cursor","","",458,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"}],"output":null}],[10,"override_font","","",458,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"override_symbolic_color","","",458,{"inputs":[{"name":"self"},{"name":"str"},{"name":"p"}],"output":null}],[10,"queue_allocate","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"queue_compute_expand","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"queue_draw","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"queue_draw_area","","",458,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"queue_draw_region","","",458,{"inputs":[{"name":"self"},{"name":"region"}],"output":null}],[10,"queue_resize","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"queue_resize_no_redraw","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"realize","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"region_intersect","","",458,{"inputs":[{"name":"self"},{"name":"region"}],"output":{"name":"option"}}],[10,"register_window","","",458,{"inputs":[{"name":"self"},{"name":"window"}],"output":null}],[10,"remove_accelerator","","",458,{"inputs":[{"name":"self"},{"name":"accelgroup"},{"name":"u32"},{"name":"modifiertype"}],"output":{"name":"bool"}}],[10,"remove_mnemonic_label","","",458,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"remove_tick_callback","","",458,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"render_icon_pixbuf","","",458,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"}],"output":{"name":"option"}}],[10,"reparent","","",458,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"reset_style","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"send_expose","","",458,{"inputs":[{"name":"self"},{"name":"event"}],"output":{"name":"i32"}}],[10,"send_focus_change","","",458,{"inputs":[{"name":"self"},{"name":"event"}],"output":{"name":"bool"}}],[10,"set_accel_path","","",458,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"}],"output":null}],[10,"set_allocation","","",458,{"inputs":[{"name":"self"},{"name":"allocation"}],"output":null}],[10,"set_app_paintable","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_can_default","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_can_focus","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_child_visible","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_clip","","",458,{"inputs":[{"name":"self"},{"name":"allocation"}],"output":null}],[10,"set_composite_name","","",458,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_device_enabled","","",458,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"}],"output":null}],[10,"set_device_events","","",458,{"inputs":[{"name":"self"},{"name":"p"},{"name":"eventmask"}],"output":null}],[10,"set_direction","","",458,{"inputs":[{"name":"self"},{"name":"textdirection"}],"output":null}],[10,"set_double_buffered","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_events","","",458,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_focus_on_click","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_font_map","","",458,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_halign","","",458,{"inputs":[{"name":"self"},{"name":"align"}],"output":null}],[10,"set_has_tooltip","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_has_window","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_hexpand","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_hexpand_set","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_mapped","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_margin_bottom","","",458,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_margin_end","","",458,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_margin_left","","",458,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_margin_right","","",458,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_margin_start","","",458,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_margin_top","","",458,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_name","","",458,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_no_show_all","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_opacity","","",458,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[10,"set_parent","","",458,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_parent_window","","",458,{"inputs":[{"name":"self"},{"name":"window"}],"output":null}],[10,"set_realized","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_receives_default","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_redraw_on_allocate","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_sensitive","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_size_request","","",458,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"set_state_flags","","",458,{"inputs":[{"name":"self"},{"name":"stateflags"},{"name":"bool"}],"output":null}],[10,"set_support_multidevice","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_tooltip_markup","","",458,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_tooltip_text","","",458,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_tooltip_window","","",458,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_valign","","",458,{"inputs":[{"name":"self"},{"name":"align"}],"output":null}],[10,"set_vexpand","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_vexpand_set","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_visible","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_visual","","",458,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_window","","",458,{"inputs":[{"name":"self"},{"name":"window"}],"output":null}],[10,"shape_combine_region","","",458,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"show","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"show_all","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"show_now","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"size_allocate","","",458,{"inputs":[{"name":"self"},{"name":"allocation"}],"output":null}],[10,"size_allocate_with_baseline","","",458,{"inputs":[{"name":"self"},{"name":"allocation"},{"name":"i32"}],"output":null}],[10,"thaw_child_notify","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"translate_coordinates","","",458,{"inputs":[{"name":"self"},{"name":"p"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[10,"trigger_tooltip_query","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"unmap","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"unparent","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"unrealize","","",458,{"inputs":[{"name":"self"}],"output":null}],[10,"unregister_window","","",458,{"inputs":[{"name":"self"},{"name":"window"}],"output":null}],[10,"unset_state_flags","","",458,{"inputs":[{"name":"self"},{"name":"stateflags"}],"output":null}],[10,"get_property_composite_child","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_property_expand","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_expand","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_has_default","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_has_default","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_has_focus","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_has_focus","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_height_request","","",458,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_height_request","","",458,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_is_focus","","",458,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"set_property_is_focus","","",458,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"get_property_margin","","",458,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_margin","","",458,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_width_request","","",458,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_width_request","","",458,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"connect_accel_closures_changed","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_button_press_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_button_release_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_can_activate_accel","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_composited_changed","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_configure_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_damage_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_delete_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_destroy","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_destroy_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_direction_changed","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_drag_begin","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_drag_data_delete","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_drag_data_get","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_drag_data_received","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_drag_drop","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_drag_end","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_drag_failed","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_drag_leave","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_drag_motion","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_draw","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_enter_notify_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_event_after","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_focus","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_focus_in_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_focus_out_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_grab_broken_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_grab_focus","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_grab_notify","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_hide","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_hierarchy_changed","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_key_press_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_key_release_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_keynav_failed","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_leave_notify_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_map","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_mnemonic_activate","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_motion_notify_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_move_focus","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_parent_set","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_popup_menu","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_property_notify_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_proximity_in_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_proximity_out_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_query_tooltip","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_realize","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_screen_changed","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_scroll_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_selection_clear_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_selection_get","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_selection_notify_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_selection_received","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_selection_request_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_show","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_show_help","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_size_allocate","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_state_flags_changed","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_style_updated","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_touch_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_unmap","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_unrealize","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_visibility_notify_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_window_state_event","","",458,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"WindowExt","","",null,null],[10,"activate_default","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"activate_focus","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"activate_key","","",459,{"inputs":[{"name":"self"},{"name":"eventkey"}],"output":{"name":"bool"}}],[10,"add_accel_group","","",459,{"inputs":[{"name":"self"},{"name":"accelgroup"}],"output":null}],[10,"add_mnemonic","","",459,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"p"}],"output":null}],[10,"begin_move_drag","","",459,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"u32"}],"output":null}],[10,"begin_resize_drag","","",459,{"inputs":[{"name":"self"},{"name":"windowedge"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"u32"}],"output":null}],[10,"close","","",459,{"inputs":[{"name":"self"}],"output":null}],[10,"deiconify","","",459,{"inputs":[{"name":"self"}],"output":null}],[10,"fullscreen","","",459,{"inputs":[{"name":"self"}],"output":null}],[10,"fullscreen_on_monitor","","",459,{"inputs":[{"name":"self"},{"name":"screen"},{"name":"i32"}],"output":null}],[10,"get_accept_focus","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_application","","",459,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_attached_to","","",459,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_decorated","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_default_size","","",459,null],[10,"get_default_widget","","",459,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_deletable","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_destroy_with_parent","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_focus","","",459,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_focus_on_map","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_focus_visible","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_gravity","","",459,{"inputs":[{"name":"self"}],"output":{"name":"gravity"}}],[10,"get_group","","",459,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_has_resize_grip","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_hide_titlebar_when_maximized","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_icon","","",459,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_icon_list","","",459,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"get_icon_name","","",459,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_mnemonic_modifier","","",459,{"inputs":[{"name":"self"}],"output":{"name":"modifiertype"}}],[10,"get_mnemonics_visible","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_modal","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_position","","",459,null],[10,"get_resizable","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_resize_grip_area","","",459,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_role","","",459,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_size","","",459,null],[10,"get_skip_pager_hint","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_skip_taskbar_hint","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_title","","",459,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_titlebar","","",459,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_transient_for","","",459,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_type_hint","","",459,{"inputs":[{"name":"self"}],"output":{"name":"windowtypehint"}}],[10,"get_urgency_hint","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_window_type","","",459,{"inputs":[{"name":"self"}],"output":{"name":"windowtype"}}],[10,"has_group","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"has_toplevel_focus","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"iconify","","",459,{"inputs":[{"name":"self"}],"output":null}],[10,"is_active","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_maximized","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"maximize","","",459,{"inputs":[{"name":"self"}],"output":null}],[10,"mnemonic_activate","","",459,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"modifiertype"}],"output":{"name":"bool"}}],[10,"move_","","",459,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"parse_geometry","","",459,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[10,"present","","",459,{"inputs":[{"name":"self"}],"output":null}],[10,"present_with_time","","",459,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[10,"propagate_key_event","","",459,{"inputs":[{"name":"self"},{"name":"eventkey"}],"output":{"name":"bool"}}],[10,"remove_accel_group","","",459,{"inputs":[{"name":"self"},{"name":"accelgroup"}],"output":null}],[10,"remove_mnemonic","","",459,{"inputs":[{"name":"self"},{"name":"u32"},{"name":"p"}],"output":null}],[10,"reshow_with_initial_size","","",459,{"inputs":[{"name":"self"}],"output":null}],[10,"resize","","",459,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"resize_grip_is_visible","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"resize_to_geometry","","",459,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"set_accept_focus","","",459,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_application","","",459,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_attached_to","","",459,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_decorated","","",459,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_default","","",459,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_default_geometry","","",459,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"set_default_size","","",459,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"set_deletable","","",459,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_destroy_with_parent","","",459,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_focus","","",459,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_focus_on_map","","",459,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_focus_visible","","",459,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_gravity","","",459,{"inputs":[{"name":"self"},{"name":"gravity"}],"output":null}],[10,"set_has_resize_grip","","",459,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_has_user_ref_count","","",459,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_hide_titlebar_when_maximized","","",459,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_icon","","",459,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_icon_from_file","","",459,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[10,"set_icon_list","","",459,null],[10,"set_icon_name","","",459,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_keep_above","","",459,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_keep_below","","",459,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_mnemonic_modifier","","",459,{"inputs":[{"name":"self"},{"name":"modifiertype"}],"output":null}],[10,"set_mnemonics_visible","","",459,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_modal","","",459,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_position","","",459,{"inputs":[{"name":"self"},{"name":"windowposition"}],"output":null}],[10,"set_resizable","","",459,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_role","","",459,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_screen","","",459,{"inputs":[{"name":"self"},{"name":"screen"}],"output":null}],[10,"set_skip_pager_hint","","",459,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_skip_taskbar_hint","","",459,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_startup_id","","",459,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_title","","",459,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[10,"set_titlebar","","",459,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_transient_for","","",459,{"inputs":[{"name":"self"},{"name":"q"}],"output":null}],[10,"set_type_hint","","",459,{"inputs":[{"name":"self"},{"name":"windowtypehint"}],"output":null}],[10,"set_urgency_hint","","",459,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_wmclass","","",459,{"inputs":[{"name":"self"},{"name":"str"},{"name":"str"}],"output":null}],[10,"stick","","",459,{"inputs":[{"name":"self"}],"output":null}],[10,"unfullscreen","","",459,{"inputs":[{"name":"self"}],"output":null}],[10,"unmaximize","","",459,{"inputs":[{"name":"self"}],"output":null}],[10,"unstick","","",459,{"inputs":[{"name":"self"}],"output":null}],[10,"get_property_default_height","","",459,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_default_height","","",459,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_default_width","","",459,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"set_property_default_width","","",459,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"get_property_has_toplevel_focus","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_property_is_active","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_property_is_maximized","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_property_resize_grip_visible","","",459,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_property_type","","",459,{"inputs":[{"name":"self"}],"output":{"name":"windowtype"}}],[10,"get_property_window_position","","",459,{"inputs":[{"name":"self"}],"output":{"name":"windowposition"}}],[10,"set_property_window_position","","",459,{"inputs":[{"name":"self"},{"name":"windowposition"}],"output":null}],[10,"connect_activate_default","","",459,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_activate_focus","","",459,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_enable_debugging","","",459,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_keys_changed","","",459,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_set_focus","","",459,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"WindowGroupExt","","",null,null],[10,"add_window","","",460,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"get_current_device_grab","","",460,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"option"}}],[10,"get_current_grab","","",460,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"list_windows","","",460,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"remove_window","","",460,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[8,"EditableSignals","","",null,null],[10,"connect_changed","","",478,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_delete_text","","",478,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_insert_text","","",478,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[8,"SpinButtonSignals","","",null,null],[10,"connect_change_value","","",479,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_input","","",479,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_output","","",479,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_value_changed","","",479,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[10,"connect_wrapped","","",479,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"u64"}}],[11,"hash","","",6,null],[11,"clone","","",6,{"inputs":[{"name":"self"}],"output":{"name":"rectangle"}}],[11,"set_value_optional","","",6,null],[11,"fmt","","",6,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"static_type","","",6,{"inputs":[],"output":{"name":"type"}}],[11,"from","","",6,{"inputs":[{"name":"rectangleint"}],"output":{"name":"rectangle"}}],[11,"as_ref","","",6,{"inputs":[{"name":"self"}],"output":{"name":"rectangleint"}}],[11,"from_value_optional","","",6,{"inputs":[{"name":"value"}],"output":{"name":"option"}}],[11,"set_value","","",6,null],[11,"eq","","",6,{"inputs":[{"name":"self"},{"name":"rectangle"}],"output":{"name":"bool"}}],[11,"ne","","",6,{"inputs":[{"name":"self"},{"name":"rectangle"}],"output":{"name":"bool"}}],[11,"from_glib_full","","",480,null],[11,"default","gtk::prelude","",5,{"inputs":[],"output":{"name":"inhibit"}}],[11,"static_type","gtk","",481,{"inputs":[],"output":{"name":"type"}}],[11,"deref_mut","","",482,{"inputs":[{"name":"self"}],"output":{"name":"value"}}],[11,"to_glib","","",1,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"to_glib","","",4,{"inputs":[{"name":"self"}],"output":{"name":"usize"}}],[11,"uninitialized","","",480,{"inputs":[],"output":{"name":"value"}}],[11,"hash","","",481,null],[11,"drop","","",480,null],[11,"clone","gtk::prelude","",5,{"inputs":[{"name":"self"}],"output":{"name":"inhibit"}}],[11,"clone","gtk","",480,{"inputs":[{"name":"self"}],"output":{"name":"value"}}],[11,"clone","","",481,{"inputs":[{"name":"self"}],"output":{"name":"object"}}],[11,"clone","","",4,{"inputs":[{"name":"self"}],"output":{"name":"type"}}],[11,"clone","","",482,{"inputs":[{"name":"self"}],"output":{"name":"typedvalue"}}],[11,"clone","","",483,{"inputs":[{"name":"self"}],"output":{"name":"error"}}],[11,"description","","",483,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"downcast","","Tries to downcast to a `TypedValue`.",480,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"get","","Tries to get a value of type `T`.",480,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"is","","Returns `true` if the type of the value corresponds to `T`.",480,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"type_","","Returns the type of the value.",480,{"inputs":[{"name":"self"}],"output":{"name":"type"}}],[11,"type_transformable","","Returns whether `Value`s of type `src` can be transformed to type `dst`.",480,{"inputs":[{"name":"type"},{"name":"type"}],"output":{"name":"bool"}}],[11,"deref","","",482,{"inputs":[{"name":"self"}],"output":{"name":"value"}}],[11,"fmt","","",480,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",483,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",482,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",4,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",481,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","gtk::prelude","",5,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"from","gtk","",482,{"inputs":[{"name":"str"}],"output":{"name":"typedvalue"}}],[11,"from","","",480,{"inputs":[{"name":"typedvalue"}],"output":{"name":"value"}}],[11,"from","","",482,{"inputs":[{"name":"option"}],"output":{"name":"typedvalue"}}],[11,"from","","",482,{"inputs":[{"name":"option"}],"output":{"name":"typedvalue"}}],[11,"from","","",482,{"inputs":[{"name":"t"}],"output":{"name":"typedvalue"}}],[11,"from","","",482,{"inputs":[{"name":"typedvalue"}],"output":{"name":"typedvalue"}}],[11,"from","","",480,{"inputs":[{"name":"option"}],"output":{"name":"value"}}],[11,"from","","",480,{"inputs":[{"name":"t"}],"output":{"name":"value"}}],[11,"from","","",482,{"inputs":[{"name":"typedvalue"}],"output":{"name":"typedvalue"}}],[11,"to_value","","",480,{"inputs":[{"name":"self"}],"output":{"name":"value"}}],[11,"to_value_type","","",480,{"inputs":[{"name":"self"}],"output":{"name":"type"}}],[11,"to_glib_none_mut","","",480,{"inputs":[{"name":"self"}],"output":{"name":"stashmut"}}],[11,"from_glib_none","","",480,null],[11,"from_glib_none","","",480,null],[11,"to_glib_none","","",480,{"inputs":[{"name":"self"}],"output":{"name":"stash"}}],[11,"fmt","","",483,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"from_glib","","",4,{"inputs":[{"name":"usize"}],"output":{"name":"type"}}],[11,"eq","","",481,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"eq","gtk::prelude","",5,{"inputs":[{"name":"self"},{"name":"inhibit"}],"output":{"name":"bool"}}],[11,"ne","","",5,{"inputs":[{"name":"self"},{"name":"inhibit"}],"output":{"name":"bool"}}],[11,"eq","gtk","",4,{"inputs":[{"name":"self"},{"name":"type"}],"output":{"name":"bool"}}],[11,"ne","","",4,{"inputs":[{"name":"self"},{"name":"type"}],"output":{"name":"bool"}}],[11,"new","","Creates an error with supplied error enum variant and message.",483,{"inputs":[{"name":"t"},{"name":"str"}],"output":{"name":"error"}}],[11,"is","","Checks if the error domain matches `T`.",483,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"kind","","Tries to convert to a specific error enum.",483,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"wrap","","",483,null],[11,"get","","Returns the value.",482,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_some","","Returns the value.",482,{"inputs":[{"name":"self"}],"output":{"name":"t"}}],[11,"set","","Sets the value.",482,null],[11,"set_none","","Sets the value to `None`.",482,null],[11,"set_some","","Sets the value.",482,null],[11,"intersect","","",6,{"inputs":[{"name":"self"},{"name":"rectangle"}],"output":{"name":"option"}}],[11,"union","","",6,{"inputs":[{"name":"self"},{"name":"rectangle"}],"output":{"name":"rectangle"}}]],"paths":[[8,"Cast"],[3,"Continue"],[8,"StaticType"],[8,"ToValue"],[4,"Type"],[3,"Inhibit"],[3,"Rectangle"],[3,"RecentData"],[3,"Requisition"],[4,"Align"],[4,"ArrowType"],[4,"AssistantPageType"],[4,"BaselinePosition"],[4,"BuilderError"],[4,"ButtonBoxStyle"],[4,"ButtonRole"],[4,"ButtonsType"],[4,"CellRendererAccelMode"],[4,"CellRendererMode"],[4,"CornerType"],[4,"CssProviderError"],[4,"CssSectionType"],[4,"DeleteType"],[4,"DirectionType"],[4,"DragResult"],[4,"EntryIconPosition"],[4,"EventSequenceState"],[4,"FileChooserAction"],[4,"FileChooserConfirmation"],[4,"FileChooserError"],[4,"IMPreeditStyle"],[4,"IMStatusStyle"],[4,"IconSize"],[4,"IconThemeError"],[4,"IconViewDropPosition"],[4,"ImageType"],[4,"InputPurpose"],[4,"Justification"],[4,"LevelBarMode"],[4,"License"],[4,"MenuDirectionType"],[4,"MessageType"],[4,"MovementStep"],[4,"NotebookTab"],[4,"NumberUpLayout"],[4,"Orientation"],[4,"PackDirection"],[4,"PackType"],[4,"PageOrientation"],[4,"PageSet"],[4,"PanDirection"],[4,"PolicyType"],[4,"PopoverConstraint"],[4,"PositionType"],[4,"PrintDuplex"],[4,"PrintError"],[4,"PrintPages"],[4,"PrintQuality"],[4,"PropagationPhase"],[4,"RecentChooserError"],[4,"RecentManagerError"],[4,"RecentSortType"],[4,"ReliefStyle"],[4,"ResizeMode"],[4,"ResponseType"],[4,"RevealerTransitionType"],[4,"ScrollStep"],[4,"ScrollType"],[4,"ScrollablePolicy"],[4,"SelectionMode"],[4,"SensitivityType"],[4,"ShadowType"],[4,"SizeGroupMode"],[4,"SizeRequestMode"],[4,"SortType"],[4,"SpinButtonUpdatePolicy"],[4,"SpinType"],[4,"StackTransitionType"],[4,"StateType"],[4,"TextDirection"],[4,"TextExtendSelection"],[4,"TextWindowType"],[4,"ToolbarStyle"],[4,"TreeViewColumnSizing"],[4,"TreeViewDropPosition"],[4,"TreeViewGridLines"],[4,"Unit"],[4,"WidgetHelpType"],[4,"WindowPosition"],[4,"WindowType"],[4,"WrapMode"],[4,"SortColumn"],[3,"AboutDialog"],[3,"AccelGroup"],[3,"ActionBar"],[3,"Actionable"],[3,"Adjustment"],[3,"Alignment"],[3,"AppChooserDialog"],[3,"AppChooserWidget"],[3,"Application"],[3,"ApplicationWindow"],[3,"Arrow"],[3,"AspectFrame"],[3,"Assistant"],[3,"Bin"],[3,"Box"],[3,"Button"],[3,"ButtonBox"],[3,"Calendar"],[3,"CellArea"],[3,"CellAreaBox"],[3,"CellAreaContext"],[3,"CellEditable"],[3,"CellLayout"],[3,"CellRenderer"],[3,"CellRendererAccel"],[3,"CellRendererCombo"],[3,"CellRendererPixbuf"],[3,"CellRendererProgress"],[3,"CellRendererSpin"],[3,"CellRendererSpinner"],[3,"CellRendererText"],[3,"CellRendererToggle"],[3,"CheckButton"],[3,"CheckMenuItem"],[3,"Clipboard"],[3,"ColorButton"],[3,"ColorChooser"],[3,"ColorChooserDialog"],[3,"ColorChooserWidget"],[3,"ComboBox"],[3,"ComboBoxText"],[3,"Container"],[3,"CssProvider"],[3,"Dialog"],[3,"DrawingArea"],[3,"Editable"],[3,"Entry"],[3,"EntryCompletion"],[3,"EventBox"],[3,"EventController"],[3,"Expander"],[3,"FileChooser"],[3,"FileChooserButton"],[3,"FileChooserDialog"],[3,"FileChooserWidget"],[3,"FileFilter"],[3,"Fixed"],[3,"FlowBox"],[3,"FlowBoxChild"],[3,"FontButton"],[3,"FontChooser"],[3,"FontChooserDialog"],[3,"FontChooserWidget"],[3,"Frame"],[3,"GLArea"],[3,"Gesture"],[3,"GestureDrag"],[3,"GestureLongPress"],[3,"GestureMultiPress"],[3,"GesturePan"],[3,"GestureRotate"],[3,"GestureSingle"],[3,"GestureSwipe"],[3,"GestureZoom"],[3,"Grid"],[3,"HeaderBar"],[3,"IMContext"],[3,"IMMulticontext"],[3,"IconFactory"],[3,"IconInfo"],[3,"IconTheme"],[3,"IconView"],[3,"Image"],[3,"ImageMenuItem"],[3,"InfoBar"],[3,"Label"],[3,"Layout"],[3,"LevelBar"],[3,"LinkButton"],[3,"ListBox"],[3,"ListBoxRow"],[3,"ListStore"],[3,"Menu"],[3,"MenuBar"],[3,"MenuButton"],[3,"MenuItem"],[3,"MenuShell"],[3,"MenuToolButton"],[3,"MessageDialog"],[3,"Misc"],[3,"ModelButton"],[3,"Notebook"],[3,"Orientable"],[3,"Overlay"],[3,"PageSetup"],[3,"Paned"],[3,"PlacesSidebar"],[3,"Popover"],[3,"PopoverMenu"],[3,"PrintContext"],[3,"PrintSettings"],[3,"ProgressBar"],[3,"RadioButton"],[3,"RadioMenuItem"],[3,"Range"],[3,"RecentChooser"],[3,"RecentChooserDialog"],[3,"RecentChooserWidget"],[3,"RecentFilter"],[3,"RecentManager"],[3,"Revealer"],[3,"Scale"],[3,"ScaleButton"],[3,"Scrollable"],[3,"Scrollbar"],[3,"ScrolledWindow"],[3,"SearchBar"],[3,"SearchEntry"],[3,"Separator"],[3,"SeparatorMenuItem"],[3,"SeparatorToolItem"],[3,"Settings"],[3,"ShortcutsWindow"],[3,"SizeGroup"],[3,"SpinButton"],[3,"Spinner"],[3,"Stack"],[3,"StackSidebar"],[3,"StackSwitcher"],[3,"StatusIcon"],[3,"Statusbar"],[3,"StyleContext"],[3,"StyleProperties"],[3,"StyleProvider"],[3,"Switch"],[3,"TextBuffer"],[3,"TextChildAnchor"],[3,"TextMark"],[3,"TextTag"],[3,"TextTagTable"],[3,"TextView"],[3,"ToggleButton"],[3,"ToggleToolButton"],[3,"ToolButton"],[3,"ToolItem"],[3,"ToolItemGroup"],[3,"ToolPalette"],[3,"ToolShell"],[3,"Toolbar"],[3,"Tooltip"],[3,"TreeModel"],[3,"TreeModelFilter"],[3,"TreeSelection"],[3,"TreeSortable"],[3,"TreeStore"],[3,"TreeView"],[3,"TreeViewColumn"],[3,"Viewport"],[3,"VolumeButton"],[3,"Widget"],[3,"Window"],[3,"WindowGroup"],[3,"CssSection"],[3,"IconSet"],[3,"IconSource"],[3,"PaperSize"],[3,"RecentInfo"],[3,"SelectionData"],[3,"SymbolicColor"],[3,"TargetList"],[3,"TextAttributes"],[3,"TextIter"],[3,"TreeIter"],[3,"TreePath"],[3,"AccelFlags"],[3,"ApplicationInhibitFlags"],[3,"CalendarDisplayOptions"],[3,"CellRendererState"],[3,"DestDefaults"],[3,"DialogFlags"],[3,"FileFilterFlags"],[3,"IconLookupFlags"],[3,"InputHints"],[3,"JunctionSides"],[3,"PlacesOpenFlags"],[3,"RecentFilterFlags"],[3,"RegionFlags"],[3,"StateFlags"],[3,"StyleContextPrintFlags"],[3,"TargetFlags"],[3,"TextSearchFlags"],[3,"ToolPaletteDragTargets"],[3,"TreeModelFlags"],[3,"AppChooser"],[3,"Builder"],[3,"EntryBuffer"],[3,"Socket"],[3,"TargetEntry"],[8,"AboutDialogExt"],[8,"AccelGroupExt"],[8,"ActionBarExt"],[8,"ActionableExt"],[8,"AdjustmentExt"],[8,"AlignmentExt"],[8,"AppChooserDialogExt"],[8,"AppChooserWidgetExt"],[8,"ApplicationExt"],[8,"ApplicationWindowExt"],[8,"ArrowExt"],[8,"AspectFrameExt"],[8,"AssistantExt"],[8,"BinExt"],[8,"BoxExt"],[8,"ButtonExt"],[8,"ButtonBoxExt"],[8,"CalendarExt"],[8,"CellAreaExt"],[8,"CellAreaBoxExt"],[8,"CellAreaContextExt"],[8,"CellEditableExt"],[8,"CellLayoutExt"],[8,"CellRendererExt"],[8,"CellRendererAccelExt"],[8,"CellRendererComboExt"],[8,"CellRendererPixbufExt"],[8,"CellRendererProgressExt"],[8,"CellRendererSpinExt"],[8,"CellRendererSpinnerExt"],[8,"CellRendererTextExt"],[8,"CellRendererToggleExt"],[8,"CheckMenuItemExt"],[8,"ClipboardExt"],[8,"ColorButtonExt"],[8,"ColorChooserExt"],[8,"ColorChooserDialogExt"],[8,"ColorChooserWidgetExt"],[8,"ComboBoxExt"],[8,"ComboBoxTextExt"],[8,"ContainerExt"],[8,"CssProviderExt"],[8,"DialogExt"],[8,"EditableExt"],[8,"EntryExt"],[8,"EntryCompletionExt"],[8,"EventBoxExt"],[8,"EventControllerExt"],[8,"ExpanderExt"],[8,"FileChooserExt"],[8,"FileChooserButtonExt"],[8,"FileChooserWidgetExt"],[8,"FileFilterExt"],[8,"FixedExt"],[8,"FlowBoxExt"],[8,"FlowBoxChildExt"],[8,"FontButtonExt"],[8,"FontChooserExt"],[8,"FrameExt"],[8,"GLAreaExt"],[8,"GestureExt"],[8,"GestureDragExt"],[8,"GestureLongPressExt"],[8,"GestureMultiPressExt"],[8,"GesturePanExt"],[8,"GestureRotateExt"],[8,"GestureSingleExt"],[8,"GestureSwipeExt"],[8,"GestureZoomExt"],[8,"GridExt"],[8,"HeaderBarExt"],[8,"IMContextExt"],[8,"IMMulticontextExt"],[8,"IconFactoryExt"],[8,"IconInfoExt"],[8,"IconThemeExt"],[8,"IconViewExt"],[8,"ImageExt"],[8,"ImageMenuItemExt"],[8,"InfoBarExt"],[8,"LabelExt"],[8,"LayoutExt"],[8,"LevelBarExt"],[8,"LinkButtonExt"],[8,"ListBoxExt"],[8,"ListBoxRowExt"],[8,"ListStoreExt"],[8,"MenuExt"],[8,"MenuBarExt"],[8,"MenuButtonExt"],[8,"MenuItemExt"],[8,"MenuShellExt"],[8,"MenuToolButtonExt"],[8,"MessageDialogExt"],[8,"MiscExt"],[8,"ModelButtonExt"],[8,"NotebookExt"],[8,"OrientableExt"],[8,"OverlayExt"],[8,"PageSetupExt"],[8,"PanedExt"],[8,"PlacesSidebarExt"],[8,"PopoverExt"],[8,"PopoverMenuExt"],[8,"PrintContextExt"],[8,"PrintSettingsExt"],[8,"ProgressBarExt"],[8,"RadioButtonExt"],[8,"RadioMenuItemExt"],[8,"RangeExt"],[8,"RecentChooserExt"],[8,"RecentFilterExt"],[8,"RecentManagerExt"],[8,"RevealerExt"],[8,"ScaleExt"],[8,"ScaleButtonExt"],[8,"ScrollableExt"],[8,"ScrolledWindowExt"],[8,"SearchBarExt"],[8,"SearchEntryExt"],[8,"SeparatorToolItemExt"],[8,"SettingsExt"],[8,"ShortcutsWindowExt"],[8,"SizeGroupExt"],[8,"SpinButtonExt"],[8,"SpinnerExt"],[8,"StackExt"],[8,"StackSidebarExt"],[8,"StackSwitcherExt"],[8,"StatusIconExt"],[8,"StatusbarExt"],[8,"StyleContextExt"],[8,"StylePropertiesExt"],[8,"SwitchExt"],[8,"TextBufferExt"],[8,"TextChildAnchorExt"],[8,"TextMarkExt"],[8,"TextTagExt"],[8,"TextTagTableExt"],[8,"TextViewExt"],[8,"ToggleButtonExt"],[8,"ToggleToolButtonExt"],[8,"ToolButtonExt"],[8,"ToolItemExt"],[8,"ToolItemGroupExt"],[8,"ToolPaletteExt"],[8,"ToolShellExt"],[8,"ToolbarExt"],[8,"TooltipExt"],[8,"TreeModelExt"],[8,"TreeModelFilterExt"],[8,"TreeSelectionExt"],[8,"TreeSortableExt"],[8,"TreeStoreExt"],[8,"TreeViewExt"],[8,"TreeViewColumnExt"],[8,"ViewportExt"],[8,"VolumeButtonExt"],[8,"WidgetExt"],[8,"WindowExt"],[8,"WindowGroupExt"],[8,"AppChooserExt"],[8,"AssistantExtManual"],[8,"ClipboardExtManual"],[8,"ColorButtonExtManual"],[8,"ColorChooserExtManual"],[8,"CssProviderExtManual"],[8,"DialogExtManual"],[8,"DragContextExtManual"],[8,"ListStoreExtManual"],[8,"MenuExtManual"],[8,"NotebookExtManual"],[8,"SwitchExtManual"],[8,"TextBufferExtManual"],[8,"TreeModelFilterExtManual"],[8,"TreeSortableExtManual"],[8,"TreeStoreExtManual"],[8,"WidgetExtManual"],[8,"EditableSignals"],[8,"SpinButtonSignals"],[3,"Value"],[3,"Object"],[3,"TypedValue"],[3,"Error"]]};
searchIndex["gtk_sys"] = {"doc":"","items":[[3,"GtkAccelFlags","gtk_sys","",null,null],[3,"GtkApplicationInhibitFlags","","",null,null],[3,"GtkAttachOptions","","",null,null],[3,"GtkCalendarDisplayOptions","","",null,null],[3,"GtkCellRendererState","","",null,null],[3,"GtkDebugFlag","","",null,null],[3,"GtkDestDefaults","","",null,null],[3,"GtkDialogFlags","","",null,null],[3,"GtkFileFilterFlags","","",null,null],[3,"GtkIconLookupFlags","","",null,null],[3,"GtkInputHints","","",null,null],[3,"GtkJunctionSides","","",null,null],[3,"GtkPlacesOpenFlags","","",null,null],[3,"GtkRcFlags","","",null,null],[3,"GtkRecentFilterFlags","","",null,null],[3,"GtkRegionFlags","","",null,null],[3,"GtkStateFlags","","",null,null],[3,"GtkStyleContextPrintFlags","","",null,null],[3,"GtkTargetFlags","","",null,null],[3,"GtkTextSearchFlags","","",null,null],[3,"GtkToolPaletteDragTargets","","",null,null],[3,"GtkTreeModelFlags","","",null,null],[3,"GtkUIManagerItemType","","",null,null],[3,"GtkAboutDialogClass","","",null,null],[12,"parent_class","","",0,null],[12,"activate_link","","",0,null],[12,"_gtk_reserved1","","",0,null],[12,"_gtk_reserved2","","",0,null],[12,"_gtk_reserved3","","",0,null],[12,"_gtk_reserved4","","",0,null],[3,"GtkAboutDialogPrivate","","",null,null],[3,"GtkAccelGroupClass","","",null,null],[12,"parent_class","","",1,null],[12,"accel_changed","","",1,null],[12,"_gtk_reserved1","","",1,null],[12,"_gtk_reserved2","","",1,null],[12,"_gtk_reserved3","","",1,null],[12,"_gtk_reserved4","","",1,null],[3,"GtkAccelGroupEntry","","",null,null],[12,"key","","",2,null],[12,"closure","","",2,null],[12,"accel_path_quark","","",2,null],[3,"GtkAccelGroupPrivate","","",null,null],[3,"GtkAccelKey","","",null,null],[12,"accel_key","","",3,null],[12,"accel_mods","","",3,null],[3,"GtkAccelLabelClass","","",null,null],[12,"parent_class","","",4,null],[12,"signal_quote1","","",4,null],[12,"signal_quote2","","",4,null],[12,"mod_name_shift","","",4,null],[12,"mod_name_control","","",4,null],[12,"mod_name_alt","","",4,null],[12,"mod_separator","","",4,null],[12,"_gtk_reserved1","","",4,null],[12,"_gtk_reserved2","","",4,null],[12,"_gtk_reserved3","","",4,null],[12,"_gtk_reserved4","","",4,null],[3,"GtkAccelLabelPrivate","","",null,null],[3,"GtkAccelMapClass","","",null,null],[3,"GtkAccessibleClass","","",null,null],[12,"parent_class","","",5,null],[12,"connect_widget_destroyed","","",5,null],[12,"widget_set","","",5,null],[12,"widget_unset","","",5,null],[12,"_gtk_reserved3","","",5,null],[12,"_gtk_reserved4","","",5,null],[3,"GtkAccessiblePrivate","","",null,null],[3,"GtkActionBarClass","","",null,null],[12,"parent_class","","",6,null],[12,"_gtk_reserved1","","",6,null],[12,"_gtk_reserved2","","",6,null],[12,"_gtk_reserved3","","",6,null],[12,"_gtk_reserved4","","",6,null],[3,"GtkActionBarPrivate","","",null,null],[3,"GtkActionClass","","",null,null],[12,"parent_class","","",7,null],[12,"activate","","",7,null],[12,"menu_item_type","","",7,null],[12,"toolbar_item_type","","",7,null],[12,"create_menu_item","","",7,null],[12,"create_tool_item","","",7,null],[12,"connect_proxy","","",7,null],[12,"disconnect_proxy","","",7,null],[12,"create_menu","","",7,null],[12,"_gtk_reserved1","","",7,null],[12,"_gtk_reserved2","","",7,null],[12,"_gtk_reserved3","","",7,null],[12,"_gtk_reserved4","","",7,null],[3,"GtkActionEntry","","",null,null],[12,"name","","",8,null],[12,"stock_id","","",8,null],[12,"label","","",8,null],[12,"accelerator","","",8,null],[12,"tooltip","","",8,null],[12,"callback","","",8,null],[3,"GtkActionGroupClass","","",null,null],[12,"parent_class","","",9,null],[12,"get_action","","",9,null],[12,"_gtk_reserved1","","",9,null],[12,"_gtk_reserved2","","",9,null],[12,"_gtk_reserved3","","",9,null],[12,"_gtk_reserved4","","",9,null],[3,"GtkActionGroupPrivate","","",null,null],[3,"GtkActionPrivate","","",null,null],[3,"GtkActionableInterface","","",null,null],[12,"g_iface","","",10,null],[12,"get_action_name","","",10,null],[12,"set_action_name","","",10,null],[12,"get_action_target_value","","",10,null],[12,"set_action_target_value","","",10,null],[3,"GtkActivatableIface","","",null,null],[12,"g_iface","","",11,null],[12,"update","","",11,null],[12,"sync_action_properties","","",11,null],[3,"GtkAdjustmentClass","","",null,null],[12,"parent_class","","",12,null],[12,"changed","","",12,null],[12,"value_changed","","",12,null],[12,"_gtk_reserved1","","",12,null],[12,"_gtk_reserved2","","",12,null],[12,"_gtk_reserved3","","",12,null],[12,"_gtk_reserved4","","",12,null],[3,"GtkAdjustmentPrivate","","",null,null],[3,"GtkAlignmentClass","","",null,null],[12,"parent_class","","",13,null],[12,"_gtk_reserved1","","",13,null],[12,"_gtk_reserved2","","",13,null],[12,"_gtk_reserved3","","",13,null],[12,"_gtk_reserved4","","",13,null],[3,"GtkAlignmentPrivate","","",null,null],[3,"GtkAppChooserButtonClass","","",null,null],[12,"parent_class","","",14,null],[12,"custom_item_activated","","",14,null],[12,"padding","","",14,null],[3,"GtkAppChooserButtonPrivate","","",null,null],[3,"GtkAppChooserDialogClass","","",null,null],[12,"parent_class","","",15,null],[12,"padding","","",15,null],[3,"GtkAppChooserDialogPrivate","","",null,null],[3,"GtkAppChooserWidgetClass","","",null,null],[12,"parent_class","","",16,null],[12,"application_selected","","",16,null],[12,"application_activated","","",16,null],[12,"populate_popup","","",16,null],[12,"padding","","",16,null],[3,"GtkAppChooserWidgetPrivate","","",null,null],[3,"GtkApplicationClass","","",null,null],[12,"parent_class","","",17,null],[12,"window_added","","",17,null],[12,"window_removed","","",17,null],[12,"padding","","",17,null],[3,"GtkApplicationPrivate","","",null,null],[3,"GtkApplicationWindowClass","","",null,null],[12,"parent_class","","",18,null],[12,"padding","","",18,null],[3,"GtkApplicationWindowPrivate","","",null,null],[3,"GtkArrowAccessibleClass","","",null,null],[12,"parent_class","","",19,null],[3,"GtkArrowAccessiblePrivate","","",null,null],[3,"GtkArrowClass","","",null,null],[12,"parent_class","","",20,null],[12,"_gtk_reserved1","","",20,null],[12,"_gtk_reserved2","","",20,null],[12,"_gtk_reserved3","","",20,null],[12,"_gtk_reserved4","","",20,null],[3,"GtkArrowPrivate","","",null,null],[3,"GtkAspectFrameClass","","",null,null],[12,"parent_class","","",21,null],[12,"_gtk_reserved1","","",21,null],[12,"_gtk_reserved2","","",21,null],[12,"_gtk_reserved3","","",21,null],[12,"_gtk_reserved4","","",21,null],[3,"GtkAspectFramePrivate","","",null,null],[3,"GtkAssistantClass","","",null,null],[12,"parent_class","","",22,null],[12,"prepare","","",22,null],[12,"apply","","",22,null],[12,"close","","",22,null],[12,"cancel","","",22,null],[12,"_gtk_reserved1","","",22,null],[12,"_gtk_reserved2","","",22,null],[12,"_gtk_reserved3","","",22,null],[12,"_gtk_reserved4","","",22,null],[12,"_gtk_reserved5","","",22,null],[3,"GtkAssistantPrivate","","",null,null],[3,"GtkBinClass","","",null,null],[12,"parent_class","","",23,null],[12,"_gtk_reserved1","","",23,null],[12,"_gtk_reserved2","","",23,null],[12,"_gtk_reserved3","","",23,null],[12,"_gtk_reserved4","","",23,null],[3,"GtkBinPrivate","","",null,null],[3,"GtkBindingArg","","",null,null],[12,"arg_type","","",24,null],[3,"GtkBindingEntry","","",null,null],[12,"keyval","","",25,null],[12,"modifiers","","",25,null],[12,"binding_set","","",25,null],[3,"GtkBindingSet","","",null,null],[12,"set_name","","",26,null],[12,"priority","","",26,null],[12,"widget_path_pspecs","","",26,null],[12,"widget_class_pspecs","","",26,null],[12,"class_branch_pspecs","","",26,null],[12,"entries","","",26,null],[12,"current","","",26,null],[3,"GtkBindingSignal","","",null,null],[12,"next","","",27,null],[12,"signal_name","","",27,null],[12,"n_args","","",27,null],[12,"args","","",27,null],[3,"GtkBooleanCellAccessibleClass","","",null,null],[12,"parent_class","","",28,null],[3,"GtkBooleanCellAccessiblePrivate","","",null,null],[3,"GtkBorder","","",null,null],[12,"left","","",29,null],[12,"right","","",29,null],[12,"top","","",29,null],[12,"bottom","","",29,null],[3,"GtkBoxClass","","",null,null],[12,"parent_class","","",30,null],[12,"_gtk_reserved1","","",30,null],[12,"_gtk_reserved2","","",30,null],[12,"_gtk_reserved3","","",30,null],[12,"_gtk_reserved4","","",30,null],[3,"GtkBoxPrivate","","",null,null],[3,"GtkBuildableIface","","",null,null],[12,"g_iface","","",31,null],[12,"set_name","","",31,null],[12,"get_name","","",31,null],[12,"add_child","","",31,null],[12,"set_buildable_property","","",31,null],[12,"construct_child","","",31,null],[12,"custom_tag_start","","",31,null],[12,"custom_tag_end","","",31,null],[12,"custom_finished","","",31,null],[12,"parser_finished","","",31,null],[12,"get_internal_child","","",31,null],[3,"GtkBuilderClass","","",null,null],[12,"parent_class","","",32,null],[12,"get_type_from_name","","",32,null],[12,"_gtk_reserved1","","",32,null],[12,"_gtk_reserved2","","",32,null],[12,"_gtk_reserved3","","",32,null],[12,"_gtk_reserved4","","",32,null],[12,"_gtk_reserved5","","",32,null],[12,"_gtk_reserved6","","",32,null],[12,"_gtk_reserved7","","",32,null],[12,"_gtk_reserved8","","",32,null],[3,"GtkBuilderPrivate","","",null,null],[3,"GtkButtonAccessibleClass","","",null,null],[12,"parent_class","","",33,null],[3,"GtkButtonAccessiblePrivate","","",null,null],[3,"GtkButtonBoxClass","","",null,null],[12,"parent_class","","",34,null],[12,"_gtk_reserved1","","",34,null],[12,"_gtk_reserved2","","",34,null],[12,"_gtk_reserved3","","",34,null],[12,"_gtk_reserved4","","",34,null],[3,"GtkButtonBoxPrivate","","",null,null],[3,"GtkButtonClass","","",null,null],[12,"parent_class","","",35,null],[12,"pressed","","",35,null],[12,"released","","",35,null],[12,"clicked","","",35,null],[12,"enter","","",35,null],[12,"leave","","",35,null],[12,"activate","","",35,null],[12,"_gtk_reserved1","","",35,null],[12,"_gtk_reserved2","","",35,null],[12,"_gtk_reserved3","","",35,null],[12,"_gtk_reserved4","","",35,null],[3,"GtkButtonPrivate","","",null,null],[3,"GtkCalendarClass","","",null,null],[12,"parent_class","","",36,null],[12,"month_changed","","",36,null],[12,"day_selected","","",36,null],[12,"day_selected_double_click","","",36,null],[12,"prev_month","","",36,null],[12,"next_month","","",36,null],[12,"prev_year","","",36,null],[12,"next_year","","",36,null],[12,"_gtk_reserved1","","",36,null],[12,"_gtk_reserved2","","",36,null],[12,"_gtk_reserved3","","",36,null],[12,"_gtk_reserved4","","",36,null],[3,"GtkCalendarPrivate","","",null,null],[3,"GtkCellAccessibleClass","","",null,null],[12,"parent_class","","",37,null],[12,"update_cache","","",37,null],[3,"GtkCellAccessibleParentIface","","",null,null],[12,"parent","","",38,null],[12,"get_cell_extents","","",38,null],[12,"get_cell_area","","",38,null],[12,"grab_focus","","",38,null],[12,"get_child_index","","",38,null],[12,"get_renderer_state","","",38,null],[12,"expand_collapse","","",38,null],[12,"activate","","",38,null],[12,"edit","","",38,null],[12,"update_relationset","","",38,null],[3,"GtkCellAccessiblePrivate","","",null,null],[3,"GtkCellAreaBoxClass","","",null,null],[12,"parent_class","","",39,null],[12,"_gtk_reserved1","","",39,null],[12,"_gtk_reserved2","","",39,null],[12,"_gtk_reserved3","","",39,null],[12,"_gtk_reserved4","","",39,null],[3,"GtkCellAreaBoxPrivate","","",null,null],[3,"GtkCellAreaClass","","",null,null],[12,"parent_class","","",40,null],[12,"add","","",40,null],[12,"remove","","",40,null],[12,"foreach","","",40,null],[12,"foreach_alloc","","",40,null],[12,"event","","",40,null],[12,"render","","",40,null],[12,"apply_attributes","","",40,null],[12,"create_context","","",40,null],[12,"copy_context","","",40,null],[12,"get_request_mode","","",40,null],[12,"get_preferred_width","","",40,null],[12,"get_preferred_height_for_width","","",40,null],[12,"get_preferred_height","","",40,null],[12,"get_preferred_width_for_height","","",40,null],[12,"set_cell_property","","",40,null],[12,"get_cell_property","","",40,null],[12,"focus","","",40,null],[12,"is_activatable","","",40,null],[12,"activate","","",40,null],[12,"_gtk_reserved1","","",40,null],[12,"_gtk_reserved2","","",40,null],[12,"_gtk_reserved3","","",40,null],[12,"_gtk_reserved4","","",40,null],[12,"_gtk_reserved5","","",40,null],[12,"_gtk_reserved6","","",40,null],[12,"_gtk_reserved7","","",40,null],[12,"_gtk_reserved8","","",40,null],[3,"GtkCellAreaContextClass","","",null,null],[12,"parent_class","","",41,null],[12,"allocate","","",41,null],[12,"reset","","",41,null],[12,"get_preferred_height_for_width","","",41,null],[12,"get_preferred_width_for_height","","",41,null],[12,"_gtk_reserved1","","",41,null],[12,"_gtk_reserved2","","",41,null],[12,"_gtk_reserved3","","",41,null],[12,"_gtk_reserved4","","",41,null],[12,"_gtk_reserved5","","",41,null],[12,"_gtk_reserved6","","",41,null],[3,"GtkCellAreaContextPrivate","","",null,null],[3,"GtkCellAreaPrivate","","",null,null],[3,"GtkCellEditableIface","","",null,null],[12,"g_iface","","",42,null],[12,"editing_done","","",42,null],[12,"remove_widget","","",42,null],[12,"start_editing","","",42,null],[3,"GtkCellLayoutIface","","",null,null],[12,"g_iface","","",43,null],[12,"pack_start","","",43,null],[12,"pack_end","","",43,null],[12,"clear","","",43,null],[12,"add_attribute","","",43,null],[12,"set_cell_data_func","","",43,null],[12,"clear_attributes","","",43,null],[12,"reorder","","",43,null],[12,"get_cells","","",43,null],[12,"get_area","","",43,null],[3,"GtkCellRendererAccelClass","","",null,null],[12,"parent_class","","",44,null],[12,"accel_edited","","",44,null],[12,"accel_cleared","","",44,null],[12,"_gtk_reserved0","","",44,null],[12,"_gtk_reserved1","","",44,null],[12,"_gtk_reserved2","","",44,null],[12,"_gtk_reserved3","","",44,null],[12,"_gtk_reserved4","","",44,null],[3,"GtkCellRendererAccelPrivate","","",null,null],[3,"GtkCellRendererClass","","",null,null],[12,"parent_class","","",45,null],[12,"get_request_mode","","",45,null],[12,"get_preferred_width","","",45,null],[12,"get_preferred_height_for_width","","",45,null],[12,"get_preferred_height","","",45,null],[12,"get_preferred_width_for_height","","",45,null],[12,"get_aligned_area","","",45,null],[12,"get_size","","",45,null],[12,"render","","",45,null],[12,"activate","","",45,null],[12,"start_editing","","",45,null],[12,"editing_canceled","","",45,null],[12,"editing_started","","",45,null],[12,"priv_","","",45,null],[12,"_gtk_reserved2","","",45,null],[12,"_gtk_reserved3","","",45,null],[12,"_gtk_reserved4","","",45,null],[3,"GtkCellRendererClassPrivate","","",null,null],[3,"GtkCellRendererComboClass","","",null,null],[12,"parent","","",46,null],[12,"_gtk_reserved1","","",46,null],[12,"_gtk_reserved2","","",46,null],[12,"_gtk_reserved3","","",46,null],[12,"_gtk_reserved4","","",46,null],[3,"GtkCellRendererComboPrivate","","",null,null],[3,"GtkCellRendererPixbufClass","","",null,null],[12,"parent_class","","",47,null],[12,"_gtk_reserved1","","",47,null],[12,"_gtk_reserved2","","",47,null],[12,"_gtk_reserved3","","",47,null],[12,"_gtk_reserved4","","",47,null],[3,"GtkCellRendererPixbufPrivate","","",null,null],[3,"GtkCellRendererPrivate","","",null,null],[3,"GtkCellRendererProgressClass","","",null,null],[12,"parent_class","","",48,null],[12,"_gtk_reserved1","","",48,null],[12,"_gtk_reserved2","","",48,null],[12,"_gtk_reserved3","","",48,null],[12,"_gtk_reserved4","","",48,null],[3,"GtkCellRendererProgressPrivate","","",null,null],[3,"GtkCellRendererSpinClass","","",null,null],[12,"parent","","",49,null],[12,"_gtk_reserved1","","",49,null],[12,"_gtk_reserved2","","",49,null],[12,"_gtk_reserved3","","",49,null],[12,"_gtk_reserved4","","",49,null],[3,"GtkCellRendererSpinPrivate","","",null,null],[3,"GtkCellRendererSpinnerClass","","",null,null],[12,"parent_class","","",50,null],[12,"_gtk_reserved1","","",50,null],[12,"_gtk_reserved2","","",50,null],[12,"_gtk_reserved3","","",50,null],[12,"_gtk_reserved4","","",50,null],[3,"GtkCellRendererSpinnerPrivate","","",null,null],[3,"GtkCellRendererTextClass","","",null,null],[12,"parent_class","","",51,null],[12,"edited","","",51,null],[12,"_gtk_reserved1","","",51,null],[12,"_gtk_reserved2","","",51,null],[12,"_gtk_reserved3","","",51,null],[12,"_gtk_reserved4","","",51,null],[3,"GtkCellRendererTextPrivate","","",null,null],[3,"GtkCellRendererToggleClass","","",null,null],[12,"parent_class","","",52,null],[12,"toggled","","",52,null],[12,"_gtk_reserved1","","",52,null],[12,"_gtk_reserved2","","",52,null],[12,"_gtk_reserved3","","",52,null],[12,"_gtk_reserved4","","",52,null],[3,"GtkCellRendererTogglePrivate","","",null,null],[3,"GtkCellViewClass","","",null,null],[12,"parent_class","","",53,null],[12,"_gtk_reserved1","","",53,null],[12,"_gtk_reserved2","","",53,null],[12,"_gtk_reserved3","","",53,null],[12,"_gtk_reserved4","","",53,null],[3,"GtkCellViewPrivate","","",null,null],[3,"GtkCheckButtonClass","","",null,null],[12,"parent_class","","",54,null],[12,"draw_indicator","","",54,null],[12,"_gtk_reserved1","","",54,null],[12,"_gtk_reserved2","","",54,null],[12,"_gtk_reserved3","","",54,null],[12,"_gtk_reserved4","","",54,null],[3,"GtkCheckMenuItemAccessibleClass","","",null,null],[12,"parent_class","","",55,null],[3,"GtkCheckMenuItemAccessiblePrivate","","",null,null],[3,"GtkCheckMenuItemClass","","",null,null],[12,"parent_class","","",56,null],[12,"toggled","","",56,null],[12,"draw_indicator","","",56,null],[12,"_gtk_reserved1","","",56,null],[12,"_gtk_reserved2","","",56,null],[12,"_gtk_reserved3","","",56,null],[12,"_gtk_reserved4","","",56,null],[3,"GtkCheckMenuItemPrivate","","",null,null],[3,"GtkColorButtonClass","","",null,null],[12,"parent_class","","",57,null],[12,"color_set","","",57,null],[12,"_gtk_reserved1","","",57,null],[12,"_gtk_reserved2","","",57,null],[12,"_gtk_reserved3","","",57,null],[12,"_gtk_reserved4","","",57,null],[3,"GtkColorButtonPrivate","","",null,null],[3,"GtkColorChooserDialogClass","","",null,null],[12,"parent_class","","",58,null],[12,"_gtk_reserved1","","",58,null],[12,"_gtk_reserved2","","",58,null],[12,"_gtk_reserved3","","",58,null],[12,"_gtk_reserved4","","",58,null],[3,"GtkColorChooserDialogPrivate","","",null,null],[3,"GtkColorChooserInterface","","",null,null],[12,"base_interface","","",59,null],[12,"get_rgba","","",59,null],[12,"set_rgba","","",59,null],[12,"add_palette","","",59,null],[12,"color_activated","","",59,null],[12,"padding","","",59,null],[3,"GtkColorChooserWidgetClass","","",null,null],[12,"parent_class","","",60,null],[12,"_gtk_reserved1","","",60,null],[12,"_gtk_reserved2","","",60,null],[12,"_gtk_reserved3","","",60,null],[12,"_gtk_reserved4","","",60,null],[12,"_gtk_reserved5","","",60,null],[12,"_gtk_reserved6","","",60,null],[12,"_gtk_reserved7","","",60,null],[12,"_gtk_reserved8","","",60,null],[3,"GtkColorChooserWidgetPrivate","","",null,null],[3,"GtkColorSelectionClass","","",null,null],[12,"parent_class","","",61,null],[12,"color_changed","","",61,null],[12,"_gtk_reserved1","","",61,null],[12,"_gtk_reserved2","","",61,null],[12,"_gtk_reserved3","","",61,null],[12,"_gtk_reserved4","","",61,null],[3,"GtkColorSelectionDialogClass","","",null,null],[12,"parent_class","","",62,null],[12,"_gtk_reserved1","","",62,null],[12,"_gtk_reserved2","","",62,null],[12,"_gtk_reserved3","","",62,null],[12,"_gtk_reserved4","","",62,null],[3,"GtkColorSelectionDialogPrivate","","",null,null],[3,"GtkColorSelectionPrivate","","",null,null],[3,"GtkComboBoxAccessibleClass","","",null,null],[12,"parent_class","","",63,null],[3,"GtkComboBoxAccessiblePrivate","","",null,null],[3,"GtkComboBoxClass","","",null,null],[12,"parent_class","","",64,null],[12,"changed","","",64,null],[12,"format_entry_text","","",64,null],[12,"_gtk_reserved1","","",64,null],[12,"_gtk_reserved2","","",64,null],[12,"_gtk_reserved3","","",64,null],[3,"GtkComboBoxPrivate","","",null,null],[3,"GtkComboBoxTextClass","","",null,null],[12,"parent_class","","",65,null],[12,"_gtk_reserved1","","",65,null],[12,"_gtk_reserved2","","",65,null],[12,"_gtk_reserved3","","",65,null],[12,"_gtk_reserved4","","",65,null],[3,"GtkComboBoxTextPrivate","","",null,null],[3,"GtkContainerAccessibleClass","","",null,null],[12,"parent_class","","",66,null],[12,"add_gtk","","",66,null],[12,"remove_gtk","","",66,null],[3,"GtkContainerAccessiblePrivate","","",null,null],[3,"GtkContainerCellAccessibleClass","","",null,null],[12,"parent_class","","",67,null],[3,"GtkContainerCellAccessiblePrivate","","",null,null],[3,"GtkContainerClass","","",null,null],[12,"parent_class","","",68,null],[12,"add","","",68,null],[12,"remove","","",68,null],[12,"check_resize","","",68,null],[12,"forall","","",68,null],[12,"set_focus_child","","",68,null],[12,"child_type","","",68,null],[12,"composite_name","","",68,null],[12,"set_child_property","","",68,null],[12,"get_child_property","","",68,null],[12,"get_path_for_child","","",68,null],[3,"GtkContainerPrivate","","",null,null],[3,"GtkCssProviderClass","","",null,null],[12,"parent_class","","",69,null],[12,"parsing_error","","",69,null],[12,"_gtk_reserved2","","",69,null],[12,"_gtk_reserved3","","",69,null],[12,"_gtk_reserved4","","",69,null],[3,"GtkCssProviderPrivate","","",null,null],[3,"GtkCssSection","","",null,null],[3,"GtkDialogClass","","",null,null],[12,"parent_class","","",70,null],[12,"response","","",70,null],[12,"close","","",70,null],[12,"_gtk_reserved1","","",70,null],[12,"_gtk_reserved2","","",70,null],[12,"_gtk_reserved3","","",70,null],[12,"_gtk_reserved4","","",70,null],[3,"GtkDialogPrivate","","",null,null],[3,"GtkDrawingAreaClass","","",null,null],[12,"parent_class","","",71,null],[12,"_gtk_reserved1","","",71,null],[12,"_gtk_reserved2","","",71,null],[12,"_gtk_reserved3","","",71,null],[12,"_gtk_reserved4","","",71,null],[3,"GtkEditableInterface","","",null,null],[12,"base_iface","","",72,null],[12,"insert_text","","",72,null],[12,"delete_text","","",72,null],[12,"changed","","",72,null],[12,"do_insert_text","","",72,null],[12,"do_delete_text","","",72,null],[12,"get_chars","","",72,null],[12,"set_selection_bounds","","",72,null],[12,"get_selection_bounds","","",72,null],[12,"set_position","","",72,null],[12,"get_position","","",72,null],[3,"GtkEntryAccessibleClass","","",null,null],[12,"parent_class","","",73,null],[3,"GtkEntryAccessiblePrivate","","",null,null],[3,"GtkEntryBufferClass","","",null,null],[12,"parent_class","","",74,null],[12,"inserted_text","","",74,null],[12,"deleted_text","","",74,null],[12,"get_text","","",74,null],[12,"get_length","","",74,null],[12,"insert_text","","",74,null],[12,"delete_text","","",74,null],[12,"_gtk_reserved1","","",74,null],[12,"_gtk_reserved2","","",74,null],[12,"_gtk_reserved3","","",74,null],[12,"_gtk_reserved4","","",74,null],[12,"_gtk_reserved5","","",74,null],[12,"_gtk_reserved6","","",74,null],[12,"_gtk_reserved7","","",74,null],[12,"_gtk_reserved8","","",74,null],[3,"GtkEntryBufferPrivate","","",null,null],[3,"GtkEntryClass","","",null,null],[12,"parent_class","","",75,null],[12,"populate_popup","","",75,null],[12,"activate","","",75,null],[12,"move_cursor","","",75,null],[12,"insert_at_cursor","","",75,null],[12,"delete_from_cursor","","",75,null],[12,"backspace","","",75,null],[12,"cut_clipboard","","",75,null],[12,"copy_clipboard","","",75,null],[12,"paste_clipboard","","",75,null],[12,"toggle_overwrite","","",75,null],[12,"get_text_area_size","","",75,null],[12,"get_frame_size","","",75,null],[12,"_gtk_reserved1","","",75,null],[12,"_gtk_reserved2","","",75,null],[12,"_gtk_reserved3","","",75,null],[12,"_gtk_reserved4","","",75,null],[12,"_gtk_reserved5","","",75,null],[12,"_gtk_reserved6","","",75,null],[12,"_gtk_reserved7","","",75,null],[3,"GtkEntryCompletionClass","","",null,null],[12,"parent_class","","",76,null],[12,"match_selected","","",76,null],[12,"action_activated","","",76,null],[12,"insert_prefix","","",76,null],[12,"cursor_on_match","","",76,null],[12,"no_matches","","",76,null],[12,"_gtk_reserved0","","",76,null],[12,"_gtk_reserved1","","",76,null],[12,"_gtk_reserved2","","",76,null],[3,"GtkEntryCompletionPrivate","","",null,null],[3,"GtkEntryPrivate","","",null,null],[3,"GtkEventBoxClass","","",null,null],[12,"parent_class","","",77,null],[12,"_gtk_reserved1","","",77,null],[12,"_gtk_reserved2","","",77,null],[12,"_gtk_reserved3","","",77,null],[12,"_gtk_reserved4","","",77,null],[3,"GtkEventBoxPrivate","","",null,null],[3,"GtkEventControllerClass","","",null,null],[3,"GtkExpanderAccessibleClass","","",null,null],[12,"parent_class","","",78,null],[3,"GtkExpanderAccessiblePrivate","","",null,null],[3,"GtkExpanderClass","","",null,null],[12,"parent_class","","",79,null],[12,"activate","","",79,null],[12,"_gtk_reserved1","","",79,null],[12,"_gtk_reserved2","","",79,null],[12,"_gtk_reserved3","","",79,null],[12,"_gtk_reserved4","","",79,null],[3,"GtkExpanderPrivate","","",null,null],[3,"GtkFileChooserButtonClass","","",null,null],[12,"parent_class","","",80,null],[12,"file_set","","",80,null],[12,"__gtk_reserved1","","",80,null],[12,"__gtk_reserved2","","",80,null],[12,"__gtk_reserved3","","",80,null],[12,"__gtk_reserved4","","",80,null],[3,"GtkFileChooserButtonPrivate","","",null,null],[3,"GtkFileChooserDialogClass","","",null,null],[12,"parent_class","","",81,null],[12,"_gtk_reserved1","","",81,null],[12,"_gtk_reserved2","","",81,null],[12,"_gtk_reserved3","","",81,null],[12,"_gtk_reserved4","","",81,null],[3,"GtkFileChooserDialogPrivate","","",null,null],[3,"GtkFileChooserNativeClass","","",null,null],[12,"parent_class","","",82,null],[3,"GtkFileChooserWidgetClass","","",null,null],[12,"parent_class","","",83,null],[12,"_gtk_reserved1","","",83,null],[12,"_gtk_reserved2","","",83,null],[12,"_gtk_reserved3","","",83,null],[12,"_gtk_reserved4","","",83,null],[3,"GtkFileChooserWidgetPrivate","","",null,null],[3,"GtkFileFilterInfo","","",null,null],[12,"contains","","",84,null],[12,"filename","","",84,null],[12,"uri","","",84,null],[12,"display_name","","",84,null],[12,"mime_type","","",84,null],[3,"GtkFixedChild","","",null,null],[12,"widget","","",85,null],[12,"x","","",85,null],[12,"y","","",85,null],[3,"GtkFixedClass","","",null,null],[12,"parent_class","","",86,null],[12,"_gtk_reserved1","","",86,null],[12,"_gtk_reserved2","","",86,null],[12,"_gtk_reserved3","","",86,null],[12,"_gtk_reserved4","","",86,null],[3,"GtkFixedPrivate","","",null,null],[3,"GtkFlowBoxAccessibleClass","","",null,null],[12,"parent_class","","",87,null],[3,"GtkFlowBoxAccessiblePrivate","","",null,null],[3,"GtkFlowBoxChildAccessibleClass","","",null,null],[12,"parent_class","","",88,null],[3,"GtkFlowBoxChildClass","","",null,null],[12,"parent_class","","",89,null],[12,"activate","","",89,null],[12,"_gtk_reserved1","","",89,null],[12,"_gtk_reserved2","","",89,null],[3,"GtkFlowBoxClass","","",null,null],[12,"parent_class","","",90,null],[12,"child_activated","","",90,null],[12,"selected_children_changed","","",90,null],[12,"activate_cursor_child","","",90,null],[12,"toggle_cursor_child","","",90,null],[12,"move_cursor","","",90,null],[12,"select_all","","",90,null],[12,"unselect_all","","",90,null],[12,"_gtk_reserved1","","",90,null],[12,"_gtk_reserved2","","",90,null],[12,"_gtk_reserved3","","",90,null],[12,"_gtk_reserved4","","",90,null],[12,"_gtk_reserved5","","",90,null],[12,"_gtk_reserved6","","",90,null],[3,"GtkFontButtonClass","","",null,null],[12,"parent_class","","",91,null],[12,"font_set","","",91,null],[12,"_gtk_reserved1","","",91,null],[12,"_gtk_reserved2","","",91,null],[12,"_gtk_reserved3","","",91,null],[12,"_gtk_reserved4","","",91,null],[3,"GtkFontButtonPrivate","","",null,null],[3,"GtkFontChooserDialogClass","","",null,null],[12,"parent_class","","",92,null],[12,"_gtk_reserved1","","",92,null],[12,"_gtk_reserved2","","",92,null],[12,"_gtk_reserved3","","",92,null],[12,"_gtk_reserved4","","",92,null],[3,"GtkFontChooserDialogPrivate","","",null,null],[3,"GtkFontChooserIface","","",null,null],[12,"base_iface","","",93,null],[12,"get_font_family","","",93,null],[12,"get_font_face","","",93,null],[12,"get_font_size","","",93,null],[12,"set_filter_func","","",93,null],[12,"font_activated","","",93,null],[12,"set_font_map","","",93,null],[12,"get_font_map","","",93,null],[12,"padding","","",93,null],[3,"GtkFontChooserWidgetClass","","",null,null],[12,"parent_class","","",94,null],[12,"_gtk_reserved1","","",94,null],[12,"_gtk_reserved2","","",94,null],[12,"_gtk_reserved3","","",94,null],[12,"_gtk_reserved4","","",94,null],[12,"_gtk_reserved5","","",94,null],[12,"_gtk_reserved6","","",94,null],[12,"_gtk_reserved7","","",94,null],[12,"_gtk_reserved8","","",94,null],[3,"GtkFontChooserWidgetPrivate","","",null,null],[3,"GtkFontSelectionClass","","",null,null],[12,"parent_class","","",95,null],[12,"_gtk_reserved1","","",95,null],[12,"_gtk_reserved2","","",95,null],[12,"_gtk_reserved3","","",95,null],[12,"_gtk_reserved4","","",95,null],[3,"GtkFontSelectionDialogClass","","",null,null],[12,"parent_class","","",96,null],[12,"_gtk_reserved1","","",96,null],[12,"_gtk_reserved2","","",96,null],[12,"_gtk_reserved3","","",96,null],[12,"_gtk_reserved4","","",96,null],[3,"GtkFontSelectionDialogPrivate","","",null,null],[3,"GtkFontSelectionPrivate","","",null,null],[3,"GtkFrameAccessibleClass","","",null,null],[12,"parent_class","","",97,null],[3,"GtkFrameAccessiblePrivate","","",null,null],[3,"GtkFrameClass","","",null,null],[12,"parent_class","","",98,null],[12,"compute_child_allocation","","",98,null],[12,"_gtk_reserved1","","",98,null],[12,"_gtk_reserved2","","",98,null],[12,"_gtk_reserved3","","",98,null],[12,"_gtk_reserved4","","",98,null],[3,"GtkFramePrivate","","",null,null],[3,"GtkGLAreaClass","","",null,null],[12,"parent_class","","",99,null],[12,"render","","",99,null],[12,"resize","","",99,null],[12,"create_context","","",99,null],[12,"_padding","","",99,null],[3,"GtkGestureClass","","",null,null],[3,"GtkGestureDragClass","","",null,null],[3,"GtkGestureLongPressClass","","",null,null],[3,"GtkGestureMultiPressClass","","",null,null],[3,"GtkGesturePanClass","","",null,null],[3,"GtkGestureRotateClass","","",null,null],[3,"GtkGestureSingleClass","","",null,null],[3,"GtkGestureSwipeClass","","",null,null],[3,"GtkGestureZoomClass","","",null,null],[3,"GtkGradient","","",null,null],[3,"GtkGridClass","","",null,null],[12,"parent_class","","",100,null],[12,"_gtk_reserved1","","",100,null],[12,"_gtk_reserved2","","",100,null],[12,"_gtk_reserved3","","",100,null],[12,"_gtk_reserved4","","",100,null],[12,"_gtk_reserved5","","",100,null],[12,"_gtk_reserved6","","",100,null],[12,"_gtk_reserved7","","",100,null],[12,"_gtk_reserved8","","",100,null],[3,"GtkGridPrivate","","",null,null],[3,"GtkHBoxClass","","",null,null],[12,"parent_class","","",101,null],[3,"GtkHButtonBoxClass","","",null,null],[12,"parent_class","","",102,null],[3,"GtkHPanedClass","","",null,null],[12,"parent_class","","",103,null],[3,"GtkHSVClass","","",null,null],[12,"parent_class","","",104,null],[12,"changed","","",104,null],[12,"move_","","",104,null],[12,"_gtk_reserved1","","",104,null],[12,"_gtk_reserved2","","",104,null],[12,"_gtk_reserved3","","",104,null],[12,"_gtk_reserved4","","",104,null],[3,"GtkHSVPrivate","","",null,null],[3,"GtkHScaleClass","","",null,null],[12,"parent_class","","",105,null],[3,"GtkHScrollbarClass","","",null,null],[12,"parent_class","","",106,null],[3,"GtkHSeparatorClass","","",null,null],[12,"parent_class","","",107,null],[3,"GtkHandleBoxClass","","",null,null],[12,"parent_class","","",108,null],[12,"child_attached","","",108,null],[12,"child_detached","","",108,null],[12,"_gtk_reserved1","","",108,null],[12,"_gtk_reserved2","","",108,null],[12,"_gtk_reserved3","","",108,null],[12,"_gtk_reserved4","","",108,null],[3,"GtkHandleBoxPrivate","","",null,null],[3,"GtkHeaderBarClass","","",null,null],[12,"parent_class","","",109,null],[12,"_gtk_reserved1","","",109,null],[12,"_gtk_reserved2","","",109,null],[12,"_gtk_reserved3","","",109,null],[12,"_gtk_reserved4","","",109,null],[3,"GtkHeaderBarPrivate","","",null,null],[3,"GtkIMContextClass","","",null,null],[12,"parent_class","","",110,null],[12,"preedit_start","","",110,null],[12,"preedit_end","","",110,null],[12,"preedit_changed","","",110,null],[12,"commit","","",110,null],[12,"retrieve_surrounding","","",110,null],[12,"delete_surrounding","","",110,null],[12,"set_client_window","","",110,null],[12,"get_preedit_string","","",110,null],[12,"filter_keypress","","",110,null],[12,"focus_in","","",110,null],[12,"focus_out","","",110,null],[12,"reset","","",110,null],[12,"set_cursor_location","","",110,null],[12,"set_use_preedit","","",110,null],[12,"set_surrounding","","",110,null],[12,"get_surrounding","","",110,null],[12,"_gtk_reserved1","","",110,null],[12,"_gtk_reserved2","","",110,null],[12,"_gtk_reserved3","","",110,null],[12,"_gtk_reserved4","","",110,null],[12,"_gtk_reserved5","","",110,null],[12,"_gtk_reserved6","","",110,null],[3,"GtkIMContextInfo","","",null,null],[12,"context_id","","",111,null],[12,"context_name","","",111,null],[12,"domain","","",111,null],[12,"domain_dirname","","",111,null],[12,"default_locales","","",111,null],[3,"GtkIMContextSimpleClass","","",null,null],[12,"parent_class","","",112,null],[3,"GtkIMContextSimplePrivate","","",null,null],[3,"GtkIMMulticontextClass","","",null,null],[12,"parent_class","","",113,null],[12,"_gtk_reserved1","","",113,null],[12,"_gtk_reserved2","","",113,null],[12,"_gtk_reserved3","","",113,null],[12,"_gtk_reserved4","","",113,null],[3,"GtkIMMulticontextPrivate","","",null,null],[3,"GtkIconFactoryClass","","",null,null],[12,"parent_class","","",114,null],[12,"_gtk_reserved1","","",114,null],[12,"_gtk_reserved2","","",114,null],[12,"_gtk_reserved3","","",114,null],[12,"_gtk_reserved4","","",114,null],[3,"GtkIconFactoryPrivate","","",null,null],[3,"GtkIconInfoClass","","",null,null],[3,"GtkIconSet","","",null,null],[3,"GtkIconSource","","",null,null],[3,"GtkIconThemeClass","","",null,null],[12,"parent_class","","",115,null],[12,"changed","","",115,null],[12,"_gtk_reserved1","","",115,null],[12,"_gtk_reserved2","","",115,null],[12,"_gtk_reserved3","","",115,null],[12,"_gtk_reserved4","","",115,null],[3,"GtkIconThemePrivate","","",null,null],[3,"GtkIconViewAccessibleClass","","",null,null],[12,"parent_class","","",116,null],[3,"GtkIconViewAccessiblePrivate","","",null,null],[3,"GtkIconViewClass","","",null,null],[12,"parent_class","","",117,null],[12,"item_activated","","",117,null],[12,"selection_changed","","",117,null],[12,"select_all","","",117,null],[12,"unselect_all","","",117,null],[12,"select_cursor_item","","",117,null],[12,"toggle_cursor_item","","",117,null],[12,"move_cursor","","",117,null],[12,"activate_cursor_item","","",117,null],[12,"_gtk_reserved1","","",117,null],[12,"_gtk_reserved2","","",117,null],[12,"_gtk_reserved3","","",117,null],[12,"_gtk_reserved4","","",117,null],[3,"GtkIconViewPrivate","","",null,null],[3,"GtkImageAccessibleClass","","",null,null],[12,"parent_class","","",118,null],[3,"GtkImageAccessiblePrivate","","",null,null],[3,"GtkImageCellAccessibleClass","","",null,null],[12,"parent_class","","",119,null],[3,"GtkImageCellAccessiblePrivate","","",null,null],[3,"GtkImageClass","","",null,null],[12,"parent_class","","",120,null],[12,"_gtk_reserved1","","",120,null],[12,"_gtk_reserved2","","",120,null],[12,"_gtk_reserved3","","",120,null],[12,"_gtk_reserved4","","",120,null],[3,"GtkImageMenuItemClass","","",null,null],[12,"parent_class","","",121,null],[12,"_gtk_reserved1","","",121,null],[12,"_gtk_reserved2","","",121,null],[12,"_gtk_reserved3","","",121,null],[12,"_gtk_reserved4","","",121,null],[3,"GtkImageMenuItemPrivate","","",null,null],[3,"GtkImagePrivate","","",null,null],[3,"GtkInfoBarClass","","",null,null],[12,"parent_class","","",122,null],[12,"response","","",122,null],[12,"close","","",122,null],[12,"_gtk_reserved1","","",122,null],[12,"_gtk_reserved2","","",122,null],[12,"_gtk_reserved3","","",122,null],[12,"_gtk_reserved4","","",122,null],[3,"GtkInfoBarPrivate","","",null,null],[3,"GtkInvisibleClass","","",null,null],[12,"parent_class","","",123,null],[12,"_gtk_reserved1","","",123,null],[12,"_gtk_reserved2","","",123,null],[12,"_gtk_reserved3","","",123,null],[12,"_gtk_reserved4","","",123,null],[3,"GtkInvisiblePrivate","","",null,null],[3,"GtkLabelAccessibleClass","","",null,null],[12,"parent_class","","",124,null],[3,"GtkLabelAccessiblePrivate","","",null,null],[3,"GtkLabelClass","","",null,null],[12,"parent_class","","",125,null],[12,"move_cursor","","",125,null],[12,"copy_clipboard","","",125,null],[12,"populate_popup","","",125,null],[12,"activate_link","","",125,null],[12,"_gtk_reserved1","","",125,null],[12,"_gtk_reserved2","","",125,null],[12,"_gtk_reserved3","","",125,null],[12,"_gtk_reserved4","","",125,null],[12,"_gtk_reserved5","","",125,null],[12,"_gtk_reserved6","","",125,null],[12,"_gtk_reserved7","","",125,null],[12,"_gtk_reserved8","","",125,null],[3,"GtkLabelPrivate","","",null,null],[3,"GtkLabelSelectionInfo","","",null,null],[3,"GtkLayoutClass","","",null,null],[12,"parent_class","","",126,null],[12,"_gtk_reserved1","","",126,null],[12,"_gtk_reserved2","","",126,null],[12,"_gtk_reserved3","","",126,null],[12,"_gtk_reserved4","","",126,null],[3,"GtkLayoutPrivate","","",null,null],[3,"GtkLevelBarAccessibleClass","","",null,null],[12,"parent_class","","",127,null],[3,"GtkLevelBarAccessiblePrivate","","",null,null],[3,"GtkLevelBarClass","","",null,null],[12,"parent_class","","",128,null],[12,"offset_changed","","",128,null],[12,"padding","","",128,null],[3,"GtkLevelBarPrivate","","",null,null],[3,"GtkLinkButtonAccessibleClass","","",null,null],[12,"parent_class","","",129,null],[3,"GtkLinkButtonAccessiblePrivate","","",null,null],[3,"GtkLinkButtonClass","","",null,null],[12,"parent_class","","",130,null],[12,"activate_link","","",130,null],[12,"_gtk_padding1","","",130,null],[12,"_gtk_padding2","","",130,null],[12,"_gtk_padding3","","",130,null],[12,"_gtk_padding4","","",130,null],[3,"GtkLinkButtonPrivate","","",null,null],[3,"GtkListBoxAccessibleClass","","",null,null],[12,"parent_class","","",131,null],[3,"GtkListBoxAccessiblePrivate","","",null,null],[3,"GtkListBoxClass","","",null,null],[12,"parent_class","","",132,null],[12,"row_selected","","",132,null],[12,"row_activated","","",132,null],[12,"activate_cursor_row","","",132,null],[12,"toggle_cursor_row","","",132,null],[12,"move_cursor","","",132,null],[12,"selected_rows_changed","","",132,null],[12,"select_all","","",132,null],[12,"unselect_all","","",132,null],[12,"_gtk_reserved1","","",132,null],[12,"_gtk_reserved2","","",132,null],[12,"_gtk_reserved3","","",132,null],[3,"GtkListBoxRowAccessibleClass","","",null,null],[12,"parent_class","","",133,null],[3,"GtkListBoxRowClass","","",null,null],[12,"parent_class","","",134,null],[12,"activate","","",134,null],[12,"_gtk_reserved1","","",134,null],[12,"_gtk_reserved2","","",134,null],[3,"GtkListStoreClass","","",null,null],[12,"parent_class","","",135,null],[12,"_gtk_reserved1","","",135,null],[12,"_gtk_reserved2","","",135,null],[12,"_gtk_reserved3","","",135,null],[12,"_gtk_reserved4","","",135,null],[3,"GtkListStorePrivate","","",null,null],[3,"GtkLockButtonAccessibleClass","","",null,null],[12,"parent_class","","",136,null],[3,"GtkLockButtonAccessiblePrivate","","",null,null],[3,"GtkLockButtonClass","","",null,null],[12,"parent_class","","",137,null],[12,"reserved0","","",137,null],[12,"reserved1","","",137,null],[12,"reserved2","","",137,null],[12,"reserved3","","",137,null],[12,"reserved4","","",137,null],[12,"reserved5","","",137,null],[12,"reserved6","","",137,null],[12,"reserved7","","",137,null],[3,"GtkLockButtonPrivate","","",null,null],[3,"GtkMenuAccessibleClass","","",null,null],[12,"parent_class","","",138,null],[3,"GtkMenuAccessiblePrivate","","",null,null],[3,"GtkMenuBarClass","","",null,null],[12,"parent_class","","",139,null],[12,"_gtk_reserved1","","",139,null],[12,"_gtk_reserved2","","",139,null],[12,"_gtk_reserved3","","",139,null],[12,"_gtk_reserved4","","",139,null],[3,"GtkMenuBarPrivate","","",null,null],[3,"GtkMenuButtonAccessibleClass","","",null,null],[12,"parent_class","","",140,null],[3,"GtkMenuButtonAccessiblePrivate","","",null,null],[3,"GtkMenuButtonClass","","",null,null],[12,"parent_class","","",141,null],[12,"_gtk_reserved1","","",141,null],[12,"_gtk_reserved2","","",141,null],[12,"_gtk_reserved3","","",141,null],[12,"_gtk_reserved4","","",141,null],[3,"GtkMenuButtonPrivate","","",null,null],[3,"GtkMenuClass","","",null,null],[12,"parent_class","","",142,null],[12,"_gtk_reserved1","","",142,null],[12,"_gtk_reserved2","","",142,null],[12,"_gtk_reserved3","","",142,null],[12,"_gtk_reserved4","","",142,null],[3,"GtkMenuItemAccessibleClass","","",null,null],[12,"parent_class","","",143,null],[3,"GtkMenuItemAccessiblePrivate","","",null,null],[3,"GtkMenuItemClass","","",null,null],[12,"parent_class","","",144,null],[3,"GtkMenuItemPrivate","","",null,null],[3,"GtkMenuPrivate","","",null,null],[3,"GtkMenuShellAccessibleClass","","",null,null],[12,"parent_class","","",145,null],[3,"GtkMenuShellAccessiblePrivate","","",null,null],[3,"GtkMenuShellClass","","",null,null],[12,"parent_class","","",146,null],[3,"GtkMenuShellPrivate","","",null,null],[3,"GtkMenuToolButtonClass","","",null,null],[12,"parent_class","","",147,null],[12,"show_menu","","",147,null],[12,"_gtk_reserved1","","",147,null],[12,"_gtk_reserved2","","",147,null],[12,"_gtk_reserved3","","",147,null],[12,"_gtk_reserved4","","",147,null],[3,"GtkMenuToolButtonPrivate","","",null,null],[3,"GtkMessageDialogClass","","",null,null],[12,"parent_class","","",148,null],[12,"_gtk_reserved1","","",148,null],[12,"_gtk_reserved2","","",148,null],[12,"_gtk_reserved3","","",148,null],[12,"_gtk_reserved4","","",148,null],[3,"GtkMessageDialogPrivate","","",null,null],[3,"GtkMiscClass","","",null,null],[12,"parent_class","","",149,null],[12,"_gtk_reserved1","","",149,null],[12,"_gtk_reserved2","","",149,null],[12,"_gtk_reserved3","","",149,null],[12,"_gtk_reserved4","","",149,null],[3,"GtkMiscPrivate","","",null,null],[3,"GtkMountOperationClass","","",null,null],[12,"parent_class","","",150,null],[12,"_gtk_reserved1","","",150,null],[12,"_gtk_reserved2","","",150,null],[12,"_gtk_reserved3","","",150,null],[12,"_gtk_reserved4","","",150,null],[3,"GtkMountOperationPrivate","","",null,null],[3,"GtkNativeDialogClass","","",null,null],[12,"parent_class","","",151,null],[12,"response","","",151,null],[12,"show","","",151,null],[12,"hide","","",151,null],[12,"_gtk_reserved1","","",151,null],[12,"_gtk_reserved2","","",151,null],[12,"_gtk_reserved3","","",151,null],[12,"_gtk_reserved4","","",151,null],[3,"GtkNotebookAccessibleClass","","",null,null],[12,"parent_class","","",152,null],[3,"GtkNotebookAccessiblePrivate","","",null,null],[3,"GtkNotebookClass","","",null,null],[12,"parent_class","","",153,null],[12,"switch_page","","",153,null],[12,"select_page","","",153,null],[12,"focus_tab","","",153,null],[12,"change_current_page","","",153,null],[12,"move_focus_out","","",153,null],[12,"reorder_tab","","",153,null],[12,"insert_page","","",153,null],[12,"create_window","","",153,null],[12,"page_reordered","","",153,null],[12,"page_removed","","",153,null],[12,"page_added","","",153,null],[12,"_gtk_reserved1","","",153,null],[12,"_gtk_reserved2","","",153,null],[12,"_gtk_reserved3","","",153,null],[12,"_gtk_reserved4","","",153,null],[12,"_gtk_reserved5","","",153,null],[12,"_gtk_reserved6","","",153,null],[12,"_gtk_reserved7","","",153,null],[12,"_gtk_reserved8","","",153,null],[3,"GtkNotebookPageAccessibleClass","","",null,null],[12,"parent_class","","",154,null],[3,"GtkNotebookPageAccessiblePrivate","","",null,null],[3,"GtkNotebookPrivate","","",null,null],[3,"GtkNumerableIconClass","","",null,null],[12,"parent_class","","",155,null],[12,"padding","","",155,null],[3,"GtkNumerableIconPrivate","","",null,null],[3,"GtkOffscreenWindowClass","","",null,null],[12,"parent_class","","",156,null],[12,"_gtk_reserved1","","",156,null],[12,"_gtk_reserved2","","",156,null],[12,"_gtk_reserved3","","",156,null],[12,"_gtk_reserved4","","",156,null],[3,"GtkOrientableIface","","",null,null],[12,"base_iface","","",157,null],[3,"GtkOverlayClass","","",null,null],[12,"parent_class","","",158,null],[12,"get_child_position","","",158,null],[12,"_gtk_reserved1","","",158,null],[12,"_gtk_reserved2","","",158,null],[12,"_gtk_reserved3","","",158,null],[12,"_gtk_reserved4","","",158,null],[12,"_gtk_reserved5","","",158,null],[12,"_gtk_reserved6","","",158,null],[12,"_gtk_reserved7","","",158,null],[12,"_gtk_reserved8","","",158,null],[3,"GtkOverlayPrivate","","",null,null],[3,"GtkPadActionEntry","","",null,null],[12,"type_","","",159,null],[12,"index","","",159,null],[12,"mode","","",159,null],[12,"label","","",159,null],[12,"action_name","","",159,null],[3,"GtkPadControllerClass","","",null,null],[3,"GtkPageRange","","",null,null],[12,"start","","",160,null],[12,"end","","",160,null],[3,"GtkPanedAccessibleClass","","",null,null],[12,"parent_class","","",161,null],[3,"GtkPanedAccessiblePrivate","","",null,null],[3,"GtkPanedClass","","",null,null],[12,"parent_class","","",162,null],[12,"cycle_child_focus","","",162,null],[12,"toggle_handle_focus","","",162,null],[12,"move_handle","","",162,null],[12,"cycle_handle_focus","","",162,null],[12,"accept_position","","",162,null],[12,"cancel_position","","",162,null],[12,"_gtk_reserved1","","",162,null],[12,"_gtk_reserved2","","",162,null],[12,"_gtk_reserved3","","",162,null],[12,"_gtk_reserved4","","",162,null],[3,"GtkPanedPrivate","","",null,null],[3,"GtkPaperSize","","",null,null],[3,"GtkPlacesSidebarClass","","",null,null],[3,"GtkPlugClass","","",null,null],[12,"parent_class","","",163,null],[12,"embedded","","",163,null],[12,"_gtk_reserved1","","",163,null],[12,"_gtk_reserved2","","",163,null],[12,"_gtk_reserved3","","",163,null],[12,"_gtk_reserved4","","",163,null],[3,"GtkPlugPrivate","","",null,null],[3,"GtkPopoverAccessibleClass","","",null,null],[12,"parent_class","","",164,null],[3,"GtkPopoverClass","","",null,null],[12,"parent_class","","",165,null],[12,"closed","","",165,null],[12,"reserved","","",165,null],[3,"GtkPopoverMenuClass","","",null,null],[12,"parent_class","","",166,null],[12,"reserved","","",166,null],[3,"GtkPopoverPrivate","","",null,null],[3,"GtkPrintOperationClass","","",null,null],[12,"parent_class","","",167,null],[12,"done","","",167,null],[12,"begin_print","","",167,null],[12,"paginate","","",167,null],[12,"request_page_setup","","",167,null],[12,"draw_page","","",167,null],[12,"end_print","","",167,null],[12,"status_changed","","",167,null],[12,"create_custom_widget","","",167,null],[12,"custom_widget_apply","","",167,null],[12,"preview","","",167,null],[12,"update_custom_widget","","",167,null],[12,"_gtk_reserved1","","",167,null],[12,"_gtk_reserved2","","",167,null],[12,"_gtk_reserved3","","",167,null],[12,"_gtk_reserved4","","",167,null],[12,"_gtk_reserved5","","",167,null],[12,"_gtk_reserved6","","",167,null],[12,"_gtk_reserved7","","",167,null],[12,"_gtk_reserved8","","",167,null],[3,"GtkPrintOperationPreviewIface","","",null,null],[12,"g_iface","","",168,null],[12,"ready","","",168,null],[12,"got_page_size","","",168,null],[12,"render_page","","",168,null],[12,"is_selected","","",168,null],[12,"end_preview","","",168,null],[12,"_gtk_reserved1","","",168,null],[12,"_gtk_reserved2","","",168,null],[12,"_gtk_reserved3","","",168,null],[12,"_gtk_reserved4","","",168,null],[12,"_gtk_reserved5","","",168,null],[12,"_gtk_reserved6","","",168,null],[12,"_gtk_reserved7","","",168,null],[12,"_gtk_reserved8","","",168,null],[3,"GtkPrintOperationPrivate","","",null,null],[3,"GtkProgressBarAccessibleClass","","",null,null],[12,"parent_class","","",169,null],[3,"GtkProgressBarAccessiblePrivate","","",null,null],[3,"GtkProgressBarClass","","",null,null],[12,"parent_class","","",170,null],[12,"_gtk_reserved1","","",170,null],[12,"_gtk_reserved2","","",170,null],[12,"_gtk_reserved3","","",170,null],[12,"_gtk_reserved4","","",170,null],[3,"GtkProgressBarPrivate","","",null,null],[3,"GtkRadioActionClass","","",null,null],[12,"parent_class","","",171,null],[12,"changed","","",171,null],[12,"_gtk_reserved1","","",171,null],[12,"_gtk_reserved2","","",171,null],[12,"_gtk_reserved3","","",171,null],[12,"_gtk_reserved4","","",171,null],[3,"GtkRadioActionEntry","","",null,null],[12,"name","","",172,null],[12,"stock_id","","",172,null],[12,"label","","",172,null],[12,"accelerator","","",172,null],[12,"tooltip","","",172,null],[12,"value","","",172,null],[3,"GtkRadioActionPrivate","","",null,null],[3,"GtkRadioButtonAccessibleClass","","",null,null],[12,"parent_class","","",173,null],[3,"GtkRadioButtonAccessiblePrivate","","",null,null],[3,"GtkRadioButtonClass","","",null,null],[12,"parent_class","","",174,null],[12,"group_changed","","",174,null],[12,"_gtk_reserved1","","",174,null],[12,"_gtk_reserved2","","",174,null],[12,"_gtk_reserved3","","",174,null],[12,"_gtk_reserved4","","",174,null],[3,"GtkRadioButtonPrivate","","",null,null],[3,"GtkRadioMenuItemAccessibleClass","","",null,null],[12,"parent_class","","",175,null],[3,"GtkRadioMenuItemAccessiblePrivate","","",null,null],[3,"GtkRadioMenuItemClass","","",null,null],[12,"parent_class","","",176,null],[12,"group_changed","","",176,null],[12,"_gtk_reserved1","","",176,null],[12,"_gtk_reserved2","","",176,null],[12,"_gtk_reserved3","","",176,null],[12,"_gtk_reserved4","","",176,null],[3,"GtkRadioMenuItemPrivate","","",null,null],[3,"GtkRadioToolButtonClass","","",null,null],[12,"parent_class","","",177,null],[12,"_gtk_reserved1","","",177,null],[12,"_gtk_reserved2","","",177,null],[12,"_gtk_reserved3","","",177,null],[12,"_gtk_reserved4","","",177,null],[3,"GtkRangeAccessibleClass","","",null,null],[12,"parent_class","","",178,null],[3,"GtkRangeAccessiblePrivate","","",null,null],[3,"GtkRangeClass","","",null,null],[12,"parent_class","","",179,null],[12,"slider_detail","","",179,null],[12,"stepper_detail","","",179,null],[12,"value_changed","","",179,null],[12,"adjust_bounds","","",179,null],[12,"move_slider","","",179,null],[12,"get_range_border","","",179,null],[12,"change_value","","",179,null],[12,"get_range_size_request","","",179,null],[12,"_gtk_reserved1","","",179,null],[12,"_gtk_reserved2","","",179,null],[12,"_gtk_reserved3","","",179,null],[3,"GtkRangePrivate","","",null,null],[3,"GtkRcContext","","",null,null],[3,"GtkRcProperty","","",null,null],[12,"type_name","","",180,null],[12,"property_name","","",180,null],[12,"origin","","",180,null],[12,"value","","",180,null],[3,"GtkRcStyleClass","","",null,null],[12,"parent_class","","",181,null],[12,"create_rc_style","","",181,null],[12,"parse","","",181,null],[12,"merge","","",181,null],[12,"create_style","","",181,null],[12,"_gtk_reserved1","","",181,null],[12,"_gtk_reserved2","","",181,null],[12,"_gtk_reserved3","","",181,null],[12,"_gtk_reserved4","","",181,null],[3,"GtkRecentActionClass","","",null,null],[12,"parent_class","","",182,null],[12,"_gtk_reserved1","","",182,null],[12,"_gtk_reserved2","","",182,null],[12,"_gtk_reserved3","","",182,null],[12,"_gtk_reserved4","","",182,null],[3,"GtkRecentActionPrivate","","",null,null],[3,"GtkRecentChooserDialogClass","","",null,null],[12,"parent_class","","",183,null],[12,"_gtk_reserved1","","",183,null],[12,"_gtk_reserved2","","",183,null],[12,"_gtk_reserved3","","",183,null],[12,"_gtk_reserved4","","",183,null],[3,"GtkRecentChooserDialogPrivate","","",null,null],[3,"GtkRecentChooserIface","","",null,null],[12,"base_iface","","",184,null],[12,"set_current_uri","","",184,null],[12,"get_current_uri","","",184,null],[12,"select_uri","","",184,null],[12,"unselect_uri","","",184,null],[12,"select_all","","",184,null],[12,"unselect_all","","",184,null],[12,"get_items","","",184,null],[12,"get_recent_manager","","",184,null],[12,"add_filter","","",184,null],[12,"remove_filter","","",184,null],[12,"list_filters","","",184,null],[12,"set_sort_func","","",184,null],[12,"item_activated","","",184,null],[12,"selection_changed","","",184,null],[3,"GtkRecentChooserMenuClass","","",null,null],[12,"parent_class","","",185,null],[12,"gtk_recent1","","",185,null],[12,"gtk_recent2","","",185,null],[12,"gtk_recent3","","",185,null],[12,"gtk_recent4","","",185,null],[3,"GtkRecentChooserMenuPrivate","","",null,null],[3,"GtkRecentChooserWidgetClass","","",null,null],[12,"parent_class","","",186,null],[12,"_gtk_reserved1","","",186,null],[12,"_gtk_reserved2","","",186,null],[12,"_gtk_reserved3","","",186,null],[12,"_gtk_reserved4","","",186,null],[3,"GtkRecentChooserWidgetPrivate","","",null,null],[3,"GtkRecentData","","",null,null],[12,"display_name","","",187,null],[12,"description","","",187,null],[12,"mime_type","","",187,null],[12,"app_name","","",187,null],[12,"app_exec","","",187,null],[12,"groups","","",187,null],[12,"is_private","","",187,null],[3,"GtkRecentFilterInfo","","",null,null],[12,"contains","","",188,null],[12,"uri","","",188,null],[12,"display_name","","",188,null],[12,"mime_type","","",188,null],[12,"applications","","",188,null],[12,"groups","","",188,null],[12,"age","","",188,null],[3,"GtkRecentInfo","","",null,null],[3,"GtkRecentManagerClass","","",null,null],[12,"parent_class","","",189,null],[12,"changed","","",189,null],[12,"_gtk_recent1","","",189,null],[12,"_gtk_recent2","","",189,null],[12,"_gtk_recent3","","",189,null],[12,"_gtk_recent4","","",189,null],[3,"GtkRecentManagerPrivate","","",null,null],[3,"GtkRendererCellAccessibleClass","","",null,null],[12,"parent_class","","",190,null],[3,"GtkRendererCellAccessiblePrivate","","",null,null],[3,"GtkRequestedSize","","",null,null],[12,"data","","",191,null],[12,"minimum_size","","",191,null],[12,"natural_size","","",191,null],[3,"GtkRequisition","","",null,null],[12,"width","","",192,null],[12,"height","","",192,null],[3,"GtkRevealerClass","","",null,null],[12,"parent_class","","",193,null],[3,"GtkScaleAccessibleClass","","",null,null],[12,"parent_class","","",194,null],[3,"GtkScaleAccessiblePrivate","","",null,null],[3,"GtkScaleButtonAccessibleClass","","",null,null],[12,"parent_class","","",195,null],[3,"GtkScaleButtonAccessiblePrivate","","",null,null],[3,"GtkScaleButtonClass","","",null,null],[12,"parent_class","","",196,null],[12,"value_changed","","",196,null],[12,"_gtk_reserved1","","",196,null],[12,"_gtk_reserved2","","",196,null],[12,"_gtk_reserved3","","",196,null],[12,"_gtk_reserved4","","",196,null],[3,"GtkScaleButtonPrivate","","",null,null],[3,"GtkScaleClass","","",null,null],[12,"parent_class","","",197,null],[12,"format_value","","",197,null],[12,"draw_value","","",197,null],[12,"get_layout_offsets","","",197,null],[12,"_gtk_reserved1","","",197,null],[12,"_gtk_reserved2","","",197,null],[12,"_gtk_reserved3","","",197,null],[12,"_gtk_reserved4","","",197,null],[3,"GtkScalePrivate","","",null,null],[3,"GtkScrollableInterface","","",null,null],[12,"base_iface","","",198,null],[12,"get_border","","",198,null],[3,"GtkScrollbarClass","","",null,null],[12,"parent_class","","",199,null],[12,"_gtk_reserved1","","",199,null],[12,"_gtk_reserved2","","",199,null],[12,"_gtk_reserved3","","",199,null],[12,"_gtk_reserved4","","",199,null],[3,"GtkScrolledWindowAccessibleClass","","",null,null],[12,"parent_class","","",200,null],[3,"GtkScrolledWindowAccessiblePrivate","","",null,null],[3,"GtkScrolledWindowClass","","",null,null],[12,"parent_class","","",201,null],[12,"scrollbar_spacing","","",201,null],[12,"scroll_child","","",201,null],[12,"move_focus_out","","",201,null],[12,"_gtk_reserved1","","",201,null],[12,"_gtk_reserved2","","",201,null],[12,"_gtk_reserved3","","",201,null],[12,"_gtk_reserved4","","",201,null],[3,"GtkScrolledWindowPrivate","","",null,null],[3,"GtkSearchBarClass","","",null,null],[12,"parent_class","","",202,null],[12,"_gtk_reserved1","","",202,null],[12,"_gtk_reserved2","","",202,null],[12,"_gtk_reserved3","","",202,null],[12,"_gtk_reserved4","","",202,null],[3,"GtkSearchEntryClass","","",null,null],[12,"parent_class","","",203,null],[12,"search_changed","","",203,null],[12,"next_match","","",203,null],[12,"previous_match","","",203,null],[12,"stop_search","","",203,null],[3,"GtkSelectionData","","",null,null],[3,"GtkSeparatorClass","","",null,null],[12,"parent_class","","",204,null],[12,"_gtk_reserved1","","",204,null],[12,"_gtk_reserved2","","",204,null],[12,"_gtk_reserved3","","",204,null],[12,"_gtk_reserved4","","",204,null],[3,"GtkSeparatorMenuItemClass","","",null,null],[12,"parent_class","","",205,null],[12,"_gtk_reserved1","","",205,null],[12,"_gtk_reserved2","","",205,null],[12,"_gtk_reserved3","","",205,null],[12,"_gtk_reserved4","","",205,null],[3,"GtkSeparatorPrivate","","",null,null],[3,"GtkSeparatorToolItemClass","","",null,null],[12,"parent_class","","",206,null],[12,"_gtk_reserved1","","",206,null],[12,"_gtk_reserved2","","",206,null],[12,"_gtk_reserved3","","",206,null],[12,"_gtk_reserved4","","",206,null],[3,"GtkSeparatorToolItemPrivate","","",null,null],[3,"GtkSettingsClass","","",null,null],[12,"parent_class","","",207,null],[12,"_gtk_reserved1","","",207,null],[12,"_gtk_reserved2","","",207,null],[12,"_gtk_reserved3","","",207,null],[12,"_gtk_reserved4","","",207,null],[3,"GtkSettingsPrivate","","",null,null],[3,"GtkSettingsValue","","",null,null],[12,"origin","","",208,null],[12,"value","","",208,null],[3,"GtkShortcutLabelClass","","",null,null],[3,"GtkShortcutsGroupClass","","",null,null],[3,"GtkShortcutsSectionClass","","",null,null],[3,"GtkShortcutsShortcutClass","","",null,null],[3,"GtkShortcutsWindowClass","","",null,null],[12,"parent_class","","",209,null],[12,"close","","",209,null],[12,"search","","",209,null],[3,"GtkSizeGroupClass","","",null,null],[12,"parent_class","","",210,null],[12,"_gtk_reserved1","","",210,null],[12,"_gtk_reserved2","","",210,null],[12,"_gtk_reserved3","","",210,null],[12,"_gtk_reserved4","","",210,null],[3,"GtkSizeGroupPrivate","","",null,null],[3,"GtkSocketClass","","",null,null],[12,"parent_class","","",211,null],[12,"plug_added","","",211,null],[12,"plug_removed","","",211,null],[12,"_gtk_reserved1","","",211,null],[12,"_gtk_reserved2","","",211,null],[12,"_gtk_reserved3","","",211,null],[12,"_gtk_reserved4","","",211,null],[3,"GtkSocketPrivate","","",null,null],[3,"GtkSpinButtonAccessibleClass","","",null,null],[12,"parent_class","","",212,null],[3,"GtkSpinButtonAccessiblePrivate","","",null,null],[3,"GtkSpinButtonClass","","",null,null],[12,"parent_class","","",213,null],[12,"input","","",213,null],[12,"output","","",213,null],[12,"value_changed","","",213,null],[12,"change_value","","",213,null],[12,"wrapped","","",213,null],[12,"_gtk_reserved1","","",213,null],[12,"_gtk_reserved2","","",213,null],[12,"_gtk_reserved3","","",213,null],[12,"_gtk_reserved4","","",213,null],[3,"GtkSpinButtonPrivate","","",null,null],[3,"GtkSpinnerAccessibleClass","","",null,null],[12,"parent_class","","",214,null],[3,"GtkSpinnerAccessiblePrivate","","",null,null],[3,"GtkSpinnerClass","","",null,null],[12,"parent_class","","",215,null],[12,"_gtk_reserved1","","",215,null],[12,"_gtk_reserved2","","",215,null],[12,"_gtk_reserved3","","",215,null],[12,"_gtk_reserved4","","",215,null],[3,"GtkSpinnerPrivate","","",null,null],[3,"GtkStackAccessibleClass","","",null,null],[12,"parent_class","","",216,null],[3,"GtkStackClass","","",null,null],[12,"parent_class","","",217,null],[3,"GtkStackSidebarClass","","",null,null],[12,"parent_class","","",218,null],[12,"_gtk_reserved1","","",218,null],[12,"_gtk_reserved2","","",218,null],[12,"_gtk_reserved3","","",218,null],[12,"_gtk_reserved4","","",218,null],[3,"GtkStackSidebarPrivate","","",null,null],[3,"GtkStackSwitcherClass","","",null,null],[12,"parent_class","","",219,null],[12,"_gtk_reserved1","","",219,null],[12,"_gtk_reserved2","","",219,null],[12,"_gtk_reserved3","","",219,null],[12,"_gtk_reserved4","","",219,null],[3,"GtkStatusIconClass","","",null,null],[12,"parent_class","","",220,null],[12,"activate","","",220,null],[12,"popup_menu","","",220,null],[12,"size_changed","","",220,null],[12,"button_press_event","","",220,null],[12,"button_release_event","","",220,null],[12,"scroll_event","","",220,null],[12,"query_tooltip","","",220,null],[12,"__gtk_reserved1","","",220,null],[12,"__gtk_reserved2","","",220,null],[12,"__gtk_reserved3","","",220,null],[12,"__gtk_reserved4","","",220,null],[3,"GtkStatusIconPrivate","","",null,null],[3,"GtkStatusbarAccessibleClass","","",null,null],[12,"parent_class","","",221,null],[3,"GtkStatusbarAccessiblePrivate","","",null,null],[3,"GtkStatusbarClass","","",null,null],[12,"parent_class","","",222,null],[12,"reserved","","",222,null],[12,"text_pushed","","",222,null],[12,"text_popped","","",222,null],[12,"_gtk_reserved1","","",222,null],[12,"_gtk_reserved2","","",222,null],[12,"_gtk_reserved3","","",222,null],[12,"_gtk_reserved4","","",222,null],[3,"GtkStatusbarPrivate","","",null,null],[3,"GtkStockItem","","",null,null],[12,"stock_id","","",223,null],[12,"label","","",223,null],[12,"modifier","","",223,null],[12,"keyval","","",223,null],[12,"translation_domain","","",223,null],[3,"GtkStyleClass","","",null,null],[12,"parent_class","","",224,null],[12,"realize","","",224,null],[12,"unrealize","","",224,null],[12,"copy","","",224,null],[12,"clone","","",224,null],[12,"init_from_rc","","",224,null],[12,"set_background","","",224,null],[12,"render_icon","","",224,null],[12,"draw_hline","","",224,null],[12,"draw_vline","","",224,null],[12,"draw_shadow","","",224,null],[12,"draw_arrow","","",224,null],[12,"draw_diamond","","",224,null],[12,"draw_box","","",224,null],[12,"draw_flat_box","","",224,null],[12,"draw_check","","",224,null],[12,"draw_option","","",224,null],[12,"draw_tab","","",224,null],[12,"draw_shadow_gap","","",224,null],[12,"draw_box_gap","","",224,null],[12,"draw_extension","","",224,null],[12,"draw_focus","","",224,null],[12,"draw_slider","","",224,null],[12,"draw_handle","","",224,null],[12,"draw_expander","","",224,null],[12,"draw_layout","","",224,null],[12,"draw_resize_grip","","",224,null],[12,"draw_spinner","","",224,null],[12,"_gtk_reserved1","","",224,null],[12,"_gtk_reserved2","","",224,null],[12,"_gtk_reserved3","","",224,null],[12,"_gtk_reserved4","","",224,null],[12,"_gtk_reserved5","","",224,null],[12,"_gtk_reserved6","","",224,null],[12,"_gtk_reserved7","","",224,null],[12,"_gtk_reserved8","","",224,null],[12,"_gtk_reserved9","","",224,null],[12,"_gtk_reserved10","","",224,null],[12,"_gtk_reserved11","","",224,null],[3,"GtkStyleContextClass","","",null,null],[12,"parent_class","","",225,null],[12,"changed","","",225,null],[12,"_gtk_reserved1","","",225,null],[12,"_gtk_reserved2","","",225,null],[12,"_gtk_reserved3","","",225,null],[12,"_gtk_reserved4","","",225,null],[3,"GtkStyleContextPrivate","","",null,null],[3,"GtkStylePropertiesClass","","",null,null],[12,"parent_class","","",226,null],[12,"_gtk_reserved1","","",226,null],[12,"_gtk_reserved2","","",226,null],[12,"_gtk_reserved3","","",226,null],[12,"_gtk_reserved4","","",226,null],[3,"GtkStylePropertiesPrivate","","",null,null],[3,"GtkStyleProviderIface","","",null,null],[12,"g_iface","","",227,null],[12,"get_style","","",227,null],[12,"get_style_property","","",227,null],[12,"get_icon_factory","","",227,null],[3,"GtkSwitchAccessibleClass","","",null,null],[12,"parent_class","","",228,null],[3,"GtkSwitchAccessiblePrivate","","",null,null],[3,"GtkSwitchClass","","",null,null],[12,"parent_class","","",229,null],[12,"activate","","",229,null],[12,"state_set","","",229,null],[12,"_switch_padding_1","","",229,null],[12,"_switch_padding_2","","",229,null],[12,"_switch_padding_3","","",229,null],[12,"_switch_padding_4","","",229,null],[12,"_switch_padding_5","","",229,null],[3,"GtkSwitchPrivate","","",null,null],[3,"GtkSymbolicColor","","",null,null],[3,"GtkTableChild","","",null,null],[12,"widget","","",230,null],[12,"left_attach","","",230,null],[12,"right_attach","","",230,null],[12,"top_attach","","",230,null],[12,"bottom_attach","","",230,null],[12,"xpadding","","",230,null],[12,"ypadding","","",230,null],[3,"GtkTableClass","","",null,null],[12,"parent_class","","",231,null],[12,"_gtk_reserved1","","",231,null],[12,"_gtk_reserved2","","",231,null],[12,"_gtk_reserved3","","",231,null],[12,"_gtk_reserved4","","",231,null],[3,"GtkTablePrivate","","",null,null],[3,"GtkTableRowCol","","",null,null],[12,"requisition","","",232,null],[12,"allocation","","",232,null],[12,"spacing","","",232,null],[3,"GtkTargetEntry","","",null,null],[12,"target","","",233,null],[12,"flags","","",233,null],[12,"info","","",233,null],[3,"GtkTargetList","","",null,null],[3,"GtkTargetPair","","",null,null],[12,"target","","",234,null],[12,"flags","","",234,null],[12,"info","","",234,null],[3,"GtkTearoffMenuItemClass","","",null,null],[12,"parent_class","","",235,null],[12,"_gtk_reserved1","","",235,null],[12,"_gtk_reserved2","","",235,null],[12,"_gtk_reserved3","","",235,null],[12,"_gtk_reserved4","","",235,null],[3,"GtkTearoffMenuItemPrivate","","",null,null],[3,"GtkTextAppearance","","",null,null],[12,"bg_color","","",236,null],[12,"fg_color","","",236,null],[12,"rise","","",236,null],[3,"GtkTextAttributes","","",null,null],[12,"refcount","","",237,null],[12,"appearance","","",237,null],[12,"justification","","",237,null],[12,"direction","","",237,null],[12,"font","","",237,null],[12,"font_scale","","",237,null],[12,"left_margin","","",237,null],[12,"right_margin","","",237,null],[12,"indent","","",237,null],[12,"pixels_above_lines","","",237,null],[12,"pixels_below_lines","","",237,null],[12,"pixels_inside_wrap","","",237,null],[12,"tabs","","",237,null],[12,"wrap_mode","","",237,null],[12,"language","","",237,null],[12,"pg_bg_color","","",237,null],[3,"GtkTextBTree","","",null,null],[3,"GtkTextBufferClass","","",null,null],[12,"parent_class","","",238,null],[12,"insert_text","","",238,null],[12,"insert_pixbuf","","",238,null],[12,"insert_child_anchor","","",238,null],[12,"delete_range","","",238,null],[12,"changed","","",238,null],[12,"modified_changed","","",238,null],[12,"mark_set","","",238,null],[12,"mark_deleted","","",238,null],[12,"apply_tag","","",238,null],[12,"remove_tag","","",238,null],[12,"begin_user_action","","",238,null],[12,"end_user_action","","",238,null],[12,"paste_done","","",238,null],[12,"_gtk_reserved1","","",238,null],[12,"_gtk_reserved2","","",238,null],[12,"_gtk_reserved3","","",238,null],[12,"_gtk_reserved4","","",238,null],[3,"GtkTextBufferPrivate","","",null,null],[3,"GtkTextCellAccessibleClass","","",null,null],[12,"parent_class","","",239,null],[3,"GtkTextCellAccessiblePrivate","","",null,null],[3,"GtkTextChildAnchorClass","","",null,null],[12,"parent_class","","",240,null],[12,"_gtk_reserved1","","",240,null],[12,"_gtk_reserved2","","",240,null],[12,"_gtk_reserved3","","",240,null],[12,"_gtk_reserved4","","",240,null],[3,"GtkTextIter","","",null,null],[12,"dummy1","","",241,null],[12,"dummy2","","",241,null],[12,"dummy3","","",241,null],[12,"dummy4","","",241,null],[12,"dummy5","","",241,null],[12,"dummy6","","",241,null],[12,"dummy7","","",241,null],[12,"dummy8","","",241,null],[12,"dummy9","","",241,null],[12,"dummy10","","",241,null],[12,"dummy11","","",241,null],[12,"dummy12","","",241,null],[12,"dummy13","","",241,null],[12,"dummy14","","",241,null],[3,"GtkTextMarkClass","","",null,null],[12,"parent_class","","",242,null],[12,"_gtk_reserved1","","",242,null],[12,"_gtk_reserved2","","",242,null],[12,"_gtk_reserved3","","",242,null],[12,"_gtk_reserved4","","",242,null],[3,"GtkTextTagClass","","",null,null],[12,"parent_class","","",243,null],[12,"event","","",243,null],[12,"_gtk_reserved1","","",243,null],[12,"_gtk_reserved2","","",243,null],[12,"_gtk_reserved3","","",243,null],[12,"_gtk_reserved4","","",243,null],[3,"GtkTextTagPrivate","","",null,null],[3,"GtkTextTagTableClass","","",null,null],[12,"parent_class","","",244,null],[12,"tag_changed","","",244,null],[12,"tag_added","","",244,null],[12,"tag_removed","","",244,null],[12,"_gtk_reserved1","","",244,null],[12,"_gtk_reserved2","","",244,null],[12,"_gtk_reserved3","","",244,null],[12,"_gtk_reserved4","","",244,null],[3,"GtkTextTagTablePrivate","","",null,null],[3,"GtkTextViewAccessibleClass","","",null,null],[12,"parent_class","","",245,null],[3,"GtkTextViewAccessiblePrivate","","",null,null],[3,"GtkTextViewClass","","",null,null],[12,"parent_class","","",246,null],[12,"populate_popup","","",246,null],[12,"move_cursor","","",246,null],[12,"set_anchor","","",246,null],[12,"insert_at_cursor","","",246,null],[12,"delete_from_cursor","","",246,null],[12,"backspace","","",246,null],[12,"cut_clipboard","","",246,null],[12,"copy_clipboard","","",246,null],[12,"paste_clipboard","","",246,null],[12,"toggle_overwrite","","",246,null],[12,"create_buffer","","",246,null],[12,"draw_layer","","",246,null],[12,"extend_selection","","",246,null],[12,"_gtk_reserved1","","",246,null],[12,"_gtk_reserved2","","",246,null],[12,"_gtk_reserved3","","",246,null],[12,"_gtk_reserved4","","",246,null],[12,"_gtk_reserved5","","",246,null],[3,"GtkTextViewPrivate","","",null,null],[3,"GtkThemeEngine","","",null,null],[3,"GtkThemingEngineClass","","",null,null],[12,"parent_class","","",247,null],[12,"render_line","","",247,null],[12,"render_background","","",247,null],[12,"render_frame","","",247,null],[12,"render_frame_gap","","",247,null],[12,"render_extension","","",247,null],[12,"render_check","","",247,null],[12,"render_option","","",247,null],[12,"render_arrow","","",247,null],[12,"render_expander","","",247,null],[12,"render_focus","","",247,null],[12,"render_layout","","",247,null],[12,"render_slider","","",247,null],[12,"render_handle","","",247,null],[12,"render_activity","","",247,null],[12,"render_icon_pixbuf","","",247,null],[12,"render_icon","","",247,null],[12,"render_icon_surface","","",247,null],[12,"padding","","",247,null],[3,"GtkThemingEnginePrivate","","",null,null],[3,"GtkToggleActionClass","","",null,null],[12,"parent_class","","",248,null],[12,"toggled","","",248,null],[12,"_gtk_reserved1","","",248,null],[12,"_gtk_reserved2","","",248,null],[12,"_gtk_reserved3","","",248,null],[12,"_gtk_reserved4","","",248,null],[3,"GtkToggleActionEntry","","",null,null],[12,"name","","",249,null],[12,"stock_id","","",249,null],[12,"label","","",249,null],[12,"accelerator","","",249,null],[12,"tooltip","","",249,null],[12,"callback","","",249,null],[12,"is_active","","",249,null],[3,"GtkToggleActionPrivate","","",null,null],[3,"GtkToggleButtonAccessibleClass","","",null,null],[12,"parent_class","","",250,null],[3,"GtkToggleButtonAccessiblePrivate","","",null,null],[3,"GtkToggleButtonClass","","",null,null],[12,"parent_class","","",251,null],[12,"toggled","","",251,null],[12,"_gtk_reserved1","","",251,null],[12,"_gtk_reserved2","","",251,null],[12,"_gtk_reserved3","","",251,null],[12,"_gtk_reserved4","","",251,null],[3,"GtkToggleButtonPrivate","","",null,null],[3,"GtkToggleToolButtonClass","","",null,null],[12,"parent_class","","",252,null],[12,"toggled","","",252,null],[12,"_gtk_reserved1","","",252,null],[12,"_gtk_reserved2","","",252,null],[12,"_gtk_reserved3","","",252,null],[12,"_gtk_reserved4","","",252,null],[3,"GtkToggleToolButtonPrivate","","",null,null],[3,"GtkToolButtonClass","","",null,null],[12,"parent_class","","",253,null],[12,"button_type","","",253,null],[12,"clicked","","",253,null],[12,"_gtk_reserved1","","",253,null],[12,"_gtk_reserved2","","",253,null],[12,"_gtk_reserved3","","",253,null],[12,"_gtk_reserved4","","",253,null],[3,"GtkToolButtonPrivate","","",null,null],[3,"GtkToolItemClass","","",null,null],[12,"parent_class","","",254,null],[12,"create_menu_proxy","","",254,null],[12,"toolbar_reconfigured","","",254,null],[12,"_gtk_reserved1","","",254,null],[12,"_gtk_reserved2","","",254,null],[12,"_gtk_reserved3","","",254,null],[12,"_gtk_reserved4","","",254,null],[3,"GtkToolItemGroupClass","","",null,null],[12,"parent_class","","",255,null],[12,"_gtk_reserved1","","",255,null],[12,"_gtk_reserved2","","",255,null],[12,"_gtk_reserved3","","",255,null],[12,"_gtk_reserved4","","",255,null],[3,"GtkToolItemGroupPrivate","","",null,null],[3,"GtkToolItemPrivate","","",null,null],[3,"GtkToolPaletteClass","","",null,null],[12,"parent_class","","",256,null],[12,"_gtk_reserved1","","",256,null],[12,"_gtk_reserved2","","",256,null],[12,"_gtk_reserved3","","",256,null],[12,"_gtk_reserved4","","",256,null],[3,"GtkToolPalettePrivate","","",null,null],[3,"GtkToolShellIface","","",null,null],[12,"g_iface","","",257,null],[12,"get_icon_size","","",257,null],[12,"get_orientation","","",257,null],[12,"get_style","","",257,null],[12,"get_relief_style","","",257,null],[12,"rebuild_menu","","",257,null],[12,"get_text_orientation","","",257,null],[12,"get_text_alignment","","",257,null],[12,"get_ellipsize_mode","","",257,null],[12,"get_text_size_group","","",257,null],[3,"GtkToolbarClass","","",null,null],[12,"parent_class","","",258,null],[12,"orientation_changed","","",258,null],[12,"style_changed","","",258,null],[12,"popup_context_menu","","",258,null],[12,"_gtk_reserved1","","",258,null],[12,"_gtk_reserved2","","",258,null],[12,"_gtk_reserved3","","",258,null],[12,"_gtk_reserved4","","",258,null],[3,"GtkToolbarPrivate","","",null,null],[3,"GtkToplevelAccessibleClass","","",null,null],[12,"parent_class","","",259,null],[3,"GtkToplevelAccessiblePrivate","","",null,null],[3,"GtkTreeDragDestIface","","",null,null],[12,"g_iface","","",260,null],[12,"drag_data_received","","",260,null],[12,"row_drop_possible","","",260,null],[3,"GtkTreeDragSourceIface","","",null,null],[12,"g_iface","","",261,null],[12,"row_draggable","","",261,null],[12,"drag_data_get","","",261,null],[12,"drag_data_delete","","",261,null],[3,"GtkTreeIter","","",null,null],[12,"stamp","","",262,null],[12,"user_data","","",262,null],[12,"user_data2","","",262,null],[12,"user_data3","","",262,null],[3,"GtkTreeModelFilterClass","","",null,null],[12,"parent_class","","",263,null],[12,"visible","","",263,null],[12,"modify","","",263,null],[12,"_gtk_reserved1","","",263,null],[12,"_gtk_reserved2","","",263,null],[12,"_gtk_reserved3","","",263,null],[12,"_gtk_reserved4","","",263,null],[3,"GtkTreeModelFilterPrivate","","",null,null],[3,"GtkTreeModelIface","","",null,null],[12,"g_iface","","",264,null],[12,"row_changed","","",264,null],[12,"row_inserted","","",264,null],[12,"row_has_child_toggled","","",264,null],[12,"row_deleted","","",264,null],[12,"rows_reordered","","",264,null],[12,"get_flags","","",264,null],[12,"get_n_columns","","",264,null],[12,"get_column_type","","",264,null],[12,"get_iter","","",264,null],[12,"get_path","","",264,null],[12,"get_value","","",264,null],[12,"iter_next","","",264,null],[12,"iter_previous","","",264,null],[12,"iter_children","","",264,null],[12,"iter_has_child","","",264,null],[12,"iter_n_children","","",264,null],[12,"iter_nth_child","","",264,null],[12,"iter_parent","","",264,null],[12,"ref_node","","",264,null],[12,"unref_node","","",264,null],[3,"GtkTreeModelSortClass","","",null,null],[12,"parent_class","","",265,null],[12,"_gtk_reserved1","","",265,null],[12,"_gtk_reserved2","","",265,null],[12,"_gtk_reserved3","","",265,null],[12,"_gtk_reserved4","","",265,null],[3,"GtkTreeModelSortPrivate","","",null,null],[3,"GtkTreePath","","",null,null],[3,"GtkTreeRowReference","","",null,null],[3,"GtkTreeSelectionClass","","",null,null],[12,"parent_class","","",266,null],[12,"changed","","",266,null],[12,"_gtk_reserved1","","",266,null],[12,"_gtk_reserved2","","",266,null],[12,"_gtk_reserved3","","",266,null],[12,"_gtk_reserved4","","",266,null],[3,"GtkTreeSelectionPrivate","","",null,null],[3,"GtkTreeSortableIface","","",null,null],[12,"g_iface","","",267,null],[12,"sort_column_changed","","",267,null],[12,"get_sort_column_id","","",267,null],[12,"set_sort_column_id","","",267,null],[12,"set_sort_func","","",267,null],[12,"set_default_sort_func","","",267,null],[12,"has_default_sort_func","","",267,null],[3,"GtkTreeStoreClass","","",null,null],[12,"parent_class","","",268,null],[12,"_gtk_reserved1","","",268,null],[12,"_gtk_reserved2","","",268,null],[12,"_gtk_reserved3","","",268,null],[12,"_gtk_reserved4","","",268,null],[3,"GtkTreeStorePrivate","","",null,null],[3,"GtkTreeViewAccessibleClass","","",null,null],[12,"parent_class","","",269,null],[3,"GtkTreeViewAccessiblePrivate","","",null,null],[3,"GtkTreeViewClass","","",null,null],[12,"parent_class","","",270,null],[12,"row_activated","","",270,null],[12,"test_expand_row","","",270,null],[12,"test_collapse_row","","",270,null],[12,"row_expanded","","",270,null],[12,"row_collapsed","","",270,null],[12,"columns_changed","","",270,null],[12,"cursor_changed","","",270,null],[12,"move_cursor","","",270,null],[12,"select_all","","",270,null],[12,"unselect_all","","",270,null],[12,"select_cursor_row","","",270,null],[12,"toggle_cursor_row","","",270,null],[12,"expand_collapse_cursor_row","","",270,null],[12,"select_cursor_parent","","",270,null],[12,"start_interactive_search","","",270,null],[12,"_gtk_reserved1","","",270,null],[12,"_gtk_reserved2","","",270,null],[12,"_gtk_reserved3","","",270,null],[12,"_gtk_reserved4","","",270,null],[12,"_gtk_reserved5","","",270,null],[12,"_gtk_reserved6","","",270,null],[12,"_gtk_reserved7","","",270,null],[12,"_gtk_reserved8","","",270,null],[3,"GtkTreeViewColumnClass","","",null,null],[12,"parent_class","","",271,null],[12,"clicked","","",271,null],[12,"_gtk_reserved1","","",271,null],[12,"_gtk_reserved2","","",271,null],[12,"_gtk_reserved3","","",271,null],[12,"_gtk_reserved4","","",271,null],[3,"GtkTreeViewColumnPrivate","","",null,null],[3,"GtkTreeViewPrivate","","",null,null],[3,"GtkUIManagerClass","","",null,null],[12,"parent_class","","",272,null],[12,"add_widget","","",272,null],[12,"actions_changed","","",272,null],[12,"connect_proxy","","",272,null],[12,"disconnect_proxy","","",272,null],[12,"pre_activate","","",272,null],[12,"post_activate","","",272,null],[12,"get_widget","","",272,null],[12,"get_action","","",272,null],[12,"_gtk_reserved1","","",272,null],[12,"_gtk_reserved2","","",272,null],[12,"_gtk_reserved3","","",272,null],[12,"_gtk_reserved4","","",272,null],[3,"GtkUIManagerPrivate","","",null,null],[3,"GtkVBoxClass","","",null,null],[12,"parent_class","","",273,null],[3,"GtkVButtonBoxClass","","",null,null],[12,"parent_class","","",274,null],[3,"GtkVPanedClass","","",null,null],[12,"parent_class","","",275,null],[3,"GtkVScaleClass","","",null,null],[12,"parent_class","","",276,null],[3,"GtkVScrollbarClass","","",null,null],[12,"parent_class","","",277,null],[3,"GtkVSeparatorClass","","",null,null],[12,"parent_class","","",278,null],[3,"GtkViewportClass","","",null,null],[12,"parent_class","","",279,null],[12,"_gtk_reserved1","","",279,null],[12,"_gtk_reserved2","","",279,null],[12,"_gtk_reserved3","","",279,null],[12,"_gtk_reserved4","","",279,null],[3,"GtkViewportPrivate","","",null,null],[3,"GtkVolumeButtonClass","","",null,null],[12,"parent_class","","",280,null],[12,"_gtk_reserved1","","",280,null],[12,"_gtk_reserved2","","",280,null],[12,"_gtk_reserved3","","",280,null],[12,"_gtk_reserved4","","",280,null],[3,"GtkWidgetAccessibleClass","","",null,null],[12,"parent_class","","",281,null],[12,"notify_gtk","","",281,null],[3,"GtkWidgetAccessiblePrivate","","",null,null],[3,"GtkWidgetClass","","",null,null],[12,"parent_class","","",282,null],[12,"activate_signal","","",282,null],[12,"dispatch_child_properties_changed","","",282,null],[12,"destroy","","",282,null],[12,"show","","",282,null],[12,"show_all","","",282,null],[12,"hide","","",282,null],[12,"map","","",282,null],[12,"unmap","","",282,null],[12,"realize","","",282,null],[12,"unrealize","","",282,null],[12,"size_allocate","","",282,null],[12,"state_changed","","",282,null],[12,"state_flags_changed","","",282,null],[12,"parent_set","","",282,null],[12,"hierarchy_changed","","",282,null],[12,"style_set","","",282,null],[12,"direction_changed","","",282,null],[12,"grab_notify","","",282,null],[12,"child_notify","","",282,null],[12,"draw","","",282,null],[12,"get_request_mode","","",282,null],[12,"get_preferred_height","","",282,null],[12,"get_preferred_width_for_height","","",282,null],[12,"get_preferred_width","","",282,null],[12,"get_preferred_height_for_width","","",282,null],[12,"mnemonic_activate","","",282,null],[12,"grab_focus","","",282,null],[12,"focus","","",282,null],[12,"move_focus","","",282,null],[12,"keynav_failed","","",282,null],[12,"event","","",282,null],[12,"button_press_event","","",282,null],[12,"button_release_event","","",282,null],[12,"scroll_event","","",282,null],[12,"motion_notify_event","","",282,null],[12,"delete_event","","",282,null],[12,"destroy_event","","",282,null],[12,"key_press_event","","",282,null],[12,"key_release_event","","",282,null],[12,"enter_notify_event","","",282,null],[12,"leave_notify_event","","",282,null],[12,"configure_event","","",282,null],[12,"focus_in_event","","",282,null],[12,"focus_out_event","","",282,null],[12,"map_event","","",282,null],[12,"unmap_event","","",282,null],[12,"property_notify_event","","",282,null],[12,"selection_clear_event","","",282,null],[12,"selection_request_event","","",282,null],[12,"selection_notify_event","","",282,null],[12,"proximity_in_event","","",282,null],[12,"proximity_out_event","","",282,null],[12,"visibility_notify_event","","",282,null],[12,"window_state_event","","",282,null],[12,"damage_event","","",282,null],[12,"grab_broken_event","","",282,null],[12,"selection_get","","",282,null],[12,"selection_received","","",282,null],[12,"drag_begin","","",282,null],[12,"drag_end","","",282,null],[12,"drag_data_get","","",282,null],[12,"drag_data_delete","","",282,null],[12,"drag_leave","","",282,null],[12,"drag_motion","","",282,null],[12,"drag_drop","","",282,null],[12,"drag_data_received","","",282,null],[12,"drag_failed","","",282,null],[12,"popup_menu","","",282,null],[12,"show_help","","",282,null],[12,"get_accessible","","",282,null],[12,"screen_changed","","",282,null],[12,"can_activate_accel","","",282,null],[12,"composited_changed","","",282,null],[12,"query_tooltip","","",282,null],[12,"compute_expand","","",282,null],[12,"adjust_size_request","","",282,null],[12,"adjust_size_allocation","","",282,null],[12,"style_updated","","",282,null],[12,"touch_event","","",282,null],[12,"get_preferred_height_and_baseline_for_width","","",282,null],[12,"adjust_baseline_request","","",282,null],[12,"adjust_baseline_allocation","","",282,null],[12,"queue_draw_region","","",282,null],[12,"priv_","","",282,null],[12,"_gtk_reserved6","","",282,null],[12,"_gtk_reserved7","","",282,null],[3,"GtkWidgetClassPrivate","","",null,null],[3,"GtkWidgetPath","","",null,null],[3,"GtkWidgetPrivate","","",null,null],[3,"GtkWindowAccessibleClass","","",null,null],[12,"parent_class","","",283,null],[3,"GtkWindowAccessiblePrivate","","",null,null],[3,"GtkWindowClass","","",null,null],[12,"parent_class","","",284,null],[12,"set_focus","","",284,null],[12,"activate_focus","","",284,null],[12,"activate_default","","",284,null],[12,"keys_changed","","",284,null],[12,"enable_debugging","","",284,null],[12,"_gtk_reserved1","","",284,null],[12,"_gtk_reserved2","","",284,null],[12,"_gtk_reserved3","","",284,null],[3,"GtkWindowGeometryInfo","","",null,null],[3,"GtkWindowGroupClass","","",null,null],[12,"parent_class","","",285,null],[12,"_gtk_reserved1","","",285,null],[12,"_gtk_reserved2","","",285,null],[12,"_gtk_reserved3","","",285,null],[12,"_gtk_reserved4","","",285,null],[3,"GtkWindowGroupPrivate","","",null,null],[3,"GtkWindowPrivate","","",null,null],[3,"GtkAboutDialog","","",null,null],[12,"parent_instance","","",286,null],[12,"priv_","","",286,null],[3,"GtkAccelGroup","","",null,null],[12,"parent","","",287,null],[12,"priv_","","",287,null],[3,"GtkAccelLabel","","",null,null],[12,"label","","",288,null],[12,"priv_","","",288,null],[3,"GtkAccelMap","","",null,null],[3,"GtkAccessible","","",null,null],[12,"parent","","",289,null],[12,"priv_","","",289,null],[3,"GtkAction","","",null,null],[12,"object","","",290,null],[12,"private_data","","",290,null],[3,"GtkActionBar","","",null,null],[12,"bin","","",291,null],[3,"GtkActionGroup","","",null,null],[12,"parent","","",292,null],[12,"priv_","","",292,null],[3,"GtkAdjustment","","",null,null],[12,"parent_instance","","",293,null],[12,"priv_","","",293,null],[3,"GtkAlignment","","",null,null],[12,"bin","","",294,null],[12,"priv_","","",294,null],[3,"GtkAppChooserButton","","",null,null],[12,"parent","","",295,null],[12,"priv_","","",295,null],[3,"GtkAppChooserDialog","","",null,null],[12,"parent","","",296,null],[12,"priv_","","",296,null],[3,"GtkAppChooserWidget","","",null,null],[12,"parent","","",297,null],[12,"priv_","","",297,null],[3,"GtkApplication","","",null,null],[12,"parent","","",298,null],[12,"priv_","","",298,null],[3,"GtkApplicationWindow","","",null,null],[12,"parent_instance","","",299,null],[12,"priv_","","",299,null],[3,"GtkArrow","","",null,null],[12,"misc","","",300,null],[12,"priv_","","",300,null],[3,"GtkArrowAccessible","","",null,null],[12,"parent","","",301,null],[12,"priv_","","",301,null],[3,"GtkAspectFrame","","",null,null],[12,"frame","","",302,null],[12,"priv_","","",302,null],[3,"GtkAssistant","","",null,null],[12,"parent","","",303,null],[12,"priv_","","",303,null],[3,"GtkBin","","",null,null],[12,"container","","",304,null],[12,"priv_","","",304,null],[3,"GtkBooleanCellAccessible","","",null,null],[12,"parent","","",305,null],[12,"priv_","","",305,null],[3,"GtkBox","","",null,null],[12,"container","","",306,null],[12,"priv_","","",306,null],[3,"GtkBuilder","","",null,null],[12,"parent_instance","","",307,null],[12,"priv_","","",307,null],[3,"GtkButton","","",null,null],[12,"bin","","",308,null],[12,"priv_","","",308,null],[3,"GtkButtonAccessible","","",null,null],[12,"parent","","",309,null],[12,"priv_","","",309,null],[3,"GtkButtonBox","","",null,null],[12,"box_","","",310,null],[12,"priv_","","",310,null],[3,"GtkCalendar","","",null,null],[12,"widget","","",311,null],[12,"priv_","","",311,null],[3,"GtkCellAccessible","","",null,null],[12,"parent","","",312,null],[12,"priv_","","",312,null],[3,"GtkCellArea","","",null,null],[12,"parent_instance","","",313,null],[12,"priv_","","",313,null],[3,"GtkCellAreaBox","","",null,null],[12,"parent_instance","","",314,null],[12,"priv_","","",314,null],[3,"GtkCellAreaContext","","",null,null],[12,"parent_instance","","",315,null],[12,"priv_","","",315,null],[3,"GtkCellRenderer","","",null,null],[12,"parent_instance","","",316,null],[12,"priv_","","",316,null],[3,"GtkCellRendererAccel","","",null,null],[12,"parent","","",317,null],[12,"priv_","","",317,null],[3,"GtkCellRendererCombo","","",null,null],[12,"parent","","",318,null],[12,"priv_","","",318,null],[3,"GtkCellRendererPixbuf","","",null,null],[12,"parent","","",319,null],[12,"priv_","","",319,null],[3,"GtkCellRendererProgress","","",null,null],[12,"parent_instance","","",320,null],[12,"priv_","","",320,null],[3,"GtkCellRendererSpin","","",null,null],[12,"parent","","",321,null],[12,"priv_","","",321,null],[3,"GtkCellRendererSpinner","","",null,null],[12,"parent","","",322,null],[12,"priv_","","",322,null],[3,"GtkCellRendererText","","",null,null],[12,"parent","","",323,null],[12,"priv_","","",323,null],[3,"GtkCellRendererToggle","","",null,null],[12,"parent","","",324,null],[12,"priv_","","",324,null],[3,"GtkCellView","","",null,null],[12,"parent_instance","","",325,null],[12,"priv_","","",325,null],[3,"GtkCheckButton","","",null,null],[12,"toggle_button","","",326,null],[3,"GtkCheckMenuItem","","",null,null],[12,"menu_item","","",327,null],[12,"priv_","","",327,null],[3,"GtkCheckMenuItemAccessible","","",null,null],[12,"parent","","",328,null],[12,"priv_","","",328,null],[3,"GtkClipboard","","",null,null],[3,"GtkColorButton","","",null,null],[12,"button","","",329,null],[12,"priv_","","",329,null],[3,"GtkColorChooserDialog","","",null,null],[12,"parent_instance","","",330,null],[12,"priv_","","",330,null],[3,"GtkColorChooserWidget","","",null,null],[12,"parent_instance","","",331,null],[12,"priv_","","",331,null],[3,"GtkColorSelection","","",null,null],[12,"parent_instance","","",332,null],[12,"private_data","","",332,null],[3,"GtkColorSelectionDialog","","",null,null],[12,"parent_instance","","",333,null],[12,"priv_","","",333,null],[3,"GtkComboBox","","",null,null],[12,"parent_instance","","",334,null],[12,"priv_","","",334,null],[3,"GtkComboBoxAccessible","","",null,null],[12,"parent","","",335,null],[12,"priv_","","",335,null],[3,"GtkComboBoxText","","",null,null],[12,"parent_instance","","",336,null],[12,"priv_","","",336,null],[3,"GtkContainer","","",null,null],[12,"widget","","",337,null],[12,"priv_","","",337,null],[3,"GtkContainerAccessible","","",null,null],[12,"parent","","",338,null],[12,"priv_","","",338,null],[3,"GtkContainerCellAccessible","","",null,null],[12,"parent","","",339,null],[12,"priv_","","",339,null],[3,"GtkCssProvider","","",null,null],[12,"parent_instance","","",340,null],[12,"priv_","","",340,null],[3,"GtkDialog","","",null,null],[12,"window","","",341,null],[12,"priv_","","",341,null],[3,"GtkDrawingArea","","",null,null],[12,"widget","","",342,null],[12,"dummy","","",342,null],[3,"GtkEntry","","",null,null],[12,"parent_instance","","",343,null],[12,"priv_","","",343,null],[3,"GtkEntryAccessible","","",null,null],[12,"parent","","",344,null],[12,"priv_","","",344,null],[3,"GtkEntryBuffer","","",null,null],[12,"parent_instance","","",345,null],[12,"priv_","","",345,null],[3,"GtkEntryCompletion","","",null,null],[12,"parent_instance","","",346,null],[12,"priv_","","",346,null],[3,"GtkEntryIconAccessible","","",null,null],[3,"GtkEventBox","","",null,null],[12,"bin","","",347,null],[12,"priv_","","",347,null],[3,"GtkEventController","","",null,null],[3,"GtkExpander","","",null,null],[12,"bin","","",348,null],[12,"priv_","","",348,null],[3,"GtkExpanderAccessible","","",null,null],[12,"parent","","",349,null],[12,"priv_","","",349,null],[3,"GtkFileChooserButton","","",null,null],[12,"parent","","",350,null],[12,"priv_","","",350,null],[3,"GtkFileChooserDialog","","",null,null],[12,"parent_instance","","",351,null],[12,"priv_","","",351,null],[3,"GtkFileChooserNative","","",null,null],[3,"GtkFileChooserWidget","","",null,null],[12,"parent_instance","","",352,null],[12,"priv_","","",352,null],[3,"GtkFileFilter","","",null,null],[3,"GtkFixed","","",null,null],[12,"container","","",353,null],[12,"priv_","","",353,null],[3,"GtkFlowBox","","",null,null],[12,"container","","",354,null],[3,"GtkFlowBoxAccessible","","",null,null],[12,"parent","","",355,null],[12,"priv_","","",355,null],[3,"GtkFlowBoxChild","","",null,null],[12,"parent_instance","","",356,null],[3,"GtkFlowBoxChildAccessible","","",null,null],[12,"parent","","",357,null],[3,"GtkFontButton","","",null,null],[12,"button","","",358,null],[12,"priv_","","",358,null],[3,"GtkFontChooserDialog","","",null,null],[12,"parent_instance","","",359,null],[12,"priv_","","",359,null],[3,"GtkFontChooserWidget","","",null,null],[12,"parent_instance","","",360,null],[12,"priv_","","",360,null],[3,"GtkFontSelection","","",null,null],[12,"parent_instance","","",361,null],[12,"priv_","","",361,null],[3,"GtkFontSelectionDialog","","",null,null],[12,"parent_instance","","",362,null],[12,"priv_","","",362,null],[3,"GtkFrame","","",null,null],[12,"bin","","",363,null],[12,"priv_","","",363,null],[3,"GtkFrameAccessible","","",null,null],[12,"parent","","",364,null],[12,"priv_","","",364,null],[3,"GtkGLArea","","",null,null],[12,"parent_instance","","",365,null],[3,"GtkGesture","","",null,null],[3,"GtkGestureDrag","","",null,null],[3,"GtkGestureLongPress","","",null,null],[3,"GtkGestureMultiPress","","",null,null],[3,"GtkGesturePan","","",null,null],[3,"GtkGestureRotate","","",null,null],[3,"GtkGestureSingle","","",null,null],[3,"GtkGestureSwipe","","",null,null],[3,"GtkGestureZoom","","",null,null],[3,"GtkGrid","","",null,null],[12,"container","","",366,null],[12,"priv_","","",366,null],[3,"GtkHBox","","",null,null],[12,"box_","","",367,null],[3,"GtkHButtonBox","","",null,null],[12,"button_box","","",368,null],[3,"GtkHPaned","","",null,null],[12,"paned","","",369,null],[3,"GtkHSV","","",null,null],[12,"parent_instance","","",370,null],[12,"priv_","","",370,null],[3,"GtkHScale","","",null,null],[12,"scale","","",371,null],[3,"GtkHScrollbar","","",null,null],[12,"scrollbar","","",372,null],[3,"GtkHSeparator","","",null,null],[12,"separator","","",373,null],[3,"GtkHandleBox","","",null,null],[12,"bin","","",374,null],[12,"priv_","","",374,null],[3,"GtkHeaderBar","","",null,null],[12,"container","","",375,null],[3,"GtkIMContext","","",null,null],[12,"parent_instance","","",376,null],[3,"GtkIMContextSimple","","",null,null],[12,"object","","",377,null],[12,"priv_","","",377,null],[3,"GtkIMMulticontext","","",null,null],[12,"object","","",378,null],[12,"priv_","","",378,null],[3,"GtkIconFactory","","",null,null],[12,"parent_instance","","",379,null],[12,"priv_","","",379,null],[3,"GtkIconInfo","","",null,null],[3,"GtkIconTheme","","",null,null],[12,"parent_instance","","",380,null],[12,"priv_","","",380,null],[3,"GtkIconView","","",null,null],[12,"parent","","",381,null],[12,"priv_","","",381,null],[3,"GtkIconViewAccessible","","",null,null],[12,"parent","","",382,null],[12,"priv_","","",382,null],[3,"GtkImage","","",null,null],[12,"misc","","",383,null],[12,"priv_","","",383,null],[3,"GtkImageAccessible","","",null,null],[12,"parent","","",384,null],[12,"priv_","","",384,null],[3,"GtkImageCellAccessible","","",null,null],[12,"parent","","",385,null],[12,"priv_","","",385,null],[3,"GtkImageMenuItem","","",null,null],[12,"menu_item","","",386,null],[12,"priv_","","",386,null],[3,"GtkInfoBar","","",null,null],[12,"parent","","",387,null],[12,"priv_","","",387,null],[3,"GtkInvisible","","",null,null],[12,"widget","","",388,null],[12,"priv_","","",388,null],[3,"GtkLabel","","",null,null],[12,"misc","","",389,null],[12,"priv_","","",389,null],[3,"GtkLabelAccessible","","",null,null],[12,"parent","","",390,null],[12,"priv_","","",390,null],[3,"GtkLayout","","",null,null],[12,"container","","",391,null],[12,"priv_","","",391,null],[3,"GtkLevelBar","","",null,null],[12,"parent","","",392,null],[12,"priv_","","",392,null],[3,"GtkLevelBarAccessible","","",null,null],[12,"parent","","",393,null],[12,"priv_","","",393,null],[3,"GtkLinkButton","","",null,null],[12,"parent_instance","","",394,null],[12,"priv_","","",394,null],[3,"GtkLinkButtonAccessible","","",null,null],[12,"parent","","",395,null],[12,"priv_","","",395,null],[3,"GtkListBox","","",null,null],[12,"parent_instance","","",396,null],[3,"GtkListBoxAccessible","","",null,null],[12,"parent","","",397,null],[12,"priv_","","",397,null],[3,"GtkListBoxRow","","",null,null],[12,"parent_instance","","",398,null],[3,"GtkListBoxRowAccessible","","",null,null],[12,"parent","","",399,null],[3,"GtkListStore","","",null,null],[12,"parent","","",400,null],[12,"priv_","","",400,null],[3,"GtkLockButton","","",null,null],[12,"parent","","",401,null],[12,"priv_","","",401,null],[3,"GtkLockButtonAccessible","","",null,null],[12,"parent","","",402,null],[12,"priv_","","",402,null],[3,"GtkMenu","","",null,null],[12,"menu_shell","","",403,null],[12,"priv_","","",403,null],[3,"GtkMenuAccessible","","",null,null],[12,"parent","","",404,null],[12,"priv_","","",404,null],[3,"GtkMenuBar","","",null,null],[12,"menu_shell","","",405,null],[12,"priv_","","",405,null],[3,"GtkMenuButton","","",null,null],[12,"parent","","",406,null],[12,"priv_","","",406,null],[3,"GtkMenuButtonAccessible","","",null,null],[12,"parent","","",407,null],[12,"priv_","","",407,null],[3,"GtkMenuItem","","",null,null],[12,"bin","","",408,null],[12,"priv_","","",408,null],[3,"GtkMenuItemAccessible","","",null,null],[12,"parent","","",409,null],[12,"priv_","","",409,null],[3,"GtkMenuShell","","",null,null],[12,"container","","",410,null],[12,"priv_","","",410,null],[3,"GtkMenuShellAccessible","","",null,null],[12,"parent","","",411,null],[12,"priv_","","",411,null],[3,"GtkMenuToolButton","","",null,null],[12,"parent","","",412,null],[12,"priv_","","",412,null],[3,"GtkMessageDialog","","",null,null],[12,"parent_instance","","",413,null],[12,"priv_","","",413,null],[3,"GtkMisc","","",null,null],[12,"widget","","",414,null],[12,"priv_","","",414,null],[3,"GtkModelButton","","",null,null],[3,"GtkMountOperation","","",null,null],[12,"parent_instance","","",415,null],[12,"priv_","","",415,null],[3,"GtkNativeDialog","","",null,null],[12,"parent_instance","","",416,null],[3,"GtkNotebook","","",null,null],[12,"container","","",417,null],[12,"priv_","","",417,null],[3,"GtkNotebookAccessible","","",null,null],[12,"parent","","",418,null],[12,"priv_","","",418,null],[3,"GtkNotebookPageAccessible","","",null,null],[12,"parent","","",419,null],[12,"priv_","","",419,null],[3,"GtkNumerableIcon","","",null,null],[12,"parent","","",420,null],[12,"priv_","","",420,null],[3,"GtkOffscreenWindow","","",null,null],[12,"parent_object","","",421,null],[3,"GtkOverlay","","",null,null],[12,"parent","","",422,null],[12,"priv_","","",422,null],[3,"GtkPadController","","",null,null],[3,"GtkPageSetup","","",null,null],[3,"GtkPaned","","",null,null],[12,"container","","",423,null],[12,"priv_","","",423,null],[3,"GtkPanedAccessible","","",null,null],[12,"parent","","",424,null],[12,"priv_","","",424,null],[3,"GtkPlacesSidebar","","",null,null],[3,"GtkPlug","","",null,null],[12,"window","","",425,null],[12,"priv_","","",425,null],[3,"GtkPopover","","",null,null],[12,"parent_instance","","",426,null],[12,"priv_","","",426,null],[3,"GtkPopoverAccessible","","",null,null],[12,"parent","","",427,null],[3,"GtkPopoverMenu","","",null,null],[3,"GtkPrintContext","","",null,null],[3,"GtkPrintOperation","","",null,null],[12,"parent_instance","","",428,null],[12,"priv_","","",428,null],[3,"GtkPrintSettings","","",null,null],[3,"GtkProgressBar","","",null,null],[12,"parent","","",429,null],[12,"priv_","","",429,null],[3,"GtkProgressBarAccessible","","",null,null],[12,"parent","","",430,null],[12,"priv_","","",430,null],[3,"GtkRadioAction","","",null,null],[12,"parent","","",431,null],[12,"private_data","","",431,null],[3,"GtkRadioButton","","",null,null],[12,"check_button","","",432,null],[12,"priv_","","",432,null],[3,"GtkRadioButtonAccessible","","",null,null],[12,"parent","","",433,null],[12,"priv_","","",433,null],[3,"GtkRadioMenuItem","","",null,null],[12,"check_menu_item","","",434,null],[12,"priv_","","",434,null],[3,"GtkRadioMenuItemAccessible","","",null,null],[12,"parent","","",435,null],[12,"priv_","","",435,null],[3,"GtkRadioToolButton","","",null,null],[12,"parent","","",436,null],[3,"GtkRange","","",null,null],[12,"widget","","",437,null],[12,"priv_","","",437,null],[3,"GtkRangeAccessible","","",null,null],[12,"parent","","",438,null],[12,"priv_","","",438,null],[3,"GtkRcStyle","","",null,null],[12,"parent_instance","","",439,null],[12,"name","","",439,null],[12,"bg_pixmap_name","","",439,null],[12,"font_desc","","",439,null],[12,"color_flags","","",439,null],[12,"fg","","",439,null],[12,"bg","","",439,null],[12,"text","","",439,null],[12,"base","","",439,null],[12,"xthickness","","",439,null],[12,"ythickness","","",439,null],[12,"rc_properties","","",439,null],[12,"rc_style_lists","","",439,null],[12,"icon_factories","","",439,null],[3,"GtkRecentAction","","",null,null],[12,"parent_instance","","",440,null],[12,"priv_","","",440,null],[3,"GtkRecentChooserDialog","","",null,null],[12,"parent_instance","","",441,null],[12,"priv_","","",441,null],[3,"GtkRecentChooserMenu","","",null,null],[12,"parent_instance","","",442,null],[12,"priv_","","",442,null],[3,"GtkRecentChooserWidget","","",null,null],[12,"parent_instance","","",443,null],[12,"priv_","","",443,null],[3,"GtkRecentFilter","","",null,null],[3,"GtkRecentManager","","",null,null],[12,"parent_instance","","",444,null],[12,"priv_","","",444,null],[3,"GtkRendererCellAccessible","","",null,null],[12,"parent","","",445,null],[12,"priv_","","",445,null],[3,"GtkRevealer","","",null,null],[12,"parent_instance","","",446,null],[3,"GtkScale","","",null,null],[12,"range","","",447,null],[12,"priv_","","",447,null],[3,"GtkScaleAccessible","","",null,null],[12,"parent","","",448,null],[12,"priv_","","",448,null],[3,"GtkScaleButton","","",null,null],[12,"parent","","",449,null],[12,"priv_","","",449,null],[3,"GtkScaleButtonAccessible","","",null,null],[12,"parent","","",450,null],[12,"priv_","","",450,null],[3,"GtkScrollbar","","",null,null],[12,"range","","",451,null],[3,"GtkScrolledWindow","","",null,null],[12,"container","","",452,null],[12,"priv_","","",452,null],[3,"GtkScrolledWindowAccessible","","",null,null],[12,"parent","","",453,null],[12,"priv_","","",453,null],[3,"GtkSearchBar","","",null,null],[12,"parent","","",454,null],[3,"GtkSearchEntry","","",null,null],[12,"parent","","",455,null],[3,"GtkSeparator","","",null,null],[12,"widget","","",456,null],[12,"priv_","","",456,null],[3,"GtkSeparatorMenuItem","","",null,null],[12,"menu_item","","",457,null],[3,"GtkSeparatorToolItem","","",null,null],[12,"parent","","",458,null],[12,"priv_","","",458,null],[3,"GtkSettings","","",null,null],[12,"parent_instance","","",459,null],[12,"priv_","","",459,null],[3,"GtkShortcutLabel","","",null,null],[3,"GtkShortcutsGroup","","",null,null],[3,"GtkShortcutsSection","","",null,null],[3,"GtkShortcutsShortcut","","",null,null],[3,"GtkShortcutsWindow","","",null,null],[12,"window","","",460,null],[3,"GtkSizeGroup","","",null,null],[12,"parent_instance","","",461,null],[12,"priv_","","",461,null],[3,"GtkSocket","","",null,null],[12,"container","","",462,null],[12,"priv_","","",462,null],[3,"GtkSpinButton","","",null,null],[12,"entry","","",463,null],[12,"priv_","","",463,null],[3,"GtkSpinButtonAccessible","","",null,null],[12,"parent","","",464,null],[12,"priv_","","",464,null],[3,"GtkSpinner","","",null,null],[12,"parent","","",465,null],[12,"priv_","","",465,null],[3,"GtkSpinnerAccessible","","",null,null],[12,"parent","","",466,null],[12,"priv_","","",466,null],[3,"GtkStack","","",null,null],[12,"parent_instance","","",467,null],[3,"GtkStackAccessible","","",null,null],[12,"parent","","",468,null],[3,"GtkStackSidebar","","",null,null],[12,"parent","","",469,null],[3,"GtkStackSwitcher","","",null,null],[12,"widget","","",470,null],[3,"GtkStatusIcon","","",null,null],[12,"parent_instance","","",471,null],[12,"priv_","","",471,null],[3,"GtkStatusbar","","",null,null],[12,"parent_widget","","",472,null],[12,"priv_","","",472,null],[3,"GtkStatusbarAccessible","","",null,null],[12,"parent","","",473,null],[12,"priv_","","",473,null],[3,"GtkStyle","","",null,null],[12,"parent_instance","","",474,null],[12,"fg","","",474,null],[12,"bg","","",474,null],[12,"light","","",474,null],[12,"dark","","",474,null],[12,"mid","","",474,null],[12,"text","","",474,null],[12,"base","","",474,null],[12,"text_aa","","",474,null],[12,"black","","",474,null],[12,"white","","",474,null],[12,"font_desc","","",474,null],[12,"xthickness","","",474,null],[12,"ythickness","","",474,null],[12,"background","","",474,null],[12,"attach_count","","",474,null],[12,"visual","","",474,null],[12,"private_font_desc","","",474,null],[12,"rc_style","","",474,null],[12,"styles","","",474,null],[12,"property_cache","","",474,null],[12,"icon_factories","","",474,null],[3,"GtkStyleContext","","",null,null],[12,"parent_object","","",475,null],[12,"priv_","","",475,null],[3,"GtkStyleProperties","","",null,null],[12,"parent_object","","",476,null],[12,"priv_","","",476,null],[3,"GtkSwitch","","",null,null],[12,"parent_instance","","",477,null],[12,"priv_","","",477,null],[3,"GtkSwitchAccessible","","",null,null],[12,"parent","","",478,null],[12,"priv_","","",478,null],[3,"GtkTable","","",null,null],[12,"container","","",479,null],[12,"priv_","","",479,null],[3,"GtkTearoffMenuItem","","",null,null],[12,"menu_item","","",480,null],[12,"priv_","","",480,null],[3,"GtkTextBuffer","","",null,null],[12,"parent_instance","","",481,null],[12,"priv_","","",481,null],[3,"GtkTextCellAccessible","","",null,null],[12,"parent","","",482,null],[12,"priv_","","",482,null],[3,"GtkTextChildAnchor","","",null,null],[12,"parent_instance","","",483,null],[12,"segment","","",483,null],[3,"GtkTextMark","","",null,null],[12,"parent_instance","","",484,null],[12,"segment","","",484,null],[3,"GtkTextTag","","",null,null],[12,"parent_instance","","",485,null],[12,"priv_","","",485,null],[3,"GtkTextTagTable","","",null,null],[12,"parent_instance","","",486,null],[12,"priv_","","",486,null],[3,"GtkTextView","","",null,null],[12,"parent_instance","","",487,null],[12,"priv_","","",487,null],[3,"GtkTextViewAccessible","","",null,null],[12,"parent","","",488,null],[12,"priv_","","",488,null],[3,"GtkThemingEngine","","",null,null],[12,"parent_object","","",489,null],[12,"priv_","","",489,null],[3,"GtkToggleAction","","",null,null],[12,"parent","","",490,null],[12,"private_data","","",490,null],[3,"GtkToggleButton","","",null,null],[12,"button","","",491,null],[12,"priv_","","",491,null],[3,"GtkToggleButtonAccessible","","",null,null],[12,"parent","","",492,null],[12,"priv_","","",492,null],[3,"GtkToggleToolButton","","",null,null],[12,"parent","","",493,null],[12,"priv_","","",493,null],[3,"GtkToolButton","","",null,null],[12,"parent","","",494,null],[12,"priv_","","",494,null],[3,"GtkToolItem","","",null,null],[12,"parent","","",495,null],[12,"priv_","","",495,null],[3,"GtkToolItemGroup","","",null,null],[12,"parent_instance","","",496,null],[12,"priv_","","",496,null],[3,"GtkToolPalette","","",null,null],[12,"parent_instance","","",497,null],[12,"priv_","","",497,null],[3,"GtkToolbar","","",null,null],[12,"container","","",498,null],[12,"priv_","","",498,null],[3,"GtkTooltip","","",null,null],[3,"GtkToplevelAccessible","","",null,null],[12,"parent","","",499,null],[12,"priv_","","",499,null],[3,"GtkTreeModelFilter","","",null,null],[12,"parent","","",500,null],[12,"priv_","","",500,null],[3,"GtkTreeModelSort","","",null,null],[12,"parent","","",501,null],[12,"priv_","","",501,null],[3,"GtkTreeSelection","","",null,null],[12,"parent","","",502,null],[12,"priv_","","",502,null],[3,"GtkTreeStore","","",null,null],[12,"parent","","",503,null],[12,"priv_","","",503,null],[3,"GtkTreeView","","",null,null],[12,"parent","","",504,null],[12,"priv_","","",504,null],[3,"GtkTreeViewAccessible","","",null,null],[12,"parent","","",505,null],[12,"priv_","","",505,null],[3,"GtkTreeViewColumn","","",null,null],[12,"parent_instance","","",506,null],[12,"priv_","","",506,null],[3,"GtkUIManager","","",null,null],[12,"parent","","",507,null],[12,"private_data","","",507,null],[3,"GtkVBox","","",null,null],[12,"box_","","",508,null],[3,"GtkVButtonBox","","",null,null],[12,"button_box","","",509,null],[3,"GtkVPaned","","",null,null],[12,"paned","","",510,null],[3,"GtkVScale","","",null,null],[12,"scale","","",511,null],[3,"GtkVScrollbar","","",null,null],[12,"scrollbar","","",512,null],[3,"GtkVSeparator","","",null,null],[12,"separator","","",513,null],[3,"GtkViewport","","",null,null],[12,"bin","","",514,null],[12,"priv_","","",514,null],[3,"GtkVolumeButton","","",null,null],[12,"parent","","",515,null],[3,"GtkWidget","","",null,null],[12,"parent_instance","","",516,null],[12,"priv_","","",516,null],[3,"GtkWidgetAccessible","","",null,null],[12,"parent","","",517,null],[12,"priv_","","",517,null],[3,"GtkWindow","","",null,null],[12,"bin","","",518,null],[12,"priv_","","",518,null],[3,"GtkWindowAccessible","","",null,null],[12,"parent","","",519,null],[12,"priv_","","",519,null],[3,"GtkWindowGroup","","",null,null],[12,"parent_instance","","",520,null],[12,"priv_","","",520,null],[3,"GtkActionable","","",null,null],[3,"GtkActivatable","","",null,null],[3,"GtkAppChooser","","",null,null],[3,"GtkBuildable","","",null,null],[3,"GtkCellAccessibleParent","","",null,null],[3,"GtkCellEditable","","",null,null],[3,"GtkCellLayout","","",null,null],[3,"GtkColorChooser","","",null,null],[3,"GtkEditable","","",null,null],[3,"GtkFileChooser","","",null,null],[3,"GtkFontChooser","","",null,null],[3,"GtkOrientable","","",null,null],[3,"GtkPrintOperationPreview","","",null,null],[3,"GtkRecentChooser","","",null,null],[3,"GtkScrollable","","",null,null],[3,"GtkStyleProvider","","",null,null],[3,"GtkToolShell","","",null,null],[3,"GtkTreeDragDest","","",null,null],[3,"GtkTreeDragSource","","",null,null],[3,"GtkTreeModel","","",null,null],[3,"GtkTreeSortable","","",null,null],[4,"GtkAlign","","",null,null],[13,"Fill","","",521,null],[13,"Start","","",521,null],[13,"End","","",521,null],[13,"Center","","",521,null],[13,"Baseline","","",521,null],[4,"GtkArrowPlacement","","",null,null],[13,"Both","","",522,null],[13,"Start","","",522,null],[13,"End","","",522,null],[4,"GtkArrowType","","",null,null],[13,"Up","","",523,null],[13,"Down","","",523,null],[13,"Left","","",523,null],[13,"Right","","",523,null],[13,"None","","",523,null],[4,"GtkAssistantPageType","","",null,null],[13,"Content","","",524,null],[13,"Intro","","",524,null],[13,"Confirm","","",524,null],[13,"Summary","","",524,null],[13,"Progress","","",524,null],[13,"Custom","","",524,null],[4,"GtkBaselinePosition","","",null,null],[13,"Top","","",525,null],[13,"Center","","",525,null],[13,"Bottom","","",525,null],[4,"GtkBorderStyle","","",null,null],[13,"None","","",526,null],[13,"Solid","","",526,null],[13,"Inset","","",526,null],[13,"Outset","","",526,null],[13,"Hidden","","",526,null],[13,"Dotted","","",526,null],[13,"Dashed","","",526,null],[13,"Double","","",526,null],[13,"Groove","","",526,null],[13,"Ridge","","",526,null],[4,"GtkBuilderError","","",null,null],[13,"InvalidTypeFunction","","",527,null],[13,"UnhandledTag","","",527,null],[13,"MissingAttribute","","",527,null],[13,"InvalidAttribute","","",527,null],[13,"InvalidTag","","",527,null],[13,"MissingPropertyValue","","",527,null],[13,"InvalidValue","","",527,null],[13,"VersionMismatch","","",527,null],[13,"DuplicateId","","",527,null],[13,"ObjectTypeRefused","","",527,null],[13,"TemplateMismatch","","",527,null],[13,"InvalidProperty","","",527,null],[13,"InvalidSignal","","",527,null],[13,"InvalidId","","",527,null],[4,"GtkButtonBoxStyle","","",null,null],[13,"Spread","","",528,null],[13,"Edge","","",528,null],[13,"Start","","",528,null],[13,"End","","",528,null],[13,"Center","","",528,null],[13,"Expand","","",528,null],[4,"GtkButtonRole","","",null,null],[13,"Normal","","",529,null],[13,"Check","","",529,null],[13,"Radio","","",529,null],[4,"GtkButtonsType","","",null,null],[13,"None","","",530,null],[13,"Ok","","",530,null],[13,"Close","","",530,null],[13,"Cancel","","",530,null],[13,"YesNo","","",530,null],[13,"OkCancel","","",530,null],[4,"GtkCellRendererAccelMode","","",null,null],[13,"Gtk","","",531,null],[13,"Other","","",531,null],[13,"ModifierTap","","",531,null],[4,"GtkCellRendererMode","","",null,null],[13,"Inert","","",532,null],[13,"Activatable","","",532,null],[13,"Editable","","",532,null],[4,"GtkCornerType","","",null,null],[13,"TopLeft","","",533,null],[13,"BottomLeft","","",533,null],[13,"TopRight","","",533,null],[13,"BottomRight","","",533,null],[4,"GtkCssProviderError","","",null,null],[13,"Failed","","",534,null],[13,"Syntax","","",534,null],[13,"Import","","",534,null],[13,"Name","","",534,null],[13,"Deprecated","","",534,null],[13,"UnknownValue","","",534,null],[4,"GtkCssSectionType","","",null,null],[13,"Document","","",535,null],[13,"Import","","",535,null],[13,"ColorDefinition","","",535,null],[13,"BindingSet","","",535,null],[13,"Ruleset","","",535,null],[13,"Selector","","",535,null],[13,"Declaration","","",535,null],[13,"Value","","",535,null],[13,"Keyframes","","",535,null],[4,"GtkDeleteType","","",null,null],[13,"Chars","","",536,null],[13,"WordEnds","","",536,null],[13,"Words","","",536,null],[13,"DisplayLines","","",536,null],[13,"DisplayLineEnds","","",536,null],[13,"ParagraphEnds","","",536,null],[13,"Paragraphs","","",536,null],[13,"Whitespace","","",536,null],[4,"GtkDirectionType","","",null,null],[13,"TabForward","","",537,null],[13,"TabBackward","","",537,null],[13,"Up","","",537,null],[13,"Down","","",537,null],[13,"Left","","",537,null],[13,"Right","","",537,null],[4,"GtkDragResult","","",null,null],[13,"Success","","",538,null],[13,"NoTarget","","",538,null],[13,"UserCancelled","","",538,null],[13,"TimeoutExpired","","",538,null],[13,"GrabBroken","","",538,null],[13,"Error","","",538,null],[4,"GtkEntryIconPosition","","",null,null],[13,"Primary","","",539,null],[13,"Secondary","","",539,null],[4,"GtkEventSequenceState","","",null,null],[13,"None","","",540,null],[13,"Claimed","","",540,null],[13,"Denied","","",540,null],[4,"GtkExpanderStyle","","",null,null],[13,"Collapsed","","",541,null],[13,"SemiCollapsed","","",541,null],[13,"SemiExpanded","","",541,null],[13,"Expanded","","",541,null],[4,"GtkFileChooserAction","","",null,null],[13,"Open","","",542,null],[13,"Save","","",542,null],[13,"SelectFolder","","",542,null],[13,"CreateFolder","","",542,null],[4,"GtkFileChooserConfirmation","","",null,null],[13,"Confirm","","",543,null],[13,"AcceptFilename","","",543,null],[13,"SelectAgain","","",543,null],[4,"GtkFileChooserError","","",null,null],[13,"Nonexistent","","",544,null],[13,"BadFilename","","",544,null],[13,"AlreadyExists","","",544,null],[13,"IncompleteHostname","","",544,null],[4,"GtkIMPreeditStyle","","",null,null],[13,"Nothing","","",545,null],[13,"Callback","","",545,null],[13,"None","","",545,null],[4,"GtkIMStatusStyle","","",null,null],[13,"Nothing","","",546,null],[13,"Callback","","",546,null],[13,"None","","",546,null],[4,"GtkIconSize","","",null,null],[13,"Invalid","","",547,null],[13,"Menu","","",547,null],[13,"SmallToolbar","","",547,null],[13,"LargeToolbar","","",547,null],[13,"Button","","",547,null],[13,"Dnd","","",547,null],[13,"Dialog","","",547,null],[4,"GtkIconThemeError","","",null,null],[13,"NotFound","","",548,null],[13,"Failed","","",548,null],[4,"GtkIconViewDropPosition","","",null,null],[13,"NoDrop","","",549,null],[13,"DropInto","","",549,null],[13,"DropLeft","","",549,null],[13,"DropRight","","",549,null],[13,"DropAbove","","",549,null],[13,"DropBelow","","",549,null],[4,"GtkImageType","","",null,null],[13,"Empty","","",550,null],[13,"Pixbuf","","",550,null],[13,"Stock","","",550,null],[13,"IconSet","","",550,null],[13,"Animation","","",550,null],[13,"IconName","","",550,null],[13,"Gicon","","",550,null],[13,"Surface","","",550,null],[4,"GtkInputPurpose","","",null,null],[13,"FreeForm","","",551,null],[13,"Alpha","","",551,null],[13,"Digits","","",551,null],[13,"Number","","",551,null],[13,"Phone","","",551,null],[13,"Url","","",551,null],[13,"Email","","",551,null],[13,"Name","","",551,null],[13,"Password","","",551,null],[13,"Pin","","",551,null],[4,"GtkJustification","","",null,null],[13,"Left","","",552,null],[13,"Right","","",552,null],[13,"Center","","",552,null],[13,"Fill","","",552,null],[4,"GtkLevelBarMode","","",null,null],[13,"Continuous","","",553,null],[13,"Discrete","","",553,null],[4,"GtkLicense","","",null,null],[13,"Unknown","","",554,null],[13,"Custom","","",554,null],[13,"Gpl20","","",554,null],[13,"Gpl30","","",554,null],[13,"Lgpl21","","",554,null],[13,"Lgpl30","","",554,null],[13,"Bsd","","",554,null],[13,"MitX11","","",554,null],[13,"Artistic","","",554,null],[13,"Gpl20Only","","",554,null],[13,"Gpl30Only","","",554,null],[13,"Lgpl21Only","","",554,null],[13,"Lgpl30Only","","",554,null],[13,"Agpl30","","",554,null],[4,"GtkMenuDirectionType","","",null,null],[13,"Parent","","",555,null],[13,"Child","","",555,null],[13,"Next","","",555,null],[13,"Prev","","",555,null],[4,"GtkMessageType","","",null,null],[13,"Info","","",556,null],[13,"Warning","","",556,null],[13,"Question","","",556,null],[13,"Error","","",556,null],[13,"Other","","",556,null],[4,"GtkMovementStep","","",null,null],[13,"LogicalPositions","","",557,null],[13,"VisualPositions","","",557,null],[13,"Words","","",557,null],[13,"DisplayLines","","",557,null],[13,"DisplayLineEnds","","",557,null],[13,"Paragraphs","","",557,null],[13,"ParagraphEnds","","",557,null],[13,"Pages","","",557,null],[13,"BufferEnds","","",557,null],[13,"HorizontalPages","","",557,null],[4,"GtkNotebookTab","","",null,null],[13,"First","","",558,null],[13,"Last","","",558,null],[4,"GtkNumberUpLayout","","",null,null],[13,"Lrtb","","",559,null],[13,"Lrbt","","",559,null],[13,"Rltb","","",559,null],[13,"Rlbt","","",559,null],[13,"Tblr","","",559,null],[13,"Tbrl","","",559,null],[13,"Btlr","","",559,null],[13,"Btrl","","",559,null],[4,"GtkOrientation","","",null,null],[13,"Horizontal","","",560,null],[13,"Vertical","","",560,null],[4,"GtkPackDirection","","",null,null],[13,"Ltr","","",561,null],[13,"Rtl","","",561,null],[13,"Ttb","","",561,null],[13,"Btt","","",561,null],[4,"GtkPackType","","",null,null],[13,"Start","","",562,null],[13,"End","","",562,null],[4,"GtkPadActionType","","",null,null],[13,"Button","","",563,null],[13,"Ring","","",563,null],[13,"Strip","","",563,null],[4,"GtkPageOrientation","","",null,null],[13,"Portrait","","",564,null],[13,"Landscape","","",564,null],[13,"ReversePortrait","","",564,null],[13,"ReverseLandscape","","",564,null],[4,"GtkPageSet","","",null,null],[13,"All","","",565,null],[13,"Even","","",565,null],[13,"Odd","","",565,null],[4,"GtkPanDirection","","",null,null],[13,"Left","","",566,null],[13,"Right","","",566,null],[13,"Up","","",566,null],[13,"Down","","",566,null],[4,"GtkPathPriorityType","","",null,null],[13,"Lowest","","",567,null],[13,"Gtk","","",567,null],[13,"Application","","",567,null],[13,"Theme","","",567,null],[13,"Rc","","",567,null],[13,"Highest","","",567,null],[4,"GtkPathType","","",null,null],[13,"Widget","","",568,null],[13,"WidgetClass","","",568,null],[13,"Class","","",568,null],[4,"GtkPolicyType","","",null,null],[13,"Always","","",569,null],[13,"Automatic","","",569,null],[13,"Never","","",569,null],[13,"External","","",569,null],[4,"GtkPopoverConstraint","","",null,null],[13,"None","","",570,null],[13,"Window","","",570,null],[4,"GtkPositionType","","",null,null],[13,"Left","","",571,null],[13,"Right","","",571,null],[13,"Top","","",571,null],[13,"Bottom","","",571,null],[4,"GtkPrintDuplex","","",null,null],[13,"Simplex","","",572,null],[13,"Horizontal","","",572,null],[13,"Vertical","","",572,null],[4,"GtkPrintError","","",null,null],[13,"General","","",573,null],[13,"InternalError","","",573,null],[13,"Nomem","","",573,null],[13,"InvalidFile","","",573,null],[4,"GtkPrintOperationAction","","",null,null],[13,"PrintDialog","","",574,null],[13,"Print","","",574,null],[13,"Preview","","",574,null],[13,"Export","","",574,null],[4,"GtkPrintOperationResult","","",null,null],[13,"Error","","",575,null],[13,"Apply","","",575,null],[13,"Cancel","","",575,null],[13,"InProgress","","",575,null],[4,"GtkPrintPages","","",null,null],[13,"All","","",576,null],[13,"Current","","",576,null],[13,"Ranges","","",576,null],[13,"Selection","","",576,null],[4,"GtkPrintQuality","","",null,null],[13,"Low","","",577,null],[13,"Normal","","",577,null],[13,"High","","",577,null],[13,"Draft","","",577,null],[4,"GtkPrintStatus","","",null,null],[13,"Initial","","",578,null],[13,"Preparing","","",578,null],[13,"GeneratingData","","",578,null],[13,"SendingData","","",578,null],[13,"Pending","","",578,null],[13,"PendingIssue","","",578,null],[13,"Printing","","",578,null],[13,"Finished","","",578,null],[13,"FinishedAborted","","",578,null],[4,"GtkPropagationPhase","","",null,null],[13,"None","","",579,null],[13,"Capture","","",579,null],[13,"Bubble","","",579,null],[13,"Target","","",579,null],[4,"GtkRcTokenType","","",null,null],[13,"Invalid","","",580,null],[13,"Include","","",580,null],[13,"Normal","","",580,null],[13,"Active","","",580,null],[13,"Prelight","","",580,null],[13,"Selected","","",580,null],[13,"Insensitive","","",580,null],[13,"Fg","","",580,null],[13,"Bg","","",580,null],[13,"Text","","",580,null],[13,"Base","","",580,null],[13,"Xthickness","","",580,null],[13,"Ythickness","","",580,null],[13,"Font","","",580,null],[13,"Fontset","","",580,null],[13,"FontName","","",580,null],[13,"BgPixmap","","",580,null],[13,"PixmapPath","","",580,null],[13,"Style","","",580,null],[13,"Binding","","",580,null],[13,"Bind","","",580,null],[13,"Widget","","",580,null],[13,"WidgetClass","","",580,null],[13,"Class","","",580,null],[13,"Lowest","","",580,null],[13,"Gtk","","",580,null],[13,"Application","","",580,null],[13,"Theme","","",580,null],[13,"Rc","","",580,null],[13,"Highest","","",580,null],[13,"Engine","","",580,null],[13,"ModulePath","","",580,null],[13,"ImModulePath","","",580,null],[13,"ImModuleFile","","",580,null],[13,"Stock","","",580,null],[13,"Ltr","","",580,null],[13,"Rtl","","",580,null],[13,"Color","","",580,null],[13,"Unbind","","",580,null],[13,"Last","","",580,null],[4,"GtkRecentChooserError","","",null,null],[13,"NotFound","","",581,null],[13,"InvalidUri","","",581,null],[4,"GtkRecentManagerError","","",null,null],[13,"NotFound","","",582,null],[13,"InvalidUri","","",582,null],[13,"InvalidEncoding","","",582,null],[13,"NotRegistered","","",582,null],[13,"Read","","",582,null],[13,"Write","","",582,null],[13,"Unknown","","",582,null],[4,"GtkRecentSortType","","",null,null],[13,"None","","",583,null],[13,"Mru","","",583,null],[13,"Lru","","",583,null],[13,"Custom","","",583,null],[4,"GtkReliefStyle","","",null,null],[13,"Normal","","",584,null],[13,"Half","","",584,null],[13,"None","","",584,null],[4,"GtkResizeMode","","",null,null],[13,"Parent","","",585,null],[13,"Queue","","",585,null],[13,"Immediate","","",585,null],[4,"GtkResponseType","","",null,null],[13,"None","","",586,null],[13,"Reject","","",586,null],[13,"Accept","","",586,null],[13,"DeleteEvent","","",586,null],[13,"Ok","","",586,null],[13,"Cancel","","",586,null],[13,"Close","","",586,null],[13,"Yes","","",586,null],[13,"No","","",586,null],[13,"Apply","","",586,null],[13,"Help","","",586,null],[4,"GtkRevealerTransitionType","","",null,null],[13,"None","","",587,null],[13,"Crossfade","","",587,null],[13,"SlideRight","","",587,null],[13,"SlideLeft","","",587,null],[13,"SlideUp","","",587,null],[13,"SlideDown","","",587,null],[4,"GtkScrollStep","","",null,null],[13,"Steps","","",588,null],[13,"Pages","","",588,null],[13,"Ends","","",588,null],[13,"HorizontalSteps","","",588,null],[13,"HorizontalPages","","",588,null],[13,"HorizontalEnds","","",588,null],[4,"GtkScrollType","","",null,null],[13,"None","","",589,null],[13,"Jump","","",589,null],[13,"StepBackward","","",589,null],[13,"StepForward","","",589,null],[13,"PageBackward","","",589,null],[13,"PageForward","","",589,null],[13,"StepUp","","",589,null],[13,"StepDown","","",589,null],[13,"PageUp","","",589,null],[13,"PageDown","","",589,null],[13,"StepLeft","","",589,null],[13,"StepRight","","",589,null],[13,"PageLeft","","",589,null],[13,"PageRight","","",589,null],[13,"Start","","",589,null],[13,"End","","",589,null],[4,"GtkScrollablePolicy","","",null,null],[13,"Minimum","","",590,null],[13,"Natural","","",590,null],[4,"GtkSelectionMode","","",null,null],[13,"None","","",591,null],[13,"Single","","",591,null],[13,"Browse","","",591,null],[13,"Multiple","","",591,null],[4,"GtkSensitivityType","","",null,null],[13,"Auto","","",592,null],[13,"On","","",592,null],[13,"Off","","",592,null],[4,"GtkShadowType","","",null,null],[13,"None","","",593,null],[13,"In","","",593,null],[13,"Out","","",593,null],[13,"EtchedIn","","",593,null],[13,"EtchedOut","","",593,null],[4,"GtkShortcutType","","",null,null],[13,"Accelerator","","",594,null],[13,"GesturePinch","","",594,null],[13,"GestureStretch","","",594,null],[13,"GestureRotateClockwise","","",594,null],[13,"GestureRotateCounterclockwise","","",594,null],[13,"GestureTwoFingerSwipeLeft","","",594,null],[13,"GestureTwoFingerSwipeRight","","",594,null],[13,"Gesture","","",594,null],[4,"GtkSizeGroupMode","","",null,null],[13,"None","","",595,null],[13,"Horizontal","","",595,null],[13,"Vertical","","",595,null],[13,"Both","","",595,null],[4,"GtkSizeRequestMode","","",null,null],[13,"HeightForWidth","","",596,null],[13,"WidthForHeight","","",596,null],[13,"ConstantSize","","",596,null],[4,"GtkSortType","","",null,null],[13,"Ascending","","",597,null],[13,"Descending","","",597,null],[4,"GtkSpinButtonUpdatePolicy","","",null,null],[13,"Always","","",598,null],[13,"IfValid","","",598,null],[4,"GtkSpinType","","",null,null],[13,"StepForward","","",599,null],[13,"StepBackward","","",599,null],[13,"PageForward","","",599,null],[13,"PageBackward","","",599,null],[13,"Home","","",599,null],[13,"End","","",599,null],[13,"UserDefined","","",599,null],[4,"GtkStackTransitionType","","",null,null],[13,"None","","",600,null],[13,"Crossfade","","",600,null],[13,"SlideRight","","",600,null],[13,"SlideLeft","","",600,null],[13,"SlideUp","","",600,null],[13,"SlideDown","","",600,null],[13,"SlideLeftRight","","",600,null],[13,"SlideUpDown","","",600,null],[13,"OverUp","","",600,null],[13,"OverDown","","",600,null],[13,"OverLeft","","",600,null],[13,"OverRight","","",600,null],[13,"UnderUp","","",600,null],[13,"UnderDown","","",600,null],[13,"UnderLeft","","",600,null],[13,"UnderRight","","",600,null],[13,"OverUpDown","","",600,null],[13,"OverDownUp","","",600,null],[13,"OverLeftRight","","",600,null],[13,"OverRightLeft","","",600,null],[4,"GtkStateType","","",null,null],[13,"Normal","","",601,null],[13,"Active","","",601,null],[13,"Prelight","","",601,null],[13,"Selected","","",601,null],[13,"Insensitive","","",601,null],[13,"Inconsistent","","",601,null],[13,"Focused","","",601,null],[4,"GtkTextBufferTargetInfo","","",null,null],[13,"BufferContents","","",602,null],[13,"RichText","","",602,null],[13,"Text","","",602,null],[4,"GtkTextDirection","","",null,null],[13,"None","","",603,null],[13,"Ltr","","",603,null],[13,"Rtl","","",603,null],[4,"GtkTextExtendSelection","","",null,null],[13,"Word","","",604,null],[13,"Line","","",604,null],[4,"GtkTextViewLayer","","",null,null],[13,"Below","","",605,null],[13,"Above","","",605,null],[13,"BelowText","","",605,null],[13,"AboveText","","",605,null],[4,"GtkTextWindowType","","",null,null],[13,"Private","","",606,null],[13,"Widget","","",606,null],[13,"Text","","",606,null],[13,"Left","","",606,null],[13,"Right","","",606,null],[13,"Top","","",606,null],[13,"Bottom","","",606,null],[4,"GtkToolbarSpaceStyle","","",null,null],[13,"Empty","","",607,null],[13,"Line","","",607,null],[4,"GtkToolbarStyle","","",null,null],[13,"Icons","","",608,null],[13,"Text","","",608,null],[13,"Both","","",608,null],[13,"BothHoriz","","",608,null],[4,"GtkTreeViewColumnSizing","","",null,null],[13,"GrowOnly","","",609,null],[13,"Autosize","","",609,null],[13,"Fixed","","",609,null],[4,"GtkTreeViewDropPosition","","",null,null],[13,"Before","","",610,null],[13,"After","","",610,null],[13,"IntoOrBefore","","",610,null],[13,"IntoOrAfter","","",610,null],[4,"GtkTreeViewGridLines","","",null,null],[13,"None","","",611,null],[13,"Horizontal","","",611,null],[13,"Vertical","","",611,null],[13,"Both","","",611,null],[4,"GtkUnit","","",null,null],[13,"None","","",612,null],[13,"Points","","",612,null],[13,"Inch","","",612,null],[13,"Mm","","",612,null],[4,"GtkWidgetHelpType","","",null,null],[13,"Tooltip","","",613,null],[13,"WhatsThis","","",613,null],[4,"GtkWindowPosition","","",null,null],[13,"None","","",614,null],[13,"Center","","",614,null],[13,"Mouse","","",614,null],[13,"CenterAlways","","",614,null],[13,"CenterOnParent","","",614,null],[4,"GtkWindowType","","",null,null],[13,"Toplevel","","",615,null],[13,"Popup","","",615,null],[4,"GtkWrapMode","","",null,null],[13,"None","","",616,null],[13,"Char","","",616,null],[13,"Word","","",616,null],[13,"WordChar","","",616,null],[5,"gtk_builder_error_quark","","",null,null],[5,"gtk_css_provider_error_quark","","",null,null],[5,"gtk_file_chooser_error_quark","","",null,null],[5,"gtk_icon_size_from_name","","",null,null],[5,"gtk_icon_size_get_name","","",null,null],[5,"gtk_icon_size_lookup","","",null,null],[5,"gtk_icon_size_lookup_for_settings","","",null,null],[5,"gtk_icon_size_register","","",null,null],[5,"gtk_icon_size_register_alias","","",null,null],[5,"gtk_icon_theme_error_quark","","",null,null],[5,"gtk_print_error_quark","","",null,null],[5,"gtk_recent_chooser_error_quark","","",null,null],[5,"gtk_recent_manager_error_quark","","",null,null],[5,"gtk_binding_entry_add_signal","","",null,null],[5,"gtk_binding_entry_add_signal_from_string","","",null,null],[5,"gtk_binding_entry_add_signall","","",null,null],[5,"gtk_binding_entry_remove","","",null,null],[5,"gtk_binding_entry_skip","","",null,null],[5,"gtk_binding_set_activate","","",null,null],[5,"gtk_binding_set_add_path","","",null,null],[5,"gtk_binding_set_by_class","","",null,null],[5,"gtk_binding_set_find","","",null,null],[5,"gtk_binding_set_new","","",null,null],[5,"gtk_border_get_type","","",null,null],[5,"gtk_border_new","","",null,null],[5,"gtk_border_copy","","",null,null],[5,"gtk_border_free","","",null,null],[5,"gtk_cell_area_class_find_cell_property","","",null,null],[5,"gtk_cell_area_class_install_cell_property","","",null,null],[5,"gtk_cell_area_class_list_cell_properties","","",null,null],[5,"gtk_cell_renderer_class_set_accessible_type","","",null,null],[5,"gtk_container_class_handle_border_width","","",null,null],[5,"gtk_container_class_install_child_properties","","",null,null],[5,"gtk_container_class_install_child_property","","",null,null],[5,"gtk_css_section_get_type","","",null,null],[5,"gtk_css_section_get_end_line","","",null,null],[5,"gtk_css_section_get_end_position","","",null,null],[5,"gtk_css_section_get_file","","",null,null],[5,"gtk_css_section_get_parent","","",null,null],[5,"gtk_css_section_get_section_type","","",null,null],[5,"gtk_css_section_get_start_line","","",null,null],[5,"gtk_css_section_get_start_position","","",null,null],[5,"gtk_css_section_ref","","",null,null],[5,"gtk_css_section_unref","","",null,null],[5,"gtk_gradient_get_type","","",null,null],[5,"gtk_gradient_new_linear","","",null,null],[5,"gtk_gradient_new_radial","","",null,null],[5,"gtk_gradient_add_color_stop","","",null,null],[5,"gtk_gradient_ref","","",null,null],[5,"gtk_gradient_resolve","","",null,null],[5,"gtk_gradient_resolve_for_context","","",null,null],[5,"gtk_gradient_to_string","","",null,null],[5,"gtk_gradient_unref","","",null,null],[5,"gtk_icon_set_get_type","","",null,null],[5,"gtk_icon_set_new","","",null,null],[5,"gtk_icon_set_new_from_pixbuf","","",null,null],[5,"gtk_icon_set_add_source","","",null,null],[5,"gtk_icon_set_copy","","",null,null],[5,"gtk_icon_set_get_sizes","","",null,null],[5,"gtk_icon_set_ref","","",null,null],[5,"gtk_icon_set_render_icon","","",null,null],[5,"gtk_icon_set_render_icon_pixbuf","","",null,null],[5,"gtk_icon_set_render_icon_surface","","",null,null],[5,"gtk_icon_set_unref","","",null,null],[5,"gtk_icon_source_get_type","","",null,null],[5,"gtk_icon_source_new","","",null,null],[5,"gtk_icon_source_copy","","",null,null],[5,"gtk_icon_source_free","","",null,null],[5,"gtk_icon_source_get_direction","","",null,null],[5,"gtk_icon_source_get_direction_wildcarded","","",null,null],[5,"gtk_icon_source_get_filename","","",null,null],[5,"gtk_icon_source_get_icon_name","","",null,null],[5,"gtk_icon_source_get_pixbuf","","",null,null],[5,"gtk_icon_source_get_size","","",null,null],[5,"gtk_icon_source_get_size_wildcarded","","",null,null],[5,"gtk_icon_source_get_state","","",null,null],[5,"gtk_icon_source_get_state_wildcarded","","",null,null],[5,"gtk_icon_source_set_direction","","",null,null],[5,"gtk_icon_source_set_direction_wildcarded","","",null,null],[5,"gtk_icon_source_set_filename","","",null,null],[5,"gtk_icon_source_set_icon_name","","",null,null],[5,"gtk_icon_source_set_pixbuf","","",null,null],[5,"gtk_icon_source_set_size","","",null,null],[5,"gtk_icon_source_set_size_wildcarded","","",null,null],[5,"gtk_icon_source_set_state","","",null,null],[5,"gtk_icon_source_set_state_wildcarded","","",null,null],[5,"gtk_paper_size_get_type","","",null,null],[5,"gtk_paper_size_new","","",null,null],[5,"gtk_paper_size_new_custom","","",null,null],[5,"gtk_paper_size_new_from_gvariant","","",null,null],[5,"gtk_paper_size_new_from_ipp","","",null,null],[5,"gtk_paper_size_new_from_key_file","","",null,null],[5,"gtk_paper_size_new_from_ppd","","",null,null],[5,"gtk_paper_size_copy","","",null,null],[5,"gtk_paper_size_free","","",null,null],[5,"gtk_paper_size_get_default_bottom_margin","","",null,null],[5,"gtk_paper_size_get_default_left_margin","","",null,null],[5,"gtk_paper_size_get_default_right_margin","","",null,null],[5,"gtk_paper_size_get_default_top_margin","","",null,null],[5,"gtk_paper_size_get_display_name","","",null,null],[5,"gtk_paper_size_get_height","","",null,null],[5,"gtk_paper_size_get_name","","",null,null],[5,"gtk_paper_size_get_ppd_name","","",null,null],[5,"gtk_paper_size_get_width","","",null,null],[5,"gtk_paper_size_is_custom","","",null,null],[5,"gtk_paper_size_is_equal","","",null,null],[5,"gtk_paper_size_is_ipp","","",null,null],[5,"gtk_paper_size_set_size","","",null,null],[5,"gtk_paper_size_to_gvariant","","",null,null],[5,"gtk_paper_size_to_key_file","","",null,null],[5,"gtk_paper_size_get_default","","",null,null],[5,"gtk_paper_size_get_paper_sizes","","",null,null],[5,"gtk_rc_property_parse_border","","",null,null],[5,"gtk_rc_property_parse_color","","",null,null],[5,"gtk_rc_property_parse_enum","","",null,null],[5,"gtk_rc_property_parse_flags","","",null,null],[5,"gtk_rc_property_parse_requisition","","",null,null],[5,"gtk_recent_info_get_type","","",null,null],[5,"gtk_recent_info_create_app_info","","",null,null],[5,"gtk_recent_info_exists","","",null,null],[5,"gtk_recent_info_get_added","","",null,null],[5,"gtk_recent_info_get_age","","",null,null],[5,"gtk_recent_info_get_application_info","","",null,null],[5,"gtk_recent_info_get_applications","","",null,null],[5,"gtk_recent_info_get_description","","",null,null],[5,"gtk_recent_info_get_display_name","","",null,null],[5,"gtk_recent_info_get_gicon","","",null,null],[5,"gtk_recent_info_get_groups","","",null,null],[5,"gtk_recent_info_get_icon","","",null,null],[5,"gtk_recent_info_get_mime_type","","",null,null],[5,"gtk_recent_info_get_modified","","",null,null],[5,"gtk_recent_info_get_private_hint","","",null,null],[5,"gtk_recent_info_get_short_name","","",null,null],[5,"gtk_recent_info_get_uri","","",null,null],[5,"gtk_recent_info_get_uri_display","","",null,null],[5,"gtk_recent_info_get_visited","","",null,null],[5,"gtk_recent_info_has_application","","",null,null],[5,"gtk_recent_info_has_group","","",null,null],[5,"gtk_recent_info_is_local","","",null,null],[5,"gtk_recent_info_last_application","","",null,null],[5,"gtk_recent_info_match","","",null,null],[5,"gtk_recent_info_ref","","",null,null],[5,"gtk_recent_info_unref","","",null,null],[5,"gtk_requisition_get_type","","",null,null],[5,"gtk_requisition_new","","",null,null],[5,"gtk_requisition_copy","","",null,null],[5,"gtk_requisition_free","","",null,null],[5,"gtk_selection_data_get_type","","",null,null],[5,"gtk_selection_data_copy","","",null,null],[5,"gtk_selection_data_free","","",null,null],[5,"gtk_selection_data_get_data","","",null,null],[5,"gtk_selection_data_get_data_type","","",null,null],[5,"gtk_selection_data_get_data_with_length","","",null,null],[5,"gtk_selection_data_get_display","","",null,null],[5,"gtk_selection_data_get_format","","",null,null],[5,"gtk_selection_data_get_length","","",null,null],[5,"gtk_selection_data_get_pixbuf","","",null,null],[5,"gtk_selection_data_get_selection","","",null,null],[5,"gtk_selection_data_get_target","","",null,null],[5,"gtk_selection_data_get_targets","","",null,null],[5,"gtk_selection_data_get_text","","",null,null],[5,"gtk_selection_data_get_uris","","",null,null],[5,"gtk_selection_data_set","","",null,null],[5,"gtk_selection_data_set_pixbuf","","",null,null],[5,"gtk_selection_data_set_text","","",null,null],[5,"gtk_selection_data_set_uris","","",null,null],[5,"gtk_selection_data_targets_include_image","","",null,null],[5,"gtk_selection_data_targets_include_rich_text","","",null,null],[5,"gtk_selection_data_targets_include_text","","",null,null],[5,"gtk_selection_data_targets_include_uri","","",null,null],[5,"gtk_stock_item_copy","","",null,null],[5,"gtk_stock_item_free","","",null,null],[5,"gtk_symbolic_color_get_type","","",null,null],[5,"gtk_symbolic_color_new_alpha","","",null,null],[5,"gtk_symbolic_color_new_literal","","",null,null],[5,"gtk_symbolic_color_new_mix","","",null,null],[5,"gtk_symbolic_color_new_name","","",null,null],[5,"gtk_symbolic_color_new_shade","","",null,null],[5,"gtk_symbolic_color_new_win32","","",null,null],[5,"gtk_symbolic_color_ref","","",null,null],[5,"gtk_symbolic_color_resolve","","",null,null],[5,"gtk_symbolic_color_to_string","","",null,null],[5,"gtk_symbolic_color_unref","","",null,null],[5,"gtk_target_entry_get_type","","",null,null],[5,"gtk_target_entry_new","","",null,null],[5,"gtk_target_entry_copy","","",null,null],[5,"gtk_target_entry_free","","",null,null],[5,"gtk_target_list_get_type","","",null,null],[5,"gtk_target_list_new","","",null,null],[5,"gtk_target_list_add","","",null,null],[5,"gtk_target_list_add_image_targets","","",null,null],[5,"gtk_target_list_add_rich_text_targets","","",null,null],[5,"gtk_target_list_add_table","","",null,null],[5,"gtk_target_list_add_text_targets","","",null,null],[5,"gtk_target_list_add_uri_targets","","",null,null],[5,"gtk_target_list_find","","",null,null],[5,"gtk_target_list_ref","","",null,null],[5,"gtk_target_list_remove","","",null,null],[5,"gtk_target_list_unref","","",null,null],[5,"gtk_text_attributes_get_type","","",null,null],[5,"gtk_text_attributes_new","","",null,null],[5,"gtk_text_attributes_copy","","",null,null],[5,"gtk_text_attributes_copy_values","","",null,null],[5,"gtk_text_attributes_ref","","",null,null],[5,"gtk_text_attributes_unref","","",null,null],[5,"gtk_text_iter_get_type","","",null,null],[5,"gtk_text_iter_assign","","",null,null],[5,"gtk_text_iter_backward_char","","",null,null],[5,"gtk_text_iter_backward_chars","","",null,null],[5,"gtk_text_iter_backward_cursor_position","","",null,null],[5,"gtk_text_iter_backward_cursor_positions","","",null,null],[5,"gtk_text_iter_backward_find_char","","",null,null],[5,"gtk_text_iter_backward_line","","",null,null],[5,"gtk_text_iter_backward_lines","","",null,null],[5,"gtk_text_iter_backward_search","","",null,null],[5,"gtk_text_iter_backward_sentence_start","","",null,null],[5,"gtk_text_iter_backward_sentence_starts","","",null,null],[5,"gtk_text_iter_backward_to_tag_toggle","","",null,null],[5,"gtk_text_iter_backward_visible_cursor_position","","",null,null],[5,"gtk_text_iter_backward_visible_cursor_positions","","",null,null],[5,"gtk_text_iter_backward_visible_line","","",null,null],[5,"gtk_text_iter_backward_visible_lines","","",null,null],[5,"gtk_text_iter_backward_visible_word_start","","",null,null],[5,"gtk_text_iter_backward_visible_word_starts","","",null,null],[5,"gtk_text_iter_backward_word_start","","",null,null],[5,"gtk_text_iter_backward_word_starts","","",null,null],[5,"gtk_text_iter_begins_tag","","",null,null],[5,"gtk_text_iter_can_insert","","",null,null],[5,"gtk_text_iter_compare","","",null,null],[5,"gtk_text_iter_copy","","",null,null],[5,"gtk_text_iter_editable","","",null,null],[5,"gtk_text_iter_ends_line","","",null,null],[5,"gtk_text_iter_ends_sentence","","",null,null],[5,"gtk_text_iter_ends_tag","","",null,null],[5,"gtk_text_iter_ends_word","","",null,null],[5,"gtk_text_iter_equal","","",null,null],[5,"gtk_text_iter_forward_char","","",null,null],[5,"gtk_text_iter_forward_chars","","",null,null],[5,"gtk_text_iter_forward_cursor_position","","",null,null],[5,"gtk_text_iter_forward_cursor_positions","","",null,null],[5,"gtk_text_iter_forward_find_char","","",null,null],[5,"gtk_text_iter_forward_line","","",null,null],[5,"gtk_text_iter_forward_lines","","",null,null],[5,"gtk_text_iter_forward_search","","",null,null],[5,"gtk_text_iter_forward_sentence_end","","",null,null],[5,"gtk_text_iter_forward_sentence_ends","","",null,null],[5,"gtk_text_iter_forward_to_end","","",null,null],[5,"gtk_text_iter_forward_to_line_end","","",null,null],[5,"gtk_text_iter_forward_to_tag_toggle","","",null,null],[5,"gtk_text_iter_forward_visible_cursor_position","","",null,null],[5,"gtk_text_iter_forward_visible_cursor_positions","","",null,null],[5,"gtk_text_iter_forward_visible_line","","",null,null],[5,"gtk_text_iter_forward_visible_lines","","",null,null],[5,"gtk_text_iter_forward_visible_word_end","","",null,null],[5,"gtk_text_iter_forward_visible_word_ends","","",null,null],[5,"gtk_text_iter_forward_word_end","","",null,null],[5,"gtk_text_iter_forward_word_ends","","",null,null],[5,"gtk_text_iter_free","","",null,null],[5,"gtk_text_iter_get_attributes","","",null,null],[5,"gtk_text_iter_get_buffer","","",null,null],[5,"gtk_text_iter_get_bytes_in_line","","",null,null],[5,"gtk_text_iter_get_char","","",null,null],[5,"gtk_text_iter_get_chars_in_line","","",null,null],[5,"gtk_text_iter_get_child_anchor","","",null,null],[5,"gtk_text_iter_get_language","","",null,null],[5,"gtk_text_iter_get_line","","",null,null],[5,"gtk_text_iter_get_line_index","","",null,null],[5,"gtk_text_iter_get_line_offset","","",null,null],[5,"gtk_text_iter_get_marks","","",null,null],[5,"gtk_text_iter_get_offset","","",null,null],[5,"gtk_text_iter_get_pixbuf","","",null,null],[5,"gtk_text_iter_get_slice","","",null,null],[5,"gtk_text_iter_get_tags","","",null,null],[5,"gtk_text_iter_get_text","","",null,null],[5,"gtk_text_iter_get_toggled_tags","","",null,null],[5,"gtk_text_iter_get_visible_line_index","","",null,null],[5,"gtk_text_iter_get_visible_line_offset","","",null,null],[5,"gtk_text_iter_get_visible_slice","","",null,null],[5,"gtk_text_iter_get_visible_text","","",null,null],[5,"gtk_text_iter_has_tag","","",null,null],[5,"gtk_text_iter_in_range","","",null,null],[5,"gtk_text_iter_inside_sentence","","",null,null],[5,"gtk_text_iter_inside_word","","",null,null],[5,"gtk_text_iter_is_cursor_position","","",null,null],[5,"gtk_text_iter_is_end","","",null,null],[5,"gtk_text_iter_is_start","","",null,null],[5,"gtk_text_iter_order","","",null,null],[5,"gtk_text_iter_set_line","","",null,null],[5,"gtk_text_iter_set_line_index","","",null,null],[5,"gtk_text_iter_set_line_offset","","",null,null],[5,"gtk_text_iter_set_offset","","",null,null],[5,"gtk_text_iter_set_visible_line_index","","",null,null],[5,"gtk_text_iter_set_visible_line_offset","","",null,null],[5,"gtk_text_iter_starts_line","","",null,null],[5,"gtk_text_iter_starts_sentence","","",null,null],[5,"gtk_text_iter_starts_tag","","",null,null],[5,"gtk_text_iter_starts_word","","",null,null],[5,"gtk_text_iter_toggles_tag","","",null,null],[5,"gtk_tree_iter_get_type","","",null,null],[5,"gtk_tree_iter_copy","","",null,null],[5,"gtk_tree_iter_free","","",null,null],[5,"gtk_tree_path_get_type","","",null,null],[5,"gtk_tree_path_new","","",null,null],[5,"gtk_tree_path_new_first","","",null,null],[5,"gtk_tree_path_new_from_indices","","",null,null],[5,"gtk_tree_path_new_from_indicesv","","",null,null],[5,"gtk_tree_path_new_from_string","","",null,null],[5,"gtk_tree_path_append_index","","",null,null],[5,"gtk_tree_path_compare","","",null,null],[5,"gtk_tree_path_copy","","",null,null],[5,"gtk_tree_path_down","","",null,null],[5,"gtk_tree_path_free","","",null,null],[5,"gtk_tree_path_get_depth","","",null,null],[5,"gtk_tree_path_get_indices","","",null,null],[5,"gtk_tree_path_get_indices_with_depth","","",null,null],[5,"gtk_tree_path_is_ancestor","","",null,null],[5,"gtk_tree_path_is_descendant","","",null,null],[5,"gtk_tree_path_next","","",null,null],[5,"gtk_tree_path_prepend_index","","",null,null],[5,"gtk_tree_path_prev","","",null,null],[5,"gtk_tree_path_to_string","","",null,null],[5,"gtk_tree_path_up","","",null,null],[5,"gtk_tree_row_reference_get_type","","",null,null],[5,"gtk_tree_row_reference_new","","",null,null],[5,"gtk_tree_row_reference_new_proxy","","",null,null],[5,"gtk_tree_row_reference_copy","","",null,null],[5,"gtk_tree_row_reference_free","","",null,null],[5,"gtk_tree_row_reference_get_model","","",null,null],[5,"gtk_tree_row_reference_get_path","","",null,null],[5,"gtk_tree_row_reference_valid","","",null,null],[5,"gtk_tree_row_reference_deleted","","",null,null],[5,"gtk_tree_row_reference_inserted","","",null,null],[5,"gtk_tree_row_reference_reordered","","",null,null],[5,"gtk_widget_class_bind_template_callback_full","","",null,null],[5,"gtk_widget_class_bind_template_child_full","","",null,null],[5,"gtk_widget_class_find_style_property","","",null,null],[5,"gtk_widget_class_get_css_name","","",null,null],[5,"gtk_widget_class_install_style_property","","",null,null],[5,"gtk_widget_class_install_style_property_parser","","",null,null],[5,"gtk_widget_class_list_style_properties","","",null,null],[5,"gtk_widget_class_set_accessible_role","","",null,null],[5,"gtk_widget_class_set_accessible_type","","",null,null],[5,"gtk_widget_class_set_connect_func","","",null,null],[5,"gtk_widget_class_set_css_name","","",null,null],[5,"gtk_widget_class_set_template","","",null,null],[5,"gtk_widget_class_set_template_from_resource","","",null,null],[5,"gtk_widget_path_get_type","","",null,null],[5,"gtk_widget_path_new","","",null,null],[5,"gtk_widget_path_append_for_widget","","",null,null],[5,"gtk_widget_path_append_type","","",null,null],[5,"gtk_widget_path_append_with_siblings","","",null,null],[5,"gtk_widget_path_copy","","",null,null],[5,"gtk_widget_path_free","","",null,null],[5,"gtk_widget_path_get_object_type","","",null,null],[5,"gtk_widget_path_has_parent","","",null,null],[5,"gtk_widget_path_is_type","","",null,null],[5,"gtk_widget_path_iter_add_class","","",null,null],[5,"gtk_widget_path_iter_add_region","","",null,null],[5,"gtk_widget_path_iter_clear_classes","","",null,null],[5,"gtk_widget_path_iter_clear_regions","","",null,null],[5,"gtk_widget_path_iter_get_name","","",null,null],[5,"gtk_widget_path_iter_get_object_name","","",null,null],[5,"gtk_widget_path_iter_get_object_type","","",null,null],[5,"gtk_widget_path_iter_get_sibling_index","","",null,null],[5,"gtk_widget_path_iter_get_siblings","","",null,null],[5,"gtk_widget_path_iter_get_state","","",null,null],[5,"gtk_widget_path_iter_has_class","","",null,null],[5,"gtk_widget_path_iter_has_name","","",null,null],[5,"gtk_widget_path_iter_has_qclass","","",null,null],[5,"gtk_widget_path_iter_has_qname","","",null,null],[5,"gtk_widget_path_iter_has_qregion","","",null,null],[5,"gtk_widget_path_iter_has_region","","",null,null],[5,"gtk_widget_path_iter_list_classes","","",null,null],[5,"gtk_widget_path_iter_list_regions","","",null,null],[5,"gtk_widget_path_iter_remove_class","","",null,null],[5,"gtk_widget_path_iter_remove_region","","",null,null],[5,"gtk_widget_path_iter_set_name","","",null,null],[5,"gtk_widget_path_iter_set_object_name","","",null,null],[5,"gtk_widget_path_iter_set_object_type","","",null,null],[5,"gtk_widget_path_iter_set_state","","",null,null],[5,"gtk_widget_path_length","","",null,null],[5,"gtk_widget_path_prepend_type","","",null,null],[5,"gtk_widget_path_ref","","",null,null],[5,"gtk_widget_path_to_string","","",null,null],[5,"gtk_widget_path_unref","","",null,null],[5,"gtk_about_dialog_get_type","","",null,null],[5,"gtk_about_dialog_new","","",null,null],[5,"gtk_about_dialog_add_credit_section","","",null,null],[5,"gtk_about_dialog_get_artists","","",null,null],[5,"gtk_about_dialog_get_authors","","",null,null],[5,"gtk_about_dialog_get_comments","","",null,null],[5,"gtk_about_dialog_get_copyright","","",null,null],[5,"gtk_about_dialog_get_documenters","","",null,null],[5,"gtk_about_dialog_get_license","","",null,null],[5,"gtk_about_dialog_get_license_type","","",null,null],[5,"gtk_about_dialog_get_logo","","",null,null],[5,"gtk_about_dialog_get_logo_icon_name","","",null,null],[5,"gtk_about_dialog_get_program_name","","",null,null],[5,"gtk_about_dialog_get_translator_credits","","",null,null],[5,"gtk_about_dialog_get_version","","",null,null],[5,"gtk_about_dialog_get_website","","",null,null],[5,"gtk_about_dialog_get_website_label","","",null,null],[5,"gtk_about_dialog_get_wrap_license","","",null,null],[5,"gtk_about_dialog_set_artists","","",null,null],[5,"gtk_about_dialog_set_authors","","",null,null],[5,"gtk_about_dialog_set_comments","","",null,null],[5,"gtk_about_dialog_set_copyright","","",null,null],[5,"gtk_about_dialog_set_documenters","","",null,null],[5,"gtk_about_dialog_set_license","","",null,null],[5,"gtk_about_dialog_set_license_type","","",null,null],[5,"gtk_about_dialog_set_logo","","",null,null],[5,"gtk_about_dialog_set_logo_icon_name","","",null,null],[5,"gtk_about_dialog_set_program_name","","",null,null],[5,"gtk_about_dialog_set_translator_credits","","",null,null],[5,"gtk_about_dialog_set_version","","",null,null],[5,"gtk_about_dialog_set_website","","",null,null],[5,"gtk_about_dialog_set_website_label","","",null,null],[5,"gtk_about_dialog_set_wrap_license","","",null,null],[5,"gtk_accel_group_get_type","","",null,null],[5,"gtk_accel_group_new","","",null,null],[5,"gtk_accel_group_from_accel_closure","","",null,null],[5,"gtk_accel_group_activate","","",null,null],[5,"gtk_accel_group_connect","","",null,null],[5,"gtk_accel_group_connect_by_path","","",null,null],[5,"gtk_accel_group_disconnect","","",null,null],[5,"gtk_accel_group_disconnect_key","","",null,null],[5,"gtk_accel_group_find","","",null,null],[5,"gtk_accel_group_get_is_locked","","",null,null],[5,"gtk_accel_group_get_modifier_mask","","",null,null],[5,"gtk_accel_group_lock","","",null,null],[5,"gtk_accel_group_query","","",null,null],[5,"gtk_accel_group_unlock","","",null,null],[5,"gtk_accel_label_get_type","","",null,null],[5,"gtk_accel_label_new","","",null,null],[5,"gtk_accel_label_get_accel","","",null,null],[5,"gtk_accel_label_get_accel_widget","","",null,null],[5,"gtk_accel_label_get_accel_width","","",null,null],[5,"gtk_accel_label_refetch","","",null,null],[5,"gtk_accel_label_set_accel","","",null,null],[5,"gtk_accel_label_set_accel_closure","","",null,null],[5,"gtk_accel_label_set_accel_widget","","",null,null],[5,"gtk_accel_map_get_type","","",null,null],[5,"gtk_accel_map_add_entry","","",null,null],[5,"gtk_accel_map_add_filter","","",null,null],[5,"gtk_accel_map_change_entry","","",null,null],[5,"gtk_accel_map_foreach","","",null,null],[5,"gtk_accel_map_foreach_unfiltered","","",null,null],[5,"gtk_accel_map_get","","",null,null],[5,"gtk_accel_map_load","","",null,null],[5,"gtk_accel_map_load_fd","","",null,null],[5,"gtk_accel_map_load_scanner","","",null,null],[5,"gtk_accel_map_lock_path","","",null,null],[5,"gtk_accel_map_lookup_entry","","",null,null],[5,"gtk_accel_map_save","","",null,null],[5,"gtk_accel_map_save_fd","","",null,null],[5,"gtk_accel_map_unlock_path","","",null,null],[5,"gtk_accessible_get_type","","",null,null],[5,"gtk_accessible_connect_widget_destroyed","","",null,null],[5,"gtk_accessible_get_widget","","",null,null],[5,"gtk_accessible_set_widget","","",null,null],[5,"gtk_action_get_type","","",null,null],[5,"gtk_action_new","","",null,null],[5,"gtk_action_activate","","",null,null],[5,"gtk_action_block_activate","","",null,null],[5,"gtk_action_connect_accelerator","","",null,null],[5,"gtk_action_create_icon","","",null,null],[5,"gtk_action_create_menu","","",null,null],[5,"gtk_action_create_menu_item","","",null,null],[5,"gtk_action_create_tool_item","","",null,null],[5,"gtk_action_disconnect_accelerator","","",null,null],[5,"gtk_action_get_accel_closure","","",null,null],[5,"gtk_action_get_accel_path","","",null,null],[5,"gtk_action_get_always_show_image","","",null,null],[5,"gtk_action_get_gicon","","",null,null],[5,"gtk_action_get_icon_name","","",null,null],[5,"gtk_action_get_is_important","","",null,null],[5,"gtk_action_get_label","","",null,null],[5,"gtk_action_get_name","","",null,null],[5,"gtk_action_get_proxies","","",null,null],[5,"gtk_action_get_sensitive","","",null,null],[5,"gtk_action_get_short_label","","",null,null],[5,"gtk_action_get_stock_id","","",null,null],[5,"gtk_action_get_tooltip","","",null,null],[5,"gtk_action_get_visible","","",null,null],[5,"gtk_action_get_visible_horizontal","","",null,null],[5,"gtk_action_get_visible_vertical","","",null,null],[5,"gtk_action_is_sensitive","","",null,null],[5,"gtk_action_is_visible","","",null,null],[5,"gtk_action_set_accel_group","","",null,null],[5,"gtk_action_set_accel_path","","",null,null],[5,"gtk_action_set_always_show_image","","",null,null],[5,"gtk_action_set_gicon","","",null,null],[5,"gtk_action_set_icon_name","","",null,null],[5,"gtk_action_set_is_important","","",null,null],[5,"gtk_action_set_label","","",null,null],[5,"gtk_action_set_sensitive","","",null,null],[5,"gtk_action_set_short_label","","",null,null],[5,"gtk_action_set_stock_id","","",null,null],[5,"gtk_action_set_tooltip","","",null,null],[5,"gtk_action_set_visible","","",null,null],[5,"gtk_action_set_visible_horizontal","","",null,null],[5,"gtk_action_set_visible_vertical","","",null,null],[5,"gtk_action_unblock_activate","","",null,null],[5,"gtk_action_bar_get_type","","",null,null],[5,"gtk_action_bar_new","","",null,null],[5,"gtk_action_bar_get_center_widget","","",null,null],[5,"gtk_action_bar_pack_end","","",null,null],[5,"gtk_action_bar_pack_start","","",null,null],[5,"gtk_action_bar_set_center_widget","","",null,null],[5,"gtk_action_group_get_type","","",null,null],[5,"gtk_action_group_new","","",null,null],[5,"gtk_action_group_add_action","","",null,null],[5,"gtk_action_group_add_action_with_accel","","",null,null],[5,"gtk_action_group_add_actions","","",null,null],[5,"gtk_action_group_add_actions_full","","",null,null],[5,"gtk_action_group_add_radio_actions","","",null,null],[5,"gtk_action_group_add_radio_actions_full","","",null,null],[5,"gtk_action_group_add_toggle_actions","","",null,null],[5,"gtk_action_group_add_toggle_actions_full","","",null,null],[5,"gtk_action_group_get_accel_group","","",null,null],[5,"gtk_action_group_get_action","","",null,null],[5,"gtk_action_group_get_name","","",null,null],[5,"gtk_action_group_get_sensitive","","",null,null],[5,"gtk_action_group_get_visible","","",null,null],[5,"gtk_action_group_list_actions","","",null,null],[5,"gtk_action_group_remove_action","","",null,null],[5,"gtk_action_group_set_accel_group","","",null,null],[5,"gtk_action_group_set_sensitive","","",null,null],[5,"gtk_action_group_set_translate_func","","",null,null],[5,"gtk_action_group_set_translation_domain","","",null,null],[5,"gtk_action_group_set_visible","","",null,null],[5,"gtk_action_group_translate_string","","",null,null],[5,"gtk_adjustment_get_type","","",null,null],[5,"gtk_adjustment_new","","",null,null],[5,"gtk_adjustment_changed","","",null,null],[5,"gtk_adjustment_clamp_page","","",null,null],[5,"gtk_adjustment_configure","","",null,null],[5,"gtk_adjustment_get_lower","","",null,null],[5,"gtk_adjustment_get_minimum_increment","","",null,null],[5,"gtk_adjustment_get_page_increment","","",null,null],[5,"gtk_adjustment_get_page_size","","",null,null],[5,"gtk_adjustment_get_step_increment","","",null,null],[5,"gtk_adjustment_get_upper","","",null,null],[5,"gtk_adjustment_get_value","","",null,null],[5,"gtk_adjustment_set_lower","","",null,null],[5,"gtk_adjustment_set_page_increment","","",null,null],[5,"gtk_adjustment_set_page_size","","",null,null],[5,"gtk_adjustment_set_step_increment","","",null,null],[5,"gtk_adjustment_set_upper","","",null,null],[5,"gtk_adjustment_set_value","","",null,null],[5,"gtk_adjustment_value_changed","","",null,null],[5,"gtk_alignment_get_type","","",null,null],[5,"gtk_alignment_new","","",null,null],[5,"gtk_alignment_get_padding","","",null,null],[5,"gtk_alignment_set","","",null,null],[5,"gtk_alignment_set_padding","","",null,null],[5,"gtk_app_chooser_button_get_type","","",null,null],[5,"gtk_app_chooser_button_new","","",null,null],[5,"gtk_app_chooser_button_append_custom_item","","",null,null],[5,"gtk_app_chooser_button_append_separator","","",null,null],[5,"gtk_app_chooser_button_get_heading","","",null,null],[5,"gtk_app_chooser_button_get_show_default_item","","",null,null],[5,"gtk_app_chooser_button_get_show_dialog_item","","",null,null],[5,"gtk_app_chooser_button_set_active_custom_item","","",null,null],[5,"gtk_app_chooser_button_set_heading","","",null,null],[5,"gtk_app_chooser_button_set_show_default_item","","",null,null],[5,"gtk_app_chooser_button_set_show_dialog_item","","",null,null],[5,"gtk_app_chooser_dialog_get_type","","",null,null],[5,"gtk_app_chooser_dialog_new","","",null,null],[5,"gtk_app_chooser_dialog_new_for_content_type","","",null,null],[5,"gtk_app_chooser_dialog_get_heading","","",null,null],[5,"gtk_app_chooser_dialog_get_widget","","",null,null],[5,"gtk_app_chooser_dialog_set_heading","","",null,null],[5,"gtk_app_chooser_widget_get_type","","",null,null],[5,"gtk_app_chooser_widget_new","","",null,null],[5,"gtk_app_chooser_widget_get_default_text","","",null,null],[5,"gtk_app_chooser_widget_get_show_all","","",null,null],[5,"gtk_app_chooser_widget_get_show_default","","",null,null],[5,"gtk_app_chooser_widget_get_show_fallback","","",null,null],[5,"gtk_app_chooser_widget_get_show_other","","",null,null],[5,"gtk_app_chooser_widget_get_show_recommended","","",null,null],[5,"gtk_app_chooser_widget_set_default_text","","",null,null],[5,"gtk_app_chooser_widget_set_show_all","","",null,null],[5,"gtk_app_chooser_widget_set_show_default","","",null,null],[5,"gtk_app_chooser_widget_set_show_fallback","","",null,null],[5,"gtk_app_chooser_widget_set_show_other","","",null,null],[5,"gtk_app_chooser_widget_set_show_recommended","","",null,null],[5,"gtk_application_get_type","","",null,null],[5,"gtk_application_new","","",null,null],[5,"gtk_application_add_accelerator","","",null,null],[5,"gtk_application_add_window","","",null,null],[5,"gtk_application_get_accels_for_action","","",null,null],[5,"gtk_application_get_actions_for_accel","","",null,null],[5,"gtk_application_get_active_window","","",null,null],[5,"gtk_application_get_app_menu","","",null,null],[5,"gtk_application_get_menu_by_id","","",null,null],[5,"gtk_application_get_menubar","","",null,null],[5,"gtk_application_get_window_by_id","","",null,null],[5,"gtk_application_get_windows","","",null,null],[5,"gtk_application_inhibit","","",null,null],[5,"gtk_application_is_inhibited","","",null,null],[5,"gtk_application_list_action_descriptions","","",null,null],[5,"gtk_application_prefers_app_menu","","",null,null],[5,"gtk_application_remove_accelerator","","",null,null],[5,"gtk_application_remove_window","","",null,null],[5,"gtk_application_set_accels_for_action","","",null,null],[5,"gtk_application_set_app_menu","","",null,null],[5,"gtk_application_set_menubar","","",null,null],[5,"gtk_application_uninhibit","","",null,null],[5,"gtk_application_window_get_type","","",null,null],[5,"gtk_application_window_new","","",null,null],[5,"gtk_application_window_get_help_overlay","","",null,null],[5,"gtk_application_window_get_id","","",null,null],[5,"gtk_application_window_get_show_menubar","","",null,null],[5,"gtk_application_window_set_help_overlay","","",null,null],[5,"gtk_application_window_set_show_menubar","","",null,null],[5,"gtk_arrow_get_type","","",null,null],[5,"gtk_arrow_new","","",null,null],[5,"gtk_arrow_set","","",null,null],[5,"gtk_arrow_accessible_get_type","","",null,null],[5,"gtk_aspect_frame_get_type","","",null,null],[5,"gtk_aspect_frame_new","","",null,null],[5,"gtk_aspect_frame_set","","",null,null],[5,"gtk_assistant_get_type","","",null,null],[5,"gtk_assistant_new","","",null,null],[5,"gtk_assistant_add_action_widget","","",null,null],[5,"gtk_assistant_append_page","","",null,null],[5,"gtk_assistant_commit","","",null,null],[5,"gtk_assistant_get_current_page","","",null,null],[5,"gtk_assistant_get_n_pages","","",null,null],[5,"gtk_assistant_get_nth_page","","",null,null],[5,"gtk_assistant_get_page_complete","","",null,null],[5,"gtk_assistant_get_page_has_padding","","",null,null],[5,"gtk_assistant_get_page_header_image","","",null,null],[5,"gtk_assistant_get_page_side_image","","",null,null],[5,"gtk_assistant_get_page_title","","",null,null],[5,"gtk_assistant_get_page_type","","",null,null],[5,"gtk_assistant_insert_page","","",null,null],[5,"gtk_assistant_next_page","","",null,null],[5,"gtk_assistant_prepend_page","","",null,null],[5,"gtk_assistant_previous_page","","",null,null],[5,"gtk_assistant_remove_action_widget","","",null,null],[5,"gtk_assistant_remove_page","","",null,null],[5,"gtk_assistant_set_current_page","","",null,null],[5,"gtk_assistant_set_forward_page_func","","",null,null],[5,"gtk_assistant_set_page_complete","","",null,null],[5,"gtk_assistant_set_page_has_padding","","",null,null],[5,"gtk_assistant_set_page_header_image","","",null,null],[5,"gtk_assistant_set_page_side_image","","",null,null],[5,"gtk_assistant_set_page_title","","",null,null],[5,"gtk_assistant_set_page_type","","",null,null],[5,"gtk_assistant_update_buttons_state","","",null,null],[5,"gtk_bin_get_type","","",null,null],[5,"gtk_bin_get_child","","",null,null],[5,"gtk_boolean_cell_accessible_get_type","","",null,null],[5,"gtk_box_get_type","","",null,null],[5,"gtk_box_new","","",null,null],[5,"gtk_box_get_baseline_position","","",null,null],[5,"gtk_box_get_center_widget","","",null,null],[5,"gtk_box_get_homogeneous","","",null,null],[5,"gtk_box_get_spacing","","",null,null],[5,"gtk_box_pack_end","","",null,null],[5,"gtk_box_pack_start","","",null,null],[5,"gtk_box_query_child_packing","","",null,null],[5,"gtk_box_reorder_child","","",null,null],[5,"gtk_box_set_baseline_position","","",null,null],[5,"gtk_box_set_center_widget","","",null,null],[5,"gtk_box_set_child_packing","","",null,null],[5,"gtk_box_set_homogeneous","","",null,null],[5,"gtk_box_set_spacing","","",null,null],[5,"gtk_builder_get_type","","",null,null],[5,"gtk_builder_new","","",null,null],[5,"gtk_builder_new_from_file","","",null,null],[5,"gtk_builder_new_from_resource","","",null,null],[5,"gtk_builder_new_from_string","","",null,null],[5,"gtk_builder_add_callback_symbol","","",null,null],[5,"gtk_builder_add_callback_symbols","","",null,null],[5,"gtk_builder_add_from_file","","",null,null],[5,"gtk_builder_add_from_resource","","",null,null],[5,"gtk_builder_add_from_string","","",null,null],[5,"gtk_builder_add_objects_from_file","","",null,null],[5,"gtk_builder_add_objects_from_resource","","",null,null],[5,"gtk_builder_add_objects_from_string","","",null,null],[5,"gtk_builder_connect_signals","","",null,null],[5,"gtk_builder_connect_signals_full","","",null,null],[5,"gtk_builder_expose_object","","",null,null],[5,"gtk_builder_extend_with_template","","",null,null],[5,"gtk_builder_get_application","","",null,null],[5,"gtk_builder_get_object","","",null,null],[5,"gtk_builder_get_objects","","",null,null],[5,"gtk_builder_get_translation_domain","","",null,null],[5,"gtk_builder_get_type_from_name","","",null,null],[5,"gtk_builder_lookup_callback_symbol","","",null,null],[5,"gtk_builder_set_application","","",null,null],[5,"gtk_builder_set_translation_domain","","",null,null],[5,"gtk_builder_value_from_string","","",null,null],[5,"gtk_builder_value_from_string_type","","",null,null],[5,"gtk_button_get_type","","",null,null],[5,"gtk_button_new","","",null,null],[5,"gtk_button_new_from_icon_name","","",null,null],[5,"gtk_button_new_from_stock","","",null,null],[5,"gtk_button_new_with_label","","",null,null],[5,"gtk_button_new_with_mnemonic","","",null,null],[5,"gtk_button_clicked","","",null,null],[5,"gtk_button_enter","","",null,null],[5,"gtk_button_get_alignment","","",null,null],[5,"gtk_button_get_always_show_image","","",null,null],[5,"gtk_button_get_event_window","","",null,null],[5,"gtk_button_get_focus_on_click","","",null,null],[5,"gtk_button_get_image","","",null,null],[5,"gtk_button_get_image_position","","",null,null],[5,"gtk_button_get_label","","",null,null],[5,"gtk_button_get_relief","","",null,null],[5,"gtk_button_get_use_stock","","",null,null],[5,"gtk_button_get_use_underline","","",null,null],[5,"gtk_button_leave","","",null,null],[5,"gtk_button_pressed","","",null,null],[5,"gtk_button_released","","",null,null],[5,"gtk_button_set_alignment","","",null,null],[5,"gtk_button_set_always_show_image","","",null,null],[5,"gtk_button_set_focus_on_click","","",null,null],[5,"gtk_button_set_image","","",null,null],[5,"gtk_button_set_image_position","","",null,null],[5,"gtk_button_set_label","","",null,null],[5,"gtk_button_set_relief","","",null,null],[5,"gtk_button_set_use_stock","","",null,null],[5,"gtk_button_set_use_underline","","",null,null],[5,"gtk_button_accessible_get_type","","",null,null],[5,"gtk_button_box_get_type","","",null,null],[5,"gtk_button_box_new","","",null,null],[5,"gtk_button_box_get_child_non_homogeneous","","",null,null],[5,"gtk_button_box_get_child_secondary","","",null,null],[5,"gtk_button_box_get_layout","","",null,null],[5,"gtk_button_box_set_child_non_homogeneous","","",null,null],[5,"gtk_button_box_set_child_secondary","","",null,null],[5,"gtk_button_box_set_layout","","",null,null],[5,"gtk_calendar_get_type","","",null,null],[5,"gtk_calendar_new","","",null,null],[5,"gtk_calendar_clear_marks","","",null,null],[5,"gtk_calendar_get_date","","",null,null],[5,"gtk_calendar_get_day_is_marked","","",null,null],[5,"gtk_calendar_get_detail_height_rows","","",null,null],[5,"gtk_calendar_get_detail_width_chars","","",null,null],[5,"gtk_calendar_get_display_options","","",null,null],[5,"gtk_calendar_mark_day","","",null,null],[5,"gtk_calendar_select_day","","",null,null],[5,"gtk_calendar_select_month","","",null,null],[5,"gtk_calendar_set_detail_func","","",null,null],[5,"gtk_calendar_set_detail_height_rows","","",null,null],[5,"gtk_calendar_set_detail_width_chars","","",null,null],[5,"gtk_calendar_set_display_options","","",null,null],[5,"gtk_calendar_unmark_day","","",null,null],[5,"gtk_cell_accessible_get_type","","",null,null],[5,"gtk_cell_area_get_type","","",null,null],[5,"gtk_cell_area_activate","","",null,null],[5,"gtk_cell_area_activate_cell","","",null,null],[5,"gtk_cell_area_add","","",null,null],[5,"gtk_cell_area_add_focus_sibling","","",null,null],[5,"gtk_cell_area_add_with_properties","","",null,null],[5,"gtk_cell_area_apply_attributes","","",null,null],[5,"gtk_cell_area_attribute_connect","","",null,null],[5,"gtk_cell_area_attribute_disconnect","","",null,null],[5,"gtk_cell_area_attribute_get_column","","",null,null],[5,"gtk_cell_area_cell_get","","",null,null],[5,"gtk_cell_area_cell_get_property","","",null,null],[5,"gtk_cell_area_cell_set","","",null,null],[5,"gtk_cell_area_cell_set_property","","",null,null],[5,"gtk_cell_area_copy_context","","",null,null],[5,"gtk_cell_area_create_context","","",null,null],[5,"gtk_cell_area_event","","",null,null],[5,"gtk_cell_area_focus","","",null,null],[5,"gtk_cell_area_foreach","","",null,null],[5,"gtk_cell_area_foreach_alloc","","",null,null],[5,"gtk_cell_area_get_cell_allocation","","",null,null],[5,"gtk_cell_area_get_cell_at_position","","",null,null],[5,"gtk_cell_area_get_current_path_string","","",null,null],[5,"gtk_cell_area_get_edit_widget","","",null,null],[5,"gtk_cell_area_get_edited_cell","","",null,null],[5,"gtk_cell_area_get_focus_cell","","",null,null],[5,"gtk_cell_area_get_focus_from_sibling","","",null,null],[5,"gtk_cell_area_get_focus_siblings","","",null,null],[5,"gtk_cell_area_get_preferred_height","","",null,null],[5,"gtk_cell_area_get_preferred_height_for_width","","",null,null],[5,"gtk_cell_area_get_preferred_width","","",null,null],[5,"gtk_cell_area_get_preferred_width_for_height","","",null,null],[5,"gtk_cell_area_get_request_mode","","",null,null],[5,"gtk_cell_area_has_renderer","","",null,null],[5,"gtk_cell_area_inner_cell_area","","",null,null],[5,"gtk_cell_area_is_activatable","","",null,null],[5,"gtk_cell_area_is_focus_sibling","","",null,null],[5,"gtk_cell_area_remove","","",null,null],[5,"gtk_cell_area_remove_focus_sibling","","",null,null],[5,"gtk_cell_area_render","","",null,null],[5,"gtk_cell_area_request_renderer","","",null,null],[5,"gtk_cell_area_set_focus_cell","","",null,null],[5,"gtk_cell_area_stop_editing","","",null,null],[5,"gtk_cell_area_box_get_type","","",null,null],[5,"gtk_cell_area_box_new","","",null,null],[5,"gtk_cell_area_box_get_spacing","","",null,null],[5,"gtk_cell_area_box_pack_end","","",null,null],[5,"gtk_cell_area_box_pack_start","","",null,null],[5,"gtk_cell_area_box_set_spacing","","",null,null],[5,"gtk_cell_area_context_get_type","","",null,null],[5,"gtk_cell_area_context_allocate","","",null,null],[5,"gtk_cell_area_context_get_allocation","","",null,null],[5,"gtk_cell_area_context_get_area","","",null,null],[5,"gtk_cell_area_context_get_preferred_height","","",null,null],[5,"gtk_cell_area_context_get_preferred_height_for_width","","",null,null],[5,"gtk_cell_area_context_get_preferred_width","","",null,null],[5,"gtk_cell_area_context_get_preferred_width_for_height","","",null,null],[5,"gtk_cell_area_context_push_preferred_height","","",null,null],[5,"gtk_cell_area_context_push_preferred_width","","",null,null],[5,"gtk_cell_area_context_reset","","",null,null],[5,"gtk_cell_renderer_get_type","","",null,null],[5,"gtk_cell_renderer_activate","","",null,null],[5,"gtk_cell_renderer_get_aligned_area","","",null,null],[5,"gtk_cell_renderer_get_alignment","","",null,null],[5,"gtk_cell_renderer_get_fixed_size","","",null,null],[5,"gtk_cell_renderer_get_padding","","",null,null],[5,"gtk_cell_renderer_get_preferred_height","","",null,null],[5,"gtk_cell_renderer_get_preferred_height_for_width","","",null,null],[5,"gtk_cell_renderer_get_preferred_size","","",null,null],[5,"gtk_cell_renderer_get_preferred_width","","",null,null],[5,"gtk_cell_renderer_get_preferred_width_for_height","","",null,null],[5,"gtk_cell_renderer_get_request_mode","","",null,null],[5,"gtk_cell_renderer_get_sensitive","","",null,null],[5,"gtk_cell_renderer_get_size","","",null,null],[5,"gtk_cell_renderer_get_state","","",null,null],[5,"gtk_cell_renderer_get_visible","","",null,null],[5,"gtk_cell_renderer_is_activatable","","",null,null],[5,"gtk_cell_renderer_render","","",null,null],[5,"gtk_cell_renderer_set_alignment","","",null,null],[5,"gtk_cell_renderer_set_fixed_size","","",null,null],[5,"gtk_cell_renderer_set_padding","","",null,null],[5,"gtk_cell_renderer_set_sensitive","","",null,null],[5,"gtk_cell_renderer_set_visible","","",null,null],[5,"gtk_cell_renderer_start_editing","","",null,null],[5,"gtk_cell_renderer_stop_editing","","",null,null],[5,"gtk_cell_renderer_accel_get_type","","",null,null],[5,"gtk_cell_renderer_accel_new","","",null,null],[5,"gtk_cell_renderer_combo_get_type","","",null,null],[5,"gtk_cell_renderer_combo_new","","",null,null],[5,"gtk_cell_renderer_pixbuf_get_type","","",null,null],[5,"gtk_cell_renderer_pixbuf_new","","",null,null],[5,"gtk_cell_renderer_progress_get_type","","",null,null],[5,"gtk_cell_renderer_progress_new","","",null,null],[5,"gtk_cell_renderer_spin_get_type","","",null,null],[5,"gtk_cell_renderer_spin_new","","",null,null],[5,"gtk_cell_renderer_spinner_get_type","","",null,null],[5,"gtk_cell_renderer_spinner_new","","",null,null],[5,"gtk_cell_renderer_text_get_type","","",null,null],[5,"gtk_cell_renderer_text_new","","",null,null],[5,"gtk_cell_renderer_text_set_fixed_height_from_font","","",null,null],[5,"gtk_cell_renderer_toggle_get_type","","",null,null],[5,"gtk_cell_renderer_toggle_new","","",null,null],[5,"gtk_cell_renderer_toggle_get_activatable","","",null,null],[5,"gtk_cell_renderer_toggle_get_active","","",null,null],[5,"gtk_cell_renderer_toggle_get_radio","","",null,null],[5,"gtk_cell_renderer_toggle_set_activatable","","",null,null],[5,"gtk_cell_renderer_toggle_set_active","","",null,null],[5,"gtk_cell_renderer_toggle_set_radio","","",null,null],[5,"gtk_cell_view_get_type","","",null,null],[5,"gtk_cell_view_new","","",null,null],[5,"gtk_cell_view_new_with_context","","",null,null],[5,"gtk_cell_view_new_with_markup","","",null,null],[5,"gtk_cell_view_new_with_pixbuf","","",null,null],[5,"gtk_cell_view_new_with_text","","",null,null],[5,"gtk_cell_view_get_displayed_row","","",null,null],[5,"gtk_cell_view_get_draw_sensitive","","",null,null],[5,"gtk_cell_view_get_fit_model","","",null,null],[5,"gtk_cell_view_get_model","","",null,null],[5,"gtk_cell_view_get_size_of_row","","",null,null],[5,"gtk_cell_view_set_background_color","","",null,null],[5,"gtk_cell_view_set_background_rgba","","",null,null],[5,"gtk_cell_view_set_displayed_row","","",null,null],[5,"gtk_cell_view_set_draw_sensitive","","",null,null],[5,"gtk_cell_view_set_fit_model","","",null,null],[5,"gtk_cell_view_set_model","","",null,null],[5,"gtk_check_button_get_type","","",null,null],[5,"gtk_check_button_new","","",null,null],[5,"gtk_check_button_new_with_label","","",null,null],[5,"gtk_check_button_new_with_mnemonic","","",null,null],[5,"gtk_check_menu_item_get_type","","",null,null],[5,"gtk_check_menu_item_new","","",null,null],[5,"gtk_check_menu_item_new_with_label","","",null,null],[5,"gtk_check_menu_item_new_with_mnemonic","","",null,null],[5,"gtk_check_menu_item_get_active","","",null,null],[5,"gtk_check_menu_item_get_draw_as_radio","","",null,null],[5,"gtk_check_menu_item_get_inconsistent","","",null,null],[5,"gtk_check_menu_item_set_active","","",null,null],[5,"gtk_check_menu_item_set_draw_as_radio","","",null,null],[5,"gtk_check_menu_item_set_inconsistent","","",null,null],[5,"gtk_check_menu_item_toggled","","",null,null],[5,"gtk_check_menu_item_accessible_get_type","","",null,null],[5,"gtk_clipboard_get_type","","",null,null],[5,"gtk_clipboard_get","","",null,null],[5,"gtk_clipboard_get_default","","",null,null],[5,"gtk_clipboard_get_for_display","","",null,null],[5,"gtk_clipboard_clear","","",null,null],[5,"gtk_clipboard_get_display","","",null,null],[5,"gtk_clipboard_get_owner","","",null,null],[5,"gtk_clipboard_get_selection","","",null,null],[5,"gtk_clipboard_request_contents","","",null,null],[5,"gtk_clipboard_request_image","","",null,null],[5,"gtk_clipboard_request_rich_text","","",null,null],[5,"gtk_clipboard_request_targets","","",null,null],[5,"gtk_clipboard_request_text","","",null,null],[5,"gtk_clipboard_request_uris","","",null,null],[5,"gtk_clipboard_set_can_store","","",null,null],[5,"gtk_clipboard_set_image","","",null,null],[5,"gtk_clipboard_set_text","","",null,null],[5,"gtk_clipboard_set_with_data","","",null,null],[5,"gtk_clipboard_set_with_owner","","",null,null],[5,"gtk_clipboard_store","","",null,null],[5,"gtk_clipboard_wait_for_contents","","",null,null],[5,"gtk_clipboard_wait_for_image","","",null,null],[5,"gtk_clipboard_wait_for_rich_text","","",null,null],[5,"gtk_clipboard_wait_for_targets","","",null,null],[5,"gtk_clipboard_wait_for_text","","",null,null],[5,"gtk_clipboard_wait_for_uris","","",null,null],[5,"gtk_clipboard_wait_is_image_available","","",null,null],[5,"gtk_clipboard_wait_is_rich_text_available","","",null,null],[5,"gtk_clipboard_wait_is_target_available","","",null,null],[5,"gtk_clipboard_wait_is_text_available","","",null,null],[5,"gtk_clipboard_wait_is_uris_available","","",null,null],[5,"gtk_color_button_get_type","","",null,null],[5,"gtk_color_button_new","","",null,null],[5,"gtk_color_button_new_with_color","","",null,null],[5,"gtk_color_button_new_with_rgba","","",null,null],[5,"gtk_color_button_get_alpha","","",null,null],[5,"gtk_color_button_get_color","","",null,null],[5,"gtk_color_button_get_rgba","","",null,null],[5,"gtk_color_button_get_title","","",null,null],[5,"gtk_color_button_get_use_alpha","","",null,null],[5,"gtk_color_button_set_alpha","","",null,null],[5,"gtk_color_button_set_color","","",null,null],[5,"gtk_color_button_set_rgba","","",null,null],[5,"gtk_color_button_set_title","","",null,null],[5,"gtk_color_button_set_use_alpha","","",null,null],[5,"gtk_color_chooser_dialog_get_type","","",null,null],[5,"gtk_color_chooser_dialog_new","","",null,null],[5,"gtk_color_chooser_widget_get_type","","",null,null],[5,"gtk_color_chooser_widget_new","","",null,null],[5,"gtk_color_selection_get_type","","",null,null],[5,"gtk_color_selection_new","","",null,null],[5,"gtk_color_selection_palette_from_string","","",null,null],[5,"gtk_color_selection_palette_to_string","","",null,null],[5,"gtk_color_selection_set_change_palette_with_screen_hook","","",null,null],[5,"gtk_color_selection_get_current_alpha","","",null,null],[5,"gtk_color_selection_get_current_color","","",null,null],[5,"gtk_color_selection_get_current_rgba","","",null,null],[5,"gtk_color_selection_get_has_opacity_control","","",null,null],[5,"gtk_color_selection_get_has_palette","","",null,null],[5,"gtk_color_selection_get_previous_alpha","","",null,null],[5,"gtk_color_selection_get_previous_color","","",null,null],[5,"gtk_color_selection_get_previous_rgba","","",null,null],[5,"gtk_color_selection_is_adjusting","","",null,null],[5,"gtk_color_selection_set_current_alpha","","",null,null],[5,"gtk_color_selection_set_current_color","","",null,null],[5,"gtk_color_selection_set_current_rgba","","",null,null],[5,"gtk_color_selection_set_has_opacity_control","","",null,null],[5,"gtk_color_selection_set_has_palette","","",null,null],[5,"gtk_color_selection_set_previous_alpha","","",null,null],[5,"gtk_color_selection_set_previous_color","","",null,null],[5,"gtk_color_selection_set_previous_rgba","","",null,null],[5,"gtk_color_selection_dialog_get_type","","",null,null],[5,"gtk_color_selection_dialog_new","","",null,null],[5,"gtk_color_selection_dialog_get_color_selection","","",null,null],[5,"gtk_combo_box_get_type","","",null,null],[5,"gtk_combo_box_new","","",null,null],[5,"gtk_combo_box_new_with_area","","",null,null],[5,"gtk_combo_box_new_with_area_and_entry","","",null,null],[5,"gtk_combo_box_new_with_entry","","",null,null],[5,"gtk_combo_box_new_with_model","","",null,null],[5,"gtk_combo_box_new_with_model_and_entry","","",null,null],[5,"gtk_combo_box_get_active","","",null,null],[5,"gtk_combo_box_get_active_id","","",null,null],[5,"gtk_combo_box_get_active_iter","","",null,null],[5,"gtk_combo_box_get_add_tearoffs","","",null,null],[5,"gtk_combo_box_get_button_sensitivity","","",null,null],[5,"gtk_combo_box_get_column_span_column","","",null,null],[5,"gtk_combo_box_get_entry_text_column","","",null,null],[5,"gtk_combo_box_get_focus_on_click","","",null,null],[5,"gtk_combo_box_get_has_entry","","",null,null],[5,"gtk_combo_box_get_id_column","","",null,null],[5,"gtk_combo_box_get_model","","",null,null],[5,"gtk_combo_box_get_popup_accessible","","",null,null],[5,"gtk_combo_box_get_popup_fixed_width","","",null,null],[5,"gtk_combo_box_get_row_separator_func","","",null,null],[5,"gtk_combo_box_get_row_span_column","","",null,null],[5,"gtk_combo_box_get_title","","",null,null],[5,"gtk_combo_box_get_wrap_width","","",null,null],[5,"gtk_combo_box_popdown","","",null,null],[5,"gtk_combo_box_popup","","",null,null],[5,"gtk_combo_box_popup_for_device","","",null,null],[5,"gtk_combo_box_set_active","","",null,null],[5,"gtk_combo_box_set_active_id","","",null,null],[5,"gtk_combo_box_set_active_iter","","",null,null],[5,"gtk_combo_box_set_add_tearoffs","","",null,null],[5,"gtk_combo_box_set_button_sensitivity","","",null,null],[5,"gtk_combo_box_set_column_span_column","","",null,null],[5,"gtk_combo_box_set_entry_text_column","","",null,null],[5,"gtk_combo_box_set_focus_on_click","","",null,null],[5,"gtk_combo_box_set_id_column","","",null,null],[5,"gtk_combo_box_set_model","","",null,null],[5,"gtk_combo_box_set_popup_fixed_width","","",null,null],[5,"gtk_combo_box_set_row_separator_func","","",null,null],[5,"gtk_combo_box_set_row_span_column","","",null,null],[5,"gtk_combo_box_set_title","","",null,null],[5,"gtk_combo_box_set_wrap_width","","",null,null],[5,"gtk_combo_box_accessible_get_type","","",null,null],[5,"gtk_combo_box_text_get_type","","",null,null],[5,"gtk_combo_box_text_new","","",null,null],[5,"gtk_combo_box_text_new_with_entry","","",null,null],[5,"gtk_combo_box_text_append","","",null,null],[5,"gtk_combo_box_text_append_text","","",null,null],[5,"gtk_combo_box_text_get_active_text","","",null,null],[5,"gtk_combo_box_text_insert","","",null,null],[5,"gtk_combo_box_text_insert_text","","",null,null],[5,"gtk_combo_box_text_prepend","","",null,null],[5,"gtk_combo_box_text_prepend_text","","",null,null],[5,"gtk_combo_box_text_remove","","",null,null],[5,"gtk_combo_box_text_remove_all","","",null,null],[5,"gtk_container_get_type","","",null,null],[5,"gtk_container_add","","",null,null],[5,"gtk_container_add_with_properties","","",null,null],[5,"gtk_container_check_resize","","",null,null],[5,"gtk_container_child_get","","",null,null],[5,"gtk_container_child_get_property","","",null,null],[5,"gtk_container_child_notify","","",null,null],[5,"gtk_container_child_notify_by_pspec","","",null,null],[5,"gtk_container_child_set","","",null,null],[5,"gtk_container_child_set_property","","",null,null],[5,"gtk_container_child_type","","",null,null],[5,"gtk_container_forall","","",null,null],[5,"gtk_container_foreach","","",null,null],[5,"gtk_container_get_border_width","","",null,null],[5,"gtk_container_get_children","","",null,null],[5,"gtk_container_get_focus_chain","","",null,null],[5,"gtk_container_get_focus_child","","",null,null],[5,"gtk_container_get_focus_hadjustment","","",null,null],[5,"gtk_container_get_focus_vadjustment","","",null,null],[5,"gtk_container_get_path_for_child","","",null,null],[5,"gtk_container_get_resize_mode","","",null,null],[5,"gtk_container_propagate_draw","","",null,null],[5,"gtk_container_remove","","",null,null],[5,"gtk_container_resize_children","","",null,null],[5,"gtk_container_set_border_width","","",null,null],[5,"gtk_container_set_focus_chain","","",null,null],[5,"gtk_container_set_focus_child","","",null,null],[5,"gtk_container_set_focus_hadjustment","","",null,null],[5,"gtk_container_set_focus_vadjustment","","",null,null],[5,"gtk_container_set_reallocate_redraws","","",null,null],[5,"gtk_container_set_resize_mode","","",null,null],[5,"gtk_container_unset_focus_chain","","",null,null],[5,"gtk_container_accessible_get_type","","",null,null],[5,"gtk_container_cell_accessible_get_type","","",null,null],[5,"gtk_container_cell_accessible_new","","",null,null],[5,"gtk_container_cell_accessible_add_child","","",null,null],[5,"gtk_container_cell_accessible_get_children","","",null,null],[5,"gtk_container_cell_accessible_remove_child","","",null,null],[5,"gtk_css_provider_get_type","","",null,null],[5,"gtk_css_provider_new","","",null,null],[5,"gtk_css_provider_get_default","","",null,null],[5,"gtk_css_provider_get_named","","",null,null],[5,"gtk_css_provider_load_from_data","","",null,null],[5,"gtk_css_provider_load_from_file","","",null,null],[5,"gtk_css_provider_load_from_path","","",null,null],[5,"gtk_css_provider_load_from_resource","","",null,null],[5,"gtk_css_provider_to_string","","",null,null],[5,"gtk_dialog_get_type","","",null,null],[5,"gtk_dialog_new","","",null,null],[5,"gtk_dialog_new_with_buttons","","",null,null],[5,"gtk_dialog_add_action_widget","","",null,null],[5,"gtk_dialog_add_button","","",null,null],[5,"gtk_dialog_add_buttons","","",null,null],[5,"gtk_dialog_get_action_area","","",null,null],[5,"gtk_dialog_get_content_area","","",null,null],[5,"gtk_dialog_get_header_bar","","",null,null],[5,"gtk_dialog_get_response_for_widget","","",null,null],[5,"gtk_dialog_get_widget_for_response","","",null,null],[5,"gtk_dialog_response","","",null,null],[5,"gtk_dialog_run","","",null,null],[5,"gtk_dialog_set_alternative_button_order","","",null,null],[5,"gtk_dialog_set_alternative_button_order_from_array","","",null,null],[5,"gtk_dialog_set_default_response","","",null,null],[5,"gtk_dialog_set_response_sensitive","","",null,null],[5,"gtk_drawing_area_get_type","","",null,null],[5,"gtk_drawing_area_new","","",null,null],[5,"gtk_entry_get_type","","",null,null],[5,"gtk_entry_new","","",null,null],[5,"gtk_entry_new_with_buffer","","",null,null],[5,"gtk_entry_get_activates_default","","",null,null],[5,"gtk_entry_get_alignment","","",null,null],[5,"gtk_entry_get_attributes","","",null,null],[5,"gtk_entry_get_buffer","","",null,null],[5,"gtk_entry_get_completion","","",null,null],[5,"gtk_entry_get_current_icon_drag_source","","",null,null],[5,"gtk_entry_get_cursor_hadjustment","","",null,null],[5,"gtk_entry_get_has_frame","","",null,null],[5,"gtk_entry_get_icon_activatable","","",null,null],[5,"gtk_entry_get_icon_area","","",null,null],[5,"gtk_entry_get_icon_at_pos","","",null,null],[5,"gtk_entry_get_icon_gicon","","",null,null],[5,"gtk_entry_get_icon_name","","",null,null],[5,"gtk_entry_get_icon_pixbuf","","",null,null],[5,"gtk_entry_get_icon_sensitive","","",null,null],[5,"gtk_entry_get_icon_stock","","",null,null],[5,"gtk_entry_get_icon_storage_type","","",null,null],[5,"gtk_entry_get_icon_tooltip_markup","","",null,null],[5,"gtk_entry_get_icon_tooltip_text","","",null,null],[5,"gtk_entry_get_inner_border","","",null,null],[5,"gtk_entry_get_input_hints","","",null,null],[5,"gtk_entry_get_input_purpose","","",null,null],[5,"gtk_entry_get_invisible_char","","",null,null],[5,"gtk_entry_get_layout","","",null,null],[5,"gtk_entry_get_layout_offsets","","",null,null],[5,"gtk_entry_get_max_length","","",null,null],[5,"gtk_entry_get_max_width_chars","","",null,null],[5,"gtk_entry_get_overwrite_mode","","",null,null],[5,"gtk_entry_get_placeholder_text","","",null,null],[5,"gtk_entry_get_progress_fraction","","",null,null],[5,"gtk_entry_get_progress_pulse_step","","",null,null],[5,"gtk_entry_get_tabs","","",null,null],[5,"gtk_entry_get_text","","",null,null],[5,"gtk_entry_get_text_area","","",null,null],[5,"gtk_entry_get_text_length","","",null,null],[5,"gtk_entry_get_visibility","","",null,null],[5,"gtk_entry_get_width_chars","","",null,null],[5,"gtk_entry_grab_focus_without_selecting","","",null,null],[5,"gtk_entry_im_context_filter_keypress","","",null,null],[5,"gtk_entry_layout_index_to_text_index","","",null,null],[5,"gtk_entry_progress_pulse","","",null,null],[5,"gtk_entry_reset_im_context","","",null,null],[5,"gtk_entry_set_activates_default","","",null,null],[5,"gtk_entry_set_alignment","","",null,null],[5,"gtk_entry_set_attributes","","",null,null],[5,"gtk_entry_set_buffer","","",null,null],[5,"gtk_entry_set_completion","","",null,null],[5,"gtk_entry_set_cursor_hadjustment","","",null,null],[5,"gtk_entry_set_has_frame","","",null,null],[5,"gtk_entry_set_icon_activatable","","",null,null],[5,"gtk_entry_set_icon_drag_source","","",null,null],[5,"gtk_entry_set_icon_from_gicon","","",null,null],[5,"gtk_entry_set_icon_from_icon_name","","",null,null],[5,"gtk_entry_set_icon_from_pixbuf","","",null,null],[5,"gtk_entry_set_icon_from_stock","","",null,null],[5,"gtk_entry_set_icon_sensitive","","",null,null],[5,"gtk_entry_set_icon_tooltip_markup","","",null,null],[5,"gtk_entry_set_icon_tooltip_text","","",null,null],[5,"gtk_entry_set_inner_border","","",null,null],[5,"gtk_entry_set_input_hints","","",null,null],[5,"gtk_entry_set_input_purpose","","",null,null],[5,"gtk_entry_set_invisible_char","","",null,null],[5,"gtk_entry_set_max_length","","",null,null],[5,"gtk_entry_set_max_width_chars","","",null,null],[5,"gtk_entry_set_overwrite_mode","","",null,null],[5,"gtk_entry_set_placeholder_text","","",null,null],[5,"gtk_entry_set_progress_fraction","","",null,null],[5,"gtk_entry_set_progress_pulse_step","","",null,null],[5,"gtk_entry_set_tabs","","",null,null],[5,"gtk_entry_set_text","","",null,null],[5,"gtk_entry_set_visibility","","",null,null],[5,"gtk_entry_set_width_chars","","",null,null],[5,"gtk_entry_text_index_to_layout_index","","",null,null],[5,"gtk_entry_unset_invisible_char","","",null,null],[5,"gtk_entry_accessible_get_type","","",null,null],[5,"gtk_entry_buffer_get_type","","",null,null],[5,"gtk_entry_buffer_new","","",null,null],[5,"gtk_entry_buffer_delete_text","","",null,null],[5,"gtk_entry_buffer_emit_deleted_text","","",null,null],[5,"gtk_entry_buffer_emit_inserted_text","","",null,null],[5,"gtk_entry_buffer_get_bytes","","",null,null],[5,"gtk_entry_buffer_get_length","","",null,null],[5,"gtk_entry_buffer_get_max_length","","",null,null],[5,"gtk_entry_buffer_get_text","","",null,null],[5,"gtk_entry_buffer_insert_text","","",null,null],[5,"gtk_entry_buffer_set_max_length","","",null,null],[5,"gtk_entry_buffer_set_text","","",null,null],[5,"gtk_entry_completion_get_type","","",null,null],[5,"gtk_entry_completion_new","","",null,null],[5,"gtk_entry_completion_new_with_area","","",null,null],[5,"gtk_entry_completion_complete","","",null,null],[5,"gtk_entry_completion_compute_prefix","","",null,null],[5,"gtk_entry_completion_delete_action","","",null,null],[5,"gtk_entry_completion_get_completion_prefix","","",null,null],[5,"gtk_entry_completion_get_entry","","",null,null],[5,"gtk_entry_completion_get_inline_completion","","",null,null],[5,"gtk_entry_completion_get_inline_selection","","",null,null],[5,"gtk_entry_completion_get_minimum_key_length","","",null,null],[5,"gtk_entry_completion_get_model","","",null,null],[5,"gtk_entry_completion_get_popup_completion","","",null,null],[5,"gtk_entry_completion_get_popup_set_width","","",null,null],[5,"gtk_entry_completion_get_popup_single_match","","",null,null],[5,"gtk_entry_completion_get_text_column","","",null,null],[5,"gtk_entry_completion_insert_action_markup","","",null,null],[5,"gtk_entry_completion_insert_action_text","","",null,null],[5,"gtk_entry_completion_insert_prefix","","",null,null],[5,"gtk_entry_completion_set_inline_completion","","",null,null],[5,"gtk_entry_completion_set_inline_selection","","",null,null],[5,"gtk_entry_completion_set_match_func","","",null,null],[5,"gtk_entry_completion_set_minimum_key_length","","",null,null],[5,"gtk_entry_completion_set_model","","",null,null],[5,"gtk_entry_completion_set_popup_completion","","",null,null],[5,"gtk_entry_completion_set_popup_set_width","","",null,null],[5,"gtk_entry_completion_set_popup_single_match","","",null,null],[5,"gtk_entry_completion_set_text_column","","",null,null],[5,"gtk_entry_icon_accessible_get_type","","",null,null],[5,"gtk_event_box_get_type","","",null,null],[5,"gtk_event_box_new","","",null,null],[5,"gtk_event_box_get_above_child","","",null,null],[5,"gtk_event_box_get_visible_window","","",null,null],[5,"gtk_event_box_set_above_child","","",null,null],[5,"gtk_event_box_set_visible_window","","",null,null],[5,"gtk_event_controller_get_type","","",null,null],[5,"gtk_event_controller_get_propagation_phase","","",null,null],[5,"gtk_event_controller_get_widget","","",null,null],[5,"gtk_event_controller_handle_event","","",null,null],[5,"gtk_event_controller_reset","","",null,null],[5,"gtk_event_controller_set_propagation_phase","","",null,null],[5,"gtk_expander_get_type","","",null,null],[5,"gtk_expander_new","","",null,null],[5,"gtk_expander_new_with_mnemonic","","",null,null],[5,"gtk_expander_get_expanded","","",null,null],[5,"gtk_expander_get_label","","",null,null],[5,"gtk_expander_get_label_fill","","",null,null],[5,"gtk_expander_get_label_widget","","",null,null],[5,"gtk_expander_get_resize_toplevel","","",null,null],[5,"gtk_expander_get_spacing","","",null,null],[5,"gtk_expander_get_use_markup","","",null,null],[5,"gtk_expander_get_use_underline","","",null,null],[5,"gtk_expander_set_expanded","","",null,null],[5,"gtk_expander_set_label","","",null,null],[5,"gtk_expander_set_label_fill","","",null,null],[5,"gtk_expander_set_label_widget","","",null,null],[5,"gtk_expander_set_resize_toplevel","","",null,null],[5,"gtk_expander_set_spacing","","",null,null],[5,"gtk_expander_set_use_markup","","",null,null],[5,"gtk_expander_set_use_underline","","",null,null],[5,"gtk_expander_accessible_get_type","","",null,null],[5,"gtk_file_chooser_button_get_type","","",null,null],[5,"gtk_file_chooser_button_new","","",null,null],[5,"gtk_file_chooser_button_new_with_dialog","","",null,null],[5,"gtk_file_chooser_button_get_focus_on_click","","",null,null],[5,"gtk_file_chooser_button_get_title","","",null,null],[5,"gtk_file_chooser_button_get_width_chars","","",null,null],[5,"gtk_file_chooser_button_set_focus_on_click","","",null,null],[5,"gtk_file_chooser_button_set_title","","",null,null],[5,"gtk_file_chooser_button_set_width_chars","","",null,null],[5,"gtk_file_chooser_dialog_get_type","","",null,null],[5,"gtk_file_chooser_dialog_new","","",null,null],[5,"gtk_file_chooser_native_get_type","","",null,null],[5,"gtk_file_chooser_native_new","","",null,null],[5,"gtk_file_chooser_native_get_accept_label","","",null,null],[5,"gtk_file_chooser_native_get_cancel_label","","",null,null],[5,"gtk_file_chooser_native_set_accept_label","","",null,null],[5,"gtk_file_chooser_native_set_cancel_label","","",null,null],[5,"gtk_file_chooser_widget_get_type","","",null,null],[5,"gtk_file_chooser_widget_new","","",null,null],[5,"gtk_file_filter_get_type","","",null,null],[5,"gtk_file_filter_new","","",null,null],[5,"gtk_file_filter_new_from_gvariant","","",null,null],[5,"gtk_file_filter_add_custom","","",null,null],[5,"gtk_file_filter_add_mime_type","","",null,null],[5,"gtk_file_filter_add_pattern","","",null,null],[5,"gtk_file_filter_add_pixbuf_formats","","",null,null],[5,"gtk_file_filter_filter","","",null,null],[5,"gtk_file_filter_get_name","","",null,null],[5,"gtk_file_filter_get_needed","","",null,null],[5,"gtk_file_filter_set_name","","",null,null],[5,"gtk_file_filter_to_gvariant","","",null,null],[5,"gtk_fixed_get_type","","",null,null],[5,"gtk_fixed_new","","",null,null],[5,"gtk_fixed_move","","",null,null],[5,"gtk_fixed_put","","",null,null],[5,"gtk_flow_box_get_type","","",null,null],[5,"gtk_flow_box_new","","",null,null],[5,"gtk_flow_box_bind_model","","",null,null],[5,"gtk_flow_box_get_activate_on_single_click","","",null,null],[5,"gtk_flow_box_get_child_at_index","","",null,null],[5,"gtk_flow_box_get_column_spacing","","",null,null],[5,"gtk_flow_box_get_homogeneous","","",null,null],[5,"gtk_flow_box_get_max_children_per_line","","",null,null],[5,"gtk_flow_box_get_min_children_per_line","","",null,null],[5,"gtk_flow_box_get_row_spacing","","",null,null],[5,"gtk_flow_box_get_selected_children","","",null,null],[5,"gtk_flow_box_get_selection_mode","","",null,null],[5,"gtk_flow_box_insert","","",null,null],[5,"gtk_flow_box_invalidate_filter","","",null,null],[5,"gtk_flow_box_invalidate_sort","","",null,null],[5,"gtk_flow_box_select_all","","",null,null],[5,"gtk_flow_box_select_child","","",null,null],[5,"gtk_flow_box_selected_foreach","","",null,null],[5,"gtk_flow_box_set_activate_on_single_click","","",null,null],[5,"gtk_flow_box_set_column_spacing","","",null,null],[5,"gtk_flow_box_set_filter_func","","",null,null],[5,"gtk_flow_box_set_hadjustment","","",null,null],[5,"gtk_flow_box_set_homogeneous","","",null,null],[5,"gtk_flow_box_set_max_children_per_line","","",null,null],[5,"gtk_flow_box_set_min_children_per_line","","",null,null],[5,"gtk_flow_box_set_row_spacing","","",null,null],[5,"gtk_flow_box_set_selection_mode","","",null,null],[5,"gtk_flow_box_set_sort_func","","",null,null],[5,"gtk_flow_box_set_vadjustment","","",null,null],[5,"gtk_flow_box_unselect_all","","",null,null],[5,"gtk_flow_box_unselect_child","","",null,null],[5,"gtk_flow_box_accessible_get_type","","",null,null],[5,"gtk_flow_box_child_get_type","","",null,null],[5,"gtk_flow_box_child_new","","",null,null],[5,"gtk_flow_box_child_changed","","",null,null],[5,"gtk_flow_box_child_get_index","","",null,null],[5,"gtk_flow_box_child_is_selected","","",null,null],[5,"gtk_flow_box_child_accessible_get_type","","",null,null],[5,"gtk_font_button_get_type","","",null,null],[5,"gtk_font_button_new","","",null,null],[5,"gtk_font_button_new_with_font","","",null,null],[5,"gtk_font_button_get_font_name","","",null,null],[5,"gtk_font_button_get_show_size","","",null,null],[5,"gtk_font_button_get_show_style","","",null,null],[5,"gtk_font_button_get_title","","",null,null],[5,"gtk_font_button_get_use_font","","",null,null],[5,"gtk_font_button_get_use_size","","",null,null],[5,"gtk_font_button_set_font_name","","",null,null],[5,"gtk_font_button_set_show_size","","",null,null],[5,"gtk_font_button_set_show_style","","",null,null],[5,"gtk_font_button_set_title","","",null,null],[5,"gtk_font_button_set_use_font","","",null,null],[5,"gtk_font_button_set_use_size","","",null,null],[5,"gtk_font_chooser_dialog_get_type","","",null,null],[5,"gtk_font_chooser_dialog_new","","",null,null],[5,"gtk_font_chooser_widget_get_type","","",null,null],[5,"gtk_font_chooser_widget_new","","",null,null],[5,"gtk_font_selection_get_type","","",null,null],[5,"gtk_font_selection_new","","",null,null],[5,"gtk_font_selection_get_face","","",null,null],[5,"gtk_font_selection_get_face_list","","",null,null],[5,"gtk_font_selection_get_family","","",null,null],[5,"gtk_font_selection_get_family_list","","",null,null],[5,"gtk_font_selection_get_font_name","","",null,null],[5,"gtk_font_selection_get_preview_entry","","",null,null],[5,"gtk_font_selection_get_preview_text","","",null,null],[5,"gtk_font_selection_get_size","","",null,null],[5,"gtk_font_selection_get_size_entry","","",null,null],[5,"gtk_font_selection_get_size_list","","",null,null],[5,"gtk_font_selection_set_font_name","","",null,null],[5,"gtk_font_selection_set_preview_text","","",null,null],[5,"gtk_font_selection_dialog_get_type","","",null,null],[5,"gtk_font_selection_dialog_new","","",null,null],[5,"gtk_font_selection_dialog_get_cancel_button","","",null,null],[5,"gtk_font_selection_dialog_get_font_name","","",null,null],[5,"gtk_font_selection_dialog_get_font_selection","","",null,null],[5,"gtk_font_selection_dialog_get_ok_button","","",null,null],[5,"gtk_font_selection_dialog_get_preview_text","","",null,null],[5,"gtk_font_selection_dialog_set_font_name","","",null,null],[5,"gtk_font_selection_dialog_set_preview_text","","",null,null],[5,"gtk_frame_get_type","","",null,null],[5,"gtk_frame_new","","",null,null],[5,"gtk_frame_get_label","","",null,null],[5,"gtk_frame_get_label_align","","",null,null],[5,"gtk_frame_get_label_widget","","",null,null],[5,"gtk_frame_get_shadow_type","","",null,null],[5,"gtk_frame_set_label","","",null,null],[5,"gtk_frame_set_label_align","","",null,null],[5,"gtk_frame_set_label_widget","","",null,null],[5,"gtk_frame_set_shadow_type","","",null,null],[5,"gtk_frame_accessible_get_type","","",null,null],[5,"gtk_gl_area_get_type","","",null,null],[5,"gtk_gl_area_new","","",null,null],[5,"gtk_gl_area_attach_buffers","","",null,null],[5,"gtk_gl_area_get_auto_render","","",null,null],[5,"gtk_gl_area_get_context","","",null,null],[5,"gtk_gl_area_get_error","","",null,null],[5,"gtk_gl_area_get_has_alpha","","",null,null],[5,"gtk_gl_area_get_has_depth_buffer","","",null,null],[5,"gtk_gl_area_get_has_stencil_buffer","","",null,null],[5,"gtk_gl_area_get_required_version","","",null,null],[5,"gtk_gl_area_get_use_es","","",null,null],[5,"gtk_gl_area_make_current","","",null,null],[5,"gtk_gl_area_queue_render","","",null,null],[5,"gtk_gl_area_set_auto_render","","",null,null],[5,"gtk_gl_area_set_error","","",null,null],[5,"gtk_gl_area_set_has_alpha","","",null,null],[5,"gtk_gl_area_set_has_depth_buffer","","",null,null],[5,"gtk_gl_area_set_has_stencil_buffer","","",null,null],[5,"gtk_gl_area_set_required_version","","",null,null],[5,"gtk_gl_area_set_use_es","","",null,null],[5,"gtk_gesture_get_type","","",null,null],[5,"gtk_gesture_get_bounding_box","","",null,null],[5,"gtk_gesture_get_bounding_box_center","","",null,null],[5,"gtk_gesture_get_device","","",null,null],[5,"gtk_gesture_get_group","","",null,null],[5,"gtk_gesture_get_last_event","","",null,null],[5,"gtk_gesture_get_last_updated_sequence","","",null,null],[5,"gtk_gesture_get_point","","",null,null],[5,"gtk_gesture_get_sequence_state","","",null,null],[5,"gtk_gesture_get_sequences","","",null,null],[5,"gtk_gesture_get_window","","",null,null],[5,"gtk_gesture_group","","",null,null],[5,"gtk_gesture_handles_sequence","","",null,null],[5,"gtk_gesture_is_active","","",null,null],[5,"gtk_gesture_is_grouped_with","","",null,null],[5,"gtk_gesture_is_recognized","","",null,null],[5,"gtk_gesture_set_sequence_state","","",null,null],[5,"gtk_gesture_set_state","","",null,null],[5,"gtk_gesture_set_window","","",null,null],[5,"gtk_gesture_ungroup","","",null,null],[5,"gtk_gesture_drag_get_type","","",null,null],[5,"gtk_gesture_drag_new","","",null,null],[5,"gtk_gesture_drag_get_offset","","",null,null],[5,"gtk_gesture_drag_get_start_point","","",null,null],[5,"gtk_gesture_long_press_get_type","","",null,null],[5,"gtk_gesture_long_press_new","","",null,null],[5,"gtk_gesture_multi_press_get_type","","",null,null],[5,"gtk_gesture_multi_press_new","","",null,null],[5,"gtk_gesture_multi_press_get_area","","",null,null],[5,"gtk_gesture_multi_press_set_area","","",null,null],[5,"gtk_gesture_pan_get_type","","",null,null],[5,"gtk_gesture_pan_new","","",null,null],[5,"gtk_gesture_pan_get_orientation","","",null,null],[5,"gtk_gesture_pan_set_orientation","","",null,null],[5,"gtk_gesture_rotate_get_type","","",null,null],[5,"gtk_gesture_rotate_new","","",null,null],[5,"gtk_gesture_rotate_get_angle_delta","","",null,null],[5,"gtk_gesture_single_get_type","","",null,null],[5,"gtk_gesture_single_get_button","","",null,null],[5,"gtk_gesture_single_get_current_button","","",null,null],[5,"gtk_gesture_single_get_current_sequence","","",null,null],[5,"gtk_gesture_single_get_exclusive","","",null,null],[5,"gtk_gesture_single_get_touch_only","","",null,null],[5,"gtk_gesture_single_set_button","","",null,null],[5,"gtk_gesture_single_set_exclusive","","",null,null],[5,"gtk_gesture_single_set_touch_only","","",null,null],[5,"gtk_gesture_swipe_get_type","","",null,null],[5,"gtk_gesture_swipe_new","","",null,null],[5,"gtk_gesture_swipe_get_velocity","","",null,null],[5,"gtk_gesture_zoom_get_type","","",null,null],[5,"gtk_gesture_zoom_new","","",null,null],[5,"gtk_gesture_zoom_get_scale_delta","","",null,null],[5,"gtk_grid_get_type","","",null,null],[5,"gtk_grid_new","","",null,null],[5,"gtk_grid_attach","","",null,null],[5,"gtk_grid_attach_next_to","","",null,null],[5,"gtk_grid_get_baseline_row","","",null,null],[5,"gtk_grid_get_child_at","","",null,null],[5,"gtk_grid_get_column_homogeneous","","",null,null],[5,"gtk_grid_get_column_spacing","","",null,null],[5,"gtk_grid_get_row_baseline_position","","",null,null],[5,"gtk_grid_get_row_homogeneous","","",null,null],[5,"gtk_grid_get_row_spacing","","",null,null],[5,"gtk_grid_insert_column","","",null,null],[5,"gtk_grid_insert_next_to","","",null,null],[5,"gtk_grid_insert_row","","",null,null],[5,"gtk_grid_remove_column","","",null,null],[5,"gtk_grid_remove_row","","",null,null],[5,"gtk_grid_set_baseline_row","","",null,null],[5,"gtk_grid_set_column_homogeneous","","",null,null],[5,"gtk_grid_set_column_spacing","","",null,null],[5,"gtk_grid_set_row_baseline_position","","",null,null],[5,"gtk_grid_set_row_homogeneous","","",null,null],[5,"gtk_grid_set_row_spacing","","",null,null],[5,"gtk_hbox_get_type","","",null,null],[5,"gtk_hbox_new","","",null,null],[5,"gtk_hbutton_box_get_type","","",null,null],[5,"gtk_hbutton_box_new","","",null,null],[5,"gtk_hpaned_get_type","","",null,null],[5,"gtk_hpaned_new","","",null,null],[5,"gtk_hsv_get_type","","",null,null],[5,"gtk_hsv_new","","",null,null],[5,"gtk_hsv_to_rgb","","",null,null],[5,"gtk_hsv_get_color","","",null,null],[5,"gtk_hsv_get_metrics","","",null,null],[5,"gtk_hsv_is_adjusting","","",null,null],[5,"gtk_hsv_set_color","","",null,null],[5,"gtk_hsv_set_metrics","","",null,null],[5,"gtk_hscale_get_type","","",null,null],[5,"gtk_hscale_new","","",null,null],[5,"gtk_hscale_new_with_range","","",null,null],[5,"gtk_hscrollbar_get_type","","",null,null],[5,"gtk_hscrollbar_new","","",null,null],[5,"gtk_hseparator_get_type","","",null,null],[5,"gtk_hseparator_new","","",null,null],[5,"gtk_handle_box_get_type","","",null,null],[5,"gtk_handle_box_new","","",null,null],[5,"gtk_handle_box_get_child_detached","","",null,null],[5,"gtk_handle_box_get_handle_position","","",null,null],[5,"gtk_handle_box_get_shadow_type","","",null,null],[5,"gtk_handle_box_get_snap_edge","","",null,null],[5,"gtk_handle_box_set_handle_position","","",null,null],[5,"gtk_handle_box_set_shadow_type","","",null,null],[5,"gtk_handle_box_set_snap_edge","","",null,null],[5,"gtk_header_bar_get_type","","",null,null],[5,"gtk_header_bar_new","","",null,null],[5,"gtk_header_bar_get_custom_title","","",null,null],[5,"gtk_header_bar_get_decoration_layout","","",null,null],[5,"gtk_header_bar_get_has_subtitle","","",null,null],[5,"gtk_header_bar_get_show_close_button","","",null,null],[5,"gtk_header_bar_get_subtitle","","",null,null],[5,"gtk_header_bar_get_title","","",null,null],[5,"gtk_header_bar_pack_end","","",null,null],[5,"gtk_header_bar_pack_start","","",null,null],[5,"gtk_header_bar_set_custom_title","","",null,null],[5,"gtk_header_bar_set_decoration_layout","","",null,null],[5,"gtk_header_bar_set_has_subtitle","","",null,null],[5,"gtk_header_bar_set_show_close_button","","",null,null],[5,"gtk_header_bar_set_subtitle","","",null,null],[5,"gtk_header_bar_set_title","","",null,null],[5,"gtk_im_context_get_type","","",null,null],[5,"gtk_im_context_delete_surrounding","","",null,null],[5,"gtk_im_context_filter_keypress","","",null,null],[5,"gtk_im_context_focus_in","","",null,null],[5,"gtk_im_context_focus_out","","",null,null],[5,"gtk_im_context_get_preedit_string","","",null,null],[5,"gtk_im_context_get_surrounding","","",null,null],[5,"gtk_im_context_reset","","",null,null],[5,"gtk_im_context_set_client_window","","",null,null],[5,"gtk_im_context_set_cursor_location","","",null,null],[5,"gtk_im_context_set_surrounding","","",null,null],[5,"gtk_im_context_set_use_preedit","","",null,null],[5,"gtk_im_context_simple_get_type","","",null,null],[5,"gtk_im_context_simple_new","","",null,null],[5,"gtk_im_context_simple_add_compose_file","","",null,null],[5,"gtk_im_context_simple_add_table","","",null,null],[5,"gtk_im_multicontext_get_type","","",null,null],[5,"gtk_im_multicontext_new","","",null,null],[5,"gtk_im_multicontext_append_menuitems","","",null,null],[5,"gtk_im_multicontext_get_context_id","","",null,null],[5,"gtk_im_multicontext_set_context_id","","",null,null],[5,"gtk_icon_factory_get_type","","",null,null],[5,"gtk_icon_factory_new","","",null,null],[5,"gtk_icon_factory_lookup_default","","",null,null],[5,"gtk_icon_factory_add","","",null,null],[5,"gtk_icon_factory_add_default","","",null,null],[5,"gtk_icon_factory_lookup","","",null,null],[5,"gtk_icon_factory_remove_default","","",null,null],[5,"gtk_icon_info_get_type","","",null,null],[5,"gtk_icon_info_new_for_pixbuf","","",null,null],[5,"gtk_icon_info_copy","","",null,null],[5,"gtk_icon_info_free","","",null,null],[5,"gtk_icon_info_get_attach_points","","",null,null],[5,"gtk_icon_info_get_base_scale","","",null,null],[5,"gtk_icon_info_get_base_size","","",null,null],[5,"gtk_icon_info_get_builtin_pixbuf","","",null,null],[5,"gtk_icon_info_get_display_name","","",null,null],[5,"gtk_icon_info_get_embedded_rect","","",null,null],[5,"gtk_icon_info_get_filename","","",null,null],[5,"gtk_icon_info_is_symbolic","","",null,null],[5,"gtk_icon_info_load_icon","","",null,null],[5,"gtk_icon_info_load_icon_async","","",null,null],[5,"gtk_icon_info_load_icon_finish","","",null,null],[5,"gtk_icon_info_load_surface","","",null,null],[5,"gtk_icon_info_load_symbolic","","",null,null],[5,"gtk_icon_info_load_symbolic_async","","",null,null],[5,"gtk_icon_info_load_symbolic_finish","","",null,null],[5,"gtk_icon_info_load_symbolic_for_context","","",null,null],[5,"gtk_icon_info_load_symbolic_for_context_async","","",null,null],[5,"gtk_icon_info_load_symbolic_for_context_finish","","",null,null],[5,"gtk_icon_info_load_symbolic_for_style","","",null,null],[5,"gtk_icon_info_set_raw_coordinates","","",null,null],[5,"gtk_icon_theme_get_type","","",null,null],[5,"gtk_icon_theme_new","","",null,null],[5,"gtk_icon_theme_add_builtin_icon","","",null,null],[5,"gtk_icon_theme_get_default","","",null,null],[5,"gtk_icon_theme_get_for_screen","","",null,null],[5,"gtk_icon_theme_add_resource_path","","",null,null],[5,"gtk_icon_theme_append_search_path","","",null,null],[5,"gtk_icon_theme_choose_icon","","",null,null],[5,"gtk_icon_theme_choose_icon_for_scale","","",null,null],[5,"gtk_icon_theme_get_example_icon_name","","",null,null],[5,"gtk_icon_theme_get_icon_sizes","","",null,null],[5,"gtk_icon_theme_get_search_path","","",null,null],[5,"gtk_icon_theme_has_icon","","",null,null],[5,"gtk_icon_theme_list_contexts","","",null,null],[5,"gtk_icon_theme_list_icons","","",null,null],[5,"gtk_icon_theme_load_icon","","",null,null],[5,"gtk_icon_theme_load_icon_for_scale","","",null,null],[5,"gtk_icon_theme_load_surface","","",null,null],[5,"gtk_icon_theme_lookup_by_gicon","","",null,null],[5,"gtk_icon_theme_lookup_by_gicon_for_scale","","",null,null],[5,"gtk_icon_theme_lookup_icon","","",null,null],[5,"gtk_icon_theme_lookup_icon_for_scale","","",null,null],[5,"gtk_icon_theme_prepend_search_path","","",null,null],[5,"gtk_icon_theme_rescan_if_needed","","",null,null],[5,"gtk_icon_theme_set_custom_theme","","",null,null],[5,"gtk_icon_theme_set_screen","","",null,null],[5,"gtk_icon_theme_set_search_path","","",null,null],[5,"gtk_icon_view_get_type","","",null,null],[5,"gtk_icon_view_new","","",null,null],[5,"gtk_icon_view_new_with_area","","",null,null],[5,"gtk_icon_view_new_with_model","","",null,null],[5,"gtk_icon_view_convert_widget_to_bin_window_coords","","",null,null],[5,"gtk_icon_view_create_drag_icon","","",null,null],[5,"gtk_icon_view_enable_model_drag_dest","","",null,null],[5,"gtk_icon_view_enable_model_drag_source","","",null,null],[5,"gtk_icon_view_get_activate_on_single_click","","",null,null],[5,"gtk_icon_view_get_cell_rect","","",null,null],[5,"gtk_icon_view_get_column_spacing","","",null,null],[5,"gtk_icon_view_get_columns","","",null,null],[5,"gtk_icon_view_get_cursor","","",null,null],[5,"gtk_icon_view_get_dest_item_at_pos","","",null,null],[5,"gtk_icon_view_get_drag_dest_item","","",null,null],[5,"gtk_icon_view_get_item_at_pos","","",null,null],[5,"gtk_icon_view_get_item_column","","",null,null],[5,"gtk_icon_view_get_item_orientation","","",null,null],[5,"gtk_icon_view_get_item_padding","","",null,null],[5,"gtk_icon_view_get_item_row","","",null,null],[5,"gtk_icon_view_get_item_width","","",null,null],[5,"gtk_icon_view_get_margin","","",null,null],[5,"gtk_icon_view_get_markup_column","","",null,null],[5,"gtk_icon_view_get_model","","",null,null],[5,"gtk_icon_view_get_path_at_pos","","",null,null],[5,"gtk_icon_view_get_pixbuf_column","","",null,null],[5,"gtk_icon_view_get_reorderable","","",null,null],[5,"gtk_icon_view_get_row_spacing","","",null,null],[5,"gtk_icon_view_get_selected_items","","",null,null],[5,"gtk_icon_view_get_selection_mode","","",null,null],[5,"gtk_icon_view_get_spacing","","",null,null],[5,"gtk_icon_view_get_text_column","","",null,null],[5,"gtk_icon_view_get_tooltip_column","","",null,null],[5,"gtk_icon_view_get_tooltip_context","","",null,null],[5,"gtk_icon_view_get_visible_range","","",null,null],[5,"gtk_icon_view_item_activated","","",null,null],[5,"gtk_icon_view_path_is_selected","","",null,null],[5,"gtk_icon_view_scroll_to_path","","",null,null],[5,"gtk_icon_view_select_all","","",null,null],[5,"gtk_icon_view_select_path","","",null,null],[5,"gtk_icon_view_selected_foreach","","",null,null],[5,"gtk_icon_view_set_activate_on_single_click","","",null,null],[5,"gtk_icon_view_set_column_spacing","","",null,null],[5,"gtk_icon_view_set_columns","","",null,null],[5,"gtk_icon_view_set_cursor","","",null,null],[5,"gtk_icon_view_set_drag_dest_item","","",null,null],[5,"gtk_icon_view_set_item_orientation","","",null,null],[5,"gtk_icon_view_set_item_padding","","",null,null],[5,"gtk_icon_view_set_item_width","","",null,null],[5,"gtk_icon_view_set_margin","","",null,null],[5,"gtk_icon_view_set_markup_column","","",null,null],[5,"gtk_icon_view_set_model","","",null,null],[5,"gtk_icon_view_set_pixbuf_column","","",null,null],[5,"gtk_icon_view_set_reorderable","","",null,null],[5,"gtk_icon_view_set_row_spacing","","",null,null],[5,"gtk_icon_view_set_selection_mode","","",null,null],[5,"gtk_icon_view_set_spacing","","",null,null],[5,"gtk_icon_view_set_text_column","","",null,null],[5,"gtk_icon_view_set_tooltip_cell","","",null,null],[5,"gtk_icon_view_set_tooltip_column","","",null,null],[5,"gtk_icon_view_set_tooltip_item","","",null,null],[5,"gtk_icon_view_unselect_all","","",null,null],[5,"gtk_icon_view_unselect_path","","",null,null],[5,"gtk_icon_view_unset_model_drag_dest","","",null,null],[5,"gtk_icon_view_unset_model_drag_source","","",null,null],[5,"gtk_icon_view_accessible_get_type","","",null,null],[5,"gtk_image_get_type","","",null,null],[5,"gtk_image_new","","",null,null],[5,"gtk_image_new_from_animation","","",null,null],[5,"gtk_image_new_from_file","","",null,null],[5,"gtk_image_new_from_gicon","","",null,null],[5,"gtk_image_new_from_icon_name","","",null,null],[5,"gtk_image_new_from_icon_set","","",null,null],[5,"gtk_image_new_from_pixbuf","","",null,null],[5,"gtk_image_new_from_resource","","",null,null],[5,"gtk_image_new_from_stock","","",null,null],[5,"gtk_image_new_from_surface","","",null,null],[5,"gtk_image_clear","","",null,null],[5,"gtk_image_get_animation","","",null,null],[5,"gtk_image_get_gicon","","",null,null],[5,"gtk_image_get_icon_name","","",null,null],[5,"gtk_image_get_icon_set","","",null,null],[5,"gtk_image_get_pixbuf","","",null,null],[5,"gtk_image_get_pixel_size","","",null,null],[5,"gtk_image_get_stock","","",null,null],[5,"gtk_image_get_storage_type","","",null,null],[5,"gtk_image_set_from_animation","","",null,null],[5,"gtk_image_set_from_file","","",null,null],[5,"gtk_image_set_from_gicon","","",null,null],[5,"gtk_image_set_from_icon_name","","",null,null],[5,"gtk_image_set_from_icon_set","","",null,null],[5,"gtk_image_set_from_pixbuf","","",null,null],[5,"gtk_image_set_from_resource","","",null,null],[5,"gtk_image_set_from_stock","","",null,null],[5,"gtk_image_set_from_surface","","",null,null],[5,"gtk_image_set_pixel_size","","",null,null],[5,"gtk_image_accessible_get_type","","",null,null],[5,"gtk_image_cell_accessible_get_type","","",null,null],[5,"gtk_image_menu_item_get_type","","",null,null],[5,"gtk_image_menu_item_new","","",null,null],[5,"gtk_image_menu_item_new_from_stock","","",null,null],[5,"gtk_image_menu_item_new_with_label","","",null,null],[5,"gtk_image_menu_item_new_with_mnemonic","","",null,null],[5,"gtk_image_menu_item_get_always_show_image","","",null,null],[5,"gtk_image_menu_item_get_image","","",null,null],[5,"gtk_image_menu_item_get_use_stock","","",null,null],[5,"gtk_image_menu_item_set_accel_group","","",null,null],[5,"gtk_image_menu_item_set_always_show_image","","",null,null],[5,"gtk_image_menu_item_set_image","","",null,null],[5,"gtk_image_menu_item_set_use_stock","","",null,null],[5,"gtk_info_bar_get_type","","",null,null],[5,"gtk_info_bar_new","","",null,null],[5,"gtk_info_bar_new_with_buttons","","",null,null],[5,"gtk_info_bar_add_action_widget","","",null,null],[5,"gtk_info_bar_add_button","","",null,null],[5,"gtk_info_bar_add_buttons","","",null,null],[5,"gtk_info_bar_get_action_area","","",null,null],[5,"gtk_info_bar_get_content_area","","",null,null],[5,"gtk_info_bar_get_message_type","","",null,null],[5,"gtk_info_bar_get_show_close_button","","",null,null],[5,"gtk_info_bar_response","","",null,null],[5,"gtk_info_bar_set_default_response","","",null,null],[5,"gtk_info_bar_set_message_type","","",null,null],[5,"gtk_info_bar_set_response_sensitive","","",null,null],[5,"gtk_info_bar_set_show_close_button","","",null,null],[5,"gtk_invisible_get_type","","",null,null],[5,"gtk_invisible_new","","",null,null],[5,"gtk_invisible_new_for_screen","","",null,null],[5,"gtk_invisible_get_screen","","",null,null],[5,"gtk_invisible_set_screen","","",null,null],[5,"gtk_label_get_type","","",null,null],[5,"gtk_label_new","","",null,null],[5,"gtk_label_new_with_mnemonic","","",null,null],[5,"gtk_label_get_angle","","",null,null],[5,"gtk_label_get_attributes","","",null,null],[5,"gtk_label_get_current_uri","","",null,null],[5,"gtk_label_get_ellipsize","","",null,null],[5,"gtk_label_get_justify","","",null,null],[5,"gtk_label_get_label","","",null,null],[5,"gtk_label_get_layout","","",null,null],[5,"gtk_label_get_layout_offsets","","",null,null],[5,"gtk_label_get_line_wrap","","",null,null],[5,"gtk_label_get_line_wrap_mode","","",null,null],[5,"gtk_label_get_lines","","",null,null],[5,"gtk_label_get_max_width_chars","","",null,null],[5,"gtk_label_get_mnemonic_keyval","","",null,null],[5,"gtk_label_get_mnemonic_widget","","",null,null],[5,"gtk_label_get_selectable","","",null,null],[5,"gtk_label_get_selection_bounds","","",null,null],[5,"gtk_label_get_single_line_mode","","",null,null],[5,"gtk_label_get_text","","",null,null],[5,"gtk_label_get_track_visited_links","","",null,null],[5,"gtk_label_get_use_markup","","",null,null],[5,"gtk_label_get_use_underline","","",null,null],[5,"gtk_label_get_width_chars","","",null,null],[5,"gtk_label_get_xalign","","",null,null],[5,"gtk_label_get_yalign","","",null,null],[5,"gtk_label_select_region","","",null,null],[5,"gtk_label_set_angle","","",null,null],[5,"gtk_label_set_attributes","","",null,null],[5,"gtk_label_set_ellipsize","","",null,null],[5,"gtk_label_set_justify","","",null,null],[5,"gtk_label_set_label","","",null,null],[5,"gtk_label_set_line_wrap","","",null,null],[5,"gtk_label_set_line_wrap_mode","","",null,null],[5,"gtk_label_set_lines","","",null,null],[5,"gtk_label_set_markup","","",null,null],[5,"gtk_label_set_markup_with_mnemonic","","",null,null],[5,"gtk_label_set_max_width_chars","","",null,null],[5,"gtk_label_set_mnemonic_widget","","",null,null],[5,"gtk_label_set_pattern","","",null,null],[5,"gtk_label_set_selectable","","",null,null],[5,"gtk_label_set_single_line_mode","","",null,null],[5,"gtk_label_set_text","","",null,null],[5,"gtk_label_set_text_with_mnemonic","","",null,null],[5,"gtk_label_set_track_visited_links","","",null,null],[5,"gtk_label_set_use_markup","","",null,null],[5,"gtk_label_set_use_underline","","",null,null],[5,"gtk_label_set_width_chars","","",null,null],[5,"gtk_label_set_xalign","","",null,null],[5,"gtk_label_set_yalign","","",null,null],[5,"gtk_label_accessible_get_type","","",null,null],[5,"gtk_layout_get_type","","",null,null],[5,"gtk_layout_new","","",null,null],[5,"gtk_layout_get_bin_window","","",null,null],[5,"gtk_layout_get_hadjustment","","",null,null],[5,"gtk_layout_get_size","","",null,null],[5,"gtk_layout_get_vadjustment","","",null,null],[5,"gtk_layout_move","","",null,null],[5,"gtk_layout_put","","",null,null],[5,"gtk_layout_set_hadjustment","","",null,null],[5,"gtk_layout_set_size","","",null,null],[5,"gtk_layout_set_vadjustment","","",null,null],[5,"gtk_level_bar_get_type","","",null,null],[5,"gtk_level_bar_new","","",null,null],[5,"gtk_level_bar_new_for_interval","","",null,null],[5,"gtk_level_bar_add_offset_value","","",null,null],[5,"gtk_level_bar_get_inverted","","",null,null],[5,"gtk_level_bar_get_max_value","","",null,null],[5,"gtk_level_bar_get_min_value","","",null,null],[5,"gtk_level_bar_get_mode","","",null,null],[5,"gtk_level_bar_get_offset_value","","",null,null],[5,"gtk_level_bar_get_value","","",null,null],[5,"gtk_level_bar_remove_offset_value","","",null,null],[5,"gtk_level_bar_set_inverted","","",null,null],[5,"gtk_level_bar_set_max_value","","",null,null],[5,"gtk_level_bar_set_min_value","","",null,null],[5,"gtk_level_bar_set_mode","","",null,null],[5,"gtk_level_bar_set_value","","",null,null],[5,"gtk_level_bar_accessible_get_type","","",null,null],[5,"gtk_link_button_get_type","","",null,null],[5,"gtk_link_button_new","","",null,null],[5,"gtk_link_button_new_with_label","","",null,null],[5,"gtk_link_button_get_uri","","",null,null],[5,"gtk_link_button_get_visited","","",null,null],[5,"gtk_link_button_set_uri","","",null,null],[5,"gtk_link_button_set_visited","","",null,null],[5,"gtk_link_button_accessible_get_type","","",null,null],[5,"gtk_list_box_get_type","","",null,null],[5,"gtk_list_box_new","","",null,null],[5,"gtk_list_box_bind_model","","",null,null],[5,"gtk_list_box_drag_highlight_row","","",null,null],[5,"gtk_list_box_drag_unhighlight_row","","",null,null],[5,"gtk_list_box_get_activate_on_single_click","","",null,null],[5,"gtk_list_box_get_adjustment","","",null,null],[5,"gtk_list_box_get_row_at_index","","",null,null],[5,"gtk_list_box_get_row_at_y","","",null,null],[5,"gtk_list_box_get_selected_row","","",null,null],[5,"gtk_list_box_get_selected_rows","","",null,null],[5,"gtk_list_box_get_selection_mode","","",null,null],[5,"gtk_list_box_insert","","",null,null],[5,"gtk_list_box_invalidate_filter","","",null,null],[5,"gtk_list_box_invalidate_headers","","",null,null],[5,"gtk_list_box_invalidate_sort","","",null,null],[5,"gtk_list_box_prepend","","",null,null],[5,"gtk_list_box_select_all","","",null,null],[5,"gtk_list_box_select_row","","",null,null],[5,"gtk_list_box_selected_foreach","","",null,null],[5,"gtk_list_box_set_activate_on_single_click","","",null,null],[5,"gtk_list_box_set_adjustment","","",null,null],[5,"gtk_list_box_set_filter_func","","",null,null],[5,"gtk_list_box_set_header_func","","",null,null],[5,"gtk_list_box_set_placeholder","","",null,null],[5,"gtk_list_box_set_selection_mode","","",null,null],[5,"gtk_list_box_set_sort_func","","",null,null],[5,"gtk_list_box_unselect_all","","",null,null],[5,"gtk_list_box_unselect_row","","",null,null],[5,"gtk_list_box_accessible_get_type","","",null,null],[5,"gtk_list_box_row_get_type","","",null,null],[5,"gtk_list_box_row_new","","",null,null],[5,"gtk_list_box_row_changed","","",null,null],[5,"gtk_list_box_row_get_activatable","","",null,null],[5,"gtk_list_box_row_get_header","","",null,null],[5,"gtk_list_box_row_get_index","","",null,null],[5,"gtk_list_box_row_get_selectable","","",null,null],[5,"gtk_list_box_row_is_selected","","",null,null],[5,"gtk_list_box_row_set_activatable","","",null,null],[5,"gtk_list_box_row_set_header","","",null,null],[5,"gtk_list_box_row_set_selectable","","",null,null],[5,"gtk_list_box_row_accessible_get_type","","",null,null],[5,"gtk_list_store_get_type","","",null,null],[5,"gtk_list_store_new","","",null,null],[5,"gtk_list_store_newv","","",null,null],[5,"gtk_list_store_append","","",null,null],[5,"gtk_list_store_clear","","",null,null],[5,"gtk_list_store_insert","","",null,null],[5,"gtk_list_store_insert_after","","",null,null],[5,"gtk_list_store_insert_before","","",null,null],[5,"gtk_list_store_insert_with_values","","",null,null],[5,"gtk_list_store_insert_with_valuesv","","",null,null],[5,"gtk_list_store_iter_is_valid","","",null,null],[5,"gtk_list_store_move_after","","",null,null],[5,"gtk_list_store_move_before","","",null,null],[5,"gtk_list_store_prepend","","",null,null],[5,"gtk_list_store_remove","","",null,null],[5,"gtk_list_store_reorder","","",null,null],[5,"gtk_list_store_set","","",null,null],[5,"gtk_list_store_set_column_types","","",null,null],[5,"gtk_list_store_set_value","","",null,null],[5,"gtk_list_store_set_valuesv","","",null,null],[5,"gtk_list_store_swap","","",null,null],[5,"gtk_lock_button_get_type","","",null,null],[5,"gtk_lock_button_new","","",null,null],[5,"gtk_lock_button_get_permission","","",null,null],[5,"gtk_lock_button_set_permission","","",null,null],[5,"gtk_lock_button_accessible_get_type","","",null,null],[5,"gtk_menu_get_type","","",null,null],[5,"gtk_menu_new","","",null,null],[5,"gtk_menu_new_from_model","","",null,null],[5,"gtk_menu_get_for_attach_widget","","",null,null],[5,"gtk_menu_attach","","",null,null],[5,"gtk_menu_attach_to_widget","","",null,null],[5,"gtk_menu_detach","","",null,null],[5,"gtk_menu_get_accel_group","","",null,null],[5,"gtk_menu_get_accel_path","","",null,null],[5,"gtk_menu_get_active","","",null,null],[5,"gtk_menu_get_attach_widget","","",null,null],[5,"gtk_menu_get_monitor","","",null,null],[5,"gtk_menu_get_reserve_toggle_size","","",null,null],[5,"gtk_menu_get_tearoff_state","","",null,null],[5,"gtk_menu_get_title","","",null,null],[5,"gtk_menu_place_on_monitor","","",null,null],[5,"gtk_menu_popdown","","",null,null],[5,"gtk_menu_popup","","",null,null],[5,"gtk_menu_popup_at_pointer","","",null,null],[5,"gtk_menu_popup_at_rect","","",null,null],[5,"gtk_menu_popup_at_widget","","",null,null],[5,"gtk_menu_popup_for_device","","",null,null],[5,"gtk_menu_reorder_child","","",null,null],[5,"gtk_menu_reposition","","",null,null],[5,"gtk_menu_set_accel_group","","",null,null],[5,"gtk_menu_set_accel_path","","",null,null],[5,"gtk_menu_set_active","","",null,null],[5,"gtk_menu_set_monitor","","",null,null],[5,"gtk_menu_set_reserve_toggle_size","","",null,null],[5,"gtk_menu_set_screen","","",null,null],[5,"gtk_menu_set_tearoff_state","","",null,null],[5,"gtk_menu_set_title","","",null,null],[5,"gtk_menu_accessible_get_type","","",null,null],[5,"gtk_menu_bar_get_type","","",null,null],[5,"gtk_menu_bar_new","","",null,null],[5,"gtk_menu_bar_new_from_model","","",null,null],[5,"gtk_menu_bar_get_child_pack_direction","","",null,null],[5,"gtk_menu_bar_get_pack_direction","","",null,null],[5,"gtk_menu_bar_set_child_pack_direction","","",null,null],[5,"gtk_menu_bar_set_pack_direction","","",null,null],[5,"gtk_menu_button_get_type","","",null,null],[5,"gtk_menu_button_new","","",null,null],[5,"gtk_menu_button_get_align_widget","","",null,null],[5,"gtk_menu_button_get_direction","","",null,null],[5,"gtk_menu_button_get_menu_model","","",null,null],[5,"gtk_menu_button_get_popover","","",null,null],[5,"gtk_menu_button_get_popup","","",null,null],[5,"gtk_menu_button_get_use_popover","","",null,null],[5,"gtk_menu_button_set_align_widget","","",null,null],[5,"gtk_menu_button_set_direction","","",null,null],[5,"gtk_menu_button_set_menu_model","","",null,null],[5,"gtk_menu_button_set_popover","","",null,null],[5,"gtk_menu_button_set_popup","","",null,null],[5,"gtk_menu_button_set_use_popover","","",null,null],[5,"gtk_menu_button_accessible_get_type","","",null,null],[5,"gtk_menu_item_get_type","","",null,null],[5,"gtk_menu_item_new","","",null,null],[5,"gtk_menu_item_new_with_label","","",null,null],[5,"gtk_menu_item_new_with_mnemonic","","",null,null],[5,"gtk_menu_item_activate","","",null,null],[5,"gtk_menu_item_deselect","","",null,null],[5,"gtk_menu_item_get_accel_path","","",null,null],[5,"gtk_menu_item_get_label","","",null,null],[5,"gtk_menu_item_get_reserve_indicator","","",null,null],[5,"gtk_menu_item_get_right_justified","","",null,null],[5,"gtk_menu_item_get_submenu","","",null,null],[5,"gtk_menu_item_get_use_underline","","",null,null],[5,"gtk_menu_item_select","","",null,null],[5,"gtk_menu_item_set_accel_path","","",null,null],[5,"gtk_menu_item_set_label","","",null,null],[5,"gtk_menu_item_set_reserve_indicator","","",null,null],[5,"gtk_menu_item_set_right_justified","","",null,null],[5,"gtk_menu_item_set_submenu","","",null,null],[5,"gtk_menu_item_set_use_underline","","",null,null],[5,"gtk_menu_item_toggle_size_allocate","","",null,null],[5,"gtk_menu_item_toggle_size_request","","",null,null],[5,"gtk_menu_item_accessible_get_type","","",null,null],[5,"gtk_menu_shell_get_type","","",null,null],[5,"gtk_menu_shell_activate_item","","",null,null],[5,"gtk_menu_shell_append","","",null,null],[5,"gtk_menu_shell_bind_model","","",null,null],[5,"gtk_menu_shell_cancel","","",null,null],[5,"gtk_menu_shell_deactivate","","",null,null],[5,"gtk_menu_shell_deselect","","",null,null],[5,"gtk_menu_shell_get_parent_shell","","",null,null],[5,"gtk_menu_shell_get_selected_item","","",null,null],[5,"gtk_menu_shell_get_take_focus","","",null,null],[5,"gtk_menu_shell_insert","","",null,null],[5,"gtk_menu_shell_prepend","","",null,null],[5,"gtk_menu_shell_select_first","","",null,null],[5,"gtk_menu_shell_select_item","","",null,null],[5,"gtk_menu_shell_set_take_focus","","",null,null],[5,"gtk_menu_shell_accessible_get_type","","",null,null],[5,"gtk_menu_tool_button_get_type","","",null,null],[5,"gtk_menu_tool_button_new","","",null,null],[5,"gtk_menu_tool_button_new_from_stock","","",null,null],[5,"gtk_menu_tool_button_get_menu","","",null,null],[5,"gtk_menu_tool_button_set_arrow_tooltip_markup","","",null,null],[5,"gtk_menu_tool_button_set_arrow_tooltip_text","","",null,null],[5,"gtk_menu_tool_button_set_menu","","",null,null],[5,"gtk_message_dialog_get_type","","",null,null],[5,"gtk_message_dialog_new","","",null,null],[5,"gtk_message_dialog_new_with_markup","","",null,null],[5,"gtk_message_dialog_format_secondary_markup","","",null,null],[5,"gtk_message_dialog_format_secondary_text","","",null,null],[5,"gtk_message_dialog_get_image","","",null,null],[5,"gtk_message_dialog_get_message_area","","",null,null],[5,"gtk_message_dialog_set_image","","",null,null],[5,"gtk_message_dialog_set_markup","","",null,null],[5,"gtk_misc_get_type","","",null,null],[5,"gtk_misc_get_alignment","","",null,null],[5,"gtk_misc_get_padding","","",null,null],[5,"gtk_misc_set_alignment","","",null,null],[5,"gtk_misc_set_padding","","",null,null],[5,"gtk_model_button_get_type","","",null,null],[5,"gtk_model_button_new","","",null,null],[5,"gtk_mount_operation_get_type","","",null,null],[5,"gtk_mount_operation_new","","",null,null],[5,"gtk_mount_operation_get_parent","","",null,null],[5,"gtk_mount_operation_get_screen","","",null,null],[5,"gtk_mount_operation_is_showing","","",null,null],[5,"gtk_mount_operation_set_parent","","",null,null],[5,"gtk_mount_operation_set_screen","","",null,null],[5,"gtk_native_dialog_get_type","","",null,null],[5,"gtk_native_dialog_destroy","","",null,null],[5,"gtk_native_dialog_get_modal","","",null,null],[5,"gtk_native_dialog_get_title","","",null,null],[5,"gtk_native_dialog_get_transient_for","","",null,null],[5,"gtk_native_dialog_get_visible","","",null,null],[5,"gtk_native_dialog_hide","","",null,null],[5,"gtk_native_dialog_run","","",null,null],[5,"gtk_native_dialog_set_modal","","",null,null],[5,"gtk_native_dialog_set_title","","",null,null],[5,"gtk_native_dialog_set_transient_for","","",null,null],[5,"gtk_native_dialog_show","","",null,null],[5,"gtk_notebook_get_type","","",null,null],[5,"gtk_notebook_new","","",null,null],[5,"gtk_notebook_append_page","","",null,null],[5,"gtk_notebook_append_page_menu","","",null,null],[5,"gtk_notebook_detach_tab","","",null,null],[5,"gtk_notebook_get_action_widget","","",null,null],[5,"gtk_notebook_get_current_page","","",null,null],[5,"gtk_notebook_get_group_name","","",null,null],[5,"gtk_notebook_get_menu_label","","",null,null],[5,"gtk_notebook_get_menu_label_text","","",null,null],[5,"gtk_notebook_get_n_pages","","",null,null],[5,"gtk_notebook_get_nth_page","","",null,null],[5,"gtk_notebook_get_scrollable","","",null,null],[5,"gtk_notebook_get_show_border","","",null,null],[5,"gtk_notebook_get_show_tabs","","",null,null],[5,"gtk_notebook_get_tab_detachable","","",null,null],[5,"gtk_notebook_get_tab_hborder","","",null,null],[5,"gtk_notebook_get_tab_label","","",null,null],[5,"gtk_notebook_get_tab_label_text","","",null,null],[5,"gtk_notebook_get_tab_pos","","",null,null],[5,"gtk_notebook_get_tab_reorderable","","",null,null],[5,"gtk_notebook_get_tab_vborder","","",null,null],[5,"gtk_notebook_insert_page","","",null,null],[5,"gtk_notebook_insert_page_menu","","",null,null],[5,"gtk_notebook_next_page","","",null,null],[5,"gtk_notebook_page_num","","",null,null],[5,"gtk_notebook_popup_disable","","",null,null],[5,"gtk_notebook_popup_enable","","",null,null],[5,"gtk_notebook_prepend_page","","",null,null],[5,"gtk_notebook_prepend_page_menu","","",null,null],[5,"gtk_notebook_prev_page","","",null,null],[5,"gtk_notebook_remove_page","","",null,null],[5,"gtk_notebook_reorder_child","","",null,null],[5,"gtk_notebook_set_action_widget","","",null,null],[5,"gtk_notebook_set_current_page","","",null,null],[5,"gtk_notebook_set_group_name","","",null,null],[5,"gtk_notebook_set_menu_label","","",null,null],[5,"gtk_notebook_set_menu_label_text","","",null,null],[5,"gtk_notebook_set_scrollable","","",null,null],[5,"gtk_notebook_set_show_border","","",null,null],[5,"gtk_notebook_set_show_tabs","","",null,null],[5,"gtk_notebook_set_tab_detachable","","",null,null],[5,"gtk_notebook_set_tab_label","","",null,null],[5,"gtk_notebook_set_tab_label_text","","",null,null],[5,"gtk_notebook_set_tab_pos","","",null,null],[5,"gtk_notebook_set_tab_reorderable","","",null,null],[5,"gtk_notebook_accessible_get_type","","",null,null],[5,"gtk_notebook_page_accessible_get_type","","",null,null],[5,"gtk_notebook_page_accessible_new","","",null,null],[5,"gtk_notebook_page_accessible_invalidate","","",null,null],[5,"gtk_numerable_icon_get_type","","",null,null],[5,"gtk_numerable_icon_new","","",null,null],[5,"gtk_numerable_icon_new_with_style_context","","",null,null],[5,"gtk_numerable_icon_get_background_gicon","","",null,null],[5,"gtk_numerable_icon_get_background_icon_name","","",null,null],[5,"gtk_numerable_icon_get_count","","",null,null],[5,"gtk_numerable_icon_get_label","","",null,null],[5,"gtk_numerable_icon_get_style_context","","",null,null],[5,"gtk_numerable_icon_set_background_gicon","","",null,null],[5,"gtk_numerable_icon_set_background_icon_name","","",null,null],[5,"gtk_numerable_icon_set_count","","",null,null],[5,"gtk_numerable_icon_set_label","","",null,null],[5,"gtk_numerable_icon_set_style_context","","",null,null],[5,"gtk_offscreen_window_get_type","","",null,null],[5,"gtk_offscreen_window_new","","",null,null],[5,"gtk_offscreen_window_get_pixbuf","","",null,null],[5,"gtk_offscreen_window_get_surface","","",null,null],[5,"gtk_overlay_get_type","","",null,null],[5,"gtk_overlay_new","","",null,null],[5,"gtk_overlay_add_overlay","","",null,null],[5,"gtk_overlay_get_overlay_pass_through","","",null,null],[5,"gtk_overlay_reorder_overlay","","",null,null],[5,"gtk_overlay_set_overlay_pass_through","","",null,null],[5,"gtk_pad_controller_get_type","","",null,null],[5,"gtk_pad_controller_new","","",null,null],[5,"gtk_pad_controller_set_action","","",null,null],[5,"gtk_pad_controller_set_action_entries","","",null,null],[5,"gtk_page_setup_get_type","","",null,null],[5,"gtk_page_setup_new","","",null,null],[5,"gtk_page_setup_new_from_file","","",null,null],[5,"gtk_page_setup_new_from_gvariant","","",null,null],[5,"gtk_page_setup_new_from_key_file","","",null,null],[5,"gtk_page_setup_copy","","",null,null],[5,"gtk_page_setup_get_bottom_margin","","",null,null],[5,"gtk_page_setup_get_left_margin","","",null,null],[5,"gtk_page_setup_get_orientation","","",null,null],[5,"gtk_page_setup_get_page_height","","",null,null],[5,"gtk_page_setup_get_page_width","","",null,null],[5,"gtk_page_setup_get_paper_height","","",null,null],[5,"gtk_page_setup_get_paper_size","","",null,null],[5,"gtk_page_setup_get_paper_width","","",null,null],[5,"gtk_page_setup_get_right_margin","","",null,null],[5,"gtk_page_setup_get_top_margin","","",null,null],[5,"gtk_page_setup_load_file","","",null,null],[5,"gtk_page_setup_load_key_file","","",null,null],[5,"gtk_page_setup_set_bottom_margin","","",null,null],[5,"gtk_page_setup_set_left_margin","","",null,null],[5,"gtk_page_setup_set_orientation","","",null,null],[5,"gtk_page_setup_set_paper_size","","",null,null],[5,"gtk_page_setup_set_paper_size_and_default_margins","","",null,null],[5,"gtk_page_setup_set_right_margin","","",null,null],[5,"gtk_page_setup_set_top_margin","","",null,null],[5,"gtk_page_setup_to_file","","",null,null],[5,"gtk_page_setup_to_gvariant","","",null,null],[5,"gtk_page_setup_to_key_file","","",null,null],[5,"gtk_paned_get_type","","",null,null],[5,"gtk_paned_new","","",null,null],[5,"gtk_paned_add1","","",null,null],[5,"gtk_paned_add2","","",null,null],[5,"gtk_paned_get_child1","","",null,null],[5,"gtk_paned_get_child2","","",null,null],[5,"gtk_paned_get_handle_window","","",null,null],[5,"gtk_paned_get_position","","",null,null],[5,"gtk_paned_get_wide_handle","","",null,null],[5,"gtk_paned_pack1","","",null,null],[5,"gtk_paned_pack2","","",null,null],[5,"gtk_paned_set_position","","",null,null],[5,"gtk_paned_set_wide_handle","","",null,null],[5,"gtk_paned_accessible_get_type","","",null,null],[5,"gtk_places_sidebar_get_type","","",null,null],[5,"gtk_places_sidebar_new","","",null,null],[5,"gtk_places_sidebar_add_shortcut","","",null,null],[5,"gtk_places_sidebar_get_local_only","","",null,null],[5,"gtk_places_sidebar_get_location","","",null,null],[5,"gtk_places_sidebar_get_nth_bookmark","","",null,null],[5,"gtk_places_sidebar_get_open_flags","","",null,null],[5,"gtk_places_sidebar_get_show_connect_to_server","","",null,null],[5,"gtk_places_sidebar_get_show_desktop","","",null,null],[5,"gtk_places_sidebar_get_show_enter_location","","",null,null],[5,"gtk_places_sidebar_get_show_other_locations","","",null,null],[5,"gtk_places_sidebar_get_show_recent","","",null,null],[5,"gtk_places_sidebar_get_show_trash","","",null,null],[5,"gtk_places_sidebar_list_shortcuts","","",null,null],[5,"gtk_places_sidebar_remove_shortcut","","",null,null],[5,"gtk_places_sidebar_set_drop_targets_visible","","",null,null],[5,"gtk_places_sidebar_set_local_only","","",null,null],[5,"gtk_places_sidebar_set_location","","",null,null],[5,"gtk_places_sidebar_set_open_flags","","",null,null],[5,"gtk_places_sidebar_set_show_connect_to_server","","",null,null],[5,"gtk_places_sidebar_set_show_desktop","","",null,null],[5,"gtk_places_sidebar_set_show_enter_location","","",null,null],[5,"gtk_places_sidebar_set_show_other_locations","","",null,null],[5,"gtk_places_sidebar_set_show_recent","","",null,null],[5,"gtk_places_sidebar_set_show_trash","","",null,null],[5,"gtk_plug_get_type","","",null,null],[5,"gtk_plug_get_embedded","","",null,null],[5,"gtk_plug_get_socket_window","","",null,null],[5,"gtk_popover_get_type","","",null,null],[5,"gtk_popover_new","","",null,null],[5,"gtk_popover_new_from_model","","",null,null],[5,"gtk_popover_bind_model","","",null,null],[5,"gtk_popover_get_constrain_to","","",null,null],[5,"gtk_popover_get_default_widget","","",null,null],[5,"gtk_popover_get_modal","","",null,null],[5,"gtk_popover_get_pointing_to","","",null,null],[5,"gtk_popover_get_position","","",null,null],[5,"gtk_popover_get_relative_to","","",null,null],[5,"gtk_popover_get_transitions_enabled","","",null,null],[5,"gtk_popover_popdown","","",null,null],[5,"gtk_popover_popup","","",null,null],[5,"gtk_popover_set_constrain_to","","",null,null],[5,"gtk_popover_set_default_widget","","",null,null],[5,"gtk_popover_set_modal","","",null,null],[5,"gtk_popover_set_pointing_to","","",null,null],[5,"gtk_popover_set_position","","",null,null],[5,"gtk_popover_set_relative_to","","",null,null],[5,"gtk_popover_set_transitions_enabled","","",null,null],[5,"gtk_popover_accessible_get_type","","",null,null],[5,"gtk_popover_menu_get_type","","",null,null],[5,"gtk_popover_menu_new","","",null,null],[5,"gtk_popover_menu_open_submenu","","",null,null],[5,"gtk_print_context_get_type","","",null,null],[5,"gtk_print_context_create_pango_context","","",null,null],[5,"gtk_print_context_create_pango_layout","","",null,null],[5,"gtk_print_context_get_cairo_context","","",null,null],[5,"gtk_print_context_get_dpi_x","","",null,null],[5,"gtk_print_context_get_dpi_y","","",null,null],[5,"gtk_print_context_get_hard_margins","","",null,null],[5,"gtk_print_context_get_height","","",null,null],[5,"gtk_print_context_get_page_setup","","",null,null],[5,"gtk_print_context_get_pango_fontmap","","",null,null],[5,"gtk_print_context_get_width","","",null,null],[5,"gtk_print_context_set_cairo_context","","",null,null],[5,"gtk_print_operation_get_type","","",null,null],[5,"gtk_print_operation_new","","",null,null],[5,"gtk_print_operation_cancel","","",null,null],[5,"gtk_print_operation_draw_page_finish","","",null,null],[5,"gtk_print_operation_get_default_page_setup","","",null,null],[5,"gtk_print_operation_get_embed_page_setup","","",null,null],[5,"gtk_print_operation_get_error","","",null,null],[5,"gtk_print_operation_get_has_selection","","",null,null],[5,"gtk_print_operation_get_n_pages_to_print","","",null,null],[5,"gtk_print_operation_get_print_settings","","",null,null],[5,"gtk_print_operation_get_status","","",null,null],[5,"gtk_print_operation_get_status_string","","",null,null],[5,"gtk_print_operation_get_support_selection","","",null,null],[5,"gtk_print_operation_is_finished","","",null,null],[5,"gtk_print_operation_run","","",null,null],[5,"gtk_print_operation_set_allow_async","","",null,null],[5,"gtk_print_operation_set_current_page","","",null,null],[5,"gtk_print_operation_set_custom_tab_label","","",null,null],[5,"gtk_print_operation_set_default_page_setup","","",null,null],[5,"gtk_print_operation_set_defer_drawing","","",null,null],[5,"gtk_print_operation_set_embed_page_setup","","",null,null],[5,"gtk_print_operation_set_export_filename","","",null,null],[5,"gtk_print_operation_set_has_selection","","",null,null],[5,"gtk_print_operation_set_job_name","","",null,null],[5,"gtk_print_operation_set_n_pages","","",null,null],[5,"gtk_print_operation_set_print_settings","","",null,null],[5,"gtk_print_operation_set_show_progress","","",null,null],[5,"gtk_print_operation_set_support_selection","","",null,null],[5,"gtk_print_operation_set_track_print_status","","",null,null],[5,"gtk_print_operation_set_unit","","",null,null],[5,"gtk_print_operation_set_use_full_page","","",null,null],[5,"gtk_print_settings_get_type","","",null,null],[5,"gtk_print_settings_new","","",null,null],[5,"gtk_print_settings_new_from_file","","",null,null],[5,"gtk_print_settings_new_from_gvariant","","",null,null],[5,"gtk_print_settings_new_from_key_file","","",null,null],[5,"gtk_print_settings_copy","","",null,null],[5,"gtk_print_settings_foreach","","",null,null],[5,"gtk_print_settings_get","","",null,null],[5,"gtk_print_settings_get_bool","","",null,null],[5,"gtk_print_settings_get_collate","","",null,null],[5,"gtk_print_settings_get_default_source","","",null,null],[5,"gtk_print_settings_get_dither","","",null,null],[5,"gtk_print_settings_get_double","","",null,null],[5,"gtk_print_settings_get_double_with_default","","",null,null],[5,"gtk_print_settings_get_duplex","","",null,null],[5,"gtk_print_settings_get_finishings","","",null,null],[5,"gtk_print_settings_get_int","","",null,null],[5,"gtk_print_settings_get_int_with_default","","",null,null],[5,"gtk_print_settings_get_length","","",null,null],[5,"gtk_print_settings_get_media_type","","",null,null],[5,"gtk_print_settings_get_n_copies","","",null,null],[5,"gtk_print_settings_get_number_up","","",null,null],[5,"gtk_print_settings_get_number_up_layout","","",null,null],[5,"gtk_print_settings_get_orientation","","",null,null],[5,"gtk_print_settings_get_output_bin","","",null,null],[5,"gtk_print_settings_get_page_ranges","","",null,null],[5,"gtk_print_settings_get_page_set","","",null,null],[5,"gtk_print_settings_get_paper_height","","",null,null],[5,"gtk_print_settings_get_paper_size","","",null,null],[5,"gtk_print_settings_get_paper_width","","",null,null],[5,"gtk_print_settings_get_print_pages","","",null,null],[5,"gtk_print_settings_get_printer","","",null,null],[5,"gtk_print_settings_get_printer_lpi","","",null,null],[5,"gtk_print_settings_get_quality","","",null,null],[5,"gtk_print_settings_get_resolution","","",null,null],[5,"gtk_print_settings_get_resolution_x","","",null,null],[5,"gtk_print_settings_get_resolution_y","","",null,null],[5,"gtk_print_settings_get_reverse","","",null,null],[5,"gtk_print_settings_get_scale","","",null,null],[5,"gtk_print_settings_get_use_color","","",null,null],[5,"gtk_print_settings_has_key","","",null,null],[5,"gtk_print_settings_load_file","","",null,null],[5,"gtk_print_settings_load_key_file","","",null,null],[5,"gtk_print_settings_set","","",null,null],[5,"gtk_print_settings_set_bool","","",null,null],[5,"gtk_print_settings_set_collate","","",null,null],[5,"gtk_print_settings_set_default_source","","",null,null],[5,"gtk_print_settings_set_dither","","",null,null],[5,"gtk_print_settings_set_double","","",null,null],[5,"gtk_print_settings_set_duplex","","",null,null],[5,"gtk_print_settings_set_finishings","","",null,null],[5,"gtk_print_settings_set_int","","",null,null],[5,"gtk_print_settings_set_length","","",null,null],[5,"gtk_print_settings_set_media_type","","",null,null],[5,"gtk_print_settings_set_n_copies","","",null,null],[5,"gtk_print_settings_set_number_up","","",null,null],[5,"gtk_print_settings_set_number_up_layout","","",null,null],[5,"gtk_print_settings_set_orientation","","",null,null],[5,"gtk_print_settings_set_output_bin","","",null,null],[5,"gtk_print_settings_set_page_ranges","","",null,null],[5,"gtk_print_settings_set_page_set","","",null,null],[5,"gtk_print_settings_set_paper_height","","",null,null],[5,"gtk_print_settings_set_paper_size","","",null,null],[5,"gtk_print_settings_set_paper_width","","",null,null],[5,"gtk_print_settings_set_print_pages","","",null,null],[5,"gtk_print_settings_set_printer","","",null,null],[5,"gtk_print_settings_set_printer_lpi","","",null,null],[5,"gtk_print_settings_set_quality","","",null,null],[5,"gtk_print_settings_set_resolution","","",null,null],[5,"gtk_print_settings_set_resolution_xy","","",null,null],[5,"gtk_print_settings_set_reverse","","",null,null],[5,"gtk_print_settings_set_scale","","",null,null],[5,"gtk_print_settings_set_use_color","","",null,null],[5,"gtk_print_settings_to_file","","",null,null],[5,"gtk_print_settings_to_gvariant","","",null,null],[5,"gtk_print_settings_to_key_file","","",null,null],[5,"gtk_print_settings_unset","","",null,null],[5,"gtk_progress_bar_get_type","","",null,null],[5,"gtk_progress_bar_new","","",null,null],[5,"gtk_progress_bar_get_ellipsize","","",null,null],[5,"gtk_progress_bar_get_fraction","","",null,null],[5,"gtk_progress_bar_get_inverted","","",null,null],[5,"gtk_progress_bar_get_pulse_step","","",null,null],[5,"gtk_progress_bar_get_show_text","","",null,null],[5,"gtk_progress_bar_get_text","","",null,null],[5,"gtk_progress_bar_pulse","","",null,null],[5,"gtk_progress_bar_set_ellipsize","","",null,null],[5,"gtk_progress_bar_set_fraction","","",null,null],[5,"gtk_progress_bar_set_inverted","","",null,null],[5,"gtk_progress_bar_set_pulse_step","","",null,null],[5,"gtk_progress_bar_set_show_text","","",null,null],[5,"gtk_progress_bar_set_text","","",null,null],[5,"gtk_progress_bar_accessible_get_type","","",null,null],[5,"gtk_radio_action_get_type","","",null,null],[5,"gtk_radio_action_new","","",null,null],[5,"gtk_radio_action_get_current_value","","",null,null],[5,"gtk_radio_action_get_group","","",null,null],[5,"gtk_radio_action_join_group","","",null,null],[5,"gtk_radio_action_set_current_value","","",null,null],[5,"gtk_radio_action_set_group","","",null,null],[5,"gtk_radio_button_get_type","","",null,null],[5,"gtk_radio_button_new","","",null,null],[5,"gtk_radio_button_new_from_widget","","",null,null],[5,"gtk_radio_button_new_with_label","","",null,null],[5,"gtk_radio_button_new_with_label_from_widget","","",null,null],[5,"gtk_radio_button_new_with_mnemonic","","",null,null],[5,"gtk_radio_button_new_with_mnemonic_from_widget","","",null,null],[5,"gtk_radio_button_get_group","","",null,null],[5,"gtk_radio_button_join_group","","",null,null],[5,"gtk_radio_button_set_group","","",null,null],[5,"gtk_radio_button_accessible_get_type","","",null,null],[5,"gtk_radio_menu_item_get_type","","",null,null],[5,"gtk_radio_menu_item_new","","",null,null],[5,"gtk_radio_menu_item_new_from_widget","","",null,null],[5,"gtk_radio_menu_item_new_with_label","","",null,null],[5,"gtk_radio_menu_item_new_with_label_from_widget","","",null,null],[5,"gtk_radio_menu_item_new_with_mnemonic","","",null,null],[5,"gtk_radio_menu_item_new_with_mnemonic_from_widget","","",null,null],[5,"gtk_radio_menu_item_get_group","","",null,null],[5,"gtk_radio_menu_item_join_group","","",null,null],[5,"gtk_radio_menu_item_set_group","","",null,null],[5,"gtk_radio_menu_item_accessible_get_type","","",null,null],[5,"gtk_radio_tool_button_get_type","","",null,null],[5,"gtk_radio_tool_button_new","","",null,null],[5,"gtk_radio_tool_button_new_from_stock","","",null,null],[5,"gtk_radio_tool_button_new_from_widget","","",null,null],[5,"gtk_radio_tool_button_new_with_stock_from_widget","","",null,null],[5,"gtk_radio_tool_button_get_group","","",null,null],[5,"gtk_radio_tool_button_set_group","","",null,null],[5,"gtk_range_get_type","","",null,null],[5,"gtk_range_get_adjustment","","",null,null],[5,"gtk_range_get_fill_level","","",null,null],[5,"gtk_range_get_flippable","","",null,null],[5,"gtk_range_get_inverted","","",null,null],[5,"gtk_range_get_lower_stepper_sensitivity","","",null,null],[5,"gtk_range_get_min_slider_size","","",null,null],[5,"gtk_range_get_range_rect","","",null,null],[5,"gtk_range_get_restrict_to_fill_level","","",null,null],[5,"gtk_range_get_round_digits","","",null,null],[5,"gtk_range_get_show_fill_level","","",null,null],[5,"gtk_range_get_slider_range","","",null,null],[5,"gtk_range_get_slider_size_fixed","","",null,null],[5,"gtk_range_get_upper_stepper_sensitivity","","",null,null],[5,"gtk_range_get_value","","",null,null],[5,"gtk_range_set_adjustment","","",null,null],[5,"gtk_range_set_fill_level","","",null,null],[5,"gtk_range_set_flippable","","",null,null],[5,"gtk_range_set_increments","","",null,null],[5,"gtk_range_set_inverted","","",null,null],[5,"gtk_range_set_lower_stepper_sensitivity","","",null,null],[5,"gtk_range_set_min_slider_size","","",null,null],[5,"gtk_range_set_range","","",null,null],[5,"gtk_range_set_restrict_to_fill_level","","",null,null],[5,"gtk_range_set_round_digits","","",null,null],[5,"gtk_range_set_show_fill_level","","",null,null],[5,"gtk_range_set_slider_size_fixed","","",null,null],[5,"gtk_range_set_upper_stepper_sensitivity","","",null,null],[5,"gtk_range_set_value","","",null,null],[5,"gtk_range_accessible_get_type","","",null,null],[5,"gtk_rc_style_get_type","","",null,null],[5,"gtk_rc_style_new","","",null,null],[5,"gtk_rc_style_copy","","",null,null],[5,"gtk_recent_action_get_type","","",null,null],[5,"gtk_recent_action_new","","",null,null],[5,"gtk_recent_action_new_for_manager","","",null,null],[5,"gtk_recent_action_get_show_numbers","","",null,null],[5,"gtk_recent_action_set_show_numbers","","",null,null],[5,"gtk_recent_chooser_dialog_get_type","","",null,null],[5,"gtk_recent_chooser_dialog_new","","",null,null],[5,"gtk_recent_chooser_dialog_new_for_manager","","",null,null],[5,"gtk_recent_chooser_menu_get_type","","",null,null],[5,"gtk_recent_chooser_menu_new","","",null,null],[5,"gtk_recent_chooser_menu_new_for_manager","","",null,null],[5,"gtk_recent_chooser_menu_get_show_numbers","","",null,null],[5,"gtk_recent_chooser_menu_set_show_numbers","","",null,null],[5,"gtk_recent_chooser_widget_get_type","","",null,null],[5,"gtk_recent_chooser_widget_new","","",null,null],[5,"gtk_recent_chooser_widget_new_for_manager","","",null,null],[5,"gtk_recent_filter_get_type","","",null,null],[5,"gtk_recent_filter_new","","",null,null],[5,"gtk_recent_filter_add_age","","",null,null],[5,"gtk_recent_filter_add_application","","",null,null],[5,"gtk_recent_filter_add_custom","","",null,null],[5,"gtk_recent_filter_add_group","","",null,null],[5,"gtk_recent_filter_add_mime_type","","",null,null],[5,"gtk_recent_filter_add_pattern","","",null,null],[5,"gtk_recent_filter_add_pixbuf_formats","","",null,null],[5,"gtk_recent_filter_filter","","",null,null],[5,"gtk_recent_filter_get_name","","",null,null],[5,"gtk_recent_filter_get_needed","","",null,null],[5,"gtk_recent_filter_set_name","","",null,null],[5,"gtk_recent_manager_get_type","","",null,null],[5,"gtk_recent_manager_new","","",null,null],[5,"gtk_recent_manager_get_default","","",null,null],[5,"gtk_recent_manager_add_full","","",null,null],[5,"gtk_recent_manager_add_item","","",null,null],[5,"gtk_recent_manager_get_items","","",null,null],[5,"gtk_recent_manager_has_item","","",null,null],[5,"gtk_recent_manager_lookup_item","","",null,null],[5,"gtk_recent_manager_move_item","","",null,null],[5,"gtk_recent_manager_purge_items","","",null,null],[5,"gtk_recent_manager_remove_item","","",null,null],[5,"gtk_renderer_cell_accessible_get_type","","",null,null],[5,"gtk_renderer_cell_accessible_new","","",null,null],[5,"gtk_revealer_get_type","","",null,null],[5,"gtk_revealer_new","","",null,null],[5,"gtk_revealer_get_child_revealed","","",null,null],[5,"gtk_revealer_get_reveal_child","","",null,null],[5,"gtk_revealer_get_transition_duration","","",null,null],[5,"gtk_revealer_get_transition_type","","",null,null],[5,"gtk_revealer_set_reveal_child","","",null,null],[5,"gtk_revealer_set_transition_duration","","",null,null],[5,"gtk_revealer_set_transition_type","","",null,null],[5,"gtk_scale_get_type","","",null,null],[5,"gtk_scale_new","","",null,null],[5,"gtk_scale_new_with_range","","",null,null],[5,"gtk_scale_add_mark","","",null,null],[5,"gtk_scale_clear_marks","","",null,null],[5,"gtk_scale_get_digits","","",null,null],[5,"gtk_scale_get_draw_value","","",null,null],[5,"gtk_scale_get_has_origin","","",null,null],[5,"gtk_scale_get_layout","","",null,null],[5,"gtk_scale_get_layout_offsets","","",null,null],[5,"gtk_scale_get_value_pos","","",null,null],[5,"gtk_scale_set_digits","","",null,null],[5,"gtk_scale_set_draw_value","","",null,null],[5,"gtk_scale_set_has_origin","","",null,null],[5,"gtk_scale_set_value_pos","","",null,null],[5,"gtk_scale_accessible_get_type","","",null,null],[5,"gtk_scale_button_get_type","","",null,null],[5,"gtk_scale_button_new","","",null,null],[5,"gtk_scale_button_get_adjustment","","",null,null],[5,"gtk_scale_button_get_minus_button","","",null,null],[5,"gtk_scale_button_get_plus_button","","",null,null],[5,"gtk_scale_button_get_popup","","",null,null],[5,"gtk_scale_button_get_value","","",null,null],[5,"gtk_scale_button_set_adjustment","","",null,null],[5,"gtk_scale_button_set_icons","","",null,null],[5,"gtk_scale_button_set_value","","",null,null],[5,"gtk_scale_button_accessible_get_type","","",null,null],[5,"gtk_scrollbar_get_type","","",null,null],[5,"gtk_scrollbar_new","","",null,null],[5,"gtk_scrolled_window_get_type","","",null,null],[5,"gtk_scrolled_window_new","","",null,null],[5,"gtk_scrolled_window_add_with_viewport","","",null,null],[5,"gtk_scrolled_window_get_capture_button_press","","",null,null],[5,"gtk_scrolled_window_get_hadjustment","","",null,null],[5,"gtk_scrolled_window_get_hscrollbar","","",null,null],[5,"gtk_scrolled_window_get_kinetic_scrolling","","",null,null],[5,"gtk_scrolled_window_get_max_content_height","","",null,null],[5,"gtk_scrolled_window_get_max_content_width","","",null,null],[5,"gtk_scrolled_window_get_min_content_height","","",null,null],[5,"gtk_scrolled_window_get_min_content_width","","",null,null],[5,"gtk_scrolled_window_get_overlay_scrolling","","",null,null],[5,"gtk_scrolled_window_get_placement","","",null,null],[5,"gtk_scrolled_window_get_policy","","",null,null],[5,"gtk_scrolled_window_get_propagate_natural_height","","",null,null],[5,"gtk_scrolled_window_get_propagate_natural_width","","",null,null],[5,"gtk_scrolled_window_get_shadow_type","","",null,null],[5,"gtk_scrolled_window_get_vadjustment","","",null,null],[5,"gtk_scrolled_window_get_vscrollbar","","",null,null],[5,"gtk_scrolled_window_set_capture_button_press","","",null,null],[5,"gtk_scrolled_window_set_hadjustment","","",null,null],[5,"gtk_scrolled_window_set_kinetic_scrolling","","",null,null],[5,"gtk_scrolled_window_set_max_content_height","","",null,null],[5,"gtk_scrolled_window_set_max_content_width","","",null,null],[5,"gtk_scrolled_window_set_min_content_height","","",null,null],[5,"gtk_scrolled_window_set_min_content_width","","",null,null],[5,"gtk_scrolled_window_set_overlay_scrolling","","",null,null],[5,"gtk_scrolled_window_set_placement","","",null,null],[5,"gtk_scrolled_window_set_policy","","",null,null],[5,"gtk_scrolled_window_set_propagate_natural_height","","",null,null],[5,"gtk_scrolled_window_set_propagate_natural_width","","",null,null],[5,"gtk_scrolled_window_set_shadow_type","","",null,null],[5,"gtk_scrolled_window_set_vadjustment","","",null,null],[5,"gtk_scrolled_window_unset_placement","","",null,null],[5,"gtk_scrolled_window_accessible_get_type","","",null,null],[5,"gtk_search_bar_get_type","","",null,null],[5,"gtk_search_bar_new","","",null,null],[5,"gtk_search_bar_connect_entry","","",null,null],[5,"gtk_search_bar_get_search_mode","","",null,null],[5,"gtk_search_bar_get_show_close_button","","",null,null],[5,"gtk_search_bar_handle_event","","",null,null],[5,"gtk_search_bar_set_search_mode","","",null,null],[5,"gtk_search_bar_set_show_close_button","","",null,null],[5,"gtk_search_entry_get_type","","",null,null],[5,"gtk_search_entry_new","","",null,null],[5,"gtk_search_entry_handle_event","","",null,null],[5,"gtk_separator_get_type","","",null,null],[5,"gtk_separator_new","","",null,null],[5,"gtk_separator_menu_item_get_type","","",null,null],[5,"gtk_separator_menu_item_new","","",null,null],[5,"gtk_separator_tool_item_get_type","","",null,null],[5,"gtk_separator_tool_item_new","","",null,null],[5,"gtk_separator_tool_item_get_draw","","",null,null],[5,"gtk_separator_tool_item_set_draw","","",null,null],[5,"gtk_settings_get_type","","",null,null],[5,"gtk_settings_get_default","","",null,null],[5,"gtk_settings_get_for_screen","","",null,null],[5,"gtk_settings_install_property","","",null,null],[5,"gtk_settings_install_property_parser","","",null,null],[5,"gtk_settings_reset_property","","",null,null],[5,"gtk_settings_set_double_property","","",null,null],[5,"gtk_settings_set_long_property","","",null,null],[5,"gtk_settings_set_property_value","","",null,null],[5,"gtk_settings_set_string_property","","",null,null],[5,"gtk_shortcut_label_get_type","","",null,null],[5,"gtk_shortcut_label_new","","",null,null],[5,"gtk_shortcut_label_get_accelerator","","",null,null],[5,"gtk_shortcut_label_get_disabled_text","","",null,null],[5,"gtk_shortcut_label_set_accelerator","","",null,null],[5,"gtk_shortcut_label_set_disabled_text","","",null,null],[5,"gtk_shortcuts_group_get_type","","",null,null],[5,"gtk_shortcuts_section_get_type","","",null,null],[5,"gtk_shortcuts_shortcut_get_type","","",null,null],[5,"gtk_shortcuts_window_get_type","","",null,null],[5,"gtk_size_group_get_type","","",null,null],[5,"gtk_size_group_new","","",null,null],[5,"gtk_size_group_add_widget","","",null,null],[5,"gtk_size_group_get_ignore_hidden","","",null,null],[5,"gtk_size_group_get_mode","","",null,null],[5,"gtk_size_group_get_widgets","","",null,null],[5,"gtk_size_group_remove_widget","","",null,null],[5,"gtk_size_group_set_ignore_hidden","","",null,null],[5,"gtk_size_group_set_mode","","",null,null],[5,"gtk_socket_get_type","","",null,null],[5,"gtk_socket_new","","",null,null],[5,"gtk_socket_get_plug_window","","",null,null],[5,"gtk_spin_button_get_type","","",null,null],[5,"gtk_spin_button_new","","",null,null],[5,"gtk_spin_button_new_with_range","","",null,null],[5,"gtk_spin_button_configure","","",null,null],[5,"gtk_spin_button_get_adjustment","","",null,null],[5,"gtk_spin_button_get_digits","","",null,null],[5,"gtk_spin_button_get_increments","","",null,null],[5,"gtk_spin_button_get_numeric","","",null,null],[5,"gtk_spin_button_get_range","","",null,null],[5,"gtk_spin_button_get_snap_to_ticks","","",null,null],[5,"gtk_spin_button_get_update_policy","","",null,null],[5,"gtk_spin_button_get_value","","",null,null],[5,"gtk_spin_button_get_value_as_int","","",null,null],[5,"gtk_spin_button_get_wrap","","",null,null],[5,"gtk_spin_button_set_adjustment","","",null,null],[5,"gtk_spin_button_set_digits","","",null,null],[5,"gtk_spin_button_set_increments","","",null,null],[5,"gtk_spin_button_set_numeric","","",null,null],[5,"gtk_spin_button_set_range","","",null,null],[5,"gtk_spin_button_set_snap_to_ticks","","",null,null],[5,"gtk_spin_button_set_update_policy","","",null,null],[5,"gtk_spin_button_set_value","","",null,null],[5,"gtk_spin_button_set_wrap","","",null,null],[5,"gtk_spin_button_spin","","",null,null],[5,"gtk_spin_button_update","","",null,null],[5,"gtk_spin_button_accessible_get_type","","",null,null],[5,"gtk_spinner_get_type","","",null,null],[5,"gtk_spinner_new","","",null,null],[5,"gtk_spinner_start","","",null,null],[5,"gtk_spinner_stop","","",null,null],[5,"gtk_spinner_accessible_get_type","","",null,null],[5,"gtk_stack_get_type","","",null,null],[5,"gtk_stack_new","","",null,null],[5,"gtk_stack_add_named","","",null,null],[5,"gtk_stack_add_titled","","",null,null],[5,"gtk_stack_get_child_by_name","","",null,null],[5,"gtk_stack_get_hhomogeneous","","",null,null],[5,"gtk_stack_get_homogeneous","","",null,null],[5,"gtk_stack_get_interpolate_size","","",null,null],[5,"gtk_stack_get_transition_duration","","",null,null],[5,"gtk_stack_get_transition_running","","",null,null],[5,"gtk_stack_get_transition_type","","",null,null],[5,"gtk_stack_get_vhomogeneous","","",null,null],[5,"gtk_stack_get_visible_child","","",null,null],[5,"gtk_stack_get_visible_child_name","","",null,null],[5,"gtk_stack_set_hhomogeneous","","",null,null],[5,"gtk_stack_set_homogeneous","","",null,null],[5,"gtk_stack_set_interpolate_size","","",null,null],[5,"gtk_stack_set_transition_duration","","",null,null],[5,"gtk_stack_set_transition_type","","",null,null],[5,"gtk_stack_set_vhomogeneous","","",null,null],[5,"gtk_stack_set_visible_child","","",null,null],[5,"gtk_stack_set_visible_child_full","","",null,null],[5,"gtk_stack_set_visible_child_name","","",null,null],[5,"gtk_stack_accessible_get_type","","",null,null],[5,"gtk_stack_sidebar_get_type","","",null,null],[5,"gtk_stack_sidebar_new","","",null,null],[5,"gtk_stack_sidebar_get_stack","","",null,null],[5,"gtk_stack_sidebar_set_stack","","",null,null],[5,"gtk_stack_switcher_get_type","","",null,null],[5,"gtk_stack_switcher_new","","",null,null],[5,"gtk_stack_switcher_get_stack","","",null,null],[5,"gtk_stack_switcher_set_stack","","",null,null],[5,"gtk_status_icon_get_type","","",null,null],[5,"gtk_status_icon_new","","",null,null],[5,"gtk_status_icon_new_from_file","","",null,null],[5,"gtk_status_icon_new_from_gicon","","",null,null],[5,"gtk_status_icon_new_from_icon_name","","",null,null],[5,"gtk_status_icon_new_from_pixbuf","","",null,null],[5,"gtk_status_icon_new_from_stock","","",null,null],[5,"gtk_status_icon_position_menu","","",null,null],[5,"gtk_status_icon_get_geometry","","",null,null],[5,"gtk_status_icon_get_gicon","","",null,null],[5,"gtk_status_icon_get_has_tooltip","","",null,null],[5,"gtk_status_icon_get_icon_name","","",null,null],[5,"gtk_status_icon_get_pixbuf","","",null,null],[5,"gtk_status_icon_get_screen","","",null,null],[5,"gtk_status_icon_get_size","","",null,null],[5,"gtk_status_icon_get_stock","","",null,null],[5,"gtk_status_icon_get_storage_type","","",null,null],[5,"gtk_status_icon_get_title","","",null,null],[5,"gtk_status_icon_get_tooltip_markup","","",null,null],[5,"gtk_status_icon_get_tooltip_text","","",null,null],[5,"gtk_status_icon_get_visible","","",null,null],[5,"gtk_status_icon_get_x11_window_id","","",null,null],[5,"gtk_status_icon_is_embedded","","",null,null],[5,"gtk_status_icon_set_from_file","","",null,null],[5,"gtk_status_icon_set_from_gicon","","",null,null],[5,"gtk_status_icon_set_from_icon_name","","",null,null],[5,"gtk_status_icon_set_from_pixbuf","","",null,null],[5,"gtk_status_icon_set_from_stock","","",null,null],[5,"gtk_status_icon_set_has_tooltip","","",null,null],[5,"gtk_status_icon_set_name","","",null,null],[5,"gtk_status_icon_set_screen","","",null,null],[5,"gtk_status_icon_set_title","","",null,null],[5,"gtk_status_icon_set_tooltip_markup","","",null,null],[5,"gtk_status_icon_set_tooltip_text","","",null,null],[5,"gtk_status_icon_set_visible","","",null,null],[5,"gtk_statusbar_get_type","","",null,null],[5,"gtk_statusbar_new","","",null,null],[5,"gtk_statusbar_get_context_id","","",null,null],[5,"gtk_statusbar_get_message_area","","",null,null],[5,"gtk_statusbar_pop","","",null,null],[5,"gtk_statusbar_push","","",null,null],[5,"gtk_statusbar_remove","","",null,null],[5,"gtk_statusbar_remove_all","","",null,null],[5,"gtk_statusbar_accessible_get_type","","",null,null],[5,"gtk_style_get_type","","",null,null],[5,"gtk_style_new","","",null,null],[5,"gtk_style_apply_default_background","","",null,null],[5,"gtk_style_attach","","",null,null],[5,"gtk_style_copy","","",null,null],[5,"gtk_style_detach","","",null,null],[5,"gtk_style_get","","",null,null],[5,"gtk_style_get_style_property","","",null,null],[5,"gtk_style_has_context","","",null,null],[5,"gtk_style_lookup_color","","",null,null],[5,"gtk_style_lookup_icon_set","","",null,null],[5,"gtk_style_render_icon","","",null,null],[5,"gtk_style_set_background","","",null,null],[5,"gtk_style_context_get_type","","",null,null],[5,"gtk_style_context_new","","",null,null],[5,"gtk_style_context_add_provider_for_screen","","",null,null],[5,"gtk_style_context_remove_provider_for_screen","","",null,null],[5,"gtk_style_context_reset_widgets","","",null,null],[5,"gtk_style_context_add_class","","",null,null],[5,"gtk_style_context_add_provider","","",null,null],[5,"gtk_style_context_add_region","","",null,null],[5,"gtk_style_context_cancel_animations","","",null,null],[5,"gtk_style_context_get","","",null,null],[5,"gtk_style_context_get_background_color","","",null,null],[5,"gtk_style_context_get_border","","",null,null],[5,"gtk_style_context_get_border_color","","",null,null],[5,"gtk_style_context_get_color","","",null,null],[5,"gtk_style_context_get_direction","","",null,null],[5,"gtk_style_context_get_font","","",null,null],[5,"gtk_style_context_get_frame_clock","","",null,null],[5,"gtk_style_context_get_junction_sides","","",null,null],[5,"gtk_style_context_get_margin","","",null,null],[5,"gtk_style_context_get_padding","","",null,null],[5,"gtk_style_context_get_parent","","",null,null],[5,"gtk_style_context_get_path","","",null,null],[5,"gtk_style_context_get_property","","",null,null],[5,"gtk_style_context_get_scale","","",null,null],[5,"gtk_style_context_get_screen","","",null,null],[5,"gtk_style_context_get_section","","",null,null],[5,"gtk_style_context_get_state","","",null,null],[5,"gtk_style_context_get_style","","",null,null],[5,"gtk_style_context_get_style_property","","",null,null],[5,"gtk_style_context_has_class","","",null,null],[5,"gtk_style_context_has_region","","",null,null],[5,"gtk_style_context_invalidate","","",null,null],[5,"gtk_style_context_list_classes","","",null,null],[5,"gtk_style_context_list_regions","","",null,null],[5,"gtk_style_context_lookup_color","","",null,null],[5,"gtk_style_context_lookup_icon_set","","",null,null],[5,"gtk_style_context_notify_state_change","","",null,null],[5,"gtk_style_context_pop_animatable_region","","",null,null],[5,"gtk_style_context_push_animatable_region","","",null,null],[5,"gtk_style_context_remove_class","","",null,null],[5,"gtk_style_context_remove_provider","","",null,null],[5,"gtk_style_context_remove_region","","",null,null],[5,"gtk_style_context_restore","","",null,null],[5,"gtk_style_context_save","","",null,null],[5,"gtk_style_context_scroll_animations","","",null,null],[5,"gtk_style_context_set_background","","",null,null],[5,"gtk_style_context_set_direction","","",null,null],[5,"gtk_style_context_set_frame_clock","","",null,null],[5,"gtk_style_context_set_junction_sides","","",null,null],[5,"gtk_style_context_set_parent","","",null,null],[5,"gtk_style_context_set_path","","",null,null],[5,"gtk_style_context_set_scale","","",null,null],[5,"gtk_style_context_set_screen","","",null,null],[5,"gtk_style_context_set_state","","",null,null],[5,"gtk_style_context_state_is_running","","",null,null],[5,"gtk_style_context_to_string","","",null,null],[5,"gtk_style_properties_get_type","","",null,null],[5,"gtk_style_properties_new","","",null,null],[5,"gtk_style_properties_lookup_property","","",null,null],[5,"gtk_style_properties_register_property","","",null,null],[5,"gtk_style_properties_clear","","",null,null],[5,"gtk_style_properties_get","","",null,null],[5,"gtk_style_properties_get_property","","",null,null],[5,"gtk_style_properties_lookup_color","","",null,null],[5,"gtk_style_properties_map_color","","",null,null],[5,"gtk_style_properties_merge","","",null,null],[5,"gtk_style_properties_set","","",null,null],[5,"gtk_style_properties_set_property","","",null,null],[5,"gtk_style_properties_unset_property","","",null,null],[5,"gtk_switch_get_type","","",null,null],[5,"gtk_switch_new","","",null,null],[5,"gtk_switch_get_active","","",null,null],[5,"gtk_switch_get_state","","",null,null],[5,"gtk_switch_set_active","","",null,null],[5,"gtk_switch_set_state","","",null,null],[5,"gtk_switch_accessible_get_type","","",null,null],[5,"gtk_table_get_type","","",null,null],[5,"gtk_table_new","","",null,null],[5,"gtk_table_attach","","",null,null],[5,"gtk_table_attach_defaults","","",null,null],[5,"gtk_table_get_col_spacing","","",null,null],[5,"gtk_table_get_default_col_spacing","","",null,null],[5,"gtk_table_get_default_row_spacing","","",null,null],[5,"gtk_table_get_homogeneous","","",null,null],[5,"gtk_table_get_row_spacing","","",null,null],[5,"gtk_table_get_size","","",null,null],[5,"gtk_table_resize","","",null,null],[5,"gtk_table_set_col_spacing","","",null,null],[5,"gtk_table_set_col_spacings","","",null,null],[5,"gtk_table_set_homogeneous","","",null,null],[5,"gtk_table_set_row_spacing","","",null,null],[5,"gtk_table_set_row_spacings","","",null,null],[5,"gtk_tearoff_menu_item_get_type","","",null,null],[5,"gtk_tearoff_menu_item_new","","",null,null],[5,"gtk_text_buffer_get_type","","",null,null],[5,"gtk_text_buffer_new","","",null,null],[5,"gtk_text_buffer_add_mark","","",null,null],[5,"gtk_text_buffer_add_selection_clipboard","","",null,null],[5,"gtk_text_buffer_apply_tag","","",null,null],[5,"gtk_text_buffer_apply_tag_by_name","","",null,null],[5,"gtk_text_buffer_backspace","","",null,null],[5,"gtk_text_buffer_begin_user_action","","",null,null],[5,"gtk_text_buffer_copy_clipboard","","",null,null],[5,"gtk_text_buffer_create_child_anchor","","",null,null],[5,"gtk_text_buffer_create_mark","","",null,null],[5,"gtk_text_buffer_create_tag","","",null,null],[5,"gtk_text_buffer_cut_clipboard","","",null,null],[5,"gtk_text_buffer_delete","","",null,null],[5,"gtk_text_buffer_delete_interactive","","",null,null],[5,"gtk_text_buffer_delete_mark","","",null,null],[5,"gtk_text_buffer_delete_mark_by_name","","",null,null],[5,"gtk_text_buffer_delete_selection","","",null,null],[5,"gtk_text_buffer_deserialize","","",null,null],[5,"gtk_text_buffer_deserialize_get_can_create_tags","","",null,null],[5,"gtk_text_buffer_deserialize_set_can_create_tags","","",null,null],[5,"gtk_text_buffer_end_user_action","","",null,null],[5,"gtk_text_buffer_get_bounds","","",null,null],[5,"gtk_text_buffer_get_char_count","","",null,null],[5,"gtk_text_buffer_get_copy_target_list","","",null,null],[5,"gtk_text_buffer_get_deserialize_formats","","",null,null],[5,"gtk_text_buffer_get_end_iter","","",null,null],[5,"gtk_text_buffer_get_has_selection","","",null,null],[5,"gtk_text_buffer_get_insert","","",null,null],[5,"gtk_text_buffer_get_iter_at_child_anchor","","",null,null],[5,"gtk_text_buffer_get_iter_at_line","","",null,null],[5,"gtk_text_buffer_get_iter_at_line_index","","",null,null],[5,"gtk_text_buffer_get_iter_at_line_offset","","",null,null],[5,"gtk_text_buffer_get_iter_at_mark","","",null,null],[5,"gtk_text_buffer_get_iter_at_offset","","",null,null],[5,"gtk_text_buffer_get_line_count","","",null,null],[5,"gtk_text_buffer_get_mark","","",null,null],[5,"gtk_text_buffer_get_modified","","",null,null],[5,"gtk_text_buffer_get_paste_target_list","","",null,null],[5,"gtk_text_buffer_get_selection_bound","","",null,null],[5,"gtk_text_buffer_get_selection_bounds","","",null,null],[5,"gtk_text_buffer_get_serialize_formats","","",null,null],[5,"gtk_text_buffer_get_slice","","",null,null],[5,"gtk_text_buffer_get_start_iter","","",null,null],[5,"gtk_text_buffer_get_tag_table","","",null,null],[5,"gtk_text_buffer_get_text","","",null,null],[5,"gtk_text_buffer_insert","","",null,null],[5,"gtk_text_buffer_insert_at_cursor","","",null,null],[5,"gtk_text_buffer_insert_child_anchor","","",null,null],[5,"gtk_text_buffer_insert_interactive","","",null,null],[5,"gtk_text_buffer_insert_interactive_at_cursor","","",null,null],[5,"gtk_text_buffer_insert_markup","","",null,null],[5,"gtk_text_buffer_insert_pixbuf","","",null,null],[5,"gtk_text_buffer_insert_range","","",null,null],[5,"gtk_text_buffer_insert_range_interactive","","",null,null],[5,"gtk_text_buffer_insert_with_tags","","",null,null],[5,"gtk_text_buffer_insert_with_tags_by_name","","",null,null],[5,"gtk_text_buffer_move_mark","","",null,null],[5,"gtk_text_buffer_move_mark_by_name","","",null,null],[5,"gtk_text_buffer_paste_clipboard","","",null,null],[5,"gtk_text_buffer_place_cursor","","",null,null],[5,"gtk_text_buffer_register_deserialize_format","","",null,null],[5,"gtk_text_buffer_register_deserialize_tagset","","",null,null],[5,"gtk_text_buffer_register_serialize_format","","",null,null],[5,"gtk_text_buffer_register_serialize_tagset","","",null,null],[5,"gtk_text_buffer_remove_all_tags","","",null,null],[5,"gtk_text_buffer_remove_selection_clipboard","","",null,null],[5,"gtk_text_buffer_remove_tag","","",null,null],[5,"gtk_text_buffer_remove_tag_by_name","","",null,null],[5,"gtk_text_buffer_select_range","","",null,null],[5,"gtk_text_buffer_serialize","","",null,null],[5,"gtk_text_buffer_set_modified","","",null,null],[5,"gtk_text_buffer_set_text","","",null,null],[5,"gtk_text_buffer_unregister_deserialize_format","","",null,null],[5,"gtk_text_buffer_unregister_serialize_format","","",null,null],[5,"gtk_text_cell_accessible_get_type","","",null,null],[5,"gtk_text_child_anchor_get_type","","",null,null],[5,"gtk_text_child_anchor_new","","",null,null],[5,"gtk_text_child_anchor_get_deleted","","",null,null],[5,"gtk_text_child_anchor_get_widgets","","",null,null],[5,"gtk_text_mark_get_type","","",null,null],[5,"gtk_text_mark_new","","",null,null],[5,"gtk_text_mark_get_buffer","","",null,null],[5,"gtk_text_mark_get_deleted","","",null,null],[5,"gtk_text_mark_get_left_gravity","","",null,null],[5,"gtk_text_mark_get_name","","",null,null],[5,"gtk_text_mark_get_visible","","",null,null],[5,"gtk_text_mark_set_visible","","",null,null],[5,"gtk_text_tag_get_type","","",null,null],[5,"gtk_text_tag_new","","",null,null],[5,"gtk_text_tag_changed","","",null,null],[5,"gtk_text_tag_event","","",null,null],[5,"gtk_text_tag_get_priority","","",null,null],[5,"gtk_text_tag_set_priority","","",null,null],[5,"gtk_text_tag_table_get_type","","",null,null],[5,"gtk_text_tag_table_new","","",null,null],[5,"gtk_text_tag_table_add","","",null,null],[5,"gtk_text_tag_table_foreach","","",null,null],[5,"gtk_text_tag_table_get_size","","",null,null],[5,"gtk_text_tag_table_lookup","","",null,null],[5,"gtk_text_tag_table_remove","","",null,null],[5,"gtk_text_view_get_type","","",null,null],[5,"gtk_text_view_new","","",null,null],[5,"gtk_text_view_new_with_buffer","","",null,null],[5,"gtk_text_view_add_child_at_anchor","","",null,null],[5,"gtk_text_view_add_child_in_window","","",null,null],[5,"gtk_text_view_backward_display_line","","",null,null],[5,"gtk_text_view_backward_display_line_start","","",null,null],[5,"gtk_text_view_buffer_to_window_coords","","",null,null],[5,"gtk_text_view_forward_display_line","","",null,null],[5,"gtk_text_view_forward_display_line_end","","",null,null],[5,"gtk_text_view_get_accepts_tab","","",null,null],[5,"gtk_text_view_get_border_window_size","","",null,null],[5,"gtk_text_view_get_bottom_margin","","",null,null],[5,"gtk_text_view_get_buffer","","",null,null],[5,"gtk_text_view_get_cursor_locations","","",null,null],[5,"gtk_text_view_get_cursor_visible","","",null,null],[5,"gtk_text_view_get_default_attributes","","",null,null],[5,"gtk_text_view_get_editable","","",null,null],[5,"gtk_text_view_get_hadjustment","","",null,null],[5,"gtk_text_view_get_indent","","",null,null],[5,"gtk_text_view_get_input_hints","","",null,null],[5,"gtk_text_view_get_input_purpose","","",null,null],[5,"gtk_text_view_get_iter_at_location","","",null,null],[5,"gtk_text_view_get_iter_at_position","","",null,null],[5,"gtk_text_view_get_iter_location","","",null,null],[5,"gtk_text_view_get_justification","","",null,null],[5,"gtk_text_view_get_left_margin","","",null,null],[5,"gtk_text_view_get_line_at_y","","",null,null],[5,"gtk_text_view_get_line_yrange","","",null,null],[5,"gtk_text_view_get_monospace","","",null,null],[5,"gtk_text_view_get_overwrite","","",null,null],[5,"gtk_text_view_get_pixels_above_lines","","",null,null],[5,"gtk_text_view_get_pixels_below_lines","","",null,null],[5,"gtk_text_view_get_pixels_inside_wrap","","",null,null],[5,"gtk_text_view_get_right_margin","","",null,null],[5,"gtk_text_view_get_tabs","","",null,null],[5,"gtk_text_view_get_top_margin","","",null,null],[5,"gtk_text_view_get_vadjustment","","",null,null],[5,"gtk_text_view_get_visible_rect","","",null,null],[5,"gtk_text_view_get_window","","",null,null],[5,"gtk_text_view_get_window_type","","",null,null],[5,"gtk_text_view_get_wrap_mode","","",null,null],[5,"gtk_text_view_im_context_filter_keypress","","",null,null],[5,"gtk_text_view_move_child","","",null,null],[5,"gtk_text_view_move_mark_onscreen","","",null,null],[5,"gtk_text_view_move_visually","","",null,null],[5,"gtk_text_view_place_cursor_onscreen","","",null,null],[5,"gtk_text_view_reset_cursor_blink","","",null,null],[5,"gtk_text_view_reset_im_context","","",null,null],[5,"gtk_text_view_scroll_mark_onscreen","","",null,null],[5,"gtk_text_view_scroll_to_iter","","",null,null],[5,"gtk_text_view_scroll_to_mark","","",null,null],[5,"gtk_text_view_set_accepts_tab","","",null,null],[5,"gtk_text_view_set_border_window_size","","",null,null],[5,"gtk_text_view_set_bottom_margin","","",null,null],[5,"gtk_text_view_set_buffer","","",null,null],[5,"gtk_text_view_set_cursor_visible","","",null,null],[5,"gtk_text_view_set_editable","","",null,null],[5,"gtk_text_view_set_indent","","",null,null],[5,"gtk_text_view_set_input_hints","","",null,null],[5,"gtk_text_view_set_input_purpose","","",null,null],[5,"gtk_text_view_set_justification","","",null,null],[5,"gtk_text_view_set_left_margin","","",null,null],[5,"gtk_text_view_set_monospace","","",null,null],[5,"gtk_text_view_set_overwrite","","",null,null],[5,"gtk_text_view_set_pixels_above_lines","","",null,null],[5,"gtk_text_view_set_pixels_below_lines","","",null,null],[5,"gtk_text_view_set_pixels_inside_wrap","","",null,null],[5,"gtk_text_view_set_right_margin","","",null,null],[5,"gtk_text_view_set_tabs","","",null,null],[5,"gtk_text_view_set_top_margin","","",null,null],[5,"gtk_text_view_set_wrap_mode","","",null,null],[5,"gtk_text_view_starts_display_line","","",null,null],[5,"gtk_text_view_window_to_buffer_coords","","",null,null],[5,"gtk_text_view_accessible_get_type","","",null,null],[5,"gtk_theming_engine_get_type","","",null,null],[5,"gtk_theming_engine_load","","",null,null],[5,"gtk_theming_engine_register_property","","",null,null],[5,"gtk_theming_engine_get","","",null,null],[5,"gtk_theming_engine_get_background_color","","",null,null],[5,"gtk_theming_engine_get_border","","",null,null],[5,"gtk_theming_engine_get_border_color","","",null,null],[5,"gtk_theming_engine_get_color","","",null,null],[5,"gtk_theming_engine_get_direction","","",null,null],[5,"gtk_theming_engine_get_font","","",null,null],[5,"gtk_theming_engine_get_junction_sides","","",null,null],[5,"gtk_theming_engine_get_margin","","",null,null],[5,"gtk_theming_engine_get_padding","","",null,null],[5,"gtk_theming_engine_get_path","","",null,null],[5,"gtk_theming_engine_get_property","","",null,null],[5,"gtk_theming_engine_get_screen","","",null,null],[5,"gtk_theming_engine_get_state","","",null,null],[5,"gtk_theming_engine_get_style","","",null,null],[5,"gtk_theming_engine_get_style_property","","",null,null],[5,"gtk_theming_engine_has_class","","",null,null],[5,"gtk_theming_engine_has_region","","",null,null],[5,"gtk_theming_engine_lookup_color","","",null,null],[5,"gtk_theming_engine_state_is_running","","",null,null],[5,"gtk_toggle_action_get_type","","",null,null],[5,"gtk_toggle_action_new","","",null,null],[5,"gtk_toggle_action_get_active","","",null,null],[5,"gtk_toggle_action_get_draw_as_radio","","",null,null],[5,"gtk_toggle_action_set_active","","",null,null],[5,"gtk_toggle_action_set_draw_as_radio","","",null,null],[5,"gtk_toggle_action_toggled","","",null,null],[5,"gtk_toggle_button_get_type","","",null,null],[5,"gtk_toggle_button_new","","",null,null],[5,"gtk_toggle_button_new_with_label","","",null,null],[5,"gtk_toggle_button_new_with_mnemonic","","",null,null],[5,"gtk_toggle_button_get_active","","",null,null],[5,"gtk_toggle_button_get_inconsistent","","",null,null],[5,"gtk_toggle_button_get_mode","","",null,null],[5,"gtk_toggle_button_set_active","","",null,null],[5,"gtk_toggle_button_set_inconsistent","","",null,null],[5,"gtk_toggle_button_set_mode","","",null,null],[5,"gtk_toggle_button_toggled","","",null,null],[5,"gtk_toggle_button_accessible_get_type","","",null,null],[5,"gtk_toggle_tool_button_get_type","","",null,null],[5,"gtk_toggle_tool_button_new","","",null,null],[5,"gtk_toggle_tool_button_new_from_stock","","",null,null],[5,"gtk_toggle_tool_button_get_active","","",null,null],[5,"gtk_toggle_tool_button_set_active","","",null,null],[5,"gtk_tool_button_get_type","","",null,null],[5,"gtk_tool_button_new","","",null,null],[5,"gtk_tool_button_new_from_stock","","",null,null],[5,"gtk_tool_button_get_icon_name","","",null,null],[5,"gtk_tool_button_get_icon_widget","","",null,null],[5,"gtk_tool_button_get_label","","",null,null],[5,"gtk_tool_button_get_label_widget","","",null,null],[5,"gtk_tool_button_get_stock_id","","",null,null],[5,"gtk_tool_button_get_use_underline","","",null,null],[5,"gtk_tool_button_set_icon_name","","",null,null],[5,"gtk_tool_button_set_icon_widget","","",null,null],[5,"gtk_tool_button_set_label","","",null,null],[5,"gtk_tool_button_set_label_widget","","",null,null],[5,"gtk_tool_button_set_stock_id","","",null,null],[5,"gtk_tool_button_set_use_underline","","",null,null],[5,"gtk_tool_item_get_type","","",null,null],[5,"gtk_tool_item_new","","",null,null],[5,"gtk_tool_item_get_ellipsize_mode","","",null,null],[5,"gtk_tool_item_get_expand","","",null,null],[5,"gtk_tool_item_get_homogeneous","","",null,null],[5,"gtk_tool_item_get_icon_size","","",null,null],[5,"gtk_tool_item_get_is_important","","",null,null],[5,"gtk_tool_item_get_orientation","","",null,null],[5,"gtk_tool_item_get_proxy_menu_item","","",null,null],[5,"gtk_tool_item_get_relief_style","","",null,null],[5,"gtk_tool_item_get_text_alignment","","",null,null],[5,"gtk_tool_item_get_text_orientation","","",null,null],[5,"gtk_tool_item_get_text_size_group","","",null,null],[5,"gtk_tool_item_get_toolbar_style","","",null,null],[5,"gtk_tool_item_get_use_drag_window","","",null,null],[5,"gtk_tool_item_get_visible_horizontal","","",null,null],[5,"gtk_tool_item_get_visible_vertical","","",null,null],[5,"gtk_tool_item_rebuild_menu","","",null,null],[5,"gtk_tool_item_retrieve_proxy_menu_item","","",null,null],[5,"gtk_tool_item_set_expand","","",null,null],[5,"gtk_tool_item_set_homogeneous","","",null,null],[5,"gtk_tool_item_set_is_important","","",null,null],[5,"gtk_tool_item_set_proxy_menu_item","","",null,null],[5,"gtk_tool_item_set_tooltip_markup","","",null,null],[5,"gtk_tool_item_set_tooltip_text","","",null,null],[5,"gtk_tool_item_set_use_drag_window","","",null,null],[5,"gtk_tool_item_set_visible_horizontal","","",null,null],[5,"gtk_tool_item_set_visible_vertical","","",null,null],[5,"gtk_tool_item_toolbar_reconfigured","","",null,null],[5,"gtk_tool_item_group_get_type","","",null,null],[5,"gtk_tool_item_group_new","","",null,null],[5,"gtk_tool_item_group_get_collapsed","","",null,null],[5,"gtk_tool_item_group_get_drop_item","","",null,null],[5,"gtk_tool_item_group_get_ellipsize","","",null,null],[5,"gtk_tool_item_group_get_header_relief","","",null,null],[5,"gtk_tool_item_group_get_item_position","","",null,null],[5,"gtk_tool_item_group_get_label","","",null,null],[5,"gtk_tool_item_group_get_label_widget","","",null,null],[5,"gtk_tool_item_group_get_n_items","","",null,null],[5,"gtk_tool_item_group_get_nth_item","","",null,null],[5,"gtk_tool_item_group_insert","","",null,null],[5,"gtk_tool_item_group_set_collapsed","","",null,null],[5,"gtk_tool_item_group_set_ellipsize","","",null,null],[5,"gtk_tool_item_group_set_header_relief","","",null,null],[5,"gtk_tool_item_group_set_item_position","","",null,null],[5,"gtk_tool_item_group_set_label","","",null,null],[5,"gtk_tool_item_group_set_label_widget","","",null,null],[5,"gtk_tool_palette_get_type","","",null,null],[5,"gtk_tool_palette_new","","",null,null],[5,"gtk_tool_palette_get_drag_target_group","","",null,null],[5,"gtk_tool_palette_get_drag_target_item","","",null,null],[5,"gtk_tool_palette_add_drag_dest","","",null,null],[5,"gtk_tool_palette_get_drag_item","","",null,null],[5,"gtk_tool_palette_get_drop_group","","",null,null],[5,"gtk_tool_palette_get_drop_item","","",null,null],[5,"gtk_tool_palette_get_exclusive","","",null,null],[5,"gtk_tool_palette_get_expand","","",null,null],[5,"gtk_tool_palette_get_group_position","","",null,null],[5,"gtk_tool_palette_get_hadjustment","","",null,null],[5,"gtk_tool_palette_get_icon_size","","",null,null],[5,"gtk_tool_palette_get_style","","",null,null],[5,"gtk_tool_palette_get_vadjustment","","",null,null],[5,"gtk_tool_palette_set_drag_source","","",null,null],[5,"gtk_tool_palette_set_exclusive","","",null,null],[5,"gtk_tool_palette_set_expand","","",null,null],[5,"gtk_tool_palette_set_group_position","","",null,null],[5,"gtk_tool_palette_set_icon_size","","",null,null],[5,"gtk_tool_palette_set_style","","",null,null],[5,"gtk_tool_palette_unset_icon_size","","",null,null],[5,"gtk_tool_palette_unset_style","","",null,null],[5,"gtk_toolbar_get_type","","",null,null],[5,"gtk_toolbar_new","","",null,null],[5,"gtk_toolbar_get_drop_index","","",null,null],[5,"gtk_toolbar_get_icon_size","","",null,null],[5,"gtk_toolbar_get_item_index","","",null,null],[5,"gtk_toolbar_get_n_items","","",null,null],[5,"gtk_toolbar_get_nth_item","","",null,null],[5,"gtk_toolbar_get_relief_style","","",null,null],[5,"gtk_toolbar_get_show_arrow","","",null,null],[5,"gtk_toolbar_get_style","","",null,null],[5,"gtk_toolbar_insert","","",null,null],[5,"gtk_toolbar_set_drop_highlight_item","","",null,null],[5,"gtk_toolbar_set_icon_size","","",null,null],[5,"gtk_toolbar_set_show_arrow","","",null,null],[5,"gtk_toolbar_set_style","","",null,null],[5,"gtk_toolbar_unset_icon_size","","",null,null],[5,"gtk_toolbar_unset_style","","",null,null],[5,"gtk_tooltip_get_type","","",null,null],[5,"gtk_tooltip_trigger_tooltip_query","","",null,null],[5,"gtk_tooltip_set_custom","","",null,null],[5,"gtk_tooltip_set_icon","","",null,null],[5,"gtk_tooltip_set_icon_from_gicon","","",null,null],[5,"gtk_tooltip_set_icon_from_icon_name","","",null,null],[5,"gtk_tooltip_set_icon_from_stock","","",null,null],[5,"gtk_tooltip_set_markup","","",null,null],[5,"gtk_tooltip_set_text","","",null,null],[5,"gtk_tooltip_set_tip_area","","",null,null],[5,"gtk_toplevel_accessible_get_type","","",null,null],[5,"gtk_toplevel_accessible_get_children","","",null,null],[5,"gtk_tree_model_filter_get_type","","",null,null],[5,"gtk_tree_model_filter_clear_cache","","",null,null],[5,"gtk_tree_model_filter_convert_child_iter_to_iter","","",null,null],[5,"gtk_tree_model_filter_convert_child_path_to_path","","",null,null],[5,"gtk_tree_model_filter_convert_iter_to_child_iter","","",null,null],[5,"gtk_tree_model_filter_convert_path_to_child_path","","",null,null],[5,"gtk_tree_model_filter_get_model","","",null,null],[5,"gtk_tree_model_filter_refilter","","",null,null],[5,"gtk_tree_model_filter_set_modify_func","","",null,null],[5,"gtk_tree_model_filter_set_visible_column","","",null,null],[5,"gtk_tree_model_filter_set_visible_func","","",null,null],[5,"gtk_tree_model_sort_get_type","","",null,null],[5,"gtk_tree_model_sort_clear_cache","","",null,null],[5,"gtk_tree_model_sort_convert_child_iter_to_iter","","",null,null],[5,"gtk_tree_model_sort_convert_child_path_to_path","","",null,null],[5,"gtk_tree_model_sort_convert_iter_to_child_iter","","",null,null],[5,"gtk_tree_model_sort_convert_path_to_child_path","","",null,null],[5,"gtk_tree_model_sort_get_model","","",null,null],[5,"gtk_tree_model_sort_iter_is_valid","","",null,null],[5,"gtk_tree_model_sort_reset_default_sort_func","","",null,null],[5,"gtk_tree_selection_get_type","","",null,null],[5,"gtk_tree_selection_count_selected_rows","","",null,null],[5,"gtk_tree_selection_get_mode","","",null,null],[5,"gtk_tree_selection_get_select_function","","",null,null],[5,"gtk_tree_selection_get_selected","","",null,null],[5,"gtk_tree_selection_get_selected_rows","","",null,null],[5,"gtk_tree_selection_get_tree_view","","",null,null],[5,"gtk_tree_selection_get_user_data","","",null,null],[5,"gtk_tree_selection_iter_is_selected","","",null,null],[5,"gtk_tree_selection_path_is_selected","","",null,null],[5,"gtk_tree_selection_select_all","","",null,null],[5,"gtk_tree_selection_select_iter","","",null,null],[5,"gtk_tree_selection_select_path","","",null,null],[5,"gtk_tree_selection_select_range","","",null,null],[5,"gtk_tree_selection_selected_foreach","","",null,null],[5,"gtk_tree_selection_set_mode","","",null,null],[5,"gtk_tree_selection_set_select_function","","",null,null],[5,"gtk_tree_selection_unselect_all","","",null,null],[5,"gtk_tree_selection_unselect_iter","","",null,null],[5,"gtk_tree_selection_unselect_path","","",null,null],[5,"gtk_tree_selection_unselect_range","","",null,null],[5,"gtk_tree_store_get_type","","",null,null],[5,"gtk_tree_store_new","","",null,null],[5,"gtk_tree_store_newv","","",null,null],[5,"gtk_tree_store_append","","",null,null],[5,"gtk_tree_store_clear","","",null,null],[5,"gtk_tree_store_insert","","",null,null],[5,"gtk_tree_store_insert_after","","",null,null],[5,"gtk_tree_store_insert_before","","",null,null],[5,"gtk_tree_store_insert_with_values","","",null,null],[5,"gtk_tree_store_insert_with_valuesv","","",null,null],[5,"gtk_tree_store_is_ancestor","","",null,null],[5,"gtk_tree_store_iter_depth","","",null,null],[5,"gtk_tree_store_iter_is_valid","","",null,null],[5,"gtk_tree_store_move_after","","",null,null],[5,"gtk_tree_store_move_before","","",null,null],[5,"gtk_tree_store_prepend","","",null,null],[5,"gtk_tree_store_remove","","",null,null],[5,"gtk_tree_store_reorder","","",null,null],[5,"gtk_tree_store_set","","",null,null],[5,"gtk_tree_store_set_column_types","","",null,null],[5,"gtk_tree_store_set_value","","",null,null],[5,"gtk_tree_store_set_valuesv","","",null,null],[5,"gtk_tree_store_swap","","",null,null],[5,"gtk_tree_view_get_type","","",null,null],[5,"gtk_tree_view_new","","",null,null],[5,"gtk_tree_view_new_with_model","","",null,null],[5,"gtk_tree_view_append_column","","",null,null],[5,"gtk_tree_view_collapse_all","","",null,null],[5,"gtk_tree_view_collapse_row","","",null,null],[5,"gtk_tree_view_columns_autosize","","",null,null],[5,"gtk_tree_view_convert_bin_window_to_tree_coords","","",null,null],[5,"gtk_tree_view_convert_bin_window_to_widget_coords","","",null,null],[5,"gtk_tree_view_convert_tree_to_bin_window_coords","","",null,null],[5,"gtk_tree_view_convert_tree_to_widget_coords","","",null,null],[5,"gtk_tree_view_convert_widget_to_bin_window_coords","","",null,null],[5,"gtk_tree_view_convert_widget_to_tree_coords","","",null,null],[5,"gtk_tree_view_create_row_drag_icon","","",null,null],[5,"gtk_tree_view_enable_model_drag_dest","","",null,null],[5,"gtk_tree_view_enable_model_drag_source","","",null,null],[5,"gtk_tree_view_expand_all","","",null,null],[5,"gtk_tree_view_expand_row","","",null,null],[5,"gtk_tree_view_expand_to_path","","",null,null],[5,"gtk_tree_view_get_activate_on_single_click","","",null,null],[5,"gtk_tree_view_get_background_area","","",null,null],[5,"gtk_tree_view_get_bin_window","","",null,null],[5,"gtk_tree_view_get_cell_area","","",null,null],[5,"gtk_tree_view_get_column","","",null,null],[5,"gtk_tree_view_get_columns","","",null,null],[5,"gtk_tree_view_get_cursor","","",null,null],[5,"gtk_tree_view_get_dest_row_at_pos","","",null,null],[5,"gtk_tree_view_get_drag_dest_row","","",null,null],[5,"gtk_tree_view_get_enable_search","","",null,null],[5,"gtk_tree_view_get_enable_tree_lines","","",null,null],[5,"gtk_tree_view_get_expander_column","","",null,null],[5,"gtk_tree_view_get_fixed_height_mode","","",null,null],[5,"gtk_tree_view_get_grid_lines","","",null,null],[5,"gtk_tree_view_get_hadjustment","","",null,null],[5,"gtk_tree_view_get_headers_clickable","","",null,null],[5,"gtk_tree_view_get_headers_visible","","",null,null],[5,"gtk_tree_view_get_hover_expand","","",null,null],[5,"gtk_tree_view_get_hover_selection","","",null,null],[5,"gtk_tree_view_get_level_indentation","","",null,null],[5,"gtk_tree_view_get_model","","",null,null],[5,"gtk_tree_view_get_n_columns","","",null,null],[5,"gtk_tree_view_get_path_at_pos","","",null,null],[5,"gtk_tree_view_get_reorderable","","",null,null],[5,"gtk_tree_view_get_row_separator_func","","",null,null],[5,"gtk_tree_view_get_rubber_banding","","",null,null],[5,"gtk_tree_view_get_rules_hint","","",null,null],[5,"gtk_tree_view_get_search_column","","",null,null],[5,"gtk_tree_view_get_search_entry","","",null,null],[5,"gtk_tree_view_get_search_equal_func","","",null,null],[5,"gtk_tree_view_get_search_position_func","","",null,null],[5,"gtk_tree_view_get_selection","","",null,null],[5,"gtk_tree_view_get_show_expanders","","",null,null],[5,"gtk_tree_view_get_tooltip_column","","",null,null],[5,"gtk_tree_view_get_tooltip_context","","",null,null],[5,"gtk_tree_view_get_vadjustment","","",null,null],[5,"gtk_tree_view_get_visible_range","","",null,null],[5,"gtk_tree_view_get_visible_rect","","",null,null],[5,"gtk_tree_view_insert_column","","",null,null],[5,"gtk_tree_view_insert_column_with_attributes","","",null,null],[5,"gtk_tree_view_insert_column_with_data_func","","",null,null],[5,"gtk_tree_view_is_blank_at_pos","","",null,null],[5,"gtk_tree_view_is_rubber_banding_active","","",null,null],[5,"gtk_tree_view_map_expanded_rows","","",null,null],[5,"gtk_tree_view_move_column_after","","",null,null],[5,"gtk_tree_view_remove_column","","",null,null],[5,"gtk_tree_view_row_activated","","",null,null],[5,"gtk_tree_view_row_expanded","","",null,null],[5,"gtk_tree_view_scroll_to_cell","","",null,null],[5,"gtk_tree_view_scroll_to_point","","",null,null],[5,"gtk_tree_view_set_activate_on_single_click","","",null,null],[5,"gtk_tree_view_set_column_drag_function","","",null,null],[5,"gtk_tree_view_set_cursor","","",null,null],[5,"gtk_tree_view_set_cursor_on_cell","","",null,null],[5,"gtk_tree_view_set_destroy_count_func","","",null,null],[5,"gtk_tree_view_set_drag_dest_row","","",null,null],[5,"gtk_tree_view_set_enable_search","","",null,null],[5,"gtk_tree_view_set_enable_tree_lines","","",null,null],[5,"gtk_tree_view_set_expander_column","","",null,null],[5,"gtk_tree_view_set_fixed_height_mode","","",null,null],[5,"gtk_tree_view_set_grid_lines","","",null,null],[5,"gtk_tree_view_set_hadjustment","","",null,null],[5,"gtk_tree_view_set_headers_clickable","","",null,null],[5,"gtk_tree_view_set_headers_visible","","",null,null],[5,"gtk_tree_view_set_hover_expand","","",null,null],[5,"gtk_tree_view_set_hover_selection","","",null,null],[5,"gtk_tree_view_set_level_indentation","","",null,null],[5,"gtk_tree_view_set_model","","",null,null],[5,"gtk_tree_view_set_reorderable","","",null,null],[5,"gtk_tree_view_set_row_separator_func","","",null,null],[5,"gtk_tree_view_set_rubber_banding","","",null,null],[5,"gtk_tree_view_set_rules_hint","","",null,null],[5,"gtk_tree_view_set_search_column","","",null,null],[5,"gtk_tree_view_set_search_entry","","",null,null],[5,"gtk_tree_view_set_search_equal_func","","",null,null],[5,"gtk_tree_view_set_search_position_func","","",null,null],[5,"gtk_tree_view_set_show_expanders","","",null,null],[5,"gtk_tree_view_set_tooltip_cell","","",null,null],[5,"gtk_tree_view_set_tooltip_column","","",null,null],[5,"gtk_tree_view_set_tooltip_row","","",null,null],[5,"gtk_tree_view_set_vadjustment","","",null,null],[5,"gtk_tree_view_unset_rows_drag_dest","","",null,null],[5,"gtk_tree_view_unset_rows_drag_source","","",null,null],[5,"gtk_tree_view_accessible_get_type","","",null,null],[5,"gtk_tree_view_column_get_type","","",null,null],[5,"gtk_tree_view_column_new","","",null,null],[5,"gtk_tree_view_column_new_with_area","","",null,null],[5,"gtk_tree_view_column_new_with_attributes","","",null,null],[5,"gtk_tree_view_column_add_attribute","","",null,null],[5,"gtk_tree_view_column_cell_get_position","","",null,null],[5,"gtk_tree_view_column_cell_get_size","","",null,null],[5,"gtk_tree_view_column_cell_is_visible","","",null,null],[5,"gtk_tree_view_column_cell_set_cell_data","","",null,null],[5,"gtk_tree_view_column_clear","","",null,null],[5,"gtk_tree_view_column_clear_attributes","","",null,null],[5,"gtk_tree_view_column_clicked","","",null,null],[5,"gtk_tree_view_column_focus_cell","","",null,null],[5,"gtk_tree_view_column_get_alignment","","",null,null],[5,"gtk_tree_view_column_get_button","","",null,null],[5,"gtk_tree_view_column_get_clickable","","",null,null],[5,"gtk_tree_view_column_get_expand","","",null,null],[5,"gtk_tree_view_column_get_fixed_width","","",null,null],[5,"gtk_tree_view_column_get_max_width","","",null,null],[5,"gtk_tree_view_column_get_min_width","","",null,null],[5,"gtk_tree_view_column_get_reorderable","","",null,null],[5,"gtk_tree_view_column_get_resizable","","",null,null],[5,"gtk_tree_view_column_get_sizing","","",null,null],[5,"gtk_tree_view_column_get_sort_column_id","","",null,null],[5,"gtk_tree_view_column_get_sort_indicator","","",null,null],[5,"gtk_tree_view_column_get_sort_order","","",null,null],[5,"gtk_tree_view_column_get_spacing","","",null,null],[5,"gtk_tree_view_column_get_title","","",null,null],[5,"gtk_tree_view_column_get_tree_view","","",null,null],[5,"gtk_tree_view_column_get_visible","","",null,null],[5,"gtk_tree_view_column_get_widget","","",null,null],[5,"gtk_tree_view_column_get_width","","",null,null],[5,"gtk_tree_view_column_get_x_offset","","",null,null],[5,"gtk_tree_view_column_pack_end","","",null,null],[5,"gtk_tree_view_column_pack_start","","",null,null],[5,"gtk_tree_view_column_queue_resize","","",null,null],[5,"gtk_tree_view_column_set_alignment","","",null,null],[5,"gtk_tree_view_column_set_attributes","","",null,null],[5,"gtk_tree_view_column_set_cell_data_func","","",null,null],[5,"gtk_tree_view_column_set_clickable","","",null,null],[5,"gtk_tree_view_column_set_expand","","",null,null],[5,"gtk_tree_view_column_set_fixed_width","","",null,null],[5,"gtk_tree_view_column_set_max_width","","",null,null],[5,"gtk_tree_view_column_set_min_width","","",null,null],[5,"gtk_tree_view_column_set_reorderable","","",null,null],[5,"gtk_tree_view_column_set_resizable","","",null,null],[5,"gtk_tree_view_column_set_sizing","","",null,null],[5,"gtk_tree_view_column_set_sort_column_id","","",null,null],[5,"gtk_tree_view_column_set_sort_indicator","","",null,null],[5,"gtk_tree_view_column_set_sort_order","","",null,null],[5,"gtk_tree_view_column_set_spacing","","",null,null],[5,"gtk_tree_view_column_set_title","","",null,null],[5,"gtk_tree_view_column_set_visible","","",null,null],[5,"gtk_tree_view_column_set_widget","","",null,null],[5,"gtk_ui_manager_get_type","","",null,null],[5,"gtk_ui_manager_new","","",null,null],[5,"gtk_ui_manager_add_ui","","",null,null],[5,"gtk_ui_manager_add_ui_from_file","","",null,null],[5,"gtk_ui_manager_add_ui_from_resource","","",null,null],[5,"gtk_ui_manager_add_ui_from_string","","",null,null],[5,"gtk_ui_manager_ensure_update","","",null,null],[5,"gtk_ui_manager_get_accel_group","","",null,null],[5,"gtk_ui_manager_get_action","","",null,null],[5,"gtk_ui_manager_get_action_groups","","",null,null],[5,"gtk_ui_manager_get_add_tearoffs","","",null,null],[5,"gtk_ui_manager_get_toplevels","","",null,null],[5,"gtk_ui_manager_get_ui","","",null,null],[5,"gtk_ui_manager_get_widget","","",null,null],[5,"gtk_ui_manager_insert_action_group","","",null,null],[5,"gtk_ui_manager_new_merge_id","","",null,null],[5,"gtk_ui_manager_remove_action_group","","",null,null],[5,"gtk_ui_manager_remove_ui","","",null,null],[5,"gtk_ui_manager_set_add_tearoffs","","",null,null],[5,"gtk_vbox_get_type","","",null,null],[5,"gtk_vbox_new","","",null,null],[5,"gtk_vbutton_box_get_type","","",null,null],[5,"gtk_vbutton_box_new","","",null,null],[5,"gtk_vpaned_get_type","","",null,null],[5,"gtk_vpaned_new","","",null,null],[5,"gtk_vscale_get_type","","",null,null],[5,"gtk_vscale_new","","",null,null],[5,"gtk_vscale_new_with_range","","",null,null],[5,"gtk_vscrollbar_get_type","","",null,null],[5,"gtk_vscrollbar_new","","",null,null],[5,"gtk_vseparator_get_type","","",null,null],[5,"gtk_vseparator_new","","",null,null],[5,"gtk_viewport_get_type","","",null,null],[5,"gtk_viewport_new","","",null,null],[5,"gtk_viewport_get_bin_window","","",null,null],[5,"gtk_viewport_get_hadjustment","","",null,null],[5,"gtk_viewport_get_shadow_type","","",null,null],[5,"gtk_viewport_get_vadjustment","","",null,null],[5,"gtk_viewport_get_view_window","","",null,null],[5,"gtk_viewport_set_hadjustment","","",null,null],[5,"gtk_viewport_set_shadow_type","","",null,null],[5,"gtk_viewport_set_vadjustment","","",null,null],[5,"gtk_volume_button_get_type","","",null,null],[5,"gtk_volume_button_new","","",null,null],[5,"gtk_widget_get_type","","",null,null],[5,"gtk_widget_new","","",null,null],[5,"gtk_widget_get_default_direction","","",null,null],[5,"gtk_widget_get_default_style","","",null,null],[5,"gtk_widget_pop_composite_child","","",null,null],[5,"gtk_widget_push_composite_child","","",null,null],[5,"gtk_widget_set_default_direction","","",null,null],[5,"gtk_widget_activate","","",null,null],[5,"gtk_widget_add_accelerator","","",null,null],[5,"gtk_widget_add_device_events","","",null,null],[5,"gtk_widget_add_events","","",null,null],[5,"gtk_widget_add_mnemonic_label","","",null,null],[5,"gtk_widget_add_tick_callback","","",null,null],[5,"gtk_widget_can_activate_accel","","",null,null],[5,"gtk_widget_child_focus","","",null,null],[5,"gtk_widget_child_notify","","",null,null],[5,"gtk_widget_class_path","","",null,null],[5,"gtk_widget_compute_expand","","",null,null],[5,"gtk_widget_create_pango_context","","",null,null],[5,"gtk_widget_create_pango_layout","","",null,null],[5,"gtk_widget_destroy","","",null,null],[5,"gtk_widget_destroyed","","",null,null],[5,"gtk_widget_device_is_shadowed","","",null,null],[5,"gtk_drag_begin","","",null,null],[5,"gtk_drag_begin_with_coordinates","","",null,null],[5,"gtk_drag_check_threshold","","",null,null],[5,"gtk_drag_dest_add_image_targets","","",null,null],[5,"gtk_drag_dest_add_text_targets","","",null,null],[5,"gtk_drag_dest_add_uri_targets","","",null,null],[5,"gtk_drag_dest_find_target","","",null,null],[5,"gtk_drag_dest_get_target_list","","",null,null],[5,"gtk_drag_dest_get_track_motion","","",null,null],[5,"gtk_drag_dest_set","","",null,null],[5,"gtk_drag_dest_set_proxy","","",null,null],[5,"gtk_drag_dest_set_target_list","","",null,null],[5,"gtk_drag_dest_set_track_motion","","",null,null],[5,"gtk_drag_dest_unset","","",null,null],[5,"gtk_drag_get_data","","",null,null],[5,"gtk_drag_highlight","","",null,null],[5,"gtk_drag_source_add_image_targets","","",null,null],[5,"gtk_drag_source_add_text_targets","","",null,null],[5,"gtk_drag_source_add_uri_targets","","",null,null],[5,"gtk_drag_source_get_target_list","","",null,null],[5,"gtk_drag_source_set","","",null,null],[5,"gtk_drag_source_set_icon_gicon","","",null,null],[5,"gtk_drag_source_set_icon_name","","",null,null],[5,"gtk_drag_source_set_icon_pixbuf","","",null,null],[5,"gtk_drag_source_set_icon_stock","","",null,null],[5,"gtk_drag_source_set_target_list","","",null,null],[5,"gtk_drag_source_unset","","",null,null],[5,"gtk_drag_unhighlight","","",null,null],[5,"gtk_widget_draw","","",null,null],[5,"gtk_widget_ensure_style","","",null,null],[5,"gtk_widget_error_bell","","",null,null],[5,"gtk_widget_event","","",null,null],[5,"gtk_widget_freeze_child_notify","","",null,null],[5,"gtk_widget_get_accessible","","",null,null],[5,"gtk_widget_get_action_group","","",null,null],[5,"gtk_widget_get_allocated_baseline","","",null,null],[5,"gtk_widget_get_allocated_height","","",null,null],[5,"gtk_widget_get_allocated_size","","",null,null],[5,"gtk_widget_get_allocated_width","","",null,null],[5,"gtk_widget_get_allocation","","",null,null],[5,"gtk_widget_get_ancestor","","",null,null],[5,"gtk_widget_get_app_paintable","","",null,null],[5,"gtk_widget_get_can_default","","",null,null],[5,"gtk_widget_get_can_focus","","",null,null],[5,"gtk_widget_get_child_requisition","","",null,null],[5,"gtk_widget_get_child_visible","","",null,null],[5,"gtk_widget_get_clip","","",null,null],[5,"gtk_widget_get_clipboard","","",null,null],[5,"gtk_widget_get_composite_name","","",null,null],[5,"gtk_widget_get_device_enabled","","",null,null],[5,"gtk_widget_get_device_events","","",null,null],[5,"gtk_widget_get_direction","","",null,null],[5,"gtk_widget_get_display","","",null,null],[5,"gtk_widget_get_double_buffered","","",null,null],[5,"gtk_widget_get_events","","",null,null],[5,"gtk_widget_get_focus_on_click","","",null,null],[5,"gtk_widget_get_font_map","","",null,null],[5,"gtk_widget_get_font_options","","",null,null],[5,"gtk_widget_get_frame_clock","","",null,null],[5,"gtk_widget_get_halign","","",null,null],[5,"gtk_widget_get_has_tooltip","","",null,null],[5,"gtk_widget_get_has_window","","",null,null],[5,"gtk_widget_get_hexpand","","",null,null],[5,"gtk_widget_get_hexpand_set","","",null,null],[5,"gtk_widget_get_mapped","","",null,null],[5,"gtk_widget_get_margin_bottom","","",null,null],[5,"gtk_widget_get_margin_end","","",null,null],[5,"gtk_widget_get_margin_left","","",null,null],[5,"gtk_widget_get_margin_right","","",null,null],[5,"gtk_widget_get_margin_start","","",null,null],[5,"gtk_widget_get_margin_top","","",null,null],[5,"gtk_widget_get_modifier_mask","","",null,null],[5,"gtk_widget_get_modifier_style","","",null,null],[5,"gtk_widget_get_name","","",null,null],[5,"gtk_widget_get_no_show_all","","",null,null],[5,"gtk_widget_get_opacity","","",null,null],[5,"gtk_widget_get_pango_context","","",null,null],[5,"gtk_widget_get_parent","","",null,null],[5,"gtk_widget_get_parent_window","","",null,null],[5,"gtk_widget_get_path","","",null,null],[5,"gtk_widget_get_pointer","","",null,null],[5,"gtk_widget_get_preferred_height","","",null,null],[5,"gtk_widget_get_preferred_height_and_baseline_for_width","","",null,null],[5,"gtk_widget_get_preferred_height_for_width","","",null,null],[5,"gtk_widget_get_preferred_size","","",null,null],[5,"gtk_widget_get_preferred_width","","",null,null],[5,"gtk_widget_get_preferred_width_for_height","","",null,null],[5,"gtk_widget_get_realized","","",null,null],[5,"gtk_widget_get_receives_default","","",null,null],[5,"gtk_widget_get_request_mode","","",null,null],[5,"gtk_widget_get_requisition","","",null,null],[5,"gtk_widget_get_root_window","","",null,null],[5,"gtk_widget_get_scale_factor","","",null,null],[5,"gtk_widget_get_screen","","",null,null],[5,"gtk_widget_get_sensitive","","",null,null],[5,"gtk_widget_get_settings","","",null,null],[5,"gtk_widget_get_size_request","","",null,null],[5,"gtk_widget_get_state","","",null,null],[5,"gtk_widget_get_state_flags","","",null,null],[5,"gtk_widget_get_style","","",null,null],[5,"gtk_widget_get_style_context","","",null,null],[5,"gtk_widget_get_support_multidevice","","",null,null],[5,"gtk_widget_get_template_child","","",null,null],[5,"gtk_widget_get_tooltip_markup","","",null,null],[5,"gtk_widget_get_tooltip_text","","",null,null],[5,"gtk_widget_get_tooltip_window","","",null,null],[5,"gtk_widget_get_toplevel","","",null,null],[5,"gtk_widget_get_valign","","",null,null],[5,"gtk_widget_get_valign_with_baseline","","",null,null],[5,"gtk_widget_get_vexpand","","",null,null],[5,"gtk_widget_get_vexpand_set","","",null,null],[5,"gtk_widget_get_visible","","",null,null],[5,"gtk_widget_get_visual","","",null,null],[5,"gtk_widget_get_window","","",null,null],[5,"gtk_grab_add","","",null,null],[5,"gtk_widget_grab_default","","",null,null],[5,"gtk_widget_grab_focus","","",null,null],[5,"gtk_grab_remove","","",null,null],[5,"gtk_widget_has_default","","",null,null],[5,"gtk_widget_has_focus","","",null,null],[5,"gtk_widget_has_grab","","",null,null],[5,"gtk_widget_has_rc_style","","",null,null],[5,"gtk_widget_has_screen","","",null,null],[5,"gtk_widget_has_visible_focus","","",null,null],[5,"gtk_widget_hide","","",null,null],[5,"gtk_widget_hide_on_delete","","",null,null],[5,"gtk_widget_in_destruction","","",null,null],[5,"gtk_widget_init_template","","",null,null],[5,"gtk_widget_input_shape_combine_region","","",null,null],[5,"gtk_widget_insert_action_group","","",null,null],[5,"gtk_widget_intersect","","",null,null],[5,"gtk_widget_is_ancestor","","",null,null],[5,"gtk_widget_is_composited","","",null,null],[5,"gtk_widget_is_drawable","","",null,null],[5,"gtk_widget_is_focus","","",null,null],[5,"gtk_widget_is_sensitive","","",null,null],[5,"gtk_widget_is_toplevel","","",null,null],[5,"gtk_widget_is_visible","","",null,null],[5,"gtk_widget_keynav_failed","","",null,null],[5,"gtk_widget_list_accel_closures","","",null,null],[5,"gtk_widget_list_action_prefixes","","",null,null],[5,"gtk_widget_list_mnemonic_labels","","",null,null],[5,"gtk_widget_map","","",null,null],[5,"gtk_widget_mnemonic_activate","","",null,null],[5,"gtk_widget_modify_base","","",null,null],[5,"gtk_widget_modify_bg","","",null,null],[5,"gtk_widget_modify_cursor","","",null,null],[5,"gtk_widget_modify_fg","","",null,null],[5,"gtk_widget_modify_font","","",null,null],[5,"gtk_widget_modify_style","","",null,null],[5,"gtk_widget_modify_text","","",null,null],[5,"gtk_widget_override_background_color","","",null,null],[5,"gtk_widget_override_color","","",null,null],[5,"gtk_widget_override_cursor","","",null,null],[5,"gtk_widget_override_font","","",null,null],[5,"gtk_widget_override_symbolic_color","","",null,null],[5,"gtk_widget_path","","",null,null],[5,"gtk_widget_queue_allocate","","",null,null],[5,"gtk_widget_queue_compute_expand","","",null,null],[5,"gtk_widget_queue_draw","","",null,null],[5,"gtk_widget_queue_draw_area","","",null,null],[5,"gtk_widget_queue_draw_region","","",null,null],[5,"gtk_widget_queue_resize","","",null,null],[5,"gtk_widget_queue_resize_no_redraw","","",null,null],[5,"gtk_widget_realize","","",null,null],[5,"gtk_widget_region_intersect","","",null,null],[5,"gtk_widget_register_window","","",null,null],[5,"gtk_widget_remove_accelerator","","",null,null],[5,"gtk_widget_remove_mnemonic_label","","",null,null],[5,"gtk_widget_remove_tick_callback","","",null,null],[5,"gtk_widget_render_icon","","",null,null],[5,"gtk_widget_render_icon_pixbuf","","",null,null],[5,"gtk_widget_reparent","","",null,null],[5,"gtk_widget_reset_rc_styles","","",null,null],[5,"gtk_widget_reset_style","","",null,null],[5,"gtk_widget_send_expose","","",null,null],[5,"gtk_widget_send_focus_change","","",null,null],[5,"gtk_widget_set_accel_path","","",null,null],[5,"gtk_widget_set_allocation","","",null,null],[5,"gtk_widget_set_app_paintable","","",null,null],[5,"gtk_widget_set_can_default","","",null,null],[5,"gtk_widget_set_can_focus","","",null,null],[5,"gtk_widget_set_child_visible","","",null,null],[5,"gtk_widget_set_clip","","",null,null],[5,"gtk_widget_set_composite_name","","",null,null],[5,"gtk_widget_set_device_enabled","","",null,null],[5,"gtk_widget_set_device_events","","",null,null],[5,"gtk_widget_set_direction","","",null,null],[5,"gtk_widget_set_double_buffered","","",null,null],[5,"gtk_widget_set_events","","",null,null],[5,"gtk_widget_set_focus_on_click","","",null,null],[5,"gtk_widget_set_font_map","","",null,null],[5,"gtk_widget_set_font_options","","",null,null],[5,"gtk_widget_set_halign","","",null,null],[5,"gtk_widget_set_has_tooltip","","",null,null],[5,"gtk_widget_set_has_window","","",null,null],[5,"gtk_widget_set_hexpand","","",null,null],[5,"gtk_widget_set_hexpand_set","","",null,null],[5,"gtk_widget_set_mapped","","",null,null],[5,"gtk_widget_set_margin_bottom","","",null,null],[5,"gtk_widget_set_margin_end","","",null,null],[5,"gtk_widget_set_margin_left","","",null,null],[5,"gtk_widget_set_margin_right","","",null,null],[5,"gtk_widget_set_margin_start","","",null,null],[5,"gtk_widget_set_margin_top","","",null,null],[5,"gtk_widget_set_name","","",null,null],[5,"gtk_widget_set_no_show_all","","",null,null],[5,"gtk_widget_set_opacity","","",null,null],[5,"gtk_widget_set_parent","","",null,null],[5,"gtk_widget_set_parent_window","","",null,null],[5,"gtk_widget_set_realized","","",null,null],[5,"gtk_widget_set_receives_default","","",null,null],[5,"gtk_widget_set_redraw_on_allocate","","",null,null],[5,"gtk_widget_set_sensitive","","",null,null],[5,"gtk_widget_set_size_request","","",null,null],[5,"gtk_widget_set_state","","",null,null],[5,"gtk_widget_set_state_flags","","",null,null],[5,"gtk_widget_set_style","","",null,null],[5,"gtk_widget_set_support_multidevice","","",null,null],[5,"gtk_widget_set_tooltip_markup","","",null,null],[5,"gtk_widget_set_tooltip_text","","",null,null],[5,"gtk_widget_set_tooltip_window","","",null,null],[5,"gtk_widget_set_valign","","",null,null],[5,"gtk_widget_set_vexpand","","",null,null],[5,"gtk_widget_set_vexpand_set","","",null,null],[5,"gtk_widget_set_visible","","",null,null],[5,"gtk_widget_set_visual","","",null,null],[5,"gtk_widget_set_window","","",null,null],[5,"gtk_widget_shape_combine_region","","",null,null],[5,"gtk_widget_show","","",null,null],[5,"gtk_widget_show_all","","",null,null],[5,"gtk_widget_show_now","","",null,null],[5,"gtk_widget_size_allocate","","",null,null],[5,"gtk_widget_size_allocate_with_baseline","","",null,null],[5,"gtk_widget_size_request","","",null,null],[5,"gtk_widget_style_attach","","",null,null],[5,"gtk_widget_style_get","","",null,null],[5,"gtk_widget_style_get_property","","",null,null],[5,"gtk_widget_thaw_child_notify","","",null,null],[5,"gtk_widget_translate_coordinates","","",null,null],[5,"gtk_widget_trigger_tooltip_query","","",null,null],[5,"gtk_widget_unmap","","",null,null],[5,"gtk_widget_unparent","","",null,null],[5,"gtk_widget_unrealize","","",null,null],[5,"gtk_widget_unregister_window","","",null,null],[5,"gtk_widget_unset_state_flags","","",null,null],[5,"gtk_widget_accessible_get_type","","",null,null],[5,"gtk_window_get_type","","",null,null],[5,"gtk_window_new","","",null,null],[5,"gtk_window_get_default_icon_list","","",null,null],[5,"gtk_window_get_default_icon_name","","",null,null],[5,"gtk_window_list_toplevels","","",null,null],[5,"gtk_window_set_auto_startup_notification","","",null,null],[5,"gtk_window_set_default_icon","","",null,null],[5,"gtk_window_set_default_icon_from_file","","",null,null],[5,"gtk_window_set_default_icon_list","","",null,null],[5,"gtk_window_set_default_icon_name","","",null,null],[5,"gtk_window_set_interactive_debugging","","",null,null],[5,"gtk_window_activate_default","","",null,null],[5,"gtk_window_activate_focus","","",null,null],[5,"gtk_window_activate_key","","",null,null],[5,"gtk_window_add_accel_group","","",null,null],[5,"gtk_window_add_mnemonic","","",null,null],[5,"gtk_window_begin_move_drag","","",null,null],[5,"gtk_window_begin_resize_drag","","",null,null],[5,"gtk_window_close","","",null,null],[5,"gtk_window_deiconify","","",null,null],[5,"gtk_window_fullscreen","","",null,null],[5,"gtk_window_fullscreen_on_monitor","","",null,null],[5,"gtk_window_get_accept_focus","","",null,null],[5,"gtk_window_get_application","","",null,null],[5,"gtk_window_get_attached_to","","",null,null],[5,"gtk_window_get_decorated","","",null,null],[5,"gtk_window_get_default_size","","",null,null],[5,"gtk_window_get_default_widget","","",null,null],[5,"gtk_window_get_deletable","","",null,null],[5,"gtk_window_get_destroy_with_parent","","",null,null],[5,"gtk_window_get_focus","","",null,null],[5,"gtk_window_get_focus_on_map","","",null,null],[5,"gtk_window_get_focus_visible","","",null,null],[5,"gtk_window_get_gravity","","",null,null],[5,"gtk_window_get_group","","",null,null],[5,"gtk_window_get_has_resize_grip","","",null,null],[5,"gtk_window_get_hide_titlebar_when_maximized","","",null,null],[5,"gtk_window_get_icon","","",null,null],[5,"gtk_window_get_icon_list","","",null,null],[5,"gtk_window_get_icon_name","","",null,null],[5,"gtk_window_get_mnemonic_modifier","","",null,null],[5,"gtk_window_get_mnemonics_visible","","",null,null],[5,"gtk_window_get_modal","","",null,null],[5,"gtk_window_get_opacity","","",null,null],[5,"gtk_window_get_position","","",null,null],[5,"gtk_window_get_resizable","","",null,null],[5,"gtk_window_get_resize_grip_area","","",null,null],[5,"gtk_window_get_role","","",null,null],[5,"gtk_window_get_screen","","",null,null],[5,"gtk_window_get_size","","",null,null],[5,"gtk_window_get_skip_pager_hint","","",null,null],[5,"gtk_window_get_skip_taskbar_hint","","",null,null],[5,"gtk_window_get_title","","",null,null],[5,"gtk_window_get_titlebar","","",null,null],[5,"gtk_window_get_transient_for","","",null,null],[5,"gtk_window_get_type_hint","","",null,null],[5,"gtk_window_get_urgency_hint","","",null,null],[5,"gtk_window_get_window_type","","",null,null],[5,"gtk_window_has_group","","",null,null],[5,"gtk_window_has_toplevel_focus","","",null,null],[5,"gtk_window_iconify","","",null,null],[5,"gtk_window_is_active","","",null,null],[5,"gtk_window_is_maximized","","",null,null],[5,"gtk_window_maximize","","",null,null],[5,"gtk_window_mnemonic_activate","","",null,null],[5,"gtk_window_move","","",null,null],[5,"gtk_window_parse_geometry","","",null,null],[5,"gtk_window_present","","",null,null],[5,"gtk_window_present_with_time","","",null,null],[5,"gtk_window_propagate_key_event","","",null,null],[5,"gtk_window_remove_accel_group","","",null,null],[5,"gtk_window_remove_mnemonic","","",null,null],[5,"gtk_window_reshow_with_initial_size","","",null,null],[5,"gtk_window_resize","","",null,null],[5,"gtk_window_resize_grip_is_visible","","",null,null],[5,"gtk_window_resize_to_geometry","","",null,null],[5,"gtk_window_set_accept_focus","","",null,null],[5,"gtk_window_set_application","","",null,null],[5,"gtk_window_set_attached_to","","",null,null],[5,"gtk_window_set_decorated","","",null,null],[5,"gtk_window_set_default","","",null,null],[5,"gtk_window_set_default_geometry","","",null,null],[5,"gtk_window_set_default_size","","",null,null],[5,"gtk_window_set_deletable","","",null,null],[5,"gtk_window_set_destroy_with_parent","","",null,null],[5,"gtk_window_set_focus","","",null,null],[5,"gtk_window_set_focus_on_map","","",null,null],[5,"gtk_window_set_focus_visible","","",null,null],[5,"gtk_window_set_geometry_hints","","",null,null],[5,"gtk_window_set_gravity","","",null,null],[5,"gtk_window_set_has_resize_grip","","",null,null],[5,"gtk_window_set_has_user_ref_count","","",null,null],[5,"gtk_window_set_hide_titlebar_when_maximized","","",null,null],[5,"gtk_window_set_icon","","",null,null],[5,"gtk_window_set_icon_from_file","","",null,null],[5,"gtk_window_set_icon_list","","",null,null],[5,"gtk_window_set_icon_name","","",null,null],[5,"gtk_window_set_keep_above","","",null,null],[5,"gtk_window_set_keep_below","","",null,null],[5,"gtk_window_set_mnemonic_modifier","","",null,null],[5,"gtk_window_set_mnemonics_visible","","",null,null],[5,"gtk_window_set_modal","","",null,null],[5,"gtk_window_set_opacity","","",null,null],[5,"gtk_window_set_position","","",null,null],[5,"gtk_window_set_resizable","","",null,null],[5,"gtk_window_set_role","","",null,null],[5,"gtk_window_set_screen","","",null,null],[5,"gtk_window_set_skip_pager_hint","","",null,null],[5,"gtk_window_set_skip_taskbar_hint","","",null,null],[5,"gtk_window_set_startup_id","","",null,null],[5,"gtk_window_set_title","","",null,null],[5,"gtk_window_set_titlebar","","",null,null],[5,"gtk_window_set_transient_for","","",null,null],[5,"gtk_window_set_type_hint","","",null,null],[5,"gtk_window_set_urgency_hint","","",null,null],[5,"gtk_window_set_wmclass","","",null,null],[5,"gtk_window_stick","","",null,null],[5,"gtk_window_unfullscreen","","",null,null],[5,"gtk_window_unmaximize","","",null,null],[5,"gtk_window_unstick","","",null,null],[5,"gtk_window_accessible_get_type","","",null,null],[5,"gtk_window_group_get_type","","",null,null],[5,"gtk_window_group_new","","",null,null],[5,"gtk_window_group_add_window","","",null,null],[5,"gtk_window_group_get_current_device_grab","","",null,null],[5,"gtk_window_group_get_current_grab","","",null,null],[5,"gtk_window_group_list_windows","","",null,null],[5,"gtk_window_group_remove_window","","",null,null],[5,"gtk_actionable_get_type","","",null,null],[5,"gtk_actionable_get_action_name","","",null,null],[5,"gtk_actionable_get_action_target_value","","",null,null],[5,"gtk_actionable_set_action_name","","",null,null],[5,"gtk_actionable_set_action_target","","",null,null],[5,"gtk_actionable_set_action_target_value","","",null,null],[5,"gtk_actionable_set_detailed_action_name","","",null,null],[5,"gtk_activatable_get_type","","",null,null],[5,"gtk_activatable_do_set_related_action","","",null,null],[5,"gtk_activatable_get_related_action","","",null,null],[5,"gtk_activatable_get_use_action_appearance","","",null,null],[5,"gtk_activatable_set_related_action","","",null,null],[5,"gtk_activatable_set_use_action_appearance","","",null,null],[5,"gtk_activatable_sync_action_properties","","",null,null],[5,"gtk_app_chooser_get_type","","",null,null],[5,"gtk_app_chooser_get_app_info","","",null,null],[5,"gtk_app_chooser_get_content_type","","",null,null],[5,"gtk_app_chooser_refresh","","",null,null],[5,"gtk_buildable_get_type","","",null,null],[5,"gtk_buildable_add_child","","",null,null],[5,"gtk_buildable_construct_child","","",null,null],[5,"gtk_buildable_custom_finished","","",null,null],[5,"gtk_buildable_custom_tag_end","","",null,null],[5,"gtk_buildable_custom_tag_start","","",null,null],[5,"gtk_buildable_get_internal_child","","",null,null],[5,"gtk_buildable_get_name","","",null,null],[5,"gtk_buildable_parser_finished","","",null,null],[5,"gtk_buildable_set_buildable_property","","",null,null],[5,"gtk_buildable_set_name","","",null,null],[5,"gtk_cell_accessible_parent_get_type","","",null,null],[5,"gtk_cell_accessible_parent_activate","","",null,null],[5,"gtk_cell_accessible_parent_edit","","",null,null],[5,"gtk_cell_accessible_parent_expand_collapse","","",null,null],[5,"gtk_cell_accessible_parent_get_cell_area","","",null,null],[5,"gtk_cell_accessible_parent_get_cell_extents","","",null,null],[5,"gtk_cell_accessible_parent_get_child_index","","",null,null],[5,"gtk_cell_accessible_parent_get_renderer_state","","",null,null],[5,"gtk_cell_accessible_parent_grab_focus","","",null,null],[5,"gtk_cell_accessible_parent_update_relationset","","",null,null],[5,"gtk_cell_editable_get_type","","",null,null],[5,"gtk_cell_editable_editing_done","","",null,null],[5,"gtk_cell_editable_remove_widget","","",null,null],[5,"gtk_cell_editable_start_editing","","",null,null],[5,"gtk_cell_layout_get_type","","",null,null],[5,"gtk_cell_layout_add_attribute","","",null,null],[5,"gtk_cell_layout_clear","","",null,null],[5,"gtk_cell_layout_clear_attributes","","",null,null],[5,"gtk_cell_layout_get_area","","",null,null],[5,"gtk_cell_layout_get_cells","","",null,null],[5,"gtk_cell_layout_pack_end","","",null,null],[5,"gtk_cell_layout_pack_start","","",null,null],[5,"gtk_cell_layout_reorder","","",null,null],[5,"gtk_cell_layout_set_attributes","","",null,null],[5,"gtk_cell_layout_set_cell_data_func","","",null,null],[5,"gtk_color_chooser_get_type","","",null,null],[5,"gtk_color_chooser_add_palette","","",null,null],[5,"gtk_color_chooser_get_rgba","","",null,null],[5,"gtk_color_chooser_get_use_alpha","","",null,null],[5,"gtk_color_chooser_set_rgba","","",null,null],[5,"gtk_color_chooser_set_use_alpha","","",null,null],[5,"gtk_editable_get_type","","",null,null],[5,"gtk_editable_copy_clipboard","","",null,null],[5,"gtk_editable_cut_clipboard","","",null,null],[5,"gtk_editable_delete_selection","","",null,null],[5,"gtk_editable_delete_text","","",null,null],[5,"gtk_editable_get_chars","","",null,null],[5,"gtk_editable_get_editable","","",null,null],[5,"gtk_editable_get_position","","",null,null],[5,"gtk_editable_get_selection_bounds","","",null,null],[5,"gtk_editable_insert_text","","",null,null],[5,"gtk_editable_paste_clipboard","","",null,null],[5,"gtk_editable_select_region","","",null,null],[5,"gtk_editable_set_editable","","",null,null],[5,"gtk_editable_set_position","","",null,null],[5,"gtk_file_chooser_get_type","","",null,null],[5,"gtk_file_chooser_add_choice","","",null,null],[5,"gtk_file_chooser_add_filter","","",null,null],[5,"gtk_file_chooser_add_shortcut_folder","","",null,null],[5,"gtk_file_chooser_add_shortcut_folder_uri","","",null,null],[5,"gtk_file_chooser_get_action","","",null,null],[5,"gtk_file_chooser_get_choice","","",null,null],[5,"gtk_file_chooser_get_create_folders","","",null,null],[5,"gtk_file_chooser_get_current_folder","","",null,null],[5,"gtk_file_chooser_get_current_folder_file","","",null,null],[5,"gtk_file_chooser_get_current_folder_uri","","",null,null],[5,"gtk_file_chooser_get_current_name","","",null,null],[5,"gtk_file_chooser_get_do_overwrite_confirmation","","",null,null],[5,"gtk_file_chooser_get_extra_widget","","",null,null],[5,"gtk_file_chooser_get_file","","",null,null],[5,"gtk_file_chooser_get_filename","","",null,null],[5,"gtk_file_chooser_get_filenames","","",null,null],[5,"gtk_file_chooser_get_files","","",null,null],[5,"gtk_file_chooser_get_filter","","",null,null],[5,"gtk_file_chooser_get_local_only","","",null,null],[5,"gtk_file_chooser_get_preview_file","","",null,null],[5,"gtk_file_chooser_get_preview_filename","","",null,null],[5,"gtk_file_chooser_get_preview_uri","","",null,null],[5,"gtk_file_chooser_get_preview_widget","","",null,null],[5,"gtk_file_chooser_get_preview_widget_active","","",null,null],[5,"gtk_file_chooser_get_select_multiple","","",null,null],[5,"gtk_file_chooser_get_show_hidden","","",null,null],[5,"gtk_file_chooser_get_uri","","",null,null],[5,"gtk_file_chooser_get_uris","","",null,null],[5,"gtk_file_chooser_get_use_preview_label","","",null,null],[5,"gtk_file_chooser_list_filters","","",null,null],[5,"gtk_file_chooser_list_shortcut_folder_uris","","",null,null],[5,"gtk_file_chooser_list_shortcut_folders","","",null,null],[5,"gtk_file_chooser_remove_choice","","",null,null],[5,"gtk_file_chooser_remove_filter","","",null,null],[5,"gtk_file_chooser_remove_shortcut_folder","","",null,null],[5,"gtk_file_chooser_remove_shortcut_folder_uri","","",null,null],[5,"gtk_file_chooser_select_all","","",null,null],[5,"gtk_file_chooser_select_file","","",null,null],[5,"gtk_file_chooser_select_filename","","",null,null],[5,"gtk_file_chooser_select_uri","","",null,null],[5,"gtk_file_chooser_set_action","","",null,null],[5,"gtk_file_chooser_set_choice","","",null,null],[5,"gtk_file_chooser_set_create_folders","","",null,null],[5,"gtk_file_chooser_set_current_folder","","",null,null],[5,"gtk_file_chooser_set_current_folder_file","","",null,null],[5,"gtk_file_chooser_set_current_folder_uri","","",null,null],[5,"gtk_file_chooser_set_current_name","","",null,null],[5,"gtk_file_chooser_set_do_overwrite_confirmation","","",null,null],[5,"gtk_file_chooser_set_extra_widget","","",null,null],[5,"gtk_file_chooser_set_file","","",null,null],[5,"gtk_file_chooser_set_filename","","",null,null],[5,"gtk_file_chooser_set_filter","","",null,null],[5,"gtk_file_chooser_set_local_only","","",null,null],[5,"gtk_file_chooser_set_preview_widget","","",null,null],[5,"gtk_file_chooser_set_preview_widget_active","","",null,null],[5,"gtk_file_chooser_set_select_multiple","","",null,null],[5,"gtk_file_chooser_set_show_hidden","","",null,null],[5,"gtk_file_chooser_set_uri","","",null,null],[5,"gtk_file_chooser_set_use_preview_label","","",null,null],[5,"gtk_file_chooser_unselect_all","","",null,null],[5,"gtk_file_chooser_unselect_file","","",null,null],[5,"gtk_file_chooser_unselect_filename","","",null,null],[5,"gtk_file_chooser_unselect_uri","","",null,null],[5,"gtk_font_chooser_get_type","","",null,null],[5,"gtk_font_chooser_get_font","","",null,null],[5,"gtk_font_chooser_get_font_desc","","",null,null],[5,"gtk_font_chooser_get_font_face","","",null,null],[5,"gtk_font_chooser_get_font_family","","",null,null],[5,"gtk_font_chooser_get_font_map","","",null,null],[5,"gtk_font_chooser_get_font_size","","",null,null],[5,"gtk_font_chooser_get_preview_text","","",null,null],[5,"gtk_font_chooser_get_show_preview_entry","","",null,null],[5,"gtk_font_chooser_set_filter_func","","",null,null],[5,"gtk_font_chooser_set_font","","",null,null],[5,"gtk_font_chooser_set_font_desc","","",null,null],[5,"gtk_font_chooser_set_font_map","","",null,null],[5,"gtk_font_chooser_set_preview_text","","",null,null],[5,"gtk_font_chooser_set_show_preview_entry","","",null,null],[5,"gtk_orientable_get_type","","",null,null],[5,"gtk_orientable_get_orientation","","",null,null],[5,"gtk_orientable_set_orientation","","",null,null],[5,"gtk_print_operation_preview_get_type","","",null,null],[5,"gtk_print_operation_preview_end_preview","","",null,null],[5,"gtk_print_operation_preview_is_selected","","",null,null],[5,"gtk_print_operation_preview_render_page","","",null,null],[5,"gtk_recent_chooser_get_type","","",null,null],[5,"gtk_recent_chooser_add_filter","","",null,null],[5,"gtk_recent_chooser_get_current_item","","",null,null],[5,"gtk_recent_chooser_get_current_uri","","",null,null],[5,"gtk_recent_chooser_get_filter","","",null,null],[5,"gtk_recent_chooser_get_items","","",null,null],[5,"gtk_recent_chooser_get_limit","","",null,null],[5,"gtk_recent_chooser_get_local_only","","",null,null],[5,"gtk_recent_chooser_get_select_multiple","","",null,null],[5,"gtk_recent_chooser_get_show_icons","","",null,null],[5,"gtk_recent_chooser_get_show_not_found","","",null,null],[5,"gtk_recent_chooser_get_show_private","","",null,null],[5,"gtk_recent_chooser_get_show_tips","","",null,null],[5,"gtk_recent_chooser_get_sort_type","","",null,null],[5,"gtk_recent_chooser_get_uris","","",null,null],[5,"gtk_recent_chooser_list_filters","","",null,null],[5,"gtk_recent_chooser_remove_filter","","",null,null],[5,"gtk_recent_chooser_select_all","","",null,null],[5,"gtk_recent_chooser_select_uri","","",null,null],[5,"gtk_recent_chooser_set_current_uri","","",null,null],[5,"gtk_recent_chooser_set_filter","","",null,null],[5,"gtk_recent_chooser_set_limit","","",null,null],[5,"gtk_recent_chooser_set_local_only","","",null,null],[5,"gtk_recent_chooser_set_select_multiple","","",null,null],[5,"gtk_recent_chooser_set_show_icons","","",null,null],[5,"gtk_recent_chooser_set_show_not_found","","",null,null],[5,"gtk_recent_chooser_set_show_private","","",null,null],[5,"gtk_recent_chooser_set_show_tips","","",null,null],[5,"gtk_recent_chooser_set_sort_func","","",null,null],[5,"gtk_recent_chooser_set_sort_type","","",null,null],[5,"gtk_recent_chooser_unselect_all","","",null,null],[5,"gtk_recent_chooser_unselect_uri","","",null,null],[5,"gtk_scrollable_get_type","","",null,null],[5,"gtk_scrollable_get_border","","",null,null],[5,"gtk_scrollable_get_hadjustment","","",null,null],[5,"gtk_scrollable_get_hscroll_policy","","",null,null],[5,"gtk_scrollable_get_vadjustment","","",null,null],[5,"gtk_scrollable_get_vscroll_policy","","",null,null],[5,"gtk_scrollable_set_hadjustment","","",null,null],[5,"gtk_scrollable_set_hscroll_policy","","",null,null],[5,"gtk_scrollable_set_vadjustment","","",null,null],[5,"gtk_scrollable_set_vscroll_policy","","",null,null],[5,"gtk_style_provider_get_type","","",null,null],[5,"gtk_style_provider_get_icon_factory","","",null,null],[5,"gtk_style_provider_get_style","","",null,null],[5,"gtk_style_provider_get_style_property","","",null,null],[5,"gtk_tool_shell_get_type","","",null,null],[5,"gtk_tool_shell_get_ellipsize_mode","","",null,null],[5,"gtk_tool_shell_get_icon_size","","",null,null],[5,"gtk_tool_shell_get_orientation","","",null,null],[5,"gtk_tool_shell_get_relief_style","","",null,null],[5,"gtk_tool_shell_get_style","","",null,null],[5,"gtk_tool_shell_get_text_alignment","","",null,null],[5,"gtk_tool_shell_get_text_orientation","","",null,null],[5,"gtk_tool_shell_get_text_size_group","","",null,null],[5,"gtk_tool_shell_rebuild_menu","","",null,null],[5,"gtk_tree_drag_dest_get_type","","",null,null],[5,"gtk_tree_drag_dest_drag_data_received","","",null,null],[5,"gtk_tree_drag_dest_row_drop_possible","","",null,null],[5,"gtk_tree_drag_source_get_type","","",null,null],[5,"gtk_tree_drag_source_drag_data_delete","","",null,null],[5,"gtk_tree_drag_source_drag_data_get","","",null,null],[5,"gtk_tree_drag_source_row_draggable","","",null,null],[5,"gtk_tree_model_get_type","","",null,null],[5,"gtk_tree_model_filter_new","","",null,null],[5,"gtk_tree_model_foreach","","",null,null],[5,"gtk_tree_model_get","","",null,null],[5,"gtk_tree_model_get_column_type","","",null,null],[5,"gtk_tree_model_get_flags","","",null,null],[5,"gtk_tree_model_get_iter","","",null,null],[5,"gtk_tree_model_get_iter_first","","",null,null],[5,"gtk_tree_model_get_iter_from_string","","",null,null],[5,"gtk_tree_model_get_n_columns","","",null,null],[5,"gtk_tree_model_get_path","","",null,null],[5,"gtk_tree_model_get_string_from_iter","","",null,null],[5,"gtk_tree_model_get_value","","",null,null],[5,"gtk_tree_model_iter_children","","",null,null],[5,"gtk_tree_model_iter_has_child","","",null,null],[5,"gtk_tree_model_iter_n_children","","",null,null],[5,"gtk_tree_model_iter_next","","",null,null],[5,"gtk_tree_model_iter_nth_child","","",null,null],[5,"gtk_tree_model_iter_parent","","",null,null],[5,"gtk_tree_model_iter_previous","","",null,null],[5,"gtk_tree_model_ref_node","","",null,null],[5,"gtk_tree_model_row_changed","","",null,null],[5,"gtk_tree_model_row_deleted","","",null,null],[5,"gtk_tree_model_row_has_child_toggled","","",null,null],[5,"gtk_tree_model_row_inserted","","",null,null],[5,"gtk_tree_model_rows_reordered","","",null,null],[5,"gtk_tree_model_rows_reordered_with_length","","",null,null],[5,"gtk_tree_model_sort_new_with_model","","",null,null],[5,"gtk_tree_model_unref_node","","",null,null],[5,"gtk_tree_sortable_get_type","","",null,null],[5,"gtk_tree_sortable_get_sort_column_id","","",null,null],[5,"gtk_tree_sortable_has_default_sort_func","","",null,null],[5,"gtk_tree_sortable_set_default_sort_func","","",null,null],[5,"gtk_tree_sortable_set_sort_column_id","","",null,null],[5,"gtk_tree_sortable_set_sort_func","","",null,null],[5,"gtk_tree_sortable_sort_column_changed","","",null,null],[5,"gtk_accel_groups_activate","","",null,null],[5,"gtk_accel_groups_from_object","","",null,null],[5,"gtk_accelerator_get_default_mod_mask","","",null,null],[5,"gtk_accelerator_get_label","","",null,null],[5,"gtk_accelerator_get_label_with_keycode","","",null,null],[5,"gtk_accelerator_name","","",null,null],[5,"gtk_accelerator_name_with_keycode","","",null,null],[5,"gtk_accelerator_parse","","",null,null],[5,"gtk_accelerator_parse_with_keycode","","",null,null],[5,"gtk_accelerator_set_default_mod_mask","","",null,null],[5,"gtk_accelerator_valid","","",null,null],[5,"gtk_alternative_dialog_button_order","","",null,null],[5,"gtk_bindings_activate","","",null,null],[5,"gtk_bindings_activate_event","","",null,null],[5,"gtk_cairo_should_draw_window","","",null,null],[5,"gtk_cairo_transform_to_window","","",null,null],[5,"gtk_check_version","","",null,null],[5,"gtk_device_grab_add","","",null,null],[5,"gtk_device_grab_remove","","",null,null],[5,"gtk_disable_setlocale","","",null,null],[5,"gtk_distribute_natural_allocation","","",null,null],[5,"gtk_drag_cancel","","",null,null],[5,"gtk_drag_finish","","",null,null],[5,"gtk_drag_get_source_widget","","",null,null],[5,"gtk_drag_set_icon_default","","",null,null],[5,"gtk_drag_set_icon_gicon","","",null,null],[5,"gtk_drag_set_icon_name","","",null,null],[5,"gtk_drag_set_icon_pixbuf","","",null,null],[5,"gtk_drag_set_icon_stock","","",null,null],[5,"gtk_drag_set_icon_surface","","",null,null],[5,"gtk_drag_set_icon_widget","","",null,null],[5,"gtk_draw_insertion_cursor","","",null,null],[5,"gtk_events_pending","","",null,null],[5,"gtk_false","","",null,null],[5,"gtk_get_binary_age","","",null,null],[5,"gtk_get_current_event","","",null,null],[5,"gtk_get_current_event_device","","",null,null],[5,"gtk_get_current_event_state","","",null,null],[5,"gtk_get_current_event_time","","",null,null],[5,"gtk_get_debug_flags","","",null,null],[5,"gtk_get_default_language","","",null,null],[5,"gtk_get_event_widget","","",null,null],[5,"gtk_get_interface_age","","",null,null],[5,"gtk_get_locale_direction","","",null,null],[5,"gtk_get_major_version","","",null,null],[5,"gtk_get_micro_version","","",null,null],[5,"gtk_get_minor_version","","",null,null],[5,"gtk_get_option_group","","",null,null],[5,"gtk_grab_get_current","","",null,null],[5,"gtk_init","","",null,null],[5,"gtk_init_check","","",null,null],[5,"gtk_init_with_args","","",null,null],[5,"gtk_key_snooper_install","","",null,null],[5,"gtk_key_snooper_remove","","",null,null],[5,"gtk_main","","",null,null],[5,"gtk_main_do_event","","",null,null],[5,"gtk_main_iteration","","",null,null],[5,"gtk_main_iteration_do","","",null,null],[5,"gtk_main_level","","",null,null],[5,"gtk_main_quit","","",null,null],[5,"gtk_paint_arrow","","",null,null],[5,"gtk_paint_box","","",null,null],[5,"gtk_paint_box_gap","","",null,null],[5,"gtk_paint_check","","",null,null],[5,"gtk_paint_diamond","","",null,null],[5,"gtk_paint_expander","","",null,null],[5,"gtk_paint_extension","","",null,null],[5,"gtk_paint_flat_box","","",null,null],[5,"gtk_paint_focus","","",null,null],[5,"gtk_paint_handle","","",null,null],[5,"gtk_paint_hline","","",null,null],[5,"gtk_paint_layout","","",null,null],[5,"gtk_paint_option","","",null,null],[5,"gtk_paint_resize_grip","","",null,null],[5,"gtk_paint_shadow","","",null,null],[5,"gtk_paint_shadow_gap","","",null,null],[5,"gtk_paint_slider","","",null,null],[5,"gtk_paint_spinner","","",null,null],[5,"gtk_paint_tab","","",null,null],[5,"gtk_paint_vline","","",null,null],[5,"gtk_parse_args","","",null,null],[5,"gtk_print_run_page_setup_dialog","","",null,null],[5,"gtk_print_run_page_setup_dialog_async","","",null,null],[5,"gtk_propagate_event","","",null,null],[5,"gtk_rc_add_default_file","","",null,null],[5,"gtk_rc_find_module_in_path","","",null,null],[5,"gtk_rc_find_pixmap_in_path","","",null,null],[5,"gtk_rc_get_default_files","","",null,null],[5,"gtk_rc_get_im_module_file","","",null,null],[5,"gtk_rc_get_im_module_path","","",null,null],[5,"gtk_rc_get_module_dir","","",null,null],[5,"gtk_rc_get_style","","",null,null],[5,"gtk_rc_get_style_by_paths","","",null,null],[5,"gtk_rc_get_theme_dir","","",null,null],[5,"gtk_rc_parse","","",null,null],[5,"gtk_rc_parse_color","","",null,null],[5,"gtk_rc_parse_color_full","","",null,null],[5,"gtk_rc_parse_priority","","",null,null],[5,"gtk_rc_parse_state","","",null,null],[5,"gtk_rc_parse_string","","",null,null],[5,"gtk_rc_reparse_all","","",null,null],[5,"gtk_rc_reparse_all_for_settings","","",null,null],[5,"gtk_rc_reset_styles","","",null,null],[5,"gtk_rc_scanner_new","","",null,null],[5,"gtk_rc_set_default_files","","",null,null],[5,"gtk_render_activity","","",null,null],[5,"gtk_render_arrow","","",null,null],[5,"gtk_render_background","","",null,null],[5,"gtk_render_background_get_clip","","",null,null],[5,"gtk_render_check","","",null,null],[5,"gtk_render_expander","","",null,null],[5,"gtk_render_extension","","",null,null],[5,"gtk_render_focus","","",null,null],[5,"gtk_render_frame","","",null,null],[5,"gtk_render_frame_gap","","",null,null],[5,"gtk_render_handle","","",null,null],[5,"gtk_render_icon","","",null,null],[5,"gtk_render_icon_pixbuf","","",null,null],[5,"gtk_render_icon_surface","","",null,null],[5,"gtk_render_insertion_cursor","","",null,null],[5,"gtk_render_layout","","",null,null],[5,"gtk_render_line","","",null,null],[5,"gtk_render_option","","",null,null],[5,"gtk_render_slider","","",null,null],[5,"gtk_rgb_to_hsv","","",null,null],[5,"gtk_selection_add_target","","",null,null],[5,"gtk_selection_add_targets","","",null,null],[5,"gtk_selection_clear_targets","","",null,null],[5,"gtk_selection_convert","","",null,null],[5,"gtk_selection_owner_set","","",null,null],[5,"gtk_selection_owner_set_for_display","","",null,null],[5,"gtk_selection_remove_all","","",null,null],[5,"gtk_set_debug_flags","","",null,null],[5,"gtk_show_about_dialog","","",null,null],[5,"gtk_show_uri","","",null,null],[5,"gtk_show_uri_on_window","","",null,null],[5,"gtk_stock_add","","",null,null],[5,"gtk_stock_add_static","","",null,null],[5,"gtk_stock_list_ids","","",null,null],[5,"gtk_stock_lookup","","",null,null],[5,"gtk_stock_set_translate_func","","",null,null],[5,"gtk_target_table_free","","",null,null],[5,"gtk_target_table_new_from_list","","",null,null],[5,"gtk_targets_include_image","","",null,null],[5,"gtk_targets_include_rich_text","","",null,null],[5,"gtk_targets_include_text","","",null,null],[5,"gtk_targets_include_uri","","",null,null],[5,"gtk_test_create_simple_window","","",null,null],[5,"gtk_test_create_widget","","",null,null],[5,"gtk_test_display_button_window","","",null,null],[5,"gtk_test_find_label","","",null,null],[5,"gtk_test_find_sibling","","",null,null],[5,"gtk_test_find_widget","","",null,null],[5,"gtk_test_init","","",null,null],[5,"gtk_test_list_all_types","","",null,null],[5,"gtk_test_register_all_types","","",null,null],[5,"gtk_test_slider_get_value","","",null,null],[5,"gtk_test_slider_set_perc","","",null,null],[5,"gtk_test_spin_button_click","","",null,null],[5,"gtk_test_text_get","","",null,null],[5,"gtk_test_text_set","","",null,null],[5,"gtk_test_widget_click","","",null,null],[5,"gtk_test_widget_send_key","","",null,null],[5,"gtk_test_widget_wait_for_draw","","",null,null],[5,"gtk_tree_get_row_drag_data","","",null,null],[5,"gtk_tree_set_row_drag_data","","",null,null],[5,"gtk_true","","",null,null],[6,"GtkAllocation","","",null,null],[6,"GtkStock","","",null,null],[6,"GtkAccelGroupActivate","","",null,null],[6,"GtkAccelGroupFindFunc","","",null,null],[6,"GtkAccelMapForeach","","",null,null],[6,"GtkAssistantPageFunc","","",null,null],[6,"GtkBuilderConnectFunc","","",null,null],[6,"GtkCalendarDetailFunc","","",null,null],[6,"GtkCallback","","",null,null],[6,"GtkCellAllocCallback","","",null,null],[6,"GtkCellCallback","","",null,null],[6,"GtkCellLayoutDataFunc","","",null,null],[6,"GtkClipboardClearFunc","","",null,null],[6,"GtkClipboardGetFunc","","",null,null],[6,"GtkClipboardImageReceivedFunc","","",null,null],[6,"GtkClipboardReceivedFunc","","",null,null],[6,"GtkClipboardRichTextReceivedFunc","","",null,null],[6,"GtkClipboardTargetsReceivedFunc","","",null,null],[6,"GtkClipboardTextReceivedFunc","","",null,null],[6,"GtkClipboardURIReceivedFunc","","",null,null],[6,"GtkColorSelectionChangePaletteFunc","","",null,null],[6,"GtkColorSelectionChangePaletteWithScreenFunc","","",null,null],[6,"GtkEntryCompletionMatchFunc","","",null,null],[6,"GtkFileFilterFunc","","",null,null],[6,"GtkFlowBoxCreateWidgetFunc","","",null,null],[6,"GtkFlowBoxFilterFunc","","",null,null],[6,"GtkFlowBoxForeachFunc","","",null,null],[6,"GtkFlowBoxSortFunc","","",null,null],[6,"GtkFontFilterFunc","","",null,null],[6,"GtkIconViewForeachFunc","","",null,null],[6,"GtkKeySnoopFunc","","",null,null],[6,"GtkListBoxCreateWidgetFunc","","",null,null],[6,"GtkListBoxFilterFunc","","",null,null],[6,"GtkListBoxForeachFunc","","",null,null],[6,"GtkListBoxSortFunc","","",null,null],[6,"GtkListBoxUpdateHeaderFunc","","",null,null],[6,"GtkMenuDetachFunc","","",null,null],[6,"GtkMenuPositionFunc","","",null,null],[6,"GtkModuleDisplayInitFunc","","",null,null],[6,"GtkModuleInitFunc","","",null,null],[6,"GtkPageSetupDoneFunc","","",null,null],[6,"GtkPrintSettingsFunc","","",null,null],[6,"GtkRcPropertyParser","","",null,null],[6,"GtkRecentFilterFunc","","",null,null],[6,"GtkRecentSortFunc","","",null,null],[6,"GtkStylePropertyParser","","",null,null],[6,"GtkTextBufferDeserializeFunc","","",null,null],[6,"GtkTextBufferSerializeFunc","","",null,null],[6,"GtkTextCharPredicate","","",null,null],[6,"GtkTextTagTableForeach","","",null,null],[6,"GtkTickCallback","","",null,null],[6,"GtkTranslateFunc","","",null,null],[6,"GtkTreeCellDataFunc","","",null,null],[6,"GtkTreeDestroyCountFunc","","",null,null],[6,"GtkTreeIterCompareFunc","","",null,null],[6,"GtkTreeModelFilterModifyFunc","","",null,null],[6,"GtkTreeModelFilterVisibleFunc","","",null,null],[6,"GtkTreeModelForeachFunc","","",null,null],[6,"GtkTreeSelectionForeachFunc","","",null,null],[6,"GtkTreeSelectionFunc","","",null,null],[6,"GtkTreeViewColumnDropFunc","","",null,null],[6,"GtkTreeViewMappingFunc","","",null,null],[6,"GtkTreeViewRowSeparatorFunc","","",null,null],[6,"GtkTreeViewSearchEqualFunc","","",null,null],[6,"GtkTreeViewSearchPositionFunc","","",null,null],[17,"GTK_ENTRY_BUFFER_MAX_SIZE","","",null,null],[17,"GTK_ALIGN_FILL","","",null,null],[17,"GTK_ALIGN_START","","",null,null],[17,"GTK_ALIGN_END","","",null,null],[17,"GTK_ALIGN_CENTER","","",null,null],[17,"GTK_ALIGN_BASELINE","","",null,null],[17,"GTK_ARROWS_BOTH","","",null,null],[17,"GTK_ARROWS_START","","",null,null],[17,"GTK_ARROWS_END","","",null,null],[17,"GTK_ARROW_UP","","",null,null],[17,"GTK_ARROW_DOWN","","",null,null],[17,"GTK_ARROW_LEFT","","",null,null],[17,"GTK_ARROW_RIGHT","","",null,null],[17,"GTK_ARROW_NONE","","",null,null],[17,"GTK_ASSISTANT_PAGE_CONTENT","","",null,null],[17,"GTK_ASSISTANT_PAGE_INTRO","","",null,null],[17,"GTK_ASSISTANT_PAGE_CONFIRM","","",null,null],[17,"GTK_ASSISTANT_PAGE_SUMMARY","","",null,null],[17,"GTK_ASSISTANT_PAGE_PROGRESS","","",null,null],[17,"GTK_ASSISTANT_PAGE_CUSTOM","","",null,null],[17,"GTK_BASELINE_POSITION_TOP","","",null,null],[17,"GTK_BASELINE_POSITION_CENTER","","",null,null],[17,"GTK_BASELINE_POSITION_BOTTOM","","",null,null],[17,"GTK_BORDER_STYLE_NONE","","",null,null],[17,"GTK_BORDER_STYLE_SOLID","","",null,null],[17,"GTK_BORDER_STYLE_INSET","","",null,null],[17,"GTK_BORDER_STYLE_OUTSET","","",null,null],[17,"GTK_BORDER_STYLE_HIDDEN","","",null,null],[17,"GTK_BORDER_STYLE_DOTTED","","",null,null],[17,"GTK_BORDER_STYLE_DASHED","","",null,null],[17,"GTK_BORDER_STYLE_DOUBLE","","",null,null],[17,"GTK_BORDER_STYLE_GROOVE","","",null,null],[17,"GTK_BORDER_STYLE_RIDGE","","",null,null],[17,"GTK_BUILDER_ERROR_INVALID_TYPE_FUNCTION","","",null,null],[17,"GTK_BUILDER_ERROR_UNHANDLED_TAG","","",null,null],[17,"GTK_BUILDER_ERROR_MISSING_ATTRIBUTE","","",null,null],[17,"GTK_BUILDER_ERROR_INVALID_ATTRIBUTE","","",null,null],[17,"GTK_BUILDER_ERROR_INVALID_TAG","","",null,null],[17,"GTK_BUILDER_ERROR_MISSING_PROPERTY_VALUE","","",null,null],[17,"GTK_BUILDER_ERROR_INVALID_VALUE","","",null,null],[17,"GTK_BUILDER_ERROR_VERSION_MISMATCH","","",null,null],[17,"GTK_BUILDER_ERROR_DUPLICATE_ID","","",null,null],[17,"GTK_BUILDER_ERROR_OBJECT_TYPE_REFUSED","","",null,null],[17,"GTK_BUILDER_ERROR_TEMPLATE_MISMATCH","","",null,null],[17,"GTK_BUILDER_ERROR_INVALID_PROPERTY","","",null,null],[17,"GTK_BUILDER_ERROR_INVALID_SIGNAL","","",null,null],[17,"GTK_BUILDER_ERROR_INVALID_ID","","",null,null],[17,"GTK_BUTTONBOX_SPREAD","","",null,null],[17,"GTK_BUTTONBOX_EDGE","","",null,null],[17,"GTK_BUTTONBOX_START","","",null,null],[17,"GTK_BUTTONBOX_END","","",null,null],[17,"GTK_BUTTONBOX_CENTER","","",null,null],[17,"GTK_BUTTONBOX_EXPAND","","",null,null],[17,"GTK_BUTTON_ROLE_NORMAL","","",null,null],[17,"GTK_BUTTON_ROLE_CHECK","","",null,null],[17,"GTK_BUTTON_ROLE_RADIO","","",null,null],[17,"GTK_BUTTONS_NONE","","",null,null],[17,"GTK_BUTTONS_OK","","",null,null],[17,"GTK_BUTTONS_CLOSE","","",null,null],[17,"GTK_BUTTONS_CANCEL","","",null,null],[17,"GTK_BUTTONS_YES_NO","","",null,null],[17,"GTK_BUTTONS_OK_CANCEL","","",null,null],[17,"GTK_CELL_RENDERER_ACCEL_MODE_GTK","","",null,null],[17,"GTK_CELL_RENDERER_ACCEL_MODE_OTHER","","",null,null],[17,"GTK_CELL_RENDERER_ACCEL_MODE_MODIFIER_TAP","","",null,null],[17,"GTK_CELL_RENDERER_MODE_INERT","","",null,null],[17,"GTK_CELL_RENDERER_MODE_ACTIVATABLE","","",null,null],[17,"GTK_CELL_RENDERER_MODE_EDITABLE","","",null,null],[17,"GTK_CORNER_TOP_LEFT","","",null,null],[17,"GTK_CORNER_BOTTOM_LEFT","","",null,null],[17,"GTK_CORNER_TOP_RIGHT","","",null,null],[17,"GTK_CORNER_BOTTOM_RIGHT","","",null,null],[17,"GTK_CSS_PROVIDER_ERROR_FAILED","","",null,null],[17,"GTK_CSS_PROVIDER_ERROR_SYNTAX","","",null,null],[17,"GTK_CSS_PROVIDER_ERROR_IMPORT","","",null,null],[17,"GTK_CSS_PROVIDER_ERROR_NAME","","",null,null],[17,"GTK_CSS_PROVIDER_ERROR_DEPRECATED","","",null,null],[17,"GTK_CSS_PROVIDER_ERROR_UNKNOWN_VALUE","","",null,null],[17,"GTK_CSS_SECTION_DOCUMENT","","",null,null],[17,"GTK_CSS_SECTION_IMPORT","","",null,null],[17,"GTK_CSS_SECTION_COLOR_DEFINITION","","",null,null],[17,"GTK_CSS_SECTION_BINDING_SET","","",null,null],[17,"GTK_CSS_SECTION_RULESET","","",null,null],[17,"GTK_CSS_SECTION_SELECTOR","","",null,null],[17,"GTK_CSS_SECTION_DECLARATION","","",null,null],[17,"GTK_CSS_SECTION_VALUE","","",null,null],[17,"GTK_CSS_SECTION_KEYFRAMES","","",null,null],[17,"GTK_DELETE_CHARS","","",null,null],[17,"GTK_DELETE_WORD_ENDS","","",null,null],[17,"GTK_DELETE_WORDS","","",null,null],[17,"GTK_DELETE_DISPLAY_LINES","","",null,null],[17,"GTK_DELETE_DISPLAY_LINE_ENDS","","",null,null],[17,"GTK_DELETE_PARAGRAPH_ENDS","","",null,null],[17,"GTK_DELETE_PARAGRAPHS","","",null,null],[17,"GTK_DELETE_WHITESPACE","","",null,null],[17,"GTK_DIR_TAB_FORWARD","","",null,null],[17,"GTK_DIR_TAB_BACKWARD","","",null,null],[17,"GTK_DIR_UP","","",null,null],[17,"GTK_DIR_DOWN","","",null,null],[17,"GTK_DIR_LEFT","","",null,null],[17,"GTK_DIR_RIGHT","","",null,null],[17,"GTK_DRAG_RESULT_SUCCESS","","",null,null],[17,"GTK_DRAG_RESULT_NO_TARGET","","",null,null],[17,"GTK_DRAG_RESULT_USER_CANCELLED","","",null,null],[17,"GTK_DRAG_RESULT_TIMEOUT_EXPIRED","","",null,null],[17,"GTK_DRAG_RESULT_GRAB_BROKEN","","",null,null],[17,"GTK_DRAG_RESULT_ERROR","","",null,null],[17,"GTK_ENTRY_ICON_PRIMARY","","",null,null],[17,"GTK_ENTRY_ICON_SECONDARY","","",null,null],[17,"GTK_EVENT_SEQUENCE_NONE","","",null,null],[17,"GTK_EVENT_SEQUENCE_CLAIMED","","",null,null],[17,"GTK_EVENT_SEQUENCE_DENIED","","",null,null],[17,"GTK_EXPANDER_COLLAPSED","","",null,null],[17,"GTK_EXPANDER_SEMI_COLLAPSED","","",null,null],[17,"GTK_EXPANDER_SEMI_EXPANDED","","",null,null],[17,"GTK_EXPANDER_EXPANDED","","",null,null],[17,"GTK_FILE_CHOOSER_ACTION_OPEN","","",null,null],[17,"GTK_FILE_CHOOSER_ACTION_SAVE","","",null,null],[17,"GTK_FILE_CHOOSER_ACTION_SELECT_FOLDER","","",null,null],[17,"GTK_FILE_CHOOSER_ACTION_CREATE_FOLDER","","",null,null],[17,"GTK_FILE_CHOOSER_CONFIRMATION_CONFIRM","","",null,null],[17,"GTK_FILE_CHOOSER_CONFIRMATION_ACCEPT_FILENAME","","",null,null],[17,"GTK_FILE_CHOOSER_CONFIRMATION_SELECT_AGAIN","","",null,null],[17,"GTK_FILE_CHOOSER_ERROR_NONEXISTENT","","",null,null],[17,"GTK_FILE_CHOOSER_ERROR_BAD_FILENAME","","",null,null],[17,"GTK_FILE_CHOOSER_ERROR_ALREADY_EXISTS","","",null,null],[17,"GTK_FILE_CHOOSER_ERROR_INCOMPLETE_HOSTNAME","","",null,null],[17,"GTK_IM_PREEDIT_NOTHING","","",null,null],[17,"GTK_IM_PREEDIT_CALLBACK","","",null,null],[17,"GTK_IM_PREEDIT_NONE","","",null,null],[17,"GTK_IM_STATUS_NOTHING","","",null,null],[17,"GTK_IM_STATUS_CALLBACK","","",null,null],[17,"GTK_IM_STATUS_NONE","","",null,null],[17,"GTK_ICON_SIZE_INVALID","","",null,null],[17,"GTK_ICON_SIZE_MENU","","",null,null],[17,"GTK_ICON_SIZE_SMALL_TOOLBAR","","",null,null],[17,"GTK_ICON_SIZE_LARGE_TOOLBAR","","",null,null],[17,"GTK_ICON_SIZE_BUTTON","","",null,null],[17,"GTK_ICON_SIZE_DND","","",null,null],[17,"GTK_ICON_SIZE_DIALOG","","",null,null],[17,"GTK_ICON_THEME_NOT_FOUND","","",null,null],[17,"GTK_ICON_THEME_FAILED","","",null,null],[17,"GTK_ICON_VIEW_NO_DROP","","",null,null],[17,"GTK_ICON_VIEW_DROP_INTO","","",null,null],[17,"GTK_ICON_VIEW_DROP_LEFT","","",null,null],[17,"GTK_ICON_VIEW_DROP_RIGHT","","",null,null],[17,"GTK_ICON_VIEW_DROP_ABOVE","","",null,null],[17,"GTK_ICON_VIEW_DROP_BELOW","","",null,null],[17,"GTK_IMAGE_EMPTY","","",null,null],[17,"GTK_IMAGE_PIXBUF","","",null,null],[17,"GTK_IMAGE_STOCK","","",null,null],[17,"GTK_IMAGE_ICON_SET","","",null,null],[17,"GTK_IMAGE_ANIMATION","","",null,null],[17,"GTK_IMAGE_ICON_NAME","","",null,null],[17,"GTK_IMAGE_GICON","","",null,null],[17,"GTK_IMAGE_SURFACE","","",null,null],[17,"GTK_INPUT_PURPOSE_FREE_FORM","","",null,null],[17,"GTK_INPUT_PURPOSE_ALPHA","","",null,null],[17,"GTK_INPUT_PURPOSE_DIGITS","","",null,null],[17,"GTK_INPUT_PURPOSE_NUMBER","","",null,null],[17,"GTK_INPUT_PURPOSE_PHONE","","",null,null],[17,"GTK_INPUT_PURPOSE_URL","","",null,null],[17,"GTK_INPUT_PURPOSE_EMAIL","","",null,null],[17,"GTK_INPUT_PURPOSE_NAME","","",null,null],[17,"GTK_INPUT_PURPOSE_PASSWORD","","",null,null],[17,"GTK_INPUT_PURPOSE_PIN","","",null,null],[17,"GTK_JUSTIFY_LEFT","","",null,null],[17,"GTK_JUSTIFY_RIGHT","","",null,null],[17,"GTK_JUSTIFY_CENTER","","",null,null],[17,"GTK_JUSTIFY_FILL","","",null,null],[17,"GTK_LEVEL_BAR_MODE_CONTINUOUS","","",null,null],[17,"GTK_LEVEL_BAR_MODE_DISCRETE","","",null,null],[17,"GTK_LICENSE_UNKNOWN","","",null,null],[17,"GTK_LICENSE_CUSTOM","","",null,null],[17,"GTK_LICENSE_GPL_2_0","","",null,null],[17,"GTK_LICENSE_GPL_3_0","","",null,null],[17,"GTK_LICENSE_LGPL_2_1","","",null,null],[17,"GTK_LICENSE_LGPL_3_0","","",null,null],[17,"GTK_LICENSE_BSD","","",null,null],[17,"GTK_LICENSE_MIT_X11","","",null,null],[17,"GTK_LICENSE_ARTISTIC","","",null,null],[17,"GTK_LICENSE_GPL_2_0_ONLY","","",null,null],[17,"GTK_LICENSE_GPL_3_0_ONLY","","",null,null],[17,"GTK_LICENSE_LGPL_2_1_ONLY","","",null,null],[17,"GTK_LICENSE_LGPL_3_0_ONLY","","",null,null],[17,"GTK_LICENSE_AGPL_3_0","","",null,null],[17,"GTK_MENU_DIR_PARENT","","",null,null],[17,"GTK_MENU_DIR_CHILD","","",null,null],[17,"GTK_MENU_DIR_NEXT","","",null,null],[17,"GTK_MENU_DIR_PREV","","",null,null],[17,"GTK_MESSAGE_INFO","","",null,null],[17,"GTK_MESSAGE_WARNING","","",null,null],[17,"GTK_MESSAGE_QUESTION","","",null,null],[17,"GTK_MESSAGE_ERROR","","",null,null],[17,"GTK_MESSAGE_OTHER","","",null,null],[17,"GTK_MOVEMENT_LOGICAL_POSITIONS","","",null,null],[17,"GTK_MOVEMENT_VISUAL_POSITIONS","","",null,null],[17,"GTK_MOVEMENT_WORDS","","",null,null],[17,"GTK_MOVEMENT_DISPLAY_LINES","","",null,null],[17,"GTK_MOVEMENT_DISPLAY_LINE_ENDS","","",null,null],[17,"GTK_MOVEMENT_PARAGRAPHS","","",null,null],[17,"GTK_MOVEMENT_PARAGRAPH_ENDS","","",null,null],[17,"GTK_MOVEMENT_PAGES","","",null,null],[17,"GTK_MOVEMENT_BUFFER_ENDS","","",null,null],[17,"GTK_MOVEMENT_HORIZONTAL_PAGES","","",null,null],[17,"GTK_NOTEBOOK_TAB_FIRST","","",null,null],[17,"GTK_NOTEBOOK_TAB_LAST","","",null,null],[17,"GTK_NUMBER_UP_LAYOUT_LEFT_TO_RIGHT_TOP_TO_BOTTOM","","",null,null],[17,"GTK_NUMBER_UP_LAYOUT_LEFT_TO_RIGHT_BOTTOM_TO_TOP","","",null,null],[17,"GTK_NUMBER_UP_LAYOUT_RIGHT_TO_LEFT_TOP_TO_BOTTOM","","",null,null],[17,"GTK_NUMBER_UP_LAYOUT_RIGHT_TO_LEFT_BOTTOM_TO_TOP","","",null,null],[17,"GTK_NUMBER_UP_LAYOUT_TOP_TO_BOTTOM_LEFT_TO_RIGHT","","",null,null],[17,"GTK_NUMBER_UP_LAYOUT_TOP_TO_BOTTOM_RIGHT_TO_LEFT","","",null,null],[17,"GTK_NUMBER_UP_LAYOUT_BOTTOM_TO_TOP_LEFT_TO_RIGHT","","",null,null],[17,"GTK_NUMBER_UP_LAYOUT_BOTTOM_TO_TOP_RIGHT_TO_LEFT","","",null,null],[17,"GTK_ORIENTATION_HORIZONTAL","","",null,null],[17,"GTK_ORIENTATION_VERTICAL","","",null,null],[17,"GTK_PACK_DIRECTION_LTR","","",null,null],[17,"GTK_PACK_DIRECTION_RTL","","",null,null],[17,"GTK_PACK_DIRECTION_TTB","","",null,null],[17,"GTK_PACK_DIRECTION_BTT","","",null,null],[17,"GTK_PACK_START","","",null,null],[17,"GTK_PACK_END","","",null,null],[17,"GTK_PAD_ACTION_BUTTON","","",null,null],[17,"GTK_PAD_ACTION_RING","","",null,null],[17,"GTK_PAD_ACTION_STRIP","","",null,null],[17,"GTK_PAGE_ORIENTATION_PORTRAIT","","",null,null],[17,"GTK_PAGE_ORIENTATION_LANDSCAPE","","",null,null],[17,"GTK_PAGE_ORIENTATION_REVERSE_PORTRAIT","","",null,null],[17,"GTK_PAGE_ORIENTATION_REVERSE_LANDSCAPE","","",null,null],[17,"GTK_PAGE_SET_ALL","","",null,null],[17,"GTK_PAGE_SET_EVEN","","",null,null],[17,"GTK_PAGE_SET_ODD","","",null,null],[17,"GTK_PAN_DIRECTION_LEFT","","",null,null],[17,"GTK_PAN_DIRECTION_RIGHT","","",null,null],[17,"GTK_PAN_DIRECTION_UP","","",null,null],[17,"GTK_PAN_DIRECTION_DOWN","","",null,null],[17,"GTK_PATH_PRIO_LOWEST","","",null,null],[17,"GTK_PATH_PRIO_GTK","","",null,null],[17,"GTK_PATH_PRIO_APPLICATION","","",null,null],[17,"GTK_PATH_PRIO_THEME","","",null,null],[17,"GTK_PATH_PRIO_RC","","",null,null],[17,"GTK_PATH_PRIO_HIGHEST","","",null,null],[17,"GTK_PATH_WIDGET","","",null,null],[17,"GTK_PATH_WIDGET_CLASS","","",null,null],[17,"GTK_PATH_CLASS","","",null,null],[17,"GTK_POLICY_ALWAYS","","",null,null],[17,"GTK_POLICY_AUTOMATIC","","",null,null],[17,"GTK_POLICY_NEVER","","",null,null],[17,"GTK_POLICY_EXTERNAL","","",null,null],[17,"GTK_POPOVER_CONSTRAINT_NONE","","",null,null],[17,"GTK_POPOVER_CONSTRAINT_WINDOW","","",null,null],[17,"GTK_POS_LEFT","","",null,null],[17,"GTK_POS_RIGHT","","",null,null],[17,"GTK_POS_TOP","","",null,null],[17,"GTK_POS_BOTTOM","","",null,null],[17,"GTK_PRINT_DUPLEX_SIMPLEX","","",null,null],[17,"GTK_PRINT_DUPLEX_HORIZONTAL","","",null,null],[17,"GTK_PRINT_DUPLEX_VERTICAL","","",null,null],[17,"GTK_PRINT_ERROR_GENERAL","","",null,null],[17,"GTK_PRINT_ERROR_INTERNAL_ERROR","","",null,null],[17,"GTK_PRINT_ERROR_NOMEM","","",null,null],[17,"GTK_PRINT_ERROR_INVALID_FILE","","",null,null],[17,"GTK_PRINT_OPERATION_ACTION_PRINT_DIALOG","","",null,null],[17,"GTK_PRINT_OPERATION_ACTION_PRINT","","",null,null],[17,"GTK_PRINT_OPERATION_ACTION_PREVIEW","","",null,null],[17,"GTK_PRINT_OPERATION_ACTION_EXPORT","","",null,null],[17,"GTK_PRINT_OPERATION_RESULT_ERROR","","",null,null],[17,"GTK_PRINT_OPERATION_RESULT_APPLY","","",null,null],[17,"GTK_PRINT_OPERATION_RESULT_CANCEL","","",null,null],[17,"GTK_PRINT_OPERATION_RESULT_IN_PROGRESS","","",null,null],[17,"GTK_PRINT_PAGES_ALL","","",null,null],[17,"GTK_PRINT_PAGES_CURRENT","","",null,null],[17,"GTK_PRINT_PAGES_RANGES","","",null,null],[17,"GTK_PRINT_PAGES_SELECTION","","",null,null],[17,"GTK_PRINT_QUALITY_LOW","","",null,null],[17,"GTK_PRINT_QUALITY_NORMAL","","",null,null],[17,"GTK_PRINT_QUALITY_HIGH","","",null,null],[17,"GTK_PRINT_QUALITY_DRAFT","","",null,null],[17,"GTK_PRINT_STATUS_INITIAL","","",null,null],[17,"GTK_PRINT_STATUS_PREPARING","","",null,null],[17,"GTK_PRINT_STATUS_GENERATING_DATA","","",null,null],[17,"GTK_PRINT_STATUS_SENDING_DATA","","",null,null],[17,"GTK_PRINT_STATUS_PENDING","","",null,null],[17,"GTK_PRINT_STATUS_PENDING_ISSUE","","",null,null],[17,"GTK_PRINT_STATUS_PRINTING","","",null,null],[17,"GTK_PRINT_STATUS_FINISHED","","",null,null],[17,"GTK_PRINT_STATUS_FINISHED_ABORTED","","",null,null],[17,"GTK_PHASE_NONE","","",null,null],[17,"GTK_PHASE_CAPTURE","","",null,null],[17,"GTK_PHASE_BUBBLE","","",null,null],[17,"GTK_PHASE_TARGET","","",null,null],[17,"GTK_RC_TOKEN_INVALID","","",null,null],[17,"GTK_RC_TOKEN_INCLUDE","","",null,null],[17,"GTK_RC_TOKEN_NORMAL","","",null,null],[17,"GTK_RC_TOKEN_ACTIVE","","",null,null],[17,"GTK_RC_TOKEN_PRELIGHT","","",null,null],[17,"GTK_RC_TOKEN_SELECTED","","",null,null],[17,"GTK_RC_TOKEN_INSENSITIVE","","",null,null],[17,"GTK_RC_TOKEN_FG","","",null,null],[17,"GTK_RC_TOKEN_BG","","",null,null],[17,"GTK_RC_TOKEN_TEXT","","",null,null],[17,"GTK_RC_TOKEN_BASE","","",null,null],[17,"GTK_RC_TOKEN_XTHICKNESS","","",null,null],[17,"GTK_RC_TOKEN_YTHICKNESS","","",null,null],[17,"GTK_RC_TOKEN_FONT","","",null,null],[17,"GTK_RC_TOKEN_FONTSET","","",null,null],[17,"GTK_RC_TOKEN_FONT_NAME","","",null,null],[17,"GTK_RC_TOKEN_BG_PIXMAP","","",null,null],[17,"GTK_RC_TOKEN_PIXMAP_PATH","","",null,null],[17,"GTK_RC_TOKEN_STYLE","","",null,null],[17,"GTK_RC_TOKEN_BINDING","","",null,null],[17,"GTK_RC_TOKEN_BIND","","",null,null],[17,"GTK_RC_TOKEN_WIDGET","","",null,null],[17,"GTK_RC_TOKEN_WIDGET_CLASS","","",null,null],[17,"GTK_RC_TOKEN_CLASS","","",null,null],[17,"GTK_RC_TOKEN_LOWEST","","",null,null],[17,"GTK_RC_TOKEN_GTK","","",null,null],[17,"GTK_RC_TOKEN_APPLICATION","","",null,null],[17,"GTK_RC_TOKEN_THEME","","",null,null],[17,"GTK_RC_TOKEN_RC","","",null,null],[17,"GTK_RC_TOKEN_HIGHEST","","",null,null],[17,"GTK_RC_TOKEN_ENGINE","","",null,null],[17,"GTK_RC_TOKEN_MODULE_PATH","","",null,null],[17,"GTK_RC_TOKEN_IM_MODULE_PATH","","",null,null],[17,"GTK_RC_TOKEN_IM_MODULE_FILE","","",null,null],[17,"GTK_RC_TOKEN_STOCK","","",null,null],[17,"GTK_RC_TOKEN_LTR","","",null,null],[17,"GTK_RC_TOKEN_RTL","","",null,null],[17,"GTK_RC_TOKEN_COLOR","","",null,null],[17,"GTK_RC_TOKEN_UNBIND","","",null,null],[17,"GTK_RC_TOKEN_LAST","","",null,null],[17,"GTK_RECENT_CHOOSER_ERROR_NOT_FOUND","","",null,null],[17,"GTK_RECENT_CHOOSER_ERROR_INVALID_URI","","",null,null],[17,"GTK_RECENT_MANAGER_ERROR_NOT_FOUND","","",null,null],[17,"GTK_RECENT_MANAGER_ERROR_INVALID_URI","","",null,null],[17,"GTK_RECENT_MANAGER_ERROR_INVALID_ENCODING","","",null,null],[17,"GTK_RECENT_MANAGER_ERROR_NOT_REGISTERED","","",null,null],[17,"GTK_RECENT_MANAGER_ERROR_READ","","",null,null],[17,"GTK_RECENT_MANAGER_ERROR_WRITE","","",null,null],[17,"GTK_RECENT_MANAGER_ERROR_UNKNOWN","","",null,null],[17,"GTK_RECENT_SORT_NONE","","",null,null],[17,"GTK_RECENT_SORT_MRU","","",null,null],[17,"GTK_RECENT_SORT_LRU","","",null,null],[17,"GTK_RECENT_SORT_CUSTOM","","",null,null],[17,"GTK_RELIEF_NORMAL","","",null,null],[17,"GTK_RELIEF_HALF","","",null,null],[17,"GTK_RELIEF_NONE","","",null,null],[17,"GTK_RESIZE_PARENT","","",null,null],[17,"GTK_RESIZE_QUEUE","","",null,null],[17,"GTK_RESIZE_IMMEDIATE","","",null,null],[17,"GTK_RESPONSE_NONE","","",null,null],[17,"GTK_RESPONSE_REJECT","","",null,null],[17,"GTK_RESPONSE_ACCEPT","","",null,null],[17,"GTK_RESPONSE_DELETE_EVENT","","",null,null],[17,"GTK_RESPONSE_OK","","",null,null],[17,"GTK_RESPONSE_CANCEL","","",null,null],[17,"GTK_RESPONSE_CLOSE","","",null,null],[17,"GTK_RESPONSE_YES","","",null,null],[17,"GTK_RESPONSE_NO","","",null,null],[17,"GTK_RESPONSE_APPLY","","",null,null],[17,"GTK_RESPONSE_HELP","","",null,null],[17,"GTK_REVEALER_TRANSITION_TYPE_NONE","","",null,null],[17,"GTK_REVEALER_TRANSITION_TYPE_CROSSFADE","","",null,null],[17,"GTK_REVEALER_TRANSITION_TYPE_SLIDE_RIGHT","","",null,null],[17,"GTK_REVEALER_TRANSITION_TYPE_SLIDE_LEFT","","",null,null],[17,"GTK_REVEALER_TRANSITION_TYPE_SLIDE_UP","","",null,null],[17,"GTK_REVEALER_TRANSITION_TYPE_SLIDE_DOWN","","",null,null],[17,"GTK_SCROLL_STEPS","","",null,null],[17,"GTK_SCROLL_PAGES","","",null,null],[17,"GTK_SCROLL_ENDS","","",null,null],[17,"GTK_SCROLL_HORIZONTAL_STEPS","","",null,null],[17,"GTK_SCROLL_HORIZONTAL_PAGES","","",null,null],[17,"GTK_SCROLL_HORIZONTAL_ENDS","","",null,null],[17,"GTK_SCROLL_NONE","","",null,null],[17,"GTK_SCROLL_JUMP","","",null,null],[17,"GTK_SCROLL_STEP_BACKWARD","","",null,null],[17,"GTK_SCROLL_STEP_FORWARD","","",null,null],[17,"GTK_SCROLL_PAGE_BACKWARD","","",null,null],[17,"GTK_SCROLL_PAGE_FORWARD","","",null,null],[17,"GTK_SCROLL_STEP_UP","","",null,null],[17,"GTK_SCROLL_STEP_DOWN","","",null,null],[17,"GTK_SCROLL_PAGE_UP","","",null,null],[17,"GTK_SCROLL_PAGE_DOWN","","",null,null],[17,"GTK_SCROLL_STEP_LEFT","","",null,null],[17,"GTK_SCROLL_STEP_RIGHT","","",null,null],[17,"GTK_SCROLL_PAGE_LEFT","","",null,null],[17,"GTK_SCROLL_PAGE_RIGHT","","",null,null],[17,"GTK_SCROLL_START","","",null,null],[17,"GTK_SCROLL_END","","",null,null],[17,"GTK_SCROLL_MINIMUM","","",null,null],[17,"GTK_SCROLL_NATURAL","","",null,null],[17,"GTK_SELECTION_NONE","","",null,null],[17,"GTK_SELECTION_SINGLE","","",null,null],[17,"GTK_SELECTION_BROWSE","","",null,null],[17,"GTK_SELECTION_MULTIPLE","","",null,null],[17,"GTK_SENSITIVITY_AUTO","","",null,null],[17,"GTK_SENSITIVITY_ON","","",null,null],[17,"GTK_SENSITIVITY_OFF","","",null,null],[17,"GTK_SHADOW_NONE","","",null,null],[17,"GTK_SHADOW_IN","","",null,null],[17,"GTK_SHADOW_OUT","","",null,null],[17,"GTK_SHADOW_ETCHED_IN","","",null,null],[17,"GTK_SHADOW_ETCHED_OUT","","",null,null],[17,"GTK_SHORTCUT_ACCELERATOR","","",null,null],[17,"GTK_SHORTCUT_GESTURE_PINCH","","",null,null],[17,"GTK_SHORTCUT_GESTURE_STRETCH","","",null,null],[17,"GTK_SHORTCUT_GESTURE_ROTATE_CLOCKWISE","","",null,null],[17,"GTK_SHORTCUT_GESTURE_ROTATE_COUNTERCLOCKWISE","","",null,null],[17,"GTK_SHORTCUT_GESTURE_TWO_FINGER_SWIPE_LEFT","","",null,null],[17,"GTK_SHORTCUT_GESTURE_TWO_FINGER_SWIPE_RIGHT","","",null,null],[17,"GTK_SHORTCUT_GESTURE","","",null,null],[17,"GTK_SIZE_GROUP_NONE","","",null,null],[17,"GTK_SIZE_GROUP_HORIZONTAL","","",null,null],[17,"GTK_SIZE_GROUP_VERTICAL","","",null,null],[17,"GTK_SIZE_GROUP_BOTH","","",null,null],[17,"GTK_SIZE_REQUEST_HEIGHT_FOR_WIDTH","","",null,null],[17,"GTK_SIZE_REQUEST_WIDTH_FOR_HEIGHT","","",null,null],[17,"GTK_SIZE_REQUEST_CONSTANT_SIZE","","",null,null],[17,"GTK_SORT_ASCENDING","","",null,null],[17,"GTK_SORT_DESCENDING","","",null,null],[17,"GTK_UPDATE_ALWAYS","","",null,null],[17,"GTK_UPDATE_IF_VALID","","",null,null],[17,"GTK_SPIN_STEP_FORWARD","","",null,null],[17,"GTK_SPIN_STEP_BACKWARD","","",null,null],[17,"GTK_SPIN_PAGE_FORWARD","","",null,null],[17,"GTK_SPIN_PAGE_BACKWARD","","",null,null],[17,"GTK_SPIN_HOME","","",null,null],[17,"GTK_SPIN_END","","",null,null],[17,"GTK_SPIN_USER_DEFINED","","",null,null],[17,"GTK_STACK_TRANSITION_TYPE_NONE","","",null,null],[17,"GTK_STACK_TRANSITION_TYPE_CROSSFADE","","",null,null],[17,"GTK_STACK_TRANSITION_TYPE_SLIDE_RIGHT","","",null,null],[17,"GTK_STACK_TRANSITION_TYPE_SLIDE_LEFT","","",null,null],[17,"GTK_STACK_TRANSITION_TYPE_SLIDE_UP","","",null,null],[17,"GTK_STACK_TRANSITION_TYPE_SLIDE_DOWN","","",null,null],[17,"GTK_STACK_TRANSITION_TYPE_SLIDE_LEFT_RIGHT","","",null,null],[17,"GTK_STACK_TRANSITION_TYPE_SLIDE_UP_DOWN","","",null,null],[17,"GTK_STACK_TRANSITION_TYPE_OVER_UP","","",null,null],[17,"GTK_STACK_TRANSITION_TYPE_OVER_DOWN","","",null,null],[17,"GTK_STACK_TRANSITION_TYPE_OVER_LEFT","","",null,null],[17,"GTK_STACK_TRANSITION_TYPE_OVER_RIGHT","","",null,null],[17,"GTK_STACK_TRANSITION_TYPE_UNDER_UP","","",null,null],[17,"GTK_STACK_TRANSITION_TYPE_UNDER_DOWN","","",null,null],[17,"GTK_STACK_TRANSITION_TYPE_UNDER_LEFT","","",null,null],[17,"GTK_STACK_TRANSITION_TYPE_UNDER_RIGHT","","",null,null],[17,"GTK_STACK_TRANSITION_TYPE_OVER_UP_DOWN","","",null,null],[17,"GTK_STACK_TRANSITION_TYPE_OVER_DOWN_UP","","",null,null],[17,"GTK_STACK_TRANSITION_TYPE_OVER_LEFT_RIGHT","","",null,null],[17,"GTK_STACK_TRANSITION_TYPE_OVER_RIGHT_LEFT","","",null,null],[17,"GTK_STATE_NORMAL","","",null,null],[17,"GTK_STATE_ACTIVE","","",null,null],[17,"GTK_STATE_PRELIGHT","","",null,null],[17,"GTK_STATE_SELECTED","","",null,null],[17,"GTK_STATE_INSENSITIVE","","",null,null],[17,"GTK_STATE_INCONSISTENT","","",null,null],[17,"GTK_STATE_FOCUSED","","",null,null],[17,"GTK_TEXT_BUFFER_TARGET_INFO_BUFFER_CONTENTS","","",null,null],[17,"GTK_TEXT_BUFFER_TARGET_INFO_RICH_TEXT","","",null,null],[17,"GTK_TEXT_BUFFER_TARGET_INFO_TEXT","","",null,null],[17,"GTK_TEXT_DIR_NONE","","",null,null],[17,"GTK_TEXT_DIR_LTR","","",null,null],[17,"GTK_TEXT_DIR_RTL","","",null,null],[17,"GTK_TEXT_EXTEND_SELECTION_WORD","","",null,null],[17,"GTK_TEXT_EXTEND_SELECTION_LINE","","",null,null],[17,"GTK_TEXT_VIEW_LAYER_BELOW","","",null,null],[17,"GTK_TEXT_VIEW_LAYER_ABOVE","","",null,null],[17,"GTK_TEXT_VIEW_LAYER_BELOW_TEXT","","",null,null],[17,"GTK_TEXT_VIEW_LAYER_ABOVE_TEXT","","",null,null],[17,"GTK_TEXT_WINDOW_PRIVATE","","",null,null],[17,"GTK_TEXT_WINDOW_WIDGET","","",null,null],[17,"GTK_TEXT_WINDOW_TEXT","","",null,null],[17,"GTK_TEXT_WINDOW_LEFT","","",null,null],[17,"GTK_TEXT_WINDOW_RIGHT","","",null,null],[17,"GTK_TEXT_WINDOW_TOP","","",null,null],[17,"GTK_TEXT_WINDOW_BOTTOM","","",null,null],[17,"GTK_TOOLBAR_SPACE_EMPTY","","",null,null],[17,"GTK_TOOLBAR_SPACE_LINE","","",null,null],[17,"GTK_TOOLBAR_ICONS","","",null,null],[17,"GTK_TOOLBAR_TEXT","","",null,null],[17,"GTK_TOOLBAR_BOTH","","",null,null],[17,"GTK_TOOLBAR_BOTH_HORIZ","","",null,null],[17,"GTK_TREE_VIEW_COLUMN_GROW_ONLY","","",null,null],[17,"GTK_TREE_VIEW_COLUMN_AUTOSIZE","","",null,null],[17,"GTK_TREE_VIEW_COLUMN_FIXED","","",null,null],[17,"GTK_TREE_VIEW_DROP_BEFORE","","",null,null],[17,"GTK_TREE_VIEW_DROP_AFTER","","",null,null],[17,"GTK_TREE_VIEW_DROP_INTO_OR_BEFORE","","",null,null],[17,"GTK_TREE_VIEW_DROP_INTO_OR_AFTER","","",null,null],[17,"GTK_TREE_VIEW_GRID_LINES_NONE","","",null,null],[17,"GTK_TREE_VIEW_GRID_LINES_HORIZONTAL","","",null,null],[17,"GTK_TREE_VIEW_GRID_LINES_VERTICAL","","",null,null],[17,"GTK_TREE_VIEW_GRID_LINES_BOTH","","",null,null],[17,"GTK_UNIT_NONE","","",null,null],[17,"GTK_UNIT_POINTS","","",null,null],[17,"GTK_UNIT_INCH","","",null,null],[17,"GTK_UNIT_MM","","",null,null],[17,"GTK_WIDGET_HELP_TOOLTIP","","",null,null],[17,"GTK_WIDGET_HELP_WHATS_THIS","","",null,null],[17,"GTK_WIN_POS_NONE","","",null,null],[17,"GTK_WIN_POS_CENTER","","",null,null],[17,"GTK_WIN_POS_MOUSE","","",null,null],[17,"GTK_WIN_POS_CENTER_ALWAYS","","",null,null],[17,"GTK_WIN_POS_CENTER_ON_PARENT","","",null,null],[17,"GTK_WINDOW_TOPLEVEL","","",null,null],[17,"GTK_WINDOW_POPUP","","",null,null],[17,"GTK_WRAP_NONE","","",null,null],[17,"GTK_WRAP_CHAR","","",null,null],[17,"GTK_WRAP_WORD","","",null,null],[17,"GTK_WRAP_WORD_CHAR","","",null,null],[17,"GTK_BINARY_AGE","","",null,null],[17,"GTK_INPUT_ERROR","","",null,null],[17,"GTK_INTERFACE_AGE","","",null,null],[17,"GTK_LEVEL_BAR_OFFSET_FULL","","",null,null],[17,"GTK_LEVEL_BAR_OFFSET_HIGH","","",null,null],[17,"GTK_LEVEL_BAR_OFFSET_LOW","","",null,null],[17,"GTK_MAJOR_VERSION","","",null,null],[17,"GTK_MAX_COMPOSE_LEN","","",null,null],[17,"GTK_MICRO_VERSION","","",null,null],[17,"GTK_MINOR_VERSION","","",null,null],[17,"GTK_PAPER_NAME_A3","","",null,null],[17,"GTK_PAPER_NAME_A4","","",null,null],[17,"GTK_PAPER_NAME_A5","","",null,null],[17,"GTK_PAPER_NAME_B5","","",null,null],[17,"GTK_PAPER_NAME_EXECUTIVE","","",null,null],[17,"GTK_PAPER_NAME_LEGAL","","",null,null],[17,"GTK_PAPER_NAME_LETTER","","",null,null],[17,"GTK_PATH_PRIO_MASK","","",null,null],[17,"GTK_PRINT_SETTINGS_COLLATE","","",null,null],[17,"GTK_PRINT_SETTINGS_DEFAULT_SOURCE","","",null,null],[17,"GTK_PRINT_SETTINGS_DITHER","","",null,null],[17,"GTK_PRINT_SETTINGS_DUPLEX","","",null,null],[17,"GTK_PRINT_SETTINGS_FINISHINGS","","",null,null],[17,"GTK_PRINT_SETTINGS_MEDIA_TYPE","","",null,null],[17,"GTK_PRINT_SETTINGS_NUMBER_UP","","",null,null],[17,"GTK_PRINT_SETTINGS_NUMBER_UP_LAYOUT","","",null,null],[17,"GTK_PRINT_SETTINGS_N_COPIES","","",null,null],[17,"GTK_PRINT_SETTINGS_ORIENTATION","","",null,null],[17,"GTK_PRINT_SETTINGS_OUTPUT_BASENAME","","",null,null],[17,"GTK_PRINT_SETTINGS_OUTPUT_BIN","","",null,null],[17,"GTK_PRINT_SETTINGS_OUTPUT_DIR","","",null,null],[17,"GTK_PRINT_SETTINGS_OUTPUT_FILE_FORMAT","","",null,null],[17,"GTK_PRINT_SETTINGS_OUTPUT_URI","","",null,null],[17,"GTK_PRINT_SETTINGS_PAGE_RANGES","","",null,null],[17,"GTK_PRINT_SETTINGS_PAGE_SET","","",null,null],[17,"GTK_PRINT_SETTINGS_PAPER_FORMAT","","",null,null],[17,"GTK_PRINT_SETTINGS_PAPER_HEIGHT","","",null,null],[17,"GTK_PRINT_SETTINGS_PAPER_WIDTH","","",null,null],[17,"GTK_PRINT_SETTINGS_PRINTER","","",null,null],[17,"GTK_PRINT_SETTINGS_PRINTER_LPI","","",null,null],[17,"GTK_PRINT_SETTINGS_PRINT_PAGES","","",null,null],[17,"GTK_PRINT_SETTINGS_QUALITY","","",null,null],[17,"GTK_PRINT_SETTINGS_RESOLUTION","","",null,null],[17,"GTK_PRINT_SETTINGS_RESOLUTION_X","","",null,null],[17,"GTK_PRINT_SETTINGS_RESOLUTION_Y","","",null,null],[17,"GTK_PRINT_SETTINGS_REVERSE","","",null,null],[17,"GTK_PRINT_SETTINGS_SCALE","","",null,null],[17,"GTK_PRINT_SETTINGS_USE_COLOR","","",null,null],[17,"GTK_PRINT_SETTINGS_WIN32_DRIVER_EXTRA","","",null,null],[17,"GTK_PRINT_SETTINGS_WIN32_DRIVER_VERSION","","",null,null],[17,"GTK_PRIORITY_RESIZE","","",null,null],[17,"GTK_STOCK_ABOUT","","",null,null],[17,"GTK_STOCK_ADD","","",null,null],[17,"GTK_STOCK_APPLY","","",null,null],[17,"GTK_STOCK_BOLD","","",null,null],[17,"GTK_STOCK_CANCEL","","",null,null],[17,"GTK_STOCK_CAPS_LOCK_WARNING","","",null,null],[17,"GTK_STOCK_CDROM","","",null,null],[17,"GTK_STOCK_CLEAR","","",null,null],[17,"GTK_STOCK_CLOSE","","",null,null],[17,"GTK_STOCK_COLOR_PICKER","","",null,null],[17,"GTK_STOCK_CONNECT","","",null,null],[17,"GTK_STOCK_CONVERT","","",null,null],[17,"GTK_STOCK_COPY","","",null,null],[17,"GTK_STOCK_CUT","","",null,null],[17,"GTK_STOCK_DELETE","","",null,null],[17,"GTK_STOCK_DIALOG_AUTHENTICATION","","",null,null],[17,"GTK_STOCK_DIALOG_ERROR","","",null,null],[17,"GTK_STOCK_DIALOG_INFO","","",null,null],[17,"GTK_STOCK_DIALOG_QUESTION","","",null,null],[17,"GTK_STOCK_DIALOG_WARNING","","",null,null],[17,"GTK_STOCK_DIRECTORY","","",null,null],[17,"GTK_STOCK_DISCARD","","",null,null],[17,"GTK_STOCK_DISCONNECT","","",null,null],[17,"GTK_STOCK_DND","","",null,null],[17,"GTK_STOCK_DND_MULTIPLE","","",null,null],[17,"GTK_STOCK_EDIT","","",null,null],[17,"GTK_STOCK_EXECUTE","","",null,null],[17,"GTK_STOCK_FILE","","",null,null],[17,"GTK_STOCK_FIND","","",null,null],[17,"GTK_STOCK_FIND_AND_REPLACE","","",null,null],[17,"GTK_STOCK_FLOPPY","","",null,null],[17,"GTK_STOCK_FULLSCREEN","","",null,null],[17,"GTK_STOCK_GOTO_BOTTOM","","",null,null],[17,"GTK_STOCK_GOTO_FIRST","","",null,null],[17,"GTK_STOCK_GOTO_LAST","","",null,null],[17,"GTK_STOCK_GOTO_TOP","","",null,null],[17,"GTK_STOCK_GO_BACK","","",null,null],[17,"GTK_STOCK_GO_DOWN","","",null,null],[17,"GTK_STOCK_GO_FORWARD","","",null,null],[17,"GTK_STOCK_GO_UP","","",null,null],[17,"GTK_STOCK_HARDDISK","","",null,null],[17,"GTK_STOCK_HELP","","",null,null],[17,"GTK_STOCK_HOME","","",null,null],[17,"GTK_STOCK_INDENT","","",null,null],[17,"GTK_STOCK_INDEX","","",null,null],[17,"GTK_STOCK_INFO","","",null,null],[17,"GTK_STOCK_ITALIC","","",null,null],[17,"GTK_STOCK_JUMP_TO","","",null,null],[17,"GTK_STOCK_JUSTIFY_CENTER","","",null,null],[17,"GTK_STOCK_JUSTIFY_FILL","","",null,null],[17,"GTK_STOCK_JUSTIFY_LEFT","","",null,null],[17,"GTK_STOCK_JUSTIFY_RIGHT","","",null,null],[17,"GTK_STOCK_LEAVE_FULLSCREEN","","",null,null],[17,"GTK_STOCK_MEDIA_FORWARD","","",null,null],[17,"GTK_STOCK_MEDIA_NEXT","","",null,null],[17,"GTK_STOCK_MEDIA_PAUSE","","",null,null],[17,"GTK_STOCK_MEDIA_PLAY","","",null,null],[17,"GTK_STOCK_MEDIA_PREVIOUS","","",null,null],[17,"GTK_STOCK_MEDIA_RECORD","","",null,null],[17,"GTK_STOCK_MEDIA_REWIND","","",null,null],[17,"GTK_STOCK_MEDIA_STOP","","",null,null],[17,"GTK_STOCK_MISSING_IMAGE","","",null,null],[17,"GTK_STOCK_NETWORK","","",null,null],[17,"GTK_STOCK_NEW","","",null,null],[17,"GTK_STOCK_NO","","",null,null],[17,"GTK_STOCK_OK","","",null,null],[17,"GTK_STOCK_OPEN","","",null,null],[17,"GTK_STOCK_ORIENTATION_LANDSCAPE","","",null,null],[17,"GTK_STOCK_ORIENTATION_PORTRAIT","","",null,null],[17,"GTK_STOCK_ORIENTATION_REVERSE_LANDSCAPE","","",null,null],[17,"GTK_STOCK_ORIENTATION_REVERSE_PORTRAIT","","",null,null],[17,"GTK_STOCK_PAGE_SETUP","","",null,null],[17,"GTK_STOCK_PASTE","","",null,null],[17,"GTK_STOCK_PREFERENCES","","",null,null],[17,"GTK_STOCK_PRINT","","",null,null],[17,"GTK_STOCK_PRINT_ERROR","","",null,null],[17,"GTK_STOCK_PRINT_PAUSED","","",null,null],[17,"GTK_STOCK_PRINT_PREVIEW","","",null,null],[17,"GTK_STOCK_PRINT_REPORT","","",null,null],[17,"GTK_STOCK_PRINT_WARNING","","",null,null],[17,"GTK_STOCK_PROPERTIES","","",null,null],[17,"GTK_STOCK_QUIT","","",null,null],[17,"GTK_STOCK_REDO","","",null,null],[17,"GTK_STOCK_REFRESH","","",null,null],[17,"GTK_STOCK_REMOVE","","",null,null],[17,"GTK_STOCK_REVERT_TO_SAVED","","",null,null],[17,"GTK_STOCK_SAVE","","",null,null],[17,"GTK_STOCK_SAVE_AS","","",null,null],[17,"GTK_STOCK_SELECT_ALL","","",null,null],[17,"GTK_STOCK_SELECT_COLOR","","",null,null],[17,"GTK_STOCK_SELECT_FONT","","",null,null],[17,"GTK_STOCK_SORT_ASCENDING","","",null,null],[17,"GTK_STOCK_SORT_DESCENDING","","",null,null],[17,"GTK_STOCK_SPELL_CHECK","","",null,null],[17,"GTK_STOCK_STOP","","",null,null],[17,"GTK_STOCK_STRIKETHROUGH","","",null,null],[17,"GTK_STOCK_UNDELETE","","",null,null],[17,"GTK_STOCK_UNDERLINE","","",null,null],[17,"GTK_STOCK_UNDO","","",null,null],[17,"GTK_STOCK_UNINDENT","","",null,null],[17,"GTK_STOCK_YES","","",null,null],[17,"GTK_STOCK_ZOOM_100","","",null,null],[17,"GTK_STOCK_ZOOM_FIT","","",null,null],[17,"GTK_STOCK_ZOOM_IN","","",null,null],[17,"GTK_STOCK_ZOOM_OUT","","",null,null],[17,"GTK_STYLE_CLASS_ACCELERATOR","","",null,null],[17,"GTK_STYLE_CLASS_ARROW","","",null,null],[17,"GTK_STYLE_CLASS_BACKGROUND","","",null,null],[17,"GTK_STYLE_CLASS_BOTTOM","","",null,null],[17,"GTK_STYLE_CLASS_BUTTON","","",null,null],[17,"GTK_STYLE_CLASS_CALENDAR","","",null,null],[17,"GTK_STYLE_CLASS_CELL","","",null,null],[17,"GTK_STYLE_CLASS_CHECK","","",null,null],[17,"GTK_STYLE_CLASS_COMBOBOX_ENTRY","","",null,null],[17,"GTK_STYLE_CLASS_CONTEXT_MENU","","",null,null],[17,"GTK_STYLE_CLASS_CSD","","",null,null],[17,"GTK_STYLE_CLASS_CURSOR_HANDLE","","",null,null],[17,"GTK_STYLE_CLASS_DEFAULT","","",null,null],[17,"GTK_STYLE_CLASS_DESTRUCTIVE_ACTION","","",null,null],[17,"GTK_STYLE_CLASS_DIM_LABEL","","",null,null],[17,"GTK_STYLE_CLASS_DND","","",null,null],[17,"GTK_STYLE_CLASS_DOCK","","",null,null],[17,"GTK_STYLE_CLASS_ENTRY","","",null,null],[17,"GTK_STYLE_CLASS_ERROR","","",null,null],[17,"GTK_STYLE_CLASS_EXPANDER","","",null,null],[17,"GTK_STYLE_CLASS_FLAT","","",null,null],[17,"GTK_STYLE_CLASS_FRAME","","",null,null],[17,"GTK_STYLE_CLASS_GRIP","","",null,null],[17,"GTK_STYLE_CLASS_HEADER","","",null,null],[17,"GTK_STYLE_CLASS_HIGHLIGHT","","",null,null],[17,"GTK_STYLE_CLASS_HORIZONTAL","","",null,null],[17,"GTK_STYLE_CLASS_IMAGE","","",null,null],[17,"GTK_STYLE_CLASS_INFO","","",null,null],[17,"GTK_STYLE_CLASS_INLINE_TOOLBAR","","",null,null],[17,"GTK_STYLE_CLASS_INSERTION_CURSOR","","",null,null],[17,"GTK_STYLE_CLASS_LABEL","","",null,null],[17,"GTK_STYLE_CLASS_LEFT","","",null,null],[17,"GTK_STYLE_CLASS_LEVEL_BAR","","",null,null],[17,"GTK_STYLE_CLASS_LINKED","","",null,null],[17,"GTK_STYLE_CLASS_LIST","","",null,null],[17,"GTK_STYLE_CLASS_LIST_ROW","","",null,null],[17,"GTK_STYLE_CLASS_MARK","","",null,null],[17,"GTK_STYLE_CLASS_MENU","","",null,null],[17,"GTK_STYLE_CLASS_MENUBAR","","",null,null],[17,"GTK_STYLE_CLASS_MENUITEM","","",null,null],[17,"GTK_STYLE_CLASS_MESSAGE_DIALOG","","",null,null],[17,"GTK_STYLE_CLASS_MONOSPACE","","",null,null],[17,"GTK_STYLE_CLASS_NEEDS_ATTENTION","","",null,null],[17,"GTK_STYLE_CLASS_NOTEBOOK","","",null,null],[17,"GTK_STYLE_CLASS_OSD","","",null,null],[17,"GTK_STYLE_CLASS_OVERSHOOT","","",null,null],[17,"GTK_STYLE_CLASS_PANE_SEPARATOR","","",null,null],[17,"GTK_STYLE_CLASS_PAPER","","",null,null],[17,"GTK_STYLE_CLASS_POPOVER","","",null,null],[17,"GTK_STYLE_CLASS_POPUP","","",null,null],[17,"GTK_STYLE_CLASS_PRIMARY_TOOLBAR","","",null,null],[17,"GTK_STYLE_CLASS_PROGRESSBAR","","",null,null],[17,"GTK_STYLE_CLASS_PULSE","","",null,null],[17,"GTK_STYLE_CLASS_QUESTION","","",null,null],[17,"GTK_STYLE_CLASS_RADIO","","",null,null],[17,"GTK_STYLE_CLASS_RAISED","","",null,null],[17,"GTK_STYLE_CLASS_READ_ONLY","","",null,null],[17,"GTK_STYLE_CLASS_RIGHT","","",null,null],[17,"GTK_STYLE_CLASS_RUBBERBAND","","",null,null],[17,"GTK_STYLE_CLASS_SCALE","","",null,null],[17,"GTK_STYLE_CLASS_SCALE_HAS_MARKS_ABOVE","","",null,null],[17,"GTK_STYLE_CLASS_SCALE_HAS_MARKS_BELOW","","",null,null],[17,"GTK_STYLE_CLASS_SCROLLBAR","","",null,null],[17,"GTK_STYLE_CLASS_SCROLLBARS_JUNCTION","","",null,null],[17,"GTK_STYLE_CLASS_SEPARATOR","","",null,null],[17,"GTK_STYLE_CLASS_SIDEBAR","","",null,null],[17,"GTK_STYLE_CLASS_SLIDER","","",null,null],[17,"GTK_STYLE_CLASS_SPINBUTTON","","",null,null],[17,"GTK_STYLE_CLASS_SPINNER","","",null,null],[17,"GTK_STYLE_CLASS_STATUSBAR","","",null,null],[17,"GTK_STYLE_CLASS_SUBTITLE","","",null,null],[17,"GTK_STYLE_CLASS_SUGGESTED_ACTION","","",null,null],[17,"GTK_STYLE_CLASS_TITLE","","",null,null],[17,"GTK_STYLE_CLASS_TITLEBAR","","",null,null],[17,"GTK_STYLE_CLASS_TOOLBAR","","",null,null],[17,"GTK_STYLE_CLASS_TOOLTIP","","",null,null],[17,"GTK_STYLE_CLASS_TOP","","",null,null],[17,"GTK_STYLE_CLASS_TOUCH_SELECTION","","",null,null],[17,"GTK_STYLE_CLASS_TROUGH","","",null,null],[17,"GTK_STYLE_CLASS_UNDERSHOOT","","",null,null],[17,"GTK_STYLE_CLASS_VERTICAL","","",null,null],[17,"GTK_STYLE_CLASS_VIEW","","",null,null],[17,"GTK_STYLE_CLASS_WARNING","","",null,null],[17,"GTK_STYLE_CLASS_WIDE","","",null,null],[17,"GTK_STYLE_PROPERTY_BACKGROUND_COLOR","","",null,null],[17,"GTK_STYLE_PROPERTY_BACKGROUND_IMAGE","","",null,null],[17,"GTK_STYLE_PROPERTY_BORDER_COLOR","","",null,null],[17,"GTK_STYLE_PROPERTY_BORDER_RADIUS","","",null,null],[17,"GTK_STYLE_PROPERTY_BORDER_STYLE","","",null,null],[17,"GTK_STYLE_PROPERTY_BORDER_WIDTH","","",null,null],[17,"GTK_STYLE_PROPERTY_COLOR","","",null,null],[17,"GTK_STYLE_PROPERTY_FONT","","",null,null],[17,"GTK_STYLE_PROPERTY_MARGIN","","",null,null],[17,"GTK_STYLE_PROPERTY_PADDING","","",null,null],[17,"GTK_STYLE_PROVIDER_PRIORITY_APPLICATION","","",null,null],[17,"GTK_STYLE_PROVIDER_PRIORITY_FALLBACK","","",null,null],[17,"GTK_STYLE_PROVIDER_PRIORITY_SETTINGS","","",null,null],[17,"GTK_STYLE_PROVIDER_PRIORITY_THEME","","",null,null],[17,"GTK_STYLE_PROVIDER_PRIORITY_USER","","",null,null],[17,"GTK_STYLE_REGION_COLUMN","","",null,null],[17,"GTK_STYLE_REGION_COLUMN_HEADER","","",null,null],[17,"GTK_STYLE_REGION_ROW","","",null,null],[17,"GTK_STYLE_REGION_TAB","","",null,null],[17,"GTK_TEXT_VIEW_PRIORITY_VALIDATE","","",null,null],[17,"GTK_TREE_SORTABLE_DEFAULT_SORT_COLUMN_ID","","",null,null],[17,"GTK_TREE_SORTABLE_UNSORTED_SORT_COLUMN_ID","","",null,null],[17,"GTK_ACCEL_VISIBLE","","",null,null],[17,"GTK_ACCEL_LOCKED","","",null,null],[17,"GTK_ACCEL_MASK","","",null,null],[17,"GTK_APPLICATION_INHIBIT_LOGOUT","","",null,null],[17,"GTK_APPLICATION_INHIBIT_SWITCH","","",null,null],[17,"GTK_APPLICATION_INHIBIT_SUSPEND","","",null,null],[17,"GTK_APPLICATION_INHIBIT_IDLE","","",null,null],[17,"GTK_EXPAND","","",null,null],[17,"GTK_SHRINK","","",null,null],[17,"GTK_FILL","","",null,null],[17,"GTK_CALENDAR_SHOW_HEADING","","",null,null],[17,"GTK_CALENDAR_SHOW_DAY_NAMES","","",null,null],[17,"GTK_CALENDAR_NO_MONTH_CHANGE","","",null,null],[17,"GTK_CALENDAR_SHOW_WEEK_NUMBERS","","",null,null],[17,"GTK_CALENDAR_SHOW_DETAILS","","",null,null],[17,"GTK_CELL_RENDERER_SELECTED","","",null,null],[17,"GTK_CELL_RENDERER_PRELIT","","",null,null],[17,"GTK_CELL_RENDERER_INSENSITIVE","","",null,null],[17,"GTK_CELL_RENDERER_SORTED","","",null,null],[17,"GTK_CELL_RENDERER_FOCUSED","","",null,null],[17,"GTK_CELL_RENDERER_EXPANDABLE","","",null,null],[17,"GTK_CELL_RENDERER_EXPANDED","","",null,null],[17,"GTK_DEBUG_MISC","","",null,null],[17,"GTK_DEBUG_PLUGSOCKET","","",null,null],[17,"GTK_DEBUG_TEXT","","",null,null],[17,"GTK_DEBUG_TREE","","",null,null],[17,"GTK_DEBUG_UPDATES","","",null,null],[17,"GTK_DEBUG_KEYBINDINGS","","",null,null],[17,"GTK_DEBUG_MULTIHEAD","","",null,null],[17,"GTK_DEBUG_MODULES","","",null,null],[17,"GTK_DEBUG_GEOMETRY","","",null,null],[17,"GTK_DEBUG_ICONTHEME","","",null,null],[17,"GTK_DEBUG_PRINTING","","",null,null],[17,"GTK_DEBUG_BUILDER","","",null,null],[17,"GTK_DEBUG_SIZE_REQUEST","","",null,null],[17,"GTK_DEBUG_NO_CSS_CACHE","","",null,null],[17,"GTK_DEBUG_BASELINES","","",null,null],[17,"GTK_DEBUG_PIXEL_CACHE","","",null,null],[17,"GTK_DEBUG_NO_PIXEL_CACHE","","",null,null],[17,"GTK_DEBUG_INTERACTIVE","","",null,null],[17,"GTK_DEBUG_TOUCHSCREEN","","",null,null],[17,"GTK_DEBUG_ACTIONS","","",null,null],[17,"GTK_DEBUG_RESIZE","","",null,null],[17,"GTK_DEBUG_LAYOUT","","",null,null],[17,"GTK_DEST_DEFAULT_MOTION","","",null,null],[17,"GTK_DEST_DEFAULT_HIGHLIGHT","","",null,null],[17,"GTK_DEST_DEFAULT_DROP","","",null,null],[17,"GTK_DEST_DEFAULT_ALL","","",null,null],[17,"GTK_DIALOG_MODAL","","",null,null],[17,"GTK_DIALOG_DESTROY_WITH_PARENT","","",null,null],[17,"GTK_DIALOG_USE_HEADER_BAR","","",null,null],[17,"GTK_FILE_FILTER_FILENAME","","",null,null],[17,"GTK_FILE_FILTER_URI","","",null,null],[17,"GTK_FILE_FILTER_DISPLAY_NAME","","",null,null],[17,"GTK_FILE_FILTER_MIME_TYPE","","",null,null],[17,"GTK_ICON_LOOKUP_NO_SVG","","",null,null],[17,"GTK_ICON_LOOKUP_FORCE_SVG","","",null,null],[17,"GTK_ICON_LOOKUP_USE_BUILTIN","","",null,null],[17,"GTK_ICON_LOOKUP_GENERIC_FALLBACK","","",null,null],[17,"GTK_ICON_LOOKUP_FORCE_SIZE","","",null,null],[17,"GTK_ICON_LOOKUP_FORCE_REGULAR","","",null,null],[17,"GTK_ICON_LOOKUP_FORCE_SYMBOLIC","","",null,null],[17,"GTK_ICON_LOOKUP_DIR_LTR","","",null,null],[17,"GTK_ICON_LOOKUP_DIR_RTL","","",null,null],[17,"GTK_INPUT_HINT_NONE","","",null,null],[17,"GTK_INPUT_HINT_SPELLCHECK","","",null,null],[17,"GTK_INPUT_HINT_NO_SPELLCHECK","","",null,null],[17,"GTK_INPUT_HINT_WORD_COMPLETION","","",null,null],[17,"GTK_INPUT_HINT_LOWERCASE","","",null,null],[17,"GTK_INPUT_HINT_UPPERCASE_CHARS","","",null,null],[17,"GTK_INPUT_HINT_UPPERCASE_WORDS","","",null,null],[17,"GTK_INPUT_HINT_UPPERCASE_SENTENCES","","",null,null],[17,"GTK_INPUT_HINT_INHIBIT_OSK","","",null,null],[17,"GTK_INPUT_HINT_VERTICAL_WRITING","","",null,null],[17,"GTK_JUNCTION_NONE","","",null,null],[17,"GTK_JUNCTION_CORNER_TOPLEFT","","",null,null],[17,"GTK_JUNCTION_CORNER_TOPRIGHT","","",null,null],[17,"GTK_JUNCTION_CORNER_BOTTOMLEFT","","",null,null],[17,"GTK_JUNCTION_CORNER_BOTTOMRIGHT","","",null,null],[17,"GTK_JUNCTION_TOP","","",null,null],[17,"GTK_JUNCTION_BOTTOM","","",null,null],[17,"GTK_JUNCTION_LEFT","","",null,null],[17,"GTK_JUNCTION_RIGHT","","",null,null],[17,"GTK_PLACES_OPEN_NORMAL","","",null,null],[17,"GTK_PLACES_OPEN_NEW_TAB","","",null,null],[17,"GTK_PLACES_OPEN_NEW_WINDOW","","",null,null],[17,"GTK_RC_FG","","",null,null],[17,"GTK_RC_BG","","",null,null],[17,"GTK_RC_TEXT","","",null,null],[17,"GTK_RC_BASE","","",null,null],[17,"GTK_RECENT_FILTER_URI","","",null,null],[17,"GTK_RECENT_FILTER_DISPLAY_NAME","","",null,null],[17,"GTK_RECENT_FILTER_MIME_TYPE","","",null,null],[17,"GTK_RECENT_FILTER_APPLICATION","","",null,null],[17,"GTK_RECENT_FILTER_GROUP","","",null,null],[17,"GTK_RECENT_FILTER_AGE","","",null,null],[17,"GTK_REGION_EVEN","","",null,null],[17,"GTK_REGION_ODD","","",null,null],[17,"GTK_REGION_FIRST","","",null,null],[17,"GTK_REGION_LAST","","",null,null],[17,"GTK_REGION_ONLY","","",null,null],[17,"GTK_REGION_SORTED","","",null,null],[17,"GTK_STATE_FLAG_NORMAL","","",null,null],[17,"GTK_STATE_FLAG_ACTIVE","","",null,null],[17,"GTK_STATE_FLAG_PRELIGHT","","",null,null],[17,"GTK_STATE_FLAG_SELECTED","","",null,null],[17,"GTK_STATE_FLAG_INSENSITIVE","","",null,null],[17,"GTK_STATE_FLAG_INCONSISTENT","","",null,null],[17,"GTK_STATE_FLAG_FOCUSED","","",null,null],[17,"GTK_STATE_FLAG_BACKDROP","","",null,null],[17,"GTK_STATE_FLAG_DIR_LTR","","",null,null],[17,"GTK_STATE_FLAG_DIR_RTL","","",null,null],[17,"GTK_STATE_FLAG_LINK","","",null,null],[17,"GTK_STATE_FLAG_VISITED","","",null,null],[17,"GTK_STATE_FLAG_CHECKED","","",null,null],[17,"GTK_STATE_FLAG_DROP_ACTIVE","","",null,null],[17,"GTK_STYLE_CONTEXT_PRINT_NONE","","",null,null],[17,"GTK_STYLE_CONTEXT_PRINT_RECURSE","","",null,null],[17,"GTK_STYLE_CONTEXT_PRINT_SHOW_STYLE","","",null,null],[17,"GTK_TARGET_SAME_APP","","",null,null],[17,"GTK_TARGET_SAME_WIDGET","","",null,null],[17,"GTK_TARGET_OTHER_APP","","",null,null],[17,"GTK_TARGET_OTHER_WIDGET","","",null,null],[17,"GTK_TEXT_SEARCH_VISIBLE_ONLY","","",null,null],[17,"GTK_TEXT_SEARCH_TEXT_ONLY","","",null,null],[17,"GTK_TEXT_SEARCH_CASE_INSENSITIVE","","",null,null],[17,"GTK_TOOL_PALETTE_DRAG_ITEMS","","",null,null],[17,"GTK_TOOL_PALETTE_DRAG_GROUPS","","",null,null],[17,"GTK_TREE_MODEL_ITERS_PERSIST","","",null,null],[17,"GTK_TREE_MODEL_LIST_ONLY","","",null,null],[17,"GTK_UI_MANAGER_AUTO","","",null,null],[17,"GTK_UI_MANAGER_MENUBAR","","",null,null],[17,"GTK_UI_MANAGER_MENU","","",null,null],[17,"GTK_UI_MANAGER_TOOLBAR","","",null,null],[17,"GTK_UI_MANAGER_PLACEHOLDER","","",null,null],[17,"GTK_UI_MANAGER_POPUP","","",null,null],[17,"GTK_UI_MANAGER_MENUITEM","","",null,null],[17,"GTK_UI_MANAGER_TOOLITEM","","",null,null],[17,"GTK_UI_MANAGER_SEPARATOR","","",null,null],[17,"GTK_UI_MANAGER_ACCELERATOR","","",null,null],[17,"GTK_UI_MANAGER_POPUP_WITH_ACCELS","","",null,null],[11,"clone","","",521,{"inputs":[{"name":"self"}],"output":{"name":"gtkalign"}}],[11,"fmt","","",521,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",521,{"inputs":[{"name":"self"},{"name":"gtkalign"}],"output":{"name":"bool"}}],[11,"clone","","",522,{"inputs":[{"name":"self"}],"output":{"name":"gtkarrowplacement"}}],[11,"fmt","","",522,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",522,{"inputs":[{"name":"self"},{"name":"gtkarrowplacement"}],"output":{"name":"bool"}}],[11,"clone","","",523,{"inputs":[{"name":"self"}],"output":{"name":"gtkarrowtype"}}],[11,"fmt","","",523,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",523,{"inputs":[{"name":"self"},{"name":"gtkarrowtype"}],"output":{"name":"bool"}}],[11,"clone","","",524,{"inputs":[{"name":"self"}],"output":{"name":"gtkassistantpagetype"}}],[11,"fmt","","",524,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",524,{"inputs":[{"name":"self"},{"name":"gtkassistantpagetype"}],"output":{"name":"bool"}}],[11,"clone","","",525,{"inputs":[{"name":"self"}],"output":{"name":"gtkbaselineposition"}}],[11,"fmt","","",525,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",525,{"inputs":[{"name":"self"},{"name":"gtkbaselineposition"}],"output":{"name":"bool"}}],[11,"clone","","",526,{"inputs":[{"name":"self"}],"output":{"name":"gtkborderstyle"}}],[11,"fmt","","",526,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",526,{"inputs":[{"name":"self"},{"name":"gtkborderstyle"}],"output":{"name":"bool"}}],[11,"clone","","",527,{"inputs":[{"name":"self"}],"output":{"name":"gtkbuildererror"}}],[11,"fmt","","",527,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",527,{"inputs":[{"name":"self"},{"name":"gtkbuildererror"}],"output":{"name":"bool"}}],[11,"clone","","",528,{"inputs":[{"name":"self"}],"output":{"name":"gtkbuttonboxstyle"}}],[11,"fmt","","",528,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",528,{"inputs":[{"name":"self"},{"name":"gtkbuttonboxstyle"}],"output":{"name":"bool"}}],[11,"clone","","",529,{"inputs":[{"name":"self"}],"output":{"name":"gtkbuttonrole"}}],[11,"fmt","","",529,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",529,{"inputs":[{"name":"self"},{"name":"gtkbuttonrole"}],"output":{"name":"bool"}}],[11,"clone","","",530,{"inputs":[{"name":"self"}],"output":{"name":"gtkbuttonstype"}}],[11,"fmt","","",530,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",530,{"inputs":[{"name":"self"},{"name":"gtkbuttonstype"}],"output":{"name":"bool"}}],[11,"clone","","",531,{"inputs":[{"name":"self"}],"output":{"name":"gtkcellrendereraccelmode"}}],[11,"fmt","","",531,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",531,{"inputs":[{"name":"self"},{"name":"gtkcellrendereraccelmode"}],"output":{"name":"bool"}}],[11,"clone","","",532,{"inputs":[{"name":"self"}],"output":{"name":"gtkcellrenderermode"}}],[11,"fmt","","",532,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",532,{"inputs":[{"name":"self"},{"name":"gtkcellrenderermode"}],"output":{"name":"bool"}}],[11,"clone","","",533,{"inputs":[{"name":"self"}],"output":{"name":"gtkcornertype"}}],[11,"fmt","","",533,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",533,{"inputs":[{"name":"self"},{"name":"gtkcornertype"}],"output":{"name":"bool"}}],[11,"clone","","",534,{"inputs":[{"name":"self"}],"output":{"name":"gtkcssprovidererror"}}],[11,"fmt","","",534,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",534,{"inputs":[{"name":"self"},{"name":"gtkcssprovidererror"}],"output":{"name":"bool"}}],[11,"clone","","",535,{"inputs":[{"name":"self"}],"output":{"name":"gtkcsssectiontype"}}],[11,"fmt","","",535,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",535,{"inputs":[{"name":"self"},{"name":"gtkcsssectiontype"}],"output":{"name":"bool"}}],[11,"clone","","",536,{"inputs":[{"name":"self"}],"output":{"name":"gtkdeletetype"}}],[11,"fmt","","",536,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",536,{"inputs":[{"name":"self"},{"name":"gtkdeletetype"}],"output":{"name":"bool"}}],[11,"clone","","",537,{"inputs":[{"name":"self"}],"output":{"name":"gtkdirectiontype"}}],[11,"fmt","","",537,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",537,{"inputs":[{"name":"self"},{"name":"gtkdirectiontype"}],"output":{"name":"bool"}}],[11,"clone","","",538,{"inputs":[{"name":"self"}],"output":{"name":"gtkdragresult"}}],[11,"fmt","","",538,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",538,{"inputs":[{"name":"self"},{"name":"gtkdragresult"}],"output":{"name":"bool"}}],[11,"clone","","",539,{"inputs":[{"name":"self"}],"output":{"name":"gtkentryiconposition"}}],[11,"fmt","","",539,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",539,{"inputs":[{"name":"self"},{"name":"gtkentryiconposition"}],"output":{"name":"bool"}}],[11,"clone","","",540,{"inputs":[{"name":"self"}],"output":{"name":"gtkeventsequencestate"}}],[11,"fmt","","",540,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",540,{"inputs":[{"name":"self"},{"name":"gtkeventsequencestate"}],"output":{"name":"bool"}}],[11,"clone","","",541,{"inputs":[{"name":"self"}],"output":{"name":"gtkexpanderstyle"}}],[11,"fmt","","",541,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",541,{"inputs":[{"name":"self"},{"name":"gtkexpanderstyle"}],"output":{"name":"bool"}}],[11,"clone","","",542,{"inputs":[{"name":"self"}],"output":{"name":"gtkfilechooseraction"}}],[11,"fmt","","",542,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",542,{"inputs":[{"name":"self"},{"name":"gtkfilechooseraction"}],"output":{"name":"bool"}}],[11,"clone","","",543,{"inputs":[{"name":"self"}],"output":{"name":"gtkfilechooserconfirmation"}}],[11,"fmt","","",543,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",543,{"inputs":[{"name":"self"},{"name":"gtkfilechooserconfirmation"}],"output":{"name":"bool"}}],[11,"clone","","",544,{"inputs":[{"name":"self"}],"output":{"name":"gtkfilechoosererror"}}],[11,"fmt","","",544,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",544,{"inputs":[{"name":"self"},{"name":"gtkfilechoosererror"}],"output":{"name":"bool"}}],[11,"clone","","",545,{"inputs":[{"name":"self"}],"output":{"name":"gtkimpreeditstyle"}}],[11,"fmt","","",545,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",545,{"inputs":[{"name":"self"},{"name":"gtkimpreeditstyle"}],"output":{"name":"bool"}}],[11,"clone","","",546,{"inputs":[{"name":"self"}],"output":{"name":"gtkimstatusstyle"}}],[11,"fmt","","",546,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",546,{"inputs":[{"name":"self"},{"name":"gtkimstatusstyle"}],"output":{"name":"bool"}}],[11,"clone","","",547,{"inputs":[{"name":"self"}],"output":{"name":"gtkiconsize"}}],[11,"fmt","","",547,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",547,{"inputs":[{"name":"self"},{"name":"gtkiconsize"}],"output":{"name":"bool"}}],[11,"clone","","",548,{"inputs":[{"name":"self"}],"output":{"name":"gtkiconthemeerror"}}],[11,"fmt","","",548,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",548,{"inputs":[{"name":"self"},{"name":"gtkiconthemeerror"}],"output":{"name":"bool"}}],[11,"clone","","",549,{"inputs":[{"name":"self"}],"output":{"name":"gtkiconviewdropposition"}}],[11,"fmt","","",549,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",549,{"inputs":[{"name":"self"},{"name":"gtkiconviewdropposition"}],"output":{"name":"bool"}}],[11,"clone","","",550,{"inputs":[{"name":"self"}],"output":{"name":"gtkimagetype"}}],[11,"fmt","","",550,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",550,{"inputs":[{"name":"self"},{"name":"gtkimagetype"}],"output":{"name":"bool"}}],[11,"clone","","",551,{"inputs":[{"name":"self"}],"output":{"name":"gtkinputpurpose"}}],[11,"fmt","","",551,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",551,{"inputs":[{"name":"self"},{"name":"gtkinputpurpose"}],"output":{"name":"bool"}}],[11,"clone","","",552,{"inputs":[{"name":"self"}],"output":{"name":"gtkjustification"}}],[11,"fmt","","",552,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",552,{"inputs":[{"name":"self"},{"name":"gtkjustification"}],"output":{"name":"bool"}}],[11,"clone","","",553,{"inputs":[{"name":"self"}],"output":{"name":"gtklevelbarmode"}}],[11,"fmt","","",553,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",553,{"inputs":[{"name":"self"},{"name":"gtklevelbarmode"}],"output":{"name":"bool"}}],[11,"clone","","",554,{"inputs":[{"name":"self"}],"output":{"name":"gtklicense"}}],[11,"fmt","","",554,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",554,{"inputs":[{"name":"self"},{"name":"gtklicense"}],"output":{"name":"bool"}}],[11,"clone","","",555,{"inputs":[{"name":"self"}],"output":{"name":"gtkmenudirectiontype"}}],[11,"fmt","","",555,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",555,{"inputs":[{"name":"self"},{"name":"gtkmenudirectiontype"}],"output":{"name":"bool"}}],[11,"clone","","",556,{"inputs":[{"name":"self"}],"output":{"name":"gtkmessagetype"}}],[11,"fmt","","",556,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",556,{"inputs":[{"name":"self"},{"name":"gtkmessagetype"}],"output":{"name":"bool"}}],[11,"clone","","",557,{"inputs":[{"name":"self"}],"output":{"name":"gtkmovementstep"}}],[11,"fmt","","",557,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",557,{"inputs":[{"name":"self"},{"name":"gtkmovementstep"}],"output":{"name":"bool"}}],[11,"clone","","",558,{"inputs":[{"name":"self"}],"output":{"name":"gtknotebooktab"}}],[11,"fmt","","",558,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",558,{"inputs":[{"name":"self"},{"name":"gtknotebooktab"}],"output":{"name":"bool"}}],[11,"clone","","",559,{"inputs":[{"name":"self"}],"output":{"name":"gtknumberuplayout"}}],[11,"fmt","","",559,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",559,{"inputs":[{"name":"self"},{"name":"gtknumberuplayout"}],"output":{"name":"bool"}}],[11,"clone","","",560,{"inputs":[{"name":"self"}],"output":{"name":"gtkorientation"}}],[11,"fmt","","",560,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",560,{"inputs":[{"name":"self"},{"name":"gtkorientation"}],"output":{"name":"bool"}}],[11,"clone","","",561,{"inputs":[{"name":"self"}],"output":{"name":"gtkpackdirection"}}],[11,"fmt","","",561,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",561,{"inputs":[{"name":"self"},{"name":"gtkpackdirection"}],"output":{"name":"bool"}}],[11,"clone","","",562,{"inputs":[{"name":"self"}],"output":{"name":"gtkpacktype"}}],[11,"fmt","","",562,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",562,{"inputs":[{"name":"self"},{"name":"gtkpacktype"}],"output":{"name":"bool"}}],[11,"clone","","",563,{"inputs":[{"name":"self"}],"output":{"name":"gtkpadactiontype"}}],[11,"fmt","","",563,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",563,{"inputs":[{"name":"self"},{"name":"gtkpadactiontype"}],"output":{"name":"bool"}}],[11,"clone","","",564,{"inputs":[{"name":"self"}],"output":{"name":"gtkpageorientation"}}],[11,"fmt","","",564,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",564,{"inputs":[{"name":"self"},{"name":"gtkpageorientation"}],"output":{"name":"bool"}}],[11,"clone","","",565,{"inputs":[{"name":"self"}],"output":{"name":"gtkpageset"}}],[11,"fmt","","",565,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",565,{"inputs":[{"name":"self"},{"name":"gtkpageset"}],"output":{"name":"bool"}}],[11,"clone","","",566,{"inputs":[{"name":"self"}],"output":{"name":"gtkpandirection"}}],[11,"fmt","","",566,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",566,{"inputs":[{"name":"self"},{"name":"gtkpandirection"}],"output":{"name":"bool"}}],[11,"clone","","",567,{"inputs":[{"name":"self"}],"output":{"name":"gtkpathprioritytype"}}],[11,"fmt","","",567,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",567,{"inputs":[{"name":"self"},{"name":"gtkpathprioritytype"}],"output":{"name":"bool"}}],[11,"clone","","",568,{"inputs":[{"name":"self"}],"output":{"name":"gtkpathtype"}}],[11,"fmt","","",568,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",568,{"inputs":[{"name":"self"},{"name":"gtkpathtype"}],"output":{"name":"bool"}}],[11,"clone","","",569,{"inputs":[{"name":"self"}],"output":{"name":"gtkpolicytype"}}],[11,"fmt","","",569,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",569,{"inputs":[{"name":"self"},{"name":"gtkpolicytype"}],"output":{"name":"bool"}}],[11,"clone","","",570,{"inputs":[{"name":"self"}],"output":{"name":"gtkpopoverconstraint"}}],[11,"fmt","","",570,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",570,{"inputs":[{"name":"self"},{"name":"gtkpopoverconstraint"}],"output":{"name":"bool"}}],[11,"clone","","",571,{"inputs":[{"name":"self"}],"output":{"name":"gtkpositiontype"}}],[11,"fmt","","",571,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",571,{"inputs":[{"name":"self"},{"name":"gtkpositiontype"}],"output":{"name":"bool"}}],[11,"clone","","",572,{"inputs":[{"name":"self"}],"output":{"name":"gtkprintduplex"}}],[11,"fmt","","",572,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",572,{"inputs":[{"name":"self"},{"name":"gtkprintduplex"}],"output":{"name":"bool"}}],[11,"clone","","",573,{"inputs":[{"name":"self"}],"output":{"name":"gtkprinterror"}}],[11,"fmt","","",573,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",573,{"inputs":[{"name":"self"},{"name":"gtkprinterror"}],"output":{"name":"bool"}}],[11,"clone","","",574,{"inputs":[{"name":"self"}],"output":{"name":"gtkprintoperationaction"}}],[11,"fmt","","",574,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",574,{"inputs":[{"name":"self"},{"name":"gtkprintoperationaction"}],"output":{"name":"bool"}}],[11,"clone","","",575,{"inputs":[{"name":"self"}],"output":{"name":"gtkprintoperationresult"}}],[11,"fmt","","",575,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",575,{"inputs":[{"name":"self"},{"name":"gtkprintoperationresult"}],"output":{"name":"bool"}}],[11,"clone","","",576,{"inputs":[{"name":"self"}],"output":{"name":"gtkprintpages"}}],[11,"fmt","","",576,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",576,{"inputs":[{"name":"self"},{"name":"gtkprintpages"}],"output":{"name":"bool"}}],[11,"clone","","",577,{"inputs":[{"name":"self"}],"output":{"name":"gtkprintquality"}}],[11,"fmt","","",577,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",577,{"inputs":[{"name":"self"},{"name":"gtkprintquality"}],"output":{"name":"bool"}}],[11,"clone","","",578,{"inputs":[{"name":"self"}],"output":{"name":"gtkprintstatus"}}],[11,"fmt","","",578,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",578,{"inputs":[{"name":"self"},{"name":"gtkprintstatus"}],"output":{"name":"bool"}}],[11,"clone","","",579,{"inputs":[{"name":"self"}],"output":{"name":"gtkpropagationphase"}}],[11,"fmt","","",579,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",579,{"inputs":[{"name":"self"},{"name":"gtkpropagationphase"}],"output":{"name":"bool"}}],[11,"clone","","",580,{"inputs":[{"name":"self"}],"output":{"name":"gtkrctokentype"}}],[11,"fmt","","",580,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",580,{"inputs":[{"name":"self"},{"name":"gtkrctokentype"}],"output":{"name":"bool"}}],[11,"clone","","",581,{"inputs":[{"name":"self"}],"output":{"name":"gtkrecentchoosererror"}}],[11,"fmt","","",581,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",581,{"inputs":[{"name":"self"},{"name":"gtkrecentchoosererror"}],"output":{"name":"bool"}}],[11,"clone","","",582,{"inputs":[{"name":"self"}],"output":{"name":"gtkrecentmanagererror"}}],[11,"fmt","","",582,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",582,{"inputs":[{"name":"self"},{"name":"gtkrecentmanagererror"}],"output":{"name":"bool"}}],[11,"clone","","",583,{"inputs":[{"name":"self"}],"output":{"name":"gtkrecentsorttype"}}],[11,"fmt","","",583,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",583,{"inputs":[{"name":"self"},{"name":"gtkrecentsorttype"}],"output":{"name":"bool"}}],[11,"clone","","",584,{"inputs":[{"name":"self"}],"output":{"name":"gtkreliefstyle"}}],[11,"fmt","","",584,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",584,{"inputs":[{"name":"self"},{"name":"gtkreliefstyle"}],"output":{"name":"bool"}}],[11,"clone","","",585,{"inputs":[{"name":"self"}],"output":{"name":"gtkresizemode"}}],[11,"fmt","","",585,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",585,{"inputs":[{"name":"self"},{"name":"gtkresizemode"}],"output":{"name":"bool"}}],[11,"clone","","",586,{"inputs":[{"name":"self"}],"output":{"name":"gtkresponsetype"}}],[11,"fmt","","",586,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",586,{"inputs":[{"name":"self"},{"name":"gtkresponsetype"}],"output":{"name":"bool"}}],[11,"clone","","",587,{"inputs":[{"name":"self"}],"output":{"name":"gtkrevealertransitiontype"}}],[11,"fmt","","",587,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",587,{"inputs":[{"name":"self"},{"name":"gtkrevealertransitiontype"}],"output":{"name":"bool"}}],[11,"clone","","",588,{"inputs":[{"name":"self"}],"output":{"name":"gtkscrollstep"}}],[11,"fmt","","",588,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",588,{"inputs":[{"name":"self"},{"name":"gtkscrollstep"}],"output":{"name":"bool"}}],[11,"clone","","",589,{"inputs":[{"name":"self"}],"output":{"name":"gtkscrolltype"}}],[11,"fmt","","",589,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",589,{"inputs":[{"name":"self"},{"name":"gtkscrolltype"}],"output":{"name":"bool"}}],[11,"clone","","",590,{"inputs":[{"name":"self"}],"output":{"name":"gtkscrollablepolicy"}}],[11,"fmt","","",590,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",590,{"inputs":[{"name":"self"},{"name":"gtkscrollablepolicy"}],"output":{"name":"bool"}}],[11,"clone","","",591,{"inputs":[{"name":"self"}],"output":{"name":"gtkselectionmode"}}],[11,"fmt","","",591,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",591,{"inputs":[{"name":"self"},{"name":"gtkselectionmode"}],"output":{"name":"bool"}}],[11,"clone","","",592,{"inputs":[{"name":"self"}],"output":{"name":"gtksensitivitytype"}}],[11,"fmt","","",592,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",592,{"inputs":[{"name":"self"},{"name":"gtksensitivitytype"}],"output":{"name":"bool"}}],[11,"clone","","",593,{"inputs":[{"name":"self"}],"output":{"name":"gtkshadowtype"}}],[11,"fmt","","",593,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",593,{"inputs":[{"name":"self"},{"name":"gtkshadowtype"}],"output":{"name":"bool"}}],[11,"clone","","",594,{"inputs":[{"name":"self"}],"output":{"name":"gtkshortcuttype"}}],[11,"fmt","","",594,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",594,{"inputs":[{"name":"self"},{"name":"gtkshortcuttype"}],"output":{"name":"bool"}}],[11,"clone","","",595,{"inputs":[{"name":"self"}],"output":{"name":"gtksizegroupmode"}}],[11,"fmt","","",595,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",595,{"inputs":[{"name":"self"},{"name":"gtksizegroupmode"}],"output":{"name":"bool"}}],[11,"clone","","",596,{"inputs":[{"name":"self"}],"output":{"name":"gtksizerequestmode"}}],[11,"fmt","","",596,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",596,{"inputs":[{"name":"self"},{"name":"gtksizerequestmode"}],"output":{"name":"bool"}}],[11,"clone","","",597,{"inputs":[{"name":"self"}],"output":{"name":"gtksorttype"}}],[11,"fmt","","",597,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",597,{"inputs":[{"name":"self"},{"name":"gtksorttype"}],"output":{"name":"bool"}}],[11,"clone","","",598,{"inputs":[{"name":"self"}],"output":{"name":"gtkspinbuttonupdatepolicy"}}],[11,"fmt","","",598,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",598,{"inputs":[{"name":"self"},{"name":"gtkspinbuttonupdatepolicy"}],"output":{"name":"bool"}}],[11,"clone","","",599,{"inputs":[{"name":"self"}],"output":{"name":"gtkspintype"}}],[11,"fmt","","",599,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",599,{"inputs":[{"name":"self"},{"name":"gtkspintype"}],"output":{"name":"bool"}}],[11,"clone","","",600,{"inputs":[{"name":"self"}],"output":{"name":"gtkstacktransitiontype"}}],[11,"fmt","","",600,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",600,{"inputs":[{"name":"self"},{"name":"gtkstacktransitiontype"}],"output":{"name":"bool"}}],[11,"clone","","",601,{"inputs":[{"name":"self"}],"output":{"name":"gtkstatetype"}}],[11,"fmt","","",601,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",601,{"inputs":[{"name":"self"},{"name":"gtkstatetype"}],"output":{"name":"bool"}}],[11,"clone","","",602,{"inputs":[{"name":"self"}],"output":{"name":"gtktextbuffertargetinfo"}}],[11,"fmt","","",602,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",602,{"inputs":[{"name":"self"},{"name":"gtktextbuffertargetinfo"}],"output":{"name":"bool"}}],[11,"clone","","",603,{"inputs":[{"name":"self"}],"output":{"name":"gtktextdirection"}}],[11,"fmt","","",603,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",603,{"inputs":[{"name":"self"},{"name":"gtktextdirection"}],"output":{"name":"bool"}}],[11,"clone","","",604,{"inputs":[{"name":"self"}],"output":{"name":"gtktextextendselection"}}],[11,"fmt","","",604,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",604,{"inputs":[{"name":"self"},{"name":"gtktextextendselection"}],"output":{"name":"bool"}}],[11,"clone","","",605,{"inputs":[{"name":"self"}],"output":{"name":"gtktextviewlayer"}}],[11,"fmt","","",605,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",605,{"inputs":[{"name":"self"},{"name":"gtktextviewlayer"}],"output":{"name":"bool"}}],[11,"clone","","",606,{"inputs":[{"name":"self"}],"output":{"name":"gtktextwindowtype"}}],[11,"fmt","","",606,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",606,{"inputs":[{"name":"self"},{"name":"gtktextwindowtype"}],"output":{"name":"bool"}}],[11,"clone","","",607,{"inputs":[{"name":"self"}],"output":{"name":"gtktoolbarspacestyle"}}],[11,"fmt","","",607,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",607,{"inputs":[{"name":"self"},{"name":"gtktoolbarspacestyle"}],"output":{"name":"bool"}}],[11,"clone","","",608,{"inputs":[{"name":"self"}],"output":{"name":"gtktoolbarstyle"}}],[11,"fmt","","",608,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",608,{"inputs":[{"name":"self"},{"name":"gtktoolbarstyle"}],"output":{"name":"bool"}}],[11,"clone","","",609,{"inputs":[{"name":"self"}],"output":{"name":"gtktreeviewcolumnsizing"}}],[11,"fmt","","",609,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",609,{"inputs":[{"name":"self"},{"name":"gtktreeviewcolumnsizing"}],"output":{"name":"bool"}}],[11,"clone","","",610,{"inputs":[{"name":"self"}],"output":{"name":"gtktreeviewdropposition"}}],[11,"fmt","","",610,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",610,{"inputs":[{"name":"self"},{"name":"gtktreeviewdropposition"}],"output":{"name":"bool"}}],[11,"clone","","",611,{"inputs":[{"name":"self"}],"output":{"name":"gtktreeviewgridlines"}}],[11,"fmt","","",611,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",611,{"inputs":[{"name":"self"},{"name":"gtktreeviewgridlines"}],"output":{"name":"bool"}}],[11,"clone","","",612,{"inputs":[{"name":"self"}],"output":{"name":"gtkunit"}}],[11,"fmt","","",612,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",612,{"inputs":[{"name":"self"},{"name":"gtkunit"}],"output":{"name":"bool"}}],[11,"clone","","",613,{"inputs":[{"name":"self"}],"output":{"name":"gtkwidgethelptype"}}],[11,"fmt","","",613,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",613,{"inputs":[{"name":"self"},{"name":"gtkwidgethelptype"}],"output":{"name":"bool"}}],[11,"clone","","",614,{"inputs":[{"name":"self"}],"output":{"name":"gtkwindowposition"}}],[11,"fmt","","",614,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",614,{"inputs":[{"name":"self"},{"name":"gtkwindowposition"}],"output":{"name":"bool"}}],[11,"clone","","",615,{"inputs":[{"name":"self"}],"output":{"name":"gtkwindowtype"}}],[11,"fmt","","",615,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",615,{"inputs":[{"name":"self"},{"name":"gtkwindowtype"}],"output":{"name":"bool"}}],[11,"clone","","",616,{"inputs":[{"name":"self"}],"output":{"name":"gtkwrapmode"}}],[11,"fmt","","",616,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",616,{"inputs":[{"name":"self"},{"name":"gtkwrapmode"}],"output":{"name":"bool"}}],[11,"eq","","",617,{"inputs":[{"name":"self"},{"name":"gtkaccelflags"}],"output":{"name":"bool"}}],[11,"ne","","",617,{"inputs":[{"name":"self"},{"name":"gtkaccelflags"}],"output":{"name":"bool"}}],[11,"clone","","",617,{"inputs":[{"name":"self"}],"output":{"name":"gtkaccelflags"}}],[11,"partial_cmp","","",617,{"inputs":[{"name":"self"},{"name":"gtkaccelflags"}],"output":{"name":"option"}}],[11,"lt","","",617,{"inputs":[{"name":"self"},{"name":"gtkaccelflags"}],"output":{"name":"bool"}}],[11,"le","","",617,{"inputs":[{"name":"self"},{"name":"gtkaccelflags"}],"output":{"name":"bool"}}],[11,"gt","","",617,{"inputs":[{"name":"self"},{"name":"gtkaccelflags"}],"output":{"name":"bool"}}],[11,"ge","","",617,{"inputs":[{"name":"self"},{"name":"gtkaccelflags"}],"output":{"name":"bool"}}],[11,"cmp","","",617,{"inputs":[{"name":"self"},{"name":"gtkaccelflags"}],"output":{"name":"ordering"}}],[11,"hash","","",617,null],[11,"fmt","","",617,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",617,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",617,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",617,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",617,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",617,{"inputs":[],"output":{"name":"gtkaccelflags"}}],[11,"all","","Returns the set containing all flags.",617,{"inputs":[],"output":{"name":"gtkaccelflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",617,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",617,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",617,{"inputs":[{"name":"c_uint"}],"output":{"name":"gtkaccelflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",617,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",617,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",617,{"inputs":[{"name":"self"},{"name":"gtkaccelflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",617,{"inputs":[{"name":"self"},{"name":"gtkaccelflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",617,{"inputs":[{"name":"self"},{"name":"gtkaccelflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",617,{"inputs":[{"name":"self"},{"name":"gtkaccelflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",617,{"inputs":[{"name":"self"},{"name":"gtkaccelflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",617,{"inputs":[{"name":"self"},{"name":"gtkaccelflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",617,{"inputs":[{"name":"self"},{"name":"gtkaccelflags"}],"output":{"name":"gtkaccelflags"}}],[11,"bitor_assign","","Adds the set of flags.",617,{"inputs":[{"name":"self"},{"name":"gtkaccelflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",617,{"inputs":[{"name":"self"},{"name":"gtkaccelflags"}],"output":{"name":"gtkaccelflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",617,{"inputs":[{"name":"self"},{"name":"gtkaccelflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",617,{"inputs":[{"name":"self"},{"name":"gtkaccelflags"}],"output":{"name":"gtkaccelflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",617,{"inputs":[{"name":"self"},{"name":"gtkaccelflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",617,{"inputs":[{"name":"self"},{"name":"gtkaccelflags"}],"output":{"name":"gtkaccelflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",617,{"inputs":[{"name":"self"},{"name":"gtkaccelflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",617,{"inputs":[{"name":"self"}],"output":{"name":"gtkaccelflags"}}],[11,"extend","","",617,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",617,{"inputs":[{"name":"t"}],"output":{"name":"gtkaccelflags"}}],[11,"eq","","",618,{"inputs":[{"name":"self"},{"name":"gtkapplicationinhibitflags"}],"output":{"name":"bool"}}],[11,"ne","","",618,{"inputs":[{"name":"self"},{"name":"gtkapplicationinhibitflags"}],"output":{"name":"bool"}}],[11,"clone","","",618,{"inputs":[{"name":"self"}],"output":{"name":"gtkapplicationinhibitflags"}}],[11,"partial_cmp","","",618,{"inputs":[{"name":"self"},{"name":"gtkapplicationinhibitflags"}],"output":{"name":"option"}}],[11,"lt","","",618,{"inputs":[{"name":"self"},{"name":"gtkapplicationinhibitflags"}],"output":{"name":"bool"}}],[11,"le","","",618,{"inputs":[{"name":"self"},{"name":"gtkapplicationinhibitflags"}],"output":{"name":"bool"}}],[11,"gt","","",618,{"inputs":[{"name":"self"},{"name":"gtkapplicationinhibitflags"}],"output":{"name":"bool"}}],[11,"ge","","",618,{"inputs":[{"name":"self"},{"name":"gtkapplicationinhibitflags"}],"output":{"name":"bool"}}],[11,"cmp","","",618,{"inputs":[{"name":"self"},{"name":"gtkapplicationinhibitflags"}],"output":{"name":"ordering"}}],[11,"hash","","",618,null],[11,"fmt","","",618,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",618,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",618,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",618,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",618,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",618,{"inputs":[],"output":{"name":"gtkapplicationinhibitflags"}}],[11,"all","","Returns the set containing all flags.",618,{"inputs":[],"output":{"name":"gtkapplicationinhibitflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",618,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",618,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",618,{"inputs":[{"name":"c_uint"}],"output":{"name":"gtkapplicationinhibitflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",618,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",618,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",618,{"inputs":[{"name":"self"},{"name":"gtkapplicationinhibitflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",618,{"inputs":[{"name":"self"},{"name":"gtkapplicationinhibitflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",618,{"inputs":[{"name":"self"},{"name":"gtkapplicationinhibitflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",618,{"inputs":[{"name":"self"},{"name":"gtkapplicationinhibitflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",618,{"inputs":[{"name":"self"},{"name":"gtkapplicationinhibitflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",618,{"inputs":[{"name":"self"},{"name":"gtkapplicationinhibitflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",618,{"inputs":[{"name":"self"},{"name":"gtkapplicationinhibitflags"}],"output":{"name":"gtkapplicationinhibitflags"}}],[11,"bitor_assign","","Adds the set of flags.",618,{"inputs":[{"name":"self"},{"name":"gtkapplicationinhibitflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",618,{"inputs":[{"name":"self"},{"name":"gtkapplicationinhibitflags"}],"output":{"name":"gtkapplicationinhibitflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",618,{"inputs":[{"name":"self"},{"name":"gtkapplicationinhibitflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",618,{"inputs":[{"name":"self"},{"name":"gtkapplicationinhibitflags"}],"output":{"name":"gtkapplicationinhibitflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",618,{"inputs":[{"name":"self"},{"name":"gtkapplicationinhibitflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",618,{"inputs":[{"name":"self"},{"name":"gtkapplicationinhibitflags"}],"output":{"name":"gtkapplicationinhibitflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",618,{"inputs":[{"name":"self"},{"name":"gtkapplicationinhibitflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",618,{"inputs":[{"name":"self"}],"output":{"name":"gtkapplicationinhibitflags"}}],[11,"extend","","",618,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",618,{"inputs":[{"name":"t"}],"output":{"name":"gtkapplicationinhibitflags"}}],[11,"eq","","",619,{"inputs":[{"name":"self"},{"name":"gtkattachoptions"}],"output":{"name":"bool"}}],[11,"ne","","",619,{"inputs":[{"name":"self"},{"name":"gtkattachoptions"}],"output":{"name":"bool"}}],[11,"clone","","",619,{"inputs":[{"name":"self"}],"output":{"name":"gtkattachoptions"}}],[11,"partial_cmp","","",619,{"inputs":[{"name":"self"},{"name":"gtkattachoptions"}],"output":{"name":"option"}}],[11,"lt","","",619,{"inputs":[{"name":"self"},{"name":"gtkattachoptions"}],"output":{"name":"bool"}}],[11,"le","","",619,{"inputs":[{"name":"self"},{"name":"gtkattachoptions"}],"output":{"name":"bool"}}],[11,"gt","","",619,{"inputs":[{"name":"self"},{"name":"gtkattachoptions"}],"output":{"name":"bool"}}],[11,"ge","","",619,{"inputs":[{"name":"self"},{"name":"gtkattachoptions"}],"output":{"name":"bool"}}],[11,"cmp","","",619,{"inputs":[{"name":"self"},{"name":"gtkattachoptions"}],"output":{"name":"ordering"}}],[11,"hash","","",619,null],[11,"fmt","","",619,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",619,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",619,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",619,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",619,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",619,{"inputs":[],"output":{"name":"gtkattachoptions"}}],[11,"all","","Returns the set containing all flags.",619,{"inputs":[],"output":{"name":"gtkattachoptions"}}],[11,"bits","","Returns the raw value of the flags currently stored.",619,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",619,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",619,{"inputs":[{"name":"c_uint"}],"output":{"name":"gtkattachoptions"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",619,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",619,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",619,{"inputs":[{"name":"self"},{"name":"gtkattachoptions"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",619,{"inputs":[{"name":"self"},{"name":"gtkattachoptions"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",619,{"inputs":[{"name":"self"},{"name":"gtkattachoptions"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",619,{"inputs":[{"name":"self"},{"name":"gtkattachoptions"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",619,{"inputs":[{"name":"self"},{"name":"gtkattachoptions"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",619,{"inputs":[{"name":"self"},{"name":"gtkattachoptions"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",619,{"inputs":[{"name":"self"},{"name":"gtkattachoptions"}],"output":{"name":"gtkattachoptions"}}],[11,"bitor_assign","","Adds the set of flags.",619,{"inputs":[{"name":"self"},{"name":"gtkattachoptions"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",619,{"inputs":[{"name":"self"},{"name":"gtkattachoptions"}],"output":{"name":"gtkattachoptions"}}],[11,"bitxor_assign","","Toggles the set of flags.",619,{"inputs":[{"name":"self"},{"name":"gtkattachoptions"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",619,{"inputs":[{"name":"self"},{"name":"gtkattachoptions"}],"output":{"name":"gtkattachoptions"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",619,{"inputs":[{"name":"self"},{"name":"gtkattachoptions"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",619,{"inputs":[{"name":"self"},{"name":"gtkattachoptions"}],"output":{"name":"gtkattachoptions"}}],[11,"sub_assign","","Disables all flags enabled in the set.",619,{"inputs":[{"name":"self"},{"name":"gtkattachoptions"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",619,{"inputs":[{"name":"self"}],"output":{"name":"gtkattachoptions"}}],[11,"extend","","",619,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",619,{"inputs":[{"name":"t"}],"output":{"name":"gtkattachoptions"}}],[11,"eq","","",620,{"inputs":[{"name":"self"},{"name":"gtkcalendardisplayoptions"}],"output":{"name":"bool"}}],[11,"ne","","",620,{"inputs":[{"name":"self"},{"name":"gtkcalendardisplayoptions"}],"output":{"name":"bool"}}],[11,"clone","","",620,{"inputs":[{"name":"self"}],"output":{"name":"gtkcalendardisplayoptions"}}],[11,"partial_cmp","","",620,{"inputs":[{"name":"self"},{"name":"gtkcalendardisplayoptions"}],"output":{"name":"option"}}],[11,"lt","","",620,{"inputs":[{"name":"self"},{"name":"gtkcalendardisplayoptions"}],"output":{"name":"bool"}}],[11,"le","","",620,{"inputs":[{"name":"self"},{"name":"gtkcalendardisplayoptions"}],"output":{"name":"bool"}}],[11,"gt","","",620,{"inputs":[{"name":"self"},{"name":"gtkcalendardisplayoptions"}],"output":{"name":"bool"}}],[11,"ge","","",620,{"inputs":[{"name":"self"},{"name":"gtkcalendardisplayoptions"}],"output":{"name":"bool"}}],[11,"cmp","","",620,{"inputs":[{"name":"self"},{"name":"gtkcalendardisplayoptions"}],"output":{"name":"ordering"}}],[11,"hash","","",620,null],[11,"fmt","","",620,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",620,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",620,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",620,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",620,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",620,{"inputs":[],"output":{"name":"gtkcalendardisplayoptions"}}],[11,"all","","Returns the set containing all flags.",620,{"inputs":[],"output":{"name":"gtkcalendardisplayoptions"}}],[11,"bits","","Returns the raw value of the flags currently stored.",620,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",620,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",620,{"inputs":[{"name":"c_uint"}],"output":{"name":"gtkcalendardisplayoptions"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",620,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",620,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",620,{"inputs":[{"name":"self"},{"name":"gtkcalendardisplayoptions"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",620,{"inputs":[{"name":"self"},{"name":"gtkcalendardisplayoptions"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",620,{"inputs":[{"name":"self"},{"name":"gtkcalendardisplayoptions"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",620,{"inputs":[{"name":"self"},{"name":"gtkcalendardisplayoptions"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",620,{"inputs":[{"name":"self"},{"name":"gtkcalendardisplayoptions"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",620,{"inputs":[{"name":"self"},{"name":"gtkcalendardisplayoptions"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",620,{"inputs":[{"name":"self"},{"name":"gtkcalendardisplayoptions"}],"output":{"name":"gtkcalendardisplayoptions"}}],[11,"bitor_assign","","Adds the set of flags.",620,{"inputs":[{"name":"self"},{"name":"gtkcalendardisplayoptions"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",620,{"inputs":[{"name":"self"},{"name":"gtkcalendardisplayoptions"}],"output":{"name":"gtkcalendardisplayoptions"}}],[11,"bitxor_assign","","Toggles the set of flags.",620,{"inputs":[{"name":"self"},{"name":"gtkcalendardisplayoptions"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",620,{"inputs":[{"name":"self"},{"name":"gtkcalendardisplayoptions"}],"output":{"name":"gtkcalendardisplayoptions"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",620,{"inputs":[{"name":"self"},{"name":"gtkcalendardisplayoptions"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",620,{"inputs":[{"name":"self"},{"name":"gtkcalendardisplayoptions"}],"output":{"name":"gtkcalendardisplayoptions"}}],[11,"sub_assign","","Disables all flags enabled in the set.",620,{"inputs":[{"name":"self"},{"name":"gtkcalendardisplayoptions"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",620,{"inputs":[{"name":"self"}],"output":{"name":"gtkcalendardisplayoptions"}}],[11,"extend","","",620,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",620,{"inputs":[{"name":"t"}],"output":{"name":"gtkcalendardisplayoptions"}}],[11,"eq","","",621,{"inputs":[{"name":"self"},{"name":"gtkcellrendererstate"}],"output":{"name":"bool"}}],[11,"ne","","",621,{"inputs":[{"name":"self"},{"name":"gtkcellrendererstate"}],"output":{"name":"bool"}}],[11,"clone","","",621,{"inputs":[{"name":"self"}],"output":{"name":"gtkcellrendererstate"}}],[11,"partial_cmp","","",621,{"inputs":[{"name":"self"},{"name":"gtkcellrendererstate"}],"output":{"name":"option"}}],[11,"lt","","",621,{"inputs":[{"name":"self"},{"name":"gtkcellrendererstate"}],"output":{"name":"bool"}}],[11,"le","","",621,{"inputs":[{"name":"self"},{"name":"gtkcellrendererstate"}],"output":{"name":"bool"}}],[11,"gt","","",621,{"inputs":[{"name":"self"},{"name":"gtkcellrendererstate"}],"output":{"name":"bool"}}],[11,"ge","","",621,{"inputs":[{"name":"self"},{"name":"gtkcellrendererstate"}],"output":{"name":"bool"}}],[11,"cmp","","",621,{"inputs":[{"name":"self"},{"name":"gtkcellrendererstate"}],"output":{"name":"ordering"}}],[11,"hash","","",621,null],[11,"fmt","","",621,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",621,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",621,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",621,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",621,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",621,{"inputs":[],"output":{"name":"gtkcellrendererstate"}}],[11,"all","","Returns the set containing all flags.",621,{"inputs":[],"output":{"name":"gtkcellrendererstate"}}],[11,"bits","","Returns the raw value of the flags currently stored.",621,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",621,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",621,{"inputs":[{"name":"c_uint"}],"output":{"name":"gtkcellrendererstate"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",621,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",621,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",621,{"inputs":[{"name":"self"},{"name":"gtkcellrendererstate"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",621,{"inputs":[{"name":"self"},{"name":"gtkcellrendererstate"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",621,{"inputs":[{"name":"self"},{"name":"gtkcellrendererstate"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",621,{"inputs":[{"name":"self"},{"name":"gtkcellrendererstate"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",621,{"inputs":[{"name":"self"},{"name":"gtkcellrendererstate"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",621,{"inputs":[{"name":"self"},{"name":"gtkcellrendererstate"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",621,{"inputs":[{"name":"self"},{"name":"gtkcellrendererstate"}],"output":{"name":"gtkcellrendererstate"}}],[11,"bitor_assign","","Adds the set of flags.",621,{"inputs":[{"name":"self"},{"name":"gtkcellrendererstate"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",621,{"inputs":[{"name":"self"},{"name":"gtkcellrendererstate"}],"output":{"name":"gtkcellrendererstate"}}],[11,"bitxor_assign","","Toggles the set of flags.",621,{"inputs":[{"name":"self"},{"name":"gtkcellrendererstate"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",621,{"inputs":[{"name":"self"},{"name":"gtkcellrendererstate"}],"output":{"name":"gtkcellrendererstate"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",621,{"inputs":[{"name":"self"},{"name":"gtkcellrendererstate"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",621,{"inputs":[{"name":"self"},{"name":"gtkcellrendererstate"}],"output":{"name":"gtkcellrendererstate"}}],[11,"sub_assign","","Disables all flags enabled in the set.",621,{"inputs":[{"name":"self"},{"name":"gtkcellrendererstate"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",621,{"inputs":[{"name":"self"}],"output":{"name":"gtkcellrendererstate"}}],[11,"extend","","",621,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",621,{"inputs":[{"name":"t"}],"output":{"name":"gtkcellrendererstate"}}],[11,"eq","","",622,{"inputs":[{"name":"self"},{"name":"gtkdebugflag"}],"output":{"name":"bool"}}],[11,"ne","","",622,{"inputs":[{"name":"self"},{"name":"gtkdebugflag"}],"output":{"name":"bool"}}],[11,"clone","","",622,{"inputs":[{"name":"self"}],"output":{"name":"gtkdebugflag"}}],[11,"partial_cmp","","",622,{"inputs":[{"name":"self"},{"name":"gtkdebugflag"}],"output":{"name":"option"}}],[11,"lt","","",622,{"inputs":[{"name":"self"},{"name":"gtkdebugflag"}],"output":{"name":"bool"}}],[11,"le","","",622,{"inputs":[{"name":"self"},{"name":"gtkdebugflag"}],"output":{"name":"bool"}}],[11,"gt","","",622,{"inputs":[{"name":"self"},{"name":"gtkdebugflag"}],"output":{"name":"bool"}}],[11,"ge","","",622,{"inputs":[{"name":"self"},{"name":"gtkdebugflag"}],"output":{"name":"bool"}}],[11,"cmp","","",622,{"inputs":[{"name":"self"},{"name":"gtkdebugflag"}],"output":{"name":"ordering"}}],[11,"hash","","",622,null],[11,"fmt","","",622,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",622,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",622,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",622,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",622,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",622,{"inputs":[],"output":{"name":"gtkdebugflag"}}],[11,"all","","Returns the set containing all flags.",622,{"inputs":[],"output":{"name":"gtkdebugflag"}}],[11,"bits","","Returns the raw value of the flags currently stored.",622,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",622,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",622,{"inputs":[{"name":"c_uint"}],"output":{"name":"gtkdebugflag"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",622,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",622,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",622,{"inputs":[{"name":"self"},{"name":"gtkdebugflag"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",622,{"inputs":[{"name":"self"},{"name":"gtkdebugflag"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",622,{"inputs":[{"name":"self"},{"name":"gtkdebugflag"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",622,{"inputs":[{"name":"self"},{"name":"gtkdebugflag"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",622,{"inputs":[{"name":"self"},{"name":"gtkdebugflag"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",622,{"inputs":[{"name":"self"},{"name":"gtkdebugflag"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",622,{"inputs":[{"name":"self"},{"name":"gtkdebugflag"}],"output":{"name":"gtkdebugflag"}}],[11,"bitor_assign","","Adds the set of flags.",622,{"inputs":[{"name":"self"},{"name":"gtkdebugflag"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",622,{"inputs":[{"name":"self"},{"name":"gtkdebugflag"}],"output":{"name":"gtkdebugflag"}}],[11,"bitxor_assign","","Toggles the set of flags.",622,{"inputs":[{"name":"self"},{"name":"gtkdebugflag"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",622,{"inputs":[{"name":"self"},{"name":"gtkdebugflag"}],"output":{"name":"gtkdebugflag"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",622,{"inputs":[{"name":"self"},{"name":"gtkdebugflag"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",622,{"inputs":[{"name":"self"},{"name":"gtkdebugflag"}],"output":{"name":"gtkdebugflag"}}],[11,"sub_assign","","Disables all flags enabled in the set.",622,{"inputs":[{"name":"self"},{"name":"gtkdebugflag"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",622,{"inputs":[{"name":"self"}],"output":{"name":"gtkdebugflag"}}],[11,"extend","","",622,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",622,{"inputs":[{"name":"t"}],"output":{"name":"gtkdebugflag"}}],[11,"eq","","",623,{"inputs":[{"name":"self"},{"name":"gtkdestdefaults"}],"output":{"name":"bool"}}],[11,"ne","","",623,{"inputs":[{"name":"self"},{"name":"gtkdestdefaults"}],"output":{"name":"bool"}}],[11,"clone","","",623,{"inputs":[{"name":"self"}],"output":{"name":"gtkdestdefaults"}}],[11,"partial_cmp","","",623,{"inputs":[{"name":"self"},{"name":"gtkdestdefaults"}],"output":{"name":"option"}}],[11,"lt","","",623,{"inputs":[{"name":"self"},{"name":"gtkdestdefaults"}],"output":{"name":"bool"}}],[11,"le","","",623,{"inputs":[{"name":"self"},{"name":"gtkdestdefaults"}],"output":{"name":"bool"}}],[11,"gt","","",623,{"inputs":[{"name":"self"},{"name":"gtkdestdefaults"}],"output":{"name":"bool"}}],[11,"ge","","",623,{"inputs":[{"name":"self"},{"name":"gtkdestdefaults"}],"output":{"name":"bool"}}],[11,"cmp","","",623,{"inputs":[{"name":"self"},{"name":"gtkdestdefaults"}],"output":{"name":"ordering"}}],[11,"hash","","",623,null],[11,"fmt","","",623,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",623,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",623,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",623,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",623,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",623,{"inputs":[],"output":{"name":"gtkdestdefaults"}}],[11,"all","","Returns the set containing all flags.",623,{"inputs":[],"output":{"name":"gtkdestdefaults"}}],[11,"bits","","Returns the raw value of the flags currently stored.",623,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",623,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",623,{"inputs":[{"name":"c_uint"}],"output":{"name":"gtkdestdefaults"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",623,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",623,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",623,{"inputs":[{"name":"self"},{"name":"gtkdestdefaults"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",623,{"inputs":[{"name":"self"},{"name":"gtkdestdefaults"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",623,{"inputs":[{"name":"self"},{"name":"gtkdestdefaults"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",623,{"inputs":[{"name":"self"},{"name":"gtkdestdefaults"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",623,{"inputs":[{"name":"self"},{"name":"gtkdestdefaults"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",623,{"inputs":[{"name":"self"},{"name":"gtkdestdefaults"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",623,{"inputs":[{"name":"self"},{"name":"gtkdestdefaults"}],"output":{"name":"gtkdestdefaults"}}],[11,"bitor_assign","","Adds the set of flags.",623,{"inputs":[{"name":"self"},{"name":"gtkdestdefaults"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",623,{"inputs":[{"name":"self"},{"name":"gtkdestdefaults"}],"output":{"name":"gtkdestdefaults"}}],[11,"bitxor_assign","","Toggles the set of flags.",623,{"inputs":[{"name":"self"},{"name":"gtkdestdefaults"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",623,{"inputs":[{"name":"self"},{"name":"gtkdestdefaults"}],"output":{"name":"gtkdestdefaults"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",623,{"inputs":[{"name":"self"},{"name":"gtkdestdefaults"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",623,{"inputs":[{"name":"self"},{"name":"gtkdestdefaults"}],"output":{"name":"gtkdestdefaults"}}],[11,"sub_assign","","Disables all flags enabled in the set.",623,{"inputs":[{"name":"self"},{"name":"gtkdestdefaults"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",623,{"inputs":[{"name":"self"}],"output":{"name":"gtkdestdefaults"}}],[11,"extend","","",623,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",623,{"inputs":[{"name":"t"}],"output":{"name":"gtkdestdefaults"}}],[11,"eq","","",624,{"inputs":[{"name":"self"},{"name":"gtkdialogflags"}],"output":{"name":"bool"}}],[11,"ne","","",624,{"inputs":[{"name":"self"},{"name":"gtkdialogflags"}],"output":{"name":"bool"}}],[11,"clone","","",624,{"inputs":[{"name":"self"}],"output":{"name":"gtkdialogflags"}}],[11,"partial_cmp","","",624,{"inputs":[{"name":"self"},{"name":"gtkdialogflags"}],"output":{"name":"option"}}],[11,"lt","","",624,{"inputs":[{"name":"self"},{"name":"gtkdialogflags"}],"output":{"name":"bool"}}],[11,"le","","",624,{"inputs":[{"name":"self"},{"name":"gtkdialogflags"}],"output":{"name":"bool"}}],[11,"gt","","",624,{"inputs":[{"name":"self"},{"name":"gtkdialogflags"}],"output":{"name":"bool"}}],[11,"ge","","",624,{"inputs":[{"name":"self"},{"name":"gtkdialogflags"}],"output":{"name":"bool"}}],[11,"cmp","","",624,{"inputs":[{"name":"self"},{"name":"gtkdialogflags"}],"output":{"name":"ordering"}}],[11,"hash","","",624,null],[11,"fmt","","",624,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",624,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",624,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",624,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",624,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",624,{"inputs":[],"output":{"name":"gtkdialogflags"}}],[11,"all","","Returns the set containing all flags.",624,{"inputs":[],"output":{"name":"gtkdialogflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",624,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",624,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",624,{"inputs":[{"name":"c_uint"}],"output":{"name":"gtkdialogflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",624,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",624,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",624,{"inputs":[{"name":"self"},{"name":"gtkdialogflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",624,{"inputs":[{"name":"self"},{"name":"gtkdialogflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",624,{"inputs":[{"name":"self"},{"name":"gtkdialogflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",624,{"inputs":[{"name":"self"},{"name":"gtkdialogflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",624,{"inputs":[{"name":"self"},{"name":"gtkdialogflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",624,{"inputs":[{"name":"self"},{"name":"gtkdialogflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",624,{"inputs":[{"name":"self"},{"name":"gtkdialogflags"}],"output":{"name":"gtkdialogflags"}}],[11,"bitor_assign","","Adds the set of flags.",624,{"inputs":[{"name":"self"},{"name":"gtkdialogflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",624,{"inputs":[{"name":"self"},{"name":"gtkdialogflags"}],"output":{"name":"gtkdialogflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",624,{"inputs":[{"name":"self"},{"name":"gtkdialogflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",624,{"inputs":[{"name":"self"},{"name":"gtkdialogflags"}],"output":{"name":"gtkdialogflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",624,{"inputs":[{"name":"self"},{"name":"gtkdialogflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",624,{"inputs":[{"name":"self"},{"name":"gtkdialogflags"}],"output":{"name":"gtkdialogflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",624,{"inputs":[{"name":"self"},{"name":"gtkdialogflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",624,{"inputs":[{"name":"self"}],"output":{"name":"gtkdialogflags"}}],[11,"extend","","",624,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",624,{"inputs":[{"name":"t"}],"output":{"name":"gtkdialogflags"}}],[11,"eq","","",625,{"inputs":[{"name":"self"},{"name":"gtkfilefilterflags"}],"output":{"name":"bool"}}],[11,"ne","","",625,{"inputs":[{"name":"self"},{"name":"gtkfilefilterflags"}],"output":{"name":"bool"}}],[11,"clone","","",625,{"inputs":[{"name":"self"}],"output":{"name":"gtkfilefilterflags"}}],[11,"partial_cmp","","",625,{"inputs":[{"name":"self"},{"name":"gtkfilefilterflags"}],"output":{"name":"option"}}],[11,"lt","","",625,{"inputs":[{"name":"self"},{"name":"gtkfilefilterflags"}],"output":{"name":"bool"}}],[11,"le","","",625,{"inputs":[{"name":"self"},{"name":"gtkfilefilterflags"}],"output":{"name":"bool"}}],[11,"gt","","",625,{"inputs":[{"name":"self"},{"name":"gtkfilefilterflags"}],"output":{"name":"bool"}}],[11,"ge","","",625,{"inputs":[{"name":"self"},{"name":"gtkfilefilterflags"}],"output":{"name":"bool"}}],[11,"cmp","","",625,{"inputs":[{"name":"self"},{"name":"gtkfilefilterflags"}],"output":{"name":"ordering"}}],[11,"hash","","",625,null],[11,"fmt","","",625,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",625,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",625,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",625,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",625,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",625,{"inputs":[],"output":{"name":"gtkfilefilterflags"}}],[11,"all","","Returns the set containing all flags.",625,{"inputs":[],"output":{"name":"gtkfilefilterflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",625,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",625,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",625,{"inputs":[{"name":"c_uint"}],"output":{"name":"gtkfilefilterflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",625,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",625,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",625,{"inputs":[{"name":"self"},{"name":"gtkfilefilterflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",625,{"inputs":[{"name":"self"},{"name":"gtkfilefilterflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",625,{"inputs":[{"name":"self"},{"name":"gtkfilefilterflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",625,{"inputs":[{"name":"self"},{"name":"gtkfilefilterflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",625,{"inputs":[{"name":"self"},{"name":"gtkfilefilterflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",625,{"inputs":[{"name":"self"},{"name":"gtkfilefilterflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",625,{"inputs":[{"name":"self"},{"name":"gtkfilefilterflags"}],"output":{"name":"gtkfilefilterflags"}}],[11,"bitor_assign","","Adds the set of flags.",625,{"inputs":[{"name":"self"},{"name":"gtkfilefilterflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",625,{"inputs":[{"name":"self"},{"name":"gtkfilefilterflags"}],"output":{"name":"gtkfilefilterflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",625,{"inputs":[{"name":"self"},{"name":"gtkfilefilterflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",625,{"inputs":[{"name":"self"},{"name":"gtkfilefilterflags"}],"output":{"name":"gtkfilefilterflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",625,{"inputs":[{"name":"self"},{"name":"gtkfilefilterflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",625,{"inputs":[{"name":"self"},{"name":"gtkfilefilterflags"}],"output":{"name":"gtkfilefilterflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",625,{"inputs":[{"name":"self"},{"name":"gtkfilefilterflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",625,{"inputs":[{"name":"self"}],"output":{"name":"gtkfilefilterflags"}}],[11,"extend","","",625,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",625,{"inputs":[{"name":"t"}],"output":{"name":"gtkfilefilterflags"}}],[11,"eq","","",626,{"inputs":[{"name":"self"},{"name":"gtkiconlookupflags"}],"output":{"name":"bool"}}],[11,"ne","","",626,{"inputs":[{"name":"self"},{"name":"gtkiconlookupflags"}],"output":{"name":"bool"}}],[11,"clone","","",626,{"inputs":[{"name":"self"}],"output":{"name":"gtkiconlookupflags"}}],[11,"partial_cmp","","",626,{"inputs":[{"name":"self"},{"name":"gtkiconlookupflags"}],"output":{"name":"option"}}],[11,"lt","","",626,{"inputs":[{"name":"self"},{"name":"gtkiconlookupflags"}],"output":{"name":"bool"}}],[11,"le","","",626,{"inputs":[{"name":"self"},{"name":"gtkiconlookupflags"}],"output":{"name":"bool"}}],[11,"gt","","",626,{"inputs":[{"name":"self"},{"name":"gtkiconlookupflags"}],"output":{"name":"bool"}}],[11,"ge","","",626,{"inputs":[{"name":"self"},{"name":"gtkiconlookupflags"}],"output":{"name":"bool"}}],[11,"cmp","","",626,{"inputs":[{"name":"self"},{"name":"gtkiconlookupflags"}],"output":{"name":"ordering"}}],[11,"hash","","",626,null],[11,"fmt","","",626,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",626,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",626,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",626,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",626,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",626,{"inputs":[],"output":{"name":"gtkiconlookupflags"}}],[11,"all","","Returns the set containing all flags.",626,{"inputs":[],"output":{"name":"gtkiconlookupflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",626,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",626,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",626,{"inputs":[{"name":"c_uint"}],"output":{"name":"gtkiconlookupflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",626,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",626,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",626,{"inputs":[{"name":"self"},{"name":"gtkiconlookupflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",626,{"inputs":[{"name":"self"},{"name":"gtkiconlookupflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",626,{"inputs":[{"name":"self"},{"name":"gtkiconlookupflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",626,{"inputs":[{"name":"self"},{"name":"gtkiconlookupflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",626,{"inputs":[{"name":"self"},{"name":"gtkiconlookupflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",626,{"inputs":[{"name":"self"},{"name":"gtkiconlookupflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",626,{"inputs":[{"name":"self"},{"name":"gtkiconlookupflags"}],"output":{"name":"gtkiconlookupflags"}}],[11,"bitor_assign","","Adds the set of flags.",626,{"inputs":[{"name":"self"},{"name":"gtkiconlookupflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",626,{"inputs":[{"name":"self"},{"name":"gtkiconlookupflags"}],"output":{"name":"gtkiconlookupflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",626,{"inputs":[{"name":"self"},{"name":"gtkiconlookupflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",626,{"inputs":[{"name":"self"},{"name":"gtkiconlookupflags"}],"output":{"name":"gtkiconlookupflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",626,{"inputs":[{"name":"self"},{"name":"gtkiconlookupflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",626,{"inputs":[{"name":"self"},{"name":"gtkiconlookupflags"}],"output":{"name":"gtkiconlookupflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",626,{"inputs":[{"name":"self"},{"name":"gtkiconlookupflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",626,{"inputs":[{"name":"self"}],"output":{"name":"gtkiconlookupflags"}}],[11,"extend","","",626,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",626,{"inputs":[{"name":"t"}],"output":{"name":"gtkiconlookupflags"}}],[11,"eq","","",627,{"inputs":[{"name":"self"},{"name":"gtkinputhints"}],"output":{"name":"bool"}}],[11,"ne","","",627,{"inputs":[{"name":"self"},{"name":"gtkinputhints"}],"output":{"name":"bool"}}],[11,"clone","","",627,{"inputs":[{"name":"self"}],"output":{"name":"gtkinputhints"}}],[11,"partial_cmp","","",627,{"inputs":[{"name":"self"},{"name":"gtkinputhints"}],"output":{"name":"option"}}],[11,"lt","","",627,{"inputs":[{"name":"self"},{"name":"gtkinputhints"}],"output":{"name":"bool"}}],[11,"le","","",627,{"inputs":[{"name":"self"},{"name":"gtkinputhints"}],"output":{"name":"bool"}}],[11,"gt","","",627,{"inputs":[{"name":"self"},{"name":"gtkinputhints"}],"output":{"name":"bool"}}],[11,"ge","","",627,{"inputs":[{"name":"self"},{"name":"gtkinputhints"}],"output":{"name":"bool"}}],[11,"cmp","","",627,{"inputs":[{"name":"self"},{"name":"gtkinputhints"}],"output":{"name":"ordering"}}],[11,"hash","","",627,null],[11,"fmt","","",627,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",627,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",627,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",627,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",627,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",627,{"inputs":[],"output":{"name":"gtkinputhints"}}],[11,"all","","Returns the set containing all flags.",627,{"inputs":[],"output":{"name":"gtkinputhints"}}],[11,"bits","","Returns the raw value of the flags currently stored.",627,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",627,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",627,{"inputs":[{"name":"c_uint"}],"output":{"name":"gtkinputhints"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",627,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",627,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",627,{"inputs":[{"name":"self"},{"name":"gtkinputhints"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",627,{"inputs":[{"name":"self"},{"name":"gtkinputhints"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",627,{"inputs":[{"name":"self"},{"name":"gtkinputhints"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",627,{"inputs":[{"name":"self"},{"name":"gtkinputhints"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",627,{"inputs":[{"name":"self"},{"name":"gtkinputhints"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",627,{"inputs":[{"name":"self"},{"name":"gtkinputhints"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",627,{"inputs":[{"name":"self"},{"name":"gtkinputhints"}],"output":{"name":"gtkinputhints"}}],[11,"bitor_assign","","Adds the set of flags.",627,{"inputs":[{"name":"self"},{"name":"gtkinputhints"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",627,{"inputs":[{"name":"self"},{"name":"gtkinputhints"}],"output":{"name":"gtkinputhints"}}],[11,"bitxor_assign","","Toggles the set of flags.",627,{"inputs":[{"name":"self"},{"name":"gtkinputhints"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",627,{"inputs":[{"name":"self"},{"name":"gtkinputhints"}],"output":{"name":"gtkinputhints"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",627,{"inputs":[{"name":"self"},{"name":"gtkinputhints"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",627,{"inputs":[{"name":"self"},{"name":"gtkinputhints"}],"output":{"name":"gtkinputhints"}}],[11,"sub_assign","","Disables all flags enabled in the set.",627,{"inputs":[{"name":"self"},{"name":"gtkinputhints"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",627,{"inputs":[{"name":"self"}],"output":{"name":"gtkinputhints"}}],[11,"extend","","",627,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",627,{"inputs":[{"name":"t"}],"output":{"name":"gtkinputhints"}}],[11,"eq","","",628,{"inputs":[{"name":"self"},{"name":"gtkjunctionsides"}],"output":{"name":"bool"}}],[11,"ne","","",628,{"inputs":[{"name":"self"},{"name":"gtkjunctionsides"}],"output":{"name":"bool"}}],[11,"clone","","",628,{"inputs":[{"name":"self"}],"output":{"name":"gtkjunctionsides"}}],[11,"partial_cmp","","",628,{"inputs":[{"name":"self"},{"name":"gtkjunctionsides"}],"output":{"name":"option"}}],[11,"lt","","",628,{"inputs":[{"name":"self"},{"name":"gtkjunctionsides"}],"output":{"name":"bool"}}],[11,"le","","",628,{"inputs":[{"name":"self"},{"name":"gtkjunctionsides"}],"output":{"name":"bool"}}],[11,"gt","","",628,{"inputs":[{"name":"self"},{"name":"gtkjunctionsides"}],"output":{"name":"bool"}}],[11,"ge","","",628,{"inputs":[{"name":"self"},{"name":"gtkjunctionsides"}],"output":{"name":"bool"}}],[11,"cmp","","",628,{"inputs":[{"name":"self"},{"name":"gtkjunctionsides"}],"output":{"name":"ordering"}}],[11,"hash","","",628,null],[11,"fmt","","",628,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",628,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",628,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",628,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",628,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",628,{"inputs":[],"output":{"name":"gtkjunctionsides"}}],[11,"all","","Returns the set containing all flags.",628,{"inputs":[],"output":{"name":"gtkjunctionsides"}}],[11,"bits","","Returns the raw value of the flags currently stored.",628,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",628,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",628,{"inputs":[{"name":"c_uint"}],"output":{"name":"gtkjunctionsides"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",628,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",628,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",628,{"inputs":[{"name":"self"},{"name":"gtkjunctionsides"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",628,{"inputs":[{"name":"self"},{"name":"gtkjunctionsides"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",628,{"inputs":[{"name":"self"},{"name":"gtkjunctionsides"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",628,{"inputs":[{"name":"self"},{"name":"gtkjunctionsides"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",628,{"inputs":[{"name":"self"},{"name":"gtkjunctionsides"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",628,{"inputs":[{"name":"self"},{"name":"gtkjunctionsides"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",628,{"inputs":[{"name":"self"},{"name":"gtkjunctionsides"}],"output":{"name":"gtkjunctionsides"}}],[11,"bitor_assign","","Adds the set of flags.",628,{"inputs":[{"name":"self"},{"name":"gtkjunctionsides"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",628,{"inputs":[{"name":"self"},{"name":"gtkjunctionsides"}],"output":{"name":"gtkjunctionsides"}}],[11,"bitxor_assign","","Toggles the set of flags.",628,{"inputs":[{"name":"self"},{"name":"gtkjunctionsides"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",628,{"inputs":[{"name":"self"},{"name":"gtkjunctionsides"}],"output":{"name":"gtkjunctionsides"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",628,{"inputs":[{"name":"self"},{"name":"gtkjunctionsides"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",628,{"inputs":[{"name":"self"},{"name":"gtkjunctionsides"}],"output":{"name":"gtkjunctionsides"}}],[11,"sub_assign","","Disables all flags enabled in the set.",628,{"inputs":[{"name":"self"},{"name":"gtkjunctionsides"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",628,{"inputs":[{"name":"self"}],"output":{"name":"gtkjunctionsides"}}],[11,"extend","","",628,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",628,{"inputs":[{"name":"t"}],"output":{"name":"gtkjunctionsides"}}],[11,"eq","","",629,{"inputs":[{"name":"self"},{"name":"gtkplacesopenflags"}],"output":{"name":"bool"}}],[11,"ne","","",629,{"inputs":[{"name":"self"},{"name":"gtkplacesopenflags"}],"output":{"name":"bool"}}],[11,"clone","","",629,{"inputs":[{"name":"self"}],"output":{"name":"gtkplacesopenflags"}}],[11,"partial_cmp","","",629,{"inputs":[{"name":"self"},{"name":"gtkplacesopenflags"}],"output":{"name":"option"}}],[11,"lt","","",629,{"inputs":[{"name":"self"},{"name":"gtkplacesopenflags"}],"output":{"name":"bool"}}],[11,"le","","",629,{"inputs":[{"name":"self"},{"name":"gtkplacesopenflags"}],"output":{"name":"bool"}}],[11,"gt","","",629,{"inputs":[{"name":"self"},{"name":"gtkplacesopenflags"}],"output":{"name":"bool"}}],[11,"ge","","",629,{"inputs":[{"name":"self"},{"name":"gtkplacesopenflags"}],"output":{"name":"bool"}}],[11,"cmp","","",629,{"inputs":[{"name":"self"},{"name":"gtkplacesopenflags"}],"output":{"name":"ordering"}}],[11,"hash","","",629,null],[11,"fmt","","",629,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",629,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",629,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",629,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",629,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",629,{"inputs":[],"output":{"name":"gtkplacesopenflags"}}],[11,"all","","Returns the set containing all flags.",629,{"inputs":[],"output":{"name":"gtkplacesopenflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",629,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",629,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",629,{"inputs":[{"name":"c_uint"}],"output":{"name":"gtkplacesopenflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",629,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",629,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",629,{"inputs":[{"name":"self"},{"name":"gtkplacesopenflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",629,{"inputs":[{"name":"self"},{"name":"gtkplacesopenflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",629,{"inputs":[{"name":"self"},{"name":"gtkplacesopenflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",629,{"inputs":[{"name":"self"},{"name":"gtkplacesopenflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",629,{"inputs":[{"name":"self"},{"name":"gtkplacesopenflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",629,{"inputs":[{"name":"self"},{"name":"gtkplacesopenflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",629,{"inputs":[{"name":"self"},{"name":"gtkplacesopenflags"}],"output":{"name":"gtkplacesopenflags"}}],[11,"bitor_assign","","Adds the set of flags.",629,{"inputs":[{"name":"self"},{"name":"gtkplacesopenflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",629,{"inputs":[{"name":"self"},{"name":"gtkplacesopenflags"}],"output":{"name":"gtkplacesopenflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",629,{"inputs":[{"name":"self"},{"name":"gtkplacesopenflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",629,{"inputs":[{"name":"self"},{"name":"gtkplacesopenflags"}],"output":{"name":"gtkplacesopenflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",629,{"inputs":[{"name":"self"},{"name":"gtkplacesopenflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",629,{"inputs":[{"name":"self"},{"name":"gtkplacesopenflags"}],"output":{"name":"gtkplacesopenflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",629,{"inputs":[{"name":"self"},{"name":"gtkplacesopenflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",629,{"inputs":[{"name":"self"}],"output":{"name":"gtkplacesopenflags"}}],[11,"extend","","",629,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",629,{"inputs":[{"name":"t"}],"output":{"name":"gtkplacesopenflags"}}],[11,"eq","","",630,{"inputs":[{"name":"self"},{"name":"gtkrcflags"}],"output":{"name":"bool"}}],[11,"ne","","",630,{"inputs":[{"name":"self"},{"name":"gtkrcflags"}],"output":{"name":"bool"}}],[11,"clone","","",630,{"inputs":[{"name":"self"}],"output":{"name":"gtkrcflags"}}],[11,"partial_cmp","","",630,{"inputs":[{"name":"self"},{"name":"gtkrcflags"}],"output":{"name":"option"}}],[11,"lt","","",630,{"inputs":[{"name":"self"},{"name":"gtkrcflags"}],"output":{"name":"bool"}}],[11,"le","","",630,{"inputs":[{"name":"self"},{"name":"gtkrcflags"}],"output":{"name":"bool"}}],[11,"gt","","",630,{"inputs":[{"name":"self"},{"name":"gtkrcflags"}],"output":{"name":"bool"}}],[11,"ge","","",630,{"inputs":[{"name":"self"},{"name":"gtkrcflags"}],"output":{"name":"bool"}}],[11,"cmp","","",630,{"inputs":[{"name":"self"},{"name":"gtkrcflags"}],"output":{"name":"ordering"}}],[11,"hash","","",630,null],[11,"fmt","","",630,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",630,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",630,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",630,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",630,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",630,{"inputs":[],"output":{"name":"gtkrcflags"}}],[11,"all","","Returns the set containing all flags.",630,{"inputs":[],"output":{"name":"gtkrcflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",630,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",630,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",630,{"inputs":[{"name":"c_uint"}],"output":{"name":"gtkrcflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",630,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",630,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",630,{"inputs":[{"name":"self"},{"name":"gtkrcflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",630,{"inputs":[{"name":"self"},{"name":"gtkrcflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",630,{"inputs":[{"name":"self"},{"name":"gtkrcflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",630,{"inputs":[{"name":"self"},{"name":"gtkrcflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",630,{"inputs":[{"name":"self"},{"name":"gtkrcflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",630,{"inputs":[{"name":"self"},{"name":"gtkrcflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",630,{"inputs":[{"name":"self"},{"name":"gtkrcflags"}],"output":{"name":"gtkrcflags"}}],[11,"bitor_assign","","Adds the set of flags.",630,{"inputs":[{"name":"self"},{"name":"gtkrcflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",630,{"inputs":[{"name":"self"},{"name":"gtkrcflags"}],"output":{"name":"gtkrcflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",630,{"inputs":[{"name":"self"},{"name":"gtkrcflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",630,{"inputs":[{"name":"self"},{"name":"gtkrcflags"}],"output":{"name":"gtkrcflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",630,{"inputs":[{"name":"self"},{"name":"gtkrcflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",630,{"inputs":[{"name":"self"},{"name":"gtkrcflags"}],"output":{"name":"gtkrcflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",630,{"inputs":[{"name":"self"},{"name":"gtkrcflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",630,{"inputs":[{"name":"self"}],"output":{"name":"gtkrcflags"}}],[11,"extend","","",630,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",630,{"inputs":[{"name":"t"}],"output":{"name":"gtkrcflags"}}],[11,"eq","","",631,{"inputs":[{"name":"self"},{"name":"gtkrecentfilterflags"}],"output":{"name":"bool"}}],[11,"ne","","",631,{"inputs":[{"name":"self"},{"name":"gtkrecentfilterflags"}],"output":{"name":"bool"}}],[11,"clone","","",631,{"inputs":[{"name":"self"}],"output":{"name":"gtkrecentfilterflags"}}],[11,"partial_cmp","","",631,{"inputs":[{"name":"self"},{"name":"gtkrecentfilterflags"}],"output":{"name":"option"}}],[11,"lt","","",631,{"inputs":[{"name":"self"},{"name":"gtkrecentfilterflags"}],"output":{"name":"bool"}}],[11,"le","","",631,{"inputs":[{"name":"self"},{"name":"gtkrecentfilterflags"}],"output":{"name":"bool"}}],[11,"gt","","",631,{"inputs":[{"name":"self"},{"name":"gtkrecentfilterflags"}],"output":{"name":"bool"}}],[11,"ge","","",631,{"inputs":[{"name":"self"},{"name":"gtkrecentfilterflags"}],"output":{"name":"bool"}}],[11,"cmp","","",631,{"inputs":[{"name":"self"},{"name":"gtkrecentfilterflags"}],"output":{"name":"ordering"}}],[11,"hash","","",631,null],[11,"fmt","","",631,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",631,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",631,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",631,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",631,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",631,{"inputs":[],"output":{"name":"gtkrecentfilterflags"}}],[11,"all","","Returns the set containing all flags.",631,{"inputs":[],"output":{"name":"gtkrecentfilterflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",631,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",631,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",631,{"inputs":[{"name":"c_uint"}],"output":{"name":"gtkrecentfilterflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",631,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",631,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",631,{"inputs":[{"name":"self"},{"name":"gtkrecentfilterflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",631,{"inputs":[{"name":"self"},{"name":"gtkrecentfilterflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",631,{"inputs":[{"name":"self"},{"name":"gtkrecentfilterflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",631,{"inputs":[{"name":"self"},{"name":"gtkrecentfilterflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",631,{"inputs":[{"name":"self"},{"name":"gtkrecentfilterflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",631,{"inputs":[{"name":"self"},{"name":"gtkrecentfilterflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",631,{"inputs":[{"name":"self"},{"name":"gtkrecentfilterflags"}],"output":{"name":"gtkrecentfilterflags"}}],[11,"bitor_assign","","Adds the set of flags.",631,{"inputs":[{"name":"self"},{"name":"gtkrecentfilterflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",631,{"inputs":[{"name":"self"},{"name":"gtkrecentfilterflags"}],"output":{"name":"gtkrecentfilterflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",631,{"inputs":[{"name":"self"},{"name":"gtkrecentfilterflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",631,{"inputs":[{"name":"self"},{"name":"gtkrecentfilterflags"}],"output":{"name":"gtkrecentfilterflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",631,{"inputs":[{"name":"self"},{"name":"gtkrecentfilterflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",631,{"inputs":[{"name":"self"},{"name":"gtkrecentfilterflags"}],"output":{"name":"gtkrecentfilterflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",631,{"inputs":[{"name":"self"},{"name":"gtkrecentfilterflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",631,{"inputs":[{"name":"self"}],"output":{"name":"gtkrecentfilterflags"}}],[11,"extend","","",631,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",631,{"inputs":[{"name":"t"}],"output":{"name":"gtkrecentfilterflags"}}],[11,"eq","","",632,{"inputs":[{"name":"self"},{"name":"gtkregionflags"}],"output":{"name":"bool"}}],[11,"ne","","",632,{"inputs":[{"name":"self"},{"name":"gtkregionflags"}],"output":{"name":"bool"}}],[11,"clone","","",632,{"inputs":[{"name":"self"}],"output":{"name":"gtkregionflags"}}],[11,"partial_cmp","","",632,{"inputs":[{"name":"self"},{"name":"gtkregionflags"}],"output":{"name":"option"}}],[11,"lt","","",632,{"inputs":[{"name":"self"},{"name":"gtkregionflags"}],"output":{"name":"bool"}}],[11,"le","","",632,{"inputs":[{"name":"self"},{"name":"gtkregionflags"}],"output":{"name":"bool"}}],[11,"gt","","",632,{"inputs":[{"name":"self"},{"name":"gtkregionflags"}],"output":{"name":"bool"}}],[11,"ge","","",632,{"inputs":[{"name":"self"},{"name":"gtkregionflags"}],"output":{"name":"bool"}}],[11,"cmp","","",632,{"inputs":[{"name":"self"},{"name":"gtkregionflags"}],"output":{"name":"ordering"}}],[11,"hash","","",632,null],[11,"fmt","","",632,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",632,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",632,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",632,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",632,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",632,{"inputs":[],"output":{"name":"gtkregionflags"}}],[11,"all","","Returns the set containing all flags.",632,{"inputs":[],"output":{"name":"gtkregionflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",632,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",632,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",632,{"inputs":[{"name":"c_uint"}],"output":{"name":"gtkregionflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",632,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",632,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",632,{"inputs":[{"name":"self"},{"name":"gtkregionflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",632,{"inputs":[{"name":"self"},{"name":"gtkregionflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",632,{"inputs":[{"name":"self"},{"name":"gtkregionflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",632,{"inputs":[{"name":"self"},{"name":"gtkregionflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",632,{"inputs":[{"name":"self"},{"name":"gtkregionflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",632,{"inputs":[{"name":"self"},{"name":"gtkregionflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",632,{"inputs":[{"name":"self"},{"name":"gtkregionflags"}],"output":{"name":"gtkregionflags"}}],[11,"bitor_assign","","Adds the set of flags.",632,{"inputs":[{"name":"self"},{"name":"gtkregionflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",632,{"inputs":[{"name":"self"},{"name":"gtkregionflags"}],"output":{"name":"gtkregionflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",632,{"inputs":[{"name":"self"},{"name":"gtkregionflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",632,{"inputs":[{"name":"self"},{"name":"gtkregionflags"}],"output":{"name":"gtkregionflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",632,{"inputs":[{"name":"self"},{"name":"gtkregionflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",632,{"inputs":[{"name":"self"},{"name":"gtkregionflags"}],"output":{"name":"gtkregionflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",632,{"inputs":[{"name":"self"},{"name":"gtkregionflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",632,{"inputs":[{"name":"self"}],"output":{"name":"gtkregionflags"}}],[11,"extend","","",632,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",632,{"inputs":[{"name":"t"}],"output":{"name":"gtkregionflags"}}],[11,"eq","","",633,{"inputs":[{"name":"self"},{"name":"gtkstateflags"}],"output":{"name":"bool"}}],[11,"ne","","",633,{"inputs":[{"name":"self"},{"name":"gtkstateflags"}],"output":{"name":"bool"}}],[11,"clone","","",633,{"inputs":[{"name":"self"}],"output":{"name":"gtkstateflags"}}],[11,"partial_cmp","","",633,{"inputs":[{"name":"self"},{"name":"gtkstateflags"}],"output":{"name":"option"}}],[11,"lt","","",633,{"inputs":[{"name":"self"},{"name":"gtkstateflags"}],"output":{"name":"bool"}}],[11,"le","","",633,{"inputs":[{"name":"self"},{"name":"gtkstateflags"}],"output":{"name":"bool"}}],[11,"gt","","",633,{"inputs":[{"name":"self"},{"name":"gtkstateflags"}],"output":{"name":"bool"}}],[11,"ge","","",633,{"inputs":[{"name":"self"},{"name":"gtkstateflags"}],"output":{"name":"bool"}}],[11,"cmp","","",633,{"inputs":[{"name":"self"},{"name":"gtkstateflags"}],"output":{"name":"ordering"}}],[11,"hash","","",633,null],[11,"fmt","","",633,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",633,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",633,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",633,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",633,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",633,{"inputs":[],"output":{"name":"gtkstateflags"}}],[11,"all","","Returns the set containing all flags.",633,{"inputs":[],"output":{"name":"gtkstateflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",633,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",633,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",633,{"inputs":[{"name":"c_uint"}],"output":{"name":"gtkstateflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",633,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",633,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",633,{"inputs":[{"name":"self"},{"name":"gtkstateflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",633,{"inputs":[{"name":"self"},{"name":"gtkstateflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",633,{"inputs":[{"name":"self"},{"name":"gtkstateflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",633,{"inputs":[{"name":"self"},{"name":"gtkstateflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",633,{"inputs":[{"name":"self"},{"name":"gtkstateflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",633,{"inputs":[{"name":"self"},{"name":"gtkstateflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",633,{"inputs":[{"name":"self"},{"name":"gtkstateflags"}],"output":{"name":"gtkstateflags"}}],[11,"bitor_assign","","Adds the set of flags.",633,{"inputs":[{"name":"self"},{"name":"gtkstateflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",633,{"inputs":[{"name":"self"},{"name":"gtkstateflags"}],"output":{"name":"gtkstateflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",633,{"inputs":[{"name":"self"},{"name":"gtkstateflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",633,{"inputs":[{"name":"self"},{"name":"gtkstateflags"}],"output":{"name":"gtkstateflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",633,{"inputs":[{"name":"self"},{"name":"gtkstateflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",633,{"inputs":[{"name":"self"},{"name":"gtkstateflags"}],"output":{"name":"gtkstateflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",633,{"inputs":[{"name":"self"},{"name":"gtkstateflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",633,{"inputs":[{"name":"self"}],"output":{"name":"gtkstateflags"}}],[11,"extend","","",633,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",633,{"inputs":[{"name":"t"}],"output":{"name":"gtkstateflags"}}],[11,"eq","","",634,{"inputs":[{"name":"self"},{"name":"gtkstylecontextprintflags"}],"output":{"name":"bool"}}],[11,"ne","","",634,{"inputs":[{"name":"self"},{"name":"gtkstylecontextprintflags"}],"output":{"name":"bool"}}],[11,"clone","","",634,{"inputs":[{"name":"self"}],"output":{"name":"gtkstylecontextprintflags"}}],[11,"partial_cmp","","",634,{"inputs":[{"name":"self"},{"name":"gtkstylecontextprintflags"}],"output":{"name":"option"}}],[11,"lt","","",634,{"inputs":[{"name":"self"},{"name":"gtkstylecontextprintflags"}],"output":{"name":"bool"}}],[11,"le","","",634,{"inputs":[{"name":"self"},{"name":"gtkstylecontextprintflags"}],"output":{"name":"bool"}}],[11,"gt","","",634,{"inputs":[{"name":"self"},{"name":"gtkstylecontextprintflags"}],"output":{"name":"bool"}}],[11,"ge","","",634,{"inputs":[{"name":"self"},{"name":"gtkstylecontextprintflags"}],"output":{"name":"bool"}}],[11,"cmp","","",634,{"inputs":[{"name":"self"},{"name":"gtkstylecontextprintflags"}],"output":{"name":"ordering"}}],[11,"hash","","",634,null],[11,"fmt","","",634,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",634,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",634,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",634,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",634,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",634,{"inputs":[],"output":{"name":"gtkstylecontextprintflags"}}],[11,"all","","Returns the set containing all flags.",634,{"inputs":[],"output":{"name":"gtkstylecontextprintflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",634,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",634,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",634,{"inputs":[{"name":"c_uint"}],"output":{"name":"gtkstylecontextprintflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",634,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",634,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",634,{"inputs":[{"name":"self"},{"name":"gtkstylecontextprintflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",634,{"inputs":[{"name":"self"},{"name":"gtkstylecontextprintflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",634,{"inputs":[{"name":"self"},{"name":"gtkstylecontextprintflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",634,{"inputs":[{"name":"self"},{"name":"gtkstylecontextprintflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",634,{"inputs":[{"name":"self"},{"name":"gtkstylecontextprintflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",634,{"inputs":[{"name":"self"},{"name":"gtkstylecontextprintflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",634,{"inputs":[{"name":"self"},{"name":"gtkstylecontextprintflags"}],"output":{"name":"gtkstylecontextprintflags"}}],[11,"bitor_assign","","Adds the set of flags.",634,{"inputs":[{"name":"self"},{"name":"gtkstylecontextprintflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",634,{"inputs":[{"name":"self"},{"name":"gtkstylecontextprintflags"}],"output":{"name":"gtkstylecontextprintflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",634,{"inputs":[{"name":"self"},{"name":"gtkstylecontextprintflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",634,{"inputs":[{"name":"self"},{"name":"gtkstylecontextprintflags"}],"output":{"name":"gtkstylecontextprintflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",634,{"inputs":[{"name":"self"},{"name":"gtkstylecontextprintflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",634,{"inputs":[{"name":"self"},{"name":"gtkstylecontextprintflags"}],"output":{"name":"gtkstylecontextprintflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",634,{"inputs":[{"name":"self"},{"name":"gtkstylecontextprintflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",634,{"inputs":[{"name":"self"}],"output":{"name":"gtkstylecontextprintflags"}}],[11,"extend","","",634,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",634,{"inputs":[{"name":"t"}],"output":{"name":"gtkstylecontextprintflags"}}],[11,"eq","","",635,{"inputs":[{"name":"self"},{"name":"gtktargetflags"}],"output":{"name":"bool"}}],[11,"ne","","",635,{"inputs":[{"name":"self"},{"name":"gtktargetflags"}],"output":{"name":"bool"}}],[11,"clone","","",635,{"inputs":[{"name":"self"}],"output":{"name":"gtktargetflags"}}],[11,"partial_cmp","","",635,{"inputs":[{"name":"self"},{"name":"gtktargetflags"}],"output":{"name":"option"}}],[11,"lt","","",635,{"inputs":[{"name":"self"},{"name":"gtktargetflags"}],"output":{"name":"bool"}}],[11,"le","","",635,{"inputs":[{"name":"self"},{"name":"gtktargetflags"}],"output":{"name":"bool"}}],[11,"gt","","",635,{"inputs":[{"name":"self"},{"name":"gtktargetflags"}],"output":{"name":"bool"}}],[11,"ge","","",635,{"inputs":[{"name":"self"},{"name":"gtktargetflags"}],"output":{"name":"bool"}}],[11,"cmp","","",635,{"inputs":[{"name":"self"},{"name":"gtktargetflags"}],"output":{"name":"ordering"}}],[11,"hash","","",635,null],[11,"fmt","","",635,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",635,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",635,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",635,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",635,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",635,{"inputs":[],"output":{"name":"gtktargetflags"}}],[11,"all","","Returns the set containing all flags.",635,{"inputs":[],"output":{"name":"gtktargetflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",635,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",635,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",635,{"inputs":[{"name":"c_uint"}],"output":{"name":"gtktargetflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",635,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",635,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",635,{"inputs":[{"name":"self"},{"name":"gtktargetflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",635,{"inputs":[{"name":"self"},{"name":"gtktargetflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",635,{"inputs":[{"name":"self"},{"name":"gtktargetflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",635,{"inputs":[{"name":"self"},{"name":"gtktargetflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",635,{"inputs":[{"name":"self"},{"name":"gtktargetflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",635,{"inputs":[{"name":"self"},{"name":"gtktargetflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",635,{"inputs":[{"name":"self"},{"name":"gtktargetflags"}],"output":{"name":"gtktargetflags"}}],[11,"bitor_assign","","Adds the set of flags.",635,{"inputs":[{"name":"self"},{"name":"gtktargetflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",635,{"inputs":[{"name":"self"},{"name":"gtktargetflags"}],"output":{"name":"gtktargetflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",635,{"inputs":[{"name":"self"},{"name":"gtktargetflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",635,{"inputs":[{"name":"self"},{"name":"gtktargetflags"}],"output":{"name":"gtktargetflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",635,{"inputs":[{"name":"self"},{"name":"gtktargetflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",635,{"inputs":[{"name":"self"},{"name":"gtktargetflags"}],"output":{"name":"gtktargetflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",635,{"inputs":[{"name":"self"},{"name":"gtktargetflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",635,{"inputs":[{"name":"self"}],"output":{"name":"gtktargetflags"}}],[11,"extend","","",635,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",635,{"inputs":[{"name":"t"}],"output":{"name":"gtktargetflags"}}],[11,"eq","","",636,{"inputs":[{"name":"self"},{"name":"gtktextsearchflags"}],"output":{"name":"bool"}}],[11,"ne","","",636,{"inputs":[{"name":"self"},{"name":"gtktextsearchflags"}],"output":{"name":"bool"}}],[11,"clone","","",636,{"inputs":[{"name":"self"}],"output":{"name":"gtktextsearchflags"}}],[11,"partial_cmp","","",636,{"inputs":[{"name":"self"},{"name":"gtktextsearchflags"}],"output":{"name":"option"}}],[11,"lt","","",636,{"inputs":[{"name":"self"},{"name":"gtktextsearchflags"}],"output":{"name":"bool"}}],[11,"le","","",636,{"inputs":[{"name":"self"},{"name":"gtktextsearchflags"}],"output":{"name":"bool"}}],[11,"gt","","",636,{"inputs":[{"name":"self"},{"name":"gtktextsearchflags"}],"output":{"name":"bool"}}],[11,"ge","","",636,{"inputs":[{"name":"self"},{"name":"gtktextsearchflags"}],"output":{"name":"bool"}}],[11,"cmp","","",636,{"inputs":[{"name":"self"},{"name":"gtktextsearchflags"}],"output":{"name":"ordering"}}],[11,"hash","","",636,null],[11,"fmt","","",636,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",636,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",636,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",636,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",636,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",636,{"inputs":[],"output":{"name":"gtktextsearchflags"}}],[11,"all","","Returns the set containing all flags.",636,{"inputs":[],"output":{"name":"gtktextsearchflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",636,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",636,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",636,{"inputs":[{"name":"c_uint"}],"output":{"name":"gtktextsearchflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",636,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",636,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",636,{"inputs":[{"name":"self"},{"name":"gtktextsearchflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",636,{"inputs":[{"name":"self"},{"name":"gtktextsearchflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",636,{"inputs":[{"name":"self"},{"name":"gtktextsearchflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",636,{"inputs":[{"name":"self"},{"name":"gtktextsearchflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",636,{"inputs":[{"name":"self"},{"name":"gtktextsearchflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",636,{"inputs":[{"name":"self"},{"name":"gtktextsearchflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",636,{"inputs":[{"name":"self"},{"name":"gtktextsearchflags"}],"output":{"name":"gtktextsearchflags"}}],[11,"bitor_assign","","Adds the set of flags.",636,{"inputs":[{"name":"self"},{"name":"gtktextsearchflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",636,{"inputs":[{"name":"self"},{"name":"gtktextsearchflags"}],"output":{"name":"gtktextsearchflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",636,{"inputs":[{"name":"self"},{"name":"gtktextsearchflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",636,{"inputs":[{"name":"self"},{"name":"gtktextsearchflags"}],"output":{"name":"gtktextsearchflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",636,{"inputs":[{"name":"self"},{"name":"gtktextsearchflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",636,{"inputs":[{"name":"self"},{"name":"gtktextsearchflags"}],"output":{"name":"gtktextsearchflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",636,{"inputs":[{"name":"self"},{"name":"gtktextsearchflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",636,{"inputs":[{"name":"self"}],"output":{"name":"gtktextsearchflags"}}],[11,"extend","","",636,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",636,{"inputs":[{"name":"t"}],"output":{"name":"gtktextsearchflags"}}],[11,"eq","","",637,{"inputs":[{"name":"self"},{"name":"gtktoolpalettedragtargets"}],"output":{"name":"bool"}}],[11,"ne","","",637,{"inputs":[{"name":"self"},{"name":"gtktoolpalettedragtargets"}],"output":{"name":"bool"}}],[11,"clone","","",637,{"inputs":[{"name":"self"}],"output":{"name":"gtktoolpalettedragtargets"}}],[11,"partial_cmp","","",637,{"inputs":[{"name":"self"},{"name":"gtktoolpalettedragtargets"}],"output":{"name":"option"}}],[11,"lt","","",637,{"inputs":[{"name":"self"},{"name":"gtktoolpalettedragtargets"}],"output":{"name":"bool"}}],[11,"le","","",637,{"inputs":[{"name":"self"},{"name":"gtktoolpalettedragtargets"}],"output":{"name":"bool"}}],[11,"gt","","",637,{"inputs":[{"name":"self"},{"name":"gtktoolpalettedragtargets"}],"output":{"name":"bool"}}],[11,"ge","","",637,{"inputs":[{"name":"self"},{"name":"gtktoolpalettedragtargets"}],"output":{"name":"bool"}}],[11,"cmp","","",637,{"inputs":[{"name":"self"},{"name":"gtktoolpalettedragtargets"}],"output":{"name":"ordering"}}],[11,"hash","","",637,null],[11,"fmt","","",637,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",637,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",637,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",637,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",637,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",637,{"inputs":[],"output":{"name":"gtktoolpalettedragtargets"}}],[11,"all","","Returns the set containing all flags.",637,{"inputs":[],"output":{"name":"gtktoolpalettedragtargets"}}],[11,"bits","","Returns the raw value of the flags currently stored.",637,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",637,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",637,{"inputs":[{"name":"c_uint"}],"output":{"name":"gtktoolpalettedragtargets"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",637,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",637,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",637,{"inputs":[{"name":"self"},{"name":"gtktoolpalettedragtargets"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",637,{"inputs":[{"name":"self"},{"name":"gtktoolpalettedragtargets"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",637,{"inputs":[{"name":"self"},{"name":"gtktoolpalettedragtargets"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",637,{"inputs":[{"name":"self"},{"name":"gtktoolpalettedragtargets"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",637,{"inputs":[{"name":"self"},{"name":"gtktoolpalettedragtargets"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",637,{"inputs":[{"name":"self"},{"name":"gtktoolpalettedragtargets"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",637,{"inputs":[{"name":"self"},{"name":"gtktoolpalettedragtargets"}],"output":{"name":"gtktoolpalettedragtargets"}}],[11,"bitor_assign","","Adds the set of flags.",637,{"inputs":[{"name":"self"},{"name":"gtktoolpalettedragtargets"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",637,{"inputs":[{"name":"self"},{"name":"gtktoolpalettedragtargets"}],"output":{"name":"gtktoolpalettedragtargets"}}],[11,"bitxor_assign","","Toggles the set of flags.",637,{"inputs":[{"name":"self"},{"name":"gtktoolpalettedragtargets"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",637,{"inputs":[{"name":"self"},{"name":"gtktoolpalettedragtargets"}],"output":{"name":"gtktoolpalettedragtargets"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",637,{"inputs":[{"name":"self"},{"name":"gtktoolpalettedragtargets"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",637,{"inputs":[{"name":"self"},{"name":"gtktoolpalettedragtargets"}],"output":{"name":"gtktoolpalettedragtargets"}}],[11,"sub_assign","","Disables all flags enabled in the set.",637,{"inputs":[{"name":"self"},{"name":"gtktoolpalettedragtargets"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",637,{"inputs":[{"name":"self"}],"output":{"name":"gtktoolpalettedragtargets"}}],[11,"extend","","",637,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",637,{"inputs":[{"name":"t"}],"output":{"name":"gtktoolpalettedragtargets"}}],[11,"eq","","",638,{"inputs":[{"name":"self"},{"name":"gtktreemodelflags"}],"output":{"name":"bool"}}],[11,"ne","","",638,{"inputs":[{"name":"self"},{"name":"gtktreemodelflags"}],"output":{"name":"bool"}}],[11,"clone","","",638,{"inputs":[{"name":"self"}],"output":{"name":"gtktreemodelflags"}}],[11,"partial_cmp","","",638,{"inputs":[{"name":"self"},{"name":"gtktreemodelflags"}],"output":{"name":"option"}}],[11,"lt","","",638,{"inputs":[{"name":"self"},{"name":"gtktreemodelflags"}],"output":{"name":"bool"}}],[11,"le","","",638,{"inputs":[{"name":"self"},{"name":"gtktreemodelflags"}],"output":{"name":"bool"}}],[11,"gt","","",638,{"inputs":[{"name":"self"},{"name":"gtktreemodelflags"}],"output":{"name":"bool"}}],[11,"ge","","",638,{"inputs":[{"name":"self"},{"name":"gtktreemodelflags"}],"output":{"name":"bool"}}],[11,"cmp","","",638,{"inputs":[{"name":"self"},{"name":"gtktreemodelflags"}],"output":{"name":"ordering"}}],[11,"hash","","",638,null],[11,"fmt","","",638,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",638,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",638,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",638,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",638,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",638,{"inputs":[],"output":{"name":"gtktreemodelflags"}}],[11,"all","","Returns the set containing all flags.",638,{"inputs":[],"output":{"name":"gtktreemodelflags"}}],[11,"bits","","Returns the raw value of the flags currently stored.",638,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",638,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",638,{"inputs":[{"name":"c_uint"}],"output":{"name":"gtktreemodelflags"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",638,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",638,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",638,{"inputs":[{"name":"self"},{"name":"gtktreemodelflags"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",638,{"inputs":[{"name":"self"},{"name":"gtktreemodelflags"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",638,{"inputs":[{"name":"self"},{"name":"gtktreemodelflags"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",638,{"inputs":[{"name":"self"},{"name":"gtktreemodelflags"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",638,{"inputs":[{"name":"self"},{"name":"gtktreemodelflags"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",638,{"inputs":[{"name":"self"},{"name":"gtktreemodelflags"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",638,{"inputs":[{"name":"self"},{"name":"gtktreemodelflags"}],"output":{"name":"gtktreemodelflags"}}],[11,"bitor_assign","","Adds the set of flags.",638,{"inputs":[{"name":"self"},{"name":"gtktreemodelflags"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",638,{"inputs":[{"name":"self"},{"name":"gtktreemodelflags"}],"output":{"name":"gtktreemodelflags"}}],[11,"bitxor_assign","","Toggles the set of flags.",638,{"inputs":[{"name":"self"},{"name":"gtktreemodelflags"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",638,{"inputs":[{"name":"self"},{"name":"gtktreemodelflags"}],"output":{"name":"gtktreemodelflags"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",638,{"inputs":[{"name":"self"},{"name":"gtktreemodelflags"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",638,{"inputs":[{"name":"self"},{"name":"gtktreemodelflags"}],"output":{"name":"gtktreemodelflags"}}],[11,"sub_assign","","Disables all flags enabled in the set.",638,{"inputs":[{"name":"self"},{"name":"gtktreemodelflags"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",638,{"inputs":[{"name":"self"}],"output":{"name":"gtktreemodelflags"}}],[11,"extend","","",638,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",638,{"inputs":[{"name":"t"}],"output":{"name":"gtktreemodelflags"}}],[11,"eq","","",639,{"inputs":[{"name":"self"},{"name":"gtkuimanageritemtype"}],"output":{"name":"bool"}}],[11,"ne","","",639,{"inputs":[{"name":"self"},{"name":"gtkuimanageritemtype"}],"output":{"name":"bool"}}],[11,"clone","","",639,{"inputs":[{"name":"self"}],"output":{"name":"gtkuimanageritemtype"}}],[11,"partial_cmp","","",639,{"inputs":[{"name":"self"},{"name":"gtkuimanageritemtype"}],"output":{"name":"option"}}],[11,"lt","","",639,{"inputs":[{"name":"self"},{"name":"gtkuimanageritemtype"}],"output":{"name":"bool"}}],[11,"le","","",639,{"inputs":[{"name":"self"},{"name":"gtkuimanageritemtype"}],"output":{"name":"bool"}}],[11,"gt","","",639,{"inputs":[{"name":"self"},{"name":"gtkuimanageritemtype"}],"output":{"name":"bool"}}],[11,"ge","","",639,{"inputs":[{"name":"self"},{"name":"gtkuimanageritemtype"}],"output":{"name":"bool"}}],[11,"cmp","","",639,{"inputs":[{"name":"self"},{"name":"gtkuimanageritemtype"}],"output":{"name":"ordering"}}],[11,"hash","","",639,null],[11,"fmt","","",639,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",639,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",639,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",639,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",639,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",639,{"inputs":[],"output":{"name":"gtkuimanageritemtype"}}],[11,"all","","Returns the set containing all flags.",639,{"inputs":[],"output":{"name":"gtkuimanageritemtype"}}],[11,"bits","","Returns the raw value of the flags currently stored.",639,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",639,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",639,{"inputs":[{"name":"c_uint"}],"output":{"name":"gtkuimanageritemtype"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",639,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",639,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",639,{"inputs":[{"name":"self"},{"name":"gtkuimanageritemtype"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",639,{"inputs":[{"name":"self"},{"name":"gtkuimanageritemtype"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",639,{"inputs":[{"name":"self"},{"name":"gtkuimanageritemtype"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",639,{"inputs":[{"name":"self"},{"name":"gtkuimanageritemtype"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",639,{"inputs":[{"name":"self"},{"name":"gtkuimanageritemtype"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",639,{"inputs":[{"name":"self"},{"name":"gtkuimanageritemtype"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",639,{"inputs":[{"name":"self"},{"name":"gtkuimanageritemtype"}],"output":{"name":"gtkuimanageritemtype"}}],[11,"bitor_assign","","Adds the set of flags.",639,{"inputs":[{"name":"self"},{"name":"gtkuimanageritemtype"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",639,{"inputs":[{"name":"self"},{"name":"gtkuimanageritemtype"}],"output":{"name":"gtkuimanageritemtype"}}],[11,"bitxor_assign","","Toggles the set of flags.",639,{"inputs":[{"name":"self"},{"name":"gtkuimanageritemtype"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",639,{"inputs":[{"name":"self"},{"name":"gtkuimanageritemtype"}],"output":{"name":"gtkuimanageritemtype"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",639,{"inputs":[{"name":"self"},{"name":"gtkuimanageritemtype"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",639,{"inputs":[{"name":"self"},{"name":"gtkuimanageritemtype"}],"output":{"name":"gtkuimanageritemtype"}}],[11,"sub_assign","","Disables all flags enabled in the set.",639,{"inputs":[{"name":"self"},{"name":"gtkuimanageritemtype"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",639,{"inputs":[{"name":"self"}],"output":{"name":"gtkuimanageritemtype"}}],[11,"extend","","",639,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",639,{"inputs":[{"name":"t"}],"output":{"name":"gtkuimanageritemtype"}}]],"paths":[[3,"GtkAboutDialogClass"],[3,"GtkAccelGroupClass"],[3,"GtkAccelGroupEntry"],[3,"GtkAccelKey"],[3,"GtkAccelLabelClass"],[3,"GtkAccessibleClass"],[3,"GtkActionBarClass"],[3,"GtkActionClass"],[3,"GtkActionEntry"],[3,"GtkActionGroupClass"],[3,"GtkActionableInterface"],[3,"GtkActivatableIface"],[3,"GtkAdjustmentClass"],[3,"GtkAlignmentClass"],[3,"GtkAppChooserButtonClass"],[3,"GtkAppChooserDialogClass"],[3,"GtkAppChooserWidgetClass"],[3,"GtkApplicationClass"],[3,"GtkApplicationWindowClass"],[3,"GtkArrowAccessibleClass"],[3,"GtkArrowClass"],[3,"GtkAspectFrameClass"],[3,"GtkAssistantClass"],[3,"GtkBinClass"],[3,"GtkBindingArg"],[3,"GtkBindingEntry"],[3,"GtkBindingSet"],[3,"GtkBindingSignal"],[3,"GtkBooleanCellAccessibleClass"],[3,"GtkBorder"],[3,"GtkBoxClass"],[3,"GtkBuildableIface"],[3,"GtkBuilderClass"],[3,"GtkButtonAccessibleClass"],[3,"GtkButtonBoxClass"],[3,"GtkButtonClass"],[3,"GtkCalendarClass"],[3,"GtkCellAccessibleClass"],[3,"GtkCellAccessibleParentIface"],[3,"GtkCellAreaBoxClass"],[3,"GtkCellAreaClass"],[3,"GtkCellAreaContextClass"],[3,"GtkCellEditableIface"],[3,"GtkCellLayoutIface"],[3,"GtkCellRendererAccelClass"],[3,"GtkCellRendererClass"],[3,"GtkCellRendererComboClass"],[3,"GtkCellRendererPixbufClass"],[3,"GtkCellRendererProgressClass"],[3,"GtkCellRendererSpinClass"],[3,"GtkCellRendererSpinnerClass"],[3,"GtkCellRendererTextClass"],[3,"GtkCellRendererToggleClass"],[3,"GtkCellViewClass"],[3,"GtkCheckButtonClass"],[3,"GtkCheckMenuItemAccessibleClass"],[3,"GtkCheckMenuItemClass"],[3,"GtkColorButtonClass"],[3,"GtkColorChooserDialogClass"],[3,"GtkColorChooserInterface"],[3,"GtkColorChooserWidgetClass"],[3,"GtkColorSelectionClass"],[3,"GtkColorSelectionDialogClass"],[3,"GtkComboBoxAccessibleClass"],[3,"GtkComboBoxClass"],[3,"GtkComboBoxTextClass"],[3,"GtkContainerAccessibleClass"],[3,"GtkContainerCellAccessibleClass"],[3,"GtkContainerClass"],[3,"GtkCssProviderClass"],[3,"GtkDialogClass"],[3,"GtkDrawingAreaClass"],[3,"GtkEditableInterface"],[3,"GtkEntryAccessibleClass"],[3,"GtkEntryBufferClass"],[3,"GtkEntryClass"],[3,"GtkEntryCompletionClass"],[3,"GtkEventBoxClass"],[3,"GtkExpanderAccessibleClass"],[3,"GtkExpanderClass"],[3,"GtkFileChooserButtonClass"],[3,"GtkFileChooserDialogClass"],[3,"GtkFileChooserNativeClass"],[3,"GtkFileChooserWidgetClass"],[3,"GtkFileFilterInfo"],[3,"GtkFixedChild"],[3,"GtkFixedClass"],[3,"GtkFlowBoxAccessibleClass"],[3,"GtkFlowBoxChildAccessibleClass"],[3,"GtkFlowBoxChildClass"],[3,"GtkFlowBoxClass"],[3,"GtkFontButtonClass"],[3,"GtkFontChooserDialogClass"],[3,"GtkFontChooserIface"],[3,"GtkFontChooserWidgetClass"],[3,"GtkFontSelectionClass"],[3,"GtkFontSelectionDialogClass"],[3,"GtkFrameAccessibleClass"],[3,"GtkFrameClass"],[3,"GtkGLAreaClass"],[3,"GtkGridClass"],[3,"GtkHBoxClass"],[3,"GtkHButtonBoxClass"],[3,"GtkHPanedClass"],[3,"GtkHSVClass"],[3,"GtkHScaleClass"],[3,"GtkHScrollbarClass"],[3,"GtkHSeparatorClass"],[3,"GtkHandleBoxClass"],[3,"GtkHeaderBarClass"],[3,"GtkIMContextClass"],[3,"GtkIMContextInfo"],[3,"GtkIMContextSimpleClass"],[3,"GtkIMMulticontextClass"],[3,"GtkIconFactoryClass"],[3,"GtkIconThemeClass"],[3,"GtkIconViewAccessibleClass"],[3,"GtkIconViewClass"],[3,"GtkImageAccessibleClass"],[3,"GtkImageCellAccessibleClass"],[3,"GtkImageClass"],[3,"GtkImageMenuItemClass"],[3,"GtkInfoBarClass"],[3,"GtkInvisibleClass"],[3,"GtkLabelAccessibleClass"],[3,"GtkLabelClass"],[3,"GtkLayoutClass"],[3,"GtkLevelBarAccessibleClass"],[3,"GtkLevelBarClass"],[3,"GtkLinkButtonAccessibleClass"],[3,"GtkLinkButtonClass"],[3,"GtkListBoxAccessibleClass"],[3,"GtkListBoxClass"],[3,"GtkListBoxRowAccessibleClass"],[3,"GtkListBoxRowClass"],[3,"GtkListStoreClass"],[3,"GtkLockButtonAccessibleClass"],[3,"GtkLockButtonClass"],[3,"GtkMenuAccessibleClass"],[3,"GtkMenuBarClass"],[3,"GtkMenuButtonAccessibleClass"],[3,"GtkMenuButtonClass"],[3,"GtkMenuClass"],[3,"GtkMenuItemAccessibleClass"],[3,"GtkMenuItemClass"],[3,"GtkMenuShellAccessibleClass"],[3,"GtkMenuShellClass"],[3,"GtkMenuToolButtonClass"],[3,"GtkMessageDialogClass"],[3,"GtkMiscClass"],[3,"GtkMountOperationClass"],[3,"GtkNativeDialogClass"],[3,"GtkNotebookAccessibleClass"],[3,"GtkNotebookClass"],[3,"GtkNotebookPageAccessibleClass"],[3,"GtkNumerableIconClass"],[3,"GtkOffscreenWindowClass"],[3,"GtkOrientableIface"],[3,"GtkOverlayClass"],[3,"GtkPadActionEntry"],[3,"GtkPageRange"],[3,"GtkPanedAccessibleClass"],[3,"GtkPanedClass"],[3,"GtkPlugClass"],[3,"GtkPopoverAccessibleClass"],[3,"GtkPopoverClass"],[3,"GtkPopoverMenuClass"],[3,"GtkPrintOperationClass"],[3,"GtkPrintOperationPreviewIface"],[3,"GtkProgressBarAccessibleClass"],[3,"GtkProgressBarClass"],[3,"GtkRadioActionClass"],[3,"GtkRadioActionEntry"],[3,"GtkRadioButtonAccessibleClass"],[3,"GtkRadioButtonClass"],[3,"GtkRadioMenuItemAccessibleClass"],[3,"GtkRadioMenuItemClass"],[3,"GtkRadioToolButtonClass"],[3,"GtkRangeAccessibleClass"],[3,"GtkRangeClass"],[3,"GtkRcProperty"],[3,"GtkRcStyleClass"],[3,"GtkRecentActionClass"],[3,"GtkRecentChooserDialogClass"],[3,"GtkRecentChooserIface"],[3,"GtkRecentChooserMenuClass"],[3,"GtkRecentChooserWidgetClass"],[3,"GtkRecentData"],[3,"GtkRecentFilterInfo"],[3,"GtkRecentManagerClass"],[3,"GtkRendererCellAccessibleClass"],[3,"GtkRequestedSize"],[3,"GtkRequisition"],[3,"GtkRevealerClass"],[3,"GtkScaleAccessibleClass"],[3,"GtkScaleButtonAccessibleClass"],[3,"GtkScaleButtonClass"],[3,"GtkScaleClass"],[3,"GtkScrollableInterface"],[3,"GtkScrollbarClass"],[3,"GtkScrolledWindowAccessibleClass"],[3,"GtkScrolledWindowClass"],[3,"GtkSearchBarClass"],[3,"GtkSearchEntryClass"],[3,"GtkSeparatorClass"],[3,"GtkSeparatorMenuItemClass"],[3,"GtkSeparatorToolItemClass"],[3,"GtkSettingsClass"],[3,"GtkSettingsValue"],[3,"GtkShortcutsWindowClass"],[3,"GtkSizeGroupClass"],[3,"GtkSocketClass"],[3,"GtkSpinButtonAccessibleClass"],[3,"GtkSpinButtonClass"],[3,"GtkSpinnerAccessibleClass"],[3,"GtkSpinnerClass"],[3,"GtkStackAccessibleClass"],[3,"GtkStackClass"],[3,"GtkStackSidebarClass"],[3,"GtkStackSwitcherClass"],[3,"GtkStatusIconClass"],[3,"GtkStatusbarAccessibleClass"],[3,"GtkStatusbarClass"],[3,"GtkStockItem"],[3,"GtkStyleClass"],[3,"GtkStyleContextClass"],[3,"GtkStylePropertiesClass"],[3,"GtkStyleProviderIface"],[3,"GtkSwitchAccessibleClass"],[3,"GtkSwitchClass"],[3,"GtkTableChild"],[3,"GtkTableClass"],[3,"GtkTableRowCol"],[3,"GtkTargetEntry"],[3,"GtkTargetPair"],[3,"GtkTearoffMenuItemClass"],[3,"GtkTextAppearance"],[3,"GtkTextAttributes"],[3,"GtkTextBufferClass"],[3,"GtkTextCellAccessibleClass"],[3,"GtkTextChildAnchorClass"],[3,"GtkTextIter"],[3,"GtkTextMarkClass"],[3,"GtkTextTagClass"],[3,"GtkTextTagTableClass"],[3,"GtkTextViewAccessibleClass"],[3,"GtkTextViewClass"],[3,"GtkThemingEngineClass"],[3,"GtkToggleActionClass"],[3,"GtkToggleActionEntry"],[3,"GtkToggleButtonAccessibleClass"],[3,"GtkToggleButtonClass"],[3,"GtkToggleToolButtonClass"],[3,"GtkToolButtonClass"],[3,"GtkToolItemClass"],[3,"GtkToolItemGroupClass"],[3,"GtkToolPaletteClass"],[3,"GtkToolShellIface"],[3,"GtkToolbarClass"],[3,"GtkToplevelAccessibleClass"],[3,"GtkTreeDragDestIface"],[3,"GtkTreeDragSourceIface"],[3,"GtkTreeIter"],[3,"GtkTreeModelFilterClass"],[3,"GtkTreeModelIface"],[3,"GtkTreeModelSortClass"],[3,"GtkTreeSelectionClass"],[3,"GtkTreeSortableIface"],[3,"GtkTreeStoreClass"],[3,"GtkTreeViewAccessibleClass"],[3,"GtkTreeViewClass"],[3,"GtkTreeViewColumnClass"],[3,"GtkUIManagerClass"],[3,"GtkVBoxClass"],[3,"GtkVButtonBoxClass"],[3,"GtkVPanedClass"],[3,"GtkVScaleClass"],[3,"GtkVScrollbarClass"],[3,"GtkVSeparatorClass"],[3,"GtkViewportClass"],[3,"GtkVolumeButtonClass"],[3,"GtkWidgetAccessibleClass"],[3,"GtkWidgetClass"],[3,"GtkWindowAccessibleClass"],[3,"GtkWindowClass"],[3,"GtkWindowGroupClass"],[3,"GtkAboutDialog"],[3,"GtkAccelGroup"],[3,"GtkAccelLabel"],[3,"GtkAccessible"],[3,"GtkAction"],[3,"GtkActionBar"],[3,"GtkActionGroup"],[3,"GtkAdjustment"],[3,"GtkAlignment"],[3,"GtkAppChooserButton"],[3,"GtkAppChooserDialog"],[3,"GtkAppChooserWidget"],[3,"GtkApplication"],[3,"GtkApplicationWindow"],[3,"GtkArrow"],[3,"GtkArrowAccessible"],[3,"GtkAspectFrame"],[3,"GtkAssistant"],[3,"GtkBin"],[3,"GtkBooleanCellAccessible"],[3,"GtkBox"],[3,"GtkBuilder"],[3,"GtkButton"],[3,"GtkButtonAccessible"],[3,"GtkButtonBox"],[3,"GtkCalendar"],[3,"GtkCellAccessible"],[3,"GtkCellArea"],[3,"GtkCellAreaBox"],[3,"GtkCellAreaContext"],[3,"GtkCellRenderer"],[3,"GtkCellRendererAccel"],[3,"GtkCellRendererCombo"],[3,"GtkCellRendererPixbuf"],[3,"GtkCellRendererProgress"],[3,"GtkCellRendererSpin"],[3,"GtkCellRendererSpinner"],[3,"GtkCellRendererText"],[3,"GtkCellRendererToggle"],[3,"GtkCellView"],[3,"GtkCheckButton"],[3,"GtkCheckMenuItem"],[3,"GtkCheckMenuItemAccessible"],[3,"GtkColorButton"],[3,"GtkColorChooserDialog"],[3,"GtkColorChooserWidget"],[3,"GtkColorSelection"],[3,"GtkColorSelectionDialog"],[3,"GtkComboBox"],[3,"GtkComboBoxAccessible"],[3,"GtkComboBoxText"],[3,"GtkContainer"],[3,"GtkContainerAccessible"],[3,"GtkContainerCellAccessible"],[3,"GtkCssProvider"],[3,"GtkDialog"],[3,"GtkDrawingArea"],[3,"GtkEntry"],[3,"GtkEntryAccessible"],[3,"GtkEntryBuffer"],[3,"GtkEntryCompletion"],[3,"GtkEventBox"],[3,"GtkExpander"],[3,"GtkExpanderAccessible"],[3,"GtkFileChooserButton"],[3,"GtkFileChooserDialog"],[3,"GtkFileChooserWidget"],[3,"GtkFixed"],[3,"GtkFlowBox"],[3,"GtkFlowBoxAccessible"],[3,"GtkFlowBoxChild"],[3,"GtkFlowBoxChildAccessible"],[3,"GtkFontButton"],[3,"GtkFontChooserDialog"],[3,"GtkFontChooserWidget"],[3,"GtkFontSelection"],[3,"GtkFontSelectionDialog"],[3,"GtkFrame"],[3,"GtkFrameAccessible"],[3,"GtkGLArea"],[3,"GtkGrid"],[3,"GtkHBox"],[3,"GtkHButtonBox"],[3,"GtkHPaned"],[3,"GtkHSV"],[3,"GtkHScale"],[3,"GtkHScrollbar"],[3,"GtkHSeparator"],[3,"GtkHandleBox"],[3,"GtkHeaderBar"],[3,"GtkIMContext"],[3,"GtkIMContextSimple"],[3,"GtkIMMulticontext"],[3,"GtkIconFactory"],[3,"GtkIconTheme"],[3,"GtkIconView"],[3,"GtkIconViewAccessible"],[3,"GtkImage"],[3,"GtkImageAccessible"],[3,"GtkImageCellAccessible"],[3,"GtkImageMenuItem"],[3,"GtkInfoBar"],[3,"GtkInvisible"],[3,"GtkLabel"],[3,"GtkLabelAccessible"],[3,"GtkLayout"],[3,"GtkLevelBar"],[3,"GtkLevelBarAccessible"],[3,"GtkLinkButton"],[3,"GtkLinkButtonAccessible"],[3,"GtkListBox"],[3,"GtkListBoxAccessible"],[3,"GtkListBoxRow"],[3,"GtkListBoxRowAccessible"],[3,"GtkListStore"],[3,"GtkLockButton"],[3,"GtkLockButtonAccessible"],[3,"GtkMenu"],[3,"GtkMenuAccessible"],[3,"GtkMenuBar"],[3,"GtkMenuButton"],[3,"GtkMenuButtonAccessible"],[3,"GtkMenuItem"],[3,"GtkMenuItemAccessible"],[3,"GtkMenuShell"],[3,"GtkMenuShellAccessible"],[3,"GtkMenuToolButton"],[3,"GtkMessageDialog"],[3,"GtkMisc"],[3,"GtkMountOperation"],[3,"GtkNativeDialog"],[3,"GtkNotebook"],[3,"GtkNotebookAccessible"],[3,"GtkNotebookPageAccessible"],[3,"GtkNumerableIcon"],[3,"GtkOffscreenWindow"],[3,"GtkOverlay"],[3,"GtkPaned"],[3,"GtkPanedAccessible"],[3,"GtkPlug"],[3,"GtkPopover"],[3,"GtkPopoverAccessible"],[3,"GtkPrintOperation"],[3,"GtkProgressBar"],[3,"GtkProgressBarAccessible"],[3,"GtkRadioAction"],[3,"GtkRadioButton"],[3,"GtkRadioButtonAccessible"],[3,"GtkRadioMenuItem"],[3,"GtkRadioMenuItemAccessible"],[3,"GtkRadioToolButton"],[3,"GtkRange"],[3,"GtkRangeAccessible"],[3,"GtkRcStyle"],[3,"GtkRecentAction"],[3,"GtkRecentChooserDialog"],[3,"GtkRecentChooserMenu"],[3,"GtkRecentChooserWidget"],[3,"GtkRecentManager"],[3,"GtkRendererCellAccessible"],[3,"GtkRevealer"],[3,"GtkScale"],[3,"GtkScaleAccessible"],[3,"GtkScaleButton"],[3,"GtkScaleButtonAccessible"],[3,"GtkScrollbar"],[3,"GtkScrolledWindow"],[3,"GtkScrolledWindowAccessible"],[3,"GtkSearchBar"],[3,"GtkSearchEntry"],[3,"GtkSeparator"],[3,"GtkSeparatorMenuItem"],[3,"GtkSeparatorToolItem"],[3,"GtkSettings"],[3,"GtkShortcutsWindow"],[3,"GtkSizeGroup"],[3,"GtkSocket"],[3,"GtkSpinButton"],[3,"GtkSpinButtonAccessible"],[3,"GtkSpinner"],[3,"GtkSpinnerAccessible"],[3,"GtkStack"],[3,"GtkStackAccessible"],[3,"GtkStackSidebar"],[3,"GtkStackSwitcher"],[3,"GtkStatusIcon"],[3,"GtkStatusbar"],[3,"GtkStatusbarAccessible"],[3,"GtkStyle"],[3,"GtkStyleContext"],[3,"GtkStyleProperties"],[3,"GtkSwitch"],[3,"GtkSwitchAccessible"],[3,"GtkTable"],[3,"GtkTearoffMenuItem"],[3,"GtkTextBuffer"],[3,"GtkTextCellAccessible"],[3,"GtkTextChildAnchor"],[3,"GtkTextMark"],[3,"GtkTextTag"],[3,"GtkTextTagTable"],[3,"GtkTextView"],[3,"GtkTextViewAccessible"],[3,"GtkThemingEngine"],[3,"GtkToggleAction"],[3,"GtkToggleButton"],[3,"GtkToggleButtonAccessible"],[3,"GtkToggleToolButton"],[3,"GtkToolButton"],[3,"GtkToolItem"],[3,"GtkToolItemGroup"],[3,"GtkToolPalette"],[3,"GtkToolbar"],[3,"GtkToplevelAccessible"],[3,"GtkTreeModelFilter"],[3,"GtkTreeModelSort"],[3,"GtkTreeSelection"],[3,"GtkTreeStore"],[3,"GtkTreeView"],[3,"GtkTreeViewAccessible"],[3,"GtkTreeViewColumn"],[3,"GtkUIManager"],[3,"GtkVBox"],[3,"GtkVButtonBox"],[3,"GtkVPaned"],[3,"GtkVScale"],[3,"GtkVScrollbar"],[3,"GtkVSeparator"],[3,"GtkViewport"],[3,"GtkVolumeButton"],[3,"GtkWidget"],[3,"GtkWidgetAccessible"],[3,"GtkWindow"],[3,"GtkWindowAccessible"],[3,"GtkWindowGroup"],[4,"GtkAlign"],[4,"GtkArrowPlacement"],[4,"GtkArrowType"],[4,"GtkAssistantPageType"],[4,"GtkBaselinePosition"],[4,"GtkBorderStyle"],[4,"GtkBuilderError"],[4,"GtkButtonBoxStyle"],[4,"GtkButtonRole"],[4,"GtkButtonsType"],[4,"GtkCellRendererAccelMode"],[4,"GtkCellRendererMode"],[4,"GtkCornerType"],[4,"GtkCssProviderError"],[4,"GtkCssSectionType"],[4,"GtkDeleteType"],[4,"GtkDirectionType"],[4,"GtkDragResult"],[4,"GtkEntryIconPosition"],[4,"GtkEventSequenceState"],[4,"GtkExpanderStyle"],[4,"GtkFileChooserAction"],[4,"GtkFileChooserConfirmation"],[4,"GtkFileChooserError"],[4,"GtkIMPreeditStyle"],[4,"GtkIMStatusStyle"],[4,"GtkIconSize"],[4,"GtkIconThemeError"],[4,"GtkIconViewDropPosition"],[4,"GtkImageType"],[4,"GtkInputPurpose"],[4,"GtkJustification"],[4,"GtkLevelBarMode"],[4,"GtkLicense"],[4,"GtkMenuDirectionType"],[4,"GtkMessageType"],[4,"GtkMovementStep"],[4,"GtkNotebookTab"],[4,"GtkNumberUpLayout"],[4,"GtkOrientation"],[4,"GtkPackDirection"],[4,"GtkPackType"],[4,"GtkPadActionType"],[4,"GtkPageOrientation"],[4,"GtkPageSet"],[4,"GtkPanDirection"],[4,"GtkPathPriorityType"],[4,"GtkPathType"],[4,"GtkPolicyType"],[4,"GtkPopoverConstraint"],[4,"GtkPositionType"],[4,"GtkPrintDuplex"],[4,"GtkPrintError"],[4,"GtkPrintOperationAction"],[4,"GtkPrintOperationResult"],[4,"GtkPrintPages"],[4,"GtkPrintQuality"],[4,"GtkPrintStatus"],[4,"GtkPropagationPhase"],[4,"GtkRcTokenType"],[4,"GtkRecentChooserError"],[4,"GtkRecentManagerError"],[4,"GtkRecentSortType"],[4,"GtkReliefStyle"],[4,"GtkResizeMode"],[4,"GtkResponseType"],[4,"GtkRevealerTransitionType"],[4,"GtkScrollStep"],[4,"GtkScrollType"],[4,"GtkScrollablePolicy"],[4,"GtkSelectionMode"],[4,"GtkSensitivityType"],[4,"GtkShadowType"],[4,"GtkShortcutType"],[4,"GtkSizeGroupMode"],[4,"GtkSizeRequestMode"],[4,"GtkSortType"],[4,"GtkSpinButtonUpdatePolicy"],[4,"GtkSpinType"],[4,"GtkStackTransitionType"],[4,"GtkStateType"],[4,"GtkTextBufferTargetInfo"],[4,"GtkTextDirection"],[4,"GtkTextExtendSelection"],[4,"GtkTextViewLayer"],[4,"GtkTextWindowType"],[4,"GtkToolbarSpaceStyle"],[4,"GtkToolbarStyle"],[4,"GtkTreeViewColumnSizing"],[4,"GtkTreeViewDropPosition"],[4,"GtkTreeViewGridLines"],[4,"GtkUnit"],[4,"GtkWidgetHelpType"],[4,"GtkWindowPosition"],[4,"GtkWindowType"],[4,"GtkWrapMode"],[3,"GtkAccelFlags"],[3,"GtkApplicationInhibitFlags"],[3,"GtkAttachOptions"],[3,"GtkCalendarDisplayOptions"],[3,"GtkCellRendererState"],[3,"GtkDebugFlag"],[3,"GtkDestDefaults"],[3,"GtkDialogFlags"],[3,"GtkFileFilterFlags"],[3,"GtkIconLookupFlags"],[3,"GtkInputHints"],[3,"GtkJunctionSides"],[3,"GtkPlacesOpenFlags"],[3,"GtkRcFlags"],[3,"GtkRecentFilterFlags"],[3,"GtkRegionFlags"],[3,"GtkStateFlags"],[3,"GtkStyleContextPrintFlags"],[3,"GtkTargetFlags"],[3,"GtkTextSearchFlags"],[3,"GtkToolPaletteDragTargets"],[3,"GtkTreeModelFlags"],[3,"GtkUIManagerItemType"]]};
searchIndex["inflate"] = {"doc":"A DEFLATE decoder written in rust.","items":[[3,"InflateWriter","inflate","A DEFLATE decoder.",null,null],[3,"InflateStream","","",null,null],[5,"inflate_bytes","","Decompress the given slice of DEFLATE compressed data.",null,null],[5,"inflate_bytes_zlib","","Decompress the given slice of DEFLATE compressed (with zlib headers and trailers) data.",null,null],[11,"new","","",0,{"inputs":[{"name":"w"}],"output":{"name":"inflatewriter"}}],[11,"from_zlib","","",0,{"inputs":[{"name":"w"}],"output":{"name":"inflatewriter"}}],[11,"finish","","",0,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"write","","",0,null],[11,"flush","","",0,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"new","","Create a new stream for decoding raw deflate encoded data.",1,{"inputs":[],"output":{"name":"inflatestream"}}],[11,"from_zlib","","Create a new stream for decoding deflate encoded data with a zlib header and footer",1,{"inputs":[],"output":{"name":"inflatestream"}}],[11,"update","","Try to uncompress/decode the data in `data`.",1,null]],"paths":[[3,"InflateWriter"],[3,"InflateStream"]]};
searchIndex["kernel32"] = {"doc":"","items":[],"paths":[]};
searchIndex["lazy_static"] = {"doc":"A macro for declaring lazily evaluated statics.","items":[[5,"initialize","lazy_static","Takes a shared reference to a lazy static and initializes it if it has not been already.",null,{"inputs":[{"name":"t"}],"output":null}],[8,"LazyStatic","","Support trait for enabling a few common operation on lazy static values.",null,null],[14,"lazy_static","","",null,null]],"paths":[]};
searchIndex["libc"] = {"doc":"Crate docs","items":[[3,"group","libc","",null,null],[12,"gr_name","","",0,null],[12,"gr_passwd","","",0,null],[12,"gr_gid","","",0,null],[12,"gr_mem","","",0,null],[3,"utimbuf","","",null,null],[12,"actime","","",1,null],[12,"modtime","","",1,null],[3,"timeval","","",null,null],[12,"tv_sec","","",2,null],[12,"tv_usec","","",2,null],[3,"timespec","","",null,null],[12,"tv_sec","","",3,null],[12,"tv_nsec","","",3,null],[3,"rlimit","","",null,null],[12,"rlim_cur","","",4,null],[12,"rlim_max","","",4,null],[3,"rusage","","",null,null],[12,"ru_utime","","",5,null],[12,"ru_stime","","",5,null],[12,"ru_maxrss","","",5,null],[12,"ru_ixrss","","",5,null],[12,"ru_idrss","","",5,null],[12,"ru_isrss","","",5,null],[12,"ru_minflt","","",5,null],[12,"ru_majflt","","",5,null],[12,"ru_nswap","","",5,null],[12,"ru_inblock","","",5,null],[12,"ru_oublock","","",5,null],[12,"ru_msgsnd","","",5,null],[12,"ru_msgrcv","","",5,null],[12,"ru_nsignals","","",5,null],[12,"ru_nvcsw","","",5,null],[12,"ru_nivcsw","","",5,null],[3,"in_addr","","",null,null],[12,"s_addr","","",6,null],[3,"in6_addr","","",null,null],[12,"s6_addr","","",7,null],[3,"ip_mreq","","",null,null],[12,"imr_multiaddr","","",8,null],[12,"imr_interface","","",8,null],[3,"ipv6_mreq","","",null,null],[12,"ipv6mr_multiaddr","","",9,null],[12,"ipv6mr_interface","","",9,null],[3,"hostent","","",null,null],[12,"h_name","","",10,null],[12,"h_aliases","","",10,null],[12,"h_addrtype","","",10,null],[12,"h_length","","",10,null],[12,"h_addr_list","","",10,null],[3,"iovec","","",null,null],[12,"iov_base","","",11,null],[12,"iov_len","","",11,null],[3,"pollfd","","",null,null],[12,"fd","","",12,null],[12,"events","","",12,null],[12,"revents","","",12,null],[3,"winsize","","",null,null],[12,"ws_row","","",13,null],[12,"ws_col","","",13,null],[12,"ws_xpixel","","",13,null],[12,"ws_ypixel","","",13,null],[3,"linger","","",null,null],[12,"l_onoff","","",14,null],[12,"l_linger","","",14,null],[3,"sigval","","",null,null],[12,"sival_ptr","","",15,null],[3,"itimerval","","",null,null],[12,"it_interval","","",16,null],[12,"it_value","","",16,null],[3,"tms","","",null,null],[12,"tms_utime","","",17,null],[12,"tms_stime","","",17,null],[12,"tms_cutime","","",17,null],[12,"tms_cstime","","",17,null],[3,"sockaddr","","",null,null],[12,"sa_family","","",18,null],[12,"sa_data","","",18,null],[3,"sockaddr_in","","",null,null],[12,"sin_family","","",19,null],[12,"sin_port","","",19,null],[12,"sin_addr","","",19,null],[12,"sin_zero","","",19,null],[3,"sockaddr_in6","","",null,null],[12,"sin6_family","","",20,null],[12,"sin6_port","","",20,null],[12,"sin6_flowinfo","","",20,null],[12,"sin6_addr","","",20,null],[12,"sin6_scope_id","","",20,null],[3,"sockaddr_un","","",null,null],[12,"sun_family","","",21,null],[12,"sun_path","","",21,null],[3,"sockaddr_storage","","",null,null],[12,"ss_family","","",22,null],[3,"addrinfo","","",null,null],[12,"ai_flags","","",23,null],[12,"ai_family","","",23,null],[12,"ai_socktype","","",23,null],[12,"ai_protocol","","",23,null],[12,"ai_addrlen","","",23,null],[12,"ai_addr","","",23,null],[12,"ai_canonname","","",23,null],[12,"ai_next","","",23,null],[3,"sockaddr_nl","","",null,null],[12,"nl_family","","",24,null],[12,"nl_pid","","",24,null],[12,"nl_groups","","",24,null],[3,"sockaddr_ll","","",null,null],[12,"sll_family","","",25,null],[12,"sll_protocol","","",25,null],[12,"sll_ifindex","","",25,null],[12,"sll_hatype","","",25,null],[12,"sll_pkttype","","",25,null],[12,"sll_halen","","",25,null],[12,"sll_addr","","",25,null],[3,"fd_set","","",null,null],[3,"tm","","",null,null],[12,"tm_sec","","",26,null],[12,"tm_min","","",26,null],[12,"tm_hour","","",26,null],[12,"tm_mday","","",26,null],[12,"tm_mon","","",26,null],[12,"tm_year","","",26,null],[12,"tm_wday","","",26,null],[12,"tm_yday","","",26,null],[12,"tm_isdst","","",26,null],[12,"tm_gmtoff","","",26,null],[12,"tm_zone","","",26,null],[3,"sched_param","","",null,null],[12,"sched_priority","","",27,null],[3,"Dl_info","","",null,null],[12,"dli_fname","","",28,null],[12,"dli_fbase","","",28,null],[12,"dli_sname","","",28,null],[12,"dli_saddr","","",28,null],[3,"epoll_event","","",null,null],[12,"events","","",29,null],[12,"u64","","",29,null],[3,"utsname","","",null,null],[12,"sysname","","",30,null],[12,"nodename","","",30,null],[12,"release","","",30,null],[12,"version","","",30,null],[12,"machine","","",30,null],[12,"domainname","","",30,null],[3,"lconv","","",null,null],[12,"decimal_point","","",31,null],[12,"thousands_sep","","",31,null],[12,"grouping","","",31,null],[12,"int_curr_symbol","","",31,null],[12,"currency_symbol","","",31,null],[12,"mon_decimal_point","","",31,null],[12,"mon_thousands_sep","","",31,null],[12,"mon_grouping","","",31,null],[12,"positive_sign","","",31,null],[12,"negative_sign","","",31,null],[12,"int_frac_digits","","",31,null],[12,"frac_digits","","",31,null],[12,"p_cs_precedes","","",31,null],[12,"p_sep_by_space","","",31,null],[12,"n_cs_precedes","","",31,null],[12,"n_sep_by_space","","",31,null],[12,"p_sign_posn","","",31,null],[12,"n_sign_posn","","",31,null],[12,"int_p_cs_precedes","","",31,null],[12,"int_p_sep_by_space","","",31,null],[12,"int_n_cs_precedes","","",31,null],[12,"int_n_sep_by_space","","",31,null],[12,"int_p_sign_posn","","",31,null],[12,"int_n_sign_posn","","",31,null],[3,"sigevent","","",null,null],[12,"sigev_value","","",32,null],[12,"sigev_signo","","",32,null],[12,"sigev_notify","","",32,null],[12,"sigev_notify_thread_id","","",32,null],[3,"dirent","","",null,null],[12,"d_ino","","",33,null],[12,"d_off","","",33,null],[12,"d_reclen","","",33,null],[12,"d_type","","",33,null],[12,"d_name","","",33,null],[3,"dirent64","","",null,null],[12,"d_ino","","",34,null],[12,"d_off","","",34,null],[12,"d_reclen","","",34,null],[12,"d_type","","",34,null],[12,"d_name","","",34,null],[3,"rlimit64","","",null,null],[12,"rlim_cur","","",35,null],[12,"rlim_max","","",35,null],[3,"glob_t","","",null,null],[12,"gl_pathc","","",36,null],[12,"gl_pathv","","",36,null],[12,"gl_offs","","",36,null],[12,"gl_flags","","",36,null],[3,"ifaddrs","","",null,null],[12,"ifa_next","","",37,null],[12,"ifa_name","","",37,null],[12,"ifa_flags","","",37,null],[12,"ifa_addr","","",37,null],[12,"ifa_netmask","","",37,null],[12,"ifa_ifu","","",37,null],[12,"ifa_data","","",37,null],[3,"pthread_mutex_t","","",null,null],[3,"pthread_rwlock_t","","",null,null],[3,"pthread_mutexattr_t","","",null,null],[3,"pthread_rwlockattr_t","","",null,null],[3,"pthread_cond_t","","",null,null],[3,"pthread_condattr_t","","",null,null],[3,"passwd","","",null,null],[12,"pw_name","","",38,null],[12,"pw_passwd","","",38,null],[12,"pw_uid","","",38,null],[12,"pw_gid","","",38,null],[12,"pw_gecos","","",38,null],[12,"pw_dir","","",38,null],[12,"pw_shell","","",38,null],[3,"spwd","","",null,null],[12,"sp_namp","","",39,null],[12,"sp_pwdp","","",39,null],[12,"sp_lstchg","","",39,null],[12,"sp_min","","",39,null],[12,"sp_max","","",39,null],[12,"sp_warn","","",39,null],[12,"sp_inact","","",39,null],[12,"sp_expire","","",39,null],[12,"sp_flag","","",39,null],[3,"statvfs","","",null,null],[12,"f_bsize","","",40,null],[12,"f_frsize","","",40,null],[12,"f_blocks","","",40,null],[12,"f_bfree","","",40,null],[12,"f_bavail","","",40,null],[12,"f_files","","",40,null],[12,"f_ffree","","",40,null],[12,"f_favail","","",40,null],[12,"f_fsid","","",40,null],[12,"f_flag","","",40,null],[12,"f_namemax","","",40,null],[3,"dqblk","","",null,null],[12,"dqb_bhardlimit","","",41,null],[12,"dqb_bsoftlimit","","",41,null],[12,"dqb_curspace","","",41,null],[12,"dqb_ihardlimit","","",41,null],[12,"dqb_isoftlimit","","",41,null],[12,"dqb_curinodes","","",41,null],[12,"dqb_btime","","",41,null],[12,"dqb_itime","","",41,null],[12,"dqb_valid","","",41,null],[3,"signalfd_siginfo","","",null,null],[12,"ssi_signo","","",42,null],[12,"ssi_errno","","",42,null],[12,"ssi_code","","",42,null],[12,"ssi_pid","","",42,null],[12,"ssi_uid","","",42,null],[12,"ssi_fd","","",42,null],[12,"ssi_tid","","",42,null],[12,"ssi_band","","",42,null],[12,"ssi_overrun","","",42,null],[12,"ssi_trapno","","",42,null],[12,"ssi_status","","",42,null],[12,"ssi_int","","",42,null],[12,"ssi_ptr","","",42,null],[12,"ssi_utime","","",42,null],[12,"ssi_stime","","",42,null],[12,"ssi_addr","","",42,null],[3,"fsid_t","","",null,null],[3,"mq_attr","","",null,null],[12,"mq_flags","","",43,null],[12,"mq_maxmsg","","",43,null],[12,"mq_msgsize","","",43,null],[12,"mq_curmsgs","","",43,null],[3,"cpu_set_t","","",null,null],[3,"if_nameindex","","",null,null],[12,"if_index","","",44,null],[12,"if_name","","",44,null],[3,"msginfo","","",null,null],[12,"msgpool","","",45,null],[12,"msgmap","","",45,null],[12,"msgmax","","",45,null],[12,"msgmnb","","",45,null],[12,"msgmni","","",45,null],[12,"msgssz","","",45,null],[12,"msgtql","","",45,null],[12,"msgseg","","",45,null],[3,"mmsghdr","","",null,null],[12,"msg_hdr","","",46,null],[12,"msg_len","","",46,null],[3,"sembuf","","",null,null],[12,"sem_num","","",47,null],[12,"sem_op","","",47,null],[12,"sem_flg","","",47,null],[3,"input_event","","",null,null],[12,"time","","",48,null],[12,"type_","","",48,null],[12,"code","","",48,null],[12,"value","","",48,null],[3,"input_id","","",null,null],[12,"bustype","","",49,null],[12,"vendor","","",49,null],[12,"product","","",49,null],[12,"version","","",49,null],[3,"input_absinfo","","",null,null],[12,"value","","",50,null],[12,"minimum","","",50,null],[12,"maximum","","",50,null],[12,"fuzz","","",50,null],[12,"flat","","",50,null],[12,"resolution","","",50,null],[3,"input_keymap_entry","","",null,null],[12,"flags","","",51,null],[12,"len","","",51,null],[12,"index","","",51,null],[12,"keycode","","",51,null],[12,"scancode","","",51,null],[3,"input_mask","","",null,null],[12,"type_","","",52,null],[12,"codes_size","","",52,null],[12,"codes_ptr","","",52,null],[3,"ff_replay","","",null,null],[12,"length","","",53,null],[12,"delay","","",53,null],[3,"ff_trigger","","",null,null],[12,"button","","",54,null],[12,"interval","","",54,null],[3,"ff_envelope","","",null,null],[12,"attack_length","","",55,null],[12,"attack_level","","",55,null],[12,"fade_length","","",55,null],[12,"fade_level","","",55,null],[3,"ff_constant_effect","","",null,null],[12,"level","","",56,null],[12,"envelope","","",56,null],[3,"ff_ramp_effect","","",null,null],[12,"start_level","","",57,null],[12,"end_level","","",57,null],[12,"envelope","","",57,null],[3,"ff_condition_effect","","",null,null],[12,"right_saturation","","",58,null],[12,"left_saturation","","",58,null],[12,"right_coeff","","",58,null],[12,"left_coeff","","",58,null],[12,"deadband","","",58,null],[12,"center","","",58,null],[3,"ff_periodic_effect","","",null,null],[12,"waveform","","",59,null],[12,"period","","",59,null],[12,"magnitude","","",59,null],[12,"offset","","",59,null],[12,"phase","","",59,null],[12,"envelope","","",59,null],[12,"custom_len","","",59,null],[12,"custom_data","","",59,null],[3,"ff_rumble_effect","","",null,null],[12,"strong_magnitude","","",60,null],[12,"weak_magnitude","","",60,null],[3,"ff_effect","","",null,null],[12,"type_","","",61,null],[12,"id","","",61,null],[12,"direction","","",61,null],[12,"trigger","","",61,null],[12,"replay","","",61,null],[12,"u","","",61,null],[3,"aiocb","","",null,null],[12,"aio_fildes","","",62,null],[12,"aio_lio_opcode","","",62,null],[12,"aio_reqprio","","",62,null],[12,"aio_buf","","",62,null],[12,"aio_nbytes","","",62,null],[12,"aio_sigevent","","",62,null],[12,"aio_offset","","",62,null],[3,"__exit_status","","",null,null],[12,"e_termination","","",63,null],[12,"e_exit","","",63,null],[3,"__timeval","","",null,null],[12,"tv_sec","","",64,null],[12,"tv_usec","","",64,null],[3,"utmpx","","",null,null],[12,"ut_type","","",65,null],[12,"ut_pid","","",65,null],[12,"ut_line","","",65,null],[12,"ut_id","","",65,null],[12,"ut_user","","",65,null],[12,"ut_host","","",65,null],[12,"ut_exit","","",65,null],[12,"ut_session","","",65,null],[12,"ut_tv","","",65,null],[12,"ut_addr_v6","","",65,null],[3,"sigaction","","",null,null],[12,"sa_sigaction","","",66,null],[12,"sa_mask","","",66,null],[12,"sa_flags","","",66,null],[12,"sa_restorer","","",66,null],[3,"stack_t","","",null,null],[12,"ss_sp","","",67,null],[12,"ss_flags","","",67,null],[12,"ss_size","","",67,null],[3,"siginfo_t","","",null,null],[12,"si_signo","","",68,null],[12,"si_errno","","",68,null],[12,"si_code","","",68,null],[12,"_pad","","",68,null],[3,"glob64_t","","",null,null],[12,"gl_pathc","","",69,null],[12,"gl_pathv","","",69,null],[12,"gl_offs","","",69,null],[12,"gl_flags","","",69,null],[3,"ucred","","",null,null],[12,"pid","","",70,null],[12,"uid","","",70,null],[12,"gid","","",70,null],[3,"statfs","","",null,null],[12,"f_type","","",71,null],[12,"f_bsize","","",71,null],[12,"f_blocks","","",71,null],[12,"f_bfree","","",71,null],[12,"f_bavail","","",71,null],[12,"f_files","","",71,null],[12,"f_ffree","","",71,null],[12,"f_fsid","","",71,null],[12,"f_namelen","","",71,null],[12,"f_frsize","","",71,null],[3,"msghdr","","",null,null],[12,"msg_name","","",72,null],[12,"msg_namelen","","",72,null],[12,"msg_iov","","",72,null],[12,"msg_iovlen","","",72,null],[12,"msg_control","","",72,null],[12,"msg_controllen","","",72,null],[12,"msg_flags","","",72,null],[3,"cmsghdr","","",null,null],[12,"cmsg_len","","",73,null],[12,"cmsg_level","","",73,null],[12,"cmsg_type","","",73,null],[3,"termios","","",null,null],[12,"c_iflag","","",74,null],[12,"c_oflag","","",74,null],[12,"c_cflag","","",74,null],[12,"c_lflag","","",74,null],[12,"c_line","","",74,null],[12,"c_cc","","",74,null],[12,"c_ispeed","","",74,null],[12,"c_ospeed","","",74,null],[3,"flock","","",null,null],[12,"l_type","","",75,null],[12,"l_whence","","",75,null],[12,"l_start","","",75,null],[12,"l_len","","",75,null],[12,"l_pid","","",75,null],[3,"sem_t","","",null,null],[3,"sigset_t","","",null,null],[3,"sysinfo","","",null,null],[12,"uptime","","",76,null],[12,"loads","","",76,null],[12,"totalram","","",76,null],[12,"freeram","","",76,null],[12,"sharedram","","",76,null],[12,"bufferram","","",76,null],[12,"totalswap","","",76,null],[12,"freeswap","","",76,null],[12,"procs","","",76,null],[12,"pad","","",76,null],[12,"totalhigh","","",76,null],[12,"freehigh","","",76,null],[12,"mem_unit","","",76,null],[12,"_f","","",76,null],[3,"msqid_ds","","",null,null],[12,"msg_perm","","",77,null],[12,"msg_stime","","",77,null],[12,"msg_rtime","","",77,null],[12,"msg_ctime","","",77,null],[12,"msg_qnum","","",77,null],[12,"msg_qbytes","","",77,null],[12,"msg_lspid","","",77,null],[12,"msg_lrpid","","",77,null],[3,"stat","","",null,null],[12,"st_dev","","",78,null],[12,"st_ino","","",78,null],[12,"st_nlink","","",78,null],[12,"st_mode","","",78,null],[12,"st_uid","","",78,null],[12,"st_gid","","",78,null],[12,"st_rdev","","",78,null],[12,"st_size","","",78,null],[12,"st_blksize","","",78,null],[12,"st_blocks","","",78,null],[12,"st_atime","","",78,null],[12,"st_atime_nsec","","",78,null],[12,"st_mtime","","",78,null],[12,"st_mtime_nsec","","",78,null],[12,"st_ctime","","",78,null],[12,"st_ctime_nsec","","",78,null],[3,"stat64","","",null,null],[12,"st_dev","","",79,null],[12,"st_ino","","",79,null],[12,"st_nlink","","",79,null],[12,"st_mode","","",79,null],[12,"st_uid","","",79,null],[12,"st_gid","","",79,null],[12,"st_rdev","","",79,null],[12,"st_size","","",79,null],[12,"st_blksize","","",79,null],[12,"st_blocks","","",79,null],[12,"st_atime","","",79,null],[12,"st_atime_nsec","","",79,null],[12,"st_mtime","","",79,null],[12,"st_mtime_nsec","","",79,null],[12,"st_ctime","","",79,null],[12,"st_ctime_nsec","","",79,null],[3,"pthread_attr_t","","",null,null],[3,"_libc_fpxreg","","",null,null],[12,"significand","","",80,null],[12,"exponent","","",80,null],[3,"_libc_xmmreg","","",null,null],[12,"element","","",81,null],[3,"_libc_fpstate","","",null,null],[12,"cwd","","",82,null],[12,"swd","","",82,null],[12,"ftw","","",82,null],[12,"fop","","",82,null],[12,"rip","","",82,null],[12,"rdp","","",82,null],[12,"mxcsr","","",82,null],[12,"mxcr_mask","","",82,null],[12,"_st","","",82,null],[12,"_xmm","","",82,null],[3,"user_fpregs_struct","","",null,null],[12,"cwd","","",83,null],[12,"swd","","",83,null],[12,"ftw","","",83,null],[12,"fop","","",83,null],[12,"rip","","",83,null],[12,"rdp","","",83,null],[12,"mxcsr","","",83,null],[12,"mxcr_mask","","",83,null],[12,"st_space","","",83,null],[12,"xmm_space","","",83,null],[3,"user_regs_struct","","",null,null],[12,"r15","","",84,null],[12,"r14","","",84,null],[12,"r13","","",84,null],[12,"r12","","",84,null],[12,"rbp","","",84,null],[12,"rbx","","",84,null],[12,"r11","","",84,null],[12,"r10","","",84,null],[12,"r9","","",84,null],[12,"r8","","",84,null],[12,"rax","","",84,null],[12,"rcx","","",84,null],[12,"rdx","","",84,null],[12,"rsi","","",84,null],[12,"rdi","","",84,null],[12,"orig_rax","","",84,null],[12,"rip","","",84,null],[12,"cs","","",84,null],[12,"eflags","","",84,null],[12,"rsp","","",84,null],[12,"ss","","",84,null],[12,"fs_base","","",84,null],[12,"gs_base","","",84,null],[12,"ds","","",84,null],[12,"es","","",84,null],[12,"fs","","",84,null],[12,"gs","","",84,null],[3,"user","","",null,null],[12,"regs","","",85,null],[12,"u_fpvalid","","",85,null],[12,"i387","","",85,null],[12,"u_tsize","","",85,null],[12,"u_dsize","","",85,null],[12,"u_ssize","","",85,null],[12,"start_code","","",85,null],[12,"start_stack","","",85,null],[12,"signal","","",85,null],[12,"u_ar0","","",85,null],[12,"u_fpstate","","",85,null],[12,"magic","","",85,null],[12,"u_comm","","",85,null],[12,"u_debugreg","","",85,null],[3,"mcontext_t","","",null,null],[12,"gregs","","",86,null],[12,"fpregs","","",86,null],[3,"ucontext_t","","",null,null],[12,"uc_flags","","",87,null],[12,"uc_link","","",87,null],[12,"uc_stack","","",87,null],[12,"uc_mcontext","","",87,null],[12,"uc_sigmask","","",87,null],[3,"ipc_perm","","",null,null],[12,"__key","","",88,null],[12,"uid","","",88,null],[12,"gid","","",88,null],[12,"cuid","","",88,null],[12,"cgid","","",88,null],[12,"mode","","",88,null],[12,"__seq","","",88,null],[3,"shmid_ds","","",null,null],[12,"shm_perm","","",89,null],[12,"shm_segsz","","",89,null],[12,"shm_atime","","",89,null],[12,"shm_dtime","","",89,null],[12,"shm_ctime","","",89,null],[12,"shm_cpid","","",89,null],[12,"shm_lpid","","",89,null],[12,"shm_nattch","","",89,null],[4,"c_void","","",null,null],[4,"FILE","","",null,null],[4,"fpos_t","","",null,null],[4,"DIR","","",null,null],[4,"locale_t","","",null,null],[4,"timezone","","",null,null],[4,"fpos64_t","","",null,null],[5,"FD_CLR","","",null,null],[5,"FD_ISSET","","",null,null],[5,"FD_SET","","",null,null],[5,"FD_ZERO","","",null,null],[5,"WIFSTOPPED","","",null,{"inputs":[{"name":"c_int"}],"output":{"name":"bool"}}],[5,"WSTOPSIG","","",null,{"inputs":[{"name":"c_int"}],"output":{"name":"c_int"}}],[5,"WIFCONTINUED","","",null,{"inputs":[{"name":"c_int"}],"output":{"name":"bool"}}],[5,"WIFSIGNALED","","",null,{"inputs":[{"name":"c_int"}],"output":{"name":"bool"}}],[5,"WTERMSIG","","",null,{"inputs":[{"name":"c_int"}],"output":{"name":"c_int"}}],[5,"WIFEXITED","","",null,{"inputs":[{"name":"c_int"}],"output":{"name":"bool"}}],[5,"WEXITSTATUS","","",null,{"inputs":[{"name":"c_int"}],"output":{"name":"c_int"}}],[5,"WCOREDUMP","","",null,{"inputs":[{"name":"c_int"}],"output":{"name":"bool"}}],[5,"CPU_ZERO","","",null,null],[5,"CPU_SET","","",null,null],[5,"CPU_CLR","","",null,null],[5,"CPU_ISSET","","",null,{"inputs":[{"name":"usize"},{"name":"cpu_set_t"}],"output":{"name":"bool"}}],[5,"CPU_EQUAL","","",null,{"inputs":[{"name":"cpu_set_t"},{"name":"cpu_set_t"}],"output":{"name":"bool"}}],[5,"major","","",null,{"inputs":[{"name":"dev_t"}],"output":{"name":"c_uint"}}],[5,"minor","","",null,{"inputs":[{"name":"dev_t"}],"output":{"name":"c_uint"}}],[5,"makedev","","",null,{"inputs":[{"name":"c_uint"},{"name":"c_uint"}],"output":{"name":"dev_t"}}],[5,"isalnum","","",null,null],[5,"isalpha","","",null,null],[5,"iscntrl","","",null,null],[5,"isdigit","","",null,null],[5,"isgraph","","",null,null],[5,"islower","","",null,null],[5,"isprint","","",null,null],[5,"ispunct","","",null,null],[5,"isspace","","",null,null],[5,"isupper","","",null,null],[5,"isxdigit","","",null,null],[5,"tolower","","",null,null],[5,"toupper","","",null,null],[5,"fopen","","",null,null],[5,"freopen","","",null,null],[5,"fflush","","",null,null],[5,"fclose","","",null,null],[5,"remove","","",null,null],[5,"rename","","",null,null],[5,"tmpfile","","",null,null],[5,"setvbuf","","",null,null],[5,"setbuf","","",null,null],[5,"getchar","","",null,null],[5,"putchar","","",null,null],[5,"fgetc","","",null,null],[5,"fgets","","",null,null],[5,"fputc","","",null,null],[5,"fputs","","",null,null],[5,"puts","","",null,null],[5,"ungetc","","",null,null],[5,"fread","","",null,null],[5,"fwrite","","",null,null],[5,"fseek","","",null,null],[5,"ftell","","",null,null],[5,"rewind","","",null,null],[5,"fgetpos","","",null,null],[5,"fsetpos","","",null,null],[5,"feof","","",null,null],[5,"ferror","","",null,null],[5,"perror","","",null,null],[5,"atoi","","",null,null],[5,"strtod","","",null,null],[5,"strtol","","",null,null],[5,"strtoul","","",null,null],[5,"calloc","","",null,null],[5,"malloc","","",null,null],[5,"realloc","","",null,null],[5,"free","","",null,null],[5,"abort","","",null,null],[5,"exit","","",null,null],[5,"_exit","","",null,null],[5,"atexit","","",null,null],[5,"system","","",null,null],[5,"getenv","","",null,null],[5,"strcpy","","",null,null],[5,"strncpy","","",null,null],[5,"strcat","","",null,null],[5,"strncat","","",null,null],[5,"strcmp","","",null,null],[5,"strncmp","","",null,null],[5,"strcoll","","",null,null],[5,"strchr","","",null,null],[5,"strrchr","","",null,null],[5,"strspn","","",null,null],[5,"strcspn","","",null,null],[5,"strdup","","",null,null],[5,"strpbrk","","",null,null],[5,"strstr","","",null,null],[5,"strlen","","",null,null],[5,"strnlen","","",null,null],[5,"strerror","","",null,null],[5,"strtok","","",null,null],[5,"strxfrm","","",null,null],[5,"wcslen","","",null,null],[5,"wcstombs","","",null,null],[5,"memchr","","",null,null],[5,"memcmp","","",null,null],[5,"memcpy","","",null,null],[5,"memmove","","",null,null],[5,"memset","","",null,null],[5,"abs","","",null,null],[5,"atof","","",null,null],[5,"labs","","",null,null],[5,"rand","","",null,null],[5,"srand","","",null,null],[5,"getgrnam","","",null,null],[5,"getgrgid","","",null,null],[5,"endpwent","","",null,null],[5,"getpwnam","","",null,null],[5,"getpwuid","","",null,null],[5,"fprintf","","",null,null],[5,"printf","","",null,null],[5,"snprintf","","",null,null],[5,"sprintf","","",null,null],[5,"fscanf","","",null,null],[5,"scanf","","",null,null],[5,"sscanf","","",null,null],[5,"getchar_unlocked","","",null,null],[5,"putchar_unlocked","","",null,null],[5,"socket","","",null,null],[5,"connect","","",null,null],[5,"listen","","",null,null],[5,"accept","","",null,null],[5,"getpeername","","",null,null],[5,"getsockname","","",null,null],[5,"setsockopt","","",null,null],[5,"socketpair","","",null,null],[5,"sendto","","",null,null],[5,"shutdown","","",null,null],[5,"chmod","","",null,null],[5,"fchmod","","",null,null],[5,"fstat","","",null,null],[5,"mkdir","","",null,null],[5,"stat","","",null,null],[5,"popen","","",null,null],[5,"pclose","","",null,null],[5,"fdopen","","",null,null],[5,"fileno","","",null,null],[5,"open","","",null,null],[5,"creat","","",null,null],[5,"fcntl","","",null,null],[5,"opendir","","",null,null],[5,"readdir","","",null,null],[5,"readdir_r","","",null,null],[5,"closedir","","",null,null],[5,"rewinddir","","",null,null],[5,"openat","","",null,null],[5,"faccessat","","",null,null],[5,"fchmodat","","",null,null],[5,"fchown","","",null,null],[5,"fchownat","","",null,null],[5,"fstatat","","",null,null],[5,"linkat","","",null,null],[5,"mkdirat","","",null,null],[5,"readlinkat","","",null,null],[5,"renameat","","",null,null],[5,"symlinkat","","",null,null],[5,"unlinkat","","",null,null],[5,"access","","",null,null],[5,"alarm","","",null,null],[5,"chdir","","",null,null],[5,"fchdir","","",null,null],[5,"chown","","",null,null],[5,"lchown","","",null,null],[5,"close","","",null,null],[5,"dup","","",null,null],[5,"dup2","","",null,null],[5,"execl","","",null,null],[5,"execle","","",null,null],[5,"execlp","","",null,null],[5,"execv","","",null,null],[5,"execve","","",null,null],[5,"execvp","","",null,null],[5,"fork","","",null,null],[5,"fpathconf","","",null,null],[5,"getcwd","","",null,null],[5,"getegid","","",null,null],[5,"geteuid","","",null,null],[5,"getgid","","",null,null],[5,"getgroups","","",null,null],[5,"getlogin","","",null,null],[5,"getopt","","",null,null],[5,"getpgid","","",null,null],[5,"getpgrp","","",null,null],[5,"getpid","","",null,null],[5,"getppid","","",null,null],[5,"getuid","","",null,null],[5,"isatty","","",null,null],[5,"link","","",null,null],[5,"lseek","","",null,null],[5,"pathconf","","",null,null],[5,"pause","","",null,null],[5,"pipe","","",null,null],[5,"posix_memalign","","",null,null],[5,"read","","",null,null],[5,"rmdir","","",null,null],[5,"seteuid","","",null,null],[5,"setgid","","",null,null],[5,"setpgid","","",null,null],[5,"setsid","","",null,null],[5,"setuid","","",null,null],[5,"sleep","","",null,null],[5,"nanosleep","","",null,null],[5,"tcgetpgrp","","",null,null],[5,"tcsetpgrp","","",null,null],[5,"ttyname","","",null,null],[5,"unlink","","",null,null],[5,"wait","","",null,null],[5,"waitpid","","",null,null],[5,"write","","",null,null],[5,"pread","","",null,null],[5,"pwrite","","",null,null],[5,"umask","","",null,null],[5,"utime","","",null,null],[5,"kill","","",null,null],[5,"mlock","","",null,null],[5,"munlock","","",null,null],[5,"mlockall","","",null,null],[5,"munlockall","","",null,null],[5,"mmap","","",null,null],[5,"munmap","","",null,null],[5,"if_nametoindex","","",null,null],[5,"if_indextoname","","",null,null],[5,"lstat","","",null,null],[5,"fsync","","",null,null],[5,"setenv","","",null,null],[5,"unsetenv","","",null,null],[5,"symlink","","",null,null],[5,"ftruncate","","",null,null],[5,"signal","","",null,null],[5,"getrlimit","","",null,null],[5,"setrlimit","","",null,null],[5,"getrusage","","",null,null],[5,"getdtablesize","","",null,null],[5,"realpath","","",null,null],[5,"flock","","",null,null],[5,"gettimeofday","","",null,null],[5,"times","","",null,null],[5,"pthread_self","","",null,null],[5,"pthread_create","","",null,null],[5,"pthread_join","","",null,null],[5,"pthread_atfork","","",null,null],[5,"pthread_exit","","",null,null],[5,"pthread_attr_init","","",null,null],[5,"pthread_attr_destroy","","",null,null],[5,"pthread_attr_setstacksize","","",null,null],[5,"pthread_attr_setdetachstate","","",null,null],[5,"pthread_detach","","",null,null],[5,"sched_yield","","",null,null],[5,"pthread_key_create","","",null,null],[5,"pthread_key_delete","","",null,null],[5,"pthread_getspecific","","",null,null],[5,"pthread_setspecific","","",null,null],[5,"pthread_mutex_init","","",null,null],[5,"pthread_mutex_destroy","","",null,null],[5,"pthread_mutex_lock","","",null,null],[5,"pthread_mutex_trylock","","",null,null],[5,"pthread_mutex_unlock","","",null,null],[5,"pthread_mutexattr_init","","",null,null],[5,"pthread_mutexattr_destroy","","",null,null],[5,"pthread_mutexattr_settype","","",null,null],[5,"pthread_cond_init","","",null,null],[5,"pthread_cond_wait","","",null,null],[5,"pthread_cond_timedwait","","",null,null],[5,"pthread_cond_signal","","",null,null],[5,"pthread_cond_broadcast","","",null,null],[5,"pthread_cond_destroy","","",null,null],[5,"pthread_condattr_init","","",null,null],[5,"pthread_condattr_destroy","","",null,null],[5,"pthread_rwlock_init","","",null,null],[5,"pthread_rwlock_destroy","","",null,null],[5,"pthread_rwlock_rdlock","","",null,null],[5,"pthread_rwlock_tryrdlock","","",null,null],[5,"pthread_rwlock_wrlock","","",null,null],[5,"pthread_rwlock_trywrlock","","",null,null],[5,"pthread_rwlock_unlock","","",null,null],[5,"pthread_rwlockattr_init","","",null,null],[5,"pthread_rwlockattr_destroy","","",null,null],[5,"pthread_sigmask","","",null,null],[5,"pthread_kill","","",null,null],[5,"strerror_r","","",null,null],[5,"getsockopt","","",null,null],[5,"raise","","",null,null],[5,"sigaction","","",null,null],[5,"sigaltstack","","",null,null],[5,"sigwait","","",null,null],[5,"utimes","","",null,null],[5,"dlopen","","",null,null],[5,"dlerror","","",null,null],[5,"dlsym","","",null,null],[5,"dlclose","","",null,null],[5,"dladdr","","",null,null],[5,"getaddrinfo","","",null,null],[5,"freeaddrinfo","","",null,null],[5,"gai_strerror","","",null,null],[5,"res_init","","",null,null],[5,"gmtime_r","","",null,null],[5,"localtime_r","","",null,null],[5,"mktime","","",null,null],[5,"time","","",null,null],[5,"gmtime","","",null,null],[5,"localtime","","",null,null],[5,"mknod","","",null,null],[5,"uname","","",null,null],[5,"daemon","","",null,null],[5,"gethostname","","",null,null],[5,"chroot","","",null,null],[5,"usleep","","",null,null],[5,"send","","",null,null],[5,"recv","","",null,null],[5,"putenv","","",null,null],[5,"poll","","",null,null],[5,"select","","",null,null],[5,"setlocale","","",null,null],[5,"localeconv","","",null,null],[5,"sem_destroy","","",null,null],[5,"sem_open","","",null,null],[5,"sem_close","","",null,null],[5,"sem_unlink","","",null,null],[5,"sem_wait","","",null,null],[5,"sem_trywait","","",null,null],[5,"sem_post","","",null,null],[5,"sem_init","","",null,null],[5,"statvfs","","",null,null],[5,"fstatvfs","","",null,null],[5,"readlink","","",null,null],[5,"sigemptyset","","",null,null],[5,"sigaddset","","",null,null],[5,"sigfillset","","",null,null],[5,"sigdelset","","",null,null],[5,"sigismember","","",null,null],[5,"sigprocmask","","",null,null],[5,"sigpending","","",null,null],[5,"timegm","","",null,null],[5,"getsid","","",null,null],[5,"sysconf","","",null,null],[5,"mkfifo","","",null,null],[5,"pselect","","",null,null],[5,"fseeko","","",null,null],[5,"ftello","","",null,null],[5,"tcdrain","","",null,null],[5,"cfgetispeed","","",null,null],[5,"cfgetospeed","","",null,null],[5,"cfmakeraw","","",null,null],[5,"cfsetispeed","","",null,null],[5,"cfsetospeed","","",null,null],[5,"cfsetspeed","","",null,null],[5,"tcgetattr","","",null,null],[5,"tcsetattr","","",null,null],[5,"tcflow","","",null,null],[5,"tcflush","","",null,null],[5,"tcgetsid","","",null,null],[5,"tcsendbreak","","",null,null],[5,"mkstemp","","",null,null],[5,"mkdtemp","","",null,null],[5,"tmpnam","","",null,null],[5,"openlog","","",null,null],[5,"closelog","","",null,null],[5,"setlogmask","","",null,null],[5,"syslog","","",null,null],[5,"nice","","",null,null],[5,"grantpt","","",null,null],[5,"posix_openpt","","",null,null],[5,"ptsname","","",null,null],[5,"unlockpt","","",null,null],[5,"getpwnam_r","","",null,null],[5,"getpwuid_r","","",null,null],[5,"fdatasync","","",null,null],[5,"mincore","","",null,null],[5,"clock_getres","","",null,null],[5,"clock_gettime","","",null,null],[5,"clock_nanosleep","","",null,null],[5,"clock_settime","","",null,null],[5,"dirfd","","",null,null],[5,"settimeofday","","",null,null],[5,"prctl","","",null,null],[5,"pthread_getattr_np","","",null,null],[5,"pthread_attr_getguardsize","","",null,null],[5,"pthread_attr_getstack","","",null,null],[5,"memalign","","",null,null],[5,"setgroups","","",null,null],[5,"initgroups","","",null,null],[5,"sched_setscheduler","","",null,null],[5,"sched_getscheduler","","",null,null],[5,"sched_get_priority_max","","",null,null],[5,"sched_get_priority_min","","",null,null],[5,"sched_setparam","","",null,null],[5,"sched_getparam","","",null,null],[5,"sched_rr_get_interval","","",null,null],[5,"epoll_create","","",null,null],[5,"epoll_create1","","",null,null],[5,"epoll_ctl","","",null,null],[5,"epoll_wait","","",null,null],[5,"pipe2","","",null,null],[5,"mount","","",null,null],[5,"umount","","",null,null],[5,"umount2","","",null,null],[5,"clone","","",null,null],[5,"statfs","","",null,null],[5,"fstatfs","","",null,null],[5,"memrchr","","",null,null],[5,"syscall","","",null,null],[5,"sendfile","","",null,null],[5,"splice","","",null,null],[5,"tee","","",null,null],[5,"vmsplice","","",null,null],[5,"posix_fadvise","","",null,null],[5,"futimens","","",null,null],[5,"utimensat","","",null,null],[5,"duplocale","","",null,null],[5,"freelocale","","",null,null],[5,"newlocale","","",null,null],[5,"uselocale","","",null,null],[5,"creat64","","",null,null],[5,"fstat64","","",null,null],[5,"ftruncate64","","",null,null],[5,"getrlimit64","","",null,null],[5,"lseek64","","",null,null],[5,"lstat64","","",null,null],[5,"mmap64","","",null,null],[5,"open64","","",null,null],[5,"openat64","","",null,null],[5,"pread64","","",null,null],[5,"pwrite64","","",null,null],[5,"readdir64","","",null,null],[5,"readdir64_r","","",null,null],[5,"setrlimit64","","",null,null],[5,"stat64","","",null,null],[5,"truncate64","","",null,null],[5,"eventfd","","",null,null],[5,"sysinfo","","",null,null],[5,"fdopendir","","",null,null],[5,"mknodat","","",null,null],[5,"ppoll","","",null,null],[5,"pthread_condattr_getclock","","",null,null],[5,"pthread_condattr_setclock","","",null,null],[5,"pthread_condattr_setpshared","","",null,null],[5,"pthread_condattr_getpshared","","",null,null],[5,"pthread_getschedparam","","",null,null],[5,"pthread_setschedparam","","",null,null],[5,"sched_getaffinity","","",null,null],[5,"sched_setaffinity","","",null,null],[5,"unshare","","",null,null],[5,"setns","","",null,null],[5,"sem_timedwait","","",null,null],[5,"accept4","","",null,null],[5,"pthread_mutex_timedlock","","",null,null],[5,"pthread_mutexattr_setpshared","","",null,null],[5,"pthread_mutexattr_getpshared","","",null,null],[5,"pthread_rwlockattr_getpshared","","",null,null],[5,"pthread_rwlockattr_setpshared","","",null,null],[5,"ptsname_r","","",null,null],[5,"clearenv","","",null,null],[5,"waitid","","",null,null],[5,"sigsuspend","","",null,null],[5,"setreuid","","",null,null],[5,"setregid","","",null,null],[5,"getresuid","","",null,null],[5,"getresgid","","",null,null],[5,"personality","","",null,null],[5,"swapon","","",null,null],[5,"swapoff","","",null,null],[5,"acct","","",null,null],[5,"brk","","",null,null],[5,"sbrk","","",null,null],[5,"vfork","","",null,null],[5,"sethostname","","",null,null],[5,"setresgid","","",null,null],[5,"setresuid","","",null,null],[5,"wait4","","",null,null],[5,"openpty","","",null,null],[5,"forkpty","","",null,null],[5,"aio_read","","",null,null],[5,"aio_write","","",null,null],[5,"aio_fsync","","",null,null],[5,"aio_error","","",null,null],[5,"aio_return","","",null,null],[5,"aio_suspend","","",null,null],[5,"aio_cancel","","",null,null],[5,"lio_listio","","",null,null],[5,"lutimes","","",null,null],[5,"setpwent","","",null,null],[5,"getpwent","","",null,null],[5,"setspent","","",null,null],[5,"endspent","","",null,null],[5,"getspent","","",null,null],[5,"getspnam","","",null,null],[5,"shm_open","","",null,null],[5,"shmget","","",null,null],[5,"shmat","","",null,null],[5,"shmdt","","",null,null],[5,"shmctl","","",null,null],[5,"ftok","","",null,null],[5,"semget","","",null,null],[5,"semop","","",null,null],[5,"semctl","","",null,null],[5,"msgctl","","",null,null],[5,"msgget","","",null,null],[5,"msgrcv","","",null,null],[5,"msgsnd","","",null,null],[5,"mprotect","","",null,null],[5,"__errno_location","","",null,null],[5,"fopen64","","",null,null],[5,"freopen64","","",null,null],[5,"tmpfile64","","",null,null],[5,"fgetpos64","","",null,null],[5,"fsetpos64","","",null,null],[5,"fseeko64","","",null,null],[5,"ftello64","","",null,null],[5,"fallocate","","",null,null],[5,"posix_fallocate","","",null,null],[5,"readahead","","",null,null],[5,"getxattr","","",null,null],[5,"lgetxattr","","",null,null],[5,"fgetxattr","","",null,null],[5,"setxattr","","",null,null],[5,"lsetxattr","","",null,null],[5,"fsetxattr","","",null,null],[5,"listxattr","","",null,null],[5,"llistxattr","","",null,null],[5,"flistxattr","","",null,null],[5,"removexattr","","",null,null],[5,"lremovexattr","","",null,null],[5,"fremovexattr","","",null,null],[5,"signalfd","","",null,null],[5,"pwritev","","",null,null],[5,"preadv","","",null,null],[5,"quotactl","","",null,null],[5,"mq_open","","",null,null],[5,"mq_close","","",null,null],[5,"mq_unlink","","",null,null],[5,"mq_receive","","",null,null],[5,"mq_send","","",null,null],[5,"mq_getattr","","",null,null],[5,"mq_setattr","","",null,null],[5,"epoll_pwait","","",null,null],[5,"dup3","","",null,null],[5,"mkostemp","","",null,null],[5,"mkostemps","","",null,null],[5,"sigtimedwait","","",null,null],[5,"sigwaitinfo","","",null,null],[5,"nl_langinfo_l","","",null,null],[5,"getnameinfo","","",null,null],[5,"pthread_setschedprio","","",null,null],[5,"prlimit","","",null,null],[5,"prlimit64","","",null,null],[5,"getloadavg","","",null,null],[5,"process_vm_readv","","",null,null],[5,"process_vm_writev","","",null,null],[5,"reboot","","",null,null],[5,"setfsgid","","",null,null],[5,"setfsuid","","",null,null],[5,"mkfifoat","","",null,null],[5,"if_nameindex","","",null,null],[5,"if_freenameindex","","",null,null],[5,"sync_file_range","","",null,null],[5,"getifaddrs","","",null,null],[5,"freeifaddrs","","",null,null],[5,"mremap","","",null,null],[5,"glob","","",null,null],[5,"globfree","","",null,null],[5,"posix_madvise","","",null,null],[5,"shm_unlink","","",null,null],[5,"seekdir","","",null,null],[5,"telldir","","",null,null],[5,"madvise","","",null,null],[5,"msync","","",null,null],[5,"recvfrom","","",null,null],[5,"mkstemps","","",null,null],[5,"futimes","","",null,null],[5,"nl_langinfo","","",null,null],[5,"bind","","",null,null],[5,"writev","","",null,null],[5,"readv","","",null,null],[5,"sendmsg","","",null,null],[5,"recvmsg","","",null,null],[5,"getdomainname","","",null,null],[5,"setdomainname","","",null,null],[5,"vhangup","","",null,null],[5,"sendmmsg","","",null,null],[5,"recvmmsg","","",null,null],[5,"sync","","",null,null],[5,"utmpxname","","",null,null],[5,"getutxent","","",null,null],[5,"getutxid","","",null,null],[5,"getutxline","","",null,null],[5,"pututxline","","",null,null],[5,"setutxent","","",null,null],[5,"endutxent","","",null,null],[5,"getpt","","",null,null],[5,"sysctl","","",null,null],[5,"ioctl","","",null,null],[5,"backtrace","","",null,null],[5,"glob64","","",null,null],[5,"globfree64","","",null,null],[5,"ptrace","","",null,null],[5,"pthread_attr_getaffinity_np","","",null,null],[5,"pthread_attr_setaffinity_np","","",null,null],[5,"getpriority","","",null,null],[5,"setpriority","","",null,null],[5,"pthread_getaffinity_np","","",null,null],[5,"pthread_setaffinity_np","","",null,null],[5,"pthread_rwlockattr_getkind_np","","",null,null],[5,"pthread_rwlockattr_setkind_np","","",null,null],[5,"sched_getcpu","","",null,null],[5,"getcontext","","",null,null],[5,"setcontext","","",null,null],[5,"makecontext","","",null,null],[5,"swapcontext","","",null,null],[5,"iopl","","",null,null],[5,"ioperm","","",null,null],[11,"clone","","",78,{"inputs":[{"name":"self"}],"output":{"name":"stat"}}],[11,"clone","","",79,{"inputs":[{"name":"self"}],"output":{"name":"stat64"}}],[11,"clone","","",90,{"inputs":[{"name":"self"}],"output":{"name":"pthread_attr_t"}}],[11,"clone","","",80,{"inputs":[{"name":"self"}],"output":{"name":"_libc_fpxreg"}}],[11,"clone","","",81,{"inputs":[{"name":"self"}],"output":{"name":"_libc_xmmreg"}}],[11,"clone","","",82,{"inputs":[{"name":"self"}],"output":{"name":"_libc_fpstate"}}],[11,"clone","","",83,{"inputs":[{"name":"self"}],"output":{"name":"user_fpregs_struct"}}],[11,"clone","","",84,{"inputs":[{"name":"self"}],"output":{"name":"user_regs_struct"}}],[11,"clone","","",85,{"inputs":[{"name":"self"}],"output":{"name":"user"}}],[11,"clone","","",86,{"inputs":[{"name":"self"}],"output":{"name":"mcontext_t"}}],[11,"clone","","",87,{"inputs":[{"name":"self"}],"output":{"name":"ucontext_t"}}],[11,"clone","","",88,{"inputs":[{"name":"self"}],"output":{"name":"ipc_perm"}}],[11,"clone","","",89,{"inputs":[{"name":"self"}],"output":{"name":"shmid_ds"}}],[11,"clone","","",91,{"inputs":[{"name":"self"}],"output":{"name":"sigset_t"}}],[11,"clone","","",76,{"inputs":[{"name":"self"}],"output":{"name":"sysinfo"}}],[11,"clone","","",77,{"inputs":[{"name":"self"}],"output":{"name":"msqid_ds"}}],[11,"clone","","",62,{"inputs":[{"name":"self"}],"output":{"name":"aiocb"}}],[11,"clone","","",63,{"inputs":[{"name":"self"}],"output":{"name":"__exit_status"}}],[11,"clone","","",64,{"inputs":[{"name":"self"}],"output":{"name":"__timeval"}}],[11,"clone","","",65,{"inputs":[{"name":"self"}],"output":{"name":"utmpx"}}],[11,"clone","","",66,{"inputs":[{"name":"self"}],"output":{"name":"sigaction"}}],[11,"clone","","",67,{"inputs":[{"name":"self"}],"output":{"name":"stack_t"}}],[11,"clone","","",68,{"inputs":[{"name":"self"}],"output":{"name":"siginfo_t"}}],[11,"clone","","",69,{"inputs":[{"name":"self"}],"output":{"name":"glob64_t"}}],[11,"clone","","",70,{"inputs":[{"name":"self"}],"output":{"name":"ucred"}}],[11,"clone","","",71,{"inputs":[{"name":"self"}],"output":{"name":"statfs"}}],[11,"clone","","",72,{"inputs":[{"name":"self"}],"output":{"name":"msghdr"}}],[11,"clone","","",73,{"inputs":[{"name":"self"}],"output":{"name":"cmsghdr"}}],[11,"clone","","",74,{"inputs":[{"name":"self"}],"output":{"name":"termios"}}],[11,"clone","","",75,{"inputs":[{"name":"self"}],"output":{"name":"flock"}}],[11,"clone","","",92,{"inputs":[{"name":"self"}],"output":{"name":"sem_t"}}],[11,"clone","","",33,{"inputs":[{"name":"self"}],"output":{"name":"dirent"}}],[11,"clone","","",34,{"inputs":[{"name":"self"}],"output":{"name":"dirent64"}}],[11,"clone","","",35,{"inputs":[{"name":"self"}],"output":{"name":"rlimit64"}}],[11,"clone","","",36,{"inputs":[{"name":"self"}],"output":{"name":"glob_t"}}],[11,"clone","","",37,{"inputs":[{"name":"self"}],"output":{"name":"ifaddrs"}}],[11,"clone","","",93,{"inputs":[{"name":"self"}],"output":{"name":"pthread_mutex_t"}}],[11,"clone","","",94,{"inputs":[{"name":"self"}],"output":{"name":"pthread_rwlock_t"}}],[11,"clone","","",95,{"inputs":[{"name":"self"}],"output":{"name":"pthread_mutexattr_t"}}],[11,"clone","","",96,{"inputs":[{"name":"self"}],"output":{"name":"pthread_rwlockattr_t"}}],[11,"clone","","",97,{"inputs":[{"name":"self"}],"output":{"name":"pthread_cond_t"}}],[11,"clone","","",98,{"inputs":[{"name":"self"}],"output":{"name":"pthread_condattr_t"}}],[11,"clone","","",38,{"inputs":[{"name":"self"}],"output":{"name":"passwd"}}],[11,"clone","","",39,{"inputs":[{"name":"self"}],"output":{"name":"spwd"}}],[11,"clone","","",40,{"inputs":[{"name":"self"}],"output":{"name":"statvfs"}}],[11,"clone","","",41,{"inputs":[{"name":"self"}],"output":{"name":"dqblk"}}],[11,"clone","","",42,{"inputs":[{"name":"self"}],"output":{"name":"signalfd_siginfo"}}],[11,"clone","","",99,{"inputs":[{"name":"self"}],"output":{"name":"fsid_t"}}],[11,"clone","","",43,{"inputs":[{"name":"self"}],"output":{"name":"mq_attr"}}],[11,"clone","","",100,{"inputs":[{"name":"self"}],"output":{"name":"cpu_set_t"}}],[11,"clone","","",44,{"inputs":[{"name":"self"}],"output":{"name":"if_nameindex"}}],[11,"clone","","",45,{"inputs":[{"name":"self"}],"output":{"name":"msginfo"}}],[11,"clone","","",46,{"inputs":[{"name":"self"}],"output":{"name":"mmsghdr"}}],[11,"clone","","",47,{"inputs":[{"name":"self"}],"output":{"name":"sembuf"}}],[11,"clone","","",48,{"inputs":[{"name":"self"}],"output":{"name":"input_event"}}],[11,"clone","","",49,{"inputs":[{"name":"self"}],"output":{"name":"input_id"}}],[11,"clone","","",50,{"inputs":[{"name":"self"}],"output":{"name":"input_absinfo"}}],[11,"clone","","",51,{"inputs":[{"name":"self"}],"output":{"name":"input_keymap_entry"}}],[11,"clone","","",52,{"inputs":[{"name":"self"}],"output":{"name":"input_mask"}}],[11,"clone","","",53,{"inputs":[{"name":"self"}],"output":{"name":"ff_replay"}}],[11,"clone","","",54,{"inputs":[{"name":"self"}],"output":{"name":"ff_trigger"}}],[11,"clone","","",55,{"inputs":[{"name":"self"}],"output":{"name":"ff_envelope"}}],[11,"clone","","",56,{"inputs":[{"name":"self"}],"output":{"name":"ff_constant_effect"}}],[11,"clone","","",57,{"inputs":[{"name":"self"}],"output":{"name":"ff_ramp_effect"}}],[11,"clone","","",58,{"inputs":[{"name":"self"}],"output":{"name":"ff_condition_effect"}}],[11,"clone","","",59,{"inputs":[{"name":"self"}],"output":{"name":"ff_periodic_effect"}}],[11,"clone","","",60,{"inputs":[{"name":"self"}],"output":{"name":"ff_rumble_effect"}}],[11,"clone","","",61,{"inputs":[{"name":"self"}],"output":{"name":"ff_effect"}}],[11,"clone","","",18,{"inputs":[{"name":"self"}],"output":{"name":"sockaddr"}}],[11,"clone","","",19,{"inputs":[{"name":"self"}],"output":{"name":"sockaddr_in"}}],[11,"clone","","",20,{"inputs":[{"name":"self"}],"output":{"name":"sockaddr_in6"}}],[11,"clone","","",21,{"inputs":[{"name":"self"}],"output":{"name":"sockaddr_un"}}],[11,"clone","","",22,{"inputs":[{"name":"self"}],"output":{"name":"sockaddr_storage"}}],[11,"clone","","",23,{"inputs":[{"name":"self"}],"output":{"name":"addrinfo"}}],[11,"clone","","",24,{"inputs":[{"name":"self"}],"output":{"name":"sockaddr_nl"}}],[11,"clone","","",25,{"inputs":[{"name":"self"}],"output":{"name":"sockaddr_ll"}}],[11,"clone","","",101,{"inputs":[{"name":"self"}],"output":{"name":"fd_set"}}],[11,"clone","","",26,{"inputs":[{"name":"self"}],"output":{"name":"tm"}}],[11,"clone","","",27,{"inputs":[{"name":"self"}],"output":{"name":"sched_param"}}],[11,"clone","","",28,{"inputs":[{"name":"self"}],"output":{"name":"dl_info"}}],[11,"clone","","",29,{"inputs":[{"name":"self"}],"output":{"name":"epoll_event"}}],[11,"clone","","",30,{"inputs":[{"name":"self"}],"output":{"name":"utsname"}}],[11,"clone","","",31,{"inputs":[{"name":"self"}],"output":{"name":"lconv"}}],[11,"clone","","",32,{"inputs":[{"name":"self"}],"output":{"name":"sigevent"}}],[11,"clone","","",0,{"inputs":[{"name":"self"}],"output":{"name":"group"}}],[11,"clone","","",1,{"inputs":[{"name":"self"}],"output":{"name":"utimbuf"}}],[11,"clone","","",2,{"inputs":[{"name":"self"}],"output":{"name":"timeval"}}],[11,"clone","","",3,{"inputs":[{"name":"self"}],"output":{"name":"timespec"}}],[11,"clone","","",4,{"inputs":[{"name":"self"}],"output":{"name":"rlimit"}}],[11,"clone","","",5,{"inputs":[{"name":"self"}],"output":{"name":"rusage"}}],[11,"clone","","",6,{"inputs":[{"name":"self"}],"output":{"name":"in_addr"}}],[11,"clone","","",7,{"inputs":[{"name":"self"}],"output":{"name":"in6_addr"}}],[11,"clone","","",8,{"inputs":[{"name":"self"}],"output":{"name":"ip_mreq"}}],[11,"clone","","",9,{"inputs":[{"name":"self"}],"output":{"name":"ipv6_mreq"}}],[11,"clone","","",10,{"inputs":[{"name":"self"}],"output":{"name":"hostent"}}],[11,"clone","","",11,{"inputs":[{"name":"self"}],"output":{"name":"iovec"}}],[11,"clone","","",12,{"inputs":[{"name":"self"}],"output":{"name":"pollfd"}}],[11,"clone","","",13,{"inputs":[{"name":"self"}],"output":{"name":"winsize"}}],[11,"clone","","",14,{"inputs":[{"name":"self"}],"output":{"name":"linger"}}],[11,"clone","","",15,{"inputs":[{"name":"self"}],"output":{"name":"sigval"}}],[11,"clone","","",16,{"inputs":[{"name":"self"}],"output":{"name":"itimerval"}}],[11,"clone","","",17,{"inputs":[{"name":"self"}],"output":{"name":"tms"}}],[6,"int8_t","","",null,null],[6,"int16_t","","",null,null],[6,"int32_t","","",null,null],[6,"int64_t","","",null,null],[6,"uint8_t","","",null,null],[6,"uint16_t","","",null,null],[6,"uint32_t","","",null,null],[6,"uint64_t","","",null,null],[6,"c_schar","","",null,null],[6,"c_uchar","","",null,null],[6,"c_short","","",null,null],[6,"c_ushort","","",null,null],[6,"c_int","","",null,null],[6,"c_uint","","",null,null],[6,"c_float","","",null,null],[6,"c_double","","",null,null],[6,"c_longlong","","",null,null],[6,"c_ulonglong","","",null,null],[6,"intmax_t","","",null,null],[6,"uintmax_t","","",null,null],[6,"size_t","","",null,null],[6,"ptrdiff_t","","",null,null],[6,"intptr_t","","",null,null],[6,"uintptr_t","","",null,null],[6,"ssize_t","","",null,null],[6,"pid_t","","",null,null],[6,"uid_t","","",null,null],[6,"gid_t","","",null,null],[6,"in_addr_t","","",null,null],[6,"in_port_t","","",null,null],[6,"sighandler_t","","",null,null],[6,"cc_t","","",null,null],[6,"sa_family_t","","",null,null],[6,"pthread_key_t","","",null,null],[6,"speed_t","","",null,null],[6,"tcflag_t","","",null,null],[6,"loff_t","","",null,null],[6,"clockid_t","","",null,null],[6,"key_t","","",null,null],[6,"id_t","","",null,null],[6,"useconds_t","","",null,null],[6,"dev_t","","",null,null],[6,"socklen_t","","",null,null],[6,"pthread_t","","",null,null],[6,"mode_t","","",null,null],[6,"ino64_t","","",null,null],[6,"off64_t","","",null,null],[6,"blkcnt64_t","","",null,null],[6,"rlim64_t","","",null,null],[6,"shmatt_t","","",null,null],[6,"mqd_t","","",null,null],[6,"msgqnum_t","","",null,null],[6,"msglen_t","","",null,null],[6,"nfds_t","","",null,null],[6,"nl_item","","",null,null],[6,"idtype_t","","",null,null],[6,"__u8","","",null,null],[6,"__u16","","",null,null],[6,"__s16","","",null,null],[6,"__u32","","",null,null],[6,"__s32","","",null,null],[6,"fsblkcnt_t","","",null,null],[6,"fsfilcnt_t","","",null,null],[6,"rlim_t","","",null,null],[6,"__priority_which_t","","",null,null],[6,"c_long","","",null,null],[6,"c_ulong","","",null,null],[6,"clock_t","","",null,null],[6,"time_t","","",null,null],[6,"ino_t","","",null,null],[6,"off_t","","",null,null],[6,"blkcnt_t","","",null,null],[6,"__fsword_t","","",null,null],[6,"c_char","","",null,null],[6,"wchar_t","","",null,null],[6,"nlink_t","","",null,null],[6,"blksize_t","","",null,null],[6,"greg_t","","",null,null],[6,"suseconds_t","","",null,null],[6,"__u64","","",null,null],[17,"SIG_DFL","","",null,null],[17,"SIG_IGN","","",null,null],[17,"SIG_ERR","","",null,null],[17,"DT_FIFO","","",null,null],[17,"DT_CHR","","",null,null],[17,"DT_DIR","","",null,null],[17,"DT_BLK","","",null,null],[17,"DT_REG","","",null,null],[17,"DT_LNK","","",null,null],[17,"DT_SOCK","","",null,null],[17,"FD_CLOEXEC","","",null,null],[17,"USRQUOTA","","",null,null],[17,"GRPQUOTA","","",null,null],[17,"SIGIOT","","",null,null],[17,"S_ISUID","","",null,null],[17,"S_ISGID","","",null,null],[17,"S_ISVTX","","",null,null],[17,"POLLIN","","",null,null],[17,"POLLPRI","","",null,null],[17,"POLLOUT","","",null,null],[17,"POLLERR","","",null,null],[17,"POLLHUP","","",null,null],[17,"POLLNVAL","","",null,null],[17,"IF_NAMESIZE","","",null,null],[17,"RTLD_LAZY","","",null,null],[17,"LOG_EMERG","","",null,null],[17,"LOG_ALERT","","",null,null],[17,"LOG_CRIT","","",null,null],[17,"LOG_ERR","","",null,null],[17,"LOG_WARNING","","",null,null],[17,"LOG_NOTICE","","",null,null],[17,"LOG_INFO","","",null,null],[17,"LOG_DEBUG","","",null,null],[17,"LOG_KERN","","",null,null],[17,"LOG_USER","","",null,null],[17,"LOG_MAIL","","",null,null],[17,"LOG_DAEMON","","",null,null],[17,"LOG_AUTH","","",null,null],[17,"LOG_SYSLOG","","",null,null],[17,"LOG_LPR","","",null,null],[17,"LOG_NEWS","","",null,null],[17,"LOG_UUCP","","",null,null],[17,"LOG_LOCAL0","","",null,null],[17,"LOG_LOCAL1","","",null,null],[17,"LOG_LOCAL2","","",null,null],[17,"LOG_LOCAL3","","",null,null],[17,"LOG_LOCAL4","","",null,null],[17,"LOG_LOCAL5","","",null,null],[17,"LOG_LOCAL6","","",null,null],[17,"LOG_LOCAL7","","",null,null],[17,"LOG_PID","","",null,null],[17,"LOG_CONS","","",null,null],[17,"LOG_ODELAY","","",null,null],[17,"LOG_NDELAY","","",null,null],[17,"LOG_NOWAIT","","",null,null],[17,"LOG_PRIMASK","","",null,null],[17,"LOG_FACMASK","","",null,null],[17,"PRIO_PROCESS","","",null,null],[17,"PRIO_PGRP","","",null,null],[17,"PRIO_USER","","",null,null],[17,"PRIO_MIN","","",null,null],[17,"PRIO_MAX","","",null,null],[17,"EXIT_FAILURE","","",null,null],[17,"EXIT_SUCCESS","","",null,null],[17,"RAND_MAX","","",null,null],[17,"EOF","","",null,null],[17,"SEEK_SET","","",null,null],[17,"SEEK_CUR","","",null,null],[17,"SEEK_END","","",null,null],[17,"_IOFBF","","",null,null],[17,"_IONBF","","",null,null],[17,"_IOLBF","","",null,null],[17,"F_DUPFD","","",null,null],[17,"F_GETFD","","",null,null],[17,"F_SETFD","","",null,null],[17,"F_GETFL","","",null,null],[17,"F_SETFL","","",null,null],[17,"F_SETLEASE","","",null,null],[17,"F_GETLEASE","","",null,null],[17,"F_NOTIFY","","",null,null],[17,"F_DUPFD_CLOEXEC","","",null,null],[17,"F_SETPIPE_SZ","","",null,null],[17,"F_GETPIPE_SZ","","",null,null],[17,"SIGTRAP","","",null,null],[17,"PTHREAD_CREATE_JOINABLE","","",null,null],[17,"PTHREAD_CREATE_DETACHED","","",null,null],[17,"CLOCK_REALTIME","","",null,null],[17,"CLOCK_MONOTONIC","","",null,null],[17,"CLOCK_PROCESS_CPUTIME_ID","","",null,null],[17,"CLOCK_THREAD_CPUTIME_ID","","",null,null],[17,"CLOCK_MONOTONIC_RAW","","",null,null],[17,"CLOCK_REALTIME_COARSE","","",null,null],[17,"CLOCK_MONOTONIC_COARSE","","",null,null],[17,"CLOCK_BOOTTIME","","",null,null],[17,"CLOCK_REALTIME_ALARM","","",null,null],[17,"CLOCK_BOOTTIME_ALARM","","",null,null],[17,"TIMER_ABSTIME","","",null,null],[17,"RLIMIT_CPU","","",null,null],[17,"RLIMIT_FSIZE","","",null,null],[17,"RLIMIT_DATA","","",null,null],[17,"RLIMIT_STACK","","",null,null],[17,"RLIMIT_CORE","","",null,null],[17,"RLIMIT_LOCKS","","",null,null],[17,"RLIMIT_SIGPENDING","","",null,null],[17,"RLIMIT_MSGQUEUE","","",null,null],[17,"RLIMIT_NICE","","",null,null],[17,"RLIMIT_RTPRIO","","",null,null],[17,"RUSAGE_SELF","","",null,null],[17,"O_RDONLY","","",null,null],[17,"O_WRONLY","","",null,null],[17,"O_RDWR","","",null,null],[17,"O_TMPFILE","","",null,null],[17,"SOCK_CLOEXEC","","",null,null],[17,"S_IFIFO","","",null,null],[17,"S_IFCHR","","",null,null],[17,"S_IFBLK","","",null,null],[17,"S_IFDIR","","",null,null],[17,"S_IFREG","","",null,null],[17,"S_IFLNK","","",null,null],[17,"S_IFSOCK","","",null,null],[17,"S_IFMT","","",null,null],[17,"S_IRWXU","","",null,null],[17,"S_IXUSR","","",null,null],[17,"S_IWUSR","","",null,null],[17,"S_IRUSR","","",null,null],[17,"S_IRWXG","","",null,null],[17,"S_IXGRP","","",null,null],[17,"S_IWGRP","","",null,null],[17,"S_IRGRP","","",null,null],[17,"S_IRWXO","","",null,null],[17,"S_IXOTH","","",null,null],[17,"S_IWOTH","","",null,null],[17,"S_IROTH","","",null,null],[17,"F_OK","","",null,null],[17,"R_OK","","",null,null],[17,"W_OK","","",null,null],[17,"X_OK","","",null,null],[17,"STDIN_FILENO","","",null,null],[17,"STDOUT_FILENO","","",null,null],[17,"STDERR_FILENO","","",null,null],[17,"SIGHUP","","",null,null],[17,"SIGINT","","",null,null],[17,"SIGQUIT","","",null,null],[17,"SIGILL","","",null,null],[17,"SIGABRT","","",null,null],[17,"SIGFPE","","",null,null],[17,"SIGKILL","","",null,null],[17,"SIGSEGV","","",null,null],[17,"SIGPIPE","","",null,null],[17,"SIGALRM","","",null,null],[17,"SIGTERM","","",null,null],[17,"PROT_NONE","","",null,null],[17,"PROT_READ","","",null,null],[17,"PROT_WRITE","","",null,null],[17,"PROT_EXEC","","",null,null],[17,"LC_CTYPE","","",null,null],[17,"LC_NUMERIC","","",null,null],[17,"LC_TIME","","",null,null],[17,"LC_COLLATE","","",null,null],[17,"LC_MONETARY","","",null,null],[17,"LC_MESSAGES","","",null,null],[17,"LC_ALL","","",null,null],[17,"LC_CTYPE_MASK","","",null,null],[17,"LC_NUMERIC_MASK","","",null,null],[17,"LC_TIME_MASK","","",null,null],[17,"LC_COLLATE_MASK","","",null,null],[17,"LC_MONETARY_MASK","","",null,null],[17,"LC_MESSAGES_MASK","","",null,null],[17,"MAP_FILE","","",null,null],[17,"MAP_SHARED","","",null,null],[17,"MAP_PRIVATE","","",null,null],[17,"MAP_FIXED","","",null,null],[17,"MAP_FAILED","","",null,null],[17,"MS_ASYNC","","",null,null],[17,"MS_INVALIDATE","","",null,null],[17,"MS_SYNC","","",null,null],[17,"MS_RDONLY","","",null,null],[17,"MS_NOSUID","","",null,null],[17,"MS_NODEV","","",null,null],[17,"MS_NOEXEC","","",null,null],[17,"MS_SYNCHRONOUS","","",null,null],[17,"MS_REMOUNT","","",null,null],[17,"MS_MANDLOCK","","",null,null],[17,"MS_DIRSYNC","","",null,null],[17,"MS_NOATIME","","",null,null],[17,"MS_NODIRATIME","","",null,null],[17,"MS_BIND","","",null,null],[17,"MS_MOVE","","",null,null],[17,"MS_REC","","",null,null],[17,"MS_SILENT","","",null,null],[17,"MS_POSIXACL","","",null,null],[17,"MS_UNBINDABLE","","",null,null],[17,"MS_PRIVATE","","",null,null],[17,"MS_SLAVE","","",null,null],[17,"MS_SHARED","","",null,null],[17,"MS_RELATIME","","",null,null],[17,"MS_KERNMOUNT","","",null,null],[17,"MS_I_VERSION","","",null,null],[17,"MS_STRICTATIME","","",null,null],[17,"MS_ACTIVE","","",null,null],[17,"MS_NOUSER","","",null,null],[17,"MS_MGC_VAL","","",null,null],[17,"MS_MGC_MSK","","",null,null],[17,"MS_RMT_MASK","","",null,null],[17,"EPERM","","",null,null],[17,"ENOENT","","",null,null],[17,"ESRCH","","",null,null],[17,"EINTR","","",null,null],[17,"EIO","","",null,null],[17,"ENXIO","","",null,null],[17,"E2BIG","","",null,null],[17,"ENOEXEC","","",null,null],[17,"EBADF","","",null,null],[17,"ECHILD","","",null,null],[17,"EAGAIN","","",null,null],[17,"ENOMEM","","",null,null],[17,"EACCES","","",null,null],[17,"EFAULT","","",null,null],[17,"ENOTBLK","","",null,null],[17,"EBUSY","","",null,null],[17,"EEXIST","","",null,null],[17,"EXDEV","","",null,null],[17,"ENODEV","","",null,null],[17,"ENOTDIR","","",null,null],[17,"EISDIR","","",null,null],[17,"EINVAL","","",null,null],[17,"ENFILE","","",null,null],[17,"EMFILE","","",null,null],[17,"ENOTTY","","",null,null],[17,"ETXTBSY","","",null,null],[17,"EFBIG","","",null,null],[17,"ENOSPC","","",null,null],[17,"ESPIPE","","",null,null],[17,"EROFS","","",null,null],[17,"EMLINK","","",null,null],[17,"EPIPE","","",null,null],[17,"EDOM","","",null,null],[17,"ERANGE","","",null,null],[17,"EWOULDBLOCK","","",null,null],[17,"SCM_RIGHTS","","",null,null],[17,"SCM_CREDENTIALS","","",null,null],[17,"IPPROTO_RAW","","",null,null],[17,"PROT_GROWSDOWN","","",null,null],[17,"PROT_GROWSUP","","",null,null],[17,"MAP_TYPE","","",null,null],[17,"MADV_NORMAL","","",null,null],[17,"MADV_RANDOM","","",null,null],[17,"MADV_SEQUENTIAL","","",null,null],[17,"MADV_WILLNEED","","",null,null],[17,"MADV_DONTNEED","","",null,null],[17,"MADV_REMOVE","","",null,null],[17,"MADV_DONTFORK","","",null,null],[17,"MADV_DOFORK","","",null,null],[17,"MADV_MERGEABLE","","",null,null],[17,"MADV_UNMERGEABLE","","",null,null],[17,"MADV_HWPOISON","","",null,null],[17,"IFF_UP","","",null,null],[17,"IFF_BROADCAST","","",null,null],[17,"IFF_DEBUG","","",null,null],[17,"IFF_LOOPBACK","","",null,null],[17,"IFF_POINTOPOINT","","",null,null],[17,"IFF_NOTRAILERS","","",null,null],[17,"IFF_RUNNING","","",null,null],[17,"IFF_NOARP","","",null,null],[17,"IFF_PROMISC","","",null,null],[17,"IFF_ALLMULTI","","",null,null],[17,"IFF_MASTER","","",null,null],[17,"IFF_SLAVE","","",null,null],[17,"IFF_MULTICAST","","",null,null],[17,"IFF_PORTSEL","","",null,null],[17,"IFF_AUTOMEDIA","","",null,null],[17,"IFF_DYNAMIC","","",null,null],[17,"SOL_IP","","",null,null],[17,"SOL_TCP","","",null,null],[17,"SOL_IPV6","","",null,null],[17,"SOL_ICMPV6","","",null,null],[17,"SOL_RAW","","",null,null],[17,"SOL_DECNET","","",null,null],[17,"SOL_X25","","",null,null],[17,"SOL_PACKET","","",null,null],[17,"SOL_ATM","","",null,null],[17,"SOL_AAL","","",null,null],[17,"SOL_IRDA","","",null,null],[17,"SOL_NETBEUI","","",null,null],[17,"SOL_LLC","","",null,null],[17,"SOL_DCCP","","",null,null],[17,"SOL_NETLINK","","",null,null],[17,"SOL_TIPC","","",null,null],[17,"AF_UNSPEC","","",null,null],[17,"AF_UNIX","","",null,null],[17,"AF_LOCAL","","",null,null],[17,"AF_INET","","",null,null],[17,"AF_AX25","","",null,null],[17,"AF_IPX","","",null,null],[17,"AF_APPLETALK","","",null,null],[17,"AF_NETROM","","",null,null],[17,"AF_BRIDGE","","",null,null],[17,"AF_ATMPVC","","",null,null],[17,"AF_X25","","",null,null],[17,"AF_INET6","","",null,null],[17,"AF_ROSE","","",null,null],[17,"AF_DECnet","","",null,null],[17,"AF_NETBEUI","","",null,null],[17,"AF_SECURITY","","",null,null],[17,"AF_KEY","","",null,null],[17,"AF_NETLINK","","",null,null],[17,"AF_ROUTE","","",null,null],[17,"AF_PACKET","","",null,null],[17,"AF_ASH","","",null,null],[17,"AF_ECONET","","",null,null],[17,"AF_ATMSVC","","",null,null],[17,"AF_RDS","","",null,null],[17,"AF_SNA","","",null,null],[17,"AF_IRDA","","",null,null],[17,"AF_PPPOX","","",null,null],[17,"AF_WANPIPE","","",null,null],[17,"AF_LLC","","",null,null],[17,"AF_CAN","","",null,null],[17,"AF_TIPC","","",null,null],[17,"AF_BLUETOOTH","","",null,null],[17,"AF_IUCV","","",null,null],[17,"AF_RXRPC","","",null,null],[17,"AF_ISDN","","",null,null],[17,"AF_PHONET","","",null,null],[17,"AF_IEEE802154","","",null,null],[17,"AF_CAIF","","",null,null],[17,"AF_ALG","","",null,null],[17,"PF_UNSPEC","","",null,null],[17,"PF_UNIX","","",null,null],[17,"PF_LOCAL","","",null,null],[17,"PF_INET","","",null,null],[17,"PF_AX25","","",null,null],[17,"PF_IPX","","",null,null],[17,"PF_APPLETALK","","",null,null],[17,"PF_NETROM","","",null,null],[17,"PF_BRIDGE","","",null,null],[17,"PF_ATMPVC","","",null,null],[17,"PF_X25","","",null,null],[17,"PF_INET6","","",null,null],[17,"PF_ROSE","","",null,null],[17,"PF_DECnet","","",null,null],[17,"PF_NETBEUI","","",null,null],[17,"PF_SECURITY","","",null,null],[17,"PF_KEY","","",null,null],[17,"PF_NETLINK","","",null,null],[17,"PF_ROUTE","","",null,null],[17,"PF_PACKET","","",null,null],[17,"PF_ASH","","",null,null],[17,"PF_ECONET","","",null,null],[17,"PF_ATMSVC","","",null,null],[17,"PF_RDS","","",null,null],[17,"PF_SNA","","",null,null],[17,"PF_IRDA","","",null,null],[17,"PF_PPPOX","","",null,null],[17,"PF_WANPIPE","","",null,null],[17,"PF_LLC","","",null,null],[17,"PF_CAN","","",null,null],[17,"PF_TIPC","","",null,null],[17,"PF_BLUETOOTH","","",null,null],[17,"PF_IUCV","","",null,null],[17,"PF_RXRPC","","",null,null],[17,"PF_ISDN","","",null,null],[17,"PF_PHONET","","",null,null],[17,"PF_IEEE802154","","",null,null],[17,"PF_CAIF","","",null,null],[17,"PF_ALG","","",null,null],[17,"SOMAXCONN","","",null,null],[17,"MSG_OOB","","",null,null],[17,"MSG_PEEK","","",null,null],[17,"MSG_DONTROUTE","","",null,null],[17,"MSG_CTRUNC","","",null,null],[17,"MSG_TRUNC","","",null,null],[17,"MSG_DONTWAIT","","",null,null],[17,"MSG_EOR","","",null,null],[17,"MSG_WAITALL","","",null,null],[17,"MSG_FIN","","",null,null],[17,"MSG_SYN","","",null,null],[17,"MSG_CONFIRM","","",null,null],[17,"MSG_RST","","",null,null],[17,"MSG_ERRQUEUE","","",null,null],[17,"MSG_NOSIGNAL","","",null,null],[17,"MSG_MORE","","",null,null],[17,"MSG_WAITFORONE","","",null,null],[17,"MSG_FASTOPEN","","",null,null],[17,"MSG_CMSG_CLOEXEC","","",null,null],[17,"SOCK_RAW","","",null,null],[17,"IPPROTO_ICMP","","",null,null],[17,"IPPROTO_ICMPV6","","",null,null],[17,"IPPROTO_TCP","","",null,null],[17,"IPPROTO_IP","","",null,null],[17,"IPPROTO_IPV6","","",null,null],[17,"IP_MULTICAST_TTL","","",null,null],[17,"IP_MULTICAST_LOOP","","",null,null],[17,"IP_TTL","","",null,null],[17,"IP_HDRINCL","","",null,null],[17,"IP_ADD_MEMBERSHIP","","",null,null],[17,"IP_DROP_MEMBERSHIP","","",null,null],[17,"IP_TRANSPARENT","","",null,null],[17,"IPV6_ADD_MEMBERSHIP","","",null,null],[17,"IPV6_DROP_MEMBERSHIP","","",null,null],[17,"TCP_NODELAY","","",null,null],[17,"TCP_MAXSEG","","",null,null],[17,"TCP_CORK","","",null,null],[17,"TCP_KEEPIDLE","","",null,null],[17,"TCP_KEEPINTVL","","",null,null],[17,"TCP_KEEPCNT","","",null,null],[17,"TCP_SYNCNT","","",null,null],[17,"TCP_LINGER2","","",null,null],[17,"TCP_DEFER_ACCEPT","","",null,null],[17,"TCP_WINDOW_CLAMP","","",null,null],[17,"TCP_INFO","","",null,null],[17,"TCP_QUICKACK","","",null,null],[17,"TCP_CONGESTION","","",null,null],[17,"IPV6_MULTICAST_LOOP","","",null,null],[17,"IPV6_V6ONLY","","",null,null],[17,"SO_DEBUG","","",null,null],[17,"SHUT_RD","","",null,null],[17,"SHUT_WR","","",null,null],[17,"SHUT_RDWR","","",null,null],[17,"LOCK_SH","","",null,null],[17,"LOCK_EX","","",null,null],[17,"LOCK_NB","","",null,null],[17,"LOCK_UN","","",null,null],[17,"SS_ONSTACK","","",null,null],[17,"SS_DISABLE","","",null,null],[17,"PATH_MAX","","",null,null],[17,"FD_SETSIZE","","",null,null],[17,"EPOLLIN","","",null,null],[17,"EPOLLPRI","","",null,null],[17,"EPOLLOUT","","",null,null],[17,"EPOLLRDNORM","","",null,null],[17,"EPOLLRDBAND","","",null,null],[17,"EPOLLWRNORM","","",null,null],[17,"EPOLLWRBAND","","",null,null],[17,"EPOLLMSG","","",null,null],[17,"EPOLLERR","","",null,null],[17,"EPOLLHUP","","",null,null],[17,"EPOLLET","","",null,null],[17,"EPOLL_CTL_ADD","","",null,null],[17,"EPOLL_CTL_MOD","","",null,null],[17,"EPOLL_CTL_DEL","","",null,null],[17,"MNT_DETACH","","",null,null],[17,"MNT_EXPIRE","","",null,null],[17,"Q_GETFMT","","",null,null],[17,"Q_GETINFO","","",null,null],[17,"Q_SETINFO","","",null,null],[17,"QIF_BLIMITS","","",null,null],[17,"QIF_SPACE","","",null,null],[17,"QIF_ILIMITS","","",null,null],[17,"QIF_INODES","","",null,null],[17,"QIF_BTIME","","",null,null],[17,"QIF_ITIME","","",null,null],[17,"QIF_LIMITS","","",null,null],[17,"QIF_USAGE","","",null,null],[17,"QIF_TIMES","","",null,null],[17,"QIF_ALL","","",null,null],[17,"MNT_FORCE","","",null,null],[17,"Q_SYNC","","",null,null],[17,"Q_QUOTAON","","",null,null],[17,"Q_QUOTAOFF","","",null,null],[17,"Q_GETQUOTA","","",null,null],[17,"Q_SETQUOTA","","",null,null],[17,"TCIOFF","","",null,null],[17,"TCION","","",null,null],[17,"TCOOFF","","",null,null],[17,"TCOON","","",null,null],[17,"TCIFLUSH","","",null,null],[17,"TCOFLUSH","","",null,null],[17,"TCIOFLUSH","","",null,null],[17,"NL0","","",null,null],[17,"NL1","","",null,null],[17,"TAB0","","",null,null],[17,"CR0","","",null,null],[17,"FF0","","",null,null],[17,"BS0","","",null,null],[17,"VT0","","",null,null],[17,"VERASE","","",null,null],[17,"VKILL","","",null,null],[17,"VINTR","","",null,null],[17,"VQUIT","","",null,null],[17,"VLNEXT","","",null,null],[17,"IGNBRK","","",null,null],[17,"BRKINT","","",null,null],[17,"IGNPAR","","",null,null],[17,"PARMRK","","",null,null],[17,"INPCK","","",null,null],[17,"ISTRIP","","",null,null],[17,"INLCR","","",null,null],[17,"IGNCR","","",null,null],[17,"ICRNL","","",null,null],[17,"IXANY","","",null,null],[17,"IMAXBEL","","",null,null],[17,"IUTF8","","",null,null],[17,"OPOST","","",null,null],[17,"CS5","","",null,null],[17,"CRTSCTS","","",null,null],[17,"ECHO","","",null,null],[17,"OCRNL","","",null,null],[17,"ONOCR","","",null,null],[17,"ONLRET","","",null,null],[17,"OFILL","","",null,null],[17,"OFDEL","","",null,null],[17,"CLONE_VM","","",null,null],[17,"CLONE_FS","","",null,null],[17,"CLONE_FILES","","",null,null],[17,"CLONE_SIGHAND","","",null,null],[17,"CLONE_PTRACE","","",null,null],[17,"CLONE_VFORK","","",null,null],[17,"CLONE_PARENT","","",null,null],[17,"CLONE_THREAD","","",null,null],[17,"CLONE_NEWNS","","",null,null],[17,"CLONE_SYSVSEM","","",null,null],[17,"CLONE_SETTLS","","",null,null],[17,"CLONE_PARENT_SETTID","","",null,null],[17,"CLONE_CHILD_CLEARTID","","",null,null],[17,"CLONE_DETACHED","","",null,null],[17,"CLONE_UNTRACED","","",null,null],[17,"CLONE_CHILD_SETTID","","",null,null],[17,"CLONE_NEWUTS","","",null,null],[17,"CLONE_NEWIPC","","",null,null],[17,"CLONE_NEWUSER","","",null,null],[17,"CLONE_NEWPID","","",null,null],[17,"CLONE_NEWNET","","",null,null],[17,"CLONE_IO","","",null,null],[17,"CLONE_NEWCGROUP","","",null,null],[17,"WNOHANG","","",null,null],[17,"WUNTRACED","","",null,null],[17,"WSTOPPED","","",null,null],[17,"WEXITED","","",null,null],[17,"WCONTINUED","","",null,null],[17,"WNOWAIT","","",null,null],[17,"__WNOTHREAD","","",null,null],[17,"__WALL","","",null,null],[17,"__WCLONE","","",null,null],[17,"SPLICE_F_MOVE","","",null,null],[17,"SPLICE_F_NONBLOCK","","",null,null],[17,"SPLICE_F_MORE","","",null,null],[17,"SPLICE_F_GIFT","","",null,null],[17,"RTLD_LOCAL","","",null,null],[17,"POSIX_FADV_NORMAL","","",null,null],[17,"POSIX_FADV_RANDOM","","",null,null],[17,"POSIX_FADV_SEQUENTIAL","","",null,null],[17,"POSIX_FADV_WILLNEED","","",null,null],[17,"AT_FDCWD","","",null,null],[17,"AT_SYMLINK_NOFOLLOW","","",null,null],[17,"AT_REMOVEDIR","","",null,null],[17,"AT_SYMLINK_FOLLOW","","",null,null],[17,"AT_NO_AUTOMOUNT","","",null,null],[17,"AT_EMPTY_PATH","","",null,null],[17,"LOG_CRON","","",null,null],[17,"LOG_AUTHPRIV","","",null,null],[17,"LOG_FTP","","",null,null],[17,"LOG_PERROR","","",null,null],[17,"PIPE_BUF","","",null,null],[17,"SI_LOAD_SHIFT","","",null,null],[17,"SIGEV_SIGNAL","","",null,null],[17,"SIGEV_NONE","","",null,null],[17,"SIGEV_THREAD","","",null,null],[17,"P_ALL","","",null,null],[17,"P_PID","","",null,null],[17,"P_PGID","","",null,null],[17,"UTIME_OMIT","","",null,null],[17,"UTIME_NOW","","",null,null],[17,"ABDAY_1","","",null,null],[17,"ABDAY_2","","",null,null],[17,"ABDAY_3","","",null,null],[17,"ABDAY_4","","",null,null],[17,"ABDAY_5","","",null,null],[17,"ABDAY_6","","",null,null],[17,"ABDAY_7","","",null,null],[17,"DAY_1","","",null,null],[17,"DAY_2","","",null,null],[17,"DAY_3","","",null,null],[17,"DAY_4","","",null,null],[17,"DAY_5","","",null,null],[17,"DAY_6","","",null,null],[17,"DAY_7","","",null,null],[17,"ABMON_1","","",null,null],[17,"ABMON_2","","",null,null],[17,"ABMON_3","","",null,null],[17,"ABMON_4","","",null,null],[17,"ABMON_5","","",null,null],[17,"ABMON_6","","",null,null],[17,"ABMON_7","","",null,null],[17,"ABMON_8","","",null,null],[17,"ABMON_9","","",null,null],[17,"ABMON_10","","",null,null],[17,"ABMON_11","","",null,null],[17,"ABMON_12","","",null,null],[17,"MON_1","","",null,null],[17,"MON_2","","",null,null],[17,"MON_3","","",null,null],[17,"MON_4","","",null,null],[17,"MON_5","","",null,null],[17,"MON_6","","",null,null],[17,"MON_7","","",null,null],[17,"MON_8","","",null,null],[17,"MON_9","","",null,null],[17,"MON_10","","",null,null],[17,"MON_11","","",null,null],[17,"MON_12","","",null,null],[17,"AM_STR","","",null,null],[17,"PM_STR","","",null,null],[17,"D_T_FMT","","",null,null],[17,"D_FMT","","",null,null],[17,"T_FMT","","",null,null],[17,"T_FMT_AMPM","","",null,null],[17,"ERA","","",null,null],[17,"ERA_D_FMT","","",null,null],[17,"ALT_DIGITS","","",null,null],[17,"ERA_D_T_FMT","","",null,null],[17,"ERA_T_FMT","","",null,null],[17,"CODESET","","",null,null],[17,"CRNCYSTR","","",null,null],[17,"RUSAGE_THREAD","","",null,null],[17,"RUSAGE_CHILDREN","","",null,null],[17,"RADIXCHAR","","",null,null],[17,"THOUSEP","","",null,null],[17,"YESEXPR","","",null,null],[17,"NOEXPR","","",null,null],[17,"YESSTR","","",null,null],[17,"NOSTR","","",null,null],[17,"FILENAME_MAX","","",null,null],[17,"L_tmpnam","","",null,null],[17,"_PC_LINK_MAX","","",null,null],[17,"_PC_MAX_CANON","","",null,null],[17,"_PC_MAX_INPUT","","",null,null],[17,"_PC_NAME_MAX","","",null,null],[17,"_PC_PATH_MAX","","",null,null],[17,"_PC_PIPE_BUF","","",null,null],[17,"_PC_CHOWN_RESTRICTED","","",null,null],[17,"_PC_NO_TRUNC","","",null,null],[17,"_PC_VDISABLE","","",null,null],[17,"_PC_SYNC_IO","","",null,null],[17,"_PC_ASYNC_IO","","",null,null],[17,"_PC_PRIO_IO","","",null,null],[17,"_PC_SOCK_MAXBUF","","",null,null],[17,"_PC_FILESIZEBITS","","",null,null],[17,"_PC_REC_INCR_XFER_SIZE","","",null,null],[17,"_PC_REC_MAX_XFER_SIZE","","",null,null],[17,"_PC_REC_MIN_XFER_SIZE","","",null,null],[17,"_PC_REC_XFER_ALIGN","","",null,null],[17,"_PC_ALLOC_SIZE_MIN","","",null,null],[17,"_PC_SYMLINK_MAX","","",null,null],[17,"_PC_2_SYMLINKS","","",null,null],[17,"_SC_ARG_MAX","","",null,null],[17,"_SC_CHILD_MAX","","",null,null],[17,"_SC_CLK_TCK","","",null,null],[17,"_SC_NGROUPS_MAX","","",null,null],[17,"_SC_OPEN_MAX","","",null,null],[17,"_SC_STREAM_MAX","","",null,null],[17,"_SC_TZNAME_MAX","","",null,null],[17,"_SC_JOB_CONTROL","","",null,null],[17,"_SC_SAVED_IDS","","",null,null],[17,"_SC_REALTIME_SIGNALS","","",null,null],[17,"_SC_PRIORITY_SCHEDULING","","",null,null],[17,"_SC_TIMERS","","",null,null],[17,"_SC_ASYNCHRONOUS_IO","","",null,null],[17,"_SC_PRIORITIZED_IO","","",null,null],[17,"_SC_SYNCHRONIZED_IO","","",null,null],[17,"_SC_FSYNC","","",null,null],[17,"_SC_MAPPED_FILES","","",null,null],[17,"_SC_MEMLOCK","","",null,null],[17,"_SC_MEMLOCK_RANGE","","",null,null],[17,"_SC_MEMORY_PROTECTION","","",null,null],[17,"_SC_MESSAGE_PASSING","","",null,null],[17,"_SC_SEMAPHORES","","",null,null],[17,"_SC_SHARED_MEMORY_OBJECTS","","",null,null],[17,"_SC_AIO_LISTIO_MAX","","",null,null],[17,"_SC_AIO_MAX","","",null,null],[17,"_SC_AIO_PRIO_DELTA_MAX","","",null,null],[17,"_SC_DELAYTIMER_MAX","","",null,null],[17,"_SC_MQ_OPEN_MAX","","",null,null],[17,"_SC_MQ_PRIO_MAX","","",null,null],[17,"_SC_VERSION","","",null,null],[17,"_SC_PAGESIZE","","",null,null],[17,"_SC_PAGE_SIZE","","",null,null],[17,"_SC_RTSIG_MAX","","",null,null],[17,"_SC_SEM_NSEMS_MAX","","",null,null],[17,"_SC_SEM_VALUE_MAX","","",null,null],[17,"_SC_SIGQUEUE_MAX","","",null,null],[17,"_SC_TIMER_MAX","","",null,null],[17,"_SC_BC_BASE_MAX","","",null,null],[17,"_SC_BC_DIM_MAX","","",null,null],[17,"_SC_BC_SCALE_MAX","","",null,null],[17,"_SC_BC_STRING_MAX","","",null,null],[17,"_SC_COLL_WEIGHTS_MAX","","",null,null],[17,"_SC_EXPR_NEST_MAX","","",null,null],[17,"_SC_LINE_MAX","","",null,null],[17,"_SC_RE_DUP_MAX","","",null,null],[17,"_SC_2_VERSION","","",null,null],[17,"_SC_2_C_BIND","","",null,null],[17,"_SC_2_C_DEV","","",null,null],[17,"_SC_2_FORT_DEV","","",null,null],[17,"_SC_2_FORT_RUN","","",null,null],[17,"_SC_2_SW_DEV","","",null,null],[17,"_SC_2_LOCALEDEF","","",null,null],[17,"_SC_UIO_MAXIOV","","",null,null],[17,"_SC_IOV_MAX","","",null,null],[17,"_SC_THREADS","","",null,null],[17,"_SC_THREAD_SAFE_FUNCTIONS","","",null,null],[17,"_SC_GETGR_R_SIZE_MAX","","",null,null],[17,"_SC_GETPW_R_SIZE_MAX","","",null,null],[17,"_SC_LOGIN_NAME_MAX","","",null,null],[17,"_SC_TTY_NAME_MAX","","",null,null],[17,"_SC_THREAD_DESTRUCTOR_ITERATIONS","","",null,null],[17,"_SC_THREAD_KEYS_MAX","","",null,null],[17,"_SC_THREAD_STACK_MIN","","",null,null],[17,"_SC_THREAD_THREADS_MAX","","",null,null],[17,"_SC_THREAD_ATTR_STACKADDR","","",null,null],[17,"_SC_THREAD_ATTR_STACKSIZE","","",null,null],[17,"_SC_THREAD_PRIORITY_SCHEDULING","","",null,null],[17,"_SC_THREAD_PRIO_INHERIT","","",null,null],[17,"_SC_THREAD_PRIO_PROTECT","","",null,null],[17,"_SC_THREAD_PROCESS_SHARED","","",null,null],[17,"_SC_NPROCESSORS_CONF","","",null,null],[17,"_SC_NPROCESSORS_ONLN","","",null,null],[17,"_SC_PHYS_PAGES","","",null,null],[17,"_SC_AVPHYS_PAGES","","",null,null],[17,"_SC_ATEXIT_MAX","","",null,null],[17,"_SC_PASS_MAX","","",null,null],[17,"_SC_XOPEN_VERSION","","",null,null],[17,"_SC_XOPEN_XCU_VERSION","","",null,null],[17,"_SC_XOPEN_UNIX","","",null,null],[17,"_SC_XOPEN_CRYPT","","",null,null],[17,"_SC_XOPEN_ENH_I18N","","",null,null],[17,"_SC_XOPEN_SHM","","",null,null],[17,"_SC_2_CHAR_TERM","","",null,null],[17,"_SC_2_UPE","","",null,null],[17,"_SC_XOPEN_XPG2","","",null,null],[17,"_SC_XOPEN_XPG3","","",null,null],[17,"_SC_XOPEN_XPG4","","",null,null],[17,"_SC_NZERO","","",null,null],[17,"_SC_XBS5_ILP32_OFF32","","",null,null],[17,"_SC_XBS5_ILP32_OFFBIG","","",null,null],[17,"_SC_XBS5_LP64_OFF64","","",null,null],[17,"_SC_XBS5_LPBIG_OFFBIG","","",null,null],[17,"_SC_XOPEN_LEGACY","","",null,null],[17,"_SC_XOPEN_REALTIME","","",null,null],[17,"_SC_XOPEN_REALTIME_THREADS","","",null,null],[17,"_SC_ADVISORY_INFO","","",null,null],[17,"_SC_BARRIERS","","",null,null],[17,"_SC_CLOCK_SELECTION","","",null,null],[17,"_SC_CPUTIME","","",null,null],[17,"_SC_THREAD_CPUTIME","","",null,null],[17,"_SC_MONOTONIC_CLOCK","","",null,null],[17,"_SC_READER_WRITER_LOCKS","","",null,null],[17,"_SC_SPIN_LOCKS","","",null,null],[17,"_SC_REGEXP","","",null,null],[17,"_SC_SHELL","","",null,null],[17,"_SC_SPAWN","","",null,null],[17,"_SC_SPORADIC_SERVER","","",null,null],[17,"_SC_THREAD_SPORADIC_SERVER","","",null,null],[17,"_SC_TIMEOUTS","","",null,null],[17,"_SC_TYPED_MEMORY_OBJECTS","","",null,null],[17,"_SC_2_PBS","","",null,null],[17,"_SC_2_PBS_ACCOUNTING","","",null,null],[17,"_SC_2_PBS_LOCATE","","",null,null],[17,"_SC_2_PBS_MESSAGE","","",null,null],[17,"_SC_2_PBS_TRACK","","",null,null],[17,"_SC_SYMLOOP_MAX","","",null,null],[17,"_SC_STREAMS","","",null,null],[17,"_SC_2_PBS_CHECKPOINT","","",null,null],[17,"_SC_V6_ILP32_OFF32","","",null,null],[17,"_SC_V6_ILP32_OFFBIG","","",null,null],[17,"_SC_V6_LP64_OFF64","","",null,null],[17,"_SC_V6_LPBIG_OFFBIG","","",null,null],[17,"_SC_HOST_NAME_MAX","","",null,null],[17,"_SC_TRACE","","",null,null],[17,"_SC_TRACE_EVENT_FILTER","","",null,null],[17,"_SC_TRACE_INHERIT","","",null,null],[17,"_SC_TRACE_LOG","","",null,null],[17,"_SC_IPV6","","",null,null],[17,"_SC_RAW_SOCKETS","","",null,null],[17,"_SC_V7_ILP32_OFF32","","",null,null],[17,"_SC_V7_ILP32_OFFBIG","","",null,null],[17,"_SC_V7_LP64_OFF64","","",null,null],[17,"_SC_V7_LPBIG_OFFBIG","","",null,null],[17,"_SC_SS_REPL_MAX","","",null,null],[17,"_SC_TRACE_EVENT_NAME_MAX","","",null,null],[17,"_SC_TRACE_NAME_MAX","","",null,null],[17,"_SC_TRACE_SYS_MAX","","",null,null],[17,"_SC_TRACE_USER_EVENT_MAX","","",null,null],[17,"_SC_XOPEN_STREAMS","","",null,null],[17,"_SC_THREAD_ROBUST_PRIO_INHERIT","","",null,null],[17,"_SC_THREAD_ROBUST_PRIO_PROTECT","","",null,null],[17,"RLIM_SAVED_MAX","","",null,null],[17,"RLIM_SAVED_CUR","","",null,null],[17,"GLOB_ERR","","",null,null],[17,"GLOB_MARK","","",null,null],[17,"GLOB_NOSORT","","",null,null],[17,"GLOB_DOOFFS","","",null,null],[17,"GLOB_NOCHECK","","",null,null],[17,"GLOB_APPEND","","",null,null],[17,"GLOB_NOESCAPE","","",null,null],[17,"GLOB_NOSPACE","","",null,null],[17,"GLOB_ABORTED","","",null,null],[17,"GLOB_NOMATCH","","",null,null],[17,"POSIX_MADV_NORMAL","","",null,null],[17,"POSIX_MADV_RANDOM","","",null,null],[17,"POSIX_MADV_SEQUENTIAL","","",null,null],[17,"POSIX_MADV_WILLNEED","","",null,null],[17,"S_IEXEC","","",null,null],[17,"S_IWRITE","","",null,null],[17,"S_IREAD","","",null,null],[17,"F_LOCK","","",null,null],[17,"F_TEST","","",null,null],[17,"F_TLOCK","","",null,null],[17,"F_ULOCK","","",null,null],[17,"ST_RDONLY","","",null,null],[17,"ST_NOSUID","","",null,null],[17,"ST_NODEV","","",null,null],[17,"ST_NOEXEC","","",null,null],[17,"ST_SYNCHRONOUS","","",null,null],[17,"ST_MANDLOCK","","",null,null],[17,"ST_WRITE","","",null,null],[17,"ST_APPEND","","",null,null],[17,"ST_IMMUTABLE","","",null,null],[17,"ST_NOATIME","","",null,null],[17,"ST_NODIRATIME","","",null,null],[17,"RTLD_NEXT","","",null,null],[17,"RTLD_DEFAULT","","",null,null],[17,"RTLD_NODELETE","","",null,null],[17,"RTLD_NOW","","",null,null],[17,"TCP_MD5SIG","","",null,null],[17,"PTHREAD_MUTEX_INITIALIZER","","",null,null],[17,"PTHREAD_COND_INITIALIZER","","",null,null],[17,"PTHREAD_RWLOCK_INITIALIZER","","",null,null],[17,"PTHREAD_MUTEX_NORMAL","","",null,null],[17,"PTHREAD_MUTEX_RECURSIVE","","",null,null],[17,"PTHREAD_MUTEX_ERRORCHECK","","",null,null],[17,"PTHREAD_MUTEX_DEFAULT","","",null,null],[17,"PTHREAD_PROCESS_PRIVATE","","",null,null],[17,"PTHREAD_PROCESS_SHARED","","",null,null],[17,"__SIZEOF_PTHREAD_COND_T","","",null,null],[17,"SCHED_OTHER","","",null,null],[17,"SCHED_FIFO","","",null,null],[17,"SCHED_RR","","",null,null],[17,"SCHED_BATCH","","",null,null],[17,"SCHED_IDLE","","",null,null],[17,"AF_IB","","",null,null],[17,"AF_MPLS","","",null,null],[17,"AF_NFC","","",null,null],[17,"AF_VSOCK","","",null,null],[17,"PF_IB","","",null,null],[17,"PF_MPLS","","",null,null],[17,"PF_NFC","","",null,null],[17,"PF_VSOCK","","",null,null],[17,"IPC_PRIVATE","","",null,null],[17,"IPC_CREAT","","",null,null],[17,"IPC_EXCL","","",null,null],[17,"IPC_NOWAIT","","",null,null],[17,"IPC_RMID","","",null,null],[17,"IPC_SET","","",null,null],[17,"IPC_STAT","","",null,null],[17,"IPC_INFO","","",null,null],[17,"MSG_STAT","","",null,null],[17,"MSG_INFO","","",null,null],[17,"MSG_NOERROR","","",null,null],[17,"MSG_EXCEPT","","",null,null],[17,"MSG_COPY","","",null,null],[17,"SHM_R","","",null,null],[17,"SHM_W","","",null,null],[17,"SHM_RDONLY","","",null,null],[17,"SHM_RND","","",null,null],[17,"SHM_REMAP","","",null,null],[17,"SHM_EXEC","","",null,null],[17,"SHM_LOCK","","",null,null],[17,"SHM_UNLOCK","","",null,null],[17,"SHM_HUGETLB","","",null,null],[17,"SHM_NORESERVE","","",null,null],[17,"EPOLLRDHUP","","",null,null],[17,"EPOLLEXCLUSIVE","","",null,null],[17,"EPOLLONESHOT","","",null,null],[17,"QFMT_VFS_OLD","","",null,null],[17,"QFMT_VFS_V0","","",null,null],[17,"EFD_SEMAPHORE","","",null,null],[17,"LOG_NFACILITIES","","",null,null],[17,"SEM_FAILED","","",null,null],[17,"RB_AUTOBOOT","","",null,null],[17,"RB_HALT_SYSTEM","","",null,null],[17,"RB_ENABLE_CAD","","",null,null],[17,"RB_DISABLE_CAD","","",null,null],[17,"RB_POWER_OFF","","",null,null],[17,"RB_SW_SUSPEND","","",null,null],[17,"RB_KEXEC","","",null,null],[17,"AI_PASSIVE","","",null,null],[17,"AI_CANONNAME","","",null,null],[17,"AI_NUMERICHOST","","",null,null],[17,"AI_V4MAPPED","","",null,null],[17,"AI_ALL","","",null,null],[17,"AI_ADDRCONFIG","","",null,null],[17,"AI_NUMERICSERV","","",null,null],[17,"EAI_BADFLAGS","","",null,null],[17,"EAI_NONAME","","",null,null],[17,"EAI_AGAIN","","",null,null],[17,"EAI_FAIL","","",null,null],[17,"EAI_FAMILY","","",null,null],[17,"EAI_SOCKTYPE","","",null,null],[17,"EAI_SERVICE","","",null,null],[17,"EAI_MEMORY","","",null,null],[17,"EAI_OVERFLOW","","",null,null],[17,"NI_NUMERICHOST","","",null,null],[17,"NI_NUMERICSERV","","",null,null],[17,"NI_NOFQDN","","",null,null],[17,"NI_NAMEREQD","","",null,null],[17,"NI_DGRAM","","",null,null],[17,"SYNC_FILE_RANGE_WAIT_BEFORE","","",null,null],[17,"SYNC_FILE_RANGE_WRITE","","",null,null],[17,"SYNC_FILE_RANGE_WAIT_AFTER","","",null,null],[17,"EAI_SYSTEM","","",null,null],[17,"AIO_CANCELED","","",null,null],[17,"AIO_NOTCANCELED","","",null,null],[17,"AIO_ALLDONE","","",null,null],[17,"LIO_READ","","",null,null],[17,"LIO_WRITE","","",null,null],[17,"LIO_NOP","","",null,null],[17,"LIO_WAIT","","",null,null],[17,"LIO_NOWAIT","","",null,null],[17,"MREMAP_MAYMOVE","","",null,null],[17,"MREMAP_FIXED","","",null,null],[17,"PR_SET_PDEATHSIG","","",null,null],[17,"PR_GET_PDEATHSIG","","",null,null],[17,"PR_GET_DUMPABLE","","",null,null],[17,"PR_SET_DUMPABLE","","",null,null],[17,"PR_GET_UNALIGN","","",null,null],[17,"PR_SET_UNALIGN","","",null,null],[17,"PR_UNALIGN_NOPRINT","","",null,null],[17,"PR_UNALIGN_SIGBUS","","",null,null],[17,"PR_GET_KEEPCAPS","","",null,null],[17,"PR_SET_KEEPCAPS","","",null,null],[17,"PR_GET_FPEMU","","",null,null],[17,"PR_SET_FPEMU","","",null,null],[17,"PR_FPEMU_NOPRINT","","",null,null],[17,"PR_FPEMU_SIGFPE","","",null,null],[17,"PR_GET_FPEXC","","",null,null],[17,"PR_SET_FPEXC","","",null,null],[17,"PR_FP_EXC_SW_ENABLE","","",null,null],[17,"PR_FP_EXC_DIV","","",null,null],[17,"PR_FP_EXC_OVF","","",null,null],[17,"PR_FP_EXC_UND","","",null,null],[17,"PR_FP_EXC_RES","","",null,null],[17,"PR_FP_EXC_INV","","",null,null],[17,"PR_FP_EXC_DISABLED","","",null,null],[17,"PR_FP_EXC_NONRECOV","","",null,null],[17,"PR_FP_EXC_ASYNC","","",null,null],[17,"PR_FP_EXC_PRECISE","","",null,null],[17,"PR_GET_TIMING","","",null,null],[17,"PR_SET_TIMING","","",null,null],[17,"PR_TIMING_STATISTICAL","","",null,null],[17,"PR_TIMING_TIMESTAMP","","",null,null],[17,"PR_SET_NAME","","",null,null],[17,"PR_GET_NAME","","",null,null],[17,"PR_GET_ENDIAN","","",null,null],[17,"PR_SET_ENDIAN","","",null,null],[17,"PR_ENDIAN_BIG","","",null,null],[17,"PR_ENDIAN_LITTLE","","",null,null],[17,"PR_ENDIAN_PPC_LITTLE","","",null,null],[17,"PR_GET_SECCOMP","","",null,null],[17,"PR_SET_SECCOMP","","",null,null],[17,"PR_CAPBSET_READ","","",null,null],[17,"PR_CAPBSET_DROP","","",null,null],[17,"PR_GET_TSC","","",null,null],[17,"PR_SET_TSC","","",null,null],[17,"PR_TSC_ENABLE","","",null,null],[17,"PR_TSC_SIGSEGV","","",null,null],[17,"PR_GET_SECUREBITS","","",null,null],[17,"PR_SET_SECUREBITS","","",null,null],[17,"PR_SET_TIMERSLACK","","",null,null],[17,"PR_GET_TIMERSLACK","","",null,null],[17,"PR_TASK_PERF_EVENTS_DISABLE","","",null,null],[17,"PR_TASK_PERF_EVENTS_ENABLE","","",null,null],[17,"PR_MCE_KILL","","",null,null],[17,"PR_MCE_KILL_CLEAR","","",null,null],[17,"PR_MCE_KILL_SET","","",null,null],[17,"PR_MCE_KILL_LATE","","",null,null],[17,"PR_MCE_KILL_EARLY","","",null,null],[17,"PR_MCE_KILL_DEFAULT","","",null,null],[17,"PR_MCE_KILL_GET","","",null,null],[17,"PR_SET_MM","","",null,null],[17,"PR_SET_MM_START_CODE","","",null,null],[17,"PR_SET_MM_END_CODE","","",null,null],[17,"PR_SET_MM_START_DATA","","",null,null],[17,"PR_SET_MM_END_DATA","","",null,null],[17,"PR_SET_MM_START_STACK","","",null,null],[17,"PR_SET_MM_START_BRK","","",null,null],[17,"PR_SET_MM_BRK","","",null,null],[17,"PR_SET_MM_ARG_START","","",null,null],[17,"PR_SET_MM_ARG_END","","",null,null],[17,"PR_SET_MM_ENV_START","","",null,null],[17,"PR_SET_MM_ENV_END","","",null,null],[17,"PR_SET_MM_AUXV","","",null,null],[17,"PR_SET_MM_EXE_FILE","","",null,null],[17,"PR_SET_MM_MAP","","",null,null],[17,"PR_SET_MM_MAP_SIZE","","",null,null],[17,"PR_SET_PTRACER","","",null,null],[17,"PR_SET_CHILD_SUBREAPER","","",null,null],[17,"PR_GET_CHILD_SUBREAPER","","",null,null],[17,"PR_SET_NO_NEW_PRIVS","","",null,null],[17,"PR_GET_NO_NEW_PRIVS","","",null,null],[17,"PR_GET_TID_ADDRESS","","",null,null],[17,"PR_SET_THP_DISABLE","","",null,null],[17,"PR_GET_THP_DISABLE","","",null,null],[17,"PR_MPX_ENABLE_MANAGEMENT","","",null,null],[17,"PR_MPX_DISABLE_MANAGEMENT","","",null,null],[17,"PR_SET_FP_MODE","","",null,null],[17,"PR_GET_FP_MODE","","",null,null],[17,"PR_FP_MODE_FR","","",null,null],[17,"PR_FP_MODE_FRE","","",null,null],[17,"PR_CAP_AMBIENT","","",null,null],[17,"PR_CAP_AMBIENT_IS_SET","","",null,null],[17,"PR_CAP_AMBIENT_RAISE","","",null,null],[17,"PR_CAP_AMBIENT_LOWER","","",null,null],[17,"PR_CAP_AMBIENT_CLEAR_ALL","","",null,null],[17,"ITIMER_REAL","","",null,null],[17,"ITIMER_VIRTUAL","","",null,null],[17,"ITIMER_PROF","","",null,null],[17,"XATTR_CREATE","","",null,null],[17,"XATTR_REPLACE","","",null,null],[17,"_POSIX_VDISABLE","","",null,null],[17,"ENOATTR","","",null,null],[17,"__UT_LINESIZE","","",null,null],[17,"__UT_NAMESIZE","","",null,null],[17,"__UT_HOSTSIZE","","",null,null],[17,"EMPTY","","",null,null],[17,"RUN_LVL","","",null,null],[17,"BOOT_TIME","","",null,null],[17,"NEW_TIME","","",null,null],[17,"OLD_TIME","","",null,null],[17,"INIT_PROCESS","","",null,null],[17,"LOGIN_PROCESS","","",null,null],[17,"USER_PROCESS","","",null,null],[17,"DEAD_PROCESS","","",null,null],[17,"ACCOUNTING","","",null,null],[17,"RLIMIT_RSS","","",null,null],[17,"RLIMIT_AS","","",null,null],[17,"RLIMIT_MEMLOCK","","",null,null],[17,"RLIM_INFINITY","","",null,null],[17,"RLIMIT_RTTIME","","",null,null],[17,"RLIMIT_NLIMITS","","",null,null],[17,"SOCK_NONBLOCK","","",null,null],[17,"SOL_RXRPC","","",null,null],[17,"SOL_PPPOL2TP","","",null,null],[17,"SOL_BLUETOOTH","","",null,null],[17,"SOL_PNPIPE","","",null,null],[17,"SOL_RDS","","",null,null],[17,"SOL_IUCV","","",null,null],[17,"SOL_CAIF","","",null,null],[17,"SOL_ALG","","",null,null],[17,"SOL_NFC","","",null,null],[17,"MSG_TRYHARD","","",null,null],[17,"LC_PAPER","","",null,null],[17,"LC_NAME","","",null,null],[17,"LC_ADDRESS","","",null,null],[17,"LC_TELEPHONE","","",null,null],[17,"LC_MEASUREMENT","","",null,null],[17,"LC_IDENTIFICATION","","",null,null],[17,"LC_PAPER_MASK","","",null,null],[17,"LC_NAME_MASK","","",null,null],[17,"LC_ADDRESS_MASK","","",null,null],[17,"LC_TELEPHONE_MASK","","",null,null],[17,"LC_MEASUREMENT_MASK","","",null,null],[17,"LC_IDENTIFICATION_MASK","","",null,null],[17,"LC_ALL_MASK","","",null,null],[17,"MAP_ANON","","",null,null],[17,"MAP_ANONYMOUS","","",null,null],[17,"MAP_DENYWRITE","","",null,null],[17,"MAP_EXECUTABLE","","",null,null],[17,"MAP_POPULATE","","",null,null],[17,"MAP_NONBLOCK","","",null,null],[17,"MAP_STACK","","",null,null],[17,"ENOTSUP","","",null,null],[17,"EUCLEAN","","",null,null],[17,"ENOTNAM","","",null,null],[17,"ENAVAIL","","",null,null],[17,"EISNAM","","",null,null],[17,"EREMOTEIO","","",null,null],[17,"SOCK_STREAM","","",null,null],[17,"SOCK_DGRAM","","",null,null],[17,"SOCK_SEQPACKET","","",null,null],[17,"TCP_COOKIE_TRANSACTIONS","","",null,null],[17,"TCP_THIN_LINEAR_TIMEOUTS","","",null,null],[17,"TCP_THIN_DUPACK","","",null,null],[17,"TCP_USER_TIMEOUT","","",null,null],[17,"TCP_REPAIR","","",null,null],[17,"TCP_REPAIR_QUEUE","","",null,null],[17,"TCP_QUEUE_SEQ","","",null,null],[17,"TCP_REPAIR_OPTIONS","","",null,null],[17,"TCP_FASTOPEN","","",null,null],[17,"TCP_TIMESTAMP","","",null,null],[17,"SIGTTIN","","",null,null],[17,"SIGTTOU","","",null,null],[17,"SIGXCPU","","",null,null],[17,"SIGXFSZ","","",null,null],[17,"SIGVTALRM","","",null,null],[17,"SIGPROF","","",null,null],[17,"SIGWINCH","","",null,null],[17,"SIGEV_THREAD_ID","","",null,null],[17,"POLLRDNORM","","",null,null],[17,"POLLRDBAND","","",null,null],[17,"FALLOC_FL_KEEP_SIZE","","",null,null],[17,"FALLOC_FL_PUNCH_HOLE","","",null,null],[17,"BUFSIZ","","",null,null],[17,"TMP_MAX","","",null,null],[17,"FOPEN_MAX","","",null,null],[17,"POSIX_FADV_DONTNEED","","",null,null],[17,"POSIX_FADV_NOREUSE","","",null,null],[17,"POSIX_MADV_DONTNEED","","",null,null],[17,"_SC_EQUIV_CLASS_MAX","","",null,null],[17,"_SC_CHARCLASS_NAME_MAX","","",null,null],[17,"_SC_PII","","",null,null],[17,"_SC_PII_XTI","","",null,null],[17,"_SC_PII_SOCKET","","",null,null],[17,"_SC_PII_INTERNET","","",null,null],[17,"_SC_PII_OSI","","",null,null],[17,"_SC_POLL","","",null,null],[17,"_SC_SELECT","","",null,null],[17,"_SC_PII_INTERNET_STREAM","","",null,null],[17,"_SC_PII_INTERNET_DGRAM","","",null,null],[17,"_SC_PII_OSI_COTS","","",null,null],[17,"_SC_PII_OSI_CLTS","","",null,null],[17,"_SC_PII_OSI_M","","",null,null],[17,"_SC_T_IOV_MAX","","",null,null],[17,"_SC_2_C_VERSION","","",null,null],[17,"_SC_CHAR_BIT","","",null,null],[17,"_SC_CHAR_MAX","","",null,null],[17,"_SC_CHAR_MIN","","",null,null],[17,"_SC_INT_MAX","","",null,null],[17,"_SC_INT_MIN","","",null,null],[17,"_SC_LONG_BIT","","",null,null],[17,"_SC_WORD_BIT","","",null,null],[17,"_SC_MB_LEN_MAX","","",null,null],[17,"_SC_SSIZE_MAX","","",null,null],[17,"_SC_SCHAR_MAX","","",null,null],[17,"_SC_SCHAR_MIN","","",null,null],[17,"_SC_SHRT_MAX","","",null,null],[17,"_SC_SHRT_MIN","","",null,null],[17,"_SC_UCHAR_MAX","","",null,null],[17,"_SC_UINT_MAX","","",null,null],[17,"_SC_ULONG_MAX","","",null,null],[17,"_SC_USHRT_MAX","","",null,null],[17,"_SC_NL_ARGMAX","","",null,null],[17,"_SC_NL_LANGMAX","","",null,null],[17,"_SC_NL_MSGMAX","","",null,null],[17,"_SC_NL_NMAX","","",null,null],[17,"_SC_NL_SETMAX","","",null,null],[17,"_SC_NL_TEXTMAX","","",null,null],[17,"_SC_BASE","","",null,null],[17,"_SC_C_LANG_SUPPORT","","",null,null],[17,"_SC_C_LANG_SUPPORT_R","","",null,null],[17,"_SC_DEVICE_IO","","",null,null],[17,"_SC_DEVICE_SPECIFIC","","",null,null],[17,"_SC_DEVICE_SPECIFIC_R","","",null,null],[17,"_SC_FD_MGMT","","",null,null],[17,"_SC_FIFO","","",null,null],[17,"_SC_PIPE","","",null,null],[17,"_SC_FILE_ATTRIBUTES","","",null,null],[17,"_SC_FILE_LOCKING","","",null,null],[17,"_SC_FILE_SYSTEM","","",null,null],[17,"_SC_MULTI_PROCESS","","",null,null],[17,"_SC_SINGLE_PROCESS","","",null,null],[17,"_SC_NETWORKING","","",null,null],[17,"_SC_REGEX_VERSION","","",null,null],[17,"_SC_SIGNALS","","",null,null],[17,"_SC_SYSTEM_DATABASE","","",null,null],[17,"_SC_SYSTEM_DATABASE_R","","",null,null],[17,"_SC_USER_GROUPS","","",null,null],[17,"_SC_USER_GROUPS_R","","",null,null],[17,"_SC_LEVEL1_ICACHE_SIZE","","",null,null],[17,"_SC_LEVEL1_ICACHE_ASSOC","","",null,null],[17,"_SC_LEVEL1_ICACHE_LINESIZE","","",null,null],[17,"_SC_LEVEL1_DCACHE_SIZE","","",null,null],[17,"_SC_LEVEL1_DCACHE_ASSOC","","",null,null],[17,"_SC_LEVEL1_DCACHE_LINESIZE","","",null,null],[17,"_SC_LEVEL2_CACHE_SIZE","","",null,null],[17,"_SC_LEVEL2_CACHE_ASSOC","","",null,null],[17,"_SC_LEVEL2_CACHE_LINESIZE","","",null,null],[17,"_SC_LEVEL3_CACHE_SIZE","","",null,null],[17,"_SC_LEVEL3_CACHE_ASSOC","","",null,null],[17,"_SC_LEVEL3_CACHE_LINESIZE","","",null,null],[17,"_SC_LEVEL4_CACHE_SIZE","","",null,null],[17,"_SC_LEVEL4_CACHE_ASSOC","","",null,null],[17,"_SC_LEVEL4_CACHE_LINESIZE","","",null,null],[17,"O_ACCMODE","","",null,null],[17,"ST_RELATIME","","",null,null],[17,"NI_MAXHOST","","",null,null],[17,"ADFS_SUPER_MAGIC","","",null,null],[17,"AFFS_SUPER_MAGIC","","",null,null],[17,"CODA_SUPER_MAGIC","","",null,null],[17,"CRAMFS_MAGIC","","",null,null],[17,"EFS_SUPER_MAGIC","","",null,null],[17,"EXT2_SUPER_MAGIC","","",null,null],[17,"EXT3_SUPER_MAGIC","","",null,null],[17,"EXT4_SUPER_MAGIC","","",null,null],[17,"HPFS_SUPER_MAGIC","","",null,null],[17,"HUGETLBFS_MAGIC","","",null,null],[17,"ISOFS_SUPER_MAGIC","","",null,null],[17,"JFFS2_SUPER_MAGIC","","",null,null],[17,"MINIX_SUPER_MAGIC","","",null,null],[17,"MINIX_SUPER_MAGIC2","","",null,null],[17,"MINIX2_SUPER_MAGIC","","",null,null],[17,"MINIX2_SUPER_MAGIC2","","",null,null],[17,"MSDOS_SUPER_MAGIC","","",null,null],[17,"NCP_SUPER_MAGIC","","",null,null],[17,"NFS_SUPER_MAGIC","","",null,null],[17,"OPENPROM_SUPER_MAGIC","","",null,null],[17,"PROC_SUPER_MAGIC","","",null,null],[17,"QNX4_SUPER_MAGIC","","",null,null],[17,"REISERFS_SUPER_MAGIC","","",null,null],[17,"SMB_SUPER_MAGIC","","",null,null],[17,"TMPFS_MAGIC","","",null,null],[17,"USBDEVICE_SUPER_MAGIC","","",null,null],[17,"VEOF","","",null,null],[17,"CPU_SETSIZE","","",null,null],[17,"QFMT_VFS_V1","","",null,null],[17,"PTRACE_TRACEME","","",null,null],[17,"PTRACE_PEEKTEXT","","",null,null],[17,"PTRACE_PEEKDATA","","",null,null],[17,"PTRACE_PEEKUSER","","",null,null],[17,"PTRACE_POKETEXT","","",null,null],[17,"PTRACE_POKEDATA","","",null,null],[17,"PTRACE_POKEUSER","","",null,null],[17,"PTRACE_CONT","","",null,null],[17,"PTRACE_KILL","","",null,null],[17,"PTRACE_SINGLESTEP","","",null,null],[17,"PTRACE_ATTACH","","",null,null],[17,"PTRACE_SYSCALL","","",null,null],[17,"PTRACE_SETOPTIONS","","",null,null],[17,"PTRACE_GETEVENTMSG","","",null,null],[17,"PTRACE_GETSIGINFO","","",null,null],[17,"PTRACE_SETSIGINFO","","",null,null],[17,"PTRACE_GETREGSET","","",null,null],[17,"PTRACE_SETREGSET","","",null,null],[17,"PTRACE_SEIZE","","",null,null],[17,"PTRACE_INTERRUPT","","",null,null],[17,"PTRACE_LISTEN","","",null,null],[17,"PTRACE_PEEKSIGINFO","","",null,null],[17,"MADV_DODUMP","","",null,null],[17,"MADV_DONTDUMP","","",null,null],[17,"EPOLLWAKEUP","","",null,null],[17,"MADV_HUGEPAGE","","",null,null],[17,"MADV_NOHUGEPAGE","","",null,null],[17,"MAP_HUGETLB","","",null,null],[17,"SEEK_DATA","","",null,null],[17,"SEEK_HOLE","","",null,null],[17,"TCSANOW","","",null,null],[17,"TCSADRAIN","","",null,null],[17,"TCSAFLUSH","","",null,null],[17,"TIOCLINUX","","",null,null],[17,"TIOCGSERIAL","","",null,null],[17,"RTLD_DEEPBIND","","",null,null],[17,"RTLD_GLOBAL","","",null,null],[17,"RTLD_NOLOAD","","",null,null],[17,"LINUX_REBOOT_MAGIC1","","",null,null],[17,"LINUX_REBOOT_MAGIC2","","",null,null],[17,"LINUX_REBOOT_MAGIC2A","","",null,null],[17,"LINUX_REBOOT_MAGIC2B","","",null,null],[17,"LINUX_REBOOT_MAGIC2C","","",null,null],[17,"LINUX_REBOOT_CMD_RESTART","","",null,null],[17,"LINUX_REBOOT_CMD_HALT","","",null,null],[17,"LINUX_REBOOT_CMD_CAD_ON","","",null,null],[17,"LINUX_REBOOT_CMD_CAD_OFF","","",null,null],[17,"LINUX_REBOOT_CMD_POWER_OFF","","",null,null],[17,"LINUX_REBOOT_CMD_RESTART2","","",null,null],[17,"LINUX_REBOOT_CMD_SW_SUSPEND","","",null,null],[17,"LINUX_REBOOT_CMD_KEXEC","","",null,null],[17,"NETLINK_ROUTE","","",null,null],[17,"NETLINK_UNUSED","","",null,null],[17,"NETLINK_USERSOCK","","",null,null],[17,"NETLINK_FIREWALL","","",null,null],[17,"NETLINK_SOCK_DIAG","","",null,null],[17,"NETLINK_NFLOG","","",null,null],[17,"NETLINK_XFRM","","",null,null],[17,"NETLINK_SELINUX","","",null,null],[17,"NETLINK_ISCSI","","",null,null],[17,"NETLINK_AUDIT","","",null,null],[17,"NETLINK_FIB_LOOKUP","","",null,null],[17,"NETLINK_CONNECTOR","","",null,null],[17,"NETLINK_NETFILTER","","",null,null],[17,"NETLINK_IP6_FW","","",null,null],[17,"NETLINK_DNRTMSG","","",null,null],[17,"NETLINK_KOBJECT_UEVENT","","",null,null],[17,"NETLINK_GENERIC","","",null,null],[17,"NETLINK_SCSITRANSPORT","","",null,null],[17,"NETLINK_ECRYPTFS","","",null,null],[17,"NETLINK_RDMA","","",null,null],[17,"NETLINK_CRYPTO","","",null,null],[17,"NETLINK_INET_DIAG","","",null,null],[17,"MAX_LINKS","","",null,null],[17,"NLM_F_REQUEST","","",null,null],[17,"NLM_F_MULTI","","",null,null],[17,"NLM_F_ACK","","",null,null],[17,"NLM_F_ECHO","","",null,null],[17,"NLM_F_DUMP_INTR","","",null,null],[17,"NLM_F_DUMP_FILTERED","","",null,null],[17,"NLM_F_ROOT","","",null,null],[17,"NLM_F_MATCH","","",null,null],[17,"NLM_F_ATOMIC","","",null,null],[17,"NLM_F_DUMP","","",null,null],[17,"NLM_F_REPLACE","","",null,null],[17,"NLM_F_EXCL","","",null,null],[17,"NLM_F_CREATE","","",null,null],[17,"NLM_F_APPEND","","",null,null],[17,"NLMSG_NOOP","","",null,null],[17,"NLMSG_ERROR","","",null,null],[17,"NLMSG_DONE","","",null,null],[17,"NLMSG_OVERRUN","","",null,null],[17,"NLMSG_MIN_TYPE","","",null,null],[17,"NETLINK_ADD_MEMBERSHIP","","",null,null],[17,"NETLINK_DROP_MEMBERSHIP","","",null,null],[17,"NETLINK_PKTINFO","","",null,null],[17,"NETLINK_BROADCAST_ERROR","","",null,null],[17,"NETLINK_NO_ENOBUFS","","",null,null],[17,"NETLINK_RX_RING","","",null,null],[17,"NETLINK_TX_RING","","",null,null],[17,"NETLINK_LISTEN_ALL_NSID","","",null,null],[17,"NETLINK_LIST_MEMBERSHIPS","","",null,null],[17,"NETLINK_CAP_ACK","","",null,null],[17,"NLA_F_NESTED","","",null,null],[17,"NLA_F_NET_BYTEORDER","","",null,null],[17,"NLA_TYPE_MASK","","",null,null],[17,"CMSPAR","","",null,null],[17,"TIOCM_LE","","",null,null],[17,"TIOCM_DTR","","",null,null],[17,"TIOCM_RTS","","",null,null],[17,"TIOCM_ST","","",null,null],[17,"TIOCM_SR","","",null,null],[17,"TIOCM_CTS","","",null,null],[17,"TIOCM_CAR","","",null,null],[17,"TIOCM_RNG","","",null,null],[17,"TIOCM_DSR","","",null,null],[17,"TIOCM_CD","","",null,null],[17,"TIOCM_RI","","",null,null],[17,"PTHREAD_STACK_MIN","","",null,null],[17,"__SIZEOF_PTHREAD_RWLOCK_T","","",null,null],[17,"__SIZEOF_PTHREAD_RWLOCKATTR_T","","",null,null],[17,"TIOCGSOFTCAR","","",null,null],[17,"TIOCSSOFTCAR","","",null,null],[17,"RLIMIT_NOFILE","","",null,null],[17,"RLIMIT_NPROC","","",null,null],[17,"O_APPEND","","",null,null],[17,"O_CREAT","","",null,null],[17,"O_EXCL","","",null,null],[17,"O_NOCTTY","","",null,null],[17,"O_NONBLOCK","","",null,null],[17,"O_SYNC","","",null,null],[17,"O_RSYNC","","",null,null],[17,"O_DSYNC","","",null,null],[17,"O_FSYNC","","",null,null],[17,"MAP_GROWSDOWN","","",null,null],[17,"EDEADLK","","",null,null],[17,"ENAMETOOLONG","","",null,null],[17,"ENOLCK","","",null,null],[17,"ENOSYS","","",null,null],[17,"ENOTEMPTY","","",null,null],[17,"ELOOP","","",null,null],[17,"ENOMSG","","",null,null],[17,"EIDRM","","",null,null],[17,"ECHRNG","","",null,null],[17,"EL2NSYNC","","",null,null],[17,"EL3HLT","","",null,null],[17,"EL3RST","","",null,null],[17,"ELNRNG","","",null,null],[17,"EUNATCH","","",null,null],[17,"ENOCSI","","",null,null],[17,"EL2HLT","","",null,null],[17,"EBADE","","",null,null],[17,"EBADR","","",null,null],[17,"EXFULL","","",null,null],[17,"ENOANO","","",null,null],[17,"EBADRQC","","",null,null],[17,"EBADSLT","","",null,null],[17,"EMULTIHOP","","",null,null],[17,"EOVERFLOW","","",null,null],[17,"ENOTUNIQ","","",null,null],[17,"EBADFD","","",null,null],[17,"EBADMSG","","",null,null],[17,"EREMCHG","","",null,null],[17,"ELIBACC","","",null,null],[17,"ELIBBAD","","",null,null],[17,"ELIBSCN","","",null,null],[17,"ELIBMAX","","",null,null],[17,"ELIBEXEC","","",null,null],[17,"EILSEQ","","",null,null],[17,"ERESTART","","",null,null],[17,"ESTRPIPE","","",null,null],[17,"EUSERS","","",null,null],[17,"ENOTSOCK","","",null,null],[17,"EDESTADDRREQ","","",null,null],[17,"EMSGSIZE","","",null,null],[17,"EPROTOTYPE","","",null,null],[17,"ENOPROTOOPT","","",null,null],[17,"EPROTONOSUPPORT","","",null,null],[17,"ESOCKTNOSUPPORT","","",null,null],[17,"EOPNOTSUPP","","",null,null],[17,"EPFNOSUPPORT","","",null,null],[17,"EAFNOSUPPORT","","",null,null],[17,"EADDRINUSE","","",null,null],[17,"EADDRNOTAVAIL","","",null,null],[17,"ENETDOWN","","",null,null],[17,"ENETUNREACH","","",null,null],[17,"ENETRESET","","",null,null],[17,"ECONNABORTED","","",null,null],[17,"ECONNRESET","","",null,null],[17,"ENOBUFS","","",null,null],[17,"EISCONN","","",null,null],[17,"ENOTCONN","","",null,null],[17,"ESHUTDOWN","","",null,null],[17,"ETOOMANYREFS","","",null,null],[17,"ETIMEDOUT","","",null,null],[17,"ECONNREFUSED","","",null,null],[17,"EHOSTDOWN","","",null,null],[17,"EHOSTUNREACH","","",null,null],[17,"EALREADY","","",null,null],[17,"EINPROGRESS","","",null,null],[17,"ESTALE","","",null,null],[17,"EDQUOT","","",null,null],[17,"ENOMEDIUM","","",null,null],[17,"EMEDIUMTYPE","","",null,null],[17,"ECANCELED","","",null,null],[17,"ENOKEY","","",null,null],[17,"EKEYEXPIRED","","",null,null],[17,"EKEYREVOKED","","",null,null],[17,"EKEYREJECTED","","",null,null],[17,"EOWNERDEAD","","",null,null],[17,"ENOTRECOVERABLE","","",null,null],[17,"EHWPOISON","","",null,null],[17,"ERFKILL","","",null,null],[17,"SOL_SOCKET","","",null,null],[17,"SO_REUSEADDR","","",null,null],[17,"SO_TYPE","","",null,null],[17,"SO_ERROR","","",null,null],[17,"SO_DONTROUTE","","",null,null],[17,"SO_BROADCAST","","",null,null],[17,"SO_SNDBUF","","",null,null],[17,"SO_RCVBUF","","",null,null],[17,"SO_SNDBUFFORCE","","",null,null],[17,"SO_RCVBUFFORCE","","",null,null],[17,"SO_KEEPALIVE","","",null,null],[17,"SO_OOBINLINE","","",null,null],[17,"SO_NO_CHECK","","",null,null],[17,"SO_PRIORITY","","",null,null],[17,"SO_LINGER","","",null,null],[17,"SO_BSDCOMPAT","","",null,null],[17,"SO_REUSEPORT","","",null,null],[17,"SO_PASSCRED","","",null,null],[17,"SO_PEERCRED","","",null,null],[17,"SO_RCVLOWAT","","",null,null],[17,"SO_SNDLOWAT","","",null,null],[17,"SO_RCVTIMEO","","",null,null],[17,"SO_SNDTIMEO","","",null,null],[17,"SO_SECURITY_AUTHENTICATION","","",null,null],[17,"SO_SECURITY_ENCRYPTION_TRANSPORT","","",null,null],[17,"SO_SECURITY_ENCRYPTION_NETWORK","","",null,null],[17,"SO_BINDTODEVICE","","",null,null],[17,"SO_ATTACH_FILTER","","",null,null],[17,"SO_DETACH_FILTER","","",null,null],[17,"SO_GET_FILTER","","",null,null],[17,"SO_PEERNAME","","",null,null],[17,"SO_TIMESTAMP","","",null,null],[17,"SCM_TIMESTAMP","","",null,null],[17,"SO_ACCEPTCONN","","",null,null],[17,"SO_PEERSEC","","",null,null],[17,"SO_PASSSEC","","",null,null],[17,"SO_TIMESTAMPNS","","",null,null],[17,"SCM_TIMESTAMPNS","","",null,null],[17,"SO_MARK","","",null,null],[17,"SO_TIMESTAMPING","","",null,null],[17,"SCM_TIMESTAMPING","","",null,null],[17,"SO_PROTOCOL","","",null,null],[17,"SO_DOMAIN","","",null,null],[17,"SO_RXQ_OVFL","","",null,null],[17,"SO_WIFI_STATUS","","",null,null],[17,"SCM_WIFI_STATUS","","",null,null],[17,"SO_PEEK_OFF","","",null,null],[17,"SO_NOFCS","","",null,null],[17,"SO_LOCK_FILTER","","",null,null],[17,"SO_SELECT_ERR_QUEUE","","",null,null],[17,"SO_BUSY_POLL","","",null,null],[17,"SO_MAX_PACING_RATE","","",null,null],[17,"SO_BPF_EXTENSIONS","","",null,null],[17,"SO_INCOMING_CPU","","",null,null],[17,"SO_ATTACH_BPF","","",null,null],[17,"SO_DETACH_BPF","","",null,null],[17,"SA_ONSTACK","","",null,null],[17,"SA_SIGINFO","","",null,null],[17,"SA_NOCLDWAIT","","",null,null],[17,"SIGCHLD","","",null,null],[17,"SIGBUS","","",null,null],[17,"SIGUSR1","","",null,null],[17,"SIGUSR2","","",null,null],[17,"SIGCONT","","",null,null],[17,"SIGSTOP","","",null,null],[17,"SIGTSTP","","",null,null],[17,"SIGURG","","",null,null],[17,"SIGIO","","",null,null],[17,"SIGSYS","","",null,null],[17,"SIGSTKFLT","","",null,null],[17,"SIGUNUSED","","",null,null],[17,"SIGPOLL","","",null,null],[17,"SIGPWR","","",null,null],[17,"SIG_SETMASK","","",null,null],[17,"SIG_BLOCK","","",null,null],[17,"SIG_UNBLOCK","","",null,null],[17,"POLLWRNORM","","",null,null],[17,"POLLWRBAND","","",null,null],[17,"O_ASYNC","","",null,null],[17,"O_NDELAY","","",null,null],[17,"PTRACE_DETACH","","",null,null],[17,"EFD_NONBLOCK","","",null,null],[17,"F_GETLK","","",null,null],[17,"F_GETOWN","","",null,null],[17,"F_SETOWN","","",null,null],[17,"F_SETLK","","",null,null],[17,"F_SETLKW","","",null,null],[17,"SFD_NONBLOCK","","",null,null],[17,"TIOCEXCL","","",null,null],[17,"TIOCNXCL","","",null,null],[17,"TIOCSCTTY","","",null,null],[17,"TIOCSTI","","",null,null],[17,"TIOCMGET","","",null,null],[17,"TIOCMBIS","","",null,null],[17,"TIOCMBIC","","",null,null],[17,"TIOCMSET","","",null,null],[17,"TIOCCONS","","",null,null],[17,"SFD_CLOEXEC","","",null,null],[17,"NCCS","","",null,null],[17,"O_TRUNC","","",null,null],[17,"O_CLOEXEC","","",null,null],[17,"EBFONT","","",null,null],[17,"ENOSTR","","",null,null],[17,"ENODATA","","",null,null],[17,"ETIME","","",null,null],[17,"ENOSR","","",null,null],[17,"ENONET","","",null,null],[17,"ENOPKG","","",null,null],[17,"EREMOTE","","",null,null],[17,"ENOLINK","","",null,null],[17,"EADV","","",null,null],[17,"ESRMNT","","",null,null],[17,"ECOMM","","",null,null],[17,"EPROTO","","",null,null],[17,"EDOTDOT","","",null,null],[17,"SA_NODEFER","","",null,null],[17,"SA_RESETHAND","","",null,null],[17,"SA_RESTART","","",null,null],[17,"SA_NOCLDSTOP","","",null,null],[17,"EPOLL_CLOEXEC","","",null,null],[17,"EFD_CLOEXEC","","",null,null],[17,"__SIZEOF_PTHREAD_CONDATTR_T","","",null,null],[17,"__SIZEOF_PTHREAD_MUTEX_T","","",null,null],[17,"__SIZEOF_PTHREAD_MUTEXATTR_T","","",null,null],[17,"O_DIRECT","","",null,null],[17,"O_DIRECTORY","","",null,null],[17,"O_NOFOLLOW","","",null,null],[17,"MAP_LOCKED","","",null,null],[17,"MAP_NORESERVE","","",null,null],[17,"MAP_32BIT","","",null,null],[17,"EDEADLOCK","","",null,null],[17,"FIOCLEX","","",null,null],[17,"FIONBIO","","",null,null],[17,"PTRACE_GETFPREGS","","",null,null],[17,"PTRACE_SETFPREGS","","",null,null],[17,"PTRACE_GETFPXREGS","","",null,null],[17,"PTRACE_SETFPXREGS","","",null,null],[17,"PTRACE_GETREGS","","",null,null],[17,"PTRACE_SETREGS","","",null,null],[17,"PTRACE_O_EXITKILL","","",null,null],[17,"PTRACE_O_TRACECLONE","","",null,null],[17,"PTRACE_O_TRACEEXEC","","",null,null],[17,"PTRACE_O_TRACEEXIT","","",null,null],[17,"PTRACE_O_TRACEFORK","","",null,null],[17,"PTRACE_O_TRACESYSGOOD","","",null,null],[17,"PTRACE_O_TRACEVFORK","","",null,null],[17,"PTRACE_O_TRACEVFORKDONE","","",null,null],[17,"PTRACE_O_TRACESECCOMP","","",null,null],[17,"PTRACE_O_SUSPEND_SECCOMP","","",null,null],[17,"PTRACE_PEEKSIGINFO_SHARED","","",null,null],[17,"SYS_gettid","","",null,null],[17,"SYS_perf_event_open","","",null,null],[17,"MCL_CURRENT","","",null,null],[17,"MCL_FUTURE","","",null,null],[17,"SIGSTKSZ","","",null,null],[17,"MINSIGSTKSZ","","",null,null],[17,"CBAUD","","",null,null],[17,"TAB1","","",null,null],[17,"TAB2","","",null,null],[17,"TAB3","","",null,null],[17,"CR1","","",null,null],[17,"CR2","","",null,null],[17,"CR3","","",null,null],[17,"FF1","","",null,null],[17,"BS1","","",null,null],[17,"VT1","","",null,null],[17,"VWERASE","","",null,null],[17,"VREPRINT","","",null,null],[17,"VSUSP","","",null,null],[17,"VSTART","","",null,null],[17,"VSTOP","","",null,null],[17,"VDISCARD","","",null,null],[17,"VTIME","","",null,null],[17,"IXON","","",null,null],[17,"IXOFF","","",null,null],[17,"ONLCR","","",null,null],[17,"CSIZE","","",null,null],[17,"CS6","","",null,null],[17,"CS7","","",null,null],[17,"CS8","","",null,null],[17,"CSTOPB","","",null,null],[17,"CREAD","","",null,null],[17,"PARENB","","",null,null],[17,"PARODD","","",null,null],[17,"HUPCL","","",null,null],[17,"CLOCAL","","",null,null],[17,"ECHOKE","","",null,null],[17,"ECHOE","","",null,null],[17,"ECHOK","","",null,null],[17,"ECHONL","","",null,null],[17,"ECHOPRT","","",null,null],[17,"ECHOCTL","","",null,null],[17,"ISIG","","",null,null],[17,"ICANON","","",null,null],[17,"PENDIN","","",null,null],[17,"NOFLSH","","",null,null],[17,"CIBAUD","","",null,null],[17,"CBAUDEX","","",null,null],[17,"VSWTC","","",null,null],[17,"OLCUC","","",null,null],[17,"NLDLY","","",null,null],[17,"CRDLY","","",null,null],[17,"TABDLY","","",null,null],[17,"BSDLY","","",null,null],[17,"FFDLY","","",null,null],[17,"VTDLY","","",null,null],[17,"XTABS","","",null,null],[17,"B0","","",null,null],[17,"B50","","",null,null],[17,"B75","","",null,null],[17,"B110","","",null,null],[17,"B134","","",null,null],[17,"B150","","",null,null],[17,"B200","","",null,null],[17,"B300","","",null,null],[17,"B600","","",null,null],[17,"B1200","","",null,null],[17,"B1800","","",null,null],[17,"B2400","","",null,null],[17,"B4800","","",null,null],[17,"B9600","","",null,null],[17,"B19200","","",null,null],[17,"B38400","","",null,null],[17,"EXTA","","",null,null],[17,"EXTB","","",null,null],[17,"B57600","","",null,null],[17,"B115200","","",null,null],[17,"B230400","","",null,null],[17,"B460800","","",null,null],[17,"B500000","","",null,null],[17,"B576000","","",null,null],[17,"B921600","","",null,null],[17,"B1000000","","",null,null],[17,"B1152000","","",null,null],[17,"B1500000","","",null,null],[17,"B2000000","","",null,null],[17,"B2500000","","",null,null],[17,"B3000000","","",null,null],[17,"B3500000","","",null,null],[17,"B4000000","","",null,null],[17,"VEOL","","",null,null],[17,"VEOL2","","",null,null],[17,"VMIN","","",null,null],[17,"IEXTEN","","",null,null],[17,"TOSTOP","","",null,null],[17,"FLUSHO","","",null,null],[17,"EXTPROC","","",null,null],[17,"TCGETS","","",null,null],[17,"TCSETS","","",null,null],[17,"TCSETSW","","",null,null],[17,"TCSETSF","","",null,null],[17,"TCGETA","","",null,null],[17,"TCSETA","","",null,null],[17,"TCSETAW","","",null,null],[17,"TCSETAF","","",null,null],[17,"TCSBRK","","",null,null],[17,"TCXONC","","",null,null],[17,"TCFLSH","","",null,null],[17,"TIOCINQ","","",null,null],[17,"TIOCGPGRP","","",null,null],[17,"TIOCSPGRP","","",null,null],[17,"TIOCOUTQ","","",null,null],[17,"TIOCGWINSZ","","",null,null],[17,"TIOCSWINSZ","","",null,null],[17,"FIONREAD","","",null,null]],"paths":[[3,"group"],[3,"utimbuf"],[3,"timeval"],[3,"timespec"],[3,"rlimit"],[3,"rusage"],[3,"in_addr"],[3,"in6_addr"],[3,"ip_mreq"],[3,"ipv6_mreq"],[3,"hostent"],[3,"iovec"],[3,"pollfd"],[3,"winsize"],[3,"linger"],[3,"sigval"],[3,"itimerval"],[3,"tms"],[3,"sockaddr"],[3,"sockaddr_in"],[3,"sockaddr_in6"],[3,"sockaddr_un"],[3,"sockaddr_storage"],[3,"addrinfo"],[3,"sockaddr_nl"],[3,"sockaddr_ll"],[3,"tm"],[3,"sched_param"],[3,"Dl_info"],[3,"epoll_event"],[3,"utsname"],[3,"lconv"],[3,"sigevent"],[3,"dirent"],[3,"dirent64"],[3,"rlimit64"],[3,"glob_t"],[3,"ifaddrs"],[3,"passwd"],[3,"spwd"],[3,"statvfs"],[3,"dqblk"],[3,"signalfd_siginfo"],[3,"mq_attr"],[3,"if_nameindex"],[3,"msginfo"],[3,"mmsghdr"],[3,"sembuf"],[3,"input_event"],[3,"input_id"],[3,"input_absinfo"],[3,"input_keymap_entry"],[3,"input_mask"],[3,"ff_replay"],[3,"ff_trigger"],[3,"ff_envelope"],[3,"ff_constant_effect"],[3,"ff_ramp_effect"],[3,"ff_condition_effect"],[3,"ff_periodic_effect"],[3,"ff_rumble_effect"],[3,"ff_effect"],[3,"aiocb"],[3,"__exit_status"],[3,"__timeval"],[3,"utmpx"],[3,"sigaction"],[3,"stack_t"],[3,"siginfo_t"],[3,"glob64_t"],[3,"ucred"],[3,"statfs"],[3,"msghdr"],[3,"cmsghdr"],[3,"termios"],[3,"flock"],[3,"sysinfo"],[3,"msqid_ds"],[3,"stat"],[3,"stat64"],[3,"_libc_fpxreg"],[3,"_libc_xmmreg"],[3,"_libc_fpstate"],[3,"user_fpregs_struct"],[3,"user_regs_struct"],[3,"user"],[3,"mcontext_t"],[3,"ucontext_t"],[3,"ipc_perm"],[3,"shmid_ds"],[3,"pthread_attr_t"],[3,"sigset_t"],[3,"sem_t"],[3,"pthread_mutex_t"],[3,"pthread_rwlock_t"],[3,"pthread_mutexattr_t"],[3,"pthread_rwlockattr_t"],[3,"pthread_cond_t"],[3,"pthread_condattr_t"],[3,"fsid_t"],[3,"cpu_set_t"],[3,"fd_set"]]};
searchIndex["log"] = {"doc":"A lightweight logging facade.","items":[[3,"LogRecord","log","The \"payload\" of a log message. This structure is primarily used as a parameter in the [`log`] method of the [`Log`] trait.",null,null],[3,"LogMetadata","","Metadata about a log message.",null,null],[3,"LogLocation","","The location of a log message.",null,null],[3,"MaxLogLevelFilter","","A token providing read and write access to the global maximum log level filter.",null,null],[3,"SetLoggerError","","The type returned by `set_logger` if `set_logger` has already been called.",null,null],[3,"ShutdownLoggerError","","The type returned by `shutdown_logger_raw` if `shutdown_logger_raw` has already been called or if `set_logger_raw` has not been called yet.",null,null],[4,"LogLevel","","An enum representing the available verbosity levels of the logging framework.",null,null],[13,"Error","","The \"error\" level.",0,null],[13,"Warn","","The \"warn\" level.",0,null],[13,"Info","","The \"info\" level.",0,null],[13,"Debug","","The \"debug\" level.",0,null],[13,"Trace","","The \"trace\" level.",0,null],[4,"LogLevelFilter","","An enum representing the available verbosity level filters of the logging framework.",null,null],[13,"Off","","A level lower than all log levels.",1,null],[13,"Error","","Corresponds to the `Error` log level.",1,null],[13,"Warn","","Corresponds to the `Warn` log level.",1,null],[13,"Info","","Corresponds to the `Info` log level.",1,null],[13,"Debug","","Corresponds to the `Debug` log level.",1,null],[13,"Trace","","Corresponds to the `Trace` log level.",1,null],[5,"max_log_level","","Returns the current maximum log level.",null,{"inputs":[],"output":{"name":"loglevelfilter"}}],[5,"set_logger","","Sets the global logger.",null,{"inputs":[{"name":"m"}],"output":{"name":"result"}}],[5,"set_logger_raw","","Sets the global logger from a raw pointer.",null,{"inputs":[{"name":"m"}],"output":{"name":"result"}}],[5,"shutdown_logger","","Shuts down the global logger.",null,{"inputs":[],"output":{"name":"result"}}],[5,"shutdown_logger_raw","","Shuts down the global logger.",null,{"inputs":[],"output":{"name":"result"}}],[8,"Log","","A trait encapsulating the operations required of a logger",null,null],[10,"enabled","","Determines if a log message with the specified metadata would be logged.",2,{"inputs":[{"name":"self"},{"name":"logmetadata"}],"output":{"name":"bool"}}],[10,"log","","Logs the `LogRecord`.",2,{"inputs":[{"name":"self"},{"name":"logrecord"}],"output":null}],[11,"fmt","","",0,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",0,null],[11,"clone","","",0,{"inputs":[{"name":"self"}],"output":{"name":"loglevel"}}],[11,"eq","","",0,{"inputs":[{"name":"self"},{"name":"loglevel"}],"output":{"name":"bool"}}],[11,"eq","","",0,{"inputs":[{"name":"self"},{"name":"loglevelfilter"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",0,{"inputs":[{"name":"self"},{"name":"loglevel"}],"output":{"name":"option"}}],[11,"partial_cmp","","",0,{"inputs":[{"name":"self"},{"name":"loglevelfilter"}],"output":{"name":"option"}}],[11,"cmp","","",0,{"inputs":[{"name":"self"},{"name":"loglevel"}],"output":{"name":"ordering"}}],[11,"from_str","","",0,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[11,"fmt","","",0,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"max","","Returns the most verbose logging level.",0,{"inputs":[],"output":{"name":"loglevel"}}],[11,"to_log_level_filter","","Converts the `LogLevel` to the equivalent `LogLevelFilter`.",0,{"inputs":[{"name":"self"}],"output":{"name":"loglevelfilter"}}],[11,"fmt","","",1,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",1,null],[11,"clone","","",1,{"inputs":[{"name":"self"}],"output":{"name":"loglevelfilter"}}],[11,"eq","","",1,{"inputs":[{"name":"self"},{"name":"loglevelfilter"}],"output":{"name":"bool"}}],[11,"eq","","",1,{"inputs":[{"name":"self"},{"name":"loglevel"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",1,{"inputs":[{"name":"self"},{"name":"loglevelfilter"}],"output":{"name":"option"}}],[11,"partial_cmp","","",1,{"inputs":[{"name":"self"},{"name":"loglevel"}],"output":{"name":"option"}}],[11,"cmp","","",1,{"inputs":[{"name":"self"},{"name":"loglevelfilter"}],"output":{"name":"ordering"}}],[11,"from_str","","",1,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[11,"fmt","","",1,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"max","","Returns the most verbose logging level filter.",1,{"inputs":[],"output":{"name":"loglevelfilter"}}],[11,"to_log_level","","Converts `self` to the equivalent `LogLevel`.",1,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"fmt","","",3,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"args","","The message body.",3,{"inputs":[{"name":"self"}],"output":{"name":"arguments"}}],[11,"metadata","","Metadata about the log directive.",3,{"inputs":[{"name":"self"}],"output":{"name":"logmetadata"}}],[11,"location","","The location of the log directive.",3,{"inputs":[{"name":"self"}],"output":{"name":"loglocation"}}],[11,"level","","The verbosity level of the message.",3,{"inputs":[{"name":"self"}],"output":{"name":"loglevel"}}],[11,"target","","The name of the target of the directive.",3,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"eq","","",4,{"inputs":[{"name":"self"},{"name":"logmetadata"}],"output":{"name":"bool"}}],[11,"ne","","",4,{"inputs":[{"name":"self"},{"name":"logmetadata"}],"output":{"name":"bool"}}],[11,"cmp","","",4,{"inputs":[{"name":"self"},{"name":"logmetadata"}],"output":{"name":"ordering"}}],[11,"partial_cmp","","",4,{"inputs":[{"name":"self"},{"name":"logmetadata"}],"output":{"name":"option"}}],[11,"lt","","",4,{"inputs":[{"name":"self"},{"name":"logmetadata"}],"output":{"name":"bool"}}],[11,"le","","",4,{"inputs":[{"name":"self"},{"name":"logmetadata"}],"output":{"name":"bool"}}],[11,"gt","","",4,{"inputs":[{"name":"self"},{"name":"logmetadata"}],"output":{"name":"bool"}}],[11,"ge","","",4,{"inputs":[{"name":"self"},{"name":"logmetadata"}],"output":{"name":"bool"}}],[11,"hash","","",4,null],[11,"fmt","","",4,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"level","","The verbosity level of the message.",4,{"inputs":[{"name":"self"}],"output":{"name":"loglevel"}}],[11,"target","","The name of the target of the directive.",4,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"clone","","",5,{"inputs":[{"name":"self"}],"output":{"name":"loglocation"}}],[11,"fmt","","",5,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",5,{"inputs":[{"name":"self"},{"name":"loglocation"}],"output":{"name":"bool"}}],[11,"ne","","",5,{"inputs":[{"name":"self"},{"name":"loglocation"}],"output":{"name":"bool"}}],[11,"cmp","","",5,{"inputs":[{"name":"self"},{"name":"loglocation"}],"output":{"name":"ordering"}}],[11,"partial_cmp","","",5,{"inputs":[{"name":"self"},{"name":"loglocation"}],"output":{"name":"option"}}],[11,"lt","","",5,{"inputs":[{"name":"self"},{"name":"loglocation"}],"output":{"name":"bool"}}],[11,"le","","",5,{"inputs":[{"name":"self"},{"name":"loglocation"}],"output":{"name":"bool"}}],[11,"gt","","",5,{"inputs":[{"name":"self"},{"name":"loglocation"}],"output":{"name":"bool"}}],[11,"ge","","",5,{"inputs":[{"name":"self"},{"name":"loglocation"}],"output":{"name":"bool"}}],[11,"hash","","",5,null],[11,"module_path","","The module path of the message.",5,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"file","","The source file containing the message.",5,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"line","","The line containing the message.",5,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"fmt","","",6,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"get","","Gets the current maximum log level filter.",6,{"inputs":[{"name":"self"}],"output":{"name":"loglevelfilter"}}],[11,"set","","Sets the maximum log level.",6,{"inputs":[{"name":"self"},{"name":"loglevelfilter"}],"output":null}],[11,"fmt","","",7,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",7,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"description","","",7,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"fmt","","",8,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",8,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"description","","",8,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[14,"log","","The standard logging macro.",null,null],[14,"error","","Logs a message at the error level.",null,null],[14,"warn","","Logs a message at the warn level.",null,null],[14,"info","","Logs a message at the info level.",null,null],[14,"debug","","Logs a message at the debug level.",null,null],[14,"trace","","Logs a message at the trace level.",null,null],[14,"log_enabled","","Determines if a message logged at the specified level in that module will be logged.",null,null]],"paths":[[4,"LogLevel"],[4,"LogLevelFilter"],[8,"Log"],[3,"LogRecord"],[3,"LogMetadata"],[3,"LogLocation"],[3,"MaxLogLevelFilter"],[3,"SetLoggerError"],[3,"ShutdownLoggerError"]]};
searchIndex["memchr"] = {"doc":"This crate defines two functions, `memchr` and `memrchr`, which expose a safe interface to the corresponding functions in `libc`.","items":[[5,"memchr","memchr","A safe interface to `memchr`.",null,null],[5,"memrchr","","A safe interface to `memrchr`.",null,null],[5,"memchr2","","Like `memchr`, but searches for two bytes instead of one.",null,null],[5,"memchr3","","Like `memchr`, but searches for three bytes instead of one.",null,null]],"paths":[]};
searchIndex["num"] = {"doc":"A collection of numeric types and traits for Rust.","items":[[8,"Integer","num","",null,null],[10,"div_floor","","Floored integer division.",0,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"self"}}],[10,"mod_floor","","Floored integer modulo, satisfying:",0,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"self"}}],[10,"gcd","","Greatest Common Divisor (GCD).",0,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"self"}}],[10,"lcm","","Lowest Common Multiple (LCM).",0,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"self"}}],[10,"divides","","Deprecated, use `is_multiple_of` instead.",0,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"bool"}}],[10,"is_multiple_of","","Returns `true` if `other` is a multiple of `self`.",0,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"bool"}}],[10,"is_even","","Returns `true` if the number is even.",0,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_odd","","Returns `true` if the number is odd.",0,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"div_rem","","Simultaneous truncated integer division and modulus. Returns `(quotient, remainder)`.",0,null],[11,"div_mod_floor","","Simultaneous floored integer division and modulus. Returns `(quotient, remainder)`.",0,null],[5,"range","","Returns an iterator over the given range [start, stop) (that is, starting at start (inclusive), and ending at stop (exclusive)).",null,{"inputs":[{"name":"a"},{"name":"a"}],"output":{"name":"range"}}],[5,"range_inclusive","","Return an iterator over the range [start, stop]",null,{"inputs":[{"name":"a"},{"name":"a"}],"output":{"name":"rangeinclusive"}}],[5,"range_step","","Return an iterator over the range [start, stop) by `step`. It handles overflow by stopping.",null,{"inputs":[{"name":"a"},{"name":"a"},{"name":"a"}],"output":{"name":"rangestep"}}],[5,"range_step_inclusive","","Return an iterator over the range [start, stop] by `step`. It handles overflow by stopping.",null,{"inputs":[{"name":"a"},{"name":"a"},{"name":"a"}],"output":{"name":"rangestepinclusive"}}],[8,"Num","","The base trait for numeric types, covering `0` and `1` values, comparisons, basic numeric operations, and string conversion.",null,null],[16,"FromStrRadixErr","","",1,null],[10,"from_str_radix","","Convert from a string and radix <= 36.",1,{"inputs":[{"name":"str"},{"name":"u32"}],"output":{"name":"result"}}],[8,"Zero","","Defines an additive identity element for `Self`.",null,null],[10,"zero","","Returns the additive identity element of `Self`, `0`.",2,{"inputs":[],"output":{"name":"self"}}],[10,"is_zero","","Returns `true` if `self` is equal to the additive identity.",2,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[8,"One","","Defines a multiplicative identity element for `Self`.",null,null],[10,"one","","Returns the multiplicative identity element of `Self`, `1`.",3,{"inputs":[],"output":{"name":"self"}}],[8,"Signed","","Useful functions for signed numbers (i.e. numbers that can be negative).",null,null],[10,"abs","","Computes the absolute value.",4,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"abs_sub","","The positive difference of two numbers.",4,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"self"}}],[10,"signum","","Returns the sign of the number.",4,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"is_positive","","Returns true if the number is positive and false if the number is zero or negative.",4,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_negative","","Returns true if the number is negative and false if the number is zero or positive.",4,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[8,"Unsigned","","A trait for values which cannot be negative",null,null],[8,"Bounded","","Numbers which have upper and lower bounds",null,null],[10,"min_value","","returns the smallest finite number this type can represent",5,{"inputs":[],"output":{"name":"self"}}],[10,"max_value","","returns the largest finite number this type can represent",5,{"inputs":[],"output":{"name":"self"}}],[5,"one","","Returns the multiplicative identity, `1`.",null,{"inputs":[],"output":{"name":"t"}}],[5,"zero","","Returns the additive identity, `0`.",null,{"inputs":[],"output":{"name":"t"}}],[5,"abs","","Computes the absolute value.",null,{"inputs":[{"name":"t"}],"output":{"name":"t"}}],[5,"abs_sub","","The positive difference of two numbers.",null,{"inputs":[{"name":"t"},{"name":"t"}],"output":{"name":"t"}}],[5,"signum","","Returns the sign of the number.",null,{"inputs":[{"name":"t"}],"output":{"name":"t"}}],[8,"Saturating","","Saturating math operations",null,null],[10,"saturating_add","","Saturating addition operator. Returns a+b, saturating at the numeric bounds instead of overflowing.",6,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"self"}}],[10,"saturating_sub","","Saturating subtraction operator. Returns a-b, saturating at the numeric bounds instead of overflowing.",6,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"self"}}],[8,"CheckedAdd","","Performs addition that returns `None` instead of wrapping around on overflow.",null,null],[10,"checked_add","","Adds two numbers, checking for overflow. If overflow happens, `None` is returned.",7,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"option"}}],[8,"CheckedSub","","Performs subtraction that returns `None` instead of wrapping around on underflow.",null,null],[10,"checked_sub","","Subtracts two numbers, checking for underflow. If underflow happens, `None` is returned.",8,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"option"}}],[8,"CheckedMul","","Performs multiplication that returns `None` instead of wrapping around on underflow or overflow.",null,null],[10,"checked_mul","","Multiplies two numbers, checking for underflow or overflow. If underflow or overflow happens, `None` is returned.",9,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"option"}}],[8,"CheckedDiv","","Performs division that returns `None` instead of panicking on division by zero and instead of wrapping around on underflow and overflow.",null,null],[10,"checked_div","","Divides two numbers, checking for underflow, overflow and division by zero. If any of that happens, `None` is returned.",10,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"option"}}],[8,"PrimInt","","",null,null],[10,"count_ones","","Returns the number of ones in the binary representation of `self`.",11,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"count_zeros","","Returns the number of zeros in the binary representation of `self`.",11,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"leading_zeros","","Returns the number of leading zeros in the binary representation of `self`.",11,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"trailing_zeros","","Returns the number of trailing zeros in the binary representation of `self`.",11,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"rotate_left","","Shifts the bits to the left by a specified amount amount, `n`, wrapping the truncated bits to the end of the resulting integer.",11,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"self"}}],[10,"rotate_right","","Shifts the bits to the right by a specified amount amount, `n`, wrapping the truncated bits to the beginning of the resulting integer.",11,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"self"}}],[10,"signed_shl","","Shifts the bits to the left by a specified amount amount, `n`, filling zeros in the least significant bits.",11,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"self"}}],[10,"signed_shr","","Shifts the bits to the right by a specified amount amount, `n`, copying the \"sign bit\" in the most significant bits even for unsigned types.",11,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"self"}}],[10,"unsigned_shl","","Shifts the bits to the left by a specified amount amount, `n`, filling zeros in the least significant bits.",11,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"self"}}],[10,"unsigned_shr","","Shifts the bits to the right by a specified amount amount, `n`, filling zeros in the most significant bits.",11,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"self"}}],[10,"swap_bytes","","Reverses the byte order of the integer.",11,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"from_be","","Convert an integer from big endian to the target's endianness.",11,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"from_le","","Convert an integer from little endian to the target's endianness.",11,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"to_be","","Convert `self` to big endian from the target's endianness.",11,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"to_le","","Convert `self` to little endian from the target's endianness.",11,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"pow","","Raises self to the power of `exp`, using exponentiation by squaring.",11,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"self"}}],[8,"Float","","",null,null],[10,"nan","","Returns the `NaN` value.",12,{"inputs":[],"output":{"name":"self"}}],[10,"infinity","","Returns the infinite value.",12,{"inputs":[],"output":{"name":"self"}}],[10,"neg_infinity","","Returns the negative infinite value.",12,{"inputs":[],"output":{"name":"self"}}],[10,"neg_zero","","Returns `-0.0`.",12,{"inputs":[],"output":{"name":"self"}}],[10,"min_value","","Returns the smallest finite value that this type can represent.",12,{"inputs":[],"output":{"name":"self"}}],[10,"min_positive_value","","Returns the smallest positive, normalized value that this type can represent.",12,{"inputs":[],"output":{"name":"self"}}],[11,"epsilon","","Returns epsilon, a small positive value.",12,{"inputs":[],"output":{"name":"self"}}],[10,"max_value","","Returns the largest finite value that this type can represent.",12,{"inputs":[],"output":{"name":"self"}}],[10,"is_nan","","Returns `true` if this value is `NaN` and false otherwise.",12,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_infinite","","Returns `true` if this value is positive infinity or negative infinity and false otherwise.",12,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_finite","","Returns `true` if this number is neither infinite nor `NaN`.",12,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_normal","","Returns `true` if the number is neither zero, infinite, [subnormal][subnormal], or `NaN`.",12,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"classify","","Returns the floating point category of the number. If only one property is going to be tested, it is generally faster to use the specific predicate instead.",12,{"inputs":[{"name":"self"}],"output":{"name":"fpcategory"}}],[10,"floor","","Returns the largest integer less than or equal to a number.",12,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"ceil","","Returns the smallest integer greater than or equal to a number.",12,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"round","","Returns the nearest integer to a number. Round half-way cases away from `0.0`.",12,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"trunc","","Return the integer part of a number.",12,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"fract","","Returns the fractional part of a number.",12,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"abs","","Computes the absolute value of `self`. Returns `Float::nan()` if the number is `Float::nan()`.",12,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"signum","","Returns a number that represents the sign of `self`.",12,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"is_sign_positive","","Returns `true` if `self` is positive, including `+0.0` and `Float::infinity()`.",12,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_sign_negative","","Returns `true` if `self` is negative, including `-0.0` and `Float::neg_infinity()`.",12,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"mul_add","","Fused multiply-add. Computes `(self * a) + b` with only one rounding error. This produces a more accurate result with better performance than a separate multiplication operation followed by an add.",12,{"inputs":[{"name":"self"},{"name":"self"},{"name":"self"}],"output":{"name":"self"}}],[10,"recip","","Take the reciprocal (inverse) of a number, `1/x`.",12,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"powi","","Raise a number to an integer power.",12,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"self"}}],[10,"powf","","Raise a number to a floating point power.",12,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"self"}}],[10,"sqrt","","Take the square root of a number.",12,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"exp","","Returns `e^(self)`, (the exponential function).",12,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"exp2","","Returns `2^(self)`.",12,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"ln","","Returns the natural logarithm of the number.",12,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"log","","Returns the logarithm of the number with respect to an arbitrary base.",12,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"self"}}],[10,"log2","","Returns the base 2 logarithm of the number.",12,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"log10","","Returns the base 10 logarithm of the number.",12,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[11,"to_degrees","","Converts radians to degrees.",12,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[11,"to_radians","","Converts degrees to radians.",12,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"max","","Returns the maximum of the two numbers.",12,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"self"}}],[10,"min","","Returns the minimum of the two numbers.",12,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"self"}}],[10,"abs_sub","","The positive difference of two numbers.",12,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"self"}}],[10,"cbrt","","Take the cubic root of a number.",12,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"hypot","","Calculate the length of the hypotenuse of a right-angle triangle given legs of length `x` and `y`.",12,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"self"}}],[10,"sin","","Computes the sine of a number (in radians).",12,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"cos","","Computes the cosine of a number (in radians).",12,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"tan","","Computes the tangent of a number (in radians).",12,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"asin","","Computes the arcsine of a number. Return value is in radians in the range [-pi/2, pi/2] or NaN if the number is outside the range [-1, 1].",12,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"acos","","Computes the arccosine of a number. Return value is in radians in the range [0, pi] or NaN if the number is outside the range [-1, 1].",12,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"atan","","Computes the arctangent of a number. Return value is in radians in the range [-pi/2, pi/2];",12,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"atan2","","Computes the four quadrant arctangent of `self` (`y`) and `other` (`x`).",12,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"self"}}],[10,"sin_cos","","Simultaneously computes the sine and cosine of the number, `x`. Returns `(sin(x), cos(x))`.",12,null],[10,"exp_m1","","Returns `e^(self) - 1` in a way that is accurate even if the number is close to zero.",12,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"ln_1p","","Returns `ln(1+n)` (natural logarithm) more accurately than if the operations were performed separately.",12,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"sinh","","Hyperbolic sine function.",12,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"cosh","","Hyperbolic cosine function.",12,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"tanh","","Hyperbolic tangent function.",12,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"asinh","","Inverse hyperbolic sine function.",12,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"acosh","","Inverse hyperbolic cosine function.",12,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"atanh","","Inverse hyperbolic tangent function.",12,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"integer_decode","","Returns the mantissa, base 2 exponent, and sign as integers, respectively. The original number can be recovered by `sign * mantissa * 2 ^ exponent`. The floating point encoding is documented in the [Reference][floating-point].",12,null],[8,"ToPrimitive","","A generic trait for converting a value to a number.",null,null],[11,"to_isize","","Converts the value of `self` to an `isize`.",13,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"to_i8","","Converts the value of `self` to an `i8`.",13,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"to_i16","","Converts the value of `self` to an `i16`.",13,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"to_i32","","Converts the value of `self` to an `i32`.",13,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"to_i64","","Converts the value of `self` to an `i64`.",13,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"to_usize","","Converts the value of `self` to a `usize`.",13,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"to_u8","","Converts the value of `self` to an `u8`.",13,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"to_u16","","Converts the value of `self` to an `u16`.",13,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"to_u32","","Converts the value of `self` to an `u32`.",13,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"to_u64","","Converts the value of `self` to an `u64`.",13,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"to_f32","","Converts the value of `self` to an `f32`.",13,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"to_f64","","Converts the value of `self` to an `f64`.",13,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[8,"FromPrimitive","","A generic trait for converting a number to a value.",null,null],[11,"from_isize","","Convert an `isize` to return an optional value of this type. If the value cannot be represented by this value, the `None` is returned.",14,{"inputs":[{"name":"isize"}],"output":{"name":"option"}}],[11,"from_i8","","Convert an `i8` to return an optional value of this type. If the type cannot be represented by this value, the `None` is returned.",14,{"inputs":[{"name":"i8"}],"output":{"name":"option"}}],[11,"from_i16","","Convert an `i16` to return an optional value of this type. If the type cannot be represented by this value, the `None` is returned.",14,{"inputs":[{"name":"i16"}],"output":{"name":"option"}}],[11,"from_i32","","Convert an `i32` to return an optional value of this type. If the type cannot be represented by this value, the `None` is returned.",14,{"inputs":[{"name":"i32"}],"output":{"name":"option"}}],[10,"from_i64","","Convert an `i64` to return an optional value of this type. If the type cannot be represented by this value, the `None` is returned.",14,{"inputs":[{"name":"i64"}],"output":{"name":"option"}}],[11,"from_usize","","Convert a `usize` to return an optional value of this type. If the type cannot be represented by this value, the `None` is returned.",14,{"inputs":[{"name":"usize"}],"output":{"name":"option"}}],[11,"from_u8","","Convert an `u8` to return an optional value of this type. If the type cannot be represented by this value, the `None` is returned.",14,{"inputs":[{"name":"u8"}],"output":{"name":"option"}}],[11,"from_u16","","Convert an `u16` to return an optional value of this type. If the type cannot be represented by this value, the `None` is returned.",14,{"inputs":[{"name":"u16"}],"output":{"name":"option"}}],[11,"from_u32","","Convert an `u32` to return an optional value of this type. If the type cannot be represented by this value, the `None` is returned.",14,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[10,"from_u64","","Convert an `u64` to return an optional value of this type. If the type cannot be represented by this value, the `None` is returned.",14,{"inputs":[{"name":"u64"}],"output":{"name":"option"}}],[11,"from_f32","","Convert a `f32` to return an optional value of this type. If the type cannot be represented by this value, the `None` is returned.",14,{"inputs":[{"name":"f32"}],"output":{"name":"option"}}],[11,"from_f64","","Convert a `f64` to return an optional value of this type. If the type cannot be represented by this value, the `None` is returned.",14,{"inputs":[{"name":"f64"}],"output":{"name":"option"}}],[8,"NumCast","","An interface for casting between machine scalars.",null,null],[10,"from","","Creates a number from another value that can be converted into a primitive via the `ToPrimitive` trait.",15,{"inputs":[{"name":"t"}],"output":{"name":"option"}}],[0,"cast","","",null,null],[8,"ToPrimitive","num::cast","A generic trait for converting a value to a number.",null,null],[11,"to_isize","","Converts the value of `self` to an `isize`.",13,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"to_i8","","Converts the value of `self` to an `i8`.",13,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"to_i16","","Converts the value of `self` to an `i16`.",13,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"to_i32","","Converts the value of `self` to an `i32`.",13,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"to_i64","","Converts the value of `self` to an `i64`.",13,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"to_usize","","Converts the value of `self` to a `usize`.",13,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"to_u8","","Converts the value of `self` to an `u8`.",13,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"to_u16","","Converts the value of `self` to an `u16`.",13,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"to_u32","","Converts the value of `self` to an `u32`.",13,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"to_u64","","Converts the value of `self` to an `u64`.",13,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"to_f32","","Converts the value of `self` to an `f32`.",13,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"to_f64","","Converts the value of `self` to an `f64`.",13,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[8,"FromPrimitive","","A generic trait for converting a number to a value.",null,null],[11,"from_isize","","Convert an `isize` to return an optional value of this type. If the value cannot be represented by this value, the `None` is returned.",14,{"inputs":[{"name":"isize"}],"output":{"name":"option"}}],[11,"from_i8","","Convert an `i8` to return an optional value of this type. If the type cannot be represented by this value, the `None` is returned.",14,{"inputs":[{"name":"i8"}],"output":{"name":"option"}}],[11,"from_i16","","Convert an `i16` to return an optional value of this type. If the type cannot be represented by this value, the `None` is returned.",14,{"inputs":[{"name":"i16"}],"output":{"name":"option"}}],[11,"from_i32","","Convert an `i32` to return an optional value of this type. If the type cannot be represented by this value, the `None` is returned.",14,{"inputs":[{"name":"i32"}],"output":{"name":"option"}}],[10,"from_i64","","Convert an `i64` to return an optional value of this type. If the type cannot be represented by this value, the `None` is returned.",14,{"inputs":[{"name":"i64"}],"output":{"name":"option"}}],[11,"from_usize","","Convert a `usize` to return an optional value of this type. If the type cannot be represented by this value, the `None` is returned.",14,{"inputs":[{"name":"usize"}],"output":{"name":"option"}}],[11,"from_u8","","Convert an `u8` to return an optional value of this type. If the type cannot be represented by this value, the `None` is returned.",14,{"inputs":[{"name":"u8"}],"output":{"name":"option"}}],[11,"from_u16","","Convert an `u16` to return an optional value of this type. If the type cannot be represented by this value, the `None` is returned.",14,{"inputs":[{"name":"u16"}],"output":{"name":"option"}}],[11,"from_u32","","Convert an `u32` to return an optional value of this type. If the type cannot be represented by this value, the `None` is returned.",14,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[10,"from_u64","","Convert an `u64` to return an optional value of this type. If the type cannot be represented by this value, the `None` is returned.",14,{"inputs":[{"name":"u64"}],"output":{"name":"option"}}],[11,"from_f32","","Convert a `f32` to return an optional value of this type. If the type cannot be represented by this value, the `None` is returned.",14,{"inputs":[{"name":"f32"}],"output":{"name":"option"}}],[11,"from_f64","","Convert a `f64` to return an optional value of this type. If the type cannot be represented by this value, the `None` is returned.",14,{"inputs":[{"name":"f64"}],"output":{"name":"option"}}],[5,"cast","","Cast from one machine scalar to another.",null,{"inputs":[{"name":"t"}],"output":{"name":"option"}}],[8,"NumCast","","An interface for casting between machine scalars.",null,null],[10,"from","","Creates a number from another value that can be converted into a primitive via the `ToPrimitive` trait.",15,{"inputs":[{"name":"t"}],"output":{"name":"option"}}],[0,"pow","num","",null,null],[5,"pow","num::pow","Raises a value to the power of exp, using exponentiation by squaring.",null,{"inputs":[{"name":"t"},{"name":"usize"}],"output":{"name":"t"}}],[5,"checked_pow","","Raises a value to the power of exp, returning `None` if an overflow occurred.",null,{"inputs":[{"name":"t"},{"name":"usize"}],"output":{"name":"option"}}],[5,"checked_pow","num","Raises a value to the power of exp, returning `None` if an overflow occurred.",null,{"inputs":[{"name":"t"},{"name":"usize"}],"output":{"name":"option"}}],[5,"clamp","","A value bounded by a minimum and a maximum",null,{"inputs":[{"name":"t"},{"name":"t"},{"name":"t"}],"output":{"name":"t"}}],[0,"integer","","",null,null],[0,"iter","","",null,null],[0,"traits","","",null,null]],"paths":[[8,"Integer"],[8,"Num"],[8,"Zero"],[8,"One"],[8,"Signed"],[8,"Bounded"],[8,"Saturating"],[8,"CheckedAdd"],[8,"CheckedSub"],[8,"CheckedMul"],[8,"CheckedDiv"],[8,"PrimInt"],[8,"Float"],[8,"ToPrimitive"],[8,"FromPrimitive"],[8,"NumCast"]]};
searchIndex["num_integer"] = {"doc":"Integer trait and functions.","items":[[3,"IterBinomial","num_integer","An iterator over binomial coefficients.",null,null],[5,"div_rem","","Simultaneous integer division and modulus",null,null],[5,"div_floor","","Floored integer division",null,{"inputs":[{"name":"t"},{"name":"t"}],"output":{"name":"t"}}],[5,"mod_floor","","Floored integer modulus",null,{"inputs":[{"name":"t"},{"name":"t"}],"output":{"name":"t"}}],[5,"div_mod_floor","","Simultaneous floored integer division and modulus",null,null],[5,"gcd","","Calculates the Greatest Common Divisor (GCD) of the number and `other`. The result is always positive.",null,{"inputs":[{"name":"t"},{"name":"t"}],"output":{"name":"t"}}],[5,"lcm","","Calculates the Lowest Common Multiple (LCM) of the number and `other`.",null,{"inputs":[{"name":"t"},{"name":"t"}],"output":{"name":"t"}}],[5,"binomial","","Calculate the binomial coefficient.",null,{"inputs":[{"name":"t"},{"name":"t"}],"output":{"name":"t"}}],[5,"multinomial","","Calculate the multinomial coefficient.",null,null],[8,"Integer","","",null,null],[10,"div_floor","","Floored integer division.",0,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"self"}}],[10,"mod_floor","","Floored integer modulo, satisfying:",0,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"self"}}],[10,"gcd","","Greatest Common Divisor (GCD).",0,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"self"}}],[10,"lcm","","Lowest Common Multiple (LCM).",0,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"self"}}],[10,"divides","","Deprecated, use `is_multiple_of` instead.",0,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"bool"}}],[10,"is_multiple_of","","Returns `true` if `other` is a multiple of `self`.",0,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"bool"}}],[10,"is_even","","Returns `true` if the number is even.",0,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_odd","","Returns `true` if the number is odd.",0,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"div_rem","","Simultaneous truncated integer division and modulus. Returns `(quotient, remainder)`.",0,null],[11,"div_mod_floor","","Simultaneous floored integer division and modulus. Returns `(quotient, remainder)`.",0,null],[11,"new","","For a given n, iterate over all binomial coefficients binomial(n, k), for k=0...n.",1,{"inputs":[{"name":"t"}],"output":{"name":"iterbinomial"}}],[11,"next","","",1,{"inputs":[{"name":"self"}],"output":{"name":"option"}}]],"paths":[[8,"Integer"],[3,"IterBinomial"]]};
searchIndex["num_iter"] = {"doc":"External iterators for generic mathematics","items":[[3,"Range","num_iter","An iterator over the range [start, stop)",null,null],[3,"RangeInclusive","","An iterator over the range [start, stop]",null,null],[3,"RangeStep","","An iterator over the range [start, stop) by `step`. It handles overflow by stopping.",null,null],[3,"RangeStepInclusive","","An iterator over the range [start, stop] by `step`. It handles overflow by stopping.",null,null],[5,"range","","Returns an iterator over the given range [start, stop) (that is, starting at start (inclusive), and ending at stop (exclusive)).",null,{"inputs":[{"name":"a"},{"name":"a"}],"output":{"name":"range"}}],[5,"range_inclusive","","Return an iterator over the range [start, stop]",null,{"inputs":[{"name":"a"},{"name":"a"}],"output":{"name":"rangeinclusive"}}],[5,"range_step","","Return an iterator over the range [start, stop) by `step`. It handles overflow by stopping.",null,{"inputs":[{"name":"a"},{"name":"a"},{"name":"a"}],"output":{"name":"rangestep"}}],[5,"range_step_inclusive","","Return an iterator over the range [start, stop] by `step`. It handles overflow by stopping.",null,{"inputs":[{"name":"a"},{"name":"a"},{"name":"a"}],"output":{"name":"rangestepinclusive"}}],[11,"clone","","",0,{"inputs":[{"name":"self"}],"output":{"name":"range"}}],[11,"next","","",0,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"size_hint","","",0,null],[11,"next_back","","",0,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"clone","","",1,{"inputs":[{"name":"self"}],"output":{"name":"rangeinclusive"}}],[11,"next","","",1,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"size_hint","","",1,null],[11,"next_back","","",1,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"clone","","",2,{"inputs":[{"name":"self"}],"output":{"name":"rangestep"}}],[11,"next","","",2,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"clone","","",3,{"inputs":[{"name":"self"}],"output":{"name":"rangestepinclusive"}}],[11,"next","","",3,{"inputs":[{"name":"self"}],"output":{"name":"option"}}]],"paths":[[3,"Range"],[3,"RangeInclusive"],[3,"RangeStep"],[3,"RangeStepInclusive"]]};
searchIndex["num_traits"] = {"doc":"Numeric traits for generic mathematics","items":[[3,"ParseFloatError","num_traits","",null,null],[12,"kind","","",0,null],[4,"FloatErrorKind","","",null,null],[13,"Empty","","",1,null],[13,"Invalid","","",1,null],[5,"clamp","","A value bounded by a minimum and a maximum",null,{"inputs":[{"name":"t"},{"name":"t"},{"name":"t"}],"output":{"name":"t"}}],[0,"identities","","",null,null],[5,"zero","num_traits::identities","Returns the additive identity, `0`.",null,{"inputs":[],"output":{"name":"t"}}],[5,"one","","Returns the multiplicative identity, `1`.",null,{"inputs":[],"output":{"name":"t"}}],[8,"Zero","","Defines an additive identity element for `Self`.",null,null],[10,"zero","","Returns the additive identity element of `Self`, `0`.",2,{"inputs":[],"output":{"name":"self"}}],[10,"is_zero","","Returns `true` if `self` is equal to the additive identity.",2,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[8,"One","","Defines a multiplicative identity element for `Self`.",null,null],[10,"one","","Returns the multiplicative identity element of `Self`, `1`.",3,{"inputs":[],"output":{"name":"self"}}],[0,"sign","num_traits","",null,null],[5,"abs","num_traits::sign","Computes the absolute value.",null,{"inputs":[{"name":"t"}],"output":{"name":"t"}}],[5,"abs_sub","","The positive difference of two numbers.",null,{"inputs":[{"name":"t"},{"name":"t"}],"output":{"name":"t"}}],[5,"signum","","Returns the sign of the number.",null,{"inputs":[{"name":"t"}],"output":{"name":"t"}}],[8,"Signed","","Useful functions for signed numbers (i.e. numbers that can be negative).",null,null],[10,"abs","","Computes the absolute value.",4,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"abs_sub","","The positive difference of two numbers.",4,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"self"}}],[10,"signum","","Returns the sign of the number.",4,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"is_positive","","Returns true if the number is positive and false if the number is zero or negative.",4,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_negative","","Returns true if the number is negative and false if the number is zero or positive.",4,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[8,"Unsigned","","A trait for values which cannot be negative",null,null],[0,"ops","num_traits","",null,null],[0,"saturating","num_traits::ops","",null,null],[8,"Saturating","num_traits::ops::saturating","Saturating math operations",null,null],[10,"saturating_add","","Saturating addition operator. Returns a+b, saturating at the numeric bounds instead of overflowing.",5,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"self"}}],[10,"saturating_sub","","Saturating subtraction operator. Returns a-b, saturating at the numeric bounds instead of overflowing.",5,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"self"}}],[0,"checked","num_traits::ops","",null,null],[8,"CheckedAdd","num_traits::ops::checked","Performs addition that returns `None` instead of wrapping around on overflow.",null,null],[10,"checked_add","","Adds two numbers, checking for overflow. If overflow happens, `None` is returned.",6,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"option"}}],[8,"CheckedSub","","Performs subtraction that returns `None` instead of wrapping around on underflow.",null,null],[10,"checked_sub","","Subtracts two numbers, checking for underflow. If underflow happens, `None` is returned.",7,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"option"}}],[8,"CheckedMul","","Performs multiplication that returns `None` instead of wrapping around on underflow or overflow.",null,null],[10,"checked_mul","","Multiplies two numbers, checking for underflow or overflow. If underflow or overflow happens, `None` is returned.",8,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"option"}}],[8,"CheckedDiv","","Performs division that returns `None` instead of panicking on division by zero and instead of wrapping around on underflow and overflow.",null,null],[10,"checked_div","","Divides two numbers, checking for underflow, overflow and division by zero. If any of that happens, `None` is returned.",9,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"option"}}],[0,"wrapping","num_traits::ops","",null,null],[8,"WrappingAdd","num_traits::ops::wrapping","Performs addition that wraps around on overflow.",null,null],[10,"wrapping_add","","Wrapping (modular) addition. Computes `self + other`, wrapping around at the boundary of the type.",10,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"self"}}],[8,"WrappingSub","","Performs subtraction that wraps around on overflow.",null,null],[10,"wrapping_sub","","Wrapping (modular) subtraction. Computes `self - other`, wrapping around at the boundary of the type.",11,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"self"}}],[8,"WrappingMul","","Performs multiplication that wraps around on overflow.",null,null],[10,"wrapping_mul","","Wrapping (modular) multiplication. Computes `self * other`, wrapping around at the boundary of the type.",12,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"self"}}],[0,"bounds","num_traits","",null,null],[8,"Bounded","num_traits::bounds","Numbers which have upper and lower bounds",null,null],[10,"min_value","","returns the smallest finite number this type can represent",13,{"inputs":[],"output":{"name":"self"}}],[10,"max_value","","returns the largest finite number this type can represent",13,{"inputs":[],"output":{"name":"self"}}],[0,"float","num_traits","",null,null],[8,"Float","num_traits::float","",null,null],[10,"nan","","Returns the `NaN` value.",14,{"inputs":[],"output":{"name":"self"}}],[10,"infinity","","Returns the infinite value.",14,{"inputs":[],"output":{"name":"self"}}],[10,"neg_infinity","","Returns the negative infinite value.",14,{"inputs":[],"output":{"name":"self"}}],[10,"neg_zero","","Returns `-0.0`.",14,{"inputs":[],"output":{"name":"self"}}],[10,"min_value","","Returns the smallest finite value that this type can represent.",14,{"inputs":[],"output":{"name":"self"}}],[10,"min_positive_value","","Returns the smallest positive, normalized value that this type can represent.",14,{"inputs":[],"output":{"name":"self"}}],[11,"epsilon","","Returns epsilon, a small positive value.",14,{"inputs":[],"output":{"name":"self"}}],[10,"max_value","","Returns the largest finite value that this type can represent.",14,{"inputs":[],"output":{"name":"self"}}],[10,"is_nan","","Returns `true` if this value is `NaN` and false otherwise.",14,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_infinite","","Returns `true` if this value is positive infinity or negative infinity and false otherwise.",14,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_finite","","Returns `true` if this number is neither infinite nor `NaN`.",14,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_normal","","Returns `true` if the number is neither zero, infinite, [subnormal][subnormal], or `NaN`.",14,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"classify","","Returns the floating point category of the number. If only one property is going to be tested, it is generally faster to use the specific predicate instead.",14,{"inputs":[{"name":"self"}],"output":{"name":"fpcategory"}}],[10,"floor","","Returns the largest integer less than or equal to a number.",14,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"ceil","","Returns the smallest integer greater than or equal to a number.",14,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"round","","Returns the nearest integer to a number. Round half-way cases away from `0.0`.",14,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"trunc","","Return the integer part of a number.",14,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"fract","","Returns the fractional part of a number.",14,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"abs","","Computes the absolute value of `self`. Returns `Float::nan()` if the number is `Float::nan()`.",14,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"signum","","Returns a number that represents the sign of `self`.",14,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"is_sign_positive","","Returns `true` if `self` is positive, including `+0.0` and `Float::infinity()`.",14,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_sign_negative","","Returns `true` if `self` is negative, including `-0.0` and `Float::neg_infinity()`.",14,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"mul_add","","Fused multiply-add. Computes `(self * a) + b` with only one rounding error. This produces a more accurate result with better performance than a separate multiplication operation followed by an add.",14,{"inputs":[{"name":"self"},{"name":"self"},{"name":"self"}],"output":{"name":"self"}}],[10,"recip","","Take the reciprocal (inverse) of a number, `1/x`.",14,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"powi","","Raise a number to an integer power.",14,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"self"}}],[10,"powf","","Raise a number to a floating point power.",14,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"self"}}],[10,"sqrt","","Take the square root of a number.",14,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"exp","","Returns `e^(self)`, (the exponential function).",14,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"exp2","","Returns `2^(self)`.",14,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"ln","","Returns the natural logarithm of the number.",14,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"log","","Returns the logarithm of the number with respect to an arbitrary base.",14,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"self"}}],[10,"log2","","Returns the base 2 logarithm of the number.",14,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"log10","","Returns the base 10 logarithm of the number.",14,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[11,"to_degrees","","Converts radians to degrees.",14,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[11,"to_radians","","Converts degrees to radians.",14,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"max","","Returns the maximum of the two numbers.",14,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"self"}}],[10,"min","","Returns the minimum of the two numbers.",14,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"self"}}],[10,"abs_sub","","The positive difference of two numbers.",14,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"self"}}],[10,"cbrt","","Take the cubic root of a number.",14,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"hypot","","Calculate the length of the hypotenuse of a right-angle triangle given legs of length `x` and `y`.",14,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"self"}}],[10,"sin","","Computes the sine of a number (in radians).",14,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"cos","","Computes the cosine of a number (in radians).",14,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"tan","","Computes the tangent of a number (in radians).",14,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"asin","","Computes the arcsine of a number. Return value is in radians in the range [-pi/2, pi/2] or NaN if the number is outside the range [-1, 1].",14,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"acos","","Computes the arccosine of a number. Return value is in radians in the range [0, pi] or NaN if the number is outside the range [-1, 1].",14,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"atan","","Computes the arctangent of a number. Return value is in radians in the range [-pi/2, pi/2];",14,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"atan2","","Computes the four quadrant arctangent of `self` (`y`) and `other` (`x`).",14,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"self"}}],[10,"sin_cos","","Simultaneously computes the sine and cosine of the number, `x`. Returns `(sin(x), cos(x))`.",14,null],[10,"exp_m1","","Returns `e^(self) - 1` in a way that is accurate even if the number is close to zero.",14,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"ln_1p","","Returns `ln(1+n)` (natural logarithm) more accurately than if the operations were performed separately.",14,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"sinh","","Hyperbolic sine function.",14,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"cosh","","Hyperbolic cosine function.",14,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"tanh","","Hyperbolic tangent function.",14,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"asinh","","Inverse hyperbolic sine function.",14,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"acosh","","Inverse hyperbolic cosine function.",14,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"atanh","","Inverse hyperbolic tangent function.",14,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"integer_decode","","Returns the mantissa, base 2 exponent, and sign as integers, respectively. The original number can be recovered by `sign * mantissa * 2 ^ exponent`. The floating point encoding is documented in the [Reference][floating-point].",14,null],[8,"FloatConst","","",null,null],[10,"E","","Return Euler’s number.",15,{"inputs":[],"output":{"name":"self"}}],[10,"FRAC_1_PI","","Return `1.0 / π`.",15,{"inputs":[],"output":{"name":"self"}}],[10,"FRAC_1_SQRT_2","","Return `1.0 / sqrt(2.0)`.",15,{"inputs":[],"output":{"name":"self"}}],[10,"FRAC_2_PI","","Return `2.0 / π`.",15,{"inputs":[],"output":{"name":"self"}}],[10,"FRAC_2_SQRT_PI","","Return `2.0 / sqrt(π)`.",15,{"inputs":[],"output":{"name":"self"}}],[10,"FRAC_PI_2","","Return `π / 2.0`.",15,{"inputs":[],"output":{"name":"self"}}],[10,"FRAC_PI_3","","Return `π / 3.0`.",15,{"inputs":[],"output":{"name":"self"}}],[10,"FRAC_PI_4","","Return `π / 4.0`.",15,{"inputs":[],"output":{"name":"self"}}],[10,"FRAC_PI_6","","Return `π / 6.0`.",15,{"inputs":[],"output":{"name":"self"}}],[10,"FRAC_PI_8","","Return `π / 8.0`.",15,{"inputs":[],"output":{"name":"self"}}],[10,"LN_10","","Return `ln(10.0)`.",15,{"inputs":[],"output":{"name":"self"}}],[10,"LN_2","","Return `ln(2.0)`.",15,{"inputs":[],"output":{"name":"self"}}],[10,"LOG10_E","","Return `log10(e)`.",15,{"inputs":[],"output":{"name":"self"}}],[10,"LOG2_E","","Return `log2(e)`.",15,{"inputs":[],"output":{"name":"self"}}],[10,"PI","","Return Archimedes’ constant.",15,{"inputs":[],"output":{"name":"self"}}],[10,"SQRT_2","","Return `sqrt(2.0)`.",15,{"inputs":[],"output":{"name":"self"}}],[0,"cast","num_traits","",null,null],[5,"cast","num_traits::cast","Cast from one machine scalar to another.",null,{"inputs":[{"name":"t"}],"output":{"name":"option"}}],[8,"ToPrimitive","","A generic trait for converting a value to a number.",null,null],[11,"to_isize","","Converts the value of `self` to an `isize`.",16,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"to_i8","","Converts the value of `self` to an `i8`.",16,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"to_i16","","Converts the value of `self` to an `i16`.",16,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"to_i32","","Converts the value of `self` to an `i32`.",16,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"to_i64","","Converts the value of `self` to an `i64`.",16,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"to_usize","","Converts the value of `self` to a `usize`.",16,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"to_u8","","Converts the value of `self` to an `u8`.",16,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"to_u16","","Converts the value of `self` to an `u16`.",16,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"to_u32","","Converts the value of `self` to an `u32`.",16,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"to_u64","","Converts the value of `self` to an `u64`.",16,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"to_f32","","Converts the value of `self` to an `f32`.",16,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"to_f64","","Converts the value of `self` to an `f64`.",16,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[8,"FromPrimitive","","A generic trait for converting a number to a value.",null,null],[11,"from_isize","","Convert an `isize` to return an optional value of this type. If the value cannot be represented by this value, the `None` is returned.",17,{"inputs":[{"name":"isize"}],"output":{"name":"option"}}],[11,"from_i8","","Convert an `i8` to return an optional value of this type. If the type cannot be represented by this value, the `None` is returned.",17,{"inputs":[{"name":"i8"}],"output":{"name":"option"}}],[11,"from_i16","","Convert an `i16` to return an optional value of this type. If the type cannot be represented by this value, the `None` is returned.",17,{"inputs":[{"name":"i16"}],"output":{"name":"option"}}],[11,"from_i32","","Convert an `i32` to return an optional value of this type. If the type cannot be represented by this value, the `None` is returned.",17,{"inputs":[{"name":"i32"}],"output":{"name":"option"}}],[10,"from_i64","","Convert an `i64` to return an optional value of this type. If the type cannot be represented by this value, the `None` is returned.",17,{"inputs":[{"name":"i64"}],"output":{"name":"option"}}],[11,"from_usize","","Convert a `usize` to return an optional value of this type. If the type cannot be represented by this value, the `None` is returned.",17,{"inputs":[{"name":"usize"}],"output":{"name":"option"}}],[11,"from_u8","","Convert an `u8` to return an optional value of this type. If the type cannot be represented by this value, the `None` is returned.",17,{"inputs":[{"name":"u8"}],"output":{"name":"option"}}],[11,"from_u16","","Convert an `u16` to return an optional value of this type. If the type cannot be represented by this value, the `None` is returned.",17,{"inputs":[{"name":"u16"}],"output":{"name":"option"}}],[11,"from_u32","","Convert an `u32` to return an optional value of this type. If the type cannot be represented by this value, the `None` is returned.",17,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[10,"from_u64","","Convert an `u64` to return an optional value of this type. If the type cannot be represented by this value, the `None` is returned.",17,{"inputs":[{"name":"u64"}],"output":{"name":"option"}}],[11,"from_f32","","Convert a `f32` to return an optional value of this type. If the type cannot be represented by this value, the `None` is returned.",17,{"inputs":[{"name":"f32"}],"output":{"name":"option"}}],[11,"from_f64","","Convert a `f64` to return an optional value of this type. If the type cannot be represented by this value, the `None` is returned.",17,{"inputs":[{"name":"f64"}],"output":{"name":"option"}}],[8,"NumCast","","An interface for casting between machine scalars.",null,null],[10,"from","","Creates a number from another value that can be converted into a primitive via the `ToPrimitive` trait.",18,{"inputs":[{"name":"t"}],"output":{"name":"option"}}],[0,"int","num_traits","",null,null],[8,"PrimInt","num_traits::int","",null,null],[10,"count_ones","","Returns the number of ones in the binary representation of `self`.",19,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"count_zeros","","Returns the number of zeros in the binary representation of `self`.",19,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"leading_zeros","","Returns the number of leading zeros in the binary representation of `self`.",19,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"trailing_zeros","","Returns the number of trailing zeros in the binary representation of `self`.",19,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"rotate_left","","Shifts the bits to the left by a specified amount amount, `n`, wrapping the truncated bits to the end of the resulting integer.",19,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"self"}}],[10,"rotate_right","","Shifts the bits to the right by a specified amount amount, `n`, wrapping the truncated bits to the beginning of the resulting integer.",19,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"self"}}],[10,"signed_shl","","Shifts the bits to the left by a specified amount amount, `n`, filling zeros in the least significant bits.",19,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"self"}}],[10,"signed_shr","","Shifts the bits to the right by a specified amount amount, `n`, copying the \"sign bit\" in the most significant bits even for unsigned types.",19,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"self"}}],[10,"unsigned_shl","","Shifts the bits to the left by a specified amount amount, `n`, filling zeros in the least significant bits.",19,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"self"}}],[10,"unsigned_shr","","Shifts the bits to the right by a specified amount amount, `n`, filling zeros in the most significant bits.",19,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"self"}}],[10,"swap_bytes","","Reverses the byte order of the integer.",19,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"from_be","","Convert an integer from big endian to the target's endianness.",19,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"from_le","","Convert an integer from little endian to the target's endianness.",19,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"to_be","","Convert `self` to big endian from the target's endianness.",19,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"to_le","","Convert `self` to little endian from the target's endianness.",19,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[10,"pow","","Raises self to the power of `exp`, using exponentiation by squaring.",19,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"self"}}],[0,"pow","num_traits","",null,null],[5,"pow","num_traits::pow","Raises a value to the power of exp, using exponentiation by squaring.",null,{"inputs":[{"name":"t"},{"name":"usize"}],"output":{"name":"t"}}],[5,"checked_pow","","Raises a value to the power of exp, returning `None` if an overflow occurred.",null,{"inputs":[{"name":"t"},{"name":"usize"}],"output":{"name":"option"}}],[8,"Num","num_traits","The base trait for numeric types, covering `0` and `1` values, comparisons, basic numeric operations, and string conversion.",null,null],[16,"FromStrRadixErr","","",20,null],[10,"from_str_radix","","Convert from a string and radix <= 36.",20,{"inputs":[{"name":"str"},{"name":"u32"}],"output":{"name":"result"}}],[8,"NumOps","","The trait for types implementing basic numeric operations",null,null],[8,"NumRef","","The trait for `Num` types which also implement numeric operations taking the second operand by reference.",null,null],[8,"RefNum","","The trait for references which implement numeric operations, taking the second operand either by value or by reference.",null,null],[8,"NumAssignOps","","The trait for types implementing numeric assignment operators (like `+=`).",null,null],[8,"NumAssign","","The trait for `Num` types which also implement assignment operators.",null,null],[8,"NumAssignRef","","The trait for `NumAssign` types which also implement assignment operations taking the second operand by reference.",null,null],[11,"fmt","","",1,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",0,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}]],"paths":[[3,"ParseFloatError"],[4,"FloatErrorKind"],[8,"Zero"],[8,"One"],[8,"Signed"],[8,"Saturating"],[8,"CheckedAdd"],[8,"CheckedSub"],[8,"CheckedMul"],[8,"CheckedDiv"],[8,"WrappingAdd"],[8,"WrappingSub"],[8,"WrappingMul"],[8,"Bounded"],[8,"Float"],[8,"FloatConst"],[8,"ToPrimitive"],[8,"FromPrimitive"],[8,"NumCast"],[8,"PrimInt"],[8,"Num"]]};
searchIndex["pango"] = {"doc":"","items":[[3,"Error","pango","A generic error capable of representing various error domains (types).",null,null],[17,"SCALE","","",null,null],[3,"Context","","",null,null],[3,"EngineShape","","",null,null],[3,"Font","","",null,null],[3,"FontFace","","",null,null],[3,"FontFamily","","",null,null],[3,"FontMap","","",null,null],[3,"Fontset","","",null,null],[3,"Layout","","",null,null],[3,"Renderer","","",null,null],[3,"AttrList","","",null,null],[3,"Attribute","","",null,null],[3,"Color","","",null,null],[3,"Coverage","","",null,null],[3,"FontDescription","","",null,null],[3,"FontMetrics","","",null,null],[3,"GlyphItem","","",null,null],[3,"GlyphItemIter","","",null,null],[3,"GlyphString","","",null,null],[3,"LayoutIter","","",null,null],[3,"LayoutLine","","",null,null],[3,"Matrix","","",null,null],[3,"TabArray","","",null,null],[3,"FontMask","","",null,null],[4,"Alignment","","",null,null],[13,"Left","","",0,null],[13,"Center","","",0,null],[13,"Right","","",0,null],[4,"AttrType","","",null,null],[13,"Invalid","","",1,null],[13,"Language","","",1,null],[13,"Family","","",1,null],[13,"Style","","",1,null],[13,"Weight","","",1,null],[13,"Variant","","",1,null],[13,"Stretch","","",1,null],[13,"Size","","",1,null],[13,"FontDesc","","",1,null],[13,"Foreground","","",1,null],[13,"Background","","",1,null],[13,"Underline","","",1,null],[13,"Strikethrough","","",1,null],[13,"Rise","","",1,null],[13,"Shape","","",1,null],[13,"Scale","","",1,null],[13,"Fallback","","",1,null],[13,"LetterSpacing","","",1,null],[13,"UnderlineColor","","",1,null],[13,"StrikethroughColor","","",1,null],[13,"AbsoluteSize","","",1,null],[13,"Gravity","","",1,null],[13,"GravityHint","","",1,null],[13,"FontFeatures","","",1,null],[13,"ForegroundAlpha","","",1,null],[13,"BackgroundAlpha","","",1,null],[4,"BidiType","","",null,null],[13,"L","","",2,null],[13,"Lre","","",2,null],[13,"Lro","","",2,null],[13,"R","","",2,null],[13,"Al","","",2,null],[13,"Rle","","",2,null],[13,"Rlo","","",2,null],[13,"Pdf","","",2,null],[13,"En","","",2,null],[13,"Es","","",2,null],[13,"Et","","",2,null],[13,"An","","",2,null],[13,"Cs","","",2,null],[13,"Nsm","","",2,null],[13,"Bn","","",2,null],[13,"B","","",2,null],[13,"S","","",2,null],[13,"Ws","","",2,null],[13,"On","","",2,null],[4,"CoverageLevel","","",null,null],[13,"None","","",3,null],[13,"Fallback","","",3,null],[13,"Approximate","","",3,null],[13,"Exact","","",3,null],[4,"Direction","","",null,null],[13,"Ltr","","",4,null],[13,"Rtl","","",4,null],[13,"TtbLtr","","",4,null],[13,"TtbRtl","","",4,null],[13,"WeakLtr","","",4,null],[13,"WeakRtl","","",4,null],[13,"Neutral","","",4,null],[4,"EllipsizeMode","","",null,null],[13,"None","","",5,null],[13,"Start","","",5,null],[13,"Middle","","",5,null],[13,"End","","",5,null],[4,"Gravity","","",null,null],[13,"South","","",6,null],[13,"East","","",6,null],[13,"North","","",6,null],[13,"West","","",6,null],[13,"Auto","","",6,null],[4,"GravityHint","","",null,null],[13,"Natural","","",7,null],[13,"Strong","","",7,null],[13,"Line","","",7,null],[4,"RenderPart","","",null,null],[13,"Foreground","","",8,null],[13,"Background","","",8,null],[13,"Underline","","",8,null],[13,"Strikethrough","","",8,null],[4,"Script","","",null,null],[13,"InvalidCode","","",9,null],[13,"Common","","",9,null],[13,"Inherited","","",9,null],[13,"Arabic","","",9,null],[13,"Armenian","","",9,null],[13,"Bengali","","",9,null],[13,"Bopomofo","","",9,null],[13,"Cherokee","","",9,null],[13,"Coptic","","",9,null],[13,"Cyrillic","","",9,null],[13,"Deseret","","",9,null],[13,"Devanagari","","",9,null],[13,"Ethiopic","","",9,null],[13,"Georgian","","",9,null],[13,"Gothic","","",9,null],[13,"Greek","","",9,null],[13,"Gujarati","","",9,null],[13,"Gurmukhi","","",9,null],[13,"Han","","",9,null],[13,"Hangul","","",9,null],[13,"Hebrew","","",9,null],[13,"Hiragana","","",9,null],[13,"Kannada","","",9,null],[13,"Katakana","","",9,null],[13,"Khmer","","",9,null],[13,"Lao","","",9,null],[13,"Latin","","",9,null],[13,"Malayalam","","",9,null],[13,"Mongolian","","",9,null],[13,"Myanmar","","",9,null],[13,"Ogham","","",9,null],[13,"OldItalic","","",9,null],[13,"Oriya","","",9,null],[13,"Runic","","",9,null],[13,"Sinhala","","",9,null],[13,"Syriac","","",9,null],[13,"Tamil","","",9,null],[13,"Telugu","","",9,null],[13,"Thaana","","",9,null],[13,"Thai","","",9,null],[13,"Tibetan","","",9,null],[13,"CanadianAboriginal","","",9,null],[13,"Yi","","",9,null],[13,"Tagalog","","",9,null],[13,"Hanunoo","","",9,null],[13,"Buhid","","",9,null],[13,"Tagbanwa","","",9,null],[13,"Braille","","",9,null],[13,"Cypriot","","",9,null],[13,"Limbu","","",9,null],[13,"Osmanya","","",9,null],[13,"Shavian","","",9,null],[13,"LinearB","","",9,null],[13,"TaiLe","","",9,null],[13,"Ugaritic","","",9,null],[13,"NewTaiLue","","",9,null],[13,"Buginese","","",9,null],[13,"Glagolitic","","",9,null],[13,"Tifinagh","","",9,null],[13,"SylotiNagri","","",9,null],[13,"OldPersian","","",9,null],[13,"Kharoshthi","","",9,null],[13,"Unknown","","",9,null],[13,"Balinese","","",9,null],[13,"Cuneiform","","",9,null],[13,"Phoenician","","",9,null],[13,"PhagsPa","","",9,null],[13,"Nko","","",9,null],[13,"KayahLi","","",9,null],[13,"Lepcha","","",9,null],[13,"Rejang","","",9,null],[13,"Sundanese","","",9,null],[13,"Saurashtra","","",9,null],[13,"Cham","","",9,null],[13,"OlChiki","","",9,null],[13,"Vai","","",9,null],[13,"Carian","","",9,null],[13,"Lycian","","",9,null],[13,"Lydian","","",9,null],[13,"Batak","","",9,null],[13,"Brahmi","","",9,null],[13,"Mandaic","","",9,null],[13,"Chakma","","",9,null],[13,"MeroiticCursive","","",9,null],[13,"MeroiticHieroglyphs","","",9,null],[13,"Miao","","",9,null],[13,"Sharada","","",9,null],[13,"SoraSompeng","","",9,null],[13,"Takri","","",9,null],[13,"BassaVah","","",9,null],[13,"CaucasianAlbanian","","",9,null],[13,"Duployan","","",9,null],[13,"Elbasan","","",9,null],[13,"Grantha","","",9,null],[13,"Khojki","","",9,null],[13,"Khudawadi","","",9,null],[13,"LinearA","","",9,null],[13,"Mahajani","","",9,null],[13,"Manichaean","","",9,null],[13,"MendeKikakui","","",9,null],[13,"Modi","","",9,null],[13,"Mro","","",9,null],[13,"Nabataean","","",9,null],[13,"OldNorthArabian","","",9,null],[13,"OldPermic","","",9,null],[13,"PahawhHmong","","",9,null],[13,"Palmyrene","","",9,null],[13,"PauCinHau","","",9,null],[13,"PsalterPahlavi","","",9,null],[13,"Siddham","","",9,null],[13,"Tirhuta","","",9,null],[13,"WarangCiti","","",9,null],[13,"Ahom","","",9,null],[13,"AnatolianHieroglyphs","","",9,null],[13,"Hatran","","",9,null],[13,"Multani","","",9,null],[13,"OldHungarian","","",9,null],[13,"Signwriting","","",9,null],[4,"Stretch","","",null,null],[13,"UltraCondensed","","",10,null],[13,"ExtraCondensed","","",10,null],[13,"Condensed","","",10,null],[13,"SemiCondensed","","",10,null],[13,"Normal","","",10,null],[13,"SemiExpanded","","",10,null],[13,"Expanded","","",10,null],[13,"ExtraExpanded","","",10,null],[13,"UltraExpanded","","",10,null],[4,"Style","","",null,null],[13,"Normal","","",11,null],[13,"Oblique","","",11,null],[13,"Italic","","",11,null],[4,"TabAlign","","",null,null],[13,"Left","","",12,null],[4,"Underline","","",null,null],[13,"None","","",13,null],[13,"Single","","",13,null],[13,"Double","","",13,null],[13,"Low","","",13,null],[13,"Error","","",13,null],[4,"Variant","","",null,null],[13,"Normal","","",14,null],[13,"SmallCaps","","",14,null],[4,"Weight","","",null,null],[13,"Thin","","",15,null],[13,"Ultralight","","",15,null],[13,"Light","","",15,null],[13,"Semilight","","",15,null],[13,"Book","","",15,null],[13,"Normal","","",15,null],[13,"Medium","","",15,null],[13,"Semibold","","",15,null],[13,"Bold","","",15,null],[13,"Ultrabold","","",15,null],[13,"Heavy","","",15,null],[13,"Ultraheavy","","",15,null],[4,"WrapMode","","",null,null],[13,"Word","","",16,null],[13,"Char","","",16,null],[13,"WordChar","","",16,null],[5,"config_key_get","","",null,{"inputs":[{"name":"str"}],"output":{"name":"option"}}],[5,"config_key_get_system","","",null,{"inputs":[{"name":"str"}],"output":{"name":"option"}}],[5,"extents_to_pixels","","",null,{"inputs":[{"name":"p"},{"name":"q"}],"output":null}],[5,"find_base_dir","","",null,{"inputs":[{"name":"str"},{"name":"i32"}],"output":{"name":"direction"}}],[5,"find_paragraph_boundary","","",null,null],[5,"get_lib_subdirectory","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"get_sysconf_subdirectory","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"is_zero_width","","",null,{"inputs":[{"name":"char"}],"output":{"name":"bool"}}],[5,"parse_enum","","",null,{"inputs":[{"name":"type"},{"name":"p"},{"name":"bool"}],"output":{"name":"option"}}],[5,"parse_markup","","",null,{"inputs":[{"name":"str"},{"name":"i32"},{"name":"char"}],"output":{"name":"result"}}],[5,"parse_stretch","","",null,{"inputs":[{"name":"str"},{"name":"bool"}],"output":{"name":"option"}}],[5,"parse_style","","",null,{"inputs":[{"name":"str"},{"name":"bool"}],"output":{"name":"option"}}],[5,"parse_variant","","",null,{"inputs":[{"name":"str"},{"name":"bool"}],"output":{"name":"option"}}],[5,"parse_weight","","",null,{"inputs":[{"name":"str"},{"name":"bool"}],"output":{"name":"option"}}],[5,"quantize_line_geometry","","",null,{"inputs":[{"name":"i32"},{"name":"i32"}],"output":null}],[5,"split_file_list","","",null,{"inputs":[{"name":"str"}],"output":{"name":"vec"}}],[5,"trim_string","","",null,{"inputs":[{"name":"str"}],"output":{"name":"option"}}],[5,"unichar_direction","","",null,{"inputs":[{"name":"char"}],"output":{"name":"direction"}}],[5,"units_from_double","","",null,{"inputs":[{"name":"f64"}],"output":{"name":"i32"}}],[5,"units_to_double","","",null,{"inputs":[{"name":"i32"}],"output":{"name":"f64"}}],[5,"version","","",null,{"inputs":[],"output":{"name":"i32"}}],[5,"version_check","","",null,{"inputs":[{"name":"i32"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[5,"version_string","","",null,{"inputs":[],"output":{"name":"option"}}],[11,"clone","","",17,{"inputs":[{"name":"self"}],"output":{"name":"context"}}],[11,"fmt","","",17,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",17,null],[11,"static_type","","",17,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",17,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",17,{"inputs":[],"output":{"name":"context"}}],[11,"clone","","",18,{"inputs":[{"name":"self"}],"output":{"name":"engineshape"}}],[11,"fmt","","",18,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",18,null],[11,"static_type","","",18,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",18,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",19,{"inputs":[{"name":"self"}],"output":{"name":"font"}}],[11,"fmt","","",19,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",19,null],[11,"static_type","","",19,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",19,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",20,{"inputs":[{"name":"self"}],"output":{"name":"fontface"}}],[11,"fmt","","",20,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",20,null],[11,"static_type","","",20,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",20,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",21,{"inputs":[{"name":"self"}],"output":{"name":"fontfamily"}}],[11,"fmt","","",21,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",21,null],[11,"static_type","","",21,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",21,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",22,{"inputs":[{"name":"self"}],"output":{"name":"fontmap"}}],[11,"fmt","","",22,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",22,null],[11,"static_type","","",22,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",22,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",23,{"inputs":[{"name":"self"}],"output":{"name":"fontset"}}],[11,"fmt","","",23,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",23,null],[11,"static_type","","",23,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",23,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",24,{"inputs":[{"name":"self"}],"output":{"name":"layout"}}],[11,"fmt","","",24,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",24,null],[11,"static_type","","",24,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",24,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"new","","",24,{"inputs":[{"name":"context"}],"output":{"name":"layout"}}],[11,"clone","","",25,{"inputs":[{"name":"self"}],"output":{"name":"renderer"}}],[11,"fmt","","",25,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",25,null],[11,"static_type","","",25,{"inputs":[],"output":{"name":"type"}}],[11,"eq","","",25,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"clone","","",26,{"inputs":[{"name":"self"}],"output":{"name":"attrlist"}}],[11,"new","","",26,{"inputs":[],"output":{"name":"attrlist"}}],[11,"copy","","",26,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"splice","","",26,{"inputs":[{"name":"self"},{"name":"attrlist"},{"name":"i32"},{"name":"i32"}],"output":null}],[11,"clone","","",27,{"inputs":[{"name":"self"}],"output":{"name":"attribute"}}],[11,"fmt","","",27,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"init","","",27,{"inputs":[{"name":"self"},{"name":"attrclass"}],"output":null}],[11,"eq","","",27,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"bool"}}],[11,"clone","","",28,{"inputs":[{"name":"self"}],"output":{"name":"color"}}],[11,"fmt","","",28,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"parse","","",28,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[11,"fmt","","",28,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",29,{"inputs":[{"name":"self"}],"output":{"name":"coverage"}}],[11,"copy","","",29,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get","","",29,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"coveragelevel"}}],[11,"max","","",29,{"inputs":[{"name":"self"},{"name":"coverage"}],"output":null}],[11,"set","","",29,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"coveragelevel"}],"output":null}],[11,"new","","",29,{"inputs":[],"output":{"name":"option"}}],[11,"clone","","",30,{"inputs":[{"name":"self"}],"output":{"name":"fontdescription"}}],[11,"fmt","","",30,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"new","","",30,{"inputs":[],"output":{"name":"fontdescription"}}],[11,"better_match","","",30,{"inputs":[{"name":"self"},{"name":"p"},{"name":"fontdescription"}],"output":{"name":"bool"}}],[11,"get_family","","",30,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_gravity","","",30,{"inputs":[{"name":"self"}],"output":{"name":"gravity"}}],[11,"get_set_fields","","",30,{"inputs":[{"name":"self"}],"output":{"name":"fontmask"}}],[11,"get_size","","",30,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_size_is_absolute","","",30,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"get_stretch","","",30,{"inputs":[{"name":"self"}],"output":{"name":"stretch"}}],[11,"get_style","","",30,{"inputs":[{"name":"self"}],"output":{"name":"style"}}],[11,"get_variant","","",30,{"inputs":[{"name":"self"}],"output":{"name":"variant"}}],[11,"get_weight","","",30,{"inputs":[{"name":"self"}],"output":{"name":"weight"}}],[11,"hash","","",30,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"merge","","",30,{"inputs":[{"name":"self"},{"name":"p"},{"name":"bool"}],"output":null}],[11,"set_absolute_size","","",30,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[11,"set_family","","",30,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[11,"set_gravity","","",30,{"inputs":[{"name":"self"},{"name":"gravity"}],"output":null}],[11,"set_size","","",30,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[11,"set_stretch","","",30,{"inputs":[{"name":"self"},{"name":"stretch"}],"output":null}],[11,"set_style","","",30,{"inputs":[{"name":"self"},{"name":"style"}],"output":null}],[11,"set_variant","","",30,{"inputs":[{"name":"self"},{"name":"variant"}],"output":null}],[11,"set_weight","","",30,{"inputs":[{"name":"self"},{"name":"weight"}],"output":null}],[11,"to_filename","","",30,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"unset_fields","","",30,{"inputs":[{"name":"self"},{"name":"fontmask"}],"output":null}],[11,"from_string","","",30,{"inputs":[{"name":"str"}],"output":{"name":"fontdescription"}}],[11,"eq","","",30,{"inputs":[{"name":"self"},{"name":"self"}],"output":{"name":"bool"}}],[11,"fmt","","",30,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",31,{"inputs":[{"name":"self"}],"output":{"name":"fontmetrics"}}],[11,"new","","",31,{"inputs":[],"output":{"name":"fontmetrics"}}],[11,"get_approximate_char_width","","",31,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_approximate_digit_width","","",31,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_ascent","","",31,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_descent","","",31,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_strikethrough_position","","",31,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_strikethrough_thickness","","",31,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_underline_position","","",31,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_underline_thickness","","",31,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"clone","","",32,{"inputs":[{"name":"self"}],"output":{"name":"glyphitem"}}],[11,"fmt","","",32,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"apply_attrs","","",32,{"inputs":[{"name":"self"},{"name":"str"},{"name":"attrlist"}],"output":{"name":"vec"}}],[11,"split","","",32,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"}],"output":{"name":"option"}}],[11,"clone","","",33,{"inputs":[{"name":"self"}],"output":{"name":"glyphitemiter"}}],[11,"fmt","","",33,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"init_end","","",33,{"inputs":[{"name":"self"},{"name":"glyphitem"},{"name":"str"}],"output":{"name":"bool"}}],[11,"init_start","","",33,{"inputs":[{"name":"self"},{"name":"glyphitem"},{"name":"str"}],"output":{"name":"bool"}}],[11,"next_cluster","","",33,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"prev_cluster","","",33,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"clone","","",34,{"inputs":[{"name":"self"}],"output":{"name":"glyphstring"}}],[11,"fmt","","",34,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"new","","",34,{"inputs":[],"output":{"name":"glyphstring"}}],[11,"extents","","",34,null],[11,"extents_range","","",34,null],[11,"get_width","","",34,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"set_size","","",34,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[11,"clone","","",35,{"inputs":[{"name":"self"}],"output":{"name":"layoutiter"}}],[11,"fmt","","",35,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"at_last_line","","",35,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"get_baseline","","",35,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_char_extents","","",35,{"inputs":[{"name":"self"}],"output":{"name":"rectangle"}}],[11,"get_cluster_extents","","",35,null],[11,"get_index","","",35,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_layout","","",35,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_layout_extents","","",35,null],[11,"get_line","","",35,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_line_extents","","",35,null],[11,"get_line_readonly","","",35,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_line_yrange","","",35,null],[11,"get_run","","",35,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_run_extents","","",35,null],[11,"get_run_readonly","","",35,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"next_char","","",35,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"next_cluster","","",35,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"next_line","","",35,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"next_run","","",35,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"clone","","",36,{"inputs":[{"name":"self"}],"output":{"name":"layoutline"}}],[11,"get_extents","","",36,null],[11,"get_pixel_extents","","",36,null],[11,"index_to_x","","",36,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"bool"}],"output":{"name":"i32"}}],[11,"x_to_index","","",36,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"option"}}],[11,"clone","","",37,{"inputs":[{"name":"self"}],"output":{"name":"matrix"}}],[11,"fmt","","",37,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"concat","","",37,{"inputs":[{"name":"self"},{"name":"matrix"}],"output":null}],[11,"get_font_scale_factor","","",37,{"inputs":[{"name":"self"}],"output":{"name":"f64"}}],[11,"rotate","","",37,{"inputs":[{"name":"self"},{"name":"f64"}],"output":null}],[11,"scale","","",37,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"}],"output":null}],[11,"transform_distance","","",37,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"}],"output":null}],[11,"transform_point","","",37,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"}],"output":null}],[11,"translate","","",37,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"f64"}],"output":null}],[11,"clone","","",38,{"inputs":[{"name":"self"}],"output":{"name":"tabarray"}}],[11,"fmt","","",38,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"new","","",38,{"inputs":[{"name":"i32"},{"name":"bool"}],"output":{"name":"tabarray"}}],[11,"get_positions_in_pixels","","",38,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"get_size","","",38,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[11,"get_tab","","",38,null],[11,"resize","","",38,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[11,"set_tab","","",38,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"tabalign"},{"name":"i32"}],"output":null}],[11,"clone","","",0,{"inputs":[{"name":"self"}],"output":{"name":"alignment"}}],[11,"fmt","","",0,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",0,{"inputs":[{"name":"self"},{"name":"alignment"}],"output":{"name":"bool"}}],[11,"ne","","",0,{"inputs":[{"name":"self"},{"name":"alignment"}],"output":{"name":"bool"}}],[11,"hash","","",0,null],[11,"clone","","",1,{"inputs":[{"name":"self"}],"output":{"name":"attrtype"}}],[11,"fmt","","",1,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",1,{"inputs":[{"name":"self"},{"name":"attrtype"}],"output":{"name":"bool"}}],[11,"ne","","",1,{"inputs":[{"name":"self"},{"name":"attrtype"}],"output":{"name":"bool"}}],[11,"hash","","",1,null],[11,"clone","","",2,{"inputs":[{"name":"self"}],"output":{"name":"biditype"}}],[11,"fmt","","",2,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",2,{"inputs":[{"name":"self"},{"name":"biditype"}],"output":{"name":"bool"}}],[11,"ne","","",2,{"inputs":[{"name":"self"},{"name":"biditype"}],"output":{"name":"bool"}}],[11,"hash","","",2,null],[11,"clone","","",3,{"inputs":[{"name":"self"}],"output":{"name":"coveragelevel"}}],[11,"fmt","","",3,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",3,{"inputs":[{"name":"self"},{"name":"coveragelevel"}],"output":{"name":"bool"}}],[11,"ne","","",3,{"inputs":[{"name":"self"},{"name":"coveragelevel"}],"output":{"name":"bool"}}],[11,"hash","","",3,null],[11,"clone","","",4,{"inputs":[{"name":"self"}],"output":{"name":"direction"}}],[11,"fmt","","",4,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",4,{"inputs":[{"name":"self"},{"name":"direction"}],"output":{"name":"bool"}}],[11,"ne","","",4,{"inputs":[{"name":"self"},{"name":"direction"}],"output":{"name":"bool"}}],[11,"hash","","",4,null],[11,"clone","","",5,{"inputs":[{"name":"self"}],"output":{"name":"ellipsizemode"}}],[11,"fmt","","",5,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",5,{"inputs":[{"name":"self"},{"name":"ellipsizemode"}],"output":{"name":"bool"}}],[11,"ne","","",5,{"inputs":[{"name":"self"},{"name":"ellipsizemode"}],"output":{"name":"bool"}}],[11,"hash","","",5,null],[11,"clone","","",6,{"inputs":[{"name":"self"}],"output":{"name":"gravity"}}],[11,"fmt","","",6,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",6,{"inputs":[{"name":"self"},{"name":"gravity"}],"output":{"name":"bool"}}],[11,"ne","","",6,{"inputs":[{"name":"self"},{"name":"gravity"}],"output":{"name":"bool"}}],[11,"hash","","",6,null],[11,"clone","","",7,{"inputs":[{"name":"self"}],"output":{"name":"gravityhint"}}],[11,"fmt","","",7,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",7,{"inputs":[{"name":"self"},{"name":"gravityhint"}],"output":{"name":"bool"}}],[11,"ne","","",7,{"inputs":[{"name":"self"},{"name":"gravityhint"}],"output":{"name":"bool"}}],[11,"hash","","",7,null],[11,"clone","","",8,{"inputs":[{"name":"self"}],"output":{"name":"renderpart"}}],[11,"fmt","","",8,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",8,{"inputs":[{"name":"self"},{"name":"renderpart"}],"output":{"name":"bool"}}],[11,"ne","","",8,{"inputs":[{"name":"self"},{"name":"renderpart"}],"output":{"name":"bool"}}],[11,"hash","","",8,null],[11,"clone","","",9,{"inputs":[{"name":"self"}],"output":{"name":"script"}}],[11,"fmt","","",9,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",9,{"inputs":[{"name":"self"},{"name":"script"}],"output":{"name":"bool"}}],[11,"ne","","",9,{"inputs":[{"name":"self"},{"name":"script"}],"output":{"name":"bool"}}],[11,"hash","","",9,null],[11,"clone","","",10,{"inputs":[{"name":"self"}],"output":{"name":"stretch"}}],[11,"fmt","","",10,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",10,{"inputs":[{"name":"self"},{"name":"stretch"}],"output":{"name":"bool"}}],[11,"ne","","",10,{"inputs":[{"name":"self"},{"name":"stretch"}],"output":{"name":"bool"}}],[11,"hash","","",10,null],[11,"clone","","",11,{"inputs":[{"name":"self"}],"output":{"name":"style"}}],[11,"fmt","","",11,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",11,{"inputs":[{"name":"self"},{"name":"style"}],"output":{"name":"bool"}}],[11,"ne","","",11,{"inputs":[{"name":"self"},{"name":"style"}],"output":{"name":"bool"}}],[11,"hash","","",11,null],[11,"clone","","",12,{"inputs":[{"name":"self"}],"output":{"name":"tabalign"}}],[11,"fmt","","",12,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",12,{"inputs":[{"name":"self"},{"name":"tabalign"}],"output":{"name":"bool"}}],[11,"ne","","",12,{"inputs":[{"name":"self"},{"name":"tabalign"}],"output":{"name":"bool"}}],[11,"hash","","",12,null],[11,"clone","","",13,{"inputs":[{"name":"self"}],"output":{"name":"underline"}}],[11,"fmt","","",13,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",13,{"inputs":[{"name":"self"},{"name":"underline"}],"output":{"name":"bool"}}],[11,"ne","","",13,{"inputs":[{"name":"self"},{"name":"underline"}],"output":{"name":"bool"}}],[11,"hash","","",13,null],[11,"clone","","",14,{"inputs":[{"name":"self"}],"output":{"name":"variant"}}],[11,"fmt","","",14,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",14,{"inputs":[{"name":"self"},{"name":"variant"}],"output":{"name":"bool"}}],[11,"ne","","",14,{"inputs":[{"name":"self"},{"name":"variant"}],"output":{"name":"bool"}}],[11,"hash","","",14,null],[11,"clone","","",15,{"inputs":[{"name":"self"}],"output":{"name":"weight"}}],[11,"fmt","","",15,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",15,{"inputs":[{"name":"self"},{"name":"weight"}],"output":{"name":"bool"}}],[11,"ne","","",15,{"inputs":[{"name":"self"},{"name":"weight"}],"output":{"name":"bool"}}],[11,"hash","","",15,null],[11,"clone","","",16,{"inputs":[{"name":"self"}],"output":{"name":"wrapmode"}}],[11,"fmt","","",16,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",16,{"inputs":[{"name":"self"},{"name":"wrapmode"}],"output":{"name":"bool"}}],[11,"ne","","",16,{"inputs":[{"name":"self"},{"name":"wrapmode"}],"output":{"name":"bool"}}],[11,"hash","","",16,null],[11,"eq","","",39,{"inputs":[{"name":"self"},{"name":"fontmask"}],"output":{"name":"bool"}}],[11,"ne","","",39,{"inputs":[{"name":"self"},{"name":"fontmask"}],"output":{"name":"bool"}}],[11,"clone","","",39,{"inputs":[{"name":"self"}],"output":{"name":"fontmask"}}],[11,"partial_cmp","","",39,{"inputs":[{"name":"self"},{"name":"fontmask"}],"output":{"name":"option"}}],[11,"lt","","",39,{"inputs":[{"name":"self"},{"name":"fontmask"}],"output":{"name":"bool"}}],[11,"le","","",39,{"inputs":[{"name":"self"},{"name":"fontmask"}],"output":{"name":"bool"}}],[11,"gt","","",39,{"inputs":[{"name":"self"},{"name":"fontmask"}],"output":{"name":"bool"}}],[11,"ge","","",39,{"inputs":[{"name":"self"},{"name":"fontmask"}],"output":{"name":"bool"}}],[11,"cmp","","",39,{"inputs":[{"name":"self"},{"name":"fontmask"}],"output":{"name":"ordering"}}],[11,"hash","","",39,null],[11,"fmt","","",39,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",39,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",39,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",39,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",39,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",39,{"inputs":[],"output":{"name":"fontmask"}}],[11,"all","","Returns the set containing all flags.",39,{"inputs":[],"output":{"name":"fontmask"}}],[11,"bits","","Returns the raw value of the flags currently stored.",39,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",39,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",39,{"inputs":[{"name":"u32"}],"output":{"name":"fontmask"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",39,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",39,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",39,{"inputs":[{"name":"self"},{"name":"fontmask"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",39,{"inputs":[{"name":"self"},{"name":"fontmask"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",39,{"inputs":[{"name":"self"},{"name":"fontmask"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",39,{"inputs":[{"name":"self"},{"name":"fontmask"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",39,{"inputs":[{"name":"self"},{"name":"fontmask"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",39,{"inputs":[{"name":"self"},{"name":"fontmask"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",39,{"inputs":[{"name":"self"},{"name":"fontmask"}],"output":{"name":"fontmask"}}],[11,"bitor_assign","","Adds the set of flags.",39,{"inputs":[{"name":"self"},{"name":"fontmask"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",39,{"inputs":[{"name":"self"},{"name":"fontmask"}],"output":{"name":"fontmask"}}],[11,"bitxor_assign","","Toggles the set of flags.",39,{"inputs":[{"name":"self"},{"name":"fontmask"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",39,{"inputs":[{"name":"self"},{"name":"fontmask"}],"output":{"name":"fontmask"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",39,{"inputs":[{"name":"self"},{"name":"fontmask"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",39,{"inputs":[{"name":"self"},{"name":"fontmask"}],"output":{"name":"fontmask"}}],[11,"sub_assign","","Disables all flags enabled in the set.",39,{"inputs":[{"name":"self"},{"name":"fontmask"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",39,{"inputs":[{"name":"self"}],"output":{"name":"fontmask"}}],[11,"extend","","",39,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",39,{"inputs":[{"name":"t"}],"output":{"name":"fontmask"}}],[0,"functions","","",null,null],[5,"config_key_get","pango::functions","",null,{"inputs":[{"name":"str"}],"output":{"name":"option"}}],[5,"config_key_get_system","","",null,{"inputs":[{"name":"str"}],"output":{"name":"option"}}],[5,"extents_to_pixels","","",null,{"inputs":[{"name":"p"},{"name":"q"}],"output":null}],[5,"find_base_dir","","",null,{"inputs":[{"name":"str"},{"name":"i32"}],"output":{"name":"direction"}}],[5,"find_paragraph_boundary","","",null,null],[5,"get_lib_subdirectory","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"get_sysconf_subdirectory","","",null,{"inputs":[],"output":{"name":"option"}}],[5,"is_zero_width","","",null,{"inputs":[{"name":"char"}],"output":{"name":"bool"}}],[5,"parse_enum","","",null,{"inputs":[{"name":"type"},{"name":"p"},{"name":"bool"}],"output":{"name":"option"}}],[5,"parse_markup","","",null,{"inputs":[{"name":"str"},{"name":"i32"},{"name":"char"}],"output":{"name":"result"}}],[5,"parse_stretch","","",null,{"inputs":[{"name":"str"},{"name":"bool"}],"output":{"name":"option"}}],[5,"parse_style","","",null,{"inputs":[{"name":"str"},{"name":"bool"}],"output":{"name":"option"}}],[5,"parse_variant","","",null,{"inputs":[{"name":"str"},{"name":"bool"}],"output":{"name":"option"}}],[5,"parse_weight","","",null,{"inputs":[{"name":"str"},{"name":"bool"}],"output":{"name":"option"}}],[5,"quantize_line_geometry","","",null,{"inputs":[{"name":"i32"},{"name":"i32"}],"output":null}],[5,"split_file_list","","",null,{"inputs":[{"name":"str"}],"output":{"name":"vec"}}],[5,"trim_string","","",null,{"inputs":[{"name":"str"}],"output":{"name":"option"}}],[5,"unichar_direction","","",null,{"inputs":[{"name":"char"}],"output":{"name":"direction"}}],[5,"units_from_double","","",null,{"inputs":[{"name":"f64"}],"output":{"name":"i32"}}],[5,"units_to_double","","",null,{"inputs":[{"name":"i32"}],"output":{"name":"f64"}}],[5,"version","","",null,{"inputs":[],"output":{"name":"i32"}}],[5,"version_check","","",null,{"inputs":[{"name":"i32"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[5,"version_string","","",null,{"inputs":[],"output":{"name":"option"}}],[0,"prelude","pango","Traits and essential types inteded for blanket imports.",null,null],[8,"ContextExt","pango::prelude","",null,null],[10,"changed","","",40,{"inputs":[{"name":"self"}],"output":null}],[10,"get_base_dir","","",40,{"inputs":[{"name":"self"}],"output":{"name":"direction"}}],[10,"get_base_gravity","","",40,{"inputs":[{"name":"self"}],"output":{"name":"gravity"}}],[10,"get_font_description","","",40,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_font_map","","",40,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_gravity","","",40,{"inputs":[{"name":"self"}],"output":{"name":"gravity"}}],[10,"get_gravity_hint","","",40,{"inputs":[{"name":"self"}],"output":{"name":"gravityhint"}}],[10,"get_language","","",40,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_matrix","","",40,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_metrics","","",40,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"}],"output":{"name":"option"}}],[10,"get_serial","","",40,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"load_font","","",40,{"inputs":[{"name":"self"},{"name":"fontdescription"}],"output":{"name":"option"}}],[10,"load_fontset","","",40,{"inputs":[{"name":"self"},{"name":"fontdescription"},{"name":"language"}],"output":{"name":"option"}}],[10,"set_base_dir","","",40,{"inputs":[{"name":"self"},{"name":"direction"}],"output":null}],[10,"set_base_gravity","","",40,{"inputs":[{"name":"self"},{"name":"gravity"}],"output":null}],[10,"set_font_description","","",40,{"inputs":[{"name":"self"},{"name":"fontdescription"}],"output":null}],[10,"set_font_map","","",40,{"inputs":[{"name":"self"},{"name":"fontmap"}],"output":null}],[10,"set_gravity_hint","","",40,{"inputs":[{"name":"self"},{"name":"gravityhint"}],"output":null}],[10,"set_language","","",40,{"inputs":[{"name":"self"},{"name":"language"}],"output":null}],[10,"set_matrix","","",40,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[8,"FontExt","","",null,null],[10,"describe","","",41,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"describe_with_absolute_size","","",41,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"find_shaper","","",41,{"inputs":[{"name":"self"},{"name":"language"},{"name":"u32"}],"output":{"name":"option"}}],[10,"get_coverage","","",41,{"inputs":[{"name":"self"},{"name":"language"}],"output":{"name":"option"}}],[10,"get_font_map","","",41,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_glyph_extents","","",41,null],[10,"get_metrics","","",41,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"option"}}],[8,"FontFaceExt","","",null,null],[10,"describe","","",42,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_face_name","","",42,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"is_synthesized","","",42,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[8,"FontFamilyExt","","",null,null],[10,"get_name","","",43,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"is_monospace","","",43,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[8,"FontMapExt","","",null,null],[10,"changed","","",44,{"inputs":[{"name":"self"}],"output":null}],[10,"create_context","","",44,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_serial","","",44,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"get_shape_engine_type","","",44,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"load_font","","",44,{"inputs":[{"name":"self"},{"name":"context"},{"name":"fontdescription"}],"output":{"name":"option"}}],[10,"load_fontset","","",44,{"inputs":[{"name":"self"},{"name":"context"},{"name":"fontdescription"},{"name":"language"}],"output":{"name":"option"}}],[8,"FontsetExt","","",null,null],[10,"get_font","","",45,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[10,"get_metrics","","",45,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[8,"LayoutExt","","",null,null],[10,"context_changed","","",46,{"inputs":[{"name":"self"}],"output":null}],[10,"copy","","",46,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_alignment","","",46,{"inputs":[{"name":"self"}],"output":{"name":"alignment"}}],[10,"get_attributes","","",46,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_auto_dir","","",46,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_baseline","","",46,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_character_count","","",46,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_context","","",46,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_cursor_pos","","",46,null],[10,"get_ellipsize","","",46,{"inputs":[{"name":"self"}],"output":{"name":"ellipsizemode"}}],[10,"get_extents","","",46,null],[10,"get_font_description","","",46,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_height","","",46,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_indent","","",46,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_iter","","",46,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_justify","","",46,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_line","","",46,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_line_count","","",46,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_line_readonly","","",46,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_lines","","",46,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"get_lines_readonly","","",46,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"get_pixel_extents","","",46,null],[10,"get_pixel_size","","",46,null],[10,"get_serial","","",46,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"get_single_paragraph_mode","","",46,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_size","","",46,null],[10,"get_spacing","","",46,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_tabs","","",46,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_text","","",46,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_unknown_glyphs_count","","",46,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_width","","",46,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_wrap","","",46,{"inputs":[{"name":"self"}],"output":{"name":"wrapmode"}}],[10,"index_to_line_x","","",46,null],[10,"index_to_pos","","",46,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"rectangle"}}],[10,"is_ellipsized","","",46,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_wrapped","","",46,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"move_cursor_visually","","",46,null],[10,"set_alignment","","",46,{"inputs":[{"name":"self"},{"name":"alignment"}],"output":null}],[10,"set_attributes","","",46,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_auto_dir","","",46,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_ellipsize","","",46,{"inputs":[{"name":"self"},{"name":"ellipsizemode"}],"output":null}],[10,"set_font_description","","",46,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_height","","",46,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_indent","","",46,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_justify","","",46,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_markup","","",46,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"}],"output":null}],[10,"set_markup_with_accel","","",46,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"},{"name":"char"}],"output":{"name":"char"}}],[10,"set_single_paragraph_mode","","",46,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_spacing","","",46,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_tabs","","",46,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_text","","",46,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"}],"output":null}],[10,"set_width","","",46,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_wrap","","",46,{"inputs":[{"name":"self"},{"name":"wrapmode"}],"output":null}],[10,"xy_to_index","","",46,null],[8,"RendererExt","","",null,null],[10,"activate","","",47,{"inputs":[{"name":"self"}],"output":null}],[10,"deactivate","","",47,{"inputs":[{"name":"self"}],"output":null}],[10,"draw_error_underline","","",47,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"draw_glyph","","",47,{"inputs":[{"name":"self"},{"name":"font"},{"name":"glyph"},{"name":"f64"},{"name":"f64"}],"output":null}],[10,"draw_glyph_item","","",47,{"inputs":[{"name":"self"},{"name":"p"},{"name":"glyphitem"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"draw_glyphs","","",47,{"inputs":[{"name":"self"},{"name":"font"},{"name":"glyphstring"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"draw_layout","","",47,{"inputs":[{"name":"self"},{"name":"layout"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"draw_layout_line","","",47,{"inputs":[{"name":"self"},{"name":"layoutline"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"draw_rectangle","","",47,{"inputs":[{"name":"self"},{"name":"renderpart"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"draw_trapezoid","","",47,{"inputs":[{"name":"self"},{"name":"renderpart"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[10,"get_color","","",47,{"inputs":[{"name":"self"},{"name":"renderpart"}],"output":{"name":"option"}}],[10,"get_layout","","",47,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_layout_line","","",47,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_matrix","","",47,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"part_changed","","",47,{"inputs":[{"name":"self"},{"name":"renderpart"}],"output":null}],[10,"set_color","","",47,{"inputs":[{"name":"self"},{"name":"renderpart"},{"name":"p"}],"output":null}],[10,"set_matrix","","",47,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[0,"attr_class","pango","",null,null],[3,"AttrClass","pango::attr_class","",null,null],[11,"eq","","",48,{"inputs":[{"name":"self"},{"name":"attrclass"}],"output":{"name":"bool"}}],[0,"attr_list","pango","",null,null],[11,"change","","",26,{"inputs":[{"name":"self"},{"name":"attribute"}],"output":null}],[11,"insert","","",26,{"inputs":[{"name":"self"},{"name":"attribute"}],"output":null}],[11,"insert_before","","",26,{"inputs":[{"name":"self"},{"name":"attribute"}],"output":null}],[0,"attribute","","",null,null],[11,"new_background","","",27,{"inputs":[{"name":"u16"},{"name":"u16"},{"name":"u16"}],"output":{"name":"option"}}],[11,"new_fallback","","",27,{"inputs":[{"name":"bool"}],"output":{"name":"option"}}],[11,"new_family","","",27,{"inputs":[{"name":"str"}],"output":{"name":"option"}}],[11,"new_foreground","","",27,{"inputs":[{"name":"u16"},{"name":"u16"},{"name":"u16"}],"output":{"name":"option"}}],[11,"new_gravity_hint","","",27,{"inputs":[{"name":"gravityhint"}],"output":{"name":"option"}}],[11,"new_gravity","","",27,{"inputs":[{"name":"gravity"}],"output":{"name":"option"}}],[11,"new_letter_spacing","","",27,{"inputs":[{"name":"i32"}],"output":{"name":"option"}}],[11,"new_rise","","",27,{"inputs":[{"name":"i32"}],"output":{"name":"option"}}],[11,"new_scale","","",27,{"inputs":[{"name":"f64"}],"output":{"name":"option"}}],[11,"new_stretch","","",27,{"inputs":[{"name":"stretch"}],"output":{"name":"option"}}],[11,"new_strikethrough_color","","",27,{"inputs":[{"name":"u16"},{"name":"u16"},{"name":"u16"}],"output":{"name":"option"}}],[11,"new_strikethrough","","",27,{"inputs":[{"name":"bool"}],"output":{"name":"option"}}],[11,"new_style","","",27,{"inputs":[{"name":"style"}],"output":{"name":"option"}}],[11,"new_underline_color","","",27,{"inputs":[{"name":"u16"},{"name":"u16"},{"name":"u16"}],"output":{"name":"option"}}],[11,"new_underline","","",27,{"inputs":[{"name":"underline"}],"output":{"name":"option"}}],[11,"new_variant","","",27,{"inputs":[{"name":"variant"}],"output":{"name":"option"}}],[11,"new_weight","","",27,{"inputs":[{"name":"weight"}],"output":{"name":"option"}}],[11,"get_attr_class","","",27,{"inputs":[{"name":"self"}],"output":{"name":"attrclass"}}],[11,"get_start_index","","",27,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"get_end_index","","",27,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"set_start_index","","",27,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[11,"set_end_index","","",27,{"inputs":[{"name":"self"},{"name":"u32"}],"output":null}],[0,"font_description","","",null,null],[11,"set_family_static","","",30,{"inputs":[{"name":"self"},{"name":"str"}],"output":null}],[0,"item","","",null,null],[3,"Item","pango::item","",null,null],[11,"new","","",49,{"inputs":[],"output":{"name":"option"}}],[11,"copy","","",49,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"split","","",49,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"}],"output":{"name":"option"}}],[11,"drop","","",49,{"inputs":[{"name":"self"}],"output":null}],[0,"language","pango","",null,null],[3,"Language","pango::language","",null,null],[11,"default","","",50,{"inputs":[],"output":{"name":"language"}}],[11,"from_string","","",50,{"inputs":[{"name":"str"}],"output":{"name":"language"}}],[11,"to_string","","",50,{"inputs":[{"name":"self"}],"output":{"name":"string"}}],[11,"matches","","",50,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[11,"includes_script","","",50,{"inputs":[{"name":"self"},{"name":"script"}],"output":{"name":"bool"}}],[11,"get_scripts","","",50,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[11,"get_sample_string","","",50,{"inputs":[{"name":"self"}],"output":{"name":"string"}}],[0,"matrix","pango","",null,null],[0,"rectangle","","",null,null],[3,"Rectangle","pango::rectangle","",null,null],[12,"x","","",51,null],[12,"y","","",51,null],[12,"width","","",51,null],[12,"height","","",51,null],[11,"clone","","",51,{"inputs":[{"name":"self"}],"output":{"name":"rectangle"}}],[11,"fmt","","",51,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",51,{"inputs":[{"name":"self"},{"name":"rectangle"}],"output":{"name":"bool"}}],[11,"ne","","",51,{"inputs":[{"name":"self"},{"name":"rectangle"}],"output":{"name":"bool"}}],[11,"hash","","",51,null],[11,"new","","",51,{"inputs":[{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"i32"}],"output":{"name":"rectangle"}}],[6,"Glyph","pango","",null,null],[6,"LayoutRun","","",null,null],[17,"FONT_MASK_FAMILY","","",null,null],[17,"FONT_MASK_STYLE","","",null,null],[17,"FONT_MASK_VARIANT","","",null,null],[17,"FONT_MASK_WEIGHT","","",null,null],[17,"FONT_MASK_STRETCH","","",null,null],[17,"FONT_MASK_SIZE","","",null,null],[17,"FONT_MASK_GRAVITY","","",null,null],[8,"ContextExt","","",null,null],[10,"changed","","",40,{"inputs":[{"name":"self"}],"output":null}],[10,"get_base_dir","","",40,{"inputs":[{"name":"self"}],"output":{"name":"direction"}}],[10,"get_base_gravity","","",40,{"inputs":[{"name":"self"}],"output":{"name":"gravity"}}],[10,"get_font_description","","",40,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_font_map","","",40,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_gravity","","",40,{"inputs":[{"name":"self"}],"output":{"name":"gravity"}}],[10,"get_gravity_hint","","",40,{"inputs":[{"name":"self"}],"output":{"name":"gravityhint"}}],[10,"get_language","","",40,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_matrix","","",40,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_metrics","","",40,{"inputs":[{"name":"self"},{"name":"p"},{"name":"q"}],"output":{"name":"option"}}],[10,"get_serial","","",40,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"load_font","","",40,{"inputs":[{"name":"self"},{"name":"fontdescription"}],"output":{"name":"option"}}],[10,"load_fontset","","",40,{"inputs":[{"name":"self"},{"name":"fontdescription"},{"name":"language"}],"output":{"name":"option"}}],[10,"set_base_dir","","",40,{"inputs":[{"name":"self"},{"name":"direction"}],"output":null}],[10,"set_base_gravity","","",40,{"inputs":[{"name":"self"},{"name":"gravity"}],"output":null}],[10,"set_font_description","","",40,{"inputs":[{"name":"self"},{"name":"fontdescription"}],"output":null}],[10,"set_font_map","","",40,{"inputs":[{"name":"self"},{"name":"fontmap"}],"output":null}],[10,"set_gravity_hint","","",40,{"inputs":[{"name":"self"},{"name":"gravityhint"}],"output":null}],[10,"set_language","","",40,{"inputs":[{"name":"self"},{"name":"language"}],"output":null}],[10,"set_matrix","","",40,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[8,"FontExt","","",null,null],[10,"describe","","",41,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"describe_with_absolute_size","","",41,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"find_shaper","","",41,{"inputs":[{"name":"self"},{"name":"language"},{"name":"u32"}],"output":{"name":"option"}}],[10,"get_coverage","","",41,{"inputs":[{"name":"self"},{"name":"language"}],"output":{"name":"option"}}],[10,"get_font_map","","",41,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_glyph_extents","","",41,null],[10,"get_metrics","","",41,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"option"}}],[8,"FontFaceExt","","",null,null],[10,"describe","","",42,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_face_name","","",42,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"is_synthesized","","",42,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[8,"FontFamilyExt","","",null,null],[10,"get_name","","",43,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"is_monospace","","",43,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[8,"FontMapExt","","",null,null],[10,"changed","","",44,{"inputs":[{"name":"self"}],"output":null}],[10,"create_context","","",44,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_serial","","",44,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"get_shape_engine_type","","",44,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"load_font","","",44,{"inputs":[{"name":"self"},{"name":"context"},{"name":"fontdescription"}],"output":{"name":"option"}}],[10,"load_fontset","","",44,{"inputs":[{"name":"self"},{"name":"context"},{"name":"fontdescription"},{"name":"language"}],"output":{"name":"option"}}],[8,"FontsetExt","","",null,null],[10,"get_font","","",45,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"option"}}],[10,"get_metrics","","",45,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[8,"LayoutExt","","",null,null],[10,"context_changed","","",46,{"inputs":[{"name":"self"}],"output":null}],[10,"copy","","",46,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_alignment","","",46,{"inputs":[{"name":"self"}],"output":{"name":"alignment"}}],[10,"get_attributes","","",46,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_auto_dir","","",46,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_baseline","","",46,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_character_count","","",46,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_context","","",46,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_cursor_pos","","",46,null],[10,"get_ellipsize","","",46,{"inputs":[{"name":"self"}],"output":{"name":"ellipsizemode"}}],[10,"get_extents","","",46,null],[10,"get_font_description","","",46,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_height","","",46,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_indent","","",46,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_iter","","",46,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_justify","","",46,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_line","","",46,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_line_count","","",46,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_line_readonly","","",46,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"option"}}],[10,"get_lines","","",46,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"get_lines_readonly","","",46,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[10,"get_pixel_extents","","",46,null],[10,"get_pixel_size","","",46,null],[10,"get_serial","","",46,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[10,"get_single_paragraph_mode","","",46,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"get_size","","",46,null],[10,"get_spacing","","",46,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_tabs","","",46,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_text","","",46,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_unknown_glyphs_count","","",46,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_width","","",46,{"inputs":[{"name":"self"}],"output":{"name":"i32"}}],[10,"get_wrap","","",46,{"inputs":[{"name":"self"}],"output":{"name":"wrapmode"}}],[10,"index_to_line_x","","",46,null],[10,"index_to_pos","","",46,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"rectangle"}}],[10,"is_ellipsized","","",46,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_wrapped","","",46,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"move_cursor_visually","","",46,null],[10,"set_alignment","","",46,{"inputs":[{"name":"self"},{"name":"alignment"}],"output":null}],[10,"set_attributes","","",46,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_auto_dir","","",46,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_ellipsize","","",46,{"inputs":[{"name":"self"},{"name":"ellipsizemode"}],"output":null}],[10,"set_font_description","","",46,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_height","","",46,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_indent","","",46,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_justify","","",46,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_markup","","",46,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"}],"output":null}],[10,"set_markup_with_accel","","",46,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"},{"name":"char"}],"output":{"name":"char"}}],[10,"set_single_paragraph_mode","","",46,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[10,"set_spacing","","",46,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_tabs","","",46,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[10,"set_text","","",46,{"inputs":[{"name":"self"},{"name":"str"},{"name":"i32"}],"output":null}],[10,"set_width","","",46,{"inputs":[{"name":"self"},{"name":"i32"}],"output":null}],[10,"set_wrap","","",46,{"inputs":[{"name":"self"},{"name":"wrapmode"}],"output":null}],[10,"xy_to_index","","",46,null],[8,"RendererExt","","",null,null],[10,"activate","","",47,{"inputs":[{"name":"self"}],"output":null}],[10,"deactivate","","",47,{"inputs":[{"name":"self"}],"output":null}],[10,"draw_error_underline","","",47,{"inputs":[{"name":"self"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"draw_glyph","","",47,{"inputs":[{"name":"self"},{"name":"font"},{"name":"glyph"},{"name":"f64"},{"name":"f64"}],"output":null}],[10,"draw_glyph_item","","",47,{"inputs":[{"name":"self"},{"name":"p"},{"name":"glyphitem"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"draw_glyphs","","",47,{"inputs":[{"name":"self"},{"name":"font"},{"name":"glyphstring"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"draw_layout","","",47,{"inputs":[{"name":"self"},{"name":"layout"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"draw_layout_line","","",47,{"inputs":[{"name":"self"},{"name":"layoutline"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"draw_rectangle","","",47,{"inputs":[{"name":"self"},{"name":"renderpart"},{"name":"i32"},{"name":"i32"},{"name":"i32"},{"name":"i32"}],"output":null}],[10,"draw_trapezoid","","",47,{"inputs":[{"name":"self"},{"name":"renderpart"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"},{"name":"f64"}],"output":null}],[10,"get_color","","",47,{"inputs":[{"name":"self"},{"name":"renderpart"}],"output":{"name":"option"}}],[10,"get_layout","","",47,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_layout_line","","",47,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"get_matrix","","",47,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[10,"part_changed","","",47,{"inputs":[{"name":"self"},{"name":"renderpart"}],"output":null}],[10,"set_color","","",47,{"inputs":[{"name":"self"},{"name":"renderpart"},{"name":"p"}],"output":null}],[10,"set_matrix","","",47,{"inputs":[{"name":"self"},{"name":"p"}],"output":null}],[11,"new","","Creates an error with supplied error enum variant and message.",52,{"inputs":[{"name":"t"},{"name":"str"}],"output":{"name":"error"}}],[11,"is","","Checks if the error domain matches `T`.",52,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"kind","","Tries to convert to a specific error enum.",52,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"wrap","","",52,null],[11,"clone","","",52,{"inputs":[{"name":"self"}],"output":{"name":"error"}}],[11,"description","","",52,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"fmt","","",52,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",52,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}]],"paths":[[4,"Alignment"],[4,"AttrType"],[4,"BidiType"],[4,"CoverageLevel"],[4,"Direction"],[4,"EllipsizeMode"],[4,"Gravity"],[4,"GravityHint"],[4,"RenderPart"],[4,"Script"],[4,"Stretch"],[4,"Style"],[4,"TabAlign"],[4,"Underline"],[4,"Variant"],[4,"Weight"],[4,"WrapMode"],[3,"Context"],[3,"EngineShape"],[3,"Font"],[3,"FontFace"],[3,"FontFamily"],[3,"FontMap"],[3,"Fontset"],[3,"Layout"],[3,"Renderer"],[3,"AttrList"],[3,"Attribute"],[3,"Color"],[3,"Coverage"],[3,"FontDescription"],[3,"FontMetrics"],[3,"GlyphItem"],[3,"GlyphItemIter"],[3,"GlyphString"],[3,"LayoutIter"],[3,"LayoutLine"],[3,"Matrix"],[3,"TabArray"],[3,"FontMask"],[8,"ContextExt"],[8,"FontExt"],[8,"FontFaceExt"],[8,"FontFamilyExt"],[8,"FontMapExt"],[8,"FontsetExt"],[8,"LayoutExt"],[8,"RendererExt"],[3,"AttrClass"],[3,"Item"],[3,"Language"],[3,"Rectangle"],[3,"Error"]]};
searchIndex["pango_sys"] = {"doc":"","items":[[3,"PangoFontMask","pango_sys","",null,null],[3,"PangoAnalysis","","",null,null],[12,"shape_engine","","",0,null],[12,"lang_engine","","",0,null],[12,"font","","",0,null],[12,"level","","",0,null],[12,"gravity","","",0,null],[12,"flags","","",0,null],[12,"script","","",0,null],[12,"language","","",0,null],[12,"extra_attrs","","",0,null],[3,"PangoAttrClass","","",null,null],[12,"type_","","",1,null],[12,"copy","","",1,null],[12,"destroy","","",1,null],[12,"equal","","",1,null],[3,"PangoAttrColor","","",null,null],[12,"attr","","",2,null],[12,"color","","",2,null],[3,"PangoAttrFloat","","",null,null],[12,"attr","","",3,null],[12,"value","","",3,null],[3,"PangoAttrFontDesc","","",null,null],[12,"attr","","",4,null],[12,"desc","","",4,null],[3,"PangoAttrFontFeatures","","",null,null],[12,"attr","","",5,null],[12,"features","","",5,null],[3,"PangoAttrInt","","",null,null],[12,"attr","","",6,null],[12,"value","","",6,null],[3,"PangoAttrIterator","","",null,null],[3,"PangoAttrLanguage","","",null,null],[12,"attr","","",7,null],[12,"value","","",7,null],[3,"PangoAttrList","","",null,null],[3,"PangoAttrShape","","",null,null],[12,"attr","","",8,null],[12,"ink_rect","","",8,null],[12,"logical_rect","","",8,null],[12,"data","","",8,null],[12,"copy_func","","",8,null],[12,"destroy_func","","",8,null],[3,"PangoAttrSize","","",null,null],[12,"attr","","",9,null],[12,"size","","",9,null],[3,"PangoAttrString","","",null,null],[12,"attr","","",10,null],[12,"value","","",10,null],[3,"PangoAttribute","","",null,null],[12,"klass","","",11,null],[12,"start_index","","",11,null],[12,"end_index","","",11,null],[3,"PangoColor","","",null,null],[12,"red","","",12,null],[12,"green","","",12,null],[12,"blue","","",12,null],[3,"PangoContextClass","","",null,null],[3,"PangoCoverage","","",null,null],[3,"PangoEngineClass","","",null,null],[12,"parent_class","","",13,null],[3,"PangoEngineInfo","","",null,null],[12,"id","","",14,null],[12,"engine_type","","",14,null],[12,"render_type","","",14,null],[12,"scripts","","",14,null],[12,"n_scripts","","",14,null],[3,"PangoEngineLangClass","","",null,null],[12,"parent_class","","",15,null],[12,"script_break","","",15,null],[3,"PangoEngineScriptInfo","","",null,null],[12,"script","","",16,null],[12,"langs","","",16,null],[3,"PangoEngineShapeClass","","",null,null],[12,"parent_class","","",17,null],[12,"script_shape","","",17,null],[12,"covers","","",17,null],[3,"PangoFontClass","","",null,null],[12,"parent_class","","",18,null],[12,"describe","","",18,null],[12,"get_coverage","","",18,null],[12,"find_shaper","","",18,null],[12,"get_glyph_extents","","",18,null],[12,"get_metrics","","",18,null],[12,"get_font_map","","",18,null],[12,"describe_absolute","","",18,null],[12,"_pango_reserved1","","",18,null],[12,"_pango_reserved2","","",18,null],[3,"PangoFontDescription","","",null,null],[3,"PangoFontFaceClass","","",null,null],[12,"parent_class","","",19,null],[12,"get_face_name","","",19,null],[12,"describe","","",19,null],[12,"list_sizes","","",19,null],[12,"is_synthesized","","",19,null],[12,"_pango_reserved3","","",19,null],[12,"_pango_reserved4","","",19,null],[3,"PangoFontFamilyClass","","",null,null],[12,"parent_class","","",20,null],[12,"list_faces","","",20,null],[12,"get_name","","",20,null],[12,"is_monospace","","",20,null],[12,"_pango_reserved2","","",20,null],[12,"_pango_reserved3","","",20,null],[12,"_pango_reserved4","","",20,null],[3,"PangoFontMapClass","","",null,null],[12,"parent_class","","",21,null],[12,"load_font","","",21,null],[12,"list_families","","",21,null],[12,"load_fontset","","",21,null],[12,"shape_engine_type","","",21,null],[12,"get_serial","","",21,null],[12,"changed","","",21,null],[12,"_pango_reserved1","","",21,null],[12,"_pango_reserved2","","",21,null],[3,"PangoFontMetrics","","",null,null],[12,"ref_count","","",22,null],[12,"ascent","","",22,null],[12,"descent","","",22,null],[12,"approximate_char_width","","",22,null],[12,"approximate_digit_width","","",22,null],[12,"underline_position","","",22,null],[12,"underline_thickness","","",22,null],[12,"strikethrough_position","","",22,null],[12,"strikethrough_thickness","","",22,null],[3,"PangoFontsetClass","","",null,null],[12,"parent_class","","",23,null],[12,"get_font","","",23,null],[12,"get_metrics","","",23,null],[12,"get_language","","",23,null],[12,"foreach","","",23,null],[12,"_pango_reserved1","","",23,null],[12,"_pango_reserved2","","",23,null],[12,"_pango_reserved3","","",23,null],[12,"_pango_reserved4","","",23,null],[3,"PangoFontsetSimpleClass","","",null,null],[3,"PangoGlyphGeometry","","",null,null],[12,"width","","",24,null],[12,"x_offset","","",24,null],[12,"y_offset","","",24,null],[3,"PangoGlyphInfo","","",null,null],[12,"glyph","","",25,null],[12,"geometry","","",25,null],[12,"attr","","",25,null],[3,"PangoGlyphItem","","",null,null],[12,"item","","",26,null],[12,"glyphs","","",26,null],[3,"PangoGlyphItemIter","","",null,null],[12,"glyph_item","","",27,null],[12,"text","","",27,null],[12,"start_glyph","","",27,null],[12,"start_index","","",27,null],[12,"start_char","","",27,null],[12,"end_glyph","","",27,null],[12,"end_index","","",27,null],[12,"end_char","","",27,null],[3,"PangoGlyphString","","",null,null],[12,"num_glyphs","","",28,null],[12,"glyphs","","",28,null],[12,"log_clusters","","",28,null],[12,"space","","",28,null],[3,"PangoGlyphVisAttr","","",null,null],[3,"PangoIncludedModule","","",null,null],[12,"list","","",29,null],[12,"init","","",29,null],[12,"exit","","",29,null],[12,"create","","",29,null],[3,"PangoItem","","",null,null],[12,"offset","","",30,null],[12,"length","","",30,null],[12,"num_chars","","",30,null],[12,"analysis","","",30,null],[3,"PangoLanguage","","",null,null],[3,"PangoLayoutClass","","",null,null],[3,"PangoLayoutIter","","",null,null],[3,"PangoLayoutLine","","",null,null],[12,"layout","","",31,null],[12,"start_index","","",31,null],[12,"length","","",31,null],[12,"runs","","",31,null],[3,"PangoLogAttr","","",null,null],[3,"PangoMap","","",null,null],[3,"PangoMapEntry","","",null,null],[3,"PangoMatrix","","",null,null],[12,"xx","","",32,null],[12,"xy","","",32,null],[12,"yx","","",32,null],[12,"yy","","",32,null],[12,"x0","","",32,null],[12,"y0","","",32,null],[3,"PangoRectangle","","",null,null],[12,"x","","",33,null],[12,"y","","",33,null],[12,"width","","",33,null],[12,"height","","",33,null],[3,"PangoRendererClass","","",null,null],[12,"parent_class","","",34,null],[12,"draw_glyphs","","",34,null],[12,"draw_rectangle","","",34,null],[12,"draw_error_underline","","",34,null],[12,"draw_shape","","",34,null],[12,"draw_trapezoid","","",34,null],[12,"draw_glyph","","",34,null],[12,"part_changed","","",34,null],[12,"begin","","",34,null],[12,"end","","",34,null],[12,"prepare_run","","",34,null],[12,"draw_glyph_item","","",34,null],[12,"_pango_reserved2","","",34,null],[12,"_pango_reserved3","","",34,null],[12,"_pango_reserved4","","",34,null],[3,"PangoRendererPrivate","","",null,null],[3,"PangoScriptForLang","","",null,null],[12,"lang","","",35,null],[12,"scripts","","",35,null],[3,"PangoScriptIter","","",null,null],[3,"PangoTabArray","","",null,null],[3,"PangoContext","","",null,null],[3,"PangoEngine","","",null,null],[12,"parent_instance","","",36,null],[3,"PangoEngineLang","","",null,null],[12,"parent_instance","","",37,null],[3,"PangoEngineShape","","",null,null],[12,"parent_instance","","",38,null],[3,"PangoFont","","",null,null],[12,"parent_instance","","",39,null],[3,"PangoFontFace","","",null,null],[12,"parent_instance","","",40,null],[3,"PangoFontFamily","","",null,null],[12,"parent_instance","","",41,null],[3,"PangoFontMap","","",null,null],[12,"parent_instance","","",42,null],[3,"PangoFontset","","",null,null],[12,"parent_instance","","",43,null],[3,"PangoFontsetSimple","","",null,null],[3,"PangoLayout","","",null,null],[3,"PangoRenderer","","",null,null],[12,"parent_instance","","",44,null],[12,"underline","","",44,null],[12,"strikethrough","","",44,null],[12,"active_count","","",44,null],[12,"matrix","","",44,null],[12,"priv_","","",44,null],[4,"PangoAlignment","","",null,null],[13,"Left","","",45,null],[13,"Center","","",45,null],[13,"Right","","",45,null],[4,"PangoAttrType","","",null,null],[13,"Invalid","","",46,null],[13,"Language","","",46,null],[13,"Family","","",46,null],[13,"Style","","",46,null],[13,"Weight","","",46,null],[13,"Variant","","",46,null],[13,"Stretch","","",46,null],[13,"Size","","",46,null],[13,"FontDesc","","",46,null],[13,"Foreground","","",46,null],[13,"Background","","",46,null],[13,"Underline","","",46,null],[13,"Strikethrough","","",46,null],[13,"Rise","","",46,null],[13,"Shape","","",46,null],[13,"Scale","","",46,null],[13,"Fallback","","",46,null],[13,"LetterSpacing","","",46,null],[13,"UnderlineColor","","",46,null],[13,"StrikethroughColor","","",46,null],[13,"AbsoluteSize","","",46,null],[13,"Gravity","","",46,null],[13,"GravityHint","","",46,null],[13,"FontFeatures","","",46,null],[13,"ForegroundAlpha","","",46,null],[13,"BackgroundAlpha","","",46,null],[4,"PangoBidiType","","",null,null],[13,"L","","",47,null],[13,"Lre","","",47,null],[13,"Lro","","",47,null],[13,"R","","",47,null],[13,"Al","","",47,null],[13,"Rle","","",47,null],[13,"Rlo","","",47,null],[13,"Pdf","","",47,null],[13,"En","","",47,null],[13,"Es","","",47,null],[13,"Et","","",47,null],[13,"An","","",47,null],[13,"Cs","","",47,null],[13,"Nsm","","",47,null],[13,"Bn","","",47,null],[13,"B","","",47,null],[13,"S","","",47,null],[13,"Ws","","",47,null],[13,"On","","",47,null],[4,"PangoCoverageLevel","","",null,null],[13,"None","","",48,null],[13,"Fallback","","",48,null],[13,"Approximate","","",48,null],[13,"Exact","","",48,null],[4,"PangoDirection","","",null,null],[13,"Ltr","","",49,null],[13,"Rtl","","",49,null],[13,"TtbLtr","","",49,null],[13,"TtbRtl","","",49,null],[13,"WeakLtr","","",49,null],[13,"WeakRtl","","",49,null],[13,"Neutral","","",49,null],[4,"PangoEllipsizeMode","","",null,null],[13,"None","","",50,null],[13,"Start","","",50,null],[13,"Middle","","",50,null],[13,"End","","",50,null],[4,"PangoGravity","","",null,null],[13,"South","","",51,null],[13,"East","","",51,null],[13,"North","","",51,null],[13,"West","","",51,null],[13,"Auto","","",51,null],[4,"PangoGravityHint","","",null,null],[13,"Natural","","",52,null],[13,"Strong","","",52,null],[13,"Line","","",52,null],[4,"PangoRenderPart","","",null,null],[13,"Foreground","","",53,null],[13,"Background","","",53,null],[13,"Underline","","",53,null],[13,"Strikethrough","","",53,null],[4,"PangoScript","","",null,null],[13,"InvalidCode","","",54,null],[13,"Common","","",54,null],[13,"Inherited","","",54,null],[13,"Arabic","","",54,null],[13,"Armenian","","",54,null],[13,"Bengali","","",54,null],[13,"Bopomofo","","",54,null],[13,"Cherokee","","",54,null],[13,"Coptic","","",54,null],[13,"Cyrillic","","",54,null],[13,"Deseret","","",54,null],[13,"Devanagari","","",54,null],[13,"Ethiopic","","",54,null],[13,"Georgian","","",54,null],[13,"Gothic","","",54,null],[13,"Greek","","",54,null],[13,"Gujarati","","",54,null],[13,"Gurmukhi","","",54,null],[13,"Han","","",54,null],[13,"Hangul","","",54,null],[13,"Hebrew","","",54,null],[13,"Hiragana","","",54,null],[13,"Kannada","","",54,null],[13,"Katakana","","",54,null],[13,"Khmer","","",54,null],[13,"Lao","","",54,null],[13,"Latin","","",54,null],[13,"Malayalam","","",54,null],[13,"Mongolian","","",54,null],[13,"Myanmar","","",54,null],[13,"Ogham","","",54,null],[13,"OldItalic","","",54,null],[13,"Oriya","","",54,null],[13,"Runic","","",54,null],[13,"Sinhala","","",54,null],[13,"Syriac","","",54,null],[13,"Tamil","","",54,null],[13,"Telugu","","",54,null],[13,"Thaana","","",54,null],[13,"Thai","","",54,null],[13,"Tibetan","","",54,null],[13,"CanadianAboriginal","","",54,null],[13,"Yi","","",54,null],[13,"Tagalog","","",54,null],[13,"Hanunoo","","",54,null],[13,"Buhid","","",54,null],[13,"Tagbanwa","","",54,null],[13,"Braille","","",54,null],[13,"Cypriot","","",54,null],[13,"Limbu","","",54,null],[13,"Osmanya","","",54,null],[13,"Shavian","","",54,null],[13,"LinearB","","",54,null],[13,"TaiLe","","",54,null],[13,"Ugaritic","","",54,null],[13,"NewTaiLue","","",54,null],[13,"Buginese","","",54,null],[13,"Glagolitic","","",54,null],[13,"Tifinagh","","",54,null],[13,"SylotiNagri","","",54,null],[13,"OldPersian","","",54,null],[13,"Kharoshthi","","",54,null],[13,"Unknown","","",54,null],[13,"Balinese","","",54,null],[13,"Cuneiform","","",54,null],[13,"Phoenician","","",54,null],[13,"PhagsPa","","",54,null],[13,"Nko","","",54,null],[13,"KayahLi","","",54,null],[13,"Lepcha","","",54,null],[13,"Rejang","","",54,null],[13,"Sundanese","","",54,null],[13,"Saurashtra","","",54,null],[13,"Cham","","",54,null],[13,"OlChiki","","",54,null],[13,"Vai","","",54,null],[13,"Carian","","",54,null],[13,"Lycian","","",54,null],[13,"Lydian","","",54,null],[13,"Batak","","",54,null],[13,"Brahmi","","",54,null],[13,"Mandaic","","",54,null],[13,"Chakma","","",54,null],[13,"MeroiticCursive","","",54,null],[13,"MeroiticHieroglyphs","","",54,null],[13,"Miao","","",54,null],[13,"Sharada","","",54,null],[13,"SoraSompeng","","",54,null],[13,"Takri","","",54,null],[13,"BassaVah","","",54,null],[13,"CaucasianAlbanian","","",54,null],[13,"Duployan","","",54,null],[13,"Elbasan","","",54,null],[13,"Grantha","","",54,null],[13,"Khojki","","",54,null],[13,"Khudawadi","","",54,null],[13,"LinearA","","",54,null],[13,"Mahajani","","",54,null],[13,"Manichaean","","",54,null],[13,"MendeKikakui","","",54,null],[13,"Modi","","",54,null],[13,"Mro","","",54,null],[13,"Nabataean","","",54,null],[13,"OldNorthArabian","","",54,null],[13,"OldPermic","","",54,null],[13,"PahawhHmong","","",54,null],[13,"Palmyrene","","",54,null],[13,"PauCinHau","","",54,null],[13,"PsalterPahlavi","","",54,null],[13,"Siddham","","",54,null],[13,"Tirhuta","","",54,null],[13,"WarangCiti","","",54,null],[13,"Ahom","","",54,null],[13,"AnatolianHieroglyphs","","",54,null],[13,"Hatran","","",54,null],[13,"Multani","","",54,null],[13,"OldHungarian","","",54,null],[13,"Signwriting","","",54,null],[4,"PangoStretch","","",null,null],[13,"UltraCondensed","","",55,null],[13,"ExtraCondensed","","",55,null],[13,"Condensed","","",55,null],[13,"SemiCondensed","","",55,null],[13,"Normal","","",55,null],[13,"SemiExpanded","","",55,null],[13,"Expanded","","",55,null],[13,"ExtraExpanded","","",55,null],[13,"UltraExpanded","","",55,null],[4,"PangoStyle","","",null,null],[13,"Normal","","",56,null],[13,"Oblique","","",56,null],[13,"Italic","","",56,null],[4,"PangoUnderline","","",null,null],[13,"None","","",57,null],[13,"Single","","",57,null],[13,"Double","","",57,null],[13,"Low","","",57,null],[13,"Error","","",57,null],[4,"PangoVariant","","",null,null],[13,"Normal","","",58,null],[13,"SmallCaps","","",58,null],[4,"PangoWeight","","",null,null],[13,"Thin","","",59,null],[13,"Ultralight","","",59,null],[13,"Light","","",59,null],[13,"Semilight","","",59,null],[13,"Book","","",59,null],[13,"Normal","","",59,null],[13,"Medium","","",59,null],[13,"Semibold","","",59,null],[13,"Bold","","",59,null],[13,"Ultrabold","","",59,null],[13,"Heavy","","",59,null],[13,"Ultraheavy","","",59,null],[4,"PangoWrapMode","","",null,null],[13,"Word","","",60,null],[13,"Char","","",60,null],[13,"WordChar","","",60,null],[5,"pango_attr_type_get_name","","",null,null],[5,"pango_attr_type_register","","",null,null],[5,"pango_bidi_type_for_unichar","","",null,null],[5,"pango_gravity_get_for_matrix","","",null,null],[5,"pango_gravity_get_for_script","","",null,null],[5,"pango_gravity_get_for_script_and_width","","",null,null],[5,"pango_gravity_to_rotation","","",null,null],[5,"pango_script_for_unichar","","",null,null],[5,"pango_script_get_sample_language","","",null,null],[5,"pango_attr_font_desc_new","","",null,null],[5,"pango_attr_iterator_copy","","",null,null],[5,"pango_attr_iterator_destroy","","",null,null],[5,"pango_attr_iterator_get","","",null,null],[5,"pango_attr_iterator_get_attrs","","",null,null],[5,"pango_attr_iterator_get_font","","",null,null],[5,"pango_attr_iterator_next","","",null,null],[5,"pango_attr_iterator_range","","",null,null],[5,"pango_attr_language_new","","",null,null],[5,"pango_attr_list_get_type","","",null,null],[5,"pango_attr_list_new","","",null,null],[5,"pango_attr_list_change","","",null,null],[5,"pango_attr_list_copy","","",null,null],[5,"pango_attr_list_filter","","",null,null],[5,"pango_attr_list_get_iterator","","",null,null],[5,"pango_attr_list_insert","","",null,null],[5,"pango_attr_list_insert_before","","",null,null],[5,"pango_attr_list_ref","","",null,null],[5,"pango_attr_list_splice","","",null,null],[5,"pango_attr_list_unref","","",null,null],[5,"pango_attr_shape_new","","",null,null],[5,"pango_attr_shape_new_with_data","","",null,null],[5,"pango_attr_size_new","","",null,null],[5,"pango_attr_size_new_absolute","","",null,null],[5,"pango_attribute_copy","","",null,null],[5,"pango_attribute_destroy","","",null,null],[5,"pango_attribute_equal","","",null,null],[5,"pango_attribute_init","","",null,null],[5,"pango_color_get_type","","",null,null],[5,"pango_color_copy","","",null,null],[5,"pango_color_free","","",null,null],[5,"pango_color_parse","","",null,null],[5,"pango_color_to_string","","",null,null],[5,"pango_coverage_copy","","",null,null],[5,"pango_coverage_get","","",null,null],[5,"pango_coverage_max","","",null,null],[5,"pango_coverage_ref","","",null,null],[5,"pango_coverage_set","","",null,null],[5,"pango_coverage_to_bytes","","",null,null],[5,"pango_coverage_unref","","",null,null],[5,"pango_coverage_from_bytes","","",null,null],[5,"pango_coverage_new","","",null,null],[5,"pango_font_description_get_type","","",null,null],[5,"pango_font_description_new","","",null,null],[5,"pango_font_description_better_match","","",null,null],[5,"pango_font_description_copy","","",null,null],[5,"pango_font_description_copy_static","","",null,null],[5,"pango_font_description_equal","","",null,null],[5,"pango_font_description_free","","",null,null],[5,"pango_font_description_get_family","","",null,null],[5,"pango_font_description_get_gravity","","",null,null],[5,"pango_font_description_get_set_fields","","",null,null],[5,"pango_font_description_get_size","","",null,null],[5,"pango_font_description_get_size_is_absolute","","",null,null],[5,"pango_font_description_get_stretch","","",null,null],[5,"pango_font_description_get_style","","",null,null],[5,"pango_font_description_get_variant","","",null,null],[5,"pango_font_description_get_weight","","",null,null],[5,"pango_font_description_hash","","",null,null],[5,"pango_font_description_merge","","",null,null],[5,"pango_font_description_merge_static","","",null,null],[5,"pango_font_description_set_absolute_size","","",null,null],[5,"pango_font_description_set_family","","",null,null],[5,"pango_font_description_set_family_static","","",null,null],[5,"pango_font_description_set_gravity","","",null,null],[5,"pango_font_description_set_size","","",null,null],[5,"pango_font_description_set_stretch","","",null,null],[5,"pango_font_description_set_style","","",null,null],[5,"pango_font_description_set_variant","","",null,null],[5,"pango_font_description_set_weight","","",null,null],[5,"pango_font_description_to_filename","","",null,null],[5,"pango_font_description_to_string","","",null,null],[5,"pango_font_description_unset_fields","","",null,null],[5,"pango_font_description_from_string","","",null,null],[5,"pango_font_metrics_get_type","","",null,null],[5,"pango_font_metrics_new","","",null,null],[5,"pango_font_metrics_get_approximate_char_width","","",null,null],[5,"pango_font_metrics_get_approximate_digit_width","","",null,null],[5,"pango_font_metrics_get_ascent","","",null,null],[5,"pango_font_metrics_get_descent","","",null,null],[5,"pango_font_metrics_get_strikethrough_position","","",null,null],[5,"pango_font_metrics_get_strikethrough_thickness","","",null,null],[5,"pango_font_metrics_get_underline_position","","",null,null],[5,"pango_font_metrics_get_underline_thickness","","",null,null],[5,"pango_font_metrics_ref","","",null,null],[5,"pango_font_metrics_unref","","",null,null],[5,"pango_glyph_item_get_type","","",null,null],[5,"pango_glyph_item_apply_attrs","","",null,null],[5,"pango_glyph_item_copy","","",null,null],[5,"pango_glyph_item_free","","",null,null],[5,"pango_glyph_item_get_logical_widths","","",null,null],[5,"pango_glyph_item_letter_space","","",null,null],[5,"pango_glyph_item_split","","",null,null],[5,"pango_glyph_item_iter_get_type","","",null,null],[5,"pango_glyph_item_iter_copy","","",null,null],[5,"pango_glyph_item_iter_free","","",null,null],[5,"pango_glyph_item_iter_init_end","","",null,null],[5,"pango_glyph_item_iter_init_start","","",null,null],[5,"pango_glyph_item_iter_next_cluster","","",null,null],[5,"pango_glyph_item_iter_prev_cluster","","",null,null],[5,"pango_glyph_string_get_type","","",null,null],[5,"pango_glyph_string_new","","",null,null],[5,"pango_glyph_string_copy","","",null,null],[5,"pango_glyph_string_extents","","",null,null],[5,"pango_glyph_string_extents_range","","",null,null],[5,"pango_glyph_string_free","","",null,null],[5,"pango_glyph_string_get_logical_widths","","",null,null],[5,"pango_glyph_string_get_width","","",null,null],[5,"pango_glyph_string_index_to_x","","",null,null],[5,"pango_glyph_string_set_size","","",null,null],[5,"pango_glyph_string_x_to_index","","",null,null],[5,"pango_item_get_type","","",null,null],[5,"pango_item_new","","",null,null],[5,"pango_item_copy","","",null,null],[5,"pango_item_free","","",null,null],[5,"pango_item_split","","",null,null],[5,"pango_language_get_type","","",null,null],[5,"pango_language_get_sample_string","","",null,null],[5,"pango_language_get_scripts","","",null,null],[5,"pango_language_includes_script","","",null,null],[5,"pango_language_matches","","",null,null],[5,"pango_language_to_string","","",null,null],[5,"pango_language_from_string","","",null,null],[5,"pango_language_get_default","","",null,null],[5,"pango_layout_iter_get_type","","",null,null],[5,"pango_layout_iter_at_last_line","","",null,null],[5,"pango_layout_iter_copy","","",null,null],[5,"pango_layout_iter_free","","",null,null],[5,"pango_layout_iter_get_baseline","","",null,null],[5,"pango_layout_iter_get_char_extents","","",null,null],[5,"pango_layout_iter_get_cluster_extents","","",null,null],[5,"pango_layout_iter_get_index","","",null,null],[5,"pango_layout_iter_get_layout","","",null,null],[5,"pango_layout_iter_get_layout_extents","","",null,null],[5,"pango_layout_iter_get_line","","",null,null],[5,"pango_layout_iter_get_line_extents","","",null,null],[5,"pango_layout_iter_get_line_readonly","","",null,null],[5,"pango_layout_iter_get_line_yrange","","",null,null],[5,"pango_layout_iter_get_run","","",null,null],[5,"pango_layout_iter_get_run_extents","","",null,null],[5,"pango_layout_iter_get_run_readonly","","",null,null],[5,"pango_layout_iter_next_char","","",null,null],[5,"pango_layout_iter_next_cluster","","",null,null],[5,"pango_layout_iter_next_line","","",null,null],[5,"pango_layout_iter_next_run","","",null,null],[5,"pango_layout_line_get_type","","",null,null],[5,"pango_layout_line_get_extents","","",null,null],[5,"pango_layout_line_get_pixel_extents","","",null,null],[5,"pango_layout_line_get_x_ranges","","",null,null],[5,"pango_layout_line_index_to_x","","",null,null],[5,"pango_layout_line_ref","","",null,null],[5,"pango_layout_line_unref","","",null,null],[5,"pango_layout_line_x_to_index","","",null,null],[5,"pango_map_get_engine","","",null,null],[5,"pango_map_get_engines","","",null,null],[5,"pango_matrix_get_type","","",null,null],[5,"pango_matrix_concat","","",null,null],[5,"pango_matrix_copy","","",null,null],[5,"pango_matrix_free","","",null,null],[5,"pango_matrix_get_font_scale_factor","","",null,null],[5,"pango_matrix_rotate","","",null,null],[5,"pango_matrix_scale","","",null,null],[5,"pango_matrix_transform_distance","","",null,null],[5,"pango_matrix_transform_pixel_rectangle","","",null,null],[5,"pango_matrix_transform_point","","",null,null],[5,"pango_matrix_transform_rectangle","","",null,null],[5,"pango_matrix_translate","","",null,null],[5,"pango_script_iter_free","","",null,null],[5,"pango_script_iter_get_range","","",null,null],[5,"pango_script_iter_next","","",null,null],[5,"pango_script_iter_new","","",null,null],[5,"pango_tab_array_get_type","","",null,null],[5,"pango_tab_array_new","","",null,null],[5,"pango_tab_array_new_with_positions","","",null,null],[5,"pango_tab_array_copy","","",null,null],[5,"pango_tab_array_free","","",null,null],[5,"pango_tab_array_get_positions_in_pixels","","",null,null],[5,"pango_tab_array_get_size","","",null,null],[5,"pango_tab_array_get_tab","","",null,null],[5,"pango_tab_array_get_tabs","","",null,null],[5,"pango_tab_array_resize","","",null,null],[5,"pango_tab_array_set_tab","","",null,null],[5,"pango_context_get_type","","",null,null],[5,"pango_context_new","","",null,null],[5,"pango_context_changed","","",null,null],[5,"pango_context_get_base_dir","","",null,null],[5,"pango_context_get_base_gravity","","",null,null],[5,"pango_context_get_font_description","","",null,null],[5,"pango_context_get_font_map","","",null,null],[5,"pango_context_get_gravity","","",null,null],[5,"pango_context_get_gravity_hint","","",null,null],[5,"pango_context_get_language","","",null,null],[5,"pango_context_get_matrix","","",null,null],[5,"pango_context_get_metrics","","",null,null],[5,"pango_context_get_serial","","",null,null],[5,"pango_context_list_families","","",null,null],[5,"pango_context_load_font","","",null,null],[5,"pango_context_load_fontset","","",null,null],[5,"pango_context_set_base_dir","","",null,null],[5,"pango_context_set_base_gravity","","",null,null],[5,"pango_context_set_font_description","","",null,null],[5,"pango_context_set_font_map","","",null,null],[5,"pango_context_set_gravity_hint","","",null,null],[5,"pango_context_set_language","","",null,null],[5,"pango_context_set_matrix","","",null,null],[5,"pango_engine_get_type","","",null,null],[5,"pango_engine_lang_get_type","","",null,null],[5,"pango_engine_shape_get_type","","",null,null],[5,"pango_font_get_type","","",null,null],[5,"pango_font_descriptions_free","","",null,null],[5,"pango_font_describe","","",null,null],[5,"pango_font_describe_with_absolute_size","","",null,null],[5,"pango_font_find_shaper","","",null,null],[5,"pango_font_get_coverage","","",null,null],[5,"pango_font_get_font_map","","",null,null],[5,"pango_font_get_glyph_extents","","",null,null],[5,"pango_font_get_metrics","","",null,null],[5,"pango_font_face_get_type","","",null,null],[5,"pango_font_face_describe","","",null,null],[5,"pango_font_face_get_face_name","","",null,null],[5,"pango_font_face_is_synthesized","","",null,null],[5,"pango_font_face_list_sizes","","",null,null],[5,"pango_font_family_get_type","","",null,null],[5,"pango_font_family_get_name","","",null,null],[5,"pango_font_family_is_monospace","","",null,null],[5,"pango_font_family_list_faces","","",null,null],[5,"pango_font_map_get_type","","",null,null],[5,"pango_font_map_changed","","",null,null],[5,"pango_font_map_create_context","","",null,null],[5,"pango_font_map_get_serial","","",null,null],[5,"pango_font_map_get_shape_engine_type","","",null,null],[5,"pango_font_map_list_families","","",null,null],[5,"pango_font_map_load_font","","",null,null],[5,"pango_font_map_load_fontset","","",null,null],[5,"pango_fontset_get_type","","",null,null],[5,"pango_fontset_foreach","","",null,null],[5,"pango_fontset_get_font","","",null,null],[5,"pango_fontset_get_metrics","","",null,null],[5,"pango_fontset_simple_get_type","","",null,null],[5,"pango_fontset_simple_new","","",null,null],[5,"pango_fontset_simple_append","","",null,null],[5,"pango_fontset_simple_size","","",null,null],[5,"pango_layout_get_type","","",null,null],[5,"pango_layout_new","","",null,null],[5,"pango_layout_context_changed","","",null,null],[5,"pango_layout_copy","","",null,null],[5,"pango_layout_get_alignment","","",null,null],[5,"pango_layout_get_attributes","","",null,null],[5,"pango_layout_get_auto_dir","","",null,null],[5,"pango_layout_get_baseline","","",null,null],[5,"pango_layout_get_character_count","","",null,null],[5,"pango_layout_get_context","","",null,null],[5,"pango_layout_get_cursor_pos","","",null,null],[5,"pango_layout_get_ellipsize","","",null,null],[5,"pango_layout_get_extents","","",null,null],[5,"pango_layout_get_font_description","","",null,null],[5,"pango_layout_get_height","","",null,null],[5,"pango_layout_get_indent","","",null,null],[5,"pango_layout_get_iter","","",null,null],[5,"pango_layout_get_justify","","",null,null],[5,"pango_layout_get_line","","",null,null],[5,"pango_layout_get_line_count","","",null,null],[5,"pango_layout_get_line_readonly","","",null,null],[5,"pango_layout_get_lines","","",null,null],[5,"pango_layout_get_lines_readonly","","",null,null],[5,"pango_layout_get_log_attrs","","",null,null],[5,"pango_layout_get_log_attrs_readonly","","",null,null],[5,"pango_layout_get_pixel_extents","","",null,null],[5,"pango_layout_get_pixel_size","","",null,null],[5,"pango_layout_get_serial","","",null,null],[5,"pango_layout_get_single_paragraph_mode","","",null,null],[5,"pango_layout_get_size","","",null,null],[5,"pango_layout_get_spacing","","",null,null],[5,"pango_layout_get_tabs","","",null,null],[5,"pango_layout_get_text","","",null,null],[5,"pango_layout_get_unknown_glyphs_count","","",null,null],[5,"pango_layout_get_width","","",null,null],[5,"pango_layout_get_wrap","","",null,null],[5,"pango_layout_index_to_line_x","","",null,null],[5,"pango_layout_index_to_pos","","",null,null],[5,"pango_layout_is_ellipsized","","",null,null],[5,"pango_layout_is_wrapped","","",null,null],[5,"pango_layout_move_cursor_visually","","",null,null],[5,"pango_layout_set_alignment","","",null,null],[5,"pango_layout_set_attributes","","",null,null],[5,"pango_layout_set_auto_dir","","",null,null],[5,"pango_layout_set_ellipsize","","",null,null],[5,"pango_layout_set_font_description","","",null,null],[5,"pango_layout_set_height","","",null,null],[5,"pango_layout_set_indent","","",null,null],[5,"pango_layout_set_justify","","",null,null],[5,"pango_layout_set_markup","","",null,null],[5,"pango_layout_set_markup_with_accel","","",null,null],[5,"pango_layout_set_single_paragraph_mode","","",null,null],[5,"pango_layout_set_spacing","","",null,null],[5,"pango_layout_set_tabs","","",null,null],[5,"pango_layout_set_text","","",null,null],[5,"pango_layout_set_width","","",null,null],[5,"pango_layout_set_wrap","","",null,null],[5,"pango_layout_xy_to_index","","",null,null],[5,"pango_renderer_get_type","","",null,null],[5,"pango_renderer_activate","","",null,null],[5,"pango_renderer_deactivate","","",null,null],[5,"pango_renderer_draw_error_underline","","",null,null],[5,"pango_renderer_draw_glyph","","",null,null],[5,"pango_renderer_draw_glyph_item","","",null,null],[5,"pango_renderer_draw_glyphs","","",null,null],[5,"pango_renderer_draw_layout","","",null,null],[5,"pango_renderer_draw_layout_line","","",null,null],[5,"pango_renderer_draw_rectangle","","",null,null],[5,"pango_renderer_draw_trapezoid","","",null,null],[5,"pango_renderer_get_color","","",null,null],[5,"pango_renderer_get_layout","","",null,null],[5,"pango_renderer_get_layout_line","","",null,null],[5,"pango_renderer_get_matrix","","",null,null],[5,"pango_renderer_part_changed","","",null,null],[5,"pango_renderer_set_color","","",null,null],[5,"pango_renderer_set_matrix","","",null,null],[5,"pango_attr_background_new","","",null,null],[5,"pango_attr_fallback_new","","",null,null],[5,"pango_attr_family_new","","",null,null],[5,"pango_attr_foreground_new","","",null,null],[5,"pango_attr_gravity_hint_new","","",null,null],[5,"pango_attr_gravity_new","","",null,null],[5,"pango_attr_letter_spacing_new","","",null,null],[5,"pango_attr_rise_new","","",null,null],[5,"pango_attr_scale_new","","",null,null],[5,"pango_attr_stretch_new","","",null,null],[5,"pango_attr_strikethrough_color_new","","",null,null],[5,"pango_attr_strikethrough_new","","",null,null],[5,"pango_attr_style_new","","",null,null],[5,"pango_attr_underline_color_new","","",null,null],[5,"pango_attr_underline_new","","",null,null],[5,"pango_attr_variant_new","","",null,null],[5,"pango_attr_weight_new","","",null,null],[5,"pango_break","","",null,null],[5,"pango_config_key_get","","",null,null],[5,"pango_config_key_get_system","","",null,null],[5,"pango_default_break","","",null,null],[5,"pango_extents_to_pixels","","",null,null],[5,"pango_find_base_dir","","",null,null],[5,"pango_find_map","","",null,null],[5,"pango_find_paragraph_boundary","","",null,null],[5,"pango_get_lib_subdirectory","","",null,null],[5,"pango_get_log_attrs","","",null,null],[5,"pango_get_mirror_char","","",null,null],[5,"pango_get_sysconf_subdirectory","","",null,null],[5,"pango_is_zero_width","","",null,null],[5,"pango_itemize","","",null,null],[5,"pango_itemize_with_base_dir","","",null,null],[5,"pango_log2vis_get_embedding_levels","","",null,null],[5,"pango_lookup_aliases","","",null,null],[5,"pango_markup_parser_finish","","",null,null],[5,"pango_markup_parser_new","","",null,null],[5,"pango_module_register","","",null,null],[5,"pango_parse_enum","","",null,null],[5,"pango_parse_markup","","",null,null],[5,"pango_parse_stretch","","",null,null],[5,"pango_parse_style","","",null,null],[5,"pango_parse_variant","","",null,null],[5,"pango_parse_weight","","",null,null],[5,"pango_quantize_line_geometry","","",null,null],[5,"pango_read_line","","",null,null],[5,"pango_reorder_items","","",null,null],[5,"pango_scan_int","","",null,null],[5,"pango_scan_string","","",null,null],[5,"pango_scan_word","","",null,null],[5,"pango_shape","","",null,null],[5,"pango_shape_full","","",null,null],[5,"pango_skip_space","","",null,null],[5,"pango_split_file_list","","",null,null],[5,"pango_trim_string","","",null,null],[5,"pango_unichar_direction","","",null,null],[5,"pango_units_from_double","","",null,null],[5,"pango_units_to_double","","",null,null],[5,"pango_version","","",null,null],[5,"pango_version_check","","",null,null],[5,"pango_version_string","","",null,null],[6,"PangoGlyph","","",null,null],[6,"PangoGlyphUnit","","",null,null],[6,"PangoLayoutRun","","",null,null],[6,"TabAlign","","",null,null],[6,"PangoTabAlign","","",null,null],[6,"PangoAttrDataCopyFunc","","",null,null],[6,"PangoAttrFilterFunc","","",null,null],[6,"PangoFontsetForeachFunc","","",null,null],[17,"PANGO_ALIGN_LEFT","","",null,null],[17,"PANGO_ALIGN_CENTER","","",null,null],[17,"PANGO_ALIGN_RIGHT","","",null,null],[17,"PANGO_ATTR_INVALID","","",null,null],[17,"PANGO_ATTR_LANGUAGE","","",null,null],[17,"PANGO_ATTR_FAMILY","","",null,null],[17,"PANGO_ATTR_STYLE","","",null,null],[17,"PANGO_ATTR_WEIGHT","","",null,null],[17,"PANGO_ATTR_VARIANT","","",null,null],[17,"PANGO_ATTR_STRETCH","","",null,null],[17,"PANGO_ATTR_SIZE","","",null,null],[17,"PANGO_ATTR_FONT_DESC","","",null,null],[17,"PANGO_ATTR_FOREGROUND","","",null,null],[17,"PANGO_ATTR_BACKGROUND","","",null,null],[17,"PANGO_ATTR_UNDERLINE","","",null,null],[17,"PANGO_ATTR_STRIKETHROUGH","","",null,null],[17,"PANGO_ATTR_RISE","","",null,null],[17,"PANGO_ATTR_SHAPE","","",null,null],[17,"PANGO_ATTR_SCALE","","",null,null],[17,"PANGO_ATTR_FALLBACK","","",null,null],[17,"PANGO_ATTR_LETTER_SPACING","","",null,null],[17,"PANGO_ATTR_UNDERLINE_COLOR","","",null,null],[17,"PANGO_ATTR_STRIKETHROUGH_COLOR","","",null,null],[17,"PANGO_ATTR_ABSOLUTE_SIZE","","",null,null],[17,"PANGO_ATTR_GRAVITY","","",null,null],[17,"PANGO_ATTR_GRAVITY_HINT","","",null,null],[17,"PANGO_ATTR_FONT_FEATURES","","",null,null],[17,"PANGO_ATTR_FOREGROUND_ALPHA","","",null,null],[17,"PANGO_ATTR_BACKGROUND_ALPHA","","",null,null],[17,"PANGO_BIDI_TYPE_L","","",null,null],[17,"PANGO_BIDI_TYPE_LRE","","",null,null],[17,"PANGO_BIDI_TYPE_LRO","","",null,null],[17,"PANGO_BIDI_TYPE_R","","",null,null],[17,"PANGO_BIDI_TYPE_AL","","",null,null],[17,"PANGO_BIDI_TYPE_RLE","","",null,null],[17,"PANGO_BIDI_TYPE_RLO","","",null,null],[17,"PANGO_BIDI_TYPE_PDF","","",null,null],[17,"PANGO_BIDI_TYPE_EN","","",null,null],[17,"PANGO_BIDI_TYPE_ES","","",null,null],[17,"PANGO_BIDI_TYPE_ET","","",null,null],[17,"PANGO_BIDI_TYPE_AN","","",null,null],[17,"PANGO_BIDI_TYPE_CS","","",null,null],[17,"PANGO_BIDI_TYPE_NSM","","",null,null],[17,"PANGO_BIDI_TYPE_BN","","",null,null],[17,"PANGO_BIDI_TYPE_B","","",null,null],[17,"PANGO_BIDI_TYPE_S","","",null,null],[17,"PANGO_BIDI_TYPE_WS","","",null,null],[17,"PANGO_BIDI_TYPE_ON","","",null,null],[17,"PANGO_COVERAGE_NONE","","",null,null],[17,"PANGO_COVERAGE_FALLBACK","","",null,null],[17,"PANGO_COVERAGE_APPROXIMATE","","",null,null],[17,"PANGO_COVERAGE_EXACT","","",null,null],[17,"PANGO_DIRECTION_LTR","","",null,null],[17,"PANGO_DIRECTION_RTL","","",null,null],[17,"PANGO_DIRECTION_TTB_LTR","","",null,null],[17,"PANGO_DIRECTION_TTB_RTL","","",null,null],[17,"PANGO_DIRECTION_WEAK_LTR","","",null,null],[17,"PANGO_DIRECTION_WEAK_RTL","","",null,null],[17,"PANGO_DIRECTION_NEUTRAL","","",null,null],[17,"PANGO_ELLIPSIZE_NONE","","",null,null],[17,"PANGO_ELLIPSIZE_START","","",null,null],[17,"PANGO_ELLIPSIZE_MIDDLE","","",null,null],[17,"PANGO_ELLIPSIZE_END","","",null,null],[17,"PANGO_GRAVITY_SOUTH","","",null,null],[17,"PANGO_GRAVITY_EAST","","",null,null],[17,"PANGO_GRAVITY_NORTH","","",null,null],[17,"PANGO_GRAVITY_WEST","","",null,null],[17,"PANGO_GRAVITY_AUTO","","",null,null],[17,"PANGO_GRAVITY_HINT_NATURAL","","",null,null],[17,"PANGO_GRAVITY_HINT_STRONG","","",null,null],[17,"PANGO_GRAVITY_HINT_LINE","","",null,null],[17,"PANGO_RENDER_PART_FOREGROUND","","",null,null],[17,"PANGO_RENDER_PART_BACKGROUND","","",null,null],[17,"PANGO_RENDER_PART_UNDERLINE","","",null,null],[17,"PANGO_RENDER_PART_STRIKETHROUGH","","",null,null],[17,"PANGO_SCRIPT_INVALID_CODE","","",null,null],[17,"PANGO_SCRIPT_COMMON","","",null,null],[17,"PANGO_SCRIPT_INHERITED","","",null,null],[17,"PANGO_SCRIPT_ARABIC","","",null,null],[17,"PANGO_SCRIPT_ARMENIAN","","",null,null],[17,"PANGO_SCRIPT_BENGALI","","",null,null],[17,"PANGO_SCRIPT_BOPOMOFO","","",null,null],[17,"PANGO_SCRIPT_CHEROKEE","","",null,null],[17,"PANGO_SCRIPT_COPTIC","","",null,null],[17,"PANGO_SCRIPT_CYRILLIC","","",null,null],[17,"PANGO_SCRIPT_DESERET","","",null,null],[17,"PANGO_SCRIPT_DEVANAGARI","","",null,null],[17,"PANGO_SCRIPT_ETHIOPIC","","",null,null],[17,"PANGO_SCRIPT_GEORGIAN","","",null,null],[17,"PANGO_SCRIPT_GOTHIC","","",null,null],[17,"PANGO_SCRIPT_GREEK","","",null,null],[17,"PANGO_SCRIPT_GUJARATI","","",null,null],[17,"PANGO_SCRIPT_GURMUKHI","","",null,null],[17,"PANGO_SCRIPT_HAN","","",null,null],[17,"PANGO_SCRIPT_HANGUL","","",null,null],[17,"PANGO_SCRIPT_HEBREW","","",null,null],[17,"PANGO_SCRIPT_HIRAGANA","","",null,null],[17,"PANGO_SCRIPT_KANNADA","","",null,null],[17,"PANGO_SCRIPT_KATAKANA","","",null,null],[17,"PANGO_SCRIPT_KHMER","","",null,null],[17,"PANGO_SCRIPT_LAO","","",null,null],[17,"PANGO_SCRIPT_LATIN","","",null,null],[17,"PANGO_SCRIPT_MALAYALAM","","",null,null],[17,"PANGO_SCRIPT_MONGOLIAN","","",null,null],[17,"PANGO_SCRIPT_MYANMAR","","",null,null],[17,"PANGO_SCRIPT_OGHAM","","",null,null],[17,"PANGO_SCRIPT_OLD_ITALIC","","",null,null],[17,"PANGO_SCRIPT_ORIYA","","",null,null],[17,"PANGO_SCRIPT_RUNIC","","",null,null],[17,"PANGO_SCRIPT_SINHALA","","",null,null],[17,"PANGO_SCRIPT_SYRIAC","","",null,null],[17,"PANGO_SCRIPT_TAMIL","","",null,null],[17,"PANGO_SCRIPT_TELUGU","","",null,null],[17,"PANGO_SCRIPT_THAANA","","",null,null],[17,"PANGO_SCRIPT_THAI","","",null,null],[17,"PANGO_SCRIPT_TIBETAN","","",null,null],[17,"PANGO_SCRIPT_CANADIAN_ABORIGINAL","","",null,null],[17,"PANGO_SCRIPT_YI","","",null,null],[17,"PANGO_SCRIPT_TAGALOG","","",null,null],[17,"PANGO_SCRIPT_HANUNOO","","",null,null],[17,"PANGO_SCRIPT_BUHID","","",null,null],[17,"PANGO_SCRIPT_TAGBANWA","","",null,null],[17,"PANGO_SCRIPT_BRAILLE","","",null,null],[17,"PANGO_SCRIPT_CYPRIOT","","",null,null],[17,"PANGO_SCRIPT_LIMBU","","",null,null],[17,"PANGO_SCRIPT_OSMANYA","","",null,null],[17,"PANGO_SCRIPT_SHAVIAN","","",null,null],[17,"PANGO_SCRIPT_LINEAR_B","","",null,null],[17,"PANGO_SCRIPT_TAI_LE","","",null,null],[17,"PANGO_SCRIPT_UGARITIC","","",null,null],[17,"PANGO_SCRIPT_NEW_TAI_LUE","","",null,null],[17,"PANGO_SCRIPT_BUGINESE","","",null,null],[17,"PANGO_SCRIPT_GLAGOLITIC","","",null,null],[17,"PANGO_SCRIPT_TIFINAGH","","",null,null],[17,"PANGO_SCRIPT_SYLOTI_NAGRI","","",null,null],[17,"PANGO_SCRIPT_OLD_PERSIAN","","",null,null],[17,"PANGO_SCRIPT_KHAROSHTHI","","",null,null],[17,"PANGO_SCRIPT_UNKNOWN","","",null,null],[17,"PANGO_SCRIPT_BALINESE","","",null,null],[17,"PANGO_SCRIPT_CUNEIFORM","","",null,null],[17,"PANGO_SCRIPT_PHOENICIAN","","",null,null],[17,"PANGO_SCRIPT_PHAGS_PA","","",null,null],[17,"PANGO_SCRIPT_NKO","","",null,null],[17,"PANGO_SCRIPT_KAYAH_LI","","",null,null],[17,"PANGO_SCRIPT_LEPCHA","","",null,null],[17,"PANGO_SCRIPT_REJANG","","",null,null],[17,"PANGO_SCRIPT_SUNDANESE","","",null,null],[17,"PANGO_SCRIPT_SAURASHTRA","","",null,null],[17,"PANGO_SCRIPT_CHAM","","",null,null],[17,"PANGO_SCRIPT_OL_CHIKI","","",null,null],[17,"PANGO_SCRIPT_VAI","","",null,null],[17,"PANGO_SCRIPT_CARIAN","","",null,null],[17,"PANGO_SCRIPT_LYCIAN","","",null,null],[17,"PANGO_SCRIPT_LYDIAN","","",null,null],[17,"PANGO_SCRIPT_BATAK","","",null,null],[17,"PANGO_SCRIPT_BRAHMI","","",null,null],[17,"PANGO_SCRIPT_MANDAIC","","",null,null],[17,"PANGO_SCRIPT_CHAKMA","","",null,null],[17,"PANGO_SCRIPT_MEROITIC_CURSIVE","","",null,null],[17,"PANGO_SCRIPT_MEROITIC_HIEROGLYPHS","","",null,null],[17,"PANGO_SCRIPT_MIAO","","",null,null],[17,"PANGO_SCRIPT_SHARADA","","",null,null],[17,"PANGO_SCRIPT_SORA_SOMPENG","","",null,null],[17,"PANGO_SCRIPT_TAKRI","","",null,null],[17,"PANGO_SCRIPT_BASSA_VAH","","",null,null],[17,"PANGO_SCRIPT_CAUCASIAN_ALBANIAN","","",null,null],[17,"PANGO_SCRIPT_DUPLOYAN","","",null,null],[17,"PANGO_SCRIPT_ELBASAN","","",null,null],[17,"PANGO_SCRIPT_GRANTHA","","",null,null],[17,"PANGO_SCRIPT_KHOJKI","","",null,null],[17,"PANGO_SCRIPT_KHUDAWADI","","",null,null],[17,"PANGO_SCRIPT_LINEAR_A","","",null,null],[17,"PANGO_SCRIPT_MAHAJANI","","",null,null],[17,"PANGO_SCRIPT_MANICHAEAN","","",null,null],[17,"PANGO_SCRIPT_MENDE_KIKAKUI","","",null,null],[17,"PANGO_SCRIPT_MODI","","",null,null],[17,"PANGO_SCRIPT_MRO","","",null,null],[17,"PANGO_SCRIPT_NABATAEAN","","",null,null],[17,"PANGO_SCRIPT_OLD_NORTH_ARABIAN","","",null,null],[17,"PANGO_SCRIPT_OLD_PERMIC","","",null,null],[17,"PANGO_SCRIPT_PAHAWH_HMONG","","",null,null],[17,"PANGO_SCRIPT_PALMYRENE","","",null,null],[17,"PANGO_SCRIPT_PAU_CIN_HAU","","",null,null],[17,"PANGO_SCRIPT_PSALTER_PAHLAVI","","",null,null],[17,"PANGO_SCRIPT_SIDDHAM","","",null,null],[17,"PANGO_SCRIPT_TIRHUTA","","",null,null],[17,"PANGO_SCRIPT_WARANG_CITI","","",null,null],[17,"PANGO_SCRIPT_AHOM","","",null,null],[17,"PANGO_SCRIPT_ANATOLIAN_HIEROGLYPHS","","",null,null],[17,"PANGO_SCRIPT_HATRAN","","",null,null],[17,"PANGO_SCRIPT_MULTANI","","",null,null],[17,"PANGO_SCRIPT_OLD_HUNGARIAN","","",null,null],[17,"PANGO_SCRIPT_SIGNWRITING","","",null,null],[17,"PANGO_STRETCH_ULTRA_CONDENSED","","",null,null],[17,"PANGO_STRETCH_EXTRA_CONDENSED","","",null,null],[17,"PANGO_STRETCH_CONDENSED","","",null,null],[17,"PANGO_STRETCH_SEMI_CONDENSED","","",null,null],[17,"PANGO_STRETCH_NORMAL","","",null,null],[17,"PANGO_STRETCH_SEMI_EXPANDED","","",null,null],[17,"PANGO_STRETCH_EXPANDED","","",null,null],[17,"PANGO_STRETCH_EXTRA_EXPANDED","","",null,null],[17,"PANGO_STRETCH_ULTRA_EXPANDED","","",null,null],[17,"PANGO_STYLE_NORMAL","","",null,null],[17,"PANGO_STYLE_OBLIQUE","","",null,null],[17,"PANGO_STYLE_ITALIC","","",null,null],[17,"PANGO_TAB_LEFT","","",null,null],[17,"PANGO_UNDERLINE_NONE","","",null,null],[17,"PANGO_UNDERLINE_SINGLE","","",null,null],[17,"PANGO_UNDERLINE_DOUBLE","","",null,null],[17,"PANGO_UNDERLINE_LOW","","",null,null],[17,"PANGO_UNDERLINE_ERROR","","",null,null],[17,"PANGO_VARIANT_NORMAL","","",null,null],[17,"PANGO_VARIANT_SMALL_CAPS","","",null,null],[17,"PANGO_WEIGHT_THIN","","",null,null],[17,"PANGO_WEIGHT_ULTRALIGHT","","",null,null],[17,"PANGO_WEIGHT_LIGHT","","",null,null],[17,"PANGO_WEIGHT_SEMILIGHT","","",null,null],[17,"PANGO_WEIGHT_BOOK","","",null,null],[17,"PANGO_WEIGHT_NORMAL","","",null,null],[17,"PANGO_WEIGHT_MEDIUM","","",null,null],[17,"PANGO_WEIGHT_SEMIBOLD","","",null,null],[17,"PANGO_WEIGHT_BOLD","","",null,null],[17,"PANGO_WEIGHT_ULTRABOLD","","",null,null],[17,"PANGO_WEIGHT_HEAVY","","",null,null],[17,"PANGO_WEIGHT_ULTRAHEAVY","","",null,null],[17,"PANGO_WRAP_WORD","","",null,null],[17,"PANGO_WRAP_CHAR","","",null,null],[17,"PANGO_WRAP_WORD_CHAR","","",null,null],[17,"PANGO_ANALYSIS_FLAG_CENTERED_BASELINE","","",null,null],[17,"PANGO_ANALYSIS_FLAG_IS_ELLIPSIS","","",null,null],[17,"PANGO_ATTR_INDEX_FROM_TEXT_BEGINNING","","",null,null],[17,"PANGO_ENGINE_TYPE_LANG","","",null,null],[17,"PANGO_ENGINE_TYPE_SHAPE","","",null,null],[17,"PANGO_GLYPH_EMPTY","","",null,null],[17,"PANGO_GLYPH_INVALID_INPUT","","",null,null],[17,"PANGO_GLYPH_UNKNOWN_FLAG","","",null,null],[17,"PANGO_RENDER_TYPE_NONE","","",null,null],[17,"PANGO_SCALE","","",null,null],[17,"PANGO_UNKNOWN_GLYPH_HEIGHT","","",null,null],[17,"PANGO_UNKNOWN_GLYPH_WIDTH","","",null,null],[17,"PANGO_VERSION_MIN_REQUIRED","","",null,null],[17,"PANGO_FONT_MASK_FAMILY","","",null,null],[17,"PANGO_FONT_MASK_STYLE","","",null,null],[17,"PANGO_FONT_MASK_VARIANT","","",null,null],[17,"PANGO_FONT_MASK_WEIGHT","","",null,null],[17,"PANGO_FONT_MASK_STRETCH","","",null,null],[17,"PANGO_FONT_MASK_SIZE","","",null,null],[17,"PANGO_FONT_MASK_GRAVITY","","",null,null],[11,"clone","","",45,{"inputs":[{"name":"self"}],"output":{"name":"pangoalignment"}}],[11,"fmt","","",45,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",45,{"inputs":[{"name":"self"},{"name":"pangoalignment"}],"output":{"name":"bool"}}],[11,"clone","","",46,{"inputs":[{"name":"self"}],"output":{"name":"pangoattrtype"}}],[11,"fmt","","",46,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",46,{"inputs":[{"name":"self"},{"name":"pangoattrtype"}],"output":{"name":"bool"}}],[11,"clone","","",47,{"inputs":[{"name":"self"}],"output":{"name":"pangobiditype"}}],[11,"fmt","","",47,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",47,{"inputs":[{"name":"self"},{"name":"pangobiditype"}],"output":{"name":"bool"}}],[11,"clone","","",48,{"inputs":[{"name":"self"}],"output":{"name":"pangocoveragelevel"}}],[11,"fmt","","",48,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",48,{"inputs":[{"name":"self"},{"name":"pangocoveragelevel"}],"output":{"name":"bool"}}],[11,"clone","","",49,{"inputs":[{"name":"self"}],"output":{"name":"pangodirection"}}],[11,"fmt","","",49,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",49,{"inputs":[{"name":"self"},{"name":"pangodirection"}],"output":{"name":"bool"}}],[11,"clone","","",50,{"inputs":[{"name":"self"}],"output":{"name":"pangoellipsizemode"}}],[11,"fmt","","",50,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",50,{"inputs":[{"name":"self"},{"name":"pangoellipsizemode"}],"output":{"name":"bool"}}],[11,"clone","","",51,{"inputs":[{"name":"self"}],"output":{"name":"pangogravity"}}],[11,"fmt","","",51,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",51,{"inputs":[{"name":"self"},{"name":"pangogravity"}],"output":{"name":"bool"}}],[11,"clone","","",52,{"inputs":[{"name":"self"}],"output":{"name":"pangogravityhint"}}],[11,"fmt","","",52,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",52,{"inputs":[{"name":"self"},{"name":"pangogravityhint"}],"output":{"name":"bool"}}],[11,"clone","","",53,{"inputs":[{"name":"self"}],"output":{"name":"pangorenderpart"}}],[11,"fmt","","",53,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",53,{"inputs":[{"name":"self"},{"name":"pangorenderpart"}],"output":{"name":"bool"}}],[11,"clone","","",54,{"inputs":[{"name":"self"}],"output":{"name":"pangoscript"}}],[11,"fmt","","",54,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",54,{"inputs":[{"name":"self"},{"name":"pangoscript"}],"output":{"name":"bool"}}],[11,"clone","","",55,{"inputs":[{"name":"self"}],"output":{"name":"pangostretch"}}],[11,"fmt","","",55,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",55,{"inputs":[{"name":"self"},{"name":"pangostretch"}],"output":{"name":"bool"}}],[11,"clone","","",56,{"inputs":[{"name":"self"}],"output":{"name":"pangostyle"}}],[11,"fmt","","",56,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",56,{"inputs":[{"name":"self"},{"name":"pangostyle"}],"output":{"name":"bool"}}],[11,"clone","","",57,{"inputs":[{"name":"self"}],"output":{"name":"pangounderline"}}],[11,"fmt","","",57,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",57,{"inputs":[{"name":"self"},{"name":"pangounderline"}],"output":{"name":"bool"}}],[11,"clone","","",58,{"inputs":[{"name":"self"}],"output":{"name":"pangovariant"}}],[11,"fmt","","",58,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",58,{"inputs":[{"name":"self"},{"name":"pangovariant"}],"output":{"name":"bool"}}],[11,"clone","","",59,{"inputs":[{"name":"self"}],"output":{"name":"pangoweight"}}],[11,"fmt","","",59,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",59,{"inputs":[{"name":"self"},{"name":"pangoweight"}],"output":{"name":"bool"}}],[11,"clone","","",60,{"inputs":[{"name":"self"}],"output":{"name":"pangowrapmode"}}],[11,"fmt","","",60,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",60,{"inputs":[{"name":"self"},{"name":"pangowrapmode"}],"output":{"name":"bool"}}],[11,"eq","","",61,{"inputs":[{"name":"self"},{"name":"pangofontmask"}],"output":{"name":"bool"}}],[11,"ne","","",61,{"inputs":[{"name":"self"},{"name":"pangofontmask"}],"output":{"name":"bool"}}],[11,"clone","","",61,{"inputs":[{"name":"self"}],"output":{"name":"pangofontmask"}}],[11,"partial_cmp","","",61,{"inputs":[{"name":"self"},{"name":"pangofontmask"}],"output":{"name":"option"}}],[11,"lt","","",61,{"inputs":[{"name":"self"},{"name":"pangofontmask"}],"output":{"name":"bool"}}],[11,"le","","",61,{"inputs":[{"name":"self"},{"name":"pangofontmask"}],"output":{"name":"bool"}}],[11,"gt","","",61,{"inputs":[{"name":"self"},{"name":"pangofontmask"}],"output":{"name":"bool"}}],[11,"ge","","",61,{"inputs":[{"name":"self"},{"name":"pangofontmask"}],"output":{"name":"bool"}}],[11,"cmp","","",61,{"inputs":[{"name":"self"},{"name":"pangofontmask"}],"output":{"name":"ordering"}}],[11,"hash","","",61,null],[11,"fmt","","",61,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",61,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",61,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",61,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",61,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",61,{"inputs":[],"output":{"name":"pangofontmask"}}],[11,"all","","Returns the set containing all flags.",61,{"inputs":[],"output":{"name":"pangofontmask"}}],[11,"bits","","Returns the raw value of the flags currently stored.",61,{"inputs":[{"name":"self"}],"output":{"name":"c_uint"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",61,{"inputs":[{"name":"c_uint"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",61,{"inputs":[{"name":"c_uint"}],"output":{"name":"pangofontmask"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",61,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",61,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",61,{"inputs":[{"name":"self"},{"name":"pangofontmask"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",61,{"inputs":[{"name":"self"},{"name":"pangofontmask"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",61,{"inputs":[{"name":"self"},{"name":"pangofontmask"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",61,{"inputs":[{"name":"self"},{"name":"pangofontmask"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",61,{"inputs":[{"name":"self"},{"name":"pangofontmask"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",61,{"inputs":[{"name":"self"},{"name":"pangofontmask"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",61,{"inputs":[{"name":"self"},{"name":"pangofontmask"}],"output":{"name":"pangofontmask"}}],[11,"bitor_assign","","Adds the set of flags.",61,{"inputs":[{"name":"self"},{"name":"pangofontmask"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",61,{"inputs":[{"name":"self"},{"name":"pangofontmask"}],"output":{"name":"pangofontmask"}}],[11,"bitxor_assign","","Toggles the set of flags.",61,{"inputs":[{"name":"self"},{"name":"pangofontmask"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",61,{"inputs":[{"name":"self"},{"name":"pangofontmask"}],"output":{"name":"pangofontmask"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",61,{"inputs":[{"name":"self"},{"name":"pangofontmask"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",61,{"inputs":[{"name":"self"},{"name":"pangofontmask"}],"output":{"name":"pangofontmask"}}],[11,"sub_assign","","Disables all flags enabled in the set.",61,{"inputs":[{"name":"self"},{"name":"pangofontmask"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",61,{"inputs":[{"name":"self"}],"output":{"name":"pangofontmask"}}],[11,"extend","","",61,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",61,{"inputs":[{"name":"t"}],"output":{"name":"pangofontmask"}}]],"paths":[[3,"PangoAnalysis"],[3,"PangoAttrClass"],[3,"PangoAttrColor"],[3,"PangoAttrFloat"],[3,"PangoAttrFontDesc"],[3,"PangoAttrFontFeatures"],[3,"PangoAttrInt"],[3,"PangoAttrLanguage"],[3,"PangoAttrShape"],[3,"PangoAttrSize"],[3,"PangoAttrString"],[3,"PangoAttribute"],[3,"PangoColor"],[3,"PangoEngineClass"],[3,"PangoEngineInfo"],[3,"PangoEngineLangClass"],[3,"PangoEngineScriptInfo"],[3,"PangoEngineShapeClass"],[3,"PangoFontClass"],[3,"PangoFontFaceClass"],[3,"PangoFontFamilyClass"],[3,"PangoFontMapClass"],[3,"PangoFontMetrics"],[3,"PangoFontsetClass"],[3,"PangoGlyphGeometry"],[3,"PangoGlyphInfo"],[3,"PangoGlyphItem"],[3,"PangoGlyphItemIter"],[3,"PangoGlyphString"],[3,"PangoIncludedModule"],[3,"PangoItem"],[3,"PangoLayoutLine"],[3,"PangoMatrix"],[3,"PangoRectangle"],[3,"PangoRendererClass"],[3,"PangoScriptForLang"],[3,"PangoEngine"],[3,"PangoEngineLang"],[3,"PangoEngineShape"],[3,"PangoFont"],[3,"PangoFontFace"],[3,"PangoFontFamily"],[3,"PangoFontMap"],[3,"PangoFontset"],[3,"PangoRenderer"],[4,"PangoAlignment"],[4,"PangoAttrType"],[4,"PangoBidiType"],[4,"PangoCoverageLevel"],[4,"PangoDirection"],[4,"PangoEllipsizeMode"],[4,"PangoGravity"],[4,"PangoGravityHint"],[4,"PangoRenderPart"],[4,"PangoScript"],[4,"PangoStretch"],[4,"PangoStyle"],[4,"PangoUnderline"],[4,"PangoVariant"],[4,"PangoWeight"],[4,"PangoWrapMode"],[3,"PangoFontMask"]]};
searchIndex["png"] = {"doc":"PNG encoder and decoder This crate contains a PNG encoder and decoder. It supports reading of single lines or whole frames. ## The decoder The most important types for decoding purposes are `Decoder` and `Reader`. They both wrap a `std::io::Read`. `Decoder` serves as a builder for `Reader`. Calling `Decoder::read_info` reads from the `Read` until the image data is reached. ### Using the decoder     use std::fs::File;","items":[[3,"PixelDimensions","png","Pixel dimensions information",null,null],[12,"xppu","","Pixels per unit, X axis",0,null],[12,"yppu","","Pixels per unit, Y axis",0,null],[12,"unit","","Either Meter or Unspecified",0,null],[3,"FrameControl","","Frame control information",null,null],[12,"sequence_number","","Sequence number of the animation chunk, starting from 0",1,null],[12,"width","","Width of the following frame",1,null],[12,"height","","Height of the following frame",1,null],[12,"x_offset","","X position at which to render the following frame",1,null],[12,"y_offset","","Y position at which to render the following frame",1,null],[12,"delay_num","","Frame delay fraction numerator",1,null],[12,"delay_den","","Frame delay fraction denominator",1,null],[12,"dispose_op","","Type of frame area disposal to be done after rendering this frame",1,null],[12,"blend_op","","Type of frame area rendering for this frame",1,null],[3,"AnimationControl","","Animation control information",null,null],[12,"num_frames","","Number of frames",2,null],[12,"num_plays","","Number of times to loop this APNG.  0 indicates infinite looping.",2,null],[3,"Info","","PNG info struct",null,null],[12,"width","","",3,null],[12,"height","","",3,null],[12,"bit_depth","","",3,null],[12,"color_type","","",3,null],[12,"interlaced","","",3,null],[12,"trns","","",3,null],[12,"pixel_dims","","",3,null],[12,"palette","","",3,null],[12,"frame_control","","",3,null],[12,"animation_control","","",3,null],[3,"Transformations","","Output transformations",null,null],[3,"Decoder","","PNG Decoder",null,null],[3,"Reader","","PNG reader (mostly high-level interface)",null,null],[3,"OutputInfo","","Output info",null,null],[12,"width","","",4,null],[12,"height","","",4,null],[12,"color_type","","",4,null],[12,"bit_depth","","",4,null],[12,"line_size","","",4,null],[3,"StreamingDecoder","","PNG StreamingDecoder (low-level interface)",null,null],[3,"Encoder","","PNG Encoder",null,null],[3,"Writer","","PNG writer",null,null],[4,"ColorType","","",null,null],[13,"Grayscale","","",5,null],[13,"RGB","","",5,null],[13,"Indexed","","",5,null],[13,"GrayscaleAlpha","","",5,null],[13,"RGBA","","",5,null],[4,"BitDepth","","Bit depth of the png file",null,null],[13,"One","","",6,null],[13,"Two","","",6,null],[13,"Four","","",6,null],[13,"Eight","","",6,null],[13,"Sixteen","","",6,null],[4,"Unit","","Physical unit of the pixel dimensions",null,null],[13,"Unspecified","","",7,null],[13,"Meter","","",7,null],[4,"Decoded","","Result of the decoding process",null,null],[13,"Nothing","","Nothing decoded yet",8,null],[13,"Header","","",8,null],[13,"ChunkBegin","","",8,null],[13,"ChunkComplete","","",8,null],[13,"PixelDimensions","","",8,null],[13,"AnimationControl","","",8,null],[13,"FrameControl","","",8,null],[13,"ImageData","","Decoded raw image data.",8,null],[13,"PartialChunk","","",8,null],[13,"ImageEnd","","",8,null],[4,"DecodingError","","",null,null],[13,"IoError","","",9,null],[13,"Format","","",9,null],[13,"InvalidSignature","","",9,null],[13,"CrcMismatch","","",9,null],[12,"recover","png::DecodingError","bytes to skip to try to recover from this error",9,null],[12,"crc_val","","Stored CRC32 value",9,null],[12,"crc_sum","","Calculated CRC32 sum",9,null],[12,"chunk","","",9,null],[13,"Other","png","",9,null],[13,"CorruptFlateStream","","",9,null],[4,"EncodingError","","",null,null],[13,"IoError","","",10,null],[13,"Format","","",10,null],[0,"chunk","","Chunk types and functions",null,null],[5,"is_critical","png::chunk","Returns true if the chunk is critical.",null,{"inputs":[{"name":"chunktype"}],"output":{"name":"bool"}}],[5,"is_private","","Returns true if the chunk is private.",null,{"inputs":[{"name":"chunktype"}],"output":{"name":"bool"}}],[5,"reserved_set","","Checks whether the reserved bit of the chunk name is set. If it is set the chunk name is invalid.",null,{"inputs":[{"name":"chunktype"}],"output":{"name":"bool"}}],[5,"safe_to_copy","","Returns true if the chunk is safe to copy if unknown.",null,{"inputs":[{"name":"chunktype"}],"output":{"name":"bool"}}],[6,"ChunkType","","",null,null],[17,"IHDR","","Image header",null,null],[17,"PLTE","","Palette",null,null],[17,"IDAT","","Image data",null,null],[17,"IEND","","Image trailer",null,null],[17,"tRNS","","Transparency",null,null],[17,"bKGD","","Background colour",null,null],[17,"tIME","","Image last-modification time",null,null],[17,"pHYs","","Physical pixel dimensions",null,null],[17,"acTL","","Animation control",null,null],[17,"fcTL","","Frame control",null,null],[17,"fdAT","","Frame data",null,null],[11,"fmt","png","",8,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",9,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"description","","",9,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"fmt","","",9,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"from","","",9,{"inputs":[{"name":"error"}],"output":{"name":"decodingerror"}}],[11,"from","","",9,{"inputs":[{"name":"string"}],"output":{"name":"decodingerror"}}],[11,"new","","Creates a new StreamingDecoder",11,{"inputs":[],"output":{"name":"streamingdecoder"}}],[11,"reset","","Resets the StreamingDecoder",11,{"inputs":[{"name":"self"}],"output":null}],[11,"update","","Low level StreamingDecoder interface.",11,null],[11,"set_param","","",12,{"inputs":[{"name":"self"},{"name":"decoder"}],"output":null}],[11,"buffer_size","","Returns the size needed to hold a decoded frame",4,{"inputs":[{"name":"self"}],"output":{"name":"usize"}}],[11,"new","","",13,{"inputs":[{"name":"r"}],"output":{"name":"decoder"}}],[11,"read_info","","Reads all meta data until the first IDAT chunk",13,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"info","","",14,{"inputs":[{"name":"self"}],"output":{"name":"info"}}],[11,"next_frame","","Decodes the next frame into `buf`",14,null],[11,"next_row","","Returns the next processed row of the image",14,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"next_interlaced_row","","Returns the next processed row of the image",14,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"output_color_type","","Returns the color type and the number of bits per sample of the data returned by `Reader::next_row` and Reader::frames`.",14,null],[11,"output_buffer_size","","Returns the number of bytes required to hold a deinterlaced image frame that is decoded using the given input transformations.",14,{"inputs":[{"name":"self"}],"output":{"name":"usize"}}],[11,"output_line_size","","Returns the number of bytes required to hold a deinterlaced row.",14,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"usize"}}],[11,"fmt","","",10,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"description","","",10,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"fmt","","",10,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"from","","",10,{"inputs":[{"name":"error"}],"output":{"name":"encodingerror"}}],[11,"new","","",15,{"inputs":[{"name":"w"},{"name":"u32"},{"name":"u32"}],"output":{"name":"encoder"}}],[11,"write_header","","",15,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"set_param","","",5,{"inputs":[{"name":"self"},{"name":"encoder"}],"output":null}],[11,"set_param","","",6,{"inputs":[{"name":"self"},{"name":"encoder"}],"output":null}],[11,"write_chunk","","",16,null],[11,"write_image_data","","Writes the image data.",16,null],[11,"drop","","",16,{"inputs":[{"name":"self"}],"output":null}],[11,"fmt","","",5,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",5,{"inputs":[{"name":"self"}],"output":{"name":"colortype"}}],[11,"eq","","",5,{"inputs":[{"name":"self"},{"name":"colortype"}],"output":{"name":"bool"}}],[11,"samples","","Returns the number of samples used per pixel of `ColorType`",5,{"inputs":[{"name":"self"}],"output":{"name":"usize"}}],[11,"from_u8","","u8 -> Self. Temporary solution until Rust provides a canonical one.",5,{"inputs":[{"name":"u8"}],"output":{"name":"option"}}],[11,"fmt","","",6,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",6,{"inputs":[{"name":"self"}],"output":{"name":"bitdepth"}}],[11,"eq","","",6,{"inputs":[{"name":"self"},{"name":"bitdepth"}],"output":{"name":"bool"}}],[11,"from_u8","","u8 -> Self. Temporary solution until Rust provides a canonical one.",6,{"inputs":[{"name":"u8"}],"output":{"name":"option"}}],[11,"clone","","",0,{"inputs":[{"name":"self"}],"output":{"name":"pixeldimensions"}}],[11,"fmt","","",0,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",7,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",7,{"inputs":[{"name":"self"}],"output":{"name":"unit"}}],[11,"eq","","",7,{"inputs":[{"name":"self"},{"name":"unit"}],"output":{"name":"bool"}}],[11,"from_u8","","u8 -> Self. Temporary solution until Rust provides a canonical one.",7,{"inputs":[{"name":"u8"}],"output":{"name":"option"}}],[11,"fmt","","",1,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",2,{"inputs":[{"name":"self"}],"output":{"name":"animationcontrol"}}],[11,"fmt","","",2,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",3,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"default","","",3,{"inputs":[],"output":{"name":"info"}}],[11,"size","","Size of the image",3,null],[11,"is_animated","","Returns true if the image is an APNG image.",3,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"animation_control","","Returns the frame control information of the image",3,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"frame_control","","Returns the frame control information of the current frame",3,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"bits_per_pixel","","Returns the bits per pixel",3,{"inputs":[{"name":"self"}],"output":{"name":"usize"}}],[11,"bytes_per_pixel","","Returns the bytes per pixel",3,{"inputs":[{"name":"self"}],"output":{"name":"usize"}}],[11,"raw_bytes","","Returns the number of bytes needed for one deinterlaced image",3,{"inputs":[{"name":"self"}],"output":{"name":"usize"}}],[11,"raw_row_length","","Returns the number of bytes needed for one deinterlaced row ",3,{"inputs":[{"name":"self"}],"output":{"name":"usize"}}],[11,"raw_row_length_from_width","","Returns the number of bytes needed for one deinterlaced row of width `width`",3,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"usize"}}],[11,"eq","","",12,{"inputs":[{"name":"self"},{"name":"transformations"}],"output":{"name":"bool"}}],[11,"ne","","",12,{"inputs":[{"name":"self"},{"name":"transformations"}],"output":{"name":"bool"}}],[11,"clone","","",12,{"inputs":[{"name":"self"}],"output":{"name":"transformations"}}],[11,"partial_cmp","","",12,{"inputs":[{"name":"self"},{"name":"transformations"}],"output":{"name":"option"}}],[11,"lt","","",12,{"inputs":[{"name":"self"},{"name":"transformations"}],"output":{"name":"bool"}}],[11,"le","","",12,{"inputs":[{"name":"self"},{"name":"transformations"}],"output":{"name":"bool"}}],[11,"gt","","",12,{"inputs":[{"name":"self"},{"name":"transformations"}],"output":{"name":"bool"}}],[11,"ge","","",12,{"inputs":[{"name":"self"},{"name":"transformations"}],"output":{"name":"bool"}}],[11,"cmp","","",12,{"inputs":[{"name":"self"},{"name":"transformations"}],"output":{"name":"ordering"}}],[11,"hash","","",12,null],[11,"fmt","","",12,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",12,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",12,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",12,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",12,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"empty","","Returns an empty set of flags.",12,{"inputs":[],"output":{"name":"transformations"}}],[11,"all","","Returns the set containing all flags.",12,{"inputs":[],"output":{"name":"transformations"}}],[11,"bits","","Returns the raw value of the flags currently stored.",12,{"inputs":[{"name":"self"}],"output":{"name":"u32"}}],[11,"from_bits","","Convert from underlying bit representation, unless that representation contains bits that do not correspond to a flag.",12,{"inputs":[{"name":"u32"}],"output":{"name":"option"}}],[11,"from_bits_truncate","","Convert from underlying bit representation, dropping any bits that do not correspond to flags.",12,{"inputs":[{"name":"u32"}],"output":{"name":"transformations"}}],[11,"is_empty","","Returns `true` if no flags are currently stored.",12,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_all","","Returns `true` if all flags are currently set.",12,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"intersects","","Returns `true` if there are flags common to both `self` and `other`.",12,{"inputs":[{"name":"self"},{"name":"transformations"}],"output":{"name":"bool"}}],[11,"contains","","Returns `true` all of the flags in `other` are contained within `self`.",12,{"inputs":[{"name":"self"},{"name":"transformations"}],"output":{"name":"bool"}}],[11,"insert","","Inserts the specified flags in-place.",12,{"inputs":[{"name":"self"},{"name":"transformations"}],"output":null}],[11,"remove","","Removes the specified flags in-place.",12,{"inputs":[{"name":"self"},{"name":"transformations"}],"output":null}],[11,"toggle","","Toggles the specified flags in-place.",12,{"inputs":[{"name":"self"},{"name":"transformations"}],"output":null}],[11,"set","","Inserts or removes the specified flags depending on the passed value.",12,{"inputs":[{"name":"self"},{"name":"transformations"},{"name":"bool"}],"output":null}],[11,"bitor","","Returns the union of the two sets of flags.",12,{"inputs":[{"name":"self"},{"name":"transformations"}],"output":{"name":"transformations"}}],[11,"bitor_assign","","Adds the set of flags.",12,{"inputs":[{"name":"self"},{"name":"transformations"}],"output":null}],[11,"bitxor","","Returns the left flags, but with all the right flags toggled.",12,{"inputs":[{"name":"self"},{"name":"transformations"}],"output":{"name":"transformations"}}],[11,"bitxor_assign","","Toggles the set of flags.",12,{"inputs":[{"name":"self"},{"name":"transformations"}],"output":null}],[11,"bitand","","Returns the intersection between the two sets of flags.",12,{"inputs":[{"name":"self"},{"name":"transformations"}],"output":{"name":"transformations"}}],[11,"bitand_assign","","Disables all flags disabled in the set.",12,{"inputs":[{"name":"self"},{"name":"transformations"}],"output":null}],[11,"sub","","Returns the set difference of the two sets of flags.",12,{"inputs":[{"name":"self"},{"name":"transformations"}],"output":{"name":"transformations"}}],[11,"sub_assign","","Disables all flags enabled in the set.",12,{"inputs":[{"name":"self"},{"name":"transformations"}],"output":null}],[11,"not","","Returns the complement of this set of flags.",12,{"inputs":[{"name":"self"}],"output":{"name":"transformations"}}],[11,"extend","","",12,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"from_iter","","",12,{"inputs":[{"name":"t"}],"output":{"name":"transformations"}}],[17,"TRANSFORM_IDENTITY","","No transformation",null,null],[17,"TRANSFORM_STRIP_16","","Strip 16-bit samples to 8 bits",null,null],[17,"TRANSFORM_STRIP_ALPHA","","Discard the alpha channel",null,null],[17,"TRANSFORM_PACKING","","Expand 1; 2 and 4-bit samples to bytes",null,null],[17,"TRANSFORM_PACKSWAP","","Change order of packed pixels to LSB first",null,null],[17,"TRANSFORM_EXPAND","","Expand paletted images to RGB; expand grayscale images of less than 8-bit depth to 8-bit depth; and expand tRNS chunks to alpha channels.",null,null],[17,"TRANSFORM_INVERT_MONO","","Invert monochrome images",null,null],[17,"TRANSFORM_SHIFT","","Normalize pixels to the sBIT depth",null,null],[17,"TRANSFORM_BGR","","Flip RGB to BGR; RGBA to BGRA",null,null],[17,"TRANSFORM_SWAP_ALPHA","","Flip RGBA to ARGB or GA to AG",null,null],[17,"TRANSFORM_SWAP_ENDIAN","","Byte-swap 16-bit samples",null,null],[17,"TRANSFORM_INVERT_ALPHA","","Change alpha from opacity to transparency",null,null],[17,"TRANSFORM_STRIP_FILLER","","",null,null],[17,"TRANSFORM_STRIP_FILLER_BEFORE","","",null,null],[17,"TRANSFORM_STRIP_FILLER_AFTER","","",null,null],[17,"TRANSFORM_GRAY_TO_RGB","","",null,null],[17,"TRANSFORM_EXPAND_16","","",null,null],[17,"TRANSFORM_SCALE_16","","",null,null],[8,"Parameter","","Configuration parameter trait",null,null],[10,"set_param","","",17,{"inputs":[{"name":"self"},{"name":"object"}],"output":null}],[8,"HasParameters","","Object has parameters",null,null],[11,"set","","",18,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"self"}}],[11,"set","","",18,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"self"}}]],"paths":[[3,"PixelDimensions"],[3,"FrameControl"],[3,"AnimationControl"],[3,"Info"],[3,"OutputInfo"],[4,"ColorType"],[4,"BitDepth"],[4,"Unit"],[4,"Decoded"],[4,"DecodingError"],[4,"EncodingError"],[3,"StreamingDecoder"],[3,"Transformations"],[3,"Decoder"],[3,"Reader"],[3,"Encoder"],[3,"Writer"],[8,"Parameter"],[8,"HasParameters"]]};
searchIndex["pnmixerlib"] = {"doc":"PNMixer-rs is a mixer for the system tray.","items":[[0,"errors","pnmixerlib","",null,null],[3,"Error","pnmixerlib::errors","The Error type.",null,null],[12,"0","","The kind of the error.",0,null],[4,"ErrorKind","","The kind of an error.",null,null],[13,"Msg","","A convenient variant for String.",1,null],[13,"Alsa","","",1,null],[13,"IO","","",1,null],[13,"Toml","","",1,null],[13,"Png","","",1,null],[6,"Result","","Convenient wrapper around `std::Result`.",null,null],[8,"ResultExt","","Additional methods for `Result`, for easy interaction with this crate.",null,null],[10,"chain_err","","If the `Result` is an `Err` then `chain_err` evaluates the closure, which returns some type that can be converted to `ErrorKind`, boxes the original error to store as the cause, then returns a new error containing the original error.",2,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"result"}}],[10,"from_err","","Converts a convertible error via `From::from` to the result error. Useful to turn e.g. `std::io::Error` into our own Error type.",2,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"fmt","","",0,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"new","","",0,{"inputs":[{"name":"errorkind"},{"name":"state"}],"output":{"name":"error"}}],[11,"from_kind","","",0,null],[11,"with_chain","","",0,{"inputs":[{"name":"e"},{"name":"k"}],"output":{"name":"self"}}],[11,"kind","","",0,null],[11,"iter","","",0,{"inputs":[{"name":"self"}],"output":{"name":"errorchainiter"}}],[11,"chain_err","","",0,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"self"}}],[11,"backtrace","","",0,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"extract_backtrace","","",0,{"inputs":[{"name":"error"}],"output":{"name":"option"}}],[11,"from_kind","","Constructs an error from a kind, and generates a backtrace.",0,{"inputs":[{"name":"errorkind"}],"output":{"name":"error"}}],[11,"with_chain","","Constructs a chained error from another error and a kind, and generates a backtrace.",0,{"inputs":[{"name":"e"},{"name":"k"}],"output":{"name":"error"}}],[11,"kind","","Returns the kind of the error.",0,{"inputs":[{"name":"self"}],"output":{"name":"errorkind"}}],[11,"iter","","Iterates over the error chain.",0,{"inputs":[{"name":"self"}],"output":{"name":"errorchainiter"}}],[11,"backtrace","","Returns the backtrace associated with this error.",0,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"chain_err","","Extends the error chain with a new entry.",0,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"error"}}],[11,"description","","",0,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"cause","","",0,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"fmt","","",0,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"from","","",0,{"inputs":[{"name":"error"}],"output":{"name":"self"}}],[11,"from","","",0,{"inputs":[{"name":"error"}],"output":{"name":"self"}}],[11,"from","","",0,{"inputs":[{"name":"error"}],"output":{"name":"self"}}],[11,"from","","",0,{"inputs":[{"name":"decodingerror"}],"output":{"name":"self"}}],[11,"from","","",0,{"inputs":[{"name":"errorkind"}],"output":{"name":"self"}}],[11,"from","","",0,{"inputs":[{"name":"str"}],"output":{"name":"self"}}],[11,"from","","",0,{"inputs":[{"name":"string"}],"output":{"name":"self"}}],[11,"deref","","",0,null],[11,"fmt","","",1,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",1,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"description","","A string describing the error kind.",1,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"from","","",1,{"inputs":[{"name":"str"}],"output":{"name":"self"}}],[11,"from","","",1,{"inputs":[{"name":"string"}],"output":{"name":"self"}}],[11,"from","","",1,{"inputs":[{"name":"error"}],"output":{"name":"self"}}],[0,"glade_helpers","pnmixerlib","",null,null],[0,"alsa_card","","Alsa audio subsystem.",null,null],[3,"AlsaCard","pnmixerlib::alsa_card","A fairly high-level alsa card struct. We save some redundant information in order to access it more easily, in addition to some information that is not purely alsa related (like callbacks).",null,null],[12,"card","","The raw alsa card.",3,null],[12,"mixer","","The raw mixer.",3,null],[12,"selem_id","","The simple element ID. `Selem` doesn't implement the Copy trait so we save the ID instead and can get the `Selem` by lookup.",3,null],[12,"watch_ids","","Watch IDs from polling the alsa card. We need them when we drop the card, so we can unregister the polling.",3,null],[12,"cb","","Callback for the various `AlsaEvent`s.",3,null],[4,"AlsaEvent","","An \"external\" alsa card event, potentially triggered by anything.",null,null],[13,"AlsaCardError","","An error.",4,null],[13,"AlsaCardDiconnected","","Alsa card is disconnected.",4,null],[13,"AlsaCardValuesChanged","","The values of the mixer changed, including mute state.",4,null],[11,"clone","","",4,{"inputs":[{"name":"self"}],"output":{"name":"alsaevent"}}],[11,"fmt","","",4,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"new","","Create a new alsa card. Tries very hard to get a valid, playable card and mixer, so this is not a 'strict' function. ## `card_name` If a card name is provided, it will be tried. If `None` is provided or the given card name does not exist or is not playable, any other playable card is tried. ## `elem_name` If an elem name is provided, it will be tried. If `None` is provided or the given elem name does not exist or is not playable, any other playable elem is tried. ## `cb` Callback for the various `AlsaEvent`s.",3,{"inputs":[{"name":"option"},{"name":"option"},{"name":"rc"}],"output":{"name":"result"}}],[11,"card_name","","Get the name of the alsa card.",3,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"chan_name","","Get the name of the channel.",3,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"selem","","Get the `Selem`, looked up by the `SelemId`.",3,{"inputs":[{"name":"self"}],"output":{"name":"selem"}}],[11,"get_vol","","Get the current volume. The returned value corresponds to the volume range and might need to be interpreted (such as converting to percentage). This always gets the volume of the `FrontRight` channel, because the seems to be the safest bet.",3,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"set_vol","","Sets the volume of the current card configuration. ## `new_vol` The volume corresponding to the volume range of the `Selem`. This might need to be translated properly first from other formats (like percentage).",3,{"inputs":[{"name":"self"},{"name":"i64"}],"output":{"name":"result"}}],[11,"get_volume_range","","Gets the volume range of the currently selected card configuration.",3,null],[11,"has_mute","","Whether the current card configuration can be muted.",3,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"get_mute","","Get the mute state of the current card configuration.",3,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"set_mute","","Set the mute state of the current card configuration. ## `mute` Passing `true` here means the card will be muted.",3,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"result"}}],[11,"drop","","Destructs the watch IDs corresponding to the current poll descriptors.",3,{"inputs":[{"name":"self"}],"output":null}],[0,"app_state","pnmixerlib","Global application state.",null,null],[3,"AppS","pnmixerlib::app_state","The global application state struct.",null,null],[12,"gui","","Mostly static GUI state.",5,null],[12,"audio","","Audio state.",5,null],[12,"prefs","","Preferences state.",5,null],[11,"new","","Create an application state instance. There should really only be one.",5,{"inputs":[],"output":{"name":"apps"}}],[11,"update_tray_icon","","Update the tray icon state.",5,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"update_popup_window","","Update the Popup Window state.",5,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"update_notify","","Update the notification state.",5,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"update_audio","","Update the audio state.",5,{"inputs":[{"name":"self"},{"name":"audiouser"}],"output":{"name":"result"}}],[11,"update_config","","Update the config file.",5,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[0,"audio","pnmixerlib","High-level audio subsystem.",null,null],[3,"Handlers","pnmixerlib::audio","Convenience struct to make handling this madness easier.",null,null],[3,"Audio","","High-level Audio struct, which could theoretically be backend agnostic.",null,null],[12,"acard","","The alsa card.",6,null],[12,"last_action_timestamp","","Last timestamp of an internal action we triggered, e.g. by setting the volume or the mute state.",6,null],[12,"handlers","","A set of handlers that react to audio signals. We can connect to these.",6,null],[12,"scroll_step","","The step at which to increase/decrease the volume. This value is basically from the preferences.",6,null],[4,"VolLevel","","The volume level of the current audio configuration.",null,null],[13,"Muted","","",7,null],[13,"Low","","",7,null],[13,"Medium","","",7,null],[13,"High","","",7,null],[13,"Off","","",7,null],[4,"AudioUser","","An audio user, used to determine from where a signal originated.",null,null],[13,"Unknown","","",8,null],[13,"Popup","","",8,null],[13,"TrayIcon","","",8,null],[13,"Hotkeys","","",8,null],[13,"PrefsWindow","","",8,null],[4,"AudioSignal","","An audio signal. This will be used to connect callbacks to the audio system and react appropriately.",null,null],[13,"NoCard","","",9,null],[13,"CardInitialized","","",9,null],[13,"CardCleanedUp","","",9,null],[13,"CardDisconnected","","",9,null],[13,"CardError","","",9,null],[13,"ValuesChanged","","",9,null],[11,"clone","","",7,{"inputs":[{"name":"self"}],"output":{"name":"vollevel"}}],[11,"fmt","","",7,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",8,{"inputs":[{"name":"self"}],"output":{"name":"audiouser"}}],[11,"fmt","","",8,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",9,{"inputs":[{"name":"self"}],"output":{"name":"audiosignal"}}],[11,"fmt","","",9,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",10,{"inputs":[{"name":"self"}],"output":{"name":"handlers"}}],[11,"new","","Create a new Audio instance. This tries very hard to get a working configuration from the backend. ## `card_name` If a card name is provided, it will be tried. If `None` is provided or the given card name does not exist or is not playable, any other playable card is tried. ## `elem_name` If an elem name is provided, it will be tried. If `None` is provided or the given elem name does not exist or is not playable, any other playable elem is tried.",6,{"inputs":[{"name":"option"},{"name":"option"}],"output":{"name":"result"}}],[11,"switch_acard","","Switches the current alsa card. Behaves the same way in regards to `card_name` and `elem_name` as the `Audio::new()` method. ## `user` Where the card switch originates from.",6,{"inputs":[{"name":"self"},{"name":"option"},{"name":"option"},{"name":"audiouser"}],"output":{"name":"result"}}],[11,"vol","","Current volume.",6,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"vol_level","","Current volume level, nicely usable for e.g. selecting from a set of images.",6,{"inputs":[{"name":"self"}],"output":{"name":"vollevel"}}],[11,"set_vol","","Set the current volume. ## `new_vol` Set the volume to this value. ## `user` Where the card switch originates from. ## `dir` The \"direction\" of the volume change, e.g. is it a decrease or increase. This helps with rounding problems. ## `auto_unmute` Whether to automatically unmute if the volume changes.",6,{"inputs":[{"name":"self"},{"name":"f64"},{"name":"audiouser"},{"name":"voldir"},{"name":"bool"}],"output":{"name":"result"}}],[11,"increase_vol","","Increase the volume. The step to increasy by is taken from `self.scroll_step`. ## `user` Where the card switch originates from.",6,{"inputs":[{"name":"self"},{"name":"audiouser"},{"name":"bool"}],"output":{"name":"result"}}],[11,"decrease_vol","","Decrease the volume. The step to decrease by is taken from `self.scroll_step`. ## `user` Where the card switch originates from.",6,{"inputs":[{"name":"self"},{"name":"audiouser"},{"name":"bool"}],"output":{"name":"result"}}],[11,"has_mute","","Whether the current audio configuration can be muted.",6,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"get_mute","","Get the mute state of the current audio configuration.",6,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"set_mute","","Set the mute state of the current audio configuration.",6,{"inputs":[{"name":"self"},{"name":"bool"},{"name":"audiouser"}],"output":{"name":"result"}}],[11,"toggle_mute","","Toggle the mute state of the current audio configuration.",6,{"inputs":[{"name":"self"},{"name":"audiouser"}],"output":{"name":"result"}}],[11,"connect_handler","","Connect a signal handler to the audio subsystem. This can be done from anywhere, e.g. in the UI code to react to certain signals. Multiple handlers for the same signals are fine, they will be executed in order.",6,{"inputs":[{"name":"self"},{"name":"box"}],"output":null}],[11,"card_name","","Get the current card name.",6,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"playable_chan_names","","Get the currently playable channel names.",6,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[11,"chan_name","","Get the current active channel name.",6,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[0,"prefs","pnmixerlib","The preferences subsystem.",null,null],[3,"DevicePrefs","pnmixerlib::prefs","Device preferences tab.",null,null],[12,"card","","",11,null],[12,"channel","","",11,null],[3,"ViewPrefs","","View preferences tab.",null,null],[12,"draw_vol_meter","","",12,null],[12,"vol_meter_offset","","",12,null],[12,"system_theme","","",12,null],[12,"vol_meter_color","","",12,null],[3,"VolColor","","Volume color setting in the view preferences tab.",null,null],[12,"red","","",13,null],[12,"green","","",13,null],[12,"blue","","",13,null],[3,"BehaviorPrefs","","Behavior preferences tab.",null,null],[12,"unmute_on_vol_change","","",14,null],[12,"vol_control_cmd","","",14,null],[12,"vol_scroll_step","","",14,null],[12,"vol_fine_scroll_step","","",14,null],[12,"middle_click_action","","",14,null],[12,"custom_command","","",14,null],[3,"Prefs","","Main preferences struct, holding all sub-preferences.",null,null],[12,"device_prefs","","",15,null],[12,"view_prefs","","",15,null],[12,"behavior_prefs","","",15,null],[4,"MiddleClickAction","","When the tray icon is middle-clicked.",null,null],[13,"ToggleMute","","",16,null],[13,"ShowPreferences","","",16,null],[13,"VolumeControl","","",16,null],[13,"CustomCommand","","",16,null],[11,"fmt","","",16,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",16,{"inputs":[{"name":"self"}],"output":{"name":"middleclickaction"}}],[11,"default","","",16,{"inputs":[],"output":{"name":"middleclickaction"}}],[11,"from","","",16,{"inputs":[{"name":"i32"}],"output":{"name":"self"}}],[11,"fmt","","",11,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"default","","",11,{"inputs":[],"output":{"name":"deviceprefs"}}],[11,"fmt","","",12,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"default","","",12,{"inputs":[],"output":{"name":"viewprefs"}}],[11,"fmt","","",13,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"default","","",13,{"inputs":[],"output":{"name":"volcolor"}}],[11,"fmt","","",14,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"default","","",14,{"inputs":[],"output":{"name":"behaviorprefs"}}],[11,"fmt","","",15,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"default","","",15,{"inputs":[],"output":{"name":"prefs"}}],[11,"new","","",15,{"inputs":[],"output":{"name":"result"}}],[11,"reload_config","","Reload the current preferences from the config file.",15,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"store_config","","Store the current preferences to the config file.",15,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"to_str","","Conver the current preferences to a viewable String.",15,{"inputs":[{"name":"self"}],"output":{"name":"string"}}],[11,"get_avail_vol_control_cmd","","Get an available volume control command, which must exist in `$PATH`. Tries hard to fine one, starting with the given preference setting and falling back to the `VOL_CONTROL_COMMANDS` slice.",15,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"fmt","","",15,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[0,"support_alsa","pnmixerlib","Alsa audio helper functions.",null,null],[5,"get_default_alsa_card","pnmixerlib::support_alsa","Get the default alsa card. This is the one with the ID `0`.",null,{"inputs":[],"output":{"name":"card"}}],[5,"get_alsa_card_by_id","","Get an alsa card corresponding to the given ID.",null,{"inputs":[{"name":"c_int"}],"output":{"name":"card"}}],[5,"get_alsa_cards","","Get all available alsa cards.",null,{"inputs":[],"output":{"name":"iter"}}],[5,"get_first_playable_alsa_card","","Get the first playable alsa card.",null,{"inputs":[],"output":{"name":"result"}}],[5,"get_playable_alsa_card_names","","Get the names of all playable alsa cards.",null,{"inputs":[],"output":{"name":"vec"}}],[5,"get_alsa_card_by_name","","Get an alsa card by the given name.",null,{"inputs":[{"name":"string"}],"output":{"name":"result"}}],[5,"alsa_card_has_playable_selem","","Check whether the given alsa card as a playable `Selem`.",null,{"inputs":[{"name":"card"}],"output":{"name":"bool"}}],[5,"get_mixer","","Get the `Mixer` for the given alsa card.",null,{"inputs":[{"name":"card"}],"output":{"name":"result"}}],[5,"get_selem","","Get the `Selem` from the given `Elem`.",null,{"inputs":[{"name":"elem"}],"output":{"name":"selem"}}],[5,"get_playable_selems","","Get all playable `Selem`s.",null,{"inputs":[{"name":"mixer"}],"output":{"name":"vec"}}],[5,"get_first_playable_selem","","Get the first playable `Selem`.",null,{"inputs":[{"name":"mixer"}],"output":{"name":"result"}}],[5,"get_playable_selem_names","","Get the names from all playable `Selem`s.",null,{"inputs":[{"name":"mixer"}],"output":{"name":"vec"}}],[5,"get_playable_selem_by_name","","Get a playable `Selem` by the given name.",null,{"inputs":[{"name":"mixer"},{"name":"string"}],"output":{"name":"result"}}],[5,"selem_is_playable","","Check whether the given `Selem` is playable.",null,{"inputs":[{"name":"selem"}],"output":{"name":"bool"}}],[0,"support_audio","pnmixerlib","Helper functions of the audio subsystem.",null,null],[4,"VolDir","pnmixerlib::support_audio","The direction of a volume change.",null,null],[13,"Up","","",17,null],[13,"Down","","",17,null],[13,"Unknown","","",17,null],[5,"vol_change_to_voldir","","Convert a volume change to the `VolDir` type. ## `old` The old volume value. ## `new` The new volume value.",null,{"inputs":[{"name":"f64"},{"name":"f64"}],"output":{"name":"voldir"}}],[5,"lrint","","Kinda mimics `lrint` from libm. If the direction of the volume change is `Up` then calls `ceil()`, if it's `Down`, then calls `floor()`, otherwise returns the value unchanged.",null,{"inputs":[{"name":"f64"},{"name":"voldir"}],"output":{"name":"f64"}}],[5,"audio_reload","","Reload the audio system.",null,{"inputs":[{"name":"audio"},{"name":"prefs"},{"name":"audiouser"}],"output":{"name":"result"}}],[5,"vol_to_percent","","Converts the actual volume of the audio configuration, which depends on the volume range, to a scale of 0-100, reprenting the percentage of the volume level.",null,null],[5,"percent_to_vol","","Converts the percentage of the volume level (0-100) back to the actual low-level representation of the volume, which depends on the volume range.",null,null],[5,"get_playable_card_names","","Get all playable card names.",null,{"inputs":[],"output":{"name":"vec"}}],[5,"get_playable_chan_names","","Get all playable channel names.",null,{"inputs":[{"name":"string"}],"output":{"name":"vec"}}],[11,"clone","","",17,{"inputs":[{"name":"self"}],"output":{"name":"voldir"}}],[11,"fmt","","",17,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[0,"support_cmd","pnmixerlib","Helper functions for invoking system commands.",null,null],[5,"execute_vol_control_command","pnmixerlib::support_cmd","Execute an available volume control command asynchronously, starting with the preferences and using some fallback values. If none of these are valid executables in `$PATH`, then return `Err(err)`.",null,{"inputs":[{"name":"prefs"}],"output":{"name":"result"}}],[5,"execute_command","","Try to execute the given command asynchronously via gtk.",null,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[0,"support_ui","pnmixerlib","Helper functions for the UI, mostly pixbuf functions.",null,null],[5,"copy_pixbuf","pnmixerlib::support_ui","Copy a `Pixbuf` explicitly, since they don't implement the `Copy` trait. Currently does not call `gdk_pixbuf_copy_options()`.",null,{"inputs":[{"name":"pixbuf"}],"output":{"name":"pixbuf"}}],[5,"pixbuf_new_from_theme","","Get a pixbuf by name from the given theme with the requested size. Note that the size is not enforced, but rather a hint.",null,{"inputs":[{"name":"str"},{"name":"i32"},{"name":"icontheme"}],"output":{"name":"result"}}],[0,"ui_entry","pnmixerlib","Global GUI state.",null,null],[3,"Gui","pnmixerlib::ui_entry","The GUI struct mostly describing the main widgets (mostly wrapped) the user interacts with.",null,null],[12,"tray_icon","","The tray icon.",18,null],[12,"popup_window","","The popup window.",18,null],[12,"popup_menu","","The popup menu.",18,null],[12,"prefs_dialog","","The preferences dialog.",18,null],[5,"init","","Initialize the GUI system.",null,{"inputs":[{"name":"rc"}],"output":null}],[11,"new","","Constructor. The prefs dialog is initialized as `None`.",18,{"inputs":[{"name":"builder"},{"name":"builder"},{"name":"prefs"}],"output":{"name":"gui"}}],[0,"ui_popup_menu","pnmixerlib","The popup menu subsystem when the user right-clicks on the tray icon.",null,null],[3,"PopupMenu","pnmixerlib::ui_popup_menu","",null,null],[12,"menu_window","","",19,null],[12,"menubar","","",19,null],[12,"menu","","",19,null],[12,"about_item","","",19,null],[12,"mixer_item","","",19,null],[12,"mute_item","","",19,null],[12,"mute_check","","",19,null],[12,"prefs_item","","",19,null],[12,"quit_item","","",19,null],[12,"reload_item","","",19,null],[5,"init_popup_menu","","Initialize the popup menu subsystem, registering all callbacks.",null,{"inputs":[{"name":"rc"}],"output":null}],[11,"new","","",19,{"inputs":[{"name":"builder"}],"output":{"name":"popupmenu"}}],[0,"ui_popup_window","pnmixerlib","The popup window subsystem when the user left-clicks on the tray icon.",null,null],[3,"PopupWindow","pnmixerlib::ui_popup_window","The main struct for the popup window, holding all relevant sub-widgets and some mutable state.",null,null],[12,"popup_window","","The main window for the popup window widget.",20,null],[12,"vol_scale_adj","","The volume scale adjustment.",20,null],[12,"vol_scale","","The volume scale.",20,null],[12,"mute_check","","The mute check button.",20,null],[12,"mixer_button","","The button to start the external mixer.",20,null],[5,"init_popup_window","","Initialize the popup window subsystem.",null,{"inputs":[{"name":"rc"}],"output":null}],[5,"set_slider","","Set the volume slider to the given value.",null,{"inputs":[{"name":"adjustment"},{"name":"f64"}],"output":null}],[11,"new","","Constructor.",20,{"inputs":[{"name":"builder"}],"output":{"name":"popupwindow"}}],[11,"update","","Update the popup window state, including the slider and the mute checkbutton.",20,{"inputs":[{"name":"self"},{"name":"audio"}],"output":{"name":"result"}}],[11,"update_mute_check","","Update the mute checkbutton.",20,{"inputs":[{"name":"self"},{"name":"audio"}],"output":null}],[0,"ui_prefs_dialog","pnmixerlib","The preferences window subsystem, when the user clicks the \"Preferences\" menu item on the popup menu.",null,null],[3,"PrefsDialog","pnmixerlib::ui_prefs_dialog","The main preferences dialog, holding all the relevant subwidgets we need to convert its state to preferences and back.",null,null],[5,"show_prefs_dialog","","Show the preferences dialog. This is created and destroyed dynamically and not persistent across the application lifetime.",null,{"inputs":[{"name":"rc"}],"output":null}],[5,"init_prefs_callback","","Initialize the internal prefs dialog handler that connects to the audio system.",null,{"inputs":[{"name":"rc"}],"output":null}],[0,"ui_tray_icon","pnmixerlib","The tray icon subsystem.",null,null],[3,"TrayIcon","pnmixerlib::ui_tray_icon","The tray icon struct, describing the complete visual state.",null,null],[12,"volmeter","","The volume meter to draw on the actual Pixbuf, if requested.",21,null],[12,"audio_pix","","The actual Pixbuf tray icon.",21,null],[12,"status_icon","","The gtk `StatusIcon` widget, used to register callbacks.",21,null],[12,"icon_size","","The current icon size.",21,null],[3,"VolMeter","","The volume meter, describes by its colors, offset and width/row properties.",null,null],[3,"AudioPix","","The actual tray icon Pixbuf, which depends on the current volume level.",null,null],[5,"init_tray_icon","","Initialize the tray icon subsystem.",null,{"inputs":[{"name":"rc"}],"output":null}],[11,"new","","Constructor. `audio_pix` is initialized as empty GdkPixbuf, to save one iteration of png decoding (`update_all()` is triggered immediately on startup through `tray_icon.connect_size_changed`.",21,{"inputs":[{"name":"prefs"}],"output":{"name":"result"}}],[11,"update_all","","Update the whole tray icon state.",21,{"inputs":[{"name":"self"},{"name":"prefs"},{"name":"audio"},{"name":"option"}],"output":{"name":"result"}}],[11,"clone","","",22,{"inputs":[{"name":"self"}],"output":{"name":"audiopix"}}],[11,"fmt","","",22,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"default","","",22,{"inputs":[],"output":{"name":"audiopix"}}],[14,"try_w","pnmixerlib","Try to unwrap a `Result<T, E>`. If there is a value `T`, yield it, otherwise print a warning and `return ()` from the function.",null,null],[14,"try_wr","","Try to unwrap a `Result<T, E>`. If there is a value `T`, yield it, otherwise print a warning and return from the function with the given value.",null,null],[14,"try_r","","Try to unwrap a `Result<T, E>`. If there is a value `T`, yield it, otherwise return from the function with the given value.",null,null],[14,"try_e","","Try to unwrap a `Result<T, E>`. If there is a value `T`, yield it, otherwise print an error and exit the program.",null,null],[14,"create_builder_item","","",null,null],[14,"pixbuf_new_from_png","","Create a pixbuf from the given PNG file. Includes the file as bytes in the binary and decodes it.",null,null]],"paths":[[3,"Error"],[4,"ErrorKind"],[8,"ResultExt"],[3,"AlsaCard"],[4,"AlsaEvent"],[3,"AppS"],[3,"Audio"],[4,"VolLevel"],[4,"AudioUser"],[4,"AudioSignal"],[3,"Handlers"],[3,"DevicePrefs"],[3,"ViewPrefs"],[3,"VolColor"],[3,"BehaviorPrefs"],[3,"Prefs"],[4,"MiddleClickAction"],[4,"VolDir"],[3,"Gui"],[3,"PopupMenu"],[3,"PopupWindow"],[3,"TrayIcon"],[3,"AudioPix"]]};
searchIndex["quote"] = {"doc":"Quasi-quoting without a Syntex dependency, intended for use with Macros 1.1.","items":[[3,"Tokens","quote","Tokens produced by a `quote!(...)` invocation.",null,null],[3,"ByteStr","","Wrap a `&str` so it interpolates as a byte-string: `b\"abc\"`.",null,null],[12,"0","","",0,null],[3,"Hex","","Wrap an integer so it interpolates as a hexadecimal.",null,null],[12,"0","","",1,null],[3,"Ident","","An identifier that should be interpolated without quotes.",null,null],[11,"fmt","","",2,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",2,{"inputs":[{"name":"self"}],"output":{"name":"tokens"}}],[11,"eq","","",2,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":{"name":"bool"}}],[11,"ne","","",2,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":{"name":"bool"}}],[11,"new","","Empty tokens.",2,{"inputs":[],"output":{"name":"self"}}],[11,"append","","For use by `ToTokens` implementations.",2,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"append_all","","For use by `ToTokens` implementations.",2,{"inputs":[{"name":"self"},{"name":"i"}],"output":null}],[11,"append_separated","","For use by `ToTokens` implementations.",2,{"inputs":[{"name":"self"},{"name":"i"},{"name":"s"}],"output":null}],[11,"append_terminated","","For use by `ToTokens` implementations.",2,{"inputs":[{"name":"self"},{"name":"i"},{"name":"s"}],"output":null}],[11,"as_str","","",2,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"into_string","","",2,{"inputs":[{"name":"self"}],"output":{"name":"string"}}],[11,"parse","","",2,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"default","","",2,{"inputs":[],"output":{"name":"self"}}],[11,"fmt","","",2,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"as_ref","","",2,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"fmt","","",0,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"to_tokens","","",0,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",2,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"fmt","","",1,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"to_tokens","","",1,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",1,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",1,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",1,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",1,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",1,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",1,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",1,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",1,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",1,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"fmt","","",3,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",3,{"inputs":[{"name":"self"}],"output":{"name":"ident"}}],[11,"hash","","",3,null],[11,"new","","",3,{"inputs":[{"name":"t"}],"output":{"name":"self"}}],[11,"from","","",3,{"inputs":[{"name":"str"}],"output":{"name":"self"}}],[11,"from","","",3,{"inputs":[{"name":"cow"}],"output":{"name":"self"}}],[11,"from","","",3,{"inputs":[{"name":"string"}],"output":{"name":"self"}}],[11,"as_ref","","",3,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"fmt","","",3,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",3,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"to_tokens","","",3,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[8,"ToTokens","","Types that can be interpolated inside a `quote!(...)` invocation.",null,null],[10,"to_tokens","","Write `self` to the given `Tokens`.",4,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[14,"quote","","The whole point.",null,null]],"paths":[[3,"ByteStr"],[3,"Hex"],[3,"Tokens"],[3,"Ident"],[8,"ToTokens"]]};
searchIndex["regex"] = {"doc":"This crate provides a native implementation of regular expressions that is heavily based on RE2 both in syntax and in implementation. Notably, backreferences and arbitrary lookahead/lookbehind assertions are not provided. In return, regular expression searching provided by this package has excellent worst-case performance. The specific syntax supported is documented further down.","items":[[3,"RegexBuilder","regex","A configurable builder for a regular expression.",null,null],[3,"RegexSet","","Match multiple (possibly overlapping) regular expressions in a single scan.",null,null],[3,"SetMatches","","A set of matches returned by a regex set.",null,null],[3,"SetMatchesIntoIter","","An owned iterator over the set of matches from a regex set.",null,null],[3,"SetMatchesIter","","A borrowed iterator over the set of matches from a regex set.",null,null],[3,"Regex","","A compiled regular expression for matching Unicode strings.",null,null],[3,"Captures","","Captures represents a group of captured strings for a single match.",null,null],[3,"SubCaptures","","An iterator over capture groups for a particular match of a regular expression.",null,null],[3,"SubCapturesPos","","An iterator over capture group positions for a particular match of a regular expression.",null,null],[3,"SubCapturesNamed","","An Iterator over named capture groups as a tuple with the group name and the value.",null,null],[3,"CaptureNames","","An iterator over the names of all possible captures.",null,null],[3,"FindCaptures","","An iterator that yields all non-overlapping capture groups matching a particular regular expression.",null,null],[3,"FindMatches","","An iterator over all non-overlapping matches for a particular string.",null,null],[3,"NoExpand","","NoExpand indicates literal string replacement.",null,null],[12,"0","","",0,null],[3,"RegexSplits","","Yields all substrings delimited by a regular expression match.",null,null],[3,"RegexSplitsN","","Yields at most `N` substrings delimited by a regular expression match.",null,null],[4,"Error","","An error that occurred during parsing or compiling a regular expression.",null,null],[13,"Syntax","","A syntax error.",1,null],[13,"CompiledTooBig","","The compiled program exceeded the set size limit. The argument is the size limit imposed.",1,null],[13,"InvalidSet","","DEPRECATED: Will be removed on next major version bump.",1,null],[5,"quote","","Escapes all regular expression meta characters in `text`.",null,{"inputs":[{"name":"str"}],"output":{"name":"string"}}],[5,"is_match","","Tests if the given regular expression matches somewhere in the text given.",null,{"inputs":[{"name":"str"},{"name":"str"}],"output":{"name":"result"}}],[0,"bytes","","Match regular expressions on arbitrary bytes.",null,null],[3,"RegexBuilder","regex::bytes","A configurable builder for a regular expression.",null,null],[3,"RegexSet","","Match multiple (possibly overlapping) regular expressions in a single scan.",null,null],[3,"SetMatches","","A set of matches returned by a regex set.",null,null],[3,"SetMatchesIntoIter","","An owned iterator over the set of matches from a regex set.",null,null],[3,"SetMatchesIter","","A borrowed iterator over the set of matches from a regex set.",null,null],[3,"Regex","","A compiled regular expression for matching arbitrary bytes.",null,null],[3,"FindMatches","","An iterator over all non-overlapping matches for a particular string.",null,null],[3,"FindCaptures","","An iterator that yields all non-overlapping capture groups matching a particular regular expression.",null,null],[3,"Splits","","Yields all substrings delimited by a regular expression match.",null,null],[3,"SplitsN","","Yields at most `N` substrings delimited by a regular expression match.",null,null],[3,"CaptureNames","","An iterator over the names of all possible captures.",null,null],[3,"Captures","","Captures represents a group of captured byte strings for a single match.",null,null],[3,"SubCaptures","","An iterator over capture groups for a particular match of a regular expression.",null,null],[3,"SubCapturesPos","","An iterator over capture group positions for a particular match of a regular expression.",null,null],[3,"SubCapturesNamed","","An Iterator over named capture groups as a tuple with the group name and the value.",null,null],[3,"NoExpand","","NoExpand indicates literal byte string replacement.",null,null],[12,"0","","",2,null],[8,"Replacer","","Replacer describes types that can be used to replace matches in a byte string.",null,null],[10,"replace_append","","Appends text to `dst` to replace the current match.",3,{"inputs":[{"name":"self"},{"name":"captures"},{"name":"vec"}],"output":null}],[11,"no_expansion","","Return a fixed unchanging replacement byte string.",3,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"fmt","regex","",1,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"description","","",1,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"cause","","",1,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"fmt","","",1,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"from","","",1,{"inputs":[{"name":"error"}],"output":{"name":"error"}}],[11,"new","regex::bytes","Create a new regular expression builder with the given pattern.",4,{"inputs":[{"name":"str"}],"output":{"name":"regexbuilder"}}],[11,"compile","","Consume the builder and compile the regular expression.",4,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"case_insensitive","","Set the value for the case insensitive (`i`) flag.",4,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"regexbuilder"}}],[11,"multi_line","","Set the value for the multi-line matching (`m`) flag.",4,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"regexbuilder"}}],[11,"dot_matches_new_line","","Set the value for the any character (`s`) flag, where in `.` matches anything when `s` is set and matches anything except for new line when it is not set (the default).",4,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"regexbuilder"}}],[11,"swap_greed","","Set the value for the greedy swap (`U`) flag.",4,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"regexbuilder"}}],[11,"ignore_whitespace","","Set the value for the ignore whitespace (`x`) flag.",4,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"regexbuilder"}}],[11,"unicode","","Set the value for the Unicode (`u`) flag.",4,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"regexbuilder"}}],[11,"size_limit","","Set the approximate size limit of the compiled regular expression.",4,{"inputs":[{"name":"self"},{"name":"usize"}],"output":{"name":"regexbuilder"}}],[11,"dfa_size_limit","","Set the approximate size of the cache used by the DFA.",4,{"inputs":[{"name":"self"},{"name":"usize"}],"output":{"name":"regexbuilder"}}],[11,"new","regex","Create a new regular expression builder with the given pattern.",5,{"inputs":[{"name":"str"}],"output":{"name":"regexbuilder"}}],[11,"compile","","Consume the builder and compile the regular expression.",5,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"case_insensitive","","Set the value for the case insensitive (`i`) flag.",5,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"regexbuilder"}}],[11,"multi_line","","Set the value for the multi-line matching (`m`) flag.",5,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"regexbuilder"}}],[11,"dot_matches_new_line","","Set the value for the any character (`s`) flag, where in `.` matches anything when `s` is set and matches anything except for new line when it is not set (the default).",5,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"regexbuilder"}}],[11,"swap_greed","","Set the value for the greedy swap (`U`) flag.",5,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"regexbuilder"}}],[11,"ignore_whitespace","","Set the value for the ignore whitespace (`x`) flag.",5,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"regexbuilder"}}],[11,"unicode","","Set the value for the Unicode (`u`) flag.",5,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"regexbuilder"}}],[11,"size_limit","","Set the approximate size limit of the compiled regular expression.",5,{"inputs":[{"name":"self"},{"name":"usize"}],"output":{"name":"regexbuilder"}}],[11,"dfa_size_limit","","Set the approximate size of the cache used by the DFA.",5,{"inputs":[{"name":"self"},{"name":"usize"}],"output":{"name":"regexbuilder"}}],[11,"no_expansion","regex::bytes","Return a fixed unchanging replacement byte string.",3,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"clone","","",6,{"inputs":[{"name":"self"}],"output":{"name":"regex"}}],[11,"fmt","","Shows the original regular expression.",6,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","Shows the original regular expression.",6,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"from_str","","Attempts to parse a string into a regular expression",6,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[11,"new","","Compiles a regular expression. Once compiled, it can be used repeatedly to search, split or replace text in a string.",6,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[11,"with_size_limit","","Compiles a regular expression with the given size limit.",6,{"inputs":[{"name":"usize"},{"name":"str"}],"output":{"name":"result"}}],[11,"is_match","","Returns true if and only if the regex matches the string given.",6,null],[11,"find","","Returns the start and end byte range of the leftmost-first match in `text`. If no match exists, then `None` is returned.",6,null],[11,"find_iter","","Returns an iterator for each successive non-overlapping match in `text`, returning the start and end byte indices with respect to `text`.",6,null],[11,"captures","","Returns the capture groups corresponding to the leftmost-first match in `text`. Capture group `0` always corresponds to the entire match. If no match is found, then `None` is returned.",6,null],[11,"captures_iter","","Returns an iterator over all the non-overlapping capture groups matched in `text`. This is operationally the same as `find_iter`, except it yields information about submatches.",6,null],[11,"split","","Returns an iterator of substrings of `text` delimited by a match of the regular expression. Namely, each element of the iterator corresponds to text that isn't matched by the regular expression.",6,null],[11,"splitn","","Returns an iterator of at most `limit` substrings of `text` delimited by a match of the regular expression. (A `limit` of `0` will return no substrings.) Namely, each element of the iterator corresponds to text that isn't matched by the regular expression. The remainder of the string that is not split will be the last element in the iterator.",6,null],[11,"replace","","Replaces the leftmost-first match with the replacement provided. The replacement can be a regular byte string (where `$N` and `$name` are expanded to match capture groups) or a function that takes the matches' `Captures` and returns the replaced byte string.",6,null],[11,"replace_all","","Replaces all non-overlapping matches in `text` with the replacement provided. This is the same as calling `replacen` with `limit` set to `0`.",6,null],[11,"replacen","","Replaces at most `limit` non-overlapping matches in `text` with the replacement provided. If `limit` is 0, then all non-overlapping matches are replaced.",6,null],[11,"shortest_match","","Returns the end location of a match in the text given.",6,null],[11,"as_str","","Returns the original string of this regex.",6,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"capture_names","","Returns an iterator over the capture names.",6,{"inputs":[{"name":"self"}],"output":{"name":"capturenames"}}],[11,"captures_len","","Returns the number of captures.",6,{"inputs":[{"name":"self"}],"output":{"name":"usize"}}],[11,"next","","",7,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"next","","",8,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"next","","",9,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"next","","",10,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"next","","",11,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"size_hint","","",11,null],[11,"pos","","Returns the start and end positions of the Nth capture group. Returns `None` if `i` is not a valid capture group or if the capture group did not match anything. The positions returned are always byte indices with respect to the original byte string matched.",12,{"inputs":[{"name":"self"},{"name":"usize"}],"output":{"name":"option"}}],[11,"at","","Returns the matched string for the capture group `i`.  If `i` isn't a valid capture group or didn't match anything, then `None` is returned.",12,{"inputs":[{"name":"self"},{"name":"usize"}],"output":{"name":"option"}}],[11,"name","","Returns the matched string for the capture group named `name`.  If `name` isn't a valid capture group or didn't match anything, then `None` is returned.",12,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[11,"iter","","Creates an iterator of all the capture groups in order of appearance in the regular expression.",12,{"inputs":[{"name":"self"}],"output":{"name":"subcaptures"}}],[11,"iter_pos","","Creates an iterator of all the capture group positions in order of appearance in the regular expression. Positions are byte indices in terms of the original string matched.",12,{"inputs":[{"name":"self"}],"output":{"name":"subcapturespos"}}],[11,"iter_named","","Creates an iterator of all named groups as an tuple with the group name and the value. The iterator returns these values in arbitrary order.",12,{"inputs":[{"name":"self"}],"output":{"name":"subcapturesnamed"}}],[11,"expand","","Expands all instances of `$name` in `text` to the corresponding capture group `name`, and writes them to the `dst` buffer given.",12,null],[11,"len","","Returns the number of captured groups.",12,{"inputs":[{"name":"self"}],"output":{"name":"usize"}}],[11,"is_empty","","Returns true if and only if there are no captured groups.",12,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"fmt","","",12,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"index","","",12,null],[11,"index","","",12,null],[11,"next","","",13,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"next","","",14,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"next","","",15,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"replace_append","","",2,{"inputs":[{"name":"self"},{"name":"captures"},{"name":"vec"}],"output":null}],[11,"no_expansion","","",2,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"clone","regex","",16,{"inputs":[{"name":"self"}],"output":{"name":"regexset"}}],[11,"new","","Create a new regex set with the given regular expressions.",16,{"inputs":[{"name":"i"}],"output":{"name":"result"}}],[11,"is_match","","Returns true if and only if one of the regexes in this set matches the text given.",16,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[11,"matches","","Returns the set of regular expressions that match in the given text.",16,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"setmatches"}}],[11,"len","","Returns the total number of regular expressions in this set.",16,{"inputs":[{"name":"self"}],"output":{"name":"usize"}}],[11,"clone","","",17,{"inputs":[{"name":"self"}],"output":{"name":"setmatches"}}],[11,"fmt","","",17,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"matched_any","","Whether this set contains any matches.",17,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"matched","","Whether the regex at the given index matched.",17,{"inputs":[{"name":"self"},{"name":"usize"}],"output":{"name":"bool"}}],[11,"len","","The total number of regexes in the set that created these matches.",17,{"inputs":[{"name":"self"}],"output":{"name":"usize"}}],[11,"iter","","Returns an iterator over indexes in the regex that matched.",17,{"inputs":[{"name":"self"}],"output":{"name":"setmatchesiter"}}],[11,"into_iter","","",17,null],[11,"next","","",18,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"next_back","","",18,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"clone","","",19,{"inputs":[{"name":"self"}],"output":{"name":"setmatchesiter"}}],[11,"next","","",19,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"next_back","","",19,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"fmt","","",16,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","regex::bytes","",20,{"inputs":[{"name":"self"}],"output":{"name":"regexset"}}],[11,"new","","Create a new regex set with the given regular expressions.",20,{"inputs":[{"name":"i"}],"output":{"name":"result"}}],[11,"is_match","","Returns true if and only if one of the regexes in this set matches the text given.",20,null],[11,"matches","","Returns the set of regular expressions that match in the given text.",20,null],[11,"len","","Returns the total number of regular expressions in this set.",20,{"inputs":[{"name":"self"}],"output":{"name":"usize"}}],[11,"clone","","",21,{"inputs":[{"name":"self"}],"output":{"name":"setmatches"}}],[11,"fmt","","",21,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"matched_any","","Whether this set contains any matches.",21,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"matched","","Whether the regex at the given index matched.",21,{"inputs":[{"name":"self"},{"name":"usize"}],"output":{"name":"bool"}}],[11,"len","","The total number of regexes in the set that created these matches.",21,{"inputs":[{"name":"self"}],"output":{"name":"usize"}}],[11,"iter","","Returns an iterator over indexes in the regex that matched.",21,{"inputs":[{"name":"self"}],"output":{"name":"setmatchesiter"}}],[11,"into_iter","","",21,null],[11,"next","","",22,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"next_back","","",22,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"clone","","",23,{"inputs":[{"name":"self"}],"output":{"name":"setmatchesiter"}}],[11,"next","","",23,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"next_back","","",23,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"fmt","","",20,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","regex","",24,{"inputs":[{"name":"self"}],"output":{"name":"regex"}}],[11,"fmt","","Shows the original regular expression.",24,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","Shows the original regular expression.",24,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",24,{"inputs":[{"name":"self"},{"name":"regex"}],"output":{"name":"bool"}}],[11,"from_str","","Attempts to parse a string into a regular expression",24,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[11,"new","","Compiles a regular expression. Once compiled, it can be used repeatedly to search, split or replace text in a string.",24,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[11,"with_size_limit","","Compiles a regular expression with the given size limit.",24,{"inputs":[{"name":"usize"},{"name":"str"}],"output":{"name":"result"}}],[11,"is_match","","Returns true if and only if the regex matches the string given.",24,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"bool"}}],[11,"find","","Returns the start and end byte range of the leftmost-first match in `text`. If no match exists, then `None` is returned.",24,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[11,"find_iter","","Returns an iterator for each successive non-overlapping match in `text`, returning the start and end byte indices with respect to `text`.",24,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"findmatches"}}],[11,"captures","","Returns the capture groups corresponding to the leftmost-first match in `text`. Capture group `0` always corresponds to the entire match. If no match is found, then `None` is returned.",24,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[11,"captures_iter","","Returns an iterator over all the non-overlapping capture groups matched in `text`. This is operationally the same as `find_iter`, except it yields information about submatches.",24,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"findcaptures"}}],[11,"split","","Returns an iterator of substrings of `text` delimited by a match of the regular expression. Namely, each element of the iterator corresponds to text that isn't matched by the regular expression.",24,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"regexsplits"}}],[11,"splitn","","Returns an iterator of at most `limit` substrings of `text` delimited by a match of the regular expression. (A `limit` of `0` will return no substrings.) Namely, each element of the iterator corresponds to text that isn't matched by the regular expression. The remainder of the string that is not split will be the last element in the iterator.",24,{"inputs":[{"name":"self"},{"name":"str"},{"name":"usize"}],"output":{"name":"regexsplitsn"}}],[11,"replace","","Replaces the leftmost-first match with the replacement provided. The replacement can be a regular string (where `$N` and `$name` are expanded to match capture groups) or a function that takes the matches' `Captures` and returns the replaced string.",24,{"inputs":[{"name":"self"},{"name":"str"},{"name":"r"}],"output":{"name":"string"}}],[11,"replace_all","","Replaces all non-overlapping matches in `text` with the replacement provided. This is the same as calling `replacen` with `limit` set to `0`.",24,{"inputs":[{"name":"self"},{"name":"str"},{"name":"r"}],"output":{"name":"string"}}],[11,"replacen","","Replaces at most `limit` non-overlapping matches in `text` with the replacement provided. If `limit` is 0, then all non-overlapping matches are replaced.",24,{"inputs":[{"name":"self"},{"name":"str"},{"name":"usize"},{"name":"r"}],"output":{"name":"string"}}],[11,"shortest_match","","Returns the end location of a match in the text given.",24,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[11,"as_str","","Returns the original string of this regex.",24,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"capture_names","","Returns an iterator over the capture names.",24,{"inputs":[{"name":"self"}],"output":{"name":"capturenames"}}],[11,"captures_len","","Returns the number of captures.",24,{"inputs":[{"name":"self"}],"output":{"name":"usize"}}],[11,"next","","",25,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"size_hint","","",25,null],[11,"reg_replace","","",0,{"inputs":[{"name":"self"},{"name":"captures"}],"output":{"name":"cow"}}],[11,"no_expand","","",0,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"next","","",26,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"next","","",27,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"pos","","Returns the start and end positions of the Nth capture group. Returns `None` if `i` is not a valid capture group or if the capture group did not match anything. The positions returned are always byte indices with respect to the original string matched.",28,{"inputs":[{"name":"self"},{"name":"usize"}],"output":{"name":"option"}}],[11,"at","","Returns the matched string for the capture group `i`.  If `i` isn't a valid capture group or didn't match anything, then `None` is returned.",28,{"inputs":[{"name":"self"},{"name":"usize"}],"output":{"name":"option"}}],[11,"name","","Returns the matched string for the capture group named `name`.  If `name` isn't a valid capture group or didn't match anything, then `None` is returned.",28,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"option"}}],[11,"iter","","Creates an iterator of all the capture groups in order of appearance in the regular expression.",28,{"inputs":[{"name":"self"}],"output":{"name":"subcaptures"}}],[11,"iter_pos","","Creates an iterator of all the capture group positions in order of appearance in the regular expression. Positions are byte indices in terms of the original string matched.",28,{"inputs":[{"name":"self"}],"output":{"name":"subcapturespos"}}],[11,"iter_named","","Creates an iterator of all named groups as an tuple with the group name and the value. The iterator returns these values in arbitrary order.",28,{"inputs":[{"name":"self"}],"output":{"name":"subcapturesnamed"}}],[11,"expand","","Expands all instances of `$name` in `text` to the corresponding capture group `name`.",28,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"string"}}],[11,"len","","Returns the number of captured groups.",28,{"inputs":[{"name":"self"}],"output":{"name":"usize"}}],[11,"is_empty","","Returns true if and only if there are no captured groups.",28,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"fmt","","",28,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"index","","",28,{"inputs":[{"name":"self"},{"name":"usize"}],"output":{"name":"str"}}],[11,"index","","",28,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"str"}}],[11,"next","","",29,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"next","","",30,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"next","","",31,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"next","","",32,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"next","","",33,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[8,"Replacer","","Replacer describes types that can be used to replace matches in a string.",null,null],[10,"reg_replace","","Returns a possibly owned string that is used to replace the match corresponding to the `caps` capture group.",34,{"inputs":[{"name":"self"},{"name":"captures"}],"output":{"name":"cow"}}],[11,"no_expand","","Returns a possibly owned string that never needs expansion.",34,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"no_expand","","Returns a possibly owned string that never needs expansion.",34,{"inputs":[{"name":"self"}],"output":{"name":"option"}}]],"paths":[[3,"NoExpand"],[4,"Error"],[3,"NoExpand"],[8,"Replacer"],[3,"RegexBuilder"],[3,"RegexBuilder"],[3,"Regex"],[3,"FindMatches"],[3,"FindCaptures"],[3,"Splits"],[3,"SplitsN"],[3,"CaptureNames"],[3,"Captures"],[3,"SubCaptures"],[3,"SubCapturesPos"],[3,"SubCapturesNamed"],[3,"RegexSet"],[3,"SetMatches"],[3,"SetMatchesIntoIter"],[3,"SetMatchesIter"],[3,"RegexSet"],[3,"SetMatches"],[3,"SetMatchesIntoIter"],[3,"SetMatchesIter"],[3,"Regex"],[3,"CaptureNames"],[3,"RegexSplits"],[3,"RegexSplitsN"],[3,"Captures"],[3,"SubCaptures"],[3,"SubCapturesPos"],[3,"SubCapturesNamed"],[3,"FindCaptures"],[3,"FindMatches"],[8,"Replacer"]]};
searchIndex["regex_syntax"] = {"doc":"This crate provides a regular expression parser and an abstract syntax for regular expressions. The abstract syntax is defined by the `Expr` type. The concrete syntax is enumerated in the `regex` crate documentation.","items":[[3,"Literals","regex_syntax","A set of literal byte strings extracted from a regular expression.",null,null],[3,"Lit","","A single member of a set of literals extracted from a regular expression.",null,null],[3,"CharClass","","A character class.",null,null],[3,"ClassRange","","A single inclusive range in a character class.",null,null],[12,"start","","The start character of the range.",0,null],[12,"end","","The end character of the range.",0,null],[3,"ByteClass","","A byte class for byte ranges only.",null,null],[3,"ByteRange","","A single inclusive range in a byte class.",null,null],[12,"start","","The start byte of the range.",1,null],[12,"end","","The end byte of the range.",1,null],[3,"ExprBuilder","","A builder for configuring regular expression parsing.",null,null],[3,"Error","","A parse error.",null,null],[4,"Expr","","A regular expression abstract syntax tree.",null,null],[13,"Empty","","An empty regex (which never matches any text).",2,null],[13,"Literal","","A sequence of one or more literal characters to be matched.",2,null],[12,"chars","regex_syntax::Expr","The characters.",2,null],[12,"casei","","Whether to match case insensitively.",2,null],[13,"LiteralBytes","regex_syntax","A sequence of one or more literal bytes to be matched.",2,null],[12,"bytes","regex_syntax::Expr","The bytes.",2,null],[12,"casei","","Whether to match case insensitively.",2,null],[13,"AnyChar","regex_syntax","Match any character.",2,null],[13,"AnyCharNoNL","","Match any character, excluding new line (`0xA`).",2,null],[13,"AnyByte","","Match any byte.",2,null],[13,"AnyByteNoNL","","Match any byte, excluding new line (`0xA`).",2,null],[13,"Class","","A character class.",2,null],[13,"ClassBytes","","A character class with byte ranges only.",2,null],[13,"StartLine","","Match the start of a line or beginning of input.",2,null],[13,"EndLine","","Match the end of a line or end of input.",2,null],[13,"StartText","","Match the beginning of input.",2,null],[13,"EndText","","Match the end of input.",2,null],[13,"WordBoundary","","Match a word boundary (word character on one side and a non-word character on the other).",2,null],[13,"NotWordBoundary","","Match a position that is not a word boundary (word or non-word characters on both sides).",2,null],[13,"WordBoundaryAscii","","Match an ASCII word boundary.",2,null],[13,"NotWordBoundaryAscii","","Match a position that is not an ASCII word boundary.",2,null],[13,"Group","","A group, possibly non-capturing.",2,null],[12,"e","regex_syntax::Expr","The expression inside the group.",2,null],[12,"i","","The capture index (starting at `1`) only for capturing groups.",2,null],[12,"name","","The capture name, only for capturing named groups.",2,null],[13,"Repeat","regex_syntax","A repeat operator (`?`, `*`, `+` or `{m,n}`).",2,null],[12,"e","regex_syntax::Expr","The expression to be repeated. Limited to literals, `.`, classes or grouped expressions.",2,null],[12,"r","","The type of repeat operator used.",2,null],[12,"greedy","","Whether the repeat is greedy (match the most) or not (match the least).",2,null],[13,"Concat","regex_syntax","A concatenation of expressions. Must be matched one after the other.",2,null],[13,"Alternate","","An alternation of expressions. Only one must match.",2,null],[4,"Repeater","","The type of a repeat operator expression.",null,null],[13,"ZeroOrOne","","Match zero or one (`?`).",3,null],[13,"ZeroOrMore","","Match zero or more (`*`).",3,null],[13,"OneOrMore","","Match one or more (`+`).",3,null],[13,"Range","","Match for at least `min` and at most `max` (`{m,n}`).",3,null],[12,"min","regex_syntax::Repeater","Lower bound on the number of matches.",3,null],[12,"max","","Optional upper bound on the number of matches.",3,null],[4,"ErrorKind","regex_syntax","The specific type of parse error that can occur.",null,null],[13,"DoubleFlagNegation","","A negation symbol is used twice in flag settings. e.g., `(?-i-s)`.",4,null],[13,"DuplicateCaptureName","","The same capture name was used more than once. e.g., `(?P<a>.)(?P<a>.)`.",4,null],[13,"EmptyAlternate","","An alternate is empty. e.g., `(|a)`.",4,null],[13,"EmptyCaptureName","","A capture group name is empty. e.g., `(?P<>a)`.",4,null],[13,"EmptyFlagNegation","","A negation symbol was not proceded by any flags. e.g., `(?i-)`.",4,null],[13,"EmptyGroup","","A group is empty. e.g., `()`.",4,null],[13,"InvalidBase10","","An invalid number was used in a counted repetition. e.g., `a{b}`.",4,null],[13,"InvalidBase16","","An invalid hexadecimal number was used in an escape sequence. e.g., `\\xAG`.",4,null],[13,"InvalidCaptureName","","An invalid capture name was used. e.g., `(?P<0a>b)`.",4,null],[13,"InvalidClassRange","","An invalid class range was givien. Specifically, when the start of the range is greater than the end. e.g., `[z-a]`.",4,null],[12,"start","regex_syntax::ErrorKind","The first character specified in the range.",4,null],[12,"end","","The second character specified in the range.",4,null],[13,"InvalidClassEscape","regex_syntax","An escape sequence was used in a character class where it is not allowed. e.g., `[a-\\pN]` or `[\\A]`.",4,null],[13,"InvalidRepeatRange","","An invalid counted repetition min/max was given. e.g., `a{2,1}`.",4,null],[12,"min","regex_syntax::ErrorKind","The first number specified in the repetition.",4,null],[12,"max","","The second number specified in the repetition.",4,null],[13,"InvalidScalarValue","regex_syntax","An invalid Unicode scalar value was used in a long hexadecimal sequence. e.g., `\\x{D800}`.",4,null],[13,"MissingBase10","","An empty counted repetition operator. e.g., `a{}`.",4,null],[13,"RepeaterExpectsExpr","","A repetition operator was not applied to an expression. e.g., `*`.",4,null],[13,"RepeaterUnexpectedExpr","","A repetition operator was applied to an expression that cannot be repeated. e.g., `a+*` or `a|*`.",4,null],[13,"UnclosedCaptureName","","A capture group name that is never closed. e.g., `(?P<a`.",4,null],[13,"UnclosedHex","","An unclosed hexadecimal literal. e.g., `\\x{a`.",4,null],[13,"UnclosedParen","","An unclosed parenthesis. e.g., `(a`.",4,null],[13,"UnclosedRepeat","","An unclosed counted repetition operator. e.g., `a{2`.",4,null],[13,"UnclosedUnicodeName","","An unclosed named Unicode class. e.g., `\\p{Yi`.",4,null],[13,"UnexpectedClassEof","","Saw end of regex before class was closed. e.g., `[a`.",4,null],[13,"UnexpectedEscapeEof","","Saw end of regex before escape sequence was closed. e.g., `\\`.",4,null],[13,"UnexpectedFlagEof","","Saw end of regex before flags were closed. e.g., `(?i`.",4,null],[13,"UnexpectedTwoDigitHexEof","","Saw end of regex before two hexadecimal digits were seen. e.g., `\\xA`.",4,null],[13,"UnopenedParen","","Unopened parenthesis. e.g., `)`.",4,null],[13,"UnrecognizedEscape","","Unrecognized escape sequence. e.g., `\\q`.",4,null],[13,"UnrecognizedFlag","","Unrecognized flag. e.g., `(?a)`.",4,null],[13,"UnrecognizedUnicodeClass","","Unrecognized named Unicode class. e.g., `\\p{Foo}`.",4,null],[13,"StackExhausted","","Indicates that the regex uses too much nesting.",4,null],[13,"FlagNotAllowed","","A disallowed flag was found (e.g., `u`).",4,null],[13,"UnicodeNotAllowed","","A Unicode class was used when the Unicode (`u`) flag was disabled.",4,null],[13,"InvalidUtf8","","InvalidUtf8 indicates that the expression may match non-UTF-8 bytes. This never returned if the parser is permitted to allow expressions that match arbitrary bytes.",4,null],[13,"EmptyClass","","A character class was constructed such that it is empty. e.g., `[^\\d\\D]`.",4,null],[5,"quote","","Escapes all regular expression meta characters in `text`.",null,{"inputs":[{"name":"str"}],"output":{"name":"string"}}],[11,"clone","","",5,{"inputs":[{"name":"self"}],"output":{"name":"literals"}}],[11,"eq","","",5,{"inputs":[{"name":"self"},{"name":"literals"}],"output":{"name":"bool"}}],[11,"ne","","",5,{"inputs":[{"name":"self"},{"name":"literals"}],"output":{"name":"bool"}}],[11,"clone","","",6,{"inputs":[{"name":"self"}],"output":{"name":"lit"}}],[11,"cmp","","",6,{"inputs":[{"name":"self"},{"name":"lit"}],"output":{"name":"ordering"}}],[11,"empty","","Returns a new empty set of literals using default limits.",5,{"inputs":[],"output":{"name":"literals"}}],[11,"limit_size","","Get the approximate size limit (in bytes) of this set.",5,{"inputs":[{"name":"self"}],"output":{"name":"usize"}}],[11,"set_limit_size","","Set the approximate size limit (in bytes) of this set.",5,{"inputs":[{"name":"self"},{"name":"usize"}],"output":{"name":"literals"}}],[11,"limit_class","","Get the character class size limit for this set.",5,{"inputs":[{"name":"self"}],"output":{"name":"usize"}}],[11,"set_limit_class","","Limits the size of character(or byte) classes considered.",5,{"inputs":[{"name":"self"},{"name":"usize"}],"output":{"name":"literals"}}],[11,"literals","","Returns the set of literals as a slice. Its order is unspecified.",5,null],[11,"min_len","","Returns the length of the smallest literal.",5,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"all_complete","","Returns true if all members in this set are complete.",5,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"any_complete","","Returns true if any member in this set is complete.",5,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"contains_empty","","Returns true if this set contains an empty literal.",5,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_empty","","Returns true if this set is empty or if all of its members is empty.",5,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"to_empty","","Returns a new empty set of literals using this set's limits.",5,{"inputs":[{"name":"self"}],"output":{"name":"literals"}}],[11,"longest_common_prefix","","Returns the longest common prefix of all members in this set.",5,null],[11,"longest_common_suffix","","Returns the longest common suffix of all members in this set.",5,null],[11,"trim_suffix","","Returns a new set of literals with the given number of bytes trimmed from the suffix of each literal.",5,{"inputs":[{"name":"self"},{"name":"usize"}],"output":{"name":"option"}}],[11,"unambiguous_prefixes","","Returns a new set of prefixes of this set of literals that are guaranteed to be unambiguous.",5,{"inputs":[{"name":"self"}],"output":{"name":"literals"}}],[11,"unambiguous_suffixes","","Returns a new set of suffixes of this set of literals that are guaranteed to be unambiguous.",5,{"inputs":[{"name":"self"}],"output":{"name":"literals"}}],[11,"union_prefixes","","Unions the prefixes from the given expression to this set.",5,{"inputs":[{"name":"self"},{"name":"expr"}],"output":{"name":"bool"}}],[11,"union_suffixes","","Unions the suffixes from the given expression to this set.",5,{"inputs":[{"name":"self"},{"name":"expr"}],"output":{"name":"bool"}}],[11,"union","","Unions this set with another set.",5,{"inputs":[{"name":"self"},{"name":"literals"}],"output":{"name":"bool"}}],[11,"cross_product","","Extends this set with another set.",5,{"inputs":[{"name":"self"},{"name":"literals"}],"output":{"name":"bool"}}],[11,"cross_add","","Extends each literal in this set with the bytes given.",5,null],[11,"add","","Adds the given literal to this set.",5,{"inputs":[{"name":"self"},{"name":"lit"}],"output":{"name":"bool"}}],[11,"add_char_class","","Extends each literal in this set with the character class given.",5,{"inputs":[{"name":"self"},{"name":"charclass"}],"output":{"name":"bool"}}],[11,"add_byte_class","","Extends each literal in this set with the byte class given.",5,{"inputs":[{"name":"self"},{"name":"byteclass"}],"output":{"name":"bool"}}],[11,"cut","","Cuts every member of this set. When a member is cut, it can never be extended.",5,{"inputs":[{"name":"self"}],"output":null}],[11,"reverse","","Reverses all members in place.",5,{"inputs":[{"name":"self"}],"output":null}],[11,"clear","","Clears this set of all members.",5,{"inputs":[{"name":"self"}],"output":null}],[11,"fmt","","",5,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"new","","Returns a new complete literal with the bytes given.",6,{"inputs":[{"name":"vec"}],"output":{"name":"lit"}}],[11,"empty","","Returns a new complete empty literal.",6,{"inputs":[],"output":{"name":"lit"}}],[11,"is_cut","","Returns true if this literal was \"cut.\"",6,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"cut","","Cuts this literal.",6,{"inputs":[{"name":"self"}],"output":null}],[11,"eq","","",6,{"inputs":[{"name":"self"},{"name":"lit"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",6,{"inputs":[{"name":"self"},{"name":"lit"}],"output":{"name":"option"}}],[11,"fmt","","",6,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"as_ref","","",6,null],[11,"deref","","",6,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[11,"deref_mut","","",6,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[6,"Result","","An alias for computations that can return a `Error`.",null,null],[11,"clone","","",2,{"inputs":[{"name":"self"}],"output":{"name":"expr"}}],[11,"fmt","","",2,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",2,{"inputs":[{"name":"self"},{"name":"expr"}],"output":{"name":"bool"}}],[11,"ne","","",2,{"inputs":[{"name":"self"},{"name":"expr"}],"output":{"name":"bool"}}],[11,"clone","","",3,{"inputs":[{"name":"self"}],"output":{"name":"repeater"}}],[11,"fmt","","",3,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",3,{"inputs":[{"name":"self"},{"name":"repeater"}],"output":{"name":"bool"}}],[11,"ne","","",3,{"inputs":[{"name":"self"},{"name":"repeater"}],"output":{"name":"bool"}}],[11,"clone","","",7,{"inputs":[{"name":"self"}],"output":{"name":"charclass"}}],[11,"fmt","","",7,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",7,{"inputs":[{"name":"self"},{"name":"charclass"}],"output":{"name":"bool"}}],[11,"ne","","",7,{"inputs":[{"name":"self"},{"name":"charclass"}],"output":{"name":"bool"}}],[11,"clone","","",0,{"inputs":[{"name":"self"}],"output":{"name":"classrange"}}],[11,"fmt","","",0,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",0,{"inputs":[{"name":"self"},{"name":"classrange"}],"output":{"name":"bool"}}],[11,"ne","","",0,{"inputs":[{"name":"self"},{"name":"classrange"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",0,{"inputs":[{"name":"self"},{"name":"classrange"}],"output":{"name":"option"}}],[11,"lt","","",0,{"inputs":[{"name":"self"},{"name":"classrange"}],"output":{"name":"bool"}}],[11,"le","","",0,{"inputs":[{"name":"self"},{"name":"classrange"}],"output":{"name":"bool"}}],[11,"gt","","",0,{"inputs":[{"name":"self"},{"name":"classrange"}],"output":{"name":"bool"}}],[11,"ge","","",0,{"inputs":[{"name":"self"},{"name":"classrange"}],"output":{"name":"bool"}}],[11,"cmp","","",0,{"inputs":[{"name":"self"},{"name":"classrange"}],"output":{"name":"ordering"}}],[11,"clone","","",8,{"inputs":[{"name":"self"}],"output":{"name":"byteclass"}}],[11,"fmt","","",8,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",8,{"inputs":[{"name":"self"},{"name":"byteclass"}],"output":{"name":"bool"}}],[11,"ne","","",8,{"inputs":[{"name":"self"},{"name":"byteclass"}],"output":{"name":"bool"}}],[11,"clone","","",1,{"inputs":[{"name":"self"}],"output":{"name":"byterange"}}],[11,"fmt","","",1,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",1,{"inputs":[{"name":"self"},{"name":"byterange"}],"output":{"name":"bool"}}],[11,"ne","","",1,{"inputs":[{"name":"self"},{"name":"byterange"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",1,{"inputs":[{"name":"self"},{"name":"byterange"}],"output":{"name":"option"}}],[11,"lt","","",1,{"inputs":[{"name":"self"},{"name":"byterange"}],"output":{"name":"bool"}}],[11,"le","","",1,{"inputs":[{"name":"self"},{"name":"byterange"}],"output":{"name":"bool"}}],[11,"gt","","",1,{"inputs":[{"name":"self"},{"name":"byterange"}],"output":{"name":"bool"}}],[11,"ge","","",1,{"inputs":[{"name":"self"},{"name":"byterange"}],"output":{"name":"bool"}}],[11,"cmp","","",1,{"inputs":[{"name":"self"},{"name":"byterange"}],"output":{"name":"ordering"}}],[11,"clone","","",9,{"inputs":[{"name":"self"}],"output":{"name":"exprbuilder"}}],[11,"fmt","","",9,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"new","","Create a new builder for configuring expression parsing.",9,{"inputs":[],"output":{"name":"exprbuilder"}}],[11,"case_insensitive","","Set the default value for the case insensitive (`i`) flag.",9,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"exprbuilder"}}],[11,"multi_line","","Set the default value for the multi-line matching (`m`) flag.",9,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"exprbuilder"}}],[11,"dot_matches_new_line","","Set the default value for the any character (`s`) flag.",9,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"exprbuilder"}}],[11,"swap_greed","","Set the default value for the greedy swap (`U`) flag.",9,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"exprbuilder"}}],[11,"ignore_whitespace","","Set the default value for the ignore whitespace (`x`) flag.",9,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"exprbuilder"}}],[11,"unicode","","Set the default value for the Unicode (`u`) flag.",9,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"exprbuilder"}}],[11,"allow_bytes","","Whether the parser allows matching arbitrary bytes or not.",9,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"exprbuilder"}}],[11,"nest_limit","","Set the nesting limit for regular expression parsing.",9,{"inputs":[{"name":"self"},{"name":"usize"}],"output":{"name":"exprbuilder"}}],[11,"parse","","Parse a string as a regular expression using the current configuraiton.",9,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"result"}}],[11,"parse","","Parses a string in a regular expression syntax tree.",2,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[11,"prefixes","","Returns a set of literal prefixes extracted from this expression.",2,{"inputs":[{"name":"self"}],"output":{"name":"literals"}}],[11,"suffixes","","Returns a set of literal suffixes extracted from this expression.",2,{"inputs":[{"name":"self"}],"output":{"name":"literals"}}],[11,"is_anchored_start","","Returns true if and only if the expression is required to match from the beginning of text.",2,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"has_anchored_start","","Returns true if and only if the expression has at least one matchable sub-expression that must match the beginning of text.",2,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"is_anchored_end","","Returns true if and only if the expression is required to match at the end of the text.",2,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"has_anchored_end","","Returns true if and only if the expression has at least one matchable sub-expression that must match the beginning of text.",2,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"has_bytes","","Returns true if and only if the expression contains sub-expressions that can match arbitrary bytes.",2,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"deref","","",7,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[11,"into_iter","","",7,{"inputs":[{"name":"self"}],"output":{"name":"intoiter"}}],[11,"new","","Create a new class from an existing set of ranges.",7,{"inputs":[{"name":"vec"}],"output":{"name":"charclass"}}],[11,"matches","","Returns true if `c` is matched by this character class.",7,{"inputs":[{"name":"self"},{"name":"char"}],"output":{"name":"bool"}}],[11,"remove","","Removes the given character from the class if it exists.",7,{"inputs":[{"name":"self"},{"name":"char"}],"output":null}],[11,"negate","","Negates the character class.",7,{"inputs":[{"name":"self"}],"output":{"name":"charclass"}}],[11,"case_fold","","Apply case folding to this character class.",7,{"inputs":[{"name":"self"}],"output":{"name":"charclass"}}],[11,"eq","","",0,{"inputs":[{"name":"self"},{"name":"char"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",0,{"inputs":[{"name":"self"},{"name":"char"}],"output":{"name":"option"}}],[11,"new","","Create a new class from an existing set of ranges.",8,{"inputs":[{"name":"vec"}],"output":{"name":"byteclass"}}],[11,"matches","","Returns true if `b` is matched by this byte class.",8,{"inputs":[{"name":"self"},{"name":"u8"}],"output":{"name":"bool"}}],[11,"remove","","Removes the given byte from the class if it exists.",8,{"inputs":[{"name":"self"},{"name":"u8"}],"output":null}],[11,"negate","","Negates the byte class.",8,{"inputs":[{"name":"self"}],"output":{"name":"byteclass"}}],[11,"case_fold","","Apply case folding to this byte class.",8,{"inputs":[{"name":"self"}],"output":{"name":"byteclass"}}],[11,"deref","","",8,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[11,"into_iter","","",8,{"inputs":[{"name":"self"}],"output":{"name":"intoiter"}}],[11,"eq","","",1,{"inputs":[{"name":"self"},{"name":"u8"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",1,{"inputs":[{"name":"self"},{"name":"u8"}],"output":{"name":"option"}}],[11,"fmt","","",2,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",3,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",7,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",0,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",8,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",1,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",10,{"inputs":[{"name":"self"}],"output":{"name":"error"}}],[11,"fmt","","",10,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",10,{"inputs":[{"name":"self"},{"name":"error"}],"output":{"name":"bool"}}],[11,"ne","","",10,{"inputs":[{"name":"self"},{"name":"error"}],"output":{"name":"bool"}}],[11,"clone","","",4,{"inputs":[{"name":"self"}],"output":{"name":"errorkind"}}],[11,"fmt","","",4,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",4,{"inputs":[{"name":"self"},{"name":"errorkind"}],"output":{"name":"bool"}}],[11,"ne","","",4,{"inputs":[{"name":"self"},{"name":"errorkind"}],"output":{"name":"bool"}}],[11,"position","","Returns an approximate character offset at which the error occurred.",10,{"inputs":[{"name":"self"}],"output":{"name":"usize"}}],[11,"kind","","Returns the type of the regex parse error.",10,{"inputs":[{"name":"self"}],"output":{"name":"errorkind"}}],[11,"description","","",10,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"fmt","","",10,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",4,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}]],"paths":[[3,"ClassRange"],[3,"ByteRange"],[4,"Expr"],[4,"Repeater"],[4,"ErrorKind"],[3,"Literals"],[3,"Lit"],[3,"CharClass"],[3,"ByteClass"],[3,"ExprBuilder"],[3,"Error"]]};
searchIndex["rustc_demangle"] = {"doc":"Demangle Rust compiler symbol names.","items":[[3,"Demangle","rustc_demangle","Representation of a demangled symbol name.",null,null],[3,"TryDemangleError","","Error returned from the `try_demangle` function below when demangling fails.",null,null],[5,"demangle","","De-mangles a Rust symbol into a more readable version",null,{"inputs":[{"name":"str"}],"output":{"name":"demangle"}}],[5,"try_demangle","","The same as `demangle`, except return an `Err` if the string does not appear to be a Rust symbol, rather than \"demangling\" the given string as a no-op.",null,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[11,"fmt","","",0,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",0,{"inputs":[{"name":"self"}],"output":{"name":"trydemangleerror"}}],[11,"as_str","","Returns the underlying string that's being demangled.",1,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"fmt","","",1,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",1,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}]],"paths":[[3,"TryDemangleError"],[3,"Demangle"]]};
searchIndex["serde"] = {"doc":"Serde","items":[[0,"ser","serde","Generic data structure serialization framework.",null,null],[3,"Impossible","serde::ser","Helper type for implementing a `Serializer` that does not support serializing one of the compound types.",null,null],[11,"serialize_element","","",0,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"result"}}],[11,"end","","",0,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"serialize_element","","",0,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"result"}}],[11,"end","","",0,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"serialize_field","","",0,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"result"}}],[11,"end","","",0,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"serialize_field","","",0,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"result"}}],[11,"end","","",0,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"serialize_key","","",0,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"result"}}],[11,"serialize_value","","",0,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"result"}}],[11,"end","","",0,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"serialize_field","","",0,{"inputs":[{"name":"self"},{"name":"str"},{"name":"t"}],"output":{"name":"result"}}],[11,"end","","",0,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"serialize_field","","",0,{"inputs":[{"name":"self"},{"name":"str"},{"name":"t"}],"output":{"name":"result"}}],[11,"end","","",0,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[8,"Error","","Trait used by `Serialize` implementations to generically construct errors belonging to the `Serializer` against which they are currently running.",null,null],[10,"custom","","Used when a [`Serialize`] implementation encounters any error while serializing a type.",1,{"inputs":[{"name":"t"}],"output":{"name":"self"}}],[8,"Serialize","","A data structure that can be serialized into any data format supported by Serde.",null,null],[10,"serialize","","Serialize this value into the given Serde serializer.",2,{"inputs":[{"name":"self"},{"name":"s"}],"output":{"name":"result"}}],[8,"Serializer","","A data format that can serialize any data structure supported by Serde.",null,null],[16,"Ok","","The output type produced by this `Serializer` during successful serialization. Most serializers that produce text or binary output should set `Ok = ()` and serialize into an [`io::Write`] or buffer contained within the `Serializer` instance. Serializers that build in-memory data structures may be simplified by using `Ok` to propagate the data structure around.",3,null],[16,"Error","","The error type when some error occurs during serialization.",3,null],[16,"SerializeSeq","","Type returned from [`serialize_seq`] for serializing the content of the sequence.",3,null],[16,"SerializeTuple","","Type returned from [`serialize_tuple`] for serializing the content of the tuple.",3,null],[16,"SerializeTupleStruct","","Type returned from [`serialize_tuple_struct`] for serializing the content of the tuple struct.",3,null],[16,"SerializeTupleVariant","","Type returned from [`serialize_tuple_variant`] for serializing the content of the tuple variant.",3,null],[16,"SerializeMap","","Type returned from [`serialize_map`] for serializing the content of the map.",3,null],[16,"SerializeStruct","","Type returned from [`serialize_struct`] for serializing the content of the struct.",3,null],[16,"SerializeStructVariant","","Type returned from [`serialize_struct_variant`] for serializing the content of the struct variant.",3,null],[10,"serialize_bool","","Serialize a `bool` value.",3,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"result"}}],[10,"serialize_i8","","Serialize an `i8` value.",3,{"inputs":[{"name":"self"},{"name":"i8"}],"output":{"name":"result"}}],[10,"serialize_i16","","Serialize an `i16` value.",3,{"inputs":[{"name":"self"},{"name":"i16"}],"output":{"name":"result"}}],[10,"serialize_i32","","Serialize an `i32` value.",3,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"result"}}],[10,"serialize_i64","","Serialize an `i64` value.",3,{"inputs":[{"name":"self"},{"name":"i64"}],"output":{"name":"result"}}],[10,"serialize_u8","","Serialize a `u8` value.",3,{"inputs":[{"name":"self"},{"name":"u8"}],"output":{"name":"result"}}],[10,"serialize_u16","","Serialize a `u16` value.",3,{"inputs":[{"name":"self"},{"name":"u16"}],"output":{"name":"result"}}],[10,"serialize_u32","","Serialize a `u32` value.",3,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"result"}}],[10,"serialize_u64","","Serialize a `u64` value.",3,{"inputs":[{"name":"self"},{"name":"u64"}],"output":{"name":"result"}}],[10,"serialize_f32","","Serialize an `f32` value.",3,{"inputs":[{"name":"self"},{"name":"f32"}],"output":{"name":"result"}}],[10,"serialize_f64","","Serialize an `f64` value.",3,{"inputs":[{"name":"self"},{"name":"f64"}],"output":{"name":"result"}}],[10,"serialize_char","","Serialize a character.",3,{"inputs":[{"name":"self"},{"name":"char"}],"output":{"name":"result"}}],[10,"serialize_str","","Serialize a `&str`.",3,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"result"}}],[10,"serialize_bytes","","Serialize a chunk of raw byte data.",3,null],[10,"serialize_none","","Serialize a [`None`] value.",3,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[10,"serialize_some","","Serialize a [`Some(T)`] value.",3,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"result"}}],[10,"serialize_unit","","Serialize a `()` value.",3,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[10,"serialize_unit_struct","","Serialize a unit struct like `struct Unit` or `PhantomData<T>`.",3,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"result"}}],[10,"serialize_unit_variant","","Serialize a unit variant like `E::A` in `enum E { A, B }`.",3,{"inputs":[{"name":"self"},{"name":"str"},{"name":"u32"},{"name":"str"}],"output":{"name":"result"}}],[10,"serialize_newtype_struct","","Serialize a newtype struct like `struct Millimeters(u8)`.",3,{"inputs":[{"name":"self"},{"name":"str"},{"name":"t"}],"output":{"name":"result"}}],[10,"serialize_newtype_variant","","Serialize a newtype variant like `E::N` in `enum E { N(u8) }`.",3,{"inputs":[{"name":"self"},{"name":"str"},{"name":"u32"},{"name":"str"},{"name":"t"}],"output":{"name":"result"}}],[10,"serialize_seq","","Begin to serialize a variably sized sequence. This call must be followed by zero or more calls to `serialize_element`, then a call to `end`.",3,{"inputs":[{"name":"self"},{"name":"option"}],"output":{"name":"result"}}],[10,"serialize_tuple","","Begin to serialize a statically sized sequence whose length will be known at deserialization time without looking at the serialized data. This call must be followed by zero or more calls to `serialize_element`, then a call to `end`.",3,{"inputs":[{"name":"self"},{"name":"usize"}],"output":{"name":"result"}}],[10,"serialize_tuple_struct","","Begin to serialize a tuple struct like `struct Rgb(u8, u8, u8)`. This call must be followed by zero or more calls to `serialize_field`, then a call to `end`.",3,{"inputs":[{"name":"self"},{"name":"str"},{"name":"usize"}],"output":{"name":"result"}}],[10,"serialize_tuple_variant","","Begin to serialize a tuple variant like `E::T` in `enum E { T(u8, u8) }`. This call must be followed by zero or more calls to `serialize_field`, then a call to `end`.",3,{"inputs":[{"name":"self"},{"name":"str"},{"name":"u32"},{"name":"str"},{"name":"usize"}],"output":{"name":"result"}}],[10,"serialize_map","","Begin to serialize a map. This call must be followed by zero or more calls to `serialize_key` and `serialize_value`, then a call to `end`.",3,{"inputs":[{"name":"self"},{"name":"option"}],"output":{"name":"result"}}],[10,"serialize_struct","","Begin to serialize a struct like `struct Rgb { r: u8, g: u8, b: u8 }`. This call must be followed by zero or more calls to `serialize_field`, then a call to `end`.",3,{"inputs":[{"name":"self"},{"name":"str"},{"name":"usize"}],"output":{"name":"result"}}],[10,"serialize_struct_variant","","Begin to serialize a struct variant like `E::S` in `enum E { S { r: u8, g: u8, b: u8 } }`. This call must be followed by zero or more calls to `serialize_field`, then a call to `end`.",3,{"inputs":[{"name":"self"},{"name":"str"},{"name":"u32"},{"name":"str"},{"name":"usize"}],"output":{"name":"result"}}],[11,"collect_seq","","Collect an iterator as a sequence.",3,{"inputs":[{"name":"self"},{"name":"i"}],"output":{"name":"result"}}],[11,"collect_map","","Collect an iterator as a map.",3,{"inputs":[{"name":"self"},{"name":"i"}],"output":{"name":"result"}}],[11,"collect_str","","Serialize a string produced by an implementation of `Display`.",3,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"result"}}],[8,"SerializeSeq","","Returned from `Serializer::serialize_seq`.",null,null],[16,"Ok","","Must match the `Ok` type of our `Serializer`.",4,null],[16,"Error","","Must match the `Error` type of our `Serializer`.",4,null],[10,"serialize_element","","Serialize a sequence element.",4,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"result"}}],[10,"end","","Finish serializing a sequence.",4,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[8,"SerializeTuple","","Returned from `Serializer::serialize_tuple`.",null,null],[16,"Ok","","Must match the `Ok` type of our `Serializer`.",5,null],[16,"Error","","Must match the `Error` type of our `Serializer`.",5,null],[10,"serialize_element","","Serialize a tuple element.",5,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"result"}}],[10,"end","","Finish serializing a tuple.",5,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[8,"SerializeTupleStruct","","Returned from `Serializer::serialize_tuple_struct`.",null,null],[16,"Ok","","Must match the `Ok` type of our `Serializer`.",6,null],[16,"Error","","Must match the `Error` type of our `Serializer`.",6,null],[10,"serialize_field","","Serialize a tuple struct field.",6,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"result"}}],[10,"end","","Finish serializing a tuple struct.",6,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[8,"SerializeTupleVariant","","Returned from `Serializer::serialize_tuple_variant`.",null,null],[16,"Ok","","Must match the `Ok` type of our `Serializer`.",7,null],[16,"Error","","Must match the `Error` type of our `Serializer`.",7,null],[10,"serialize_field","","Serialize a tuple variant field.",7,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"result"}}],[10,"end","","Finish serializing a tuple variant.",7,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[8,"SerializeMap","","Returned from `Serializer::serialize_map`.",null,null],[16,"Ok","","Must match the `Ok` type of our `Serializer`.",8,null],[16,"Error","","Must match the `Error` type of our `Serializer`.",8,null],[10,"serialize_key","","Serialize a map key.",8,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"result"}}],[10,"serialize_value","","Serialize a map value.",8,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"result"}}],[11,"serialize_entry","","Serialize a map entry consisting of a key and a value.",8,{"inputs":[{"name":"self"},{"name":"k"},{"name":"v"}],"output":{"name":"result"}}],[10,"end","","Finish serializing a map.",8,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[8,"SerializeStruct","","Returned from `Serializer::serialize_struct`.",null,null],[16,"Ok","","Must match the `Ok` type of our `Serializer`.",9,null],[16,"Error","","Must match the `Error` type of our `Serializer`.",9,null],[10,"serialize_field","","Serialize a struct field.",9,{"inputs":[{"name":"self"},{"name":"str"},{"name":"t"}],"output":{"name":"result"}}],[10,"end","","Finish serializing a struct.",9,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[8,"SerializeStructVariant","","Returned from `Serializer::serialize_struct_variant`.",null,null],[16,"Ok","","Must match the `Ok` type of our `Serializer`.",10,null],[16,"Error","","Must match the `Error` type of our `Serializer`.",10,null],[10,"serialize_field","","Serialize a struct variant field.",10,{"inputs":[{"name":"self"},{"name":"str"},{"name":"t"}],"output":{"name":"result"}}],[10,"end","","Finish serializing a struct variant.",10,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[0,"de","serde","Generic data structure deserialization framework.",null,null],[3,"IgnoredAny","serde::de","An efficient way of discarding data from a deserializer.",null,null],[4,"Unexpected","","`Unexpected` represents an unexpected invocation of any one of the `Visitor` trait methods.",null,null],[13,"Bool","","The input contained a boolean value that was not expected.",11,null],[13,"Unsigned","","The input contained an unsigned integer `u8`, `u16`, `u32` or `u64` that was not expected.",11,null],[13,"Signed","","The input contained a signed integer `i8`, `i16`, `i32` or `i64` that was not expected.",11,null],[13,"Float","","The input contained a floating point `f32` or `f64` that was not expected.",11,null],[13,"Char","","The input contained a `char` that was not expected.",11,null],[13,"Str","","The input contained a `&str` or `String` that was not expected.",11,null],[13,"Bytes","","The input contained a `&[u8]` or `Vec<u8>` that was not expected.",11,null],[13,"Unit","","The input contained a unit `()` that was not expected.",11,null],[13,"Option","","The input contained an `Option<T>` that was not expected.",11,null],[13,"NewtypeStruct","","The input contained a newtype struct that was not expected.",11,null],[13,"Seq","","The input contained a sequence that was not expected.",11,null],[13,"Map","","The input contained a map that was not expected.",11,null],[13,"Enum","","The input contained an enum that was not expected.",11,null],[13,"UnitVariant","","The input contained a unit variant that was not expected.",11,null],[13,"NewtypeVariant","","The input contained a newtype variant that was not expected.",11,null],[13,"TupleVariant","","The input contained a tuple variant that was not expected.",11,null],[13,"StructVariant","","The input contained a struct variant that was not expected.",11,null],[13,"Other","","A message stating what uncategorized thing the input contained that was not expected.",11,null],[0,"value","","Building blocks for deserializing basic values using the `IntoDeserializer` trait.",null,null],[3,"Error","serde::de::value","A minimal representation of all possible errors that can occur using the `IntoDeserializer` trait.",null,null],[3,"UnitDeserializer","","A deserializer holding a `()`.",null,null],[3,"BoolDeserializer","","A deserializer holding a `bool`.",null,null],[3,"I8Deserializer","","A deserializer holding an `i8`.",null,null],[3,"I16Deserializer","","A deserializer holding an `i16`.",null,null],[3,"I32Deserializer","","A deserializer holding an `i32`.",null,null],[3,"I64Deserializer","","A deserializer holding an `i64`.",null,null],[3,"IsizeDeserializer","","A deserializer holding an `isize`.",null,null],[3,"U8Deserializer","","A deserializer holding a `u8`.",null,null],[3,"U16Deserializer","","A deserializer holding a `u16`.",null,null],[3,"U64Deserializer","","A deserializer holding a `u64`.",null,null],[3,"UsizeDeserializer","","A deserializer holding a `usize`.",null,null],[3,"F32Deserializer","","A deserializer holding an `f32`.",null,null],[3,"F64Deserializer","","A deserializer holding an `f64`.",null,null],[3,"CharDeserializer","","A deserializer holding a `char`.",null,null],[3,"U32Deserializer","","A deserializer holding a `u32`.",null,null],[3,"StrDeserializer","","A deserializer holding a `&str`.",null,null],[3,"BorrowedStrDeserializer","","A deserializer holding a `&str` with a lifetime tied to another deserializer.",null,null],[3,"StringDeserializer","","A deserializer holding a `String`.",null,null],[3,"CowStrDeserializer","","A deserializer holding a `Cow<str>`.",null,null],[3,"BorrowedBytesDeserializer","","A deserializer holding a `&[u8]` with a lifetime tied to another deserializer.",null,null],[3,"SeqDeserializer","","A deserializer that iterates over a sequence.",null,null],[3,"SeqAccessDeserializer","","A deserializer holding a `SeqAccess`.",null,null],[3,"MapDeserializer","","A deserializer that iterates over a map.",null,null],[3,"MapAccessDeserializer","","A deserializer holding a `MapAccess`.",null,null],[11,"clone","","",12,{"inputs":[{"name":"self"}],"output":{"name":"error"}}],[11,"fmt","","",12,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",12,{"inputs":[{"name":"self"},{"name":"error"}],"output":{"name":"bool"}}],[11,"ne","","",12,{"inputs":[{"name":"self"},{"name":"error"}],"output":{"name":"bool"}}],[11,"custom","","",12,{"inputs":[{"name":"t"}],"output":{"name":"self"}}],[11,"custom","","",12,{"inputs":[{"name":"t"}],"output":{"name":"self"}}],[11,"fmt","","",12,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"description","","",12,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"clone","","",13,{"inputs":[{"name":"self"}],"output":{"name":"unitdeserializer"}}],[11,"fmt","","",13,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"deserialize_bool","","",13,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i8","","",13,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i16","","",13,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i32","","",13,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i64","","",13,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u8","","",13,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u16","","",13,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u32","","",13,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u64","","",13,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f32","","",13,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f64","","",13,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_char","","",13,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_str","","",13,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_string","","",13,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_bytes","","",13,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_byte_buf","","",13,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit","","",13,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit_struct","","",13,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_newtype_struct","","",13,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_seq","","",13,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple","","",13,{"inputs":[{"name":"self"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple_struct","","",13,{"inputs":[{"name":"self"},{"name":"str"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_map","","",13,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_struct","","",13,null],[11,"deserialize_enum","","",13,null],[11,"deserialize_identifier","","",13,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_ignored_any","","",13,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_any","","",13,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_option","","",13,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"clone","","",14,{"inputs":[{"name":"self"}],"output":{"name":"booldeserializer"}}],[11,"fmt","","",14,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"deserialize_bool","","",14,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i8","","",14,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i16","","",14,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i32","","",14,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i64","","",14,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u8","","",14,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u16","","",14,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u32","","",14,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u64","","",14,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f32","","",14,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f64","","",14,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_char","","",14,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_str","","",14,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_string","","",14,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_bytes","","",14,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_byte_buf","","",14,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_option","","",14,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit","","",14,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit_struct","","",14,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_newtype_struct","","",14,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_seq","","",14,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple","","",14,{"inputs":[{"name":"self"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple_struct","","",14,{"inputs":[{"name":"self"},{"name":"str"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_map","","",14,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_struct","","",14,null],[11,"deserialize_enum","","",14,null],[11,"deserialize_identifier","","",14,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_ignored_any","","",14,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_any","","",14,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"clone","","",15,{"inputs":[{"name":"self"}],"output":{"name":"i8deserializer"}}],[11,"fmt","","",15,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"deserialize_bool","","",15,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i8","","",15,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i16","","",15,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i32","","",15,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i64","","",15,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u8","","",15,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u16","","",15,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u32","","",15,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u64","","",15,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f32","","",15,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f64","","",15,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_char","","",15,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_str","","",15,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_string","","",15,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_bytes","","",15,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_byte_buf","","",15,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_option","","",15,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit","","",15,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit_struct","","",15,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_newtype_struct","","",15,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_seq","","",15,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple","","",15,{"inputs":[{"name":"self"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple_struct","","",15,{"inputs":[{"name":"self"},{"name":"str"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_map","","",15,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_struct","","",15,null],[11,"deserialize_enum","","",15,null],[11,"deserialize_identifier","","",15,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_ignored_any","","",15,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_any","","",15,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"clone","","",16,{"inputs":[{"name":"self"}],"output":{"name":"i16deserializer"}}],[11,"fmt","","",16,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"deserialize_bool","","",16,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i8","","",16,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i16","","",16,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i32","","",16,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i64","","",16,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u8","","",16,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u16","","",16,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u32","","",16,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u64","","",16,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f32","","",16,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f64","","",16,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_char","","",16,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_str","","",16,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_string","","",16,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_bytes","","",16,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_byte_buf","","",16,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_option","","",16,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit","","",16,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit_struct","","",16,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_newtype_struct","","",16,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_seq","","",16,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple","","",16,{"inputs":[{"name":"self"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple_struct","","",16,{"inputs":[{"name":"self"},{"name":"str"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_map","","",16,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_struct","","",16,null],[11,"deserialize_enum","","",16,null],[11,"deserialize_identifier","","",16,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_ignored_any","","",16,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_any","","",16,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"clone","","",17,{"inputs":[{"name":"self"}],"output":{"name":"i32deserializer"}}],[11,"fmt","","",17,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"deserialize_bool","","",17,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i8","","",17,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i16","","",17,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i32","","",17,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i64","","",17,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u8","","",17,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u16","","",17,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u32","","",17,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u64","","",17,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f32","","",17,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f64","","",17,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_char","","",17,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_str","","",17,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_string","","",17,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_bytes","","",17,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_byte_buf","","",17,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_option","","",17,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit","","",17,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit_struct","","",17,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_newtype_struct","","",17,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_seq","","",17,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple","","",17,{"inputs":[{"name":"self"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple_struct","","",17,{"inputs":[{"name":"self"},{"name":"str"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_map","","",17,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_struct","","",17,null],[11,"deserialize_enum","","",17,null],[11,"deserialize_identifier","","",17,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_ignored_any","","",17,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_any","","",17,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"clone","","",18,{"inputs":[{"name":"self"}],"output":{"name":"i64deserializer"}}],[11,"fmt","","",18,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"deserialize_bool","","",18,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i8","","",18,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i16","","",18,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i32","","",18,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i64","","",18,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u8","","",18,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u16","","",18,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u32","","",18,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u64","","",18,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f32","","",18,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f64","","",18,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_char","","",18,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_str","","",18,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_string","","",18,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_bytes","","",18,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_byte_buf","","",18,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_option","","",18,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit","","",18,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit_struct","","",18,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_newtype_struct","","",18,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_seq","","",18,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple","","",18,{"inputs":[{"name":"self"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple_struct","","",18,{"inputs":[{"name":"self"},{"name":"str"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_map","","",18,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_struct","","",18,null],[11,"deserialize_enum","","",18,null],[11,"deserialize_identifier","","",18,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_ignored_any","","",18,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_any","","",18,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"clone","","",19,{"inputs":[{"name":"self"}],"output":{"name":"isizedeserializer"}}],[11,"fmt","","",19,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"deserialize_bool","","",19,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i8","","",19,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i16","","",19,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i32","","",19,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i64","","",19,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u8","","",19,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u16","","",19,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u32","","",19,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u64","","",19,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f32","","",19,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f64","","",19,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_char","","",19,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_str","","",19,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_string","","",19,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_bytes","","",19,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_byte_buf","","",19,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_option","","",19,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit","","",19,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit_struct","","",19,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_newtype_struct","","",19,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_seq","","",19,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple","","",19,{"inputs":[{"name":"self"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple_struct","","",19,{"inputs":[{"name":"self"},{"name":"str"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_map","","",19,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_struct","","",19,null],[11,"deserialize_enum","","",19,null],[11,"deserialize_identifier","","",19,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_ignored_any","","",19,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_any","","",19,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"clone","","",20,{"inputs":[{"name":"self"}],"output":{"name":"u8deserializer"}}],[11,"fmt","","",20,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"deserialize_bool","","",20,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i8","","",20,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i16","","",20,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i32","","",20,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i64","","",20,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u8","","",20,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u16","","",20,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u32","","",20,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u64","","",20,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f32","","",20,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f64","","",20,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_char","","",20,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_str","","",20,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_string","","",20,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_bytes","","",20,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_byte_buf","","",20,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_option","","",20,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit","","",20,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit_struct","","",20,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_newtype_struct","","",20,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_seq","","",20,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple","","",20,{"inputs":[{"name":"self"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple_struct","","",20,{"inputs":[{"name":"self"},{"name":"str"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_map","","",20,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_struct","","",20,null],[11,"deserialize_enum","","",20,null],[11,"deserialize_identifier","","",20,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_ignored_any","","",20,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_any","","",20,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"clone","","",21,{"inputs":[{"name":"self"}],"output":{"name":"u16deserializer"}}],[11,"fmt","","",21,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"deserialize_bool","","",21,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i8","","",21,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i16","","",21,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i32","","",21,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i64","","",21,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u8","","",21,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u16","","",21,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u32","","",21,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u64","","",21,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f32","","",21,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f64","","",21,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_char","","",21,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_str","","",21,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_string","","",21,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_bytes","","",21,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_byte_buf","","",21,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_option","","",21,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit","","",21,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit_struct","","",21,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_newtype_struct","","",21,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_seq","","",21,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple","","",21,{"inputs":[{"name":"self"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple_struct","","",21,{"inputs":[{"name":"self"},{"name":"str"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_map","","",21,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_struct","","",21,null],[11,"deserialize_enum","","",21,null],[11,"deserialize_identifier","","",21,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_ignored_any","","",21,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_any","","",21,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"clone","","",22,{"inputs":[{"name":"self"}],"output":{"name":"u64deserializer"}}],[11,"fmt","","",22,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"deserialize_bool","","",22,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i8","","",22,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i16","","",22,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i32","","",22,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i64","","",22,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u8","","",22,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u16","","",22,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u32","","",22,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u64","","",22,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f32","","",22,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f64","","",22,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_char","","",22,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_str","","",22,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_string","","",22,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_bytes","","",22,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_byte_buf","","",22,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_option","","",22,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit","","",22,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit_struct","","",22,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_newtype_struct","","",22,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_seq","","",22,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple","","",22,{"inputs":[{"name":"self"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple_struct","","",22,{"inputs":[{"name":"self"},{"name":"str"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_map","","",22,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_struct","","",22,null],[11,"deserialize_enum","","",22,null],[11,"deserialize_identifier","","",22,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_ignored_any","","",22,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_any","","",22,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"clone","","",23,{"inputs":[{"name":"self"}],"output":{"name":"usizedeserializer"}}],[11,"fmt","","",23,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"deserialize_bool","","",23,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i8","","",23,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i16","","",23,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i32","","",23,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i64","","",23,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u8","","",23,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u16","","",23,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u32","","",23,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u64","","",23,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f32","","",23,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f64","","",23,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_char","","",23,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_str","","",23,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_string","","",23,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_bytes","","",23,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_byte_buf","","",23,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_option","","",23,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit","","",23,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit_struct","","",23,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_newtype_struct","","",23,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_seq","","",23,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple","","",23,{"inputs":[{"name":"self"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple_struct","","",23,{"inputs":[{"name":"self"},{"name":"str"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_map","","",23,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_struct","","",23,null],[11,"deserialize_enum","","",23,null],[11,"deserialize_identifier","","",23,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_ignored_any","","",23,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_any","","",23,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"clone","","",24,{"inputs":[{"name":"self"}],"output":{"name":"f32deserializer"}}],[11,"fmt","","",24,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"deserialize_bool","","",24,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i8","","",24,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i16","","",24,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i32","","",24,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i64","","",24,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u8","","",24,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u16","","",24,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u32","","",24,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u64","","",24,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f32","","",24,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f64","","",24,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_char","","",24,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_str","","",24,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_string","","",24,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_bytes","","",24,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_byte_buf","","",24,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_option","","",24,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit","","",24,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit_struct","","",24,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_newtype_struct","","",24,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_seq","","",24,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple","","",24,{"inputs":[{"name":"self"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple_struct","","",24,{"inputs":[{"name":"self"},{"name":"str"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_map","","",24,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_struct","","",24,null],[11,"deserialize_enum","","",24,null],[11,"deserialize_identifier","","",24,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_ignored_any","","",24,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_any","","",24,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"clone","","",25,{"inputs":[{"name":"self"}],"output":{"name":"f64deserializer"}}],[11,"fmt","","",25,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"deserialize_bool","","",25,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i8","","",25,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i16","","",25,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i32","","",25,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i64","","",25,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u8","","",25,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u16","","",25,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u32","","",25,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u64","","",25,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f32","","",25,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f64","","",25,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_char","","",25,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_str","","",25,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_string","","",25,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_bytes","","",25,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_byte_buf","","",25,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_option","","",25,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit","","",25,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit_struct","","",25,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_newtype_struct","","",25,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_seq","","",25,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple","","",25,{"inputs":[{"name":"self"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple_struct","","",25,{"inputs":[{"name":"self"},{"name":"str"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_map","","",25,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_struct","","",25,null],[11,"deserialize_enum","","",25,null],[11,"deserialize_identifier","","",25,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_ignored_any","","",25,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_any","","",25,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"clone","","",26,{"inputs":[{"name":"self"}],"output":{"name":"chardeserializer"}}],[11,"fmt","","",26,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"deserialize_bool","","",26,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i8","","",26,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i16","","",26,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i32","","",26,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i64","","",26,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u8","","",26,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u16","","",26,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u32","","",26,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u64","","",26,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f32","","",26,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f64","","",26,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_char","","",26,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_str","","",26,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_string","","",26,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_bytes","","",26,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_byte_buf","","",26,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_option","","",26,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit","","",26,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit_struct","","",26,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_newtype_struct","","",26,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_seq","","",26,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple","","",26,{"inputs":[{"name":"self"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple_struct","","",26,{"inputs":[{"name":"self"},{"name":"str"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_map","","",26,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_struct","","",26,null],[11,"deserialize_enum","","",26,null],[11,"deserialize_identifier","","",26,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_ignored_any","","",26,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_any","","",26,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"clone","","",27,{"inputs":[{"name":"self"}],"output":{"name":"u32deserializer"}}],[11,"fmt","","",27,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"deserialize_bool","","",27,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i8","","",27,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i16","","",27,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i32","","",27,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i64","","",27,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u8","","",27,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u16","","",27,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u32","","",27,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u64","","",27,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f32","","",27,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f64","","",27,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_char","","",27,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_str","","",27,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_string","","",27,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_bytes","","",27,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_byte_buf","","",27,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_option","","",27,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit","","",27,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit_struct","","",27,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_newtype_struct","","",27,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_seq","","",27,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple","","",27,{"inputs":[{"name":"self"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple_struct","","",27,{"inputs":[{"name":"self"},{"name":"str"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_map","","",27,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_struct","","",27,null],[11,"deserialize_identifier","","",27,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_ignored_any","","",27,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_any","","",27,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_enum","","",27,null],[11,"variant_seed","","",27,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"result"}}],[11,"clone","","",28,{"inputs":[{"name":"self"}],"output":{"name":"strdeserializer"}}],[11,"fmt","","",28,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"deserialize_any","","",28,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_enum","","",28,null],[11,"deserialize_bool","","",28,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i8","","",28,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i16","","",28,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i32","","",28,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i64","","",28,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u8","","",28,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u16","","",28,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u32","","",28,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u64","","",28,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f32","","",28,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f64","","",28,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_char","","",28,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_str","","",28,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_string","","",28,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_bytes","","",28,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_byte_buf","","",28,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_option","","",28,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit","","",28,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit_struct","","",28,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_newtype_struct","","",28,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_seq","","",28,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple","","",28,{"inputs":[{"name":"self"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple_struct","","",28,{"inputs":[{"name":"self"},{"name":"str"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_map","","",28,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_struct","","",28,null],[11,"deserialize_identifier","","",28,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_ignored_any","","",28,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"variant_seed","","",28,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"result"}}],[11,"clone","","",29,{"inputs":[{"name":"self"}],"output":{"name":"borrowedstrdeserializer"}}],[11,"fmt","","",29,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"new","","Create a new borrowed deserializer from the given string.",29,{"inputs":[{"name":"str"}],"output":{"name":"borrowedstrdeserializer"}}],[11,"deserialize_any","","",29,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_enum","","",29,null],[11,"deserialize_bool","","",29,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i8","","",29,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i16","","",29,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i32","","",29,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i64","","",29,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u8","","",29,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u16","","",29,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u32","","",29,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u64","","",29,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f32","","",29,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f64","","",29,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_char","","",29,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_str","","",29,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_string","","",29,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_bytes","","",29,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_byte_buf","","",29,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_option","","",29,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit","","",29,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit_struct","","",29,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_newtype_struct","","",29,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_seq","","",29,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple","","",29,{"inputs":[{"name":"self"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple_struct","","",29,{"inputs":[{"name":"self"},{"name":"str"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_map","","",29,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_struct","","",29,null],[11,"deserialize_identifier","","",29,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_ignored_any","","",29,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"variant_seed","","",29,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"result"}}],[11,"clone","","",30,{"inputs":[{"name":"self"}],"output":{"name":"stringdeserializer"}}],[11,"fmt","","",30,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"deserialize_any","","",30,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_enum","","",30,null],[11,"deserialize_bool","","",30,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i8","","",30,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i16","","",30,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i32","","",30,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i64","","",30,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u8","","",30,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u16","","",30,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u32","","",30,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u64","","",30,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f32","","",30,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f64","","",30,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_char","","",30,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_str","","",30,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_string","","",30,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_bytes","","",30,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_byte_buf","","",30,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_option","","",30,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit","","",30,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit_struct","","",30,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_newtype_struct","","",30,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_seq","","",30,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple","","",30,{"inputs":[{"name":"self"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple_struct","","",30,{"inputs":[{"name":"self"},{"name":"str"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_map","","",30,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_struct","","",30,null],[11,"deserialize_identifier","","",30,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_ignored_any","","",30,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"variant_seed","","",30,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"result"}}],[11,"clone","","",31,{"inputs":[{"name":"self"}],"output":{"name":"cowstrdeserializer"}}],[11,"fmt","","",31,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"deserialize_any","","",31,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_enum","","",31,null],[11,"deserialize_bool","","",31,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i8","","",31,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i16","","",31,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i32","","",31,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i64","","",31,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u8","","",31,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u16","","",31,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u32","","",31,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u64","","",31,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f32","","",31,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f64","","",31,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_char","","",31,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_str","","",31,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_string","","",31,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_bytes","","",31,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_byte_buf","","",31,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_option","","",31,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit","","",31,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit_struct","","",31,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_newtype_struct","","",31,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_seq","","",31,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple","","",31,{"inputs":[{"name":"self"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple_struct","","",31,{"inputs":[{"name":"self"},{"name":"str"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_map","","",31,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_struct","","",31,null],[11,"deserialize_identifier","","",31,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_ignored_any","","",31,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"variant_seed","","",31,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"result"}}],[11,"clone","","",32,{"inputs":[{"name":"self"}],"output":{"name":"borrowedbytesdeserializer"}}],[11,"fmt","","",32,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"new","","Create a new borrowed deserializer from the given byte slice.",32,null],[11,"deserialize_any","","",32,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_bool","","",32,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i8","","",32,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i16","","",32,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i32","","",32,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i64","","",32,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u8","","",32,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u16","","",32,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u32","","",32,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u64","","",32,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f32","","",32,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f64","","",32,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_char","","",32,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_str","","",32,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_string","","",32,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_bytes","","",32,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_byte_buf","","",32,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_option","","",32,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit","","",32,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit_struct","","",32,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_newtype_struct","","",32,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_seq","","",32,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple","","",32,{"inputs":[{"name":"self"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple_struct","","",32,{"inputs":[{"name":"self"},{"name":"str"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_map","","",32,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_struct","","",32,null],[11,"deserialize_identifier","","",32,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_ignored_any","","",32,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_enum","","",32,null],[11,"clone","","",33,{"inputs":[{"name":"self"}],"output":{"name":"seqdeserializer"}}],[11,"fmt","","",33,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"new","","Construct a new `SeqDeserializer<I, E>`.",33,{"inputs":[{"name":"i"}],"output":{"name":"self"}}],[11,"end","","Check for remaining elements after passing a `SeqDeserializer` to `Visitor::visit_seq`.",33,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"deserialize_any","","",33,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_bool","","",33,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i8","","",33,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i16","","",33,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i32","","",33,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i64","","",33,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u8","","",33,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u16","","",33,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u32","","",33,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u64","","",33,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f32","","",33,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f64","","",33,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_char","","",33,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_str","","",33,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_string","","",33,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_bytes","","",33,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_byte_buf","","",33,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_option","","",33,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit","","",33,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit_struct","","",33,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_newtype_struct","","",33,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_seq","","",33,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple","","",33,{"inputs":[{"name":"self"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple_struct","","",33,{"inputs":[{"name":"self"},{"name":"str"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_map","","",33,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_struct","","",33,null],[11,"deserialize_enum","","",33,null],[11,"deserialize_identifier","","",33,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_ignored_any","","",33,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"next_element_seed","","",33,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"size_hint","","",33,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"clone","","",34,{"inputs":[{"name":"self"}],"output":{"name":"seqaccessdeserializer"}}],[11,"fmt","","",34,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"new","","Construct a new `SeqAccessDeserializer<A>`.",34,{"inputs":[{"name":"a"}],"output":{"name":"self"}}],[11,"deserialize_any","","",34,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_bool","","",34,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i8","","",34,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i16","","",34,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i32","","",34,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i64","","",34,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u8","","",34,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u16","","",34,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u32","","",34,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u64","","",34,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f32","","",34,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f64","","",34,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_char","","",34,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_str","","",34,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_string","","",34,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_bytes","","",34,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_byte_buf","","",34,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_option","","",34,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit","","",34,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit_struct","","",34,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_newtype_struct","","",34,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_seq","","",34,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple","","",34,{"inputs":[{"name":"self"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple_struct","","",34,{"inputs":[{"name":"self"},{"name":"str"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_map","","",34,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_struct","","",34,null],[11,"deserialize_enum","","",34,null],[11,"deserialize_identifier","","",34,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_ignored_any","","",34,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"new","","Construct a new `MapDeserializer<I, E>`.",35,{"inputs":[{"name":"i"}],"output":{"name":"self"}}],[11,"end","","Check for remaining elements after passing a `MapDeserializer` to `Visitor::visit_map`.",35,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"deserialize_any","","",35,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_seq","","",35,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple","","",35,{"inputs":[{"name":"self"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_bool","","",35,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i8","","",35,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i16","","",35,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i32","","",35,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i64","","",35,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u8","","",35,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u16","","",35,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u32","","",35,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u64","","",35,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f32","","",35,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f64","","",35,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_char","","",35,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_str","","",35,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_string","","",35,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_bytes","","",35,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_byte_buf","","",35,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_option","","",35,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit","","",35,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit_struct","","",35,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_newtype_struct","","",35,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple_struct","","",35,{"inputs":[{"name":"self"},{"name":"str"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_map","","",35,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_struct","","",35,null],[11,"deserialize_enum","","",35,null],[11,"deserialize_identifier","","",35,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_ignored_any","","",35,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"next_key_seed","","",35,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"result"}}],[11,"next_value_seed","","",35,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"result"}}],[11,"next_entry_seed","","",35,{"inputs":[{"name":"self"},{"name":"tk"},{"name":"tv"}],"output":{"name":"result"}}],[11,"size_hint","","",35,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"next_element_seed","","",35,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"result"}}],[11,"size_hint","","",35,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"clone","","",35,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[11,"fmt","","",35,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",36,{"inputs":[{"name":"self"}],"output":{"name":"mapaccessdeserializer"}}],[11,"fmt","","",36,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"new","","Construct a new `MapAccessDeserializer<A>`.",36,{"inputs":[{"name":"a"}],"output":{"name":"self"}}],[11,"deserialize_any","","",36,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_bool","","",36,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i8","","",36,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i16","","",36,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i32","","",36,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i64","","",36,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u8","","",36,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u16","","",36,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u32","","",36,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u64","","",36,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f32","","",36,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f64","","",36,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_char","","",36,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_str","","",36,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_string","","",36,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_bytes","","",36,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_byte_buf","","",36,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_option","","",36,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit","","",36,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit_struct","","",36,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_newtype_struct","","",36,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_seq","","",36,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple","","",36,{"inputs":[{"name":"self"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple_struct","","",36,{"inputs":[{"name":"self"},{"name":"str"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_map","","",36,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_struct","","",36,null],[11,"deserialize_enum","","",36,null],[11,"deserialize_identifier","","",36,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_ignored_any","","",36,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"clone","serde::de","",37,{"inputs":[{"name":"self"}],"output":{"name":"ignoredany"}}],[11,"fmt","","",37,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"default","","",37,{"inputs":[],"output":{"name":"ignoredany"}}],[11,"expecting","","",37,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"visit_bool","","",37,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"result"}}],[11,"visit_i64","","",37,{"inputs":[{"name":"self"},{"name":"i64"}],"output":{"name":"result"}}],[11,"visit_u64","","",37,{"inputs":[{"name":"self"},{"name":"u64"}],"output":{"name":"result"}}],[11,"visit_f64","","",37,{"inputs":[{"name":"self"},{"name":"f64"}],"output":{"name":"result"}}],[11,"visit_str","","",37,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"result"}}],[11,"visit_none","","",37,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"visit_some","","",37,{"inputs":[{"name":"self"},{"name":"d"}],"output":{"name":"result"}}],[11,"visit_newtype_struct","","",37,{"inputs":[{"name":"self"},{"name":"d"}],"output":{"name":"result"}}],[11,"visit_unit","","",37,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"visit_seq","","",37,{"inputs":[{"name":"self"},{"name":"a"}],"output":{"name":"result"}}],[11,"visit_map","","",37,{"inputs":[{"name":"self"},{"name":"a"}],"output":{"name":"result"}}],[11,"visit_bytes","","",37,null],[11,"deserialize","","",37,{"inputs":[{"name":"d"}],"output":{"name":"result"}}],[8,"Error","","The `Error` trait allows `Deserialize` implementations to create descriptive error messages belonging to the `Deserializer` against which they are currently running.",null,null],[10,"custom","","Raised when there is general error when deserializing a type.",38,{"inputs":[{"name":"t"}],"output":{"name":"self"}}],[11,"invalid_type","","Raised when a `Deserialize` receives a type different from what it was expecting.",38,{"inputs":[{"name":"unexpected"},{"name":"expected"}],"output":{"name":"self"}}],[11,"invalid_value","","Raised when a `Deserialize` receives a value of the right type but that is wrong for some other reason.",38,{"inputs":[{"name":"unexpected"},{"name":"expected"}],"output":{"name":"self"}}],[11,"invalid_length","","Raised when deserializing a sequence or map and the input data contains too many or too few elements.",38,{"inputs":[{"name":"usize"},{"name":"expected"}],"output":{"name":"self"}}],[11,"unknown_variant","","Raised when a `Deserialize` enum type received a variant with an unrecognized name.",38,null],[11,"unknown_field","","Raised when a `Deserialize` struct type received a field with an unrecognized name.",38,null],[11,"missing_field","","Raised when a `Deserialize` struct type expected to receive a required field with a particular name but that field was not present in the input.",38,{"inputs":[{"name":"str"}],"output":{"name":"self"}}],[11,"duplicate_field","","Raised when a `Deserialize` struct type received more than one of the same field.",38,{"inputs":[{"name":"str"}],"output":{"name":"self"}}],[8,"Expected","","`Expected` represents an explanation of what data a `Visitor` was expecting to receive.",null,null],[10,"fmt","","Format an explanation of what data was being expected. Same signature as the `Display` and `Debug` traits.",39,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[8,"Deserialize","","A data structure that can be deserialized from any data format supported by Serde.",null,null],[10,"deserialize","","Deserialize this value from the given Serde deserializer.",40,{"inputs":[{"name":"d"}],"output":{"name":"result"}}],[8,"DeserializeOwned","","A data structure that can be deserialized without borrowing any data from the deserializer.",null,null],[8,"DeserializeSeed","","`DeserializeSeed` is the stateful form of the `Deserialize` trait. If you ever find yourself looking for a way to pass data into a `Deserialize` impl, this trait is the way to do it.",null,null],[16,"Value","","The type produced by using this seed.",41,null],[10,"deserialize","","Equivalent to the more common `Deserialize::deserialize` method, except with some initial piece of data (the seed) passed in.",41,{"inputs":[{"name":"self"},{"name":"d"}],"output":{"name":"result"}}],[8,"Deserializer","","A data format that can deserialize any data structure supported by Serde.",null,null],[16,"Error","","The error type that can be returned if some error occurs during deserialization.",42,null],[10,"deserialize_any","","Require the `Deserializer` to figure out how to drive the visitor based on what data type is in the input.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_bool","","Hint that the `Deserialize` type is expecting a `bool` value.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_i8","","Hint that the `Deserialize` type is expecting an `i8` value.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_i16","","Hint that the `Deserialize` type is expecting an `i16` value.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_i32","","Hint that the `Deserialize` type is expecting an `i32` value.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_i64","","Hint that the `Deserialize` type is expecting an `i64` value.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_u8","","Hint that the `Deserialize` type is expecting a `u8` value.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_u16","","Hint that the `Deserialize` type is expecting a `u16` value.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_u32","","Hint that the `Deserialize` type is expecting a `u32` value.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_u64","","Hint that the `Deserialize` type is expecting a `u64` value.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_f32","","Hint that the `Deserialize` type is expecting a `f32` value.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_f64","","Hint that the `Deserialize` type is expecting a `f64` value.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_char","","Hint that the `Deserialize` type is expecting a `char` value.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_str","","Hint that the `Deserialize` type is expecting a string value and does not benefit from taking ownership of buffered data owned by the `Deserializer`.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_string","","Hint that the `Deserialize` type is expecting a string value and would benefit from taking ownership of buffered data owned by the `Deserializer`.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_bytes","","Hint that the `Deserialize` type is expecting a byte array and does not benefit from taking ownership of buffered data owned by the `Deserializer`.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_byte_buf","","Hint that the `Deserialize` type is expecting a byte array and would benefit from taking ownership of buffered data owned by the `Deserializer`.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_option","","Hint that the `Deserialize` type is expecting an optional value.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_unit","","Hint that the `Deserialize` type is expecting a unit value.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_unit_struct","","Hint that the `Deserialize` type is expecting a unit struct with a particular name.",42,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_newtype_struct","","Hint that the `Deserialize` type is expecting a newtype struct with a particular name.",42,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_seq","","Hint that the `Deserialize` type is expecting a sequence of values.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_tuple","","Hint that the `Deserialize` type is expecting a sequence of values and knows how many values there are without looking at the serialized data.",42,{"inputs":[{"name":"self"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_tuple_struct","","Hint that the `Deserialize` type is expecting a tuple struct with a particular name and number of fields.",42,{"inputs":[{"name":"self"},{"name":"str"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_map","","Hint that the `Deserialize` type is expecting a map of key-value pairs.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_struct","","Hint that the `Deserialize` type is expecting a struct with a particular name and fields.",42,null],[10,"deserialize_enum","","Hint that the `Deserialize` type is expecting an enum value with a particular name and possible variants.",42,null],[10,"deserialize_identifier","","Hint that the `Deserialize` type is expecting the name of a struct field or the discriminant of an enum variant.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_ignored_any","","Hint that the `Deserialize` type needs to deserialize a value whose type doesn't matter because it is ignored.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[8,"Visitor","","This trait represents a visitor that walks through a deserializer.",null,null],[16,"Value","","The value produced by this visitor.",43,null],[10,"expecting","","Format a message stating what data this Visitor expects to receive.",43,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"visit_bool","","The input contains a boolean.",43,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"result"}}],[11,"visit_i8","","The input contains an `i8`.",43,{"inputs":[{"name":"self"},{"name":"i8"}],"output":{"name":"result"}}],[11,"visit_i16","","The input contains an `i16`.",43,{"inputs":[{"name":"self"},{"name":"i16"}],"output":{"name":"result"}}],[11,"visit_i32","","The input contains an `i32`.",43,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"result"}}],[11,"visit_i64","","The input contains an `i32`.",43,{"inputs":[{"name":"self"},{"name":"i64"}],"output":{"name":"result"}}],[11,"visit_u8","","The input contains a `u8`.",43,{"inputs":[{"name":"self"},{"name":"u8"}],"output":{"name":"result"}}],[11,"visit_u16","","The input contains a `u16`.",43,{"inputs":[{"name":"self"},{"name":"u16"}],"output":{"name":"result"}}],[11,"visit_u32","","The input contains a `u32`.",43,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"result"}}],[11,"visit_u64","","The input contains a `u64`.",43,{"inputs":[{"name":"self"},{"name":"u64"}],"output":{"name":"result"}}],[11,"visit_f32","","The input contains an `f32`.",43,{"inputs":[{"name":"self"},{"name":"f32"}],"output":{"name":"result"}}],[11,"visit_f64","","The input contains an `f64`.",43,{"inputs":[{"name":"self"},{"name":"f64"}],"output":{"name":"result"}}],[11,"visit_char","","The input contains a `char`.",43,{"inputs":[{"name":"self"},{"name":"char"}],"output":{"name":"result"}}],[11,"visit_str","","The input contains a string. The lifetime of the string is ephemeral and it may be destroyed after this method returns.",43,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"result"}}],[11,"visit_borrowed_str","","The input contains a string that lives at least as long as the `Deserializer`.",43,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"result"}}],[11,"visit_string","","The input contains a string and ownership of the string is being given to the `Visitor`.",43,{"inputs":[{"name":"self"},{"name":"string"}],"output":{"name":"result"}}],[11,"visit_bytes","","The input contains a byte array. The lifetime of the byte array is ephemeral and it may be destroyed after this method returns.",43,null],[11,"visit_borrowed_bytes","","The input contains a byte array that lives at least as long as the `Deserializer`.",43,null],[11,"visit_byte_buf","","The input contains a byte array and ownership of the byte array is being given to the `Visitor`.",43,{"inputs":[{"name":"self"},{"name":"vec"}],"output":{"name":"result"}}],[11,"visit_none","","The input contains an optional that is absent.",43,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"visit_some","","The input contains an optional that is present.",43,{"inputs":[{"name":"self"},{"name":"d"}],"output":{"name":"result"}}],[11,"visit_unit","","The input contains a unit `()`.",43,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"visit_newtype_struct","","The input contains a newtype struct.",43,{"inputs":[{"name":"self"},{"name":"d"}],"output":{"name":"result"}}],[11,"visit_seq","","The input contains a sequence of elements.",43,{"inputs":[{"name":"self"},{"name":"a"}],"output":{"name":"result"}}],[11,"visit_map","","The input contains a key-value map.",43,{"inputs":[{"name":"self"},{"name":"a"}],"output":{"name":"result"}}],[11,"visit_enum","","The input contains an enum.",43,{"inputs":[{"name":"self"},{"name":"a"}],"output":{"name":"result"}}],[8,"SeqAccess","","Provides a `Visitor` access to each element of a sequence in the input.",null,null],[16,"Error","","The error type that can be returned if some error occurs during deserialization.",44,null],[10,"next_element_seed","","This returns `Ok(Some(value))` for the next value in the sequence, or `Ok(None)` if there are no more remaining items.",44,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"result"}}],[11,"next_element","","This returns `Ok(Some(value))` for the next value in the sequence, or `Ok(None)` if there are no more remaining items.",44,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"size_hint","","Returns the number of elements remaining in the sequence, if known.",44,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[8,"MapAccess","","Provides a `Visitor` access to each entry of a map in the input.",null,null],[16,"Error","","The error type that can be returned if some error occurs during deserialization.",45,null],[10,"next_key_seed","","This returns `Ok(Some(key))` for the next key in the map, or `Ok(None)` if there are no more remaining entries.",45,{"inputs":[{"name":"self"},{"name":"k"}],"output":{"name":"result"}}],[10,"next_value_seed","","This returns a `Ok(value)` for the next value in the map.",45,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"next_entry_seed","","This returns `Ok(Some((key, value)))` for the next (key-value) pair in the map, or `Ok(None)` if there are no more remaining items.",45,{"inputs":[{"name":"self"},{"name":"k"},{"name":"v"}],"output":{"name":"result"}}],[11,"next_key","","This returns `Ok(Some(key))` for the next key in the map, or `Ok(None)` if there are no more remaining entries.",45,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"next_value","","This returns a `Ok(value)` for the next value in the map.",45,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"next_entry","","This returns `Ok(Some((key, value)))` for the next (key-value) pair in the map, or `Ok(None)` if there are no more remaining items.",45,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"size_hint","","Returns the number of entries remaining in the map, if known.",45,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[8,"EnumAccess","","Provides a `Visitor` access to the data of an enum in the input.",null,null],[16,"Error","","The error type that can be returned if some error occurs during deserialization.",46,null],[16,"Variant","","The `Visitor` that will be used to deserialize the content of the enum variant.",46,null],[10,"variant_seed","","`variant` is called to identify which variant to deserialize.",46,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"variant","","`variant` is called to identify which variant to deserialize.",46,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[8,"VariantAccess","","`VariantAccess` is a visitor that is created by the `Deserializer` and passed to the `Deserialize` to deserialize the content of a particular enum variant.",null,null],[16,"Error","","The error type that can be returned if some error occurs during deserialization. Must match the error type of our `EnumAccess`.",47,null],[10,"unit_variant","","Called when deserializing a variant with no values.",47,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[10,"newtype_variant_seed","","Called when deserializing a variant with a single value.",47,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"result"}}],[11,"newtype_variant","","Called when deserializing a variant with a single value.",47,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[10,"tuple_variant","","Called when deserializing a tuple-like variant.",47,{"inputs":[{"name":"self"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[10,"struct_variant","","Called when deserializing a struct-like variant.",47,null],[8,"IntoDeserializer","","Converts an existing value into a `Deserializer` from which other values can be deserialized.",null,null],[16,"Deserializer","","The type of the deserializer being converted into.",48,null],[10,"into_deserializer","","Convert this value into a deserializer.",48,null],[11,"clone","","",11,{"inputs":[{"name":"self"}],"output":{"name":"unexpected"}}],[11,"eq","","",11,{"inputs":[{"name":"self"},{"name":"unexpected"}],"output":{"name":"bool"}}],[11,"ne","","",11,{"inputs":[{"name":"self"},{"name":"unexpected"}],"output":{"name":"bool"}}],[11,"fmt","","",11,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",11,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",39,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[8,"Serialize","serde","A data structure that can be serialized into any data format supported by Serde.",null,null],[10,"serialize","","Serialize this value into the given Serde serializer.",2,{"inputs":[{"name":"self"},{"name":"s"}],"output":{"name":"result"}}],[8,"Serializer","","A data format that can serialize any data structure supported by Serde.",null,null],[16,"Ok","","The output type produced by this `Serializer` during successful serialization. Most serializers that produce text or binary output should set `Ok = ()` and serialize into an [`io::Write`] or buffer contained within the `Serializer` instance. Serializers that build in-memory data structures may be simplified by using `Ok` to propagate the data structure around.",3,null],[16,"Error","","The error type when some error occurs during serialization.",3,null],[16,"SerializeSeq","","Type returned from [`serialize_seq`] for serializing the content of the sequence.",3,null],[16,"SerializeTuple","","Type returned from [`serialize_tuple`] for serializing the content of the tuple.",3,null],[16,"SerializeTupleStruct","","Type returned from [`serialize_tuple_struct`] for serializing the content of the tuple struct.",3,null],[16,"SerializeTupleVariant","","Type returned from [`serialize_tuple_variant`] for serializing the content of the tuple variant.",3,null],[16,"SerializeMap","","Type returned from [`serialize_map`] for serializing the content of the map.",3,null],[16,"SerializeStruct","","Type returned from [`serialize_struct`] for serializing the content of the struct.",3,null],[16,"SerializeStructVariant","","Type returned from [`serialize_struct_variant`] for serializing the content of the struct variant.",3,null],[10,"serialize_bool","","Serialize a `bool` value.",3,{"inputs":[{"name":"self"},{"name":"bool"}],"output":{"name":"result"}}],[10,"serialize_i8","","Serialize an `i8` value.",3,{"inputs":[{"name":"self"},{"name":"i8"}],"output":{"name":"result"}}],[10,"serialize_i16","","Serialize an `i16` value.",3,{"inputs":[{"name":"self"},{"name":"i16"}],"output":{"name":"result"}}],[10,"serialize_i32","","Serialize an `i32` value.",3,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"result"}}],[10,"serialize_i64","","Serialize an `i64` value.",3,{"inputs":[{"name":"self"},{"name":"i64"}],"output":{"name":"result"}}],[10,"serialize_u8","","Serialize a `u8` value.",3,{"inputs":[{"name":"self"},{"name":"u8"}],"output":{"name":"result"}}],[10,"serialize_u16","","Serialize a `u16` value.",3,{"inputs":[{"name":"self"},{"name":"u16"}],"output":{"name":"result"}}],[10,"serialize_u32","","Serialize a `u32` value.",3,{"inputs":[{"name":"self"},{"name":"u32"}],"output":{"name":"result"}}],[10,"serialize_u64","","Serialize a `u64` value.",3,{"inputs":[{"name":"self"},{"name":"u64"}],"output":{"name":"result"}}],[10,"serialize_f32","","Serialize an `f32` value.",3,{"inputs":[{"name":"self"},{"name":"f32"}],"output":{"name":"result"}}],[10,"serialize_f64","","Serialize an `f64` value.",3,{"inputs":[{"name":"self"},{"name":"f64"}],"output":{"name":"result"}}],[10,"serialize_char","","Serialize a character.",3,{"inputs":[{"name":"self"},{"name":"char"}],"output":{"name":"result"}}],[10,"serialize_str","","Serialize a `&str`.",3,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"result"}}],[10,"serialize_bytes","","Serialize a chunk of raw byte data.",3,null],[10,"serialize_none","","Serialize a [`None`] value.",3,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[10,"serialize_some","","Serialize a [`Some(T)`] value.",3,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"result"}}],[10,"serialize_unit","","Serialize a `()` value.",3,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[10,"serialize_unit_struct","","Serialize a unit struct like `struct Unit` or `PhantomData<T>`.",3,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"result"}}],[10,"serialize_unit_variant","","Serialize a unit variant like `E::A` in `enum E { A, B }`.",3,{"inputs":[{"name":"self"},{"name":"str"},{"name":"u32"},{"name":"str"}],"output":{"name":"result"}}],[10,"serialize_newtype_struct","","Serialize a newtype struct like `struct Millimeters(u8)`.",3,{"inputs":[{"name":"self"},{"name":"str"},{"name":"t"}],"output":{"name":"result"}}],[10,"serialize_newtype_variant","","Serialize a newtype variant like `E::N` in `enum E { N(u8) }`.",3,{"inputs":[{"name":"self"},{"name":"str"},{"name":"u32"},{"name":"str"},{"name":"t"}],"output":{"name":"result"}}],[10,"serialize_seq","","Begin to serialize a variably sized sequence. This call must be followed by zero or more calls to `serialize_element`, then a call to `end`.",3,{"inputs":[{"name":"self"},{"name":"option"}],"output":{"name":"result"}}],[10,"serialize_tuple","","Begin to serialize a statically sized sequence whose length will be known at deserialization time without looking at the serialized data. This call must be followed by zero or more calls to `serialize_element`, then a call to `end`.",3,{"inputs":[{"name":"self"},{"name":"usize"}],"output":{"name":"result"}}],[10,"serialize_tuple_struct","","Begin to serialize a tuple struct like `struct Rgb(u8, u8, u8)`. This call must be followed by zero or more calls to `serialize_field`, then a call to `end`.",3,{"inputs":[{"name":"self"},{"name":"str"},{"name":"usize"}],"output":{"name":"result"}}],[10,"serialize_tuple_variant","","Begin to serialize a tuple variant like `E::T` in `enum E { T(u8, u8) }`. This call must be followed by zero or more calls to `serialize_field`, then a call to `end`.",3,{"inputs":[{"name":"self"},{"name":"str"},{"name":"u32"},{"name":"str"},{"name":"usize"}],"output":{"name":"result"}}],[10,"serialize_map","","Begin to serialize a map. This call must be followed by zero or more calls to `serialize_key` and `serialize_value`, then a call to `end`.",3,{"inputs":[{"name":"self"},{"name":"option"}],"output":{"name":"result"}}],[10,"serialize_struct","","Begin to serialize a struct like `struct Rgb { r: u8, g: u8, b: u8 }`. This call must be followed by zero or more calls to `serialize_field`, then a call to `end`.",3,{"inputs":[{"name":"self"},{"name":"str"},{"name":"usize"}],"output":{"name":"result"}}],[10,"serialize_struct_variant","","Begin to serialize a struct variant like `E::S` in `enum E { S { r: u8, g: u8, b: u8 } }`. This call must be followed by zero or more calls to `serialize_field`, then a call to `end`.",3,{"inputs":[{"name":"self"},{"name":"str"},{"name":"u32"},{"name":"str"},{"name":"usize"}],"output":{"name":"result"}}],[11,"collect_seq","","Collect an iterator as a sequence.",3,{"inputs":[{"name":"self"},{"name":"i"}],"output":{"name":"result"}}],[11,"collect_map","","Collect an iterator as a map.",3,{"inputs":[{"name":"self"},{"name":"i"}],"output":{"name":"result"}}],[11,"collect_str","","Serialize a string produced by an implementation of `Display`.",3,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"result"}}],[8,"Deserialize","","A data structure that can be deserialized from any data format supported by Serde.",null,null],[10,"deserialize","","Deserialize this value from the given Serde deserializer.",40,{"inputs":[{"name":"d"}],"output":{"name":"result"}}],[8,"Deserializer","","A data format that can deserialize any data structure supported by Serde.",null,null],[16,"Error","","The error type that can be returned if some error occurs during deserialization.",42,null],[10,"deserialize_any","","Require the `Deserializer` to figure out how to drive the visitor based on what data type is in the input.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_bool","","Hint that the `Deserialize` type is expecting a `bool` value.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_i8","","Hint that the `Deserialize` type is expecting an `i8` value.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_i16","","Hint that the `Deserialize` type is expecting an `i16` value.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_i32","","Hint that the `Deserialize` type is expecting an `i32` value.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_i64","","Hint that the `Deserialize` type is expecting an `i64` value.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_u8","","Hint that the `Deserialize` type is expecting a `u8` value.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_u16","","Hint that the `Deserialize` type is expecting a `u16` value.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_u32","","Hint that the `Deserialize` type is expecting a `u32` value.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_u64","","Hint that the `Deserialize` type is expecting a `u64` value.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_f32","","Hint that the `Deserialize` type is expecting a `f32` value.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_f64","","Hint that the `Deserialize` type is expecting a `f64` value.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_char","","Hint that the `Deserialize` type is expecting a `char` value.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_str","","Hint that the `Deserialize` type is expecting a string value and does not benefit from taking ownership of buffered data owned by the `Deserializer`.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_string","","Hint that the `Deserialize` type is expecting a string value and would benefit from taking ownership of buffered data owned by the `Deserializer`.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_bytes","","Hint that the `Deserialize` type is expecting a byte array and does not benefit from taking ownership of buffered data owned by the `Deserializer`.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_byte_buf","","Hint that the `Deserialize` type is expecting a byte array and would benefit from taking ownership of buffered data owned by the `Deserializer`.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_option","","Hint that the `Deserialize` type is expecting an optional value.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_unit","","Hint that the `Deserialize` type is expecting a unit value.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_unit_struct","","Hint that the `Deserialize` type is expecting a unit struct with a particular name.",42,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_newtype_struct","","Hint that the `Deserialize` type is expecting a newtype struct with a particular name.",42,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_seq","","Hint that the `Deserialize` type is expecting a sequence of values.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_tuple","","Hint that the `Deserialize` type is expecting a sequence of values and knows how many values there are without looking at the serialized data.",42,{"inputs":[{"name":"self"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_tuple_struct","","Hint that the `Deserialize` type is expecting a tuple struct with a particular name and number of fields.",42,{"inputs":[{"name":"self"},{"name":"str"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_map","","Hint that the `Deserialize` type is expecting a map of key-value pairs.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_struct","","Hint that the `Deserialize` type is expecting a struct with a particular name and fields.",42,null],[10,"deserialize_enum","","Hint that the `Deserialize` type is expecting an enum value with a particular name and possible variants.",42,null],[10,"deserialize_identifier","","Hint that the `Deserialize` type is expecting the name of a struct field or the discriminant of an enum variant.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[10,"deserialize_ignored_any","","Hint that the `Deserialize` type needs to deserialize a value whose type doesn't matter because it is ignored.",42,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[14,"forward_to_deserialize_any","","Helper macro when implementing the `Deserializer` part of a new data format for Serde.",null,null]],"paths":[[3,"Impossible"],[8,"Error"],[8,"Serialize"],[8,"Serializer"],[8,"SerializeSeq"],[8,"SerializeTuple"],[8,"SerializeTupleStruct"],[8,"SerializeTupleVariant"],[8,"SerializeMap"],[8,"SerializeStruct"],[8,"SerializeStructVariant"],[4,"Unexpected"],[3,"Error"],[3,"UnitDeserializer"],[3,"BoolDeserializer"],[3,"I8Deserializer"],[3,"I16Deserializer"],[3,"I32Deserializer"],[3,"I64Deserializer"],[3,"IsizeDeserializer"],[3,"U8Deserializer"],[3,"U16Deserializer"],[3,"U64Deserializer"],[3,"UsizeDeserializer"],[3,"F32Deserializer"],[3,"F64Deserializer"],[3,"CharDeserializer"],[3,"U32Deserializer"],[3,"StrDeserializer"],[3,"BorrowedStrDeserializer"],[3,"StringDeserializer"],[3,"CowStrDeserializer"],[3,"BorrowedBytesDeserializer"],[3,"SeqDeserializer"],[3,"SeqAccessDeserializer"],[3,"MapDeserializer"],[3,"MapAccessDeserializer"],[3,"IgnoredAny"],[8,"Error"],[8,"Expected"],[8,"Deserialize"],[8,"DeserializeSeed"],[8,"Deserializer"],[8,"Visitor"],[8,"SeqAccess"],[8,"MapAccess"],[8,"EnumAccess"],[8,"VariantAccess"],[8,"IntoDeserializer"]]};
searchIndex["serde_derive"] = {"doc":"This crate provides Serde's two derive macros.","items":[[5,"derive_serialize","serde_derive","",null,{"inputs":[{"name":"tokenstream"}],"output":{"name":"tokenstream"}}],[5,"derive_deserialize","","",null,{"inputs":[{"name":"tokenstream"}],"output":{"name":"tokenstream"}}]],"paths":[]};
searchIndex["serde_derive_internals"] = {"doc":"","items":[[3,"Ctxt","serde_derive_internals","",null,null],[0,"ast","","",null,null],[3,"Container","serde_derive_internals::ast","",null,null],[12,"ident","","",0,null],[12,"attrs","","",0,null],[12,"body","","",0,null],[12,"generics","","",0,null],[3,"Variant","","",null,null],[12,"ident","","",1,null],[12,"attrs","","",1,null],[12,"style","","",1,null],[12,"fields","","",1,null],[3,"Field","","",null,null],[12,"ident","","",2,null],[12,"attrs","","",2,null],[12,"ty","","",2,null],[4,"Body","","",null,null],[13,"Enum","","",3,null],[13,"Struct","","",3,null],[4,"Style","","",null,null],[13,"Struct","","",4,null],[13,"Tuple","","",4,null],[13,"Newtype","","",4,null],[13,"Unit","","",4,null],[11,"clone","","",4,{"inputs":[{"name":"self"}],"output":{"name":"style"}}],[11,"from_ast","","",0,{"inputs":[{"name":"ctxt"},{"name":"deriveinput"}],"output":{"name":"container"}}],[11,"all_fields","","",3,{"inputs":[{"name":"self"}],"output":{"name":"box"}}],[11,"has_getter","","",3,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[0,"attr","serde_derive_internals","",null,null],[3,"Name","serde_derive_internals::attr","",null,null],[3,"Container","","Represents container (e.g. struct) attribute information",null,null],[3,"Variant","","Represents variant attribute information",null,null],[3,"Field","","Represents field attribute information",null,null],[4,"RenameRule","","",null,null],[13,"None","","Don't apply a default rename rule.",5,null],[13,"LowerCase","","Rename direct children to \"lowercase\" style.",5,null],[13,"PascalCase","","Rename direct children to \"PascalCase\" style, as typically used for enum variants.",5,null],[13,"CamelCase","","Rename direct children to \"camelCase\" style.",5,null],[13,"SnakeCase","","Rename direct children to \"snake_case\" style, as commonly used for fields.",5,null],[13,"ScreamingSnakeCase","","Rename direct children to \"SCREAMING_SNAKE_CASE\" style, as commonly used for constants.",5,null],[13,"KebabCase","","Rename direct children to \"kebab-case\" style.",5,null],[4,"EnumTag","","Styles of representing an enum.",null,null],[13,"External","","The default.",6,null],[13,"Internal","","`#[serde(tag = \"type\")]`",6,null],[12,"tag","serde_derive_internals::attr::EnumTag","",6,null],[13,"Adjacent","serde_derive_internals::attr","`#[serde(tag = \"t\", content = \"c\")]`",6,null],[12,"tag","serde_derive_internals::attr::EnumTag","",6,null],[12,"content","","",6,null],[13,"None","serde_derive_internals::attr","`#[serde(untagged)]`",6,null],[4,"Identifier","","Whether this enum represents the fields of a struct or the variants of an enum.",null,null],[13,"No","","It does not.",7,null],[13,"Field","","This enum represents the fields of a struct. All of the variants must be unit variants, except possibly one which is annotated with `#[serde(other)]` and is a newtype variant.",7,null],[13,"Variant","","This enum represents the variants of an enum. All of the variants must be unit variants.",7,null],[4,"Default","","Represents the default to use for a field when deserializing.",null,null],[13,"None","","Field must always be specified because it does not have a default.",8,null],[13,"Default","","The default is given by `std::default::Default::default()`.",8,null],[13,"Path","","The default is given by this function.",8,null],[5,"get_serde_meta_items","","",null,{"inputs":[{"name":"attribute"}],"output":{"name":"option"}}],[11,"fmt","","",9,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"serialize_name","","Return the container name for the container when serializing.",9,{"inputs":[{"name":"self"}],"output":{"name":"string"}}],[11,"deserialize_name","","Return the container name for the container when deserializing.",9,{"inputs":[{"name":"self"}],"output":{"name":"string"}}],[11,"fmt","","",10,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",6,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",7,{"inputs":[{"name":"self"}],"output":{"name":"identifier"}}],[11,"fmt","","",7,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"from_ast","","Extract out the `#[serde(...)]` attributes from an item.",10,{"inputs":[{"name":"ctxt"},{"name":"deriveinput"}],"output":{"name":"self"}}],[11,"name","","",10,{"inputs":[{"name":"self"}],"output":{"name":"name"}}],[11,"rename_all","","",10,{"inputs":[{"name":"self"}],"output":{"name":"renamerule"}}],[11,"deny_unknown_fields","","",10,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"default","","",10,{"inputs":[{"name":"self"}],"output":{"name":"default"}}],[11,"ser_bound","","",10,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"de_bound","","",10,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"tag","","",10,{"inputs":[{"name":"self"}],"output":{"name":"enumtag"}}],[11,"from_type","","",10,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"into_type","","",10,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"remote","","",10,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"identifier","","",10,{"inputs":[{"name":"self"}],"output":{"name":"identifier"}}],[11,"fmt","","",11,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"from_ast","","",11,{"inputs":[{"name":"ctxt"},{"name":"variant"}],"output":{"name":"self"}}],[11,"name","","",11,{"inputs":[{"name":"self"}],"output":{"name":"name"}}],[11,"rename_by_rule","","",11,{"inputs":[{"name":"self"},{"name":"renamerule"}],"output":null}],[11,"rename_all","","",11,{"inputs":[{"name":"self"}],"output":{"name":"renamerule"}}],[11,"skip_deserializing","","",11,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"skip_serializing","","",11,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"other","","",11,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"fmt","","",12,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",8,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",8,{"inputs":[{"name":"self"},{"name":"default"}],"output":{"name":"bool"}}],[11,"ne","","",8,{"inputs":[{"name":"self"},{"name":"default"}],"output":{"name":"bool"}}],[11,"from_ast","","Extract out the `#[serde(...)]` attributes from a struct field.",12,{"inputs":[{"name":"ctxt"},{"name":"usize"},{"name":"field"}],"output":{"name":"self"}}],[11,"name","","",12,{"inputs":[{"name":"self"}],"output":{"name":"name"}}],[11,"rename_by_rule","","",12,{"inputs":[{"name":"self"},{"name":"renamerule"}],"output":null}],[11,"skip_serializing","","",12,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"skip_deserializing","","",12,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"skip_serializing_if","","",12,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"default","","",12,{"inputs":[{"name":"self"}],"output":{"name":"default"}}],[11,"serialize_with","","",12,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"deserialize_with","","",12,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"ser_bound","","",12,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"de_bound","","",12,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"borrowed_lifetimes","","",12,{"inputs":[{"name":"self"}],"output":{"name":"btreeset"}}],[11,"getter","","",12,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"default","serde_derive_internals","",13,{"inputs":[],"output":{"name":"ctxt"}}],[11,"new","","",13,{"inputs":[],"output":{"name":"self"}}],[11,"error","","",13,{"inputs":[{"name":"self"},{"name":"t"}],"output":null}],[11,"check","","",13,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"drop","","",13,{"inputs":[{"name":"self"}],"output":null}],[11,"fmt","serde_derive_internals::attr","",5,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",5,{"inputs":[{"name":"self"},{"name":"renamerule"}],"output":{"name":"bool"}}],[11,"apply_to_variant","","",5,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"string"}}],[11,"apply_to_field","","",5,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"string"}}],[11,"from_str","","",5,{"inputs":[{"name":"str"}],"output":{"name":"result"}}]],"paths":[[3,"Container"],[3,"Variant"],[3,"Field"],[4,"Body"],[4,"Style"],[4,"RenameRule"],[4,"EnumTag"],[4,"Identifier"],[4,"Default"],[3,"Name"],[3,"Container"],[3,"Variant"],[3,"Field"],[3,"Ctxt"]]};
searchIndex["syn"] = {"doc":"","items":[[3,"Attribute","syn","Doc-comments are promoted to attributes that have `is_sugared_doc` = true",null,null],[12,"style","","",0,null],[12,"value","","",0,null],[12,"is_sugared_doc","","",0,null],[3,"Field","","A field of a struct or enum variant.",null,null],[12,"ident","","Name of the field, if any.",1,null],[12,"vis","","Visibility of the field.",1,null],[12,"attrs","","Attributes tagged on the field.",1,null],[12,"ty","","Type of the field.",1,null],[3,"Variant","","An enum variant.",null,null],[12,"ident","","Name of the variant.",2,null],[12,"attrs","","Attributes tagged on the variant.",2,null],[12,"data","","Type of variant.",2,null],[12,"discriminant","","Explicit discriminant, e.g. `Foo = 1`",2,null],[3,"Generics","","Represents lifetimes and type parameters attached to a declaration of a function, enum, trait, etc.",null,null],[12,"lifetimes","","",3,null],[12,"ty_params","","",3,null],[12,"where_clause","","",3,null],[3,"Lifetime","","",null,null],[12,"ident","","",4,null],[3,"LifetimeDef","","A lifetime definition, e.g. `'a: 'b+'c+'d`",null,null],[12,"attrs","","",5,null],[12,"lifetime","","",5,null],[12,"bounds","","",5,null],[3,"TyParam","","A generic type parameter, e.g. `T: Into<String>`.",null,null],[12,"attrs","","",6,null],[12,"ident","","",6,null],[12,"bounds","","",6,null],[12,"default","","",6,null],[3,"WhereBoundPredicate","","A type bound.",null,null],[12,"bound_lifetimes","","Any lifetimes from a `for` binding",7,null],[12,"bounded_ty","","The type being bounded",7,null],[12,"bounds","","Trait and lifetime bounds (`Clone+Send+'static`)",7,null],[3,"WhereClause","","A `where` clause in a definition",null,null],[12,"predicates","","",8,null],[3,"WhereEqPredicate","","An equality predicate (unsupported).",null,null],[12,"lhs_ty","","",9,null],[12,"rhs_ty","","",9,null],[3,"WhereRegionPredicate","","A lifetime predicate.",null,null],[12,"lifetime","","",10,null],[12,"bounds","","",10,null],[3,"ImplGenerics","","Returned by `Generics::split_for_impl`.",null,null],[3,"Turbofish","","Returned by `TyGenerics::as_turbofish`.",null,null],[3,"TyGenerics","","Returned by `Generics::split_for_impl`.",null,null],[3,"Ident","","",null,null],[3,"ByteStrLit","","",null,null],[12,"value","","",11,null],[12,"style","","",11,null],[3,"FloatLit","","",null,null],[12,"value","","",12,null],[12,"suffix","","",12,null],[3,"IntLit","","",null,null],[12,"value","","",13,null],[12,"suffix","","",13,null],[3,"StrLit","","",null,null],[12,"value","","",14,null],[12,"style","","",14,null],[3,"Delimited","","",null,null],[12,"delim","","The type of delimiter",15,null],[12,"tts","","The delimited sequence of token trees",15,null],[3,"Mac","","Represents a macro invocation. The Path indicates which macro is being invoked, and the vector of token-trees contains the source of the macro invocation.",null,null],[12,"path","","",16,null],[12,"tts","","",16,null],[3,"DeriveInput","","Struct or enum sent to a `proc_macro_derive` macro.",null,null],[12,"ident","","Name of the struct or enum.",17,null],[12,"vis","","Visibility of the struct or enum.",17,null],[12,"attrs","","Attributes tagged on the whole struct or enum.",17,null],[12,"generics","","Generics required to complete the definition.",17,null],[12,"body","","Data within the struct or enum.",17,null],[3,"AngleBracketedParameterData","","A path like `Foo<'a, T>`",null,null],[12,"lifetimes","","The lifetime parameters for this path segment.",18,null],[12,"types","","The type parameters for this path segment, if present.",18,null],[12,"bindings","","Bindings (equality constraints) on associated types, if present.",18,null],[3,"BareFnArg","","An argument in a function type.",null,null],[12,"name","","",19,null],[12,"ty","","",19,null],[3,"BareFnTy","","",null,null],[12,"unsafety","","",20,null],[12,"abi","","",20,null],[12,"lifetimes","","",20,null],[12,"inputs","","",20,null],[12,"output","","",20,null],[12,"variadic","","",20,null],[3,"MutTy","","",null,null],[12,"ty","","",21,null],[12,"mutability","","",21,null],[3,"ParenthesizedParameterData","","A path like `Foo(A,B) -> C`",null,null],[12,"inputs","","`(A, B)`",22,null],[12,"output","","`C`",22,null],[3,"Path","","A \"Path\" is essentially Rust's notion of a name.",null,null],[12,"global","","A `::foo` path, is relative to the crate root rather than current module (like paths in an import).",23,null],[12,"segments","","The segments in the path: the things separated by `::`.",23,null],[3,"PathSegment","","A segment of a path: an identifier, an optional lifetime, and a set of types.",null,null],[12,"ident","","The identifier portion of this path segment.",24,null],[12,"parameters","","Type/lifetime parameters attached to this path. They come in two flavors: `Path<A,B,C>` and `Path(A,B) -> C`. Note that this is more than just simple syntactic sugar; the use of parens affects the region binding rules, so we preserve the distinction.",24,null],[3,"PolyTraitRef","","",null,null],[12,"bound_lifetimes","","The `'a` in `<'a> Foo<&'a T>`",25,null],[12,"trait_ref","","The `Foo<&'a T>` in `<'a> Foo<&'a T>`",25,null],[3,"QSelf","","The explicit Self type in a \"qualified path\". The actual path, including the trait and the associated item, is stored separately. `position` represents the index of the associated item qualified with this Self type.",null,null],[12,"ty","","",26,null],[12,"position","","",26,null],[3,"TypeBinding","","Bind a type to an associated type: `A=Foo`.",null,null],[12,"ident","","",27,null],[12,"ty","","",27,null],[4,"AttrStyle","","Distinguishes between Attributes that decorate items and Attributes that are contained as statements within items. These two cases need to be distinguished for pretty-printing.",null,null],[13,"Outer","","Attribute of the form `#![...]`.",28,null],[13,"Inner","","Attribute of the form `#[...]`.",28,null],[4,"MetaItem","","A compile-time attribute item.",null,null],[13,"Word","","Word meta item.",29,null],[13,"List","","List meta item.",29,null],[13,"NameValue","","Name-value meta item.",29,null],[4,"NestedMetaItem","","Possible values inside of compile-time attribute lists.",null,null],[13,"MetaItem","","A full `MetaItem`.",30,null],[13,"Literal","","A Rust literal.",30,null],[4,"ConstExpr","","",null,null],[13,"Call","","A function call",31,null],[13,"Binary","","A binary operation (For example: `a + b`, `a * b`)",31,null],[13,"Unary","","A unary operation (For example: `!x`, `*x`)",31,null],[13,"Lit","","A literal (For example: `1`, `\"foo\"`)",31,null],[13,"Cast","","A cast (`foo as f64`)",31,null],[13,"Path","","Variable reference, possibly containing `::` and/or type parameters, e.g. foo::bar::.",31,null],[13,"Index","","An indexing operation (`foo[2]`)",31,null],[13,"Paren","","No-op: used solely so we can pretty-print faithfully",31,null],[13,"Other","","If compiling with full support for expression syntax, any expression is allowed",31,null],[4,"VariantData","","Data stored within an enum variant or struct.",null,null],[13,"Struct","","Struct variant, e.g. `Point { x: f64, y: f64 }`.",32,null],[13,"Tuple","","Tuple variant, e.g. `Some(T)`.",32,null],[13,"Unit","","Unit variant, e.g. `None`.",32,null],[4,"Visibility","","Visibility level of an item.",null,null],[13,"Public","","Public, i.e. `pub`.",33,null],[13,"Crate","","Crate-visible, i.e. `pub(crate)`.",33,null],[13,"Restricted","","Restricted, e.g. `pub(some::module)`.",33,null],[13,"Inherited","","Inherited, i.e. private.",33,null],[4,"TraitBoundModifier","","A modifier on a bound, currently this is only used for `?Sized`, where the modifier is `Maybe`. Negative bounds should also be handled here.",null,null],[13,"None","","",34,null],[13,"Maybe","","",34,null],[4,"TyParamBound","","The AST represents all type param bounds as types. `typeck::collect::compute_bounds` matches these against the \"special\" built-in traits (see `middle::lang_items`) and detects Copy, Send and Sync.",null,null],[13,"Trait","","",35,null],[13,"Region","","",35,null],[4,"WherePredicate","","A single predicate in a `where` clause",null,null],[13,"BoundPredicate","","A type binding, e.g. `for<'c> Foo: Send+Clone+'c`",36,null],[13,"RegionPredicate","","A lifetime predicate, e.g. `'a: 'b+'c`",36,null],[13,"EqPredicate","","An equality predicate (unsupported)",36,null],[4,"FloatTy","","",null,null],[13,"F32","","",37,null],[13,"F64","","",37,null],[13,"Unsuffixed","","",37,null],[4,"IntTy","","",null,null],[13,"Isize","","",38,null],[13,"I8","","",38,null],[13,"I16","","",38,null],[13,"I32","","",38,null],[13,"I64","","",38,null],[13,"Usize","","",38,null],[13,"U8","","",38,null],[13,"U16","","",38,null],[13,"U32","","",38,null],[13,"U64","","",38,null],[13,"Unsuffixed","","",38,null],[4,"Lit","","Literal kind.",null,null],[13,"Str","","A string literal (`\"foo\"`)",39,null],[13,"ByteStr","","A byte string (`b\"foo\"`)",39,null],[13,"Byte","","A byte char (`b'f'`)",39,null],[13,"Char","","A character literal (`'a'`)",39,null],[13,"Int","","An integer literal (`1`)",39,null],[13,"Float","","A float literal (`1f64` or `1E10f64` or `1.0E10`)",39,null],[13,"Bool","","A boolean literal",39,null],[4,"StrStyle","","",null,null],[13,"Cooked","","A regular string, like `\"foo\"`",40,null],[13,"Raw","","A raw string, like `r##\"foo\"##`",40,null],[4,"BinOpToken","","",null,null],[13,"Plus","","",41,null],[13,"Minus","","",41,null],[13,"Star","","",41,null],[13,"Slash","","",41,null],[13,"Percent","","",41,null],[13,"Caret","","",41,null],[13,"And","","",41,null],[13,"Or","","",41,null],[13,"Shl","","",41,null],[13,"Shr","","",41,null],[4,"DelimToken","","A delimiter token",null,null],[13,"Paren","","A round parenthesis: `(` or `)`",42,null],[13,"Bracket","","A square bracket: `[` or `]`",42,null],[13,"Brace","","A curly brace: `{` or `}`",42,null],[4,"Token","","",null,null],[13,"Eq","","",43,null],[13,"Lt","","",43,null],[13,"Le","","",43,null],[13,"EqEq","","",43,null],[13,"Ne","","",43,null],[13,"Ge","","",43,null],[13,"Gt","","",43,null],[13,"AndAnd","","",43,null],[13,"OrOr","","",43,null],[13,"Not","","",43,null],[13,"Tilde","","",43,null],[13,"BinOp","","",43,null],[13,"BinOpEq","","",43,null],[13,"At","","",43,null],[13,"Dot","","",43,null],[13,"DotDot","","",43,null],[13,"DotDotDot","","",43,null],[13,"Comma","","",43,null],[13,"Semi","","",43,null],[13,"Colon","","",43,null],[13,"ModSep","","",43,null],[13,"RArrow","","",43,null],[13,"LArrow","","",43,null],[13,"FatArrow","","",43,null],[13,"Pound","","",43,null],[13,"Dollar","","",43,null],[13,"Question","","",43,null],[13,"Literal","","",43,null],[13,"Ident","","",43,null],[13,"Underscore","","",43,null],[13,"Lifetime","","",43,null],[13,"DocComment","","",43,null],[4,"TokenTree","","When the main rust parser encounters a syntax-extension invocation, it parses the arguments to the invocation as a token-tree. This is a very loose structure, such that all sorts of different AST-fragments can be passed to syntax extensions using a uniform type.",null,null],[13,"Token","","A single token",44,null],[13,"Delimited","","A delimited sequence of token trees",44,null],[4,"Body","","Body of a derived struct or enum.",null,null],[13,"Enum","","It's an enum.",45,null],[13,"Struct","","It's a struct.",45,null],[4,"BinOp","","",null,null],[13,"Add","","The `+` operator (addition)",46,null],[13,"Sub","","The `-` operator (subtraction)",46,null],[13,"Mul","","The `*` operator (multiplication)",46,null],[13,"Div","","The `/` operator (division)",46,null],[13,"Rem","","The `%` operator (modulus)",46,null],[13,"And","","The `&&` operator (logical and)",46,null],[13,"Or","","The `||` operator (logical or)",46,null],[13,"BitXor","","The `^` operator (bitwise xor)",46,null],[13,"BitAnd","","The `&` operator (bitwise and)",46,null],[13,"BitOr","","The `|` operator (bitwise or)",46,null],[13,"Shl","","The `<<` operator (shift left)",46,null],[13,"Shr","","The `>>` operator (shift right)",46,null],[13,"Eq","","The `==` operator (equality)",46,null],[13,"Lt","","The `<` operator (less than)",46,null],[13,"Le","","The `<=` operator (less than or equal to)",46,null],[13,"Ne","","The `!=` operator (not equal to)",46,null],[13,"Ge","","The `>=` operator (greater than or equal to)",46,null],[13,"Gt","","The `>` operator (greater than)",46,null],[4,"UnOp","","",null,null],[13,"Deref","","The `*` operator for dereferencing",47,null],[13,"Not","","The `!` operator for logical inversion",47,null],[13,"Neg","","The `-` operator for negation",47,null],[4,"Abi","","",null,null],[13,"Named","","",48,null],[13,"Rust","","",48,null],[4,"FunctionRetTy","","",null,null],[13,"Default","","Return type is not specified.",49,null],[13,"Ty","","Everything else",49,null],[4,"Mutability","","",null,null],[13,"Mutable","","",50,null],[13,"Immutable","","",50,null],[4,"PathParameters","","Parameters of a path segment.",null,null],[13,"AngleBracketed","","The `<'a, A, B, C>` in `foo::bar::baz::<'a, A, B, C>`",51,null],[13,"Parenthesized","","The `(A, B)` and `C` in `Foo(A, B) -> C`",51,null],[4,"Ty","","The different kinds of types recognized by the compiler",null,null],[13,"Slice","","A variable-length array (`[T]`)",52,null],[13,"Array","","A fixed length array (`[T; n]`)",52,null],[13,"Ptr","","A raw pointer (`*const T` or `*mut T`)",52,null],[13,"Rptr","","A reference (`&'a T` or `&'a mut T`)",52,null],[13,"BareFn","","A bare function (e.g. `fn(usize) -> bool`)",52,null],[13,"Never","","The never type (`!`)",52,null],[13,"Tup","","A tuple (`(A, B, C, D, ...)`)",52,null],[13,"Path","","A path (`module::module::...::Type`), optionally \"qualified\", e.g. `<Vec<T> as SomeTrait>::SomeType`.",52,null],[13,"TraitObject","","A trait object type `Bound1 + Bound2 + Bound3` where `Bound` is a trait or a lifetime.",52,null],[13,"ImplTrait","","An `impl Bound1 + Bound2 + Bound3` type where `Bound` is a trait or a lifetime.",52,null],[13,"Paren","","No-op; kept solely so that we can pretty-print faithfully",52,null],[13,"Infer","","TyKind::Infer means the type should be inferred instead of it having been specified. This can appear anywhere in a type.",52,null],[13,"Mac","","A macro in the type position.",52,null],[4,"Unsafety","","",null,null],[13,"Unsafe","","",53,null],[13,"Normal","","",53,null],[5,"parse_derive_input","","",null,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[5,"parse_type","","",null,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[5,"parse_path","","",null,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[5,"parse_where_clause","","",null,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[5,"parse_token_trees","","",null,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[5,"parse_ident","","",null,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[5,"parse_ty_param_bound","","",null,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[5,"parse_outer_attr","","",null,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[11,"to_tokens","","",0,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",29,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",30,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"fmt","","",0,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",0,{"inputs":[{"name":"self"}],"output":{"name":"attribute"}}],[11,"eq","","",0,{"inputs":[{"name":"self"},{"name":"attribute"}],"output":{"name":"bool"}}],[11,"ne","","",0,{"inputs":[{"name":"self"},{"name":"attribute"}],"output":{"name":"bool"}}],[11,"hash","","",0,null],[11,"name","","",0,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"fmt","","",28,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",28,{"inputs":[{"name":"self"}],"output":{"name":"attrstyle"}}],[11,"eq","","",28,{"inputs":[{"name":"self"},{"name":"attrstyle"}],"output":{"name":"bool"}}],[11,"hash","","",28,null],[11,"fmt","","",29,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",29,{"inputs":[{"name":"self"}],"output":{"name":"metaitem"}}],[11,"eq","","",29,{"inputs":[{"name":"self"},{"name":"metaitem"}],"output":{"name":"bool"}}],[11,"ne","","",29,{"inputs":[{"name":"self"},{"name":"metaitem"}],"output":{"name":"bool"}}],[11,"hash","","",29,null],[11,"name","","Name of the item.",29,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"fmt","","",30,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",30,{"inputs":[{"name":"self"}],"output":{"name":"nestedmetaitem"}}],[11,"eq","","",30,{"inputs":[{"name":"self"},{"name":"nestedmetaitem"}],"output":{"name":"bool"}}],[11,"ne","","",30,{"inputs":[{"name":"self"},{"name":"nestedmetaitem"}],"output":{"name":"bool"}}],[11,"hash","","",30,null],[11,"to_tokens","","",31,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"fmt","","",31,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",31,{"inputs":[{"name":"self"}],"output":{"name":"constexpr"}}],[11,"eq","","",31,{"inputs":[{"name":"self"},{"name":"constexpr"}],"output":{"name":"bool"}}],[11,"ne","","",31,{"inputs":[{"name":"self"},{"name":"constexpr"}],"output":{"name":"bool"}}],[11,"hash","","",31,null],[11,"to_tokens","","",2,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",32,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",1,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",33,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"fmt","","",2,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",2,{"inputs":[{"name":"self"}],"output":{"name":"variant"}}],[11,"eq","","",2,{"inputs":[{"name":"self"},{"name":"variant"}],"output":{"name":"bool"}}],[11,"ne","","",2,{"inputs":[{"name":"self"},{"name":"variant"}],"output":{"name":"bool"}}],[11,"hash","","",2,null],[11,"fmt","","",32,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",32,{"inputs":[{"name":"self"}],"output":{"name":"variantdata"}}],[11,"eq","","",32,{"inputs":[{"name":"self"},{"name":"variantdata"}],"output":{"name":"bool"}}],[11,"ne","","",32,{"inputs":[{"name":"self"},{"name":"variantdata"}],"output":{"name":"bool"}}],[11,"hash","","",32,null],[11,"fields","","Slice containing the fields stored in the variant.",32,null],[11,"fields_mut","","Mutable slice containing the fields stored in the variant.",32,null],[11,"fmt","","",1,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",1,{"inputs":[{"name":"self"}],"output":{"name":"field"}}],[11,"eq","","",1,{"inputs":[{"name":"self"},{"name":"field"}],"output":{"name":"bool"}}],[11,"ne","","",1,{"inputs":[{"name":"self"},{"name":"field"}],"output":{"name":"bool"}}],[11,"hash","","",1,null],[11,"fmt","","",33,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",33,{"inputs":[{"name":"self"}],"output":{"name":"visibility"}}],[11,"eq","","",33,{"inputs":[{"name":"self"},{"name":"visibility"}],"output":{"name":"bool"}}],[11,"ne","","",33,{"inputs":[{"name":"self"},{"name":"visibility"}],"output":{"name":"bool"}}],[11,"hash","","",33,null],[11,"to_tokens","","",3,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",54,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",55,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",56,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",4,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",5,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",6,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",35,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",8,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",36,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",7,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",10,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",9,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"fmt","","",3,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",3,{"inputs":[{"name":"self"}],"output":{"name":"generics"}}],[11,"eq","","",3,{"inputs":[{"name":"self"},{"name":"generics"}],"output":{"name":"bool"}}],[11,"ne","","",3,{"inputs":[{"name":"self"},{"name":"generics"}],"output":{"name":"bool"}}],[11,"default","","",3,{"inputs":[],"output":{"name":"generics"}}],[11,"hash","","",3,null],[11,"fmt","","",54,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",55,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",56,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"split_for_impl","","Split a type's generics into the pieces required for impl'ing a trait for that type.",3,null],[11,"as_turbofish","","Turn a type's generics like `<X, Y>` into a turbofish like `::<X, Y>`.",55,{"inputs":[{"name":"self"}],"output":{"name":"turbofish"}}],[11,"fmt","","",4,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",4,{"inputs":[{"name":"self"}],"output":{"name":"lifetime"}}],[11,"eq","","",4,{"inputs":[{"name":"self"},{"name":"lifetime"}],"output":{"name":"bool"}}],[11,"ne","","",4,{"inputs":[{"name":"self"},{"name":"lifetime"}],"output":{"name":"bool"}}],[11,"hash","","",4,null],[11,"cmp","","",4,{"inputs":[{"name":"self"},{"name":"lifetime"}],"output":{"name":"ordering"}}],[11,"partial_cmp","","",4,{"inputs":[{"name":"self"},{"name":"lifetime"}],"output":{"name":"option"}}],[11,"lt","","",4,{"inputs":[{"name":"self"},{"name":"lifetime"}],"output":{"name":"bool"}}],[11,"le","","",4,{"inputs":[{"name":"self"},{"name":"lifetime"}],"output":{"name":"bool"}}],[11,"gt","","",4,{"inputs":[{"name":"self"},{"name":"lifetime"}],"output":{"name":"bool"}}],[11,"ge","","",4,{"inputs":[{"name":"self"},{"name":"lifetime"}],"output":{"name":"bool"}}],[11,"new","","",4,{"inputs":[{"name":"t"}],"output":{"name":"self"}}],[11,"fmt","","",5,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",5,{"inputs":[{"name":"self"}],"output":{"name":"lifetimedef"}}],[11,"eq","","",5,{"inputs":[{"name":"self"},{"name":"lifetimedef"}],"output":{"name":"bool"}}],[11,"ne","","",5,{"inputs":[{"name":"self"},{"name":"lifetimedef"}],"output":{"name":"bool"}}],[11,"hash","","",5,null],[11,"new","","",5,{"inputs":[{"name":"t"}],"output":{"name":"self"}}],[11,"fmt","","",6,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",6,{"inputs":[{"name":"self"}],"output":{"name":"typaram"}}],[11,"eq","","",6,{"inputs":[{"name":"self"},{"name":"typaram"}],"output":{"name":"bool"}}],[11,"ne","","",6,{"inputs":[{"name":"self"},{"name":"typaram"}],"output":{"name":"bool"}}],[11,"hash","","",6,null],[11,"from","","",6,{"inputs":[{"name":"ident"}],"output":{"name":"self"}}],[11,"fmt","","",35,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",35,{"inputs":[{"name":"self"}],"output":{"name":"typarambound"}}],[11,"eq","","",35,{"inputs":[{"name":"self"},{"name":"typarambound"}],"output":{"name":"bool"}}],[11,"ne","","",35,{"inputs":[{"name":"self"},{"name":"typarambound"}],"output":{"name":"bool"}}],[11,"hash","","",35,null],[11,"fmt","","",34,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",34,{"inputs":[{"name":"self"}],"output":{"name":"traitboundmodifier"}}],[11,"eq","","",34,{"inputs":[{"name":"self"},{"name":"traitboundmodifier"}],"output":{"name":"bool"}}],[11,"hash","","",34,null],[11,"fmt","","",8,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",8,{"inputs":[{"name":"self"}],"output":{"name":"whereclause"}}],[11,"eq","","",8,{"inputs":[{"name":"self"},{"name":"whereclause"}],"output":{"name":"bool"}}],[11,"ne","","",8,{"inputs":[{"name":"self"},{"name":"whereclause"}],"output":{"name":"bool"}}],[11,"default","","",8,{"inputs":[],"output":{"name":"whereclause"}}],[11,"hash","","",8,null],[11,"none","","",8,{"inputs":[],"output":{"name":"self"}}],[11,"fmt","","",36,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",36,{"inputs":[{"name":"self"}],"output":{"name":"wherepredicate"}}],[11,"eq","","",36,{"inputs":[{"name":"self"},{"name":"wherepredicate"}],"output":{"name":"bool"}}],[11,"ne","","",36,{"inputs":[{"name":"self"},{"name":"wherepredicate"}],"output":{"name":"bool"}}],[11,"hash","","",36,null],[11,"fmt","","",7,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",7,{"inputs":[{"name":"self"}],"output":{"name":"whereboundpredicate"}}],[11,"eq","","",7,{"inputs":[{"name":"self"},{"name":"whereboundpredicate"}],"output":{"name":"bool"}}],[11,"ne","","",7,{"inputs":[{"name":"self"},{"name":"whereboundpredicate"}],"output":{"name":"bool"}}],[11,"hash","","",7,null],[11,"fmt","","",10,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",10,{"inputs":[{"name":"self"}],"output":{"name":"whereregionpredicate"}}],[11,"eq","","",10,{"inputs":[{"name":"self"},{"name":"whereregionpredicate"}],"output":{"name":"bool"}}],[11,"ne","","",10,{"inputs":[{"name":"self"},{"name":"whereregionpredicate"}],"output":{"name":"bool"}}],[11,"hash","","",10,null],[11,"fmt","","",9,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",9,{"inputs":[{"name":"self"}],"output":{"name":"whereeqpredicate"}}],[11,"eq","","",9,{"inputs":[{"name":"self"},{"name":"whereeqpredicate"}],"output":{"name":"bool"}}],[11,"ne","","",9,{"inputs":[{"name":"self"},{"name":"whereeqpredicate"}],"output":{"name":"bool"}}],[11,"hash","","",9,null],[11,"to_tokens","","",57,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"fmt","","",57,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",57,{"inputs":[{"name":"self"}],"output":{"name":"ident"}}],[11,"hash","","",57,null],[11,"cmp","","",57,{"inputs":[{"name":"self"},{"name":"ident"}],"output":{"name":"ordering"}}],[11,"partial_cmp","","",57,{"inputs":[{"name":"self"},{"name":"ident"}],"output":{"name":"option"}}],[11,"lt","","",57,{"inputs":[{"name":"self"},{"name":"ident"}],"output":{"name":"bool"}}],[11,"le","","",57,{"inputs":[{"name":"self"},{"name":"ident"}],"output":{"name":"bool"}}],[11,"gt","","",57,{"inputs":[{"name":"self"},{"name":"ident"}],"output":{"name":"bool"}}],[11,"ge","","",57,{"inputs":[{"name":"self"},{"name":"ident"}],"output":{"name":"bool"}}],[11,"new","","",57,{"inputs":[{"name":"t"}],"output":{"name":"self"}}],[11,"from","","",57,{"inputs":[{"name":"str"}],"output":{"name":"self"}}],[11,"from","","",57,{"inputs":[{"name":"cow"}],"output":{"name":"self"}}],[11,"from","","",57,{"inputs":[{"name":"string"}],"output":{"name":"self"}}],[11,"from","","",57,{"inputs":[{"name":"usize"}],"output":{"name":"self"}}],[11,"as_ref","","",57,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"fmt","","",57,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",57,{"inputs":[{"name":"self"},{"name":"t"}],"output":{"name":"bool"}}],[11,"to_tokens","","",39,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"fmt","","",38,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",37,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",39,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",39,{"inputs":[{"name":"self"}],"output":{"name":"lit"}}],[11,"eq","","",39,{"inputs":[{"name":"self"},{"name":"lit"}],"output":{"name":"bool"}}],[11,"ne","","",39,{"inputs":[{"name":"self"},{"name":"lit"}],"output":{"name":"bool"}}],[11,"hash","","",39,null],[11,"fmt","","",40,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",40,{"inputs":[{"name":"self"}],"output":{"name":"strstyle"}}],[11,"eq","","",40,{"inputs":[{"name":"self"},{"name":"strstyle"}],"output":{"name":"bool"}}],[11,"ne","","",40,{"inputs":[{"name":"self"},{"name":"strstyle"}],"output":{"name":"bool"}}],[11,"hash","","",40,null],[11,"from","","",39,{"inputs":[{"name":"string"}],"output":{"name":"lit"}}],[11,"from","","",39,{"inputs":[{"name":"str"}],"output":{"name":"lit"}}],[11,"from","","",39,{"inputs":[{"name":"vec"}],"output":{"name":"lit"}}],[11,"from","","",39,null],[11,"from","","",39,{"inputs":[{"name":"char"}],"output":{"name":"lit"}}],[11,"from","","",39,{"inputs":[{"name":"bool"}],"output":{"name":"lit"}}],[11,"fmt","","",38,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",38,{"inputs":[{"name":"self"}],"output":{"name":"intty"}}],[11,"eq","","",38,{"inputs":[{"name":"self"},{"name":"intty"}],"output":{"name":"bool"}}],[11,"hash","","",38,null],[11,"fmt","","",37,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",37,{"inputs":[{"name":"self"}],"output":{"name":"floatty"}}],[11,"eq","","",37,{"inputs":[{"name":"self"},{"name":"floatty"}],"output":{"name":"bool"}}],[11,"hash","","",37,null],[11,"from","","",39,{"inputs":[{"name":"isize"}],"output":{"name":"lit"}}],[11,"from","","",39,{"inputs":[{"name":"i8"}],"output":{"name":"lit"}}],[11,"from","","",39,{"inputs":[{"name":"i16"}],"output":{"name":"lit"}}],[11,"from","","",39,{"inputs":[{"name":"i32"}],"output":{"name":"lit"}}],[11,"from","","",39,{"inputs":[{"name":"i64"}],"output":{"name":"lit"}}],[11,"from","","",39,{"inputs":[{"name":"usize"}],"output":{"name":"lit"}}],[11,"from","","",39,{"inputs":[{"name":"u8"}],"output":{"name":"lit"}}],[11,"from","","",39,{"inputs":[{"name":"u16"}],"output":{"name":"lit"}}],[11,"from","","",39,{"inputs":[{"name":"u32"}],"output":{"name":"lit"}}],[11,"from","","",39,{"inputs":[{"name":"u64"}],"output":{"name":"lit"}}],[11,"from","","",39,{"inputs":[{"name":"f32"}],"output":{"name":"lit"}}],[11,"from","","",39,{"inputs":[{"name":"f64"}],"output":{"name":"lit"}}],[11,"fmt","","",14,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",14,{"inputs":[{"name":"self"}],"output":{"name":"strlit"}}],[11,"fmt","","",11,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",11,{"inputs":[{"name":"self"}],"output":{"name":"bytestrlit"}}],[11,"fmt","","",13,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",13,{"inputs":[{"name":"self"}],"output":{"name":"intlit"}}],[11,"fmt","","",12,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",12,{"inputs":[{"name":"self"}],"output":{"name":"floatlit"}}],[11,"to_tokens","","",16,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",44,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",15,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",43,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",41,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"fmt","","",16,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",16,{"inputs":[{"name":"self"}],"output":{"name":"mac"}}],[11,"eq","","",16,{"inputs":[{"name":"self"},{"name":"mac"}],"output":{"name":"bool"}}],[11,"ne","","",16,{"inputs":[{"name":"self"},{"name":"mac"}],"output":{"name":"bool"}}],[11,"hash","","",16,null],[11,"fmt","","",44,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",44,{"inputs":[{"name":"self"}],"output":{"name":"tokentree"}}],[11,"eq","","",44,{"inputs":[{"name":"self"},{"name":"tokentree"}],"output":{"name":"bool"}}],[11,"ne","","",44,{"inputs":[{"name":"self"},{"name":"tokentree"}],"output":{"name":"bool"}}],[11,"hash","","",44,null],[11,"fmt","","",15,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",15,{"inputs":[{"name":"self"}],"output":{"name":"delimited"}}],[11,"eq","","",15,{"inputs":[{"name":"self"},{"name":"delimited"}],"output":{"name":"bool"}}],[11,"ne","","",15,{"inputs":[{"name":"self"},{"name":"delimited"}],"output":{"name":"bool"}}],[11,"hash","","",15,null],[11,"fmt","","",43,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",43,{"inputs":[{"name":"self"}],"output":{"name":"token"}}],[11,"eq","","",43,{"inputs":[{"name":"self"},{"name":"token"}],"output":{"name":"bool"}}],[11,"ne","","",43,{"inputs":[{"name":"self"},{"name":"token"}],"output":{"name":"bool"}}],[11,"hash","","",43,null],[11,"fmt","","",41,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",41,{"inputs":[{"name":"self"}],"output":{"name":"binoptoken"}}],[11,"eq","","",41,{"inputs":[{"name":"self"},{"name":"binoptoken"}],"output":{"name":"bool"}}],[11,"hash","","",41,null],[11,"fmt","","",42,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",42,{"inputs":[{"name":"self"}],"output":{"name":"delimtoken"}}],[11,"eq","","",42,{"inputs":[{"name":"self"},{"name":"delimtoken"}],"output":{"name":"bool"}}],[11,"hash","","",42,null],[11,"to_tokens","","",17,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"fmt","","",17,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",17,{"inputs":[{"name":"self"}],"output":{"name":"deriveinput"}}],[11,"eq","","",17,{"inputs":[{"name":"self"},{"name":"deriveinput"}],"output":{"name":"bool"}}],[11,"ne","","",17,{"inputs":[{"name":"self"},{"name":"deriveinput"}],"output":{"name":"bool"}}],[11,"hash","","",17,null],[11,"fmt","","",45,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",45,{"inputs":[{"name":"self"}],"output":{"name":"body"}}],[11,"eq","","",45,{"inputs":[{"name":"self"},{"name":"body"}],"output":{"name":"bool"}}],[11,"ne","","",45,{"inputs":[{"name":"self"},{"name":"body"}],"output":{"name":"bool"}}],[11,"hash","","",45,null],[11,"op","","",46,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"assign_op","","",46,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"to_tokens","","",46,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"op","","",47,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"to_tokens","","",47,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"fmt","","",46,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",46,{"inputs":[{"name":"self"}],"output":{"name":"binop"}}],[11,"eq","","",46,{"inputs":[{"name":"self"},{"name":"binop"}],"output":{"name":"bool"}}],[11,"hash","","",46,null],[11,"fmt","","",47,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",47,{"inputs":[{"name":"self"}],"output":{"name":"unop"}}],[11,"eq","","",47,{"inputs":[{"name":"self"},{"name":"unop"}],"output":{"name":"bool"}}],[11,"hash","","",47,null],[11,"to_tokens","","",52,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",50,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",23,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",24,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",51,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",18,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",27,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",22,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",25,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",20,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",19,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",53,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"to_tokens","","",48,{"inputs":[{"name":"self"},{"name":"tokens"}],"output":null}],[11,"fmt","","",52,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",52,{"inputs":[{"name":"self"}],"output":{"name":"ty"}}],[11,"eq","","",52,{"inputs":[{"name":"self"},{"name":"ty"}],"output":{"name":"bool"}}],[11,"ne","","",52,{"inputs":[{"name":"self"},{"name":"ty"}],"output":{"name":"bool"}}],[11,"hash","","",52,null],[11,"fmt","","",21,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",21,{"inputs":[{"name":"self"}],"output":{"name":"mutty"}}],[11,"eq","","",21,{"inputs":[{"name":"self"},{"name":"mutty"}],"output":{"name":"bool"}}],[11,"ne","","",21,{"inputs":[{"name":"self"},{"name":"mutty"}],"output":{"name":"bool"}}],[11,"hash","","",21,null],[11,"fmt","","",50,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",50,{"inputs":[{"name":"self"}],"output":{"name":"mutability"}}],[11,"eq","","",50,{"inputs":[{"name":"self"},{"name":"mutability"}],"output":{"name":"bool"}}],[11,"hash","","",50,null],[11,"fmt","","",23,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",23,{"inputs":[{"name":"self"}],"output":{"name":"path"}}],[11,"eq","","",23,{"inputs":[{"name":"self"},{"name":"path"}],"output":{"name":"bool"}}],[11,"ne","","",23,{"inputs":[{"name":"self"},{"name":"path"}],"output":{"name":"bool"}}],[11,"hash","","",23,null],[11,"from","","",23,{"inputs":[{"name":"t"}],"output":{"name":"self"}}],[11,"fmt","","",24,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",24,{"inputs":[{"name":"self"}],"output":{"name":"pathsegment"}}],[11,"eq","","",24,{"inputs":[{"name":"self"},{"name":"pathsegment"}],"output":{"name":"bool"}}],[11,"ne","","",24,{"inputs":[{"name":"self"},{"name":"pathsegment"}],"output":{"name":"bool"}}],[11,"hash","","",24,null],[11,"from","","",24,{"inputs":[{"name":"t"}],"output":{"name":"self"}}],[11,"fmt","","",51,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",51,{"inputs":[{"name":"self"}],"output":{"name":"pathparameters"}}],[11,"eq","","",51,{"inputs":[{"name":"self"},{"name":"pathparameters"}],"output":{"name":"bool"}}],[11,"ne","","",51,{"inputs":[{"name":"self"},{"name":"pathparameters"}],"output":{"name":"bool"}}],[11,"hash","","",51,null],[11,"none","","",51,{"inputs":[],"output":{"name":"self"}}],[11,"is_empty","","",51,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"fmt","","",18,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",18,{"inputs":[{"name":"self"}],"output":{"name":"anglebracketedparameterdata"}}],[11,"eq","","",18,{"inputs":[{"name":"self"},{"name":"anglebracketedparameterdata"}],"output":{"name":"bool"}}],[11,"ne","","",18,{"inputs":[{"name":"self"},{"name":"anglebracketedparameterdata"}],"output":{"name":"bool"}}],[11,"default","","",18,{"inputs":[],"output":{"name":"anglebracketedparameterdata"}}],[11,"hash","","",18,null],[11,"fmt","","",27,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",27,{"inputs":[{"name":"self"}],"output":{"name":"typebinding"}}],[11,"eq","","",27,{"inputs":[{"name":"self"},{"name":"typebinding"}],"output":{"name":"bool"}}],[11,"ne","","",27,{"inputs":[{"name":"self"},{"name":"typebinding"}],"output":{"name":"bool"}}],[11,"hash","","",27,null],[11,"fmt","","",22,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",22,{"inputs":[{"name":"self"}],"output":{"name":"parenthesizedparameterdata"}}],[11,"eq","","",22,{"inputs":[{"name":"self"},{"name":"parenthesizedparameterdata"}],"output":{"name":"bool"}}],[11,"ne","","",22,{"inputs":[{"name":"self"},{"name":"parenthesizedparameterdata"}],"output":{"name":"bool"}}],[11,"hash","","",22,null],[11,"fmt","","",25,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",25,{"inputs":[{"name":"self"}],"output":{"name":"polytraitref"}}],[11,"eq","","",25,{"inputs":[{"name":"self"},{"name":"polytraitref"}],"output":{"name":"bool"}}],[11,"ne","","",25,{"inputs":[{"name":"self"},{"name":"polytraitref"}],"output":{"name":"bool"}}],[11,"hash","","",25,null],[11,"fmt","","",26,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",26,{"inputs":[{"name":"self"}],"output":{"name":"qself"}}],[11,"eq","","",26,{"inputs":[{"name":"self"},{"name":"qself"}],"output":{"name":"bool"}}],[11,"ne","","",26,{"inputs":[{"name":"self"},{"name":"qself"}],"output":{"name":"bool"}}],[11,"hash","","",26,null],[11,"fmt","","",20,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",20,{"inputs":[{"name":"self"}],"output":{"name":"barefnty"}}],[11,"eq","","",20,{"inputs":[{"name":"self"},{"name":"barefnty"}],"output":{"name":"bool"}}],[11,"ne","","",20,{"inputs":[{"name":"self"},{"name":"barefnty"}],"output":{"name":"bool"}}],[11,"hash","","",20,null],[11,"fmt","","",53,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",53,{"inputs":[{"name":"self"}],"output":{"name":"unsafety"}}],[11,"eq","","",53,{"inputs":[{"name":"self"},{"name":"unsafety"}],"output":{"name":"bool"}}],[11,"hash","","",53,null],[11,"fmt","","",48,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",48,{"inputs":[{"name":"self"}],"output":{"name":"abi"}}],[11,"eq","","",48,{"inputs":[{"name":"self"},{"name":"abi"}],"output":{"name":"bool"}}],[11,"ne","","",48,{"inputs":[{"name":"self"},{"name":"abi"}],"output":{"name":"bool"}}],[11,"hash","","",48,null],[11,"fmt","","",19,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",19,{"inputs":[{"name":"self"}],"output":{"name":"barefnarg"}}],[11,"eq","","",19,{"inputs":[{"name":"self"},{"name":"barefnarg"}],"output":{"name":"bool"}}],[11,"ne","","",19,{"inputs":[{"name":"self"},{"name":"barefnarg"}],"output":{"name":"bool"}}],[11,"hash","","",19,null],[11,"fmt","","",49,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",49,{"inputs":[{"name":"self"}],"output":{"name":"functionretty"}}],[11,"eq","","",49,{"inputs":[{"name":"self"},{"name":"functionretty"}],"output":{"name":"bool"}}],[11,"ne","","",49,{"inputs":[{"name":"self"},{"name":"functionretty"}],"output":{"name":"bool"}}],[11,"hash","","",49,null],[0,"visit","","AST walker. Each overridden visit method has full control over what happens with its node, it can do its own traversal of the node's children, call `visit::walk_*` to apply the default traversal algorithm, or prevent deeper traversal by doing nothing.",null,null],[5,"walk_opt_ident","syn::visit","",null,{"inputs":[{"name":"v"},{"name":"option"}],"output":null}],[5,"walk_lifetime_def","","",null,{"inputs":[{"name":"v"},{"name":"lifetimedef"}],"output":null}],[5,"walk_poly_trait_ref","","",null,{"inputs":[{"name":"v"},{"name":"polytraitref"},{"name":"traitboundmodifier"}],"output":null}],[5,"walk_derive_input","","",null,{"inputs":[{"name":"v"},{"name":"deriveinput"}],"output":null}],[5,"walk_variant","","",null,{"inputs":[{"name":"v"},{"name":"variant"},{"name":"generics"}],"output":null}],[5,"walk_ty","","",null,{"inputs":[{"name":"v"},{"name":"ty"}],"output":null}],[5,"walk_path","","",null,{"inputs":[{"name":"v"},{"name":"path"}],"output":null}],[5,"walk_path_segment","","",null,{"inputs":[{"name":"v"},{"name":"pathsegment"}],"output":null}],[5,"walk_path_parameters","","",null,{"inputs":[{"name":"v"},{"name":"pathparameters"}],"output":null}],[5,"walk_assoc_type_binding","","",null,{"inputs":[{"name":"v"},{"name":"typebinding"}],"output":null}],[5,"walk_ty_param_bound","","",null,{"inputs":[{"name":"v"},{"name":"typarambound"}],"output":null}],[5,"walk_generics","","",null,{"inputs":[{"name":"v"},{"name":"generics"}],"output":null}],[5,"walk_fn_ret_ty","","",null,{"inputs":[{"name":"v"},{"name":"functionretty"}],"output":null}],[5,"walk_variant_data","","",null,{"inputs":[{"name":"v"},{"name":"variantdata"}],"output":null}],[5,"walk_field","","",null,{"inputs":[{"name":"v"},{"name":"field"}],"output":null}],[5,"walk_const_expr","","",null,{"inputs":[{"name":"v"},{"name":"constexpr"}],"output":null}],[5,"walk_mac","","",null,{"inputs":[{"name":"v"},{"name":"mac"}],"output":null}],[8,"Visitor","","Each method of the Visitor trait is a hook to be potentially overridden.  Each method's default implementation recursively visits the substructure of the input via the corresponding `walk` method; e.g. the `visit_mod` method by default calls `visit::walk_mod`.",null,null],[11,"visit_ident","","",58,{"inputs":[{"name":"self"},{"name":"ident"}],"output":null}],[11,"visit_derive_input","","",58,{"inputs":[{"name":"self"},{"name":"deriveinput"}],"output":null}],[11,"visit_ty","","",58,{"inputs":[{"name":"self"},{"name":"ty"}],"output":null}],[11,"visit_generics","","",58,{"inputs":[{"name":"self"},{"name":"generics"}],"output":null}],[11,"visit_ty_param_bound","","",58,{"inputs":[{"name":"self"},{"name":"typarambound"}],"output":null}],[11,"visit_poly_trait_ref","","",58,{"inputs":[{"name":"self"},{"name":"polytraitref"},{"name":"traitboundmodifier"}],"output":null}],[11,"visit_variant_data","","",58,{"inputs":[{"name":"self"},{"name":"variantdata"},{"name":"ident"},{"name":"generics"}],"output":null}],[11,"visit_field","","",58,{"inputs":[{"name":"self"},{"name":"field"}],"output":null}],[11,"visit_variant","","",58,{"inputs":[{"name":"self"},{"name":"variant"},{"name":"generics"}],"output":null}],[11,"visit_lifetime","","",58,{"inputs":[{"name":"self"},{"name":"lifetime"}],"output":null}],[11,"visit_lifetime_def","","",58,{"inputs":[{"name":"self"},{"name":"lifetimedef"}],"output":null}],[11,"visit_path","","",58,{"inputs":[{"name":"self"},{"name":"path"}],"output":null}],[11,"visit_path_segment","","",58,{"inputs":[{"name":"self"},{"name":"pathsegment"}],"output":null}],[11,"visit_path_parameters","","",58,{"inputs":[{"name":"self"},{"name":"pathparameters"}],"output":null}],[11,"visit_assoc_type_binding","","",58,{"inputs":[{"name":"self"},{"name":"typebinding"}],"output":null}],[11,"visit_attribute","","",58,{"inputs":[{"name":"self"},{"name":"attribute"}],"output":null}],[11,"visit_fn_ret_ty","","",58,{"inputs":[{"name":"self"},{"name":"functionretty"}],"output":null}],[11,"visit_const_expr","","",58,{"inputs":[{"name":"self"},{"name":"constexpr"}],"output":null}],[11,"visit_lit","","",58,{"inputs":[{"name":"self"},{"name":"lit"}],"output":null}],[11,"visit_mac","","",58,{"inputs":[{"name":"self"},{"name":"mac"}],"output":null}],[0,"parse","syn","This module contains a set of exported nom parsers which can be used to parse custom grammars when used alongside the `synom` crate.",null,null],[4,"IResult","syn::parse","The result of a parser.",null,null],[13,"Done","","Parsing succeeded. The first field contains the rest of the unparsed data and the second field contains the parse result.",59,null],[13,"Error","","Parsing failed.",59,null],[5,"lit","","",null,{"inputs":[{"name":"str"}],"output":{"name":"iresult"}}],[5,"string","","",null,{"inputs":[{"name":"str"}],"output":{"name":"iresult"}}],[5,"byte_string","","",null,{"inputs":[{"name":"str"}],"output":{"name":"iresult"}}],[5,"byte","","",null,{"inputs":[{"name":"str"}],"output":{"name":"iresult"}}],[5,"character","","",null,{"inputs":[{"name":"str"}],"output":{"name":"iresult"}}],[5,"float","","",null,{"inputs":[{"name":"str"}],"output":{"name":"iresult"}}],[5,"int","","",null,{"inputs":[{"name":"str"}],"output":{"name":"iresult"}}],[5,"boolean","","",null,{"inputs":[{"name":"str"}],"output":{"name":"iresult"}}],[5,"ty","","",null,{"inputs":[{"name":"str"}],"output":{"name":"iresult"}}],[5,"path","","",null,{"inputs":[{"name":"str"}],"output":{"name":"iresult"}}],[5,"tt","","",null,{"inputs":[{"name":"str"}],"output":{"name":"iresult"}}],[5,"ident","","",null,{"inputs":[{"name":"str"}],"output":{"name":"iresult"}}],[5,"lifetime","","",null,{"inputs":[{"name":"str"}],"output":{"name":"iresult"}}],[11,"expect","","Unwraps the result, asserting the the parse is complete. Panics with a message based on the given string if the parse failed or is incomplete.",59,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"o"}}],[11,"fmt","","",59,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",59,{"inputs":[{"name":"self"}],"output":{"name":"iresult"}}],[11,"eq","","",59,{"inputs":[{"name":"self"},{"name":"iresult"}],"output":{"name":"bool"}}],[11,"ne","","",59,{"inputs":[{"name":"self"},{"name":"iresult"}],"output":{"name":"bool"}}]],"paths":[[3,"Attribute"],[3,"Field"],[3,"Variant"],[3,"Generics"],[3,"Lifetime"],[3,"LifetimeDef"],[3,"TyParam"],[3,"WhereBoundPredicate"],[3,"WhereClause"],[3,"WhereEqPredicate"],[3,"WhereRegionPredicate"],[3,"ByteStrLit"],[3,"FloatLit"],[3,"IntLit"],[3,"StrLit"],[3,"Delimited"],[3,"Mac"],[3,"DeriveInput"],[3,"AngleBracketedParameterData"],[3,"BareFnArg"],[3,"BareFnTy"],[3,"MutTy"],[3,"ParenthesizedParameterData"],[3,"Path"],[3,"PathSegment"],[3,"PolyTraitRef"],[3,"QSelf"],[3,"TypeBinding"],[4,"AttrStyle"],[4,"MetaItem"],[4,"NestedMetaItem"],[4,"ConstExpr"],[4,"VariantData"],[4,"Visibility"],[4,"TraitBoundModifier"],[4,"TyParamBound"],[4,"WherePredicate"],[4,"FloatTy"],[4,"IntTy"],[4,"Lit"],[4,"StrStyle"],[4,"BinOpToken"],[4,"DelimToken"],[4,"Token"],[4,"TokenTree"],[4,"Body"],[4,"BinOp"],[4,"UnOp"],[4,"Abi"],[4,"FunctionRetTy"],[4,"Mutability"],[4,"PathParameters"],[4,"Ty"],[4,"Unsafety"],[3,"ImplGenerics"],[3,"TyGenerics"],[3,"Turbofish"],[3,"Ident"],[8,"Visitor"],[4,"IResult"]]};
searchIndex["synom"] = {"doc":"Adapted from `nom` by removing the `IResult::Incomplete` variant which:","items":[[4,"IResult","synom","The result of a parser.",null,null],[13,"Done","","Parsing succeeded. The first field contains the rest of the unparsed data and the second field contains the parse result.",0,null],[13,"Error","","Parsing failed.",0,null],[11,"fmt","","",0,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",0,{"inputs":[{"name":"self"},{"name":"iresult"}],"output":{"name":"bool"}}],[11,"ne","","",0,{"inputs":[{"name":"self"},{"name":"iresult"}],"output":{"name":"bool"}}],[11,"clone","","",0,{"inputs":[{"name":"self"}],"output":{"name":"iresult"}}],[11,"expect","","Unwraps the result, asserting the the parse is complete. Panics with a message based on the given string if the parse failed or is incomplete.",0,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"o"}}],[14,"punct","","Parse a piece of punctuation like \"+\" or \"+=\".",null,null],[14,"keyword","","Parse a keyword like \"fn\" or \"struct\".",null,null],[14,"option","","Turn a failed parse into `None` and a successful parse into `Some`.",null,null],[14,"opt_vec","","Turn a failed parse into an empty vector. The argument parser must itself return a vector.",null,null],[14,"epsilon","","Parses nothing and always succeeds.",null,null],[14,"separated_list","","Zero or more values separated by some separator. Does not allow a trailing seperator.",null,null],[14,"terminated_list","","Zero or more values separated by some separator. A trailing separator is allowed.",null,null],[14,"named","","Define a function from a parser combination.",null,null],[14,"call","","Invoke the given parser function with the passed in arguments.",null,null],[14,"map","","Transform the result of a parser by applying a function or closure.",null,null],[14,"not","","Parses successfully if the given parser fails to parse. Does not consume any of the input.",null,null],[14,"cond","","Conditionally execute the given parser.",null,null],[14,"cond_reduce","","Fail to parse if condition is false, otherwise parse the given parser.",null,null],[14,"preceded","","Parse two things, returning the value of the second.",null,null],[14,"terminated","","Parse two things, returning the value of the first.",null,null],[14,"many0","","Parse zero or more values using the given parser.",null,null],[14,"peek","","Parse a value without consuming it from the input data.",null,null],[14,"take_until","","Parse the part of the input up to but not including the given string. Fail to parse if the given string is not present in the input.",null,null],[14,"tag","","Parse the given string from exactly the current position in the input. You almost always want `punct!` or `keyword!` instead of this.",null,null],[14,"switch","","Pattern-match the result of a parser to select which other parser to run.",null,null],[14,"value","","Produce the given value without parsing anything. Useful as an argument to `switch!`.",null,null],[14,"delimited","","Value surrounded by a pair of delimiters.",null,null],[14,"separated_nonempty_list","","One or more values separated by some separator. Does not allow a trailing separator.",null,null],[14,"tuple","","Run a series of parsers and produce all of the results in a tuple.",null,null],[14,"alt","","Run a series of parsers, returning the result of the first one which succeeds.",null,null],[14,"do_parse","","Run a series of parsers, one after another, optionally assigning the results a name. Fail if any of the parsers fails.",null,null]],"paths":[[4,"IResult"]]};
searchIndex["thread_id"] = {"doc":"Thread-ID: get a unique ID for the current thread.","items":[[5,"get","thread_id","Returns a number that is unique to the calling thread.",null,{"inputs":[],"output":{"name":"usize"}}]],"paths":[]};
searchIndex["thread_local"] = {"doc":"Per-object thread-local storage","items":[[3,"ThreadLocal","thread_local","Thread-local variable wrapper",null,null],[3,"IterMut","","Mutable iterator over the contents of a `ThreadLocal`.",null,null],[3,"IntoIter","","An iterator that moves out of a `ThreadLocal`.",null,null],[3,"CachedThreadLocal","","Wrapper around `ThreadLocal` which adds a fast path for a single thread.",null,null],[6,"CachedIterMut","","Mutable iterator over the contents of a `CachedThreadLocal`.",null,null],[6,"CachedIntoIter","","An iterator that moves out of a `CachedThreadLocal`.",null,null],[11,"default","","",0,{"inputs":[],"output":{"name":"threadlocal"}}],[11,"drop","","",0,{"inputs":[{"name":"self"}],"output":null}],[11,"new","","Creates a new empty `ThreadLocal`.",0,{"inputs":[],"output":{"name":"threadlocal"}}],[11,"get","","Returns the element for the current thread, if it exists.",0,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_or","","Returns the element for the current thread, or creates it if it doesn't exist.",0,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"t"}}],[11,"get_or_try","","Returns the element for the current thread, or creates it if it doesn't exist. If `create` fails, that error is returned and no element is added.",0,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"result"}}],[11,"iter_mut","","Returns a mutable iterator over the local values of all threads.",0,{"inputs":[{"name":"self"}],"output":{"name":"itermut"}}],[11,"clear","","Removes all thread-specific values from the `ThreadLocal`, effectively reseting it to its original state.",0,{"inputs":[{"name":"self"}],"output":null}],[11,"into_iter","","",0,{"inputs":[{"name":"self"}],"output":{"name":"intoiter"}}],[11,"get_default","","Returns the element for the current thread, or creates a default one if it doesn't exist.",0,{"inputs":[{"name":"self"}],"output":{"name":"t"}}],[11,"fmt","","",0,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"next","","",1,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"size_hint","","",1,null],[11,"next","","",2,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"size_hint","","",2,null],[11,"default","","",3,{"inputs":[],"output":{"name":"cachedthreadlocal"}}],[11,"new","","Creates a new empty `CachedThreadLocal`.",3,{"inputs":[],"output":{"name":"cachedthreadlocal"}}],[11,"get","","Returns the element for the current thread, if it exists.",3,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"get_or","","Returns the element for the current thread, or creates it if it doesn't exist.",3,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"t"}}],[11,"get_or_try","","Returns the element for the current thread, or creates it if it doesn't exist. If `create` fails, that error is returned and no element is added.",3,{"inputs":[{"name":"self"},{"name":"f"}],"output":{"name":"result"}}],[11,"iter_mut","","Returns a mutable iterator over the local values of all threads.",3,{"inputs":[{"name":"self"}],"output":{"name":"cacheditermut"}}],[11,"clear","","Removes all thread-specific values from the `ThreadLocal`, effectively reseting it to its original state.",3,{"inputs":[{"name":"self"}],"output":null}],[11,"into_iter","","",3,{"inputs":[{"name":"self"}],"output":{"name":"cachedintoiter"}}],[11,"get_default","","Returns the element for the current thread, or creates a default one if it doesn't exist.",3,{"inputs":[{"name":"self"}],"output":{"name":"t"}}],[11,"fmt","","",3,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}]],"paths":[[3,"ThreadLocal"],[3,"IterMut"],[3,"IntoIter"],[3,"CachedThreadLocal"]]};
searchIndex["time"] = {"doc":"Simple time handling.","items":[[3,"Duration","time","ISO 8601 time duration with nanosecond precision. This also allows for the negative duration; see individual methods for details.",null,null],[3,"OutOfRangeError","","Represents error when converting `Duration` to/from a standard library implementation",null,null],[3,"Timespec","","A record specifying a time value in seconds and nanoseconds, where nanoseconds represent the offset from the given second.",null,null],[12,"sec","","",0,null],[12,"nsec","","",0,null],[3,"PreciseTime","","An opaque structure representing a moment in time.",null,null],[3,"SteadyTime","","A structure representing a moment in time.",null,null],[3,"Tm","","Holds a calendar date and time broken down into its components (year, month, day, and so on), also called a broken-down time value.",null,null],[12,"tm_sec","","Seconds after the minute - [0, 60]",1,null],[12,"tm_min","","Minutes after the hour - [0, 59]",1,null],[12,"tm_hour","","Hours after midnight - [0, 23]",1,null],[12,"tm_mday","","Day of the month - [1, 31]",1,null],[12,"tm_mon","","Months since January - [0, 11]",1,null],[12,"tm_year","","Years since 1900",1,null],[12,"tm_wday","","Days since Sunday - [0, 6]. 0 = Sunday, 1 = Monday, ..., 6 = Saturday.",1,null],[12,"tm_yday","","Days since January 1 - [0, 365]",1,null],[12,"tm_isdst","","Daylight Saving Time flag.",1,null],[12,"tm_utcoff","","Identifies the time zone that was used to compute this broken-down time value, including any adjustment for Daylight Saving Time. This is the number of seconds east of UTC. For example, for U.S. Pacific Daylight Time, the value is -76060 = -25200.",1,null],[12,"tm_nsec","","Nanoseconds after the second - [0, 109 - 1]",1,null],[3,"TmFmt","","A wrapper around a `Tm` and format string that implements Display.",null,null],[4,"ParseError","","",null,null],[13,"InvalidSecond","","",2,null],[13,"InvalidMinute","","",2,null],[13,"InvalidHour","","",2,null],[13,"InvalidDay","","",2,null],[13,"InvalidMonth","","",2,null],[13,"InvalidYear","","",2,null],[13,"InvalidDayOfWeek","","",2,null],[13,"InvalidDayOfMonth","","",2,null],[13,"InvalidDayOfYear","","",2,null],[13,"InvalidZoneOffset","","",2,null],[13,"InvalidTime","","",2,null],[13,"InvalidSecondsSinceEpoch","","",2,null],[13,"MissingFormatConverter","","",2,null],[13,"InvalidFormatSpecifier","","",2,null],[13,"UnexpectedCharacter","","",2,null],[5,"strptime","","Parses the time from the string according to the format string.",null,{"inputs":[{"name":"str"},{"name":"str"}],"output":{"name":"result"}}],[5,"get_time","","Returns the current time as a `timespec` containing the seconds and nanoseconds since 1970-01-01T00:00:00Z.",null,{"inputs":[],"output":{"name":"timespec"}}],[5,"precise_time_ns","","Returns the current value of a high-resolution performance counter in nanoseconds since an unspecified epoch.",null,{"inputs":[],"output":{"name":"u64"}}],[5,"precise_time_s","","Returns the current value of a high-resolution performance counter in seconds since an unspecified epoch.",null,{"inputs":[],"output":{"name":"f64"}}],[5,"tzset","","",null,{"inputs":[],"output":null}],[5,"empty_tm","","",null,{"inputs":[],"output":{"name":"tm"}}],[5,"at_utc","","Returns the specified time in UTC",null,{"inputs":[{"name":"timespec"}],"output":{"name":"tm"}}],[5,"now_utc","","Returns the current time in UTC",null,{"inputs":[],"output":{"name":"tm"}}],[5,"at","","Returns the specified time in the local timezone",null,{"inputs":[{"name":"timespec"}],"output":{"name":"tm"}}],[5,"now","","Returns the current time in the local timezone",null,{"inputs":[],"output":{"name":"tm"}}],[5,"strftime","","Formats the time according to the format string.",null,{"inputs":[{"name":"str"},{"name":"tm"}],"output":{"name":"result"}}],[11,"fmt","","",3,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",4,{"inputs":[{"name":"self"}],"output":{"name":"duration"}}],[11,"eq","","",4,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"bool"}}],[11,"ne","","",4,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",4,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"option"}}],[11,"lt","","",4,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"bool"}}],[11,"le","","",4,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"bool"}}],[11,"gt","","",4,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"bool"}}],[11,"ge","","",4,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"bool"}}],[11,"cmp","","",4,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"ordering"}}],[11,"fmt","","",4,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"weeks","","Makes a new `Duration` with given number of weeks. Equivalent to `Duration::seconds(weeks * 7 * 24 * 60 * 60)` with overflow checks. Panics when the duration is out of bounds.",4,{"inputs":[{"name":"i64"}],"output":{"name":"duration"}}],[11,"days","","Makes a new `Duration` with given number of days. Equivalent to `Duration::seconds(days * 24 * 60 * 60)` with overflow checks. Panics when the duration is out of bounds.",4,{"inputs":[{"name":"i64"}],"output":{"name":"duration"}}],[11,"hours","","Makes a new `Duration` with given number of hours. Equivalent to `Duration::seconds(hours * 60 * 60)` with overflow checks. Panics when the duration is out of bounds.",4,{"inputs":[{"name":"i64"}],"output":{"name":"duration"}}],[11,"minutes","","Makes a new `Duration` with given number of minutes. Equivalent to `Duration::seconds(minutes * 60)` with overflow checks. Panics when the duration is out of bounds.",4,{"inputs":[{"name":"i64"}],"output":{"name":"duration"}}],[11,"seconds","","Makes a new `Duration` with given number of seconds. Panics when the duration is more than `i64::MAX` milliseconds or less than `i64::MIN` milliseconds.",4,{"inputs":[{"name":"i64"}],"output":{"name":"duration"}}],[11,"milliseconds","","Makes a new `Duration` with given number of milliseconds.",4,{"inputs":[{"name":"i64"}],"output":{"name":"duration"}}],[11,"microseconds","","Makes a new `Duration` with given number of microseconds.",4,{"inputs":[{"name":"i64"}],"output":{"name":"duration"}}],[11,"nanoseconds","","Makes a new `Duration` with given number of nanoseconds.",4,{"inputs":[{"name":"i64"}],"output":{"name":"duration"}}],[11,"span","","Runs a closure, returning the duration of time it took to run the closure.",4,{"inputs":[{"name":"f"}],"output":{"name":"duration"}}],[11,"num_weeks","","Returns the total number of whole weeks in the duration.",4,{"inputs":[{"name":"self"}],"output":{"name":"i64"}}],[11,"num_days","","Returns the total number of whole days in the duration.",4,{"inputs":[{"name":"self"}],"output":{"name":"i64"}}],[11,"num_hours","","Returns the total number of whole hours in the duration.",4,{"inputs":[{"name":"self"}],"output":{"name":"i64"}}],[11,"num_minutes","","Returns the total number of whole minutes in the duration.",4,{"inputs":[{"name":"self"}],"output":{"name":"i64"}}],[11,"num_seconds","","Returns the total number of whole seconds in the duration.",4,{"inputs":[{"name":"self"}],"output":{"name":"i64"}}],[11,"num_milliseconds","","Returns the total number of whole milliseconds in the duration,",4,{"inputs":[{"name":"self"}],"output":{"name":"i64"}}],[11,"num_microseconds","","Returns the total number of whole microseconds in the duration, or `None` on overflow (exceeding 2^63 microseconds in either direction).",4,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"num_nanoseconds","","Returns the total number of whole nanoseconds in the duration, or `None` on overflow (exceeding 2^63 nanoseconds in either direction).",4,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"checked_add","","Add two durations, returning `None` if overflow occurred.",4,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"option"}}],[11,"checked_sub","","Subtract two durations, returning `None` if overflow occurred.",4,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"option"}}],[11,"min_value","","The minimum possible `Duration`: `i64::MIN` milliseconds.",4,{"inputs":[],"output":{"name":"duration"}}],[11,"max_value","","The maximum possible `Duration`: `i64::MAX` milliseconds.",4,{"inputs":[],"output":{"name":"duration"}}],[11,"zero","","A duration where the stored seconds and nanoseconds are equal to zero.",4,{"inputs":[],"output":{"name":"duration"}}],[11,"is_zero","","Returns `true` if the duration equals `Duration::zero()`.",4,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"from_std","","Creates a `time::Duration` object from `std::time::Duration`",4,{"inputs":[{"name":"stdduration"}],"output":{"name":"result"}}],[11,"to_std","","Creates a `std::time::Duration` object from `time::Duration`",4,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"neg","","",4,{"inputs":[{"name":"self"}],"output":{"name":"duration"}}],[11,"add","","",4,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"duration"}}],[11,"sub","","",4,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"duration"}}],[11,"mul","","",4,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"duration"}}],[11,"div","","",4,{"inputs":[{"name":"self"},{"name":"i32"}],"output":{"name":"duration"}}],[11,"fmt","","",4,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",5,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",5,{"inputs":[{"name":"self"}],"output":{"name":"outofrangeerror"}}],[11,"eq","","",5,{"inputs":[{"name":"self"},{"name":"outofrangeerror"}],"output":{"name":"bool"}}],[11,"ne","","",5,{"inputs":[{"name":"self"},{"name":"outofrangeerror"}],"output":{"name":"bool"}}],[11,"fmt","","",5,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"description","","",5,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"clone","","",0,{"inputs":[{"name":"self"}],"output":{"name":"timespec"}}],[11,"eq","","",0,{"inputs":[{"name":"self"},{"name":"timespec"}],"output":{"name":"bool"}}],[11,"ne","","",0,{"inputs":[{"name":"self"},{"name":"timespec"}],"output":{"name":"bool"}}],[11,"partial_cmp","","",0,{"inputs":[{"name":"self"},{"name":"timespec"}],"output":{"name":"option"}}],[11,"lt","","",0,{"inputs":[{"name":"self"},{"name":"timespec"}],"output":{"name":"bool"}}],[11,"le","","",0,{"inputs":[{"name":"self"},{"name":"timespec"}],"output":{"name":"bool"}}],[11,"gt","","",0,{"inputs":[{"name":"self"},{"name":"timespec"}],"output":{"name":"bool"}}],[11,"ge","","",0,{"inputs":[{"name":"self"},{"name":"timespec"}],"output":{"name":"bool"}}],[11,"cmp","","",0,{"inputs":[{"name":"self"},{"name":"timespec"}],"output":{"name":"ordering"}}],[11,"fmt","","",0,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",0,null],[11,"new","","",0,{"inputs":[{"name":"i64"},{"name":"i32"}],"output":{"name":"timespec"}}],[11,"add","","",0,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"timespec"}}],[11,"sub","","",0,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"timespec"}}],[11,"sub","","",0,{"inputs":[{"name":"self"},{"name":"timespec"}],"output":{"name":"duration"}}],[11,"clone","","",6,{"inputs":[{"name":"self"}],"output":{"name":"precisetime"}}],[11,"now","","Returns a `PreciseTime` representing the current moment in time.",6,{"inputs":[],"output":{"name":"precisetime"}}],[11,"to","","Returns a `Duration` representing the span of time from the value of `self` to the value of `later`.",6,{"inputs":[{"name":"self"},{"name":"precisetime"}],"output":{"name":"duration"}}],[11,"clone","","",7,{"inputs":[{"name":"self"}],"output":{"name":"steadytime"}}],[11,"partial_cmp","","",7,{"inputs":[{"name":"self"},{"name":"steadytime"}],"output":{"name":"option"}}],[11,"lt","","",7,{"inputs":[{"name":"self"},{"name":"steadytime"}],"output":{"name":"bool"}}],[11,"le","","",7,{"inputs":[{"name":"self"},{"name":"steadytime"}],"output":{"name":"bool"}}],[11,"gt","","",7,{"inputs":[{"name":"self"},{"name":"steadytime"}],"output":{"name":"bool"}}],[11,"ge","","",7,{"inputs":[{"name":"self"},{"name":"steadytime"}],"output":{"name":"bool"}}],[11,"cmp","","",7,{"inputs":[{"name":"self"},{"name":"steadytime"}],"output":{"name":"ordering"}}],[11,"eq","","",7,{"inputs":[{"name":"self"},{"name":"steadytime"}],"output":{"name":"bool"}}],[11,"ne","","",7,{"inputs":[{"name":"self"},{"name":"steadytime"}],"output":{"name":"bool"}}],[11,"fmt","","",7,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"now","","Returns a `SteadyTime` representing the current moment in time.",7,{"inputs":[],"output":{"name":"steadytime"}}],[11,"fmt","","",7,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"sub","","",7,{"inputs":[{"name":"self"},{"name":"steadytime"}],"output":{"name":"duration"}}],[11,"sub","","",7,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"steadytime"}}],[11,"add","","",7,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"steadytime"}}],[11,"clone","","",1,{"inputs":[{"name":"self"}],"output":{"name":"tm"}}],[11,"eq","","",1,{"inputs":[{"name":"self"},{"name":"tm"}],"output":{"name":"bool"}}],[11,"ne","","",1,{"inputs":[{"name":"self"},{"name":"tm"}],"output":{"name":"bool"}}],[11,"fmt","","",1,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"hash","","",1,null],[11,"add","","The resulting Tm is in UTC.",1,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"tm"}}],[11,"sub","","The resulting Tm is in UTC.",1,{"inputs":[{"name":"self"},{"name":"duration"}],"output":{"name":"tm"}}],[11,"sub","","",1,{"inputs":[{"name":"self"},{"name":"tm"}],"output":{"name":"duration"}}],[11,"partial_cmp","","",1,{"inputs":[{"name":"self"},{"name":"tm"}],"output":{"name":"option"}}],[11,"cmp","","",1,{"inputs":[{"name":"self"},{"name":"tm"}],"output":{"name":"ordering"}}],[11,"to_timespec","","Convert time to the seconds from January 1, 1970",1,{"inputs":[{"name":"self"}],"output":{"name":"timespec"}}],[11,"to_local","","Convert time to the local timezone",1,{"inputs":[{"name":"self"}],"output":{"name":"tm"}}],[11,"to_utc","","Convert time to the UTC",1,{"inputs":[{"name":"self"}],"output":{"name":"tm"}}],[11,"ctime","","Returns a TmFmt that outputs according to the `asctime` format in ISO C, in the local timezone.",1,{"inputs":[{"name":"self"}],"output":{"name":"tmfmt"}}],[11,"asctime","","Returns a TmFmt that outputs according to the `asctime` format in ISO C.",1,{"inputs":[{"name":"self"}],"output":{"name":"tmfmt"}}],[11,"strftime","","Formats the time according to the format string.",1,{"inputs":[{"name":"self"},{"name":"str"}],"output":{"name":"result"}}],[11,"rfc822","","Returns a TmFmt that outputs according to RFC 822.",1,{"inputs":[{"name":"self"}],"output":{"name":"tmfmt"}}],[11,"rfc822z","","Returns a TmFmt that outputs according to RFC 822 with Zulu time.",1,{"inputs":[{"name":"self"}],"output":{"name":"tmfmt"}}],[11,"rfc3339","","Returns a TmFmt that outputs according to RFC 3339. RFC 3339 is compatible with ISO 8601.",1,{"inputs":[{"name":"self"}],"output":{"name":"tmfmt"}}],[11,"eq","","",2,{"inputs":[{"name":"self"},{"name":"parseerror"}],"output":{"name":"bool"}}],[11,"ne","","",2,{"inputs":[{"name":"self"},{"name":"parseerror"}],"output":{"name":"bool"}}],[11,"fmt","","",2,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",2,{"inputs":[{"name":"self"}],"output":{"name":"parseerror"}}],[11,"fmt","","",2,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"description","","",2,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"fmt","","",3,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}]],"paths":[[3,"Timespec"],[3,"Tm"],[4,"ParseError"],[3,"TmFmt"],[3,"Duration"],[3,"OutOfRangeError"],[3,"PreciseTime"],[3,"SteadyTime"]]};
searchIndex["toml"] = {"doc":"A [TOML]-parsing library","items":[[0,"value","toml","Definition of a TOML value",null,null],[3,"Datetime","toml::value","A parsed TOML datetime value",null,null],[3,"DatetimeParseError","","Error returned from parsing a `Datetime` in the `FromStr` implementation.",null,null],[4,"Value","","Representation of a TOML value.",null,null],[13,"String","","Represents a TOML string",0,null],[13,"Integer","","Represents a TOML integer",0,null],[13,"Float","","Represents a TOML float",0,null],[13,"Boolean","","Represents a TOML boolean",0,null],[13,"Datetime","","Represents a TOML datetime",0,null],[13,"Array","","Represents a TOML array",0,null],[13,"Table","","Represents a TOML table",0,null],[6,"Array","","Type representing a TOML array, payload of the `Value::Array` variant",null,null],[6,"Table","","Type representing a TOML table, payload of the `Value::Table` variant",null,null],[8,"Index","","Types that can be used to index a `toml::Value`",null,null],[11,"eq","","",0,{"inputs":[{"name":"self"},{"name":"value"}],"output":{"name":"bool"}}],[11,"ne","","",0,{"inputs":[{"name":"self"},{"name":"value"}],"output":{"name":"bool"}}],[11,"clone","","",0,{"inputs":[{"name":"self"}],"output":{"name":"value"}}],[11,"fmt","","",0,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"try_from","","Convert a `T` into `toml::Value` which is an enum that can represent any valid TOML data.",0,{"inputs":[{"name":"t"}],"output":{"name":"result"}}],[11,"try_into","","Interpret a `toml::Value` as an instance of type `T`.",0,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"get","","Index into a TOML array or map. A string index can be used to access a value in a map, and a usize index can be used to access an element of an array.",0,{"inputs":[{"name":"self"},{"name":"i"}],"output":{"name":"option"}}],[11,"get_mut","","Mutably index into a TOML array or map. A string index can be used to access a value in a map, and a usize index can be used to access an element of an array.",0,{"inputs":[{"name":"self"},{"name":"i"}],"output":{"name":"option"}}],[11,"as_integer","","Extracts the integer value if it is an integer.",0,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"is_integer","","Tests whether this value is an integer",0,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"as_float","","Extracts the float value if it is a float.",0,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"is_float","","Tests whether this value is a float",0,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"as_bool","","Extracts the boolean value if it is a boolean.",0,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"is_bool","","Tests whether this value is a boolean",0,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"as_str","","Extracts the string of this value if it is a string.",0,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"is_str","","Tests if this value is a string",0,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"as_datetime","","Extracts the datetime value if it is a datetime.",0,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"is_datetime","","Tests whether this value is a datetime",0,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"as_array","","Extracts the array value if it is an array.",0,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"as_array_mut","","Extracts the array value if it is an array.",0,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"is_array","","Tests whether this value is an array",0,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"as_table","","Extracts the table value if it is a table.",0,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"as_table_mut","","Extracts the table value if it is a table.",0,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"is_table","","Extracts the table value if it is a table.",0,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"same_type","","Tests whether this and another value have the same type.",0,{"inputs":[{"name":"self"},{"name":"value"}],"output":{"name":"bool"}}],[11,"type_str","","Returns a human-readable representation of the type of this value.",0,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"index","","",0,{"inputs":[{"name":"self"},{"name":"i"}],"output":{"name":"value"}}],[11,"index_mut","","",0,{"inputs":[{"name":"self"},{"name":"i"}],"output":{"name":"value"}}],[11,"from","","",0,{"inputs":[{"name":"str"}],"output":{"name":"value"}}],[11,"from","","",0,{"inputs":[{"name":"vec"}],"output":{"name":"value"}}],[11,"from","","",0,{"inputs":[{"name":"btreemap"}],"output":{"name":"value"}}],[11,"from","","",0,{"inputs":[{"name":"hashmap"}],"output":{"name":"value"}}],[11,"from","","",0,{"inputs":[{"name":"string"}],"output":{"name":"value"}}],[11,"from","","",0,{"inputs":[{"name":"i64"}],"output":{"name":"value"}}],[11,"from","","",0,{"inputs":[{"name":"i32"}],"output":{"name":"value"}}],[11,"from","","",0,{"inputs":[{"name":"i8"}],"output":{"name":"value"}}],[11,"from","","",0,{"inputs":[{"name":"u8"}],"output":{"name":"value"}}],[11,"from","","",0,{"inputs":[{"name":"u32"}],"output":{"name":"value"}}],[11,"from","","",0,{"inputs":[{"name":"f64"}],"output":{"name":"value"}}],[11,"from","","",0,{"inputs":[{"name":"f32"}],"output":{"name":"value"}}],[11,"from","","",0,{"inputs":[{"name":"bool"}],"output":{"name":"value"}}],[11,"from","","",0,{"inputs":[{"name":"datetime"}],"output":{"name":"value"}}],[11,"fmt","","",0,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"from_str","","",0,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[11,"serialize","","",0,{"inputs":[{"name":"self"},{"name":"s"}],"output":{"name":"result"}}],[11,"deserialize","","",0,{"inputs":[{"name":"d"}],"output":{"name":"result"}}],[11,"deserialize_any","","",0,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_enum","","",0,null],[11,"deserialize_option","","",0,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_bool","","",0,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u8","","",0,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u16","","",0,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u32","","",0,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_u64","","",0,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i8","","",0,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i16","","",0,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i32","","",0,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_i64","","",0,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f32","","",0,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_f64","","",0,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_char","","",0,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_str","","",0,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_string","","",0,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit","","",0,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_seq","","",0,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_bytes","","",0,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_byte_buf","","",0,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_map","","",0,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_unit_struct","","",0,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_tuple_struct","","",0,{"inputs":[{"name":"self"},{"name":"str"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_struct","","",0,null],[11,"deserialize_tuple","","",0,{"inputs":[{"name":"self"},{"name":"usize"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_ignored_any","","",0,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_newtype_struct","","",0,{"inputs":[{"name":"self"},{"name":"str"},{"name":"v"}],"output":{"name":"result"}}],[11,"deserialize_identifier","","",0,{"inputs":[{"name":"self"},{"name":"v"}],"output":{"name":"result"}}],[11,"into_deserializer","","",0,{"inputs":[{"name":"self"}],"output":{"name":"self"}}],[11,"eq","","",1,{"inputs":[{"name":"self"},{"name":"datetime"}],"output":{"name":"bool"}}],[11,"ne","","",1,{"inputs":[{"name":"self"},{"name":"datetime"}],"output":{"name":"bool"}}],[11,"clone","","",1,{"inputs":[{"name":"self"}],"output":{"name":"datetime"}}],[11,"fmt","","",2,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",2,{"inputs":[{"name":"self"}],"output":{"name":"datetimeparseerror"}}],[11,"fmt","","",1,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"fmt","","",1,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"from_str","","",1,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[11,"serialize","","",1,{"inputs":[{"name":"self"},{"name":"s"}],"output":{"name":"result"}}],[11,"deserialize","","",1,{"inputs":[{"name":"d"}],"output":{"name":"result"}}],[11,"fmt","","",2,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"description","","",2,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[0,"ser","toml","Serializing Rust structures into TOML.",null,null],[3,"Serializer","toml::ser","Serialization implementation for TOML.",null,null],[4,"Error","","Errors that can occur when serializing a type.",null,null],[13,"UnsupportedType","","Indicates that a Rust type was requested to be serialized but it was not supported.",3,null],[13,"KeyNotString","","The key of all TOML maps must be strings, but serialization was attempted where the key of a map was not a string.",3,null],[13,"ArrayMixedType","","Arrays in TOML must have a homogenous type, but a heterogeneous array was emitted.",3,null],[13,"ValueAfterTable","","All values in a TOML table must be emitted before further tables are emitted. If a value is emitted after a table then this error is generated.",3,null],[13,"DateInvalid","","A serialized date was invalid.",3,null],[13,"NumberInvalid","","A serialized number was invalid.",3,null],[13,"UnsupportedNone","","None was attempted to be serialized, but it's not supported.",3,null],[13,"Custom","","A custom error which could be generated when serializing a particular type.",3,null],[5,"to_vec","","Serialize the given data structure as a TOML byte vector.",null,{"inputs":[{"name":"t"}],"output":{"name":"result"}}],[5,"to_string","","Serialize the given data structure as a String of TOML.",null,{"inputs":[{"name":"t"}],"output":{"name":"result"}}],[5,"tables_last","","Convenience function to serialize items in a map in an order valid with TOML.",null,{"inputs":[{"name":"i"},{"name":"s"}],"output":{"name":"result"}}],[11,"fmt","","",3,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"eq","","",3,{"inputs":[{"name":"self"},{"name":"error"}],"output":{"name":"bool"}}],[11,"ne","","",3,{"inputs":[{"name":"self"},{"name":"error"}],"output":{"name":"bool"}}],[11,"clone","","",3,{"inputs":[{"name":"self"}],"output":{"name":"error"}}],[11,"new","","Creates a new serializer which will emit TOML into the buffer provided.",4,{"inputs":[{"name":"string"}],"output":{"name":"serializer"}}],[11,"fmt","","",3,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"description","","",3,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"custom","","",3,{"inputs":[{"name":"t"}],"output":{"name":"error"}}],[0,"de","toml","Deserializing TOML into Rust structures.",null,null],[3,"Error","toml::de","Errors that can occur when deserializing a type.",null,null],[3,"Deserializer","","Deserialization implementation for TOML.",null,null],[5,"from_slice","","Deserializes a byte slice into a type.",null,null],[5,"from_str","","Deserializes a string into a type.",null,{"inputs":[{"name":"str"}],"output":{"name":"result"}}],[11,"fmt","","",5,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",5,{"inputs":[{"name":"self"}],"output":{"name":"error"}}],[11,"new","","Creates a new deserializer which will be deserializing the string provided.",6,{"inputs":[{"name":"str"}],"output":{"name":"deserializer"}}],[11,"end","","The `Deserializer::end` method should be called after a value has been fully deserialized.  This allows the `Deserializer` to validate that the input stream is at the end or that it only has trailing whitespace/comments.",6,{"inputs":[{"name":"self"}],"output":{"name":"result"}}],[11,"set_require_newline_after_table","","Historical versions of toml-rs accidentally allowed a newline after a table definition, but the TOML spec requires a newline after a table definition header.",6,{"inputs":[{"name":"self"},{"name":"bool"}],"output":null}],[11,"line_col","","Produces a (line, column) pair of the position of the error if available",5,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"fmt","","",5,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"description","","",5,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"custom","","",5,{"inputs":[{"name":"t"}],"output":{"name":"error"}}]],"paths":[[4,"Value"],[3,"Datetime"],[3,"DatetimeParseError"],[4,"Error"],[3,"Serializer"],[3,"Error"],[3,"Deserializer"]]};
searchIndex["unicode_xid"] = {"doc":"Determine if a `char` is a valid identifier for a parser and/or lexer according to Unicode Standard Annex #31 rules.","items":[[17,"UNICODE_VERSION","unicode_xid","The version of Unicode that this version of unicode-xid is based on.",null,null],[8,"UnicodeXID","","Methods for determining if a character is a valid identifier character.",null,null],[10,"is_xid_start","","Returns whether the specified character satisfies the 'XID_Start' Unicode property.",0,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[10,"is_xid_continue","","Returns whether the specified `char` satisfies the 'XID_Continue' Unicode property.",0,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}]],"paths":[[8,"UnicodeXID"]]};
searchIndex["utf8_ranges"] = {"doc":"Crate `utf8-ranges` converts ranges of Unicode scalar values to equivalent ranges of UTF-8 bytes. This is useful for constructing byte based automatons that need to embed UTF-8 decoding.","items":[[3,"Utf8Range","utf8_ranges","A single inclusive range of UTF-8 bytes.",null,null],[12,"start","","Start of byte range (inclusive).",0,null],[12,"end","","End of byte range (inclusive).",0,null],[3,"Utf8Sequences","","An iterator over ranges of matching UTF-8 byte sequences.",null,null],[4,"Utf8Sequence","","Utf8Sequence represents a sequence of byte ranges.",null,null],[13,"One","","One byte range.",1,null],[13,"Two","","Two successive byte ranges.",1,null],[13,"Three","","Three successive byte ranges.",1,null],[13,"Four","","Four successive byte ranges.",1,null],[11,"clone","","",1,{"inputs":[{"name":"self"}],"output":{"name":"utf8sequence"}}],[11,"eq","","",1,{"inputs":[{"name":"self"},{"name":"utf8sequence"}],"output":{"name":"bool"}}],[11,"ne","","",1,{"inputs":[{"name":"self"},{"name":"utf8sequence"}],"output":{"name":"bool"}}],[11,"as_slice","","Returns the underlying sequence of byte ranges as a slice.",1,null],[11,"len","","Returns the number of byte ranges in this sequence.",1,{"inputs":[{"name":"self"}],"output":{"name":"usize"}}],[11,"matches","","Returns true if and only if a prefix of `bytes` matches this sequence of byte ranges.",1,null],[11,"fmt","","",1,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",0,{"inputs":[{"name":"self"}],"output":{"name":"utf8range"}}],[11,"eq","","",0,{"inputs":[{"name":"self"},{"name":"utf8range"}],"output":{"name":"bool"}}],[11,"ne","","",0,{"inputs":[{"name":"self"},{"name":"utf8range"}],"output":{"name":"bool"}}],[11,"matches","","Returns true if and only if the given byte is in this range.",0,{"inputs":[{"name":"self"},{"name":"u8"}],"output":{"name":"bool"}}],[11,"fmt","","",0,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"new","","Create a new iterator over UTF-8 byte ranges for the scalar value range given.",2,{"inputs":[{"name":"char"},{"name":"char"}],"output":{"name":"self"}}],[11,"next","","",2,{"inputs":[{"name":"self"}],"output":{"name":"option"}}]],"paths":[[3,"Utf8Range"],[4,"Utf8Sequence"],[3,"Utf8Sequences"]]};
searchIndex["which"] = {"doc":"which","items":[[5,"which","which","Find a exectable binary's path by name.",null,{"inputs":[{"name":"t"}],"output":{"name":"result"}}],[5,"which_in","","Find `binary_name` in the path list `paths`, using `cwd` to resolve relative paths.",null,{"inputs":[{"name":"t"},{"name":"option"},{"name":"v"}],"output":{"name":"result"}}]],"paths":[]};
searchIndex["winapi"] = {"doc":"","items":[],"paths":[]};
searchIndex["xdg"] = {"doc":"","items":[[3,"BaseDirectories","xdg","BaseDirectories allows to look up paths to configuration, data, cache and runtime files in well-known locations according to the [X Desktop Group Base Directory specification][xdg-basedir]. [xdg-basedir]: http://standards.freedesktop.org/basedir-spec/basedir-spec-latest.html",null,null],[3,"BaseDirectoriesError","","",null,null],[11,"fmt","","",0,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"clone","","",0,{"inputs":[{"name":"self"}],"output":{"name":"basedirectories"}}],[11,"fmt","","",1,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"description","","",1,{"inputs":[{"name":"self"}],"output":{"name":"str"}}],[11,"cause","","",1,{"inputs":[{"name":"self"}],"output":{"name":"option"}}],[11,"fmt","","",1,{"inputs":[{"name":"self"},{"name":"formatter"}],"output":{"name":"result"}}],[11,"new","","Reads the process environment, determines the XDG base directories, and returns a value that can be used for lookup. The following environment variables are examined:",0,{"inputs":[],"output":{"name":"result"}}],[11,"with_prefix","","Same as `new()`, but `prefix` is implicitly prepended to every path that is looked up.",0,{"inputs":[{"name":"p"}],"output":{"name":"result"}}],[11,"with_profile","","Same as `with_prefix()`, with `profile` also implicitly prepended to every path that is looked up, but only for user-specific directories.",0,{"inputs":[{"name":"p1"},{"name":"p2"}],"output":{"name":"result"}}],[11,"has_runtime_directory","","Returns `true` if `XDG_RUNTIME_DIR` is available, `false` otherwise.",0,{"inputs":[{"name":"self"}],"output":{"name":"bool"}}],[11,"place_config_file","","Given a relative path `path`, returns an absolute path in `XDG_CONFIG_HOME` where a configuration file may be stored. Leading directories in the returned path are pre-created; if that is not possible, an error is returned.",0,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[11,"place_data_file","","Like `place_config_file()`, but for a data file in `XDG_DATA_HOME`.",0,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[11,"place_cache_file","","Like `place_config_file()`, but for a cache file in `XDG_CACHE_HOME`.",0,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[11,"place_runtime_file","","Like `place_config_file()`, but for a runtime file in `XDG_RUNTIME_DIR`. If `XDG_RUNTIME_DIR` is not available, returns an error.",0,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[11,"find_config_file","","Given a relative path `path`, returns an absolute path to an existing configuration file, or `None`. Searches `XDG_CONFIG_HOME` and then `XDG_CONFIG_DIRS`.",0,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"option"}}],[11,"find_data_file","","Given a relative path `path`, returns an absolute path to an existing configuration file, or `None`. Searches `XDG_DATA_HOME` and then `XDG_DATA_DIRS`.",0,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"option"}}],[11,"find_cache_file","","Given a relative path `path`, returns an absolute path to an existing configuration file, or `None`. Searches `XDG_CACHE_HOME`.",0,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"option"}}],[11,"find_runtime_file","","Given a relative path `path`, returns an absolute path to an existing runtime file, or `None`. Searches `XDG_RUNTIME_DIR`. If `XDG_RUNTIME_DIR` is not available, returns `None`.",0,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"option"}}],[11,"create_config_directory","","Given a relative path `path`, returns an absolute path to a configuration directory in `XDG_CONFIG_HOME`. The directory and all directories leading to it are created if they did not exist; if that is not possible, an error is returned.",0,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[11,"create_data_directory","","Like `create_config_directory()`, but for a data directory in `XDG_DATA_HOME`.",0,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[11,"create_cache_directory","","Like `create_config_directory()`, but for a cache directory in `XDG_CACHE_HOME`.",0,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[11,"create_runtime_directory","","Like `create_config_directory()`, but for a runtime directory in `XDG_RUNTIME_DIR`. If `XDG_RUNTIME_DIR` is not available, returns an error.",0,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"result"}}],[11,"list_config_files","","Given a relative path `path`, list absolute paths to all files in directories with path `path` in `XDG_CONFIG_HOME` and `XDG_CONFIG_DIRS`.",0,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"vec"}}],[11,"list_config_files_once","","Like `list_config_files`, but only the first occurence of every distinct filename is returned.",0,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"vec"}}],[11,"list_data_files","","Given a relative path `path`, lists absolute paths to all files in directories with path `path` in `XDG_DATA_HOME` and `XDG_DATA_DIRS`.",0,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"vec"}}],[11,"list_data_files_once","","Like `list_data_files`, but only the first occurence of every distinct filename is returned.",0,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"vec"}}],[11,"list_cache_files","","Given a relative path `path`, lists absolute paths to all files in directories with path `path` in `XDG_CACHE_HOME`.",0,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"vec"}}],[11,"list_runtime_files","","Given a relative path `path`, lists absolute paths to all files in directories with path `path` in `XDG_RUNTIME_DIR`. If `XDG_RUNTIME_DIR` is not available, returns an empty `Vec`.",0,{"inputs":[{"name":"self"},{"name":"p"}],"output":{"name":"vec"}}],[11,"get_data_home","","Returns the user-specific data directory (set by `XDG_DATA_HOME`).",0,{"inputs":[{"name":"self"}],"output":{"name":"pathbuf"}}],[11,"get_config_home","","Returns the user-specific configuration directory (set by `XDG_CONFIG_HOME`).",0,{"inputs":[{"name":"self"}],"output":{"name":"pathbuf"}}],[11,"get_cache_home","","Returns the user-specific directory for non-essential (cached) data (set by `XDG_CACHE_HOME`).",0,{"inputs":[{"name":"self"}],"output":{"name":"pathbuf"}}],[11,"get_data_dirs","","Returns a preference ordered (preferred to less preferred) list of supplementary data directories, ordered by preference (set by `XDG_DATA_DIRS`).",0,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}],[11,"get_config_dirs","","Returns a preference ordered (preferred to less preferred) list of supplementary configuration directories (set by `XDG_CONFIG_DIRS`).",0,{"inputs":[{"name":"self"}],"output":{"name":"vec"}}]],"paths":[[3,"BaseDirectories"],[3,"BaseDirectoriesError"]]};
initSearch(searchIndex);
